/* 
Copyright (c) 2015, Olaf Frohn
All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

3. Neither the name of the copyright holder nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

let clinesJSON = '{"type":"FeatureCollection","features":[{"type":"Feature","id":"And","properties":{"rank":"1"},"geometry":{"type":"MultiLineString","coordinates":[[[30.9748,42.3297],[17.433,35.6206],[9.832,30.861],[2.0969,29.0904]],[[14.3017,23.4176],[11.8347,24.2672],[9.6389,29.3118],[9.832,30.861],[9.2202,33.7193],[-5.4658,43.2681],[-14.5197,42.326]],[[-5.4658,43.2681],[-4.8979,44.3339],[-5.609,46.4582]],[[17.433,35.6206],[14.1884,38.4993],[12.4535,41.0789],[17.3755,47.2418],[24.4982,48.6282]],[[-4.8979,44.3339],[-3.4915,46.4203]]]}},{"type":"Feature","id":"Ant","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[142.3113,-35.9513],[156.7879,-31.0678],[164.1794,-37.1378]]]}},{"type":"Feature","id":"Aps","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[-138.0345,-79.0448],[-114.9133,-78.6957],[-109.2306,-77.5174],[-111.6372,-78.8971]]]}},{"type":"Feature","id":"Aqr","properties":{"rank":"2"},"geometry":{"type":"MultiLineString","coordinates":[[[-48.081,-9.4958],[-46.8365,-8.9833],[-37.1103,-5.5712],[-28.554,-0.3199],[-24.5859,-1.3873],[-22.792,-0.02],[-21.1609,-0.1175],[-16.8464,-7.5796],[-10.5241,-9.1825],[-12.6383,-21.1724]],[[-37.1103,-5.5712],[-28.3907,-13.8697]],[[-28.554,-0.3199],[-25.7915,-7.7833]],[[-22.792,-0.02],[-23.6807,1.3774]],[[-9.2574,-20.1006],[-10.5241,-9.1825],[-4.5591,-17.8165]]]}},{"type":"Feature","id":"Aql","properties":{"rank":"1"},"geometry":{"type":"MultiLineString","coordinates":[[[-63.4351,10.6133],[-62.3042,8.8683],[-61.1717,6.4068],[-57.1738,-0.8215],[-61.8818,1.0057],[-68.6254,3.1148],[-73.6475,13.8635],[-62.3042,8.8683],[-68.6254,3.1148],[-73.4378,-4.8826]]]}},{"type":"Feature","id":"Ara","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[-98.6514,-56.3777],[-97.2254,-60.6838],[-107.5535,-59.0414],[-105.345,-55.9901],[-105.104,-53.1604],[-97.0396,-49.8761],[-98.675,-55.5299]]]}},{"type":"Feature","id":"Ari","properties":{"rank":"1"},"geometry":{"type":"MultiLineString","coordinates":[[[42.496,27.2605],[31.7934,23.4624],[28.66,20.808],[28.3826,19.2939]]]}},{"type":"Feature","id":"Aur","properties":{"rank":"1"},"geometry":{"type":"MultiLineString","coordinates":[[[89.8822,44.9474],[79.1723,45.998],[76.6287,41.2345],[74.2484,33.1661],[81.573,28.6075],[89.9303,37.2126],[89.8822,44.9474],[89.8818,54.2847],[79.1723,45.998],[75.4922,43.8233],[75.6195,41.0758]]]}},{"type":"Feature","id":"Boo","properties":{"rank":"1"},"geometry":{"type":"MultiLineString","coordinates":[[[-153.1844,17.4569],[-151.3288,18.3977],[-146.0847,19.1824],[-142.0425,30.3714],[-141.9805,38.3083],[-134.5135,40.3906],[-131.1243,33.3148],[-138.7533,27.0742],[-146.0847,19.1824],[-139.7127,13.7283]],[[-141.9805,38.3083],[-145.9041,46.0883],[-146.6341,51.7879],[-143.7008,51.8507],[-145.9041,46.0883]]]}},{"type":"Feature","id":"Cae","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[67.7087,-44.9537],[70.1405,-41.8638],[70.5145,-37.1443],[76.1017,-35.483]]]}},{"type":"Feature","id":"Cam","properties":{"rank":"2"},"geometry":{"type":"MultiLineString","coordinates":[[[74.3217,53.7521],[75.8545,60.4422],[73.5125,66.3427],[57.5896,71.3323],[57.3803,65.526],[52.2672,59.9403]],[[73.5125,66.3427],[94.7116,69.3198],[105.0168,76.9774]]]}},{"type":"Feature","id":"Cnc","properties":{"rank":"2"},"geometry":{"type":"MultiLineString","coordinates":[[[134.6218,11.8577],[131.1712,18.1543],[130.8214,21.4685],[131.6666,28.7651]],[[131.1712,18.1543],[124.1288,9.1855]]]}},{"type":"Feature","id":"CVn","properties":{"rank":"2"},"geometry":{"type":"MultiLineString","coordinates":[[[-165.9981,38.3149],[-171.5644,41.3575]]]}},{"type":"Feature","id":"CMa","properties":{"rank":"1"},"geometry":{"type":"MultiLineString","coordinates":[[[95.6749,-17.9559],[101.2872,-16.7161],[105.7561,-23.8333],[107.0979,-26.3932],[105.4298,-27.9348],[104.6565,-28.9721],[95.0783,-30.0634]],[[111.0238,-29.3031],[107.0979,-26.3932]],[[101.2872,-16.7161],[104.0343,-17.0542],[105.9396,-15.6333],[103.5475,-12.0386],[104.0343,-17.0542]]]}},{"type":"Feature","id":"CMi","properties":{"rank":"2"},"geometry":{"type":"MultiLineString","coordinates":[[[114.8255,5.225],[111.7877,8.2893]]]}},{"type":"Feature","id":"Cap","properties":{"rank":"2"},"geometry":{"type":"MultiLineString","coordinates":[[[-55.588,-12.5082],[-54.7472,-14.7814],[-52.7849,-17.8137],[-48.4761,-25.2709],[-47.0446,-26.9191],[-38.3332,-22.4113],[-33.2398,-16.1273],[-34.9773,-16.6623],[-39.4383,-16.8345],[-43.5132,-17.2329],[-55.588,-12.5082]]]}},{"type":"Feature","id":"Car","properties":{"rank":"1"},"geometry":{"type":"MultiLineString","coordinates":[[[99.4403,-43.1959],[95.988,-52.6957],[138.2999,-69.7172],[153.4342,-70.0379],[160.7392,-64.3945],[158.0061,-61.6853],[154.2707,-61.3323],[139.2725,-59.2752],[125.6285,-59.5095],[119.1946,-52.9824],[122.3831,-47.3366],[131.1759,-54.7088],[139.2725,-59.2752]],[[160.7392,-64.3945],[166.6351,-62.4241],[167.1417,-61.9472],[168.1501,-60.3176],[167.1475,-58.975],[163.3736,-58.8532],[158.0061,-61.6853]]]}},{"type":"Feature","id":"Cas","properties":{"rank":"1"},"geometry":{"type":"MultiLineString","coordinates":[[[28.5989,63.6701],[21.454,60.2353],[14.1772,60.7167],[10.1268,56.5373],[2.2945,59.1498]]]}},{"type":"Feature","id":"Cen","properties":{"rank":"1"},"geometry":{"type":"MultiLineString","coordinates":[[[170.2517,-54.491],[-177.9104,-50.7224],[-172.9901,-50.2306],[-169.6207,-48.9599],[-155.0281,-53.4664],[-151.1151,-47.2884],[-152.5959,-42.4737],[-152.6238,-41.6877],[-148.3294,-36.37],[-141.1232,-42.1578],[-135.2096,-42.1042]],[[-152.6238,-41.6877],[-159.8508,-36.7123]],[[-140.1038,-60.8372],[-155.0281,-53.4664],[-149.0441,-60.373]],[[-172.9901,-50.2306],[-177.087,-52.3685],[172.942,-59.4421]]]}},{"type":"Feature","id":"Cep","properties":{"rank":"2"},"geometry":{"type":"MultiLineString","coordinates":[[[-52.6046,62.9941],[-48.6776,61.8388],[-40.3551,62.5856],[-34.1231,58.78],[-26.2409,57.0436],[-27.2863,58.2013],[-22.7072,58.4152],[-17.5799,66.2004],[-5.1631,77.6323],[-37.835,70.5607],[-40.3551,62.5856]],[[-37.835,70.5607],[-17.5799,66.2004]]]}},{"type":"Feature","id":"Cet","properties":{"rank":"1"},"geometry":{"type":"MultiLineString","coordinates":[[[40.8252,3.2358],[38.9686,5.5932],[37.0398,8.4601],[41.2356,10.1141],[44.9288,8.9074],[45.5699,4.0897],[40.8252,3.2358],[39.8707,0.3285],[34.8366,-2.9776],[27.8651,-10.335],[26.017,-15.9375],[10.8974,-17.9866],[4.857,-8.8239],[17.1475,-10.1823],[21.0059,-8.1833],[27.8651,-10.335]]]}},{"type":"Feature","id":"Cha","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[124.6315,-76.9197],[158.8671,-78.6078],[161.318,-80.4696],[-175.4132,-79.3122],[179.9066,-78.2218],[158.8671,-78.6078]]]}},{"type":"Feature","id":"Cir","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[-130.6215,-58.8012],[-139.3733,-64.9751],[-129.1556,-59.3208]]]}},{"type":"Feature","id":"Col","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[95.5285,-33.4364],[87.74,-35.7683],[84.9122,-34.0741],[82.8031,-35.4705]],[[87.74,-35.7683],[89.7867,-42.8151]]]}},{"type":"Feature","id":"Com","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[-162.503,17.5294],[-162.0317,27.8782],[-173.2655,28.2684]]]}},{"type":"Feature","id":"CrA","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[-75.3193,-37.1074],[-73.3954,-37.0634],[-72.6319,-37.9045],[-72.4927,-39.3408],[-72.9126,-40.4967],[-74.2213,-42.0951],[-77.6042,-43.4341],[-81.6242,-42.3125]]]}},{"type":"Feature","id":"CrB","properties":{"rank":"2"},"geometry":{"type":"MultiLineString","coordinates":[[[-126.7676,31.3591],[-128.0428,29.1057],[-126.328,26.7147],[-124.3143,26.2956],[-122.6015,26.0684],[-120.6031,26.8779],[-119.6393,29.8511]]]}},{"type":"Feature","id":"Crv","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[-177.8966,-24.7289],[-177.4688,-22.6198],[-176.0485,-17.5419],[-172.5339,-16.5154],[-171.4032,-23.3968],[-177.4688,-22.6198]]]}},{"type":"Feature","id":"Crt","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[174.1705,-9.8022],[171.1525,-10.8593],[169.8352,-14.7785],[164.9436,-18.2988],[167.9145,-22.8258],[170.8412,-18.78],[171.2205,-17.684],[176.1907,-18.3507],[179.004,-17.1508]],[[169.8352,-14.7785],[171.2205,-17.684]]]}},{"type":"Feature","id":"Cru","properties":{"rank":"2"},"geometry":{"type":"MultiLineString","coordinates":[[[-168.0697,-59.6888],[-176.2137,-58.7489]],[[-173.3504,-63.0991],[-172.2085,-57.1132]]]}},{"type":"Feature","id":"Cyg","properties":{"rank":"1"},"geometry":{"type":"MultiLineString","coordinates":[[[-41.7659,30.2269],[-48.4472,33.9703],[-54.4429,40.2567],[-63.7563,45.1308],[-67.5735,51.7298],[-70.7243,53.3685]],[[-49.642,45.2803],[-54.4429,40.2567],[-60.9235,35.0834],[-67.3197,27.9597]]]}},{"type":"Feature","id":"Del","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[-51.6968,11.3033],[-50.6127,14.5951],[-50.0905,15.9121],[-48.3381,16.1241],[-49.1353,15.0746],[-50.6127,14.5951]]]}},{"type":"Feature","id":"Dor","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[64.0066,-51.4866],[68.4991,-55.045],[83.4063,-62.4898],[86.1932,-65.7355],[88.5252,-63.0896],[83.4063,-62.4898],[76.3777,-57.4727],[68.4991,-55.045]]]}},{"type":"Feature","id":"Dra","properties":{"rank":"2"},"geometry":{"type":"MultiLineString","coordinates":[[[-91.6178,56.8726],[-90.8485,51.4889],[-97.3918,52.3014],[-96.9332,55.173],[-91.6178,56.8726],[-71.8612,67.6615],[-84.8107,71.3378],[-102.8034,65.7147],[-114.0021,61.5142],[-119.5277,58.5653],[-128.7676,58.9661],[-148.9027,64.3759],[-171.6294,69.7882],[172.8509,69.3311]],[[-84.8107,71.3378],[-84.7359,72.7328]],[[-71.8612,67.6615],[-62.9569,70.2679]]]}},{"type":"Feature","id":"Equ","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[-41.044,5.2478],[-41.3799,10.007],[-42.4146,10.1316]]]}},{"type":"Feature","id":"Eri","properties":{"rank":"1"},"geometry":{"type":"MultiLineString","coordinates":[[[76.9624,-5.0864],[71.3756,-3.2547],[69.0798,-3.3525],[62.9664,-6.8376],[59.5074,-13.5085],[56.5356,-12.1016],[55.8121,-9.7634],[53.2327,-9.4583],[44.1069,-8.8981],[41.0306,-13.8587],[41.2758,-18.5726],[45.5979,-23.6245],[49.8792,-21.7579],[53.447,-21.6329],[56.712,-23.2497],[68.8877,-30.5623],[66.0092,-34.0168],[64.4736,-33.7983],[57.3635,-36.2003],[54.2737,-40.2745],[49.9819,-43.0698],[44.5653,-40.3047],[40.1668,-39.8554],[36.7463,-47.7038],[34.1274,-51.5122],[28.9895,-51.6089],[24.4285,-57.2368]]]}},{"type":"Feature","id":"For","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[48.0189,-28.9876],[42.2726,-32.4059],[31.1227,-29.2968]]]}},{"type":"Feature","id":"Gem","properties":{"rank":"1"},"geometry":{"type":"MultiLineString","coordinates":[[[93.7194,22.5068],[95.7401,22.5136],[100.983,25.1311],[107.7849,30.2452],[113.6494,31.8883],[116.329,28.0262],[113.9806,26.8957],[110.0307,21.9823],[106.0272,20.5703],[99.4279,16.3993],[101.3224,12.8956]],[[110.0307,21.9823],[109.5232,16.5404]]]}},{"type":"Feature","id":"Gru","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[-14.78,-52.7541],[-17.8613,-51.3169],[-19.3331,-46.8846],[-22.5607,-43.7492],[-27.9417,-46.961],[-19.3331,-46.8846]],[[-22.6826,-43.4956],[-26.0962,-41.3467],[-28.4713,-39.5434],[-31.5178,-37.3649]]]}},{"type":"Feature","id":"Her","properties":{"rank":"2"},"geometry":{"type":"MultiLineString","coordinates":[[[-114.5199,19.1531],[-112.445,21.4896],[-109.6785,31.6027],[-109.276,38.9223],[-111.4742,42.437],[-115.0648,46.3134],[-117.8076,44.9349],[-121.8311,42.4515]],[[-109.6785,31.6027],[-104.9276,30.9264]],[[-109.276,38.9223],[-101.2382,36.8092]],[[-90.9367,37.2505],[-99.0794,37.1459],[-101.2382,36.8092],[-104.9276,30.9264],[-101.242,24.8392],[-93.3853,27.7207],[-90.5588,29.2479],[-88.1144,28.7625]],[[-101.3381,14.3903],[-112.445,21.4896]]]}},{"type":"Feature","id":"Hor","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[63.5005,-42.2944],[40.6394,-50.8003],[39.3515,-52.5431],[40.1651,-54.5499],[45.9034,-59.7378],[44.6992,-64.0713]]]}},{"type":"Feature","id":"Hya","properties":{"rank":"2"},"geometry":{"type":"MultiLineString","coordinates":[[[131.6938,6.4188],[132.1082,5.8378],[130.8061,3.3987],[129.6893,3.3414],[129.414,5.7038],[131.6938,6.4188],[133.8484,5.9456],[138.5911,2.3143],[144.964,-1.1428],[141.8968,-8.6586],[147.8696,-14.8466],[152.647,-12.3541],[156.5226,-16.8363],[162.4062,-16.1936],[173.2505,-31.8576],[178.2272,-33.9081],[-160.2696,-23.1715],[-148.4071,-26.6824],[-137.4279,-27.9604]]]}},{"type":"Feature","id":"Hyi","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[6.4378,-77.2542],[56.8098,-74.239],[39.8973,-68.2669],[35.4373,-68.6594],[28.7339,-67.6473],[29.6925,-61.5699]]]}},{"type":"Feature","id":"Ind","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[-50.6082,-47.2915],[-48.9903,-51.921],[-46.2975,-58.4542],[-30.5205,-54.9926],[-40.0334,-53.4494],[-50.6082,-47.2915]]]}},{"type":"Feature","id":"Lac","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[-24.1099,52.229],[-22.1771,50.2825],[-22.6174,47.7069],[-24.7436,46.5366],[-22.3781,43.1234],[-19.8714,44.2763],[-22.6174,47.7069],[-23.8709,49.4764],[-24.1099,52.229]],[[-22.3781,43.1234],[-26.5303,39.7149],[-26.0076,37.7487]]]}},{"type":"Feature","id":"Leo","properties":{"rank":"1"},"geometry":{"type":"MultiLineString","coordinates":[[[152.093,11.9672],[151.8331,16.7627],[154.9931,19.8415],[168.5271,20.5237],[177.2649,14.5721],[168.56,15.4296],[152.093,11.9672]],[[154.9931,19.8415],[154.1726,23.4173],[148.1909,26.007],[146.4628,23.7743]]]}},{"type":"Feature","id":"LMi","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[151.8573,35.2447],[156.4784,33.7961],[163.3279,34.2149],[156.9708,36.7072],[151.8573,35.2447],[143.5558,36.3976]]]}},{"type":"Feature","id":"Lep","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[91.5388,-14.9353],[89.1012,-14.1677],[86.7389,-14.822],[83.1826,-17.8223],[78.2329,-16.2055],[76.3653,-22.371],[82.0613,-20.7594],[86.1158,-22.4484],[87.8304,-20.8791]],[[78.3078,-12.9413],[78.2329,-16.2055],[79.8939,-13.1768]]]}},{"type":"Feature","id":"Lib","properties":{"rank":"2"},"geometry":{"type":"MultiLineString","coordinates":[[[-133.9824,-25.282],[-137.2804,-16.0418],[-130.7483,-9.3829],[-126.1184,-14.7895],[-125.744,-28.1351],[-125.336,-29.7778]],[[-137.2804,-16.0418],[-126.1184,-14.7895]]]}},{"type":"Feature","id":"Lup","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[-122.2603,-33.6272],[-125.0584,-34.4119],[-129.5485,-36.2614],[-129.657,-40.6475],[-135.367,-43.134],[-139.5177,-47.3882],[-131.9288,-52.0992],[-130.3666,-47.8753],[-129.3297,-44.6896],[-126.2148,-41.1668],[-119.9695,-38.3967],[-118.3519,-36.8023]],[[-129.657,-40.6475],[-126.2148,-41.1668]]]}},{"type":"Feature","id":"Lyn","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[94.9058,59.011],[104.3192,58.4228],[111.6785,49.2115],[125.7088,43.1881],[135.1599,41.7829],[139.711,36.8026],[140.2638,34.3926]]]}},{"type":"Feature","id":"Lyr","properties":{"rank":"2"},"geometry":{"type":"MultiLineString","coordinates":[[[-78.8068,37.6051],[-78.9051,39.6127],[-80.7653,38.7837],[-78.8068,37.6051],[-76.3738,36.8986],[-75.2641,32.6896],[-77.48,33.3627],[-78.8068,37.6051]]]}},{"type":"Feature","id":"Men","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[92.5603,-74.753],[82.9709,-76.341],[73.7967,-74.9369],[75.6792,-71.3143]]]}},{"type":"Feature","id":"Mic","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[-47.508,-33.7797],[-47.8786,-43.9885],[-39.8098,-40.8095],[-40.5155,-32.1725],[-44.6772,-32.2578],[-47.508,-33.7797]]]}},{"type":"Feature","id":"Mon","properties":{"rank":"2"},"geometry":{"type":"MultiLineString","coordinates":[[[115.3118,-9.5511],[122.1485,-2.9838],[107.9661,-0.4928],[97.2045,-7.0331],[93.7139,-6.2748]],[[107.9661,-0.4928],[101.9652,2.4122],[95.942,4.5929],[98.2259,7.333],[100.2444,9.8958]]]}},{"type":"Feature","id":"Mus","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[176.4017,-66.7288],[-175.6072,-67.9607],[-170.7041,-69.1356],[-168.43,-68.1081],[-164.4322,-71.5489],[-171.8833,-72.133],[-170.7041,-69.1356]]]}},{"type":"Feature","id":"Nor","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[-118.3773,-45.1732],[-113.204,-47.5548],[-115.0399,-50.1555],[-119.1963,-49.2297],[-118.3773,-45.1732]]]}},{"type":"Feature","id":"Oct","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[-143.2699,-83.6679],[-18.4854,-81.3816],[-34.6306,-77.39],[-143.2699,-83.6679]]]}},{"type":"Feature","id":"Oph","properties":{"rank":"2"},"geometry":{"type":"MultiLineString","coordinates":[[[-90.2434,-9.7736],[-93.0268,2.7073],[-94.1319,4.5673],[-96.2664,12.56],[-105.5829,9.375],[-112.2716,1.9839],[-116.4136,-3.6943],[-115.4196,-4.6925],[-110.7103,-10.5671],[-102.4055,-15.7249]],[[-105.5829,9.375],[-110.7103,-10.5671],[-112.2151,-16.6127],[-113.244,-18.4563],[-113.9742,-20.0373],[-113.6037,-23.4472]],[[-94.1319,4.5673],[-102.4055,-15.7249],[-99.4976,-24.9995],[-98.1614,-29.867]]]}},{"type":"Feature","id":"Ori","properties":{"rank":"1"},"geometry":{"type":"MultiLineString","coordinates":[[[91.893,14.7685],[88.5958,20.2762],[90.9799,20.1385],[92.985,14.2088],[90.5958,9.6473],[88.7929,7.4071],[81.2828,6.3497],[73.7239,10.1508]],[[74.6371,1.714],[73.5629,2.4407],[72.8015,5.6051],[72.46,6.9613],[72.653,8.9002],[73.7239,10.1508],[74.0928,13.5145],[76.1423,15.4041],[77.4248,15.5972]],[[78.6345,-8.2016],[81.1192,-2.3971],[83.0017,-0.2991],[81.2828,6.3497],[83.7845,9.9342],[88.7929,7.4071],[85.1897,-1.9426],[86.9391,-9.6696]],[[85.1897,-1.9426],[84.0534,-1.2019],[83.0017,-0.2991]]]}},{"type":"Feature","id":"Pav","properties":{"rank":"2"},"geometry":{"type":"MultiLineString","coordinates":[[[-53.5881,-56.7351],[-48.7604,-66.2032],[-57.8183,-66.1821],[-76.9457,-62.1876],[-84.1932,-61.4939],[-87.8549,-63.6686],[-93.5667,-64.7239],[-79.2411,-71.4281],[-59.8519,-72.9105],[-48.7604,-66.2032],[-38.3891,-65.3662]]]}},{"type":"Feature","id":"Peg","properties":{"rank":"1"},"geometry":{"type":"MultiLineString","coordinates":[[[-27.5031,33.1782],[-19.2494,30.2212],[-14.0564,28.0828],[2.0969,29.0904],[3.309,15.1836],[-13.8098,15.2053],[-18.3267,12.1729],[-19.6345,10.8314],[-27.4501,6.1979],[-33.9535,9.875]],[[-13.8098,15.2053],[-14.0564,28.0828],[-17.4992,24.6016],[-18.3672,23.5657],[-28.2472,25.3451],[-33.8386,25.645]]]}},{"type":"Feature","id":"Per","properties":{"rank":"1"},"geometry":{"type":"MultiLineString","coordinates":[[[56.0797,32.2882],[58.533,31.8836],[59.7413,35.791],[59.4635,40.0102],[56.2985,42.5785],[55.7313,47.7876],[54.1224,48.1926],[51.0807,49.8612],[46.1991,53.5064],[42.6742,55.8955],[43.5644,52.7625],[47.2667,49.6133],[47.374,44.8575],[47.0422,40.9556],[47.8224,39.6116],[46.2941,38.8403],[44.6903,39.6627],[44.9162,41.0329],[47.0422,40.9556]],[[61.646,50.3513],[63.7244,48.4093],[62.1654,47.7125],[55.7313,47.7876]],[[47.2667,49.6133],[41.0499,49.2284],[25.9152,50.6887]]]}},{"type":"Feature","id":"Phe","properties":{"rank":"2"},"geometry":{"type":"MultiLineString","coordinates":[[[6.571,-42.306],[16.521,-46.7184],[22.0914,-43.3182],[22.8129,-49.0727],[17.0962,-55.2458],[16.521,-46.7184],[2.3527,-45.7474],[6.571,-42.306]]]}},{"type":"Feature","id":"Pic","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[102.0477,-61.9414],[87.4569,-56.1667],[86.8212,-51.0665]]]}},{"type":"Feature","id":"Psc","properties":{"rank":"2"},"geometry":{"type":"MultiLineString","coordinates":[[[18.4373,24.5837],[17.9152,30.0896],[19.8666,27.2641],[18.4373,24.5837],[17.8634,21.0347],[22.8709,15.3458],[26.3485,9.1577],[30.5118,2.7638],[28.389,3.1875],[25.3579,5.4876],[22.5463,6.1438],[18.4329,7.5754],[15.7359,7.8901],[12.1706,7.5851],[-0.1721,6.8633],[-5.0123,5.6263],[-8.0079,6.379],[-9.9142,5.3813],[-10.7086,3.2823],[-8.2669,1.2556],[-4.4883,1.78],[-3.402,3.4868],[-5.0123,5.6263]],[[-10.7086,3.2823],[-14.0308,3.82]]]}},{"type":"Feature","id":"PsA","properties":{"rank":"2"},"geometry":{"type":"MultiLineString","coordinates":[[[-19.8361,-27.0436],[-15.5873,-29.6222],[-16.0129,-32.5396],[-16.8686,-32.8755],[-22.1236,-32.3461],[-27.9041,-32.9885],[-33.7633,-33.0258],[-33.066,-30.8983],[-27.9041,-32.9885],[-19.8361,-27.0436]]]}},{"type":"Feature","id":"Pup","properties":{"rank":"2"},"geometry":{"type":"MultiLineString","coordinates":[[[99.4403,-43.1959],[109.2857,-37.0975],[113.8454,-28.3693],[114.7078,-26.8038],[117.3236,-24.8598],[119.2147,-22.8801],[121.886,-24.3043],[120.896,-40.0031],[122.3831,-47.3366]],[[117.3236,-24.8598],[117.0215,-25.9372],[115.952,-28.9548],[113.8454,-28.3693]]]}},{"type":"Feature","id":"Pyx","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[120.896,-40.0031],[130.0256,-35.3084],[130.8981,-33.1864],[132.633,-27.7098]]]}},{"type":"Feature","id":"Ret","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[63.6062,-62.4739],[64.121,-59.3022],[59.6865,-61.4002],[56.0499,-64.8069],[63.6062,-62.4739]]]}},{"type":"Feature","id":"Sge","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[-64.9759,18.0139],[-63.1531,18.5343],[-60.3107,19.4921]],[[-64.7378,17.476],[-63.1531,18.5343]]]}},{"type":"Feature","id":"Sgr","properties":{"rank":"1"},"geometry":{"type":"MultiLineString","coordinates":[[[-85.5932,-36.7617],[-83.957,-34.3846],[-84.7515,-29.8281],[-83.0073,-25.4217],[-86.5591,-21.0588]],[[-69.3404,-44.459],[-69.0284,-40.6159],[-74.347,-29.8801],[-78.5859,-26.9908],[-83.0073,-25.4217]],[[-61.1846,-41.8683],[-60.0659,-35.2763],[-61.0402,-26.2995],[-65.8232,-24.8836],[-68.6813,-24.5086],[-71.1149,-25.2567],[-76.1836,-26.2967],[-78.5859,-26.9908],[-84.7515,-29.8281],[-88.548,-30.4241],[-83.957,-34.3846],[-74.347,-29.8801],[-73.265,-27.6704],[-76.1836,-26.2967],[-73.8292,-21.7415],[-72.559,-21.0236],[-70.5913,-18.9529],[-69.5818,-17.8472],[-69.5682,-15.955]],[[-73.8292,-21.7415],[-75.5675,-21.1067],[-76.4576,-22.7448],[-76.1836,-26.2967]]]}},{"type":"Feature","id":"Sco","properties":{"rank":"1"},"geometry":{"type":"MultiLineString","coordinates":[[[-120.287,-26.1141],[-119.9166,-22.6217],[-118.6407,-19.8055]],[[-119.9166,-22.6217],[-114.7028,-25.5928],[-112.6481,-26.432],[-111.0294,-28.216],[-107.4591,-34.2932],[-107.0324,-38.0474],[-106.3541,-42.3613],[-101.9617,-43.2392],[-95.6703,-42.9978],[-93.1038,-40.127],[-94.378,-39.03],[-96.5978,-37.1038]]]}},{"type":"Feature","id":"Scl","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[14.6515,-29.3574],[-2.7686,-28.1303],[-10.294,-32.532],[-6.7573,-37.8183]]]}},{"type":"Feature","id":"Sct","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[-81.1982,-8.2441],[-78.2064,-4.7479],[-79.4316,-9.0525],[-82.7006,-14.5658],[-81.1982,-8.2441]]]}},{"type":"Feature","id":"Ser","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[-123.4531,15.4218],[-124.6123,19.6704],[-122.8151,18.1416],[-120.8867,15.6616],[-123.4531,15.4218],[-126.2994,10.5389],[-123.933,6.4256],[-122.296,4.4777],[-116.4136,-3.6943]]]}},{"type":"Feature","id":"Ser","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[-102.4055,-15.7249],[-95.6033,-15.3986],[-90.2434,-9.7736],[-89.2295,-8.1803],[-84.6725,-2.8988],[-75.9451,4.2036]]]}},{"type":"Feature","id":"Sex","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[151.9845,-0.3716],[148.1268,-8.105],[157.3696,-2.7391],[157.5728,-0.637]]]}},{"type":"Feature","id":"Tau","properties":{"rank":"1"},"geometry":{"type":"MultiLineString","coordinates":[[[84.4112,21.1425],[68.9802,16.5093],[67.1656,15.8709],[64.9483,15.6276],[65.7337,17.5425],[67.1542,19.1804],[81.573,28.6075]],[[64.9483,15.6276],[60.1701,12.4903],[51.7923,9.7327],[60.7891,5.9893]],[[51.7923,9.7327],[51.2033,9.0289],[54.2183,0.4017]]]}},{"type":"Feature","id":"Tel","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[-87.1927,-45.9544],[-83.2566,-45.9685],[-82.7923,-49.0706]]]}},{"type":"Feature","id":"Tri","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[28.2704,29.5788],[32.3859,34.9873],[34.3286,33.8472],[28.2704,29.5788]]]}},{"type":"Feature","id":"TrA","properties":{"rank":"2"},"geometry":{"type":"MultiLineString","coordinates":[[[-107.8338,-69.0277],[-121.2143,-63.4307],[-130.2726,-68.6795],[-107.8338,-69.0277]]]}},{"type":"Feature","id":"Tuc","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[-25.3746,-60.2596],[-10.6426,-58.2357],[7.8861,-62.9582],[5.0178,-64.8748],[-0.0209,-65.5771],[-23.1668,-64.9664],[-25.3746,-60.2596]]]}},{"type":"Feature","id":"UMa","properties":{"rank":"1"},"geometry":{"type":"MultiLineString","coordinates":[[[-176.1435,57.0326],[165.932,61.751],[165.4603,56.3824],[178.4577,53.6948],[-176.1435,57.0326],[-166.4927,55.9598],[-159.0186,54.9254],[-153.1148,49.3133]],[[178.4577,53.6948],[176.5126,47.7794],[169.6197,33.0943],[169.5468,31.5308]],[[176.5126,47.7794],[167.4159,44.4985],[155.5823,41.4995]],[[167.4159,44.4985],[154.2741,42.9144]],[[165.932,61.751],[142.8821,63.0619],[127.5661,60.7182],[147.7473,59.0387],[165.4603,56.3824]],[[165.4603,56.3824],[148.0265,54.0643],[143.2143,51.6773],[134.8019,48.0418]],[[135.9064,47.1565],[143.2143,51.6773]]]}},{"type":"Feature","id":"UMi","properties":{"rank":"2"},"geometry":{"type":"MultiLineString","coordinates":[[[-123.9853,77.7945],[-115.6238,75.7553],[-129.8179,71.834],[-137.3236,74.1555],[-123.9853,77.7945],[-108.5073,82.0373],[-96.9458,86.5865],[37.9545,89.2641]]]}},{"type":"Feature","id":"Vel","properties":{"rank":"2"},"geometry":{"type":"MultiLineString","coordinates":[[[131.1759,-54.7088],[140.5284,-55.0107],[149.2156,-54.5678],[161.6924,-49.4203],[153.684,-42.1219],[142.675,-40.4668],[136.999,-43.4326],[122.3831,-47.3366]]]}},{"type":"Feature","id":"Vir","properties":{"rank":"1"},"geometry":{"type":"MultiLineString","coordinates":[[[176.4648,6.5294],[177.6738,1.7647],[-175.0235,-0.6668],[-169.5848,-1.4494],[-162.5125,-5.539],[-158.7018,-11.1613],[-145.9964,-6.0005],[-139.2349,-5.6582]],[[-164.4558,10.9592],[-166.0991,3.3975],[-169.5848,-1.4494]],[[-162.5125,-5.539],[-156.3267,-0.5958],[-149.5884,1.5445],[-138.4378,1.8929]]]}},{"type":"Feature","id":"Vol","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[135.6116,-66.3961],[126.4341,-66.1369],[121.9825,-68.6171],[109.2076,-67.9572],[107.1869,-70.4989],[121.9825,-68.6171],[135.6116,-66.3961]]]}},{"type":"Feature","id":"Vul","properties":{"rank":"3"},"geometry":{"type":"MultiLineString","coordinates":[[[-70.9457,21.3904],[-67.8236,24.6649],[-61.6346,24.0796],[-59.7248,27.7536],[-56.0578,27.8142]]]}}]}'