/* 
Copyright (c) 2015, Olaf Frohn
All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

3. Neither the name of the copyright holder nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

let constellationsJSON = '{"type":"FeatureCollection","features":[{"type":"Feature","id":"And","properties":{"name":"Andromeda","desig":"And","gen":"Andromedae","rank":"1","en":"Andromeda","la":"Andromeda","ar":"المرأة المسلسلة","zh":"仙女座","cz":"Andromeda","fa":"زن به زنجیر بسته","ee":"Andromeeda","fi":"Andromeda","fr":"Andromède","de":"Andromeda","el":"Ανδρομέδα","it":"Andromeda","ja":"アンドロメダ座","ko":"안드로메다자리","hi":"देवयानी","ru":"Андромеда","es":"Andrómeda","tr":"Andromeda","he":"אנדרומדה","sw":"Mara","display":[-350,37,115]},"geometry":{"type":"Point","coordinates":[0.75,43]}},{"type":"Feature","id":"Ant","properties":{"name":"Antlia","desig":"Ant","gen":"Antliae","rank":"3","en":"Air Pump","la":"Antlia","ar":"مفرغة الهواء","zh":"唧筒座","cz":"Vývěva","fa":"تلمبه","ee":"Pump","fi":"Ilmapumppu","fr":"Machine Pneumatique","de":"Luftpumpe","el":"Αντλία","it":"Macchina Pneumatica","ja":"ポンプ座","ko":"공기펌프자리","hi":"वाताकर्षक","ru":"Насос","es":"Máquina Neumática","tr":"Pompa","he":"משאבה","sw":"Pampu","display":[154.1067,-32.4836,60]},"geometry":{"type":"Point","coordinates":[156,-36]}},{"type":"Feature","id":"Aps","properties":{"name":"Apus","desig":"Aps","gen":"Apodis","rank":"3","en":"Bird of Paradise","la":"Apus","ar":"طائر الفردوس","zh":"天燕座","cz":"Rajka","fa":"مرغ بهشتی","ee":"Paradiisilind","fi":"Paratiisilintu","fr":"Oiseau de Paradis","de":"Paradiesvogel","el":"Πτηνόν","it":"Uccello del Paradiso","ja":"ふうちょう座","ko":"극락조자리","hi":"कपोत","ru":"Райская Птица","es":"Ave del Paraíso","tr":"Cennetkuşu","he":"ציפור גן עדן","sw":"Ndege wa Peponi","display":[-118,-75,47]},"geometry":{"type":"Point","coordinates":[-120,-74]}},{"type":"Feature","id":"Aqr","properties":{"name":"Aquarius","desig":"Aqr","gen":"Aquarii","rank":"2","en":"Aquarius","la":"Aquarius","ar":"الدلو","zh":"寶瓶座","cz":"Vodnář","fa":"آب‌ریز","ee":"Veevalaja","fi":"Vesimies","fr":"Verseau","de":"Wassermann","el":"Υδροχόος","it":"Acquario","ja":"みずがめ座","ko":"물병자리","hi":"कुंभ","ru":"Водолей","es":"Acuario","tr":"Kova","he":"דלי","sw":"Ndoo","display":[-25,-11,115]},"geometry":{"type":"Point","coordinates":[-22.5,-5]}},{"type":"Feature","id":"Aql","properties":{"name":"Aquila","desig":"Aql","gen":"Aquilae","rank":"1","en":"Eagle","la":"Aquila","ar":"العقاب","zh":"天鷹座","cz":"Orel","fa":"شاهین","ee":"Kotkas","fi":"Kotka","fr":"Aigle","de":"Adler","el":"Αετός","it":"Aquila","ja":"わし座","ko":"독수리자리","hi":"गरुड","ru":"Орёл","es":"Águila","tr":"Kartal","he":"נשר","sw":"Ukabu","display":[-64.9946,3.4109,64]},"geometry":{"type":"Point","coordinates":[-69,8]}},{"type":"Feature","id":"Ara","properties":{"name":"Ara","desig":"Ara","gen":"Arae","rank":"3","en":"Altar","la":"Ara","ar":"المجمرة","zh":"天壇座","cz":"Oltář","fa":"آتش‌دان","ee":"Altar","fi":"Alttari","fr":"Autel","de":"Altar","el":"Βωμός","it":"Altare","ja":"さいだん座","ko":"제단자리","hi":"पीठ","ru":"Жертвенник","es":"Altar","tr":"Sunak","he":"מזבח","sw":"Madhabahu","display":[-99.3786,-56.5883,59]},"geometry":{"type":"Point","coordinates":[-102,-56]}},{"type":"Feature","id":"Ari","properties":{"name":"Aries","desig":"Ari","gen":"Arietis","rank":"1","en":"Ram","la":"Aries","ar":"الحمل","zh":"白羊座","cz":"Beran","fa":"بره","ee":"Jäär","fi":"Oinas","fr":"Bélier","de":"Widder","el":"Κριός","it":"Ariete","ja":"おひつじ座","ko":"양자리","hi":"मेष","ru":"Овен","es":"Carnero","tr":"Koç","he":"טלה","sw":"Kondoo","display":[39.5412,20.7923,61]},"geometry":{"type":"Point","coordinates":[42,22]}},{"type":"Feature","id":"Aur","properties":{"name":"Auriga","desig":"Aur","gen":"Aurigae","rank":"1","en":"Charioteer","la":"Auriga","ar":"ممسك الأعنة","zh":"御夫座","cz":"Vozka","fa":"ارّابه‌ران","ee":"Veomees","fi":"Ajomies","fr":"Cocher","de":"Fuhrmann","el":"Ηνίοχος","it":"Auriga","ja":"ぎょしゃ座","ko":"마차부자리","hi":"सारथी","ru":"Возничий","es":"Cochero","tr":"Arabacı","he":"עגלון","sw":"Hudhi","display":[91,42,88]},"geometry":{"type":"Point","coordinates":[82.5,37]}},{"type":"Feature","id":"Boo","properties":{"name":"Boötes","desig":"Boo","gen":"Boötis","rank":"1","en":"Herdsman","la":"Bootes","ar":"العواء","zh":"牧夫座","cz":"Pastýř","fa":"مَتراک","ee":"Karjane","fi":"Karhunvartija","fr":"Bouvier","de":"Bärenhüter","el":"Βοώτης","it":"Boote","ja":"うしかい座","ko":"목동자리","hi":"भूतप","ru":"Волопас","es":"Boyero","tr":"Çoban","he":"רועה דובים","sw":"Bakari","display":[-140,31,108]},"geometry":{"type":"Point","coordinates":[-136.5,35]}},{"type":"Feature","id":"Cae","properties":{"name":"Caelum","desig":"Cae","gen":"Caeli","rank":"3","en":"Graving tool","la":"Caelum","ar":"آلة النقاش","zh":"雕具座","cz":"Rydlo","fa":"اِسکِنِه","ee":"Uurits","fi":"Veistotaltta","fr":"Burin","de":"Grabstichel","el":"Γλυφείον","it":"Bulino dello Incisore","ja":"ちょうこくぐ座","ko":"조각칼자리","hi":"टंक","ru":"Резец","es":"Cincel","tr":"Çelikkalem","he":"מפסלת","sw":"Patasi","display":[70.5687,-37.8817,46]},"geometry":{"type":"Point","coordinates":[73.5,-42]}},{"type":"Feature","id":"Cam","properties":{"name":"Camelopardalis","desig":"Cam","gen":"Camelopardalis","rank":"2","en":"Giraffe","la":"Camelopardalis","ar":"الزرافة","zh":"鹿豹座","cz":"Žirafa","fa":"زرّافه","ee":"Kaelkirjak","fi":"Kirahvi","fr":"Girafe","de":"Giraffe","el":"Καμηλοπάρδαλις","it":"Giraffa","ja":"きりん座","ko":"기린자리","hi":"करभ","ru":"Жираф","es":"Jirafa","tr":"Zürafa","sw":"Twiga","display":[80,70,160]},"geometry":{"type":"Point","coordinates":[84,72]}},{"type":"Feature","id":"Cnc","properties":{"name":"Cancer","desig":"Cnc","gen":"Cancri","rank":"2","en":"Crab","la":"Cancer","ar":"السرطان","zh":"巨蟹座","cz":"Rak","fa":"خرچنگ","ee":"Vähk","fi":"Krapu","fr":"Cancer","de":"Krebs","el":"Καρκίνος","it":"Cancro","ja":"かに座","ko":"게자리","hi":"कर्क","ru":"Рак","es":"Cangrejo","tr":"Yengeç","he":"סרטן","sw":"Nge","display":[129.7392,19.8058,57]},"geometry":{"type":"Point","coordinates":[128.25,27]}},{"type":"Feature","id":"CVn","properties":{"name":"Canes Venatici","desig":"CVn","gen":"Canum Venaticorum","rank":"2","en":"Hunting Dogs","la":"Canes Venatici","ar":"السلوقيان","zh":"獵犬座","cz":"Honicí psi","fa":"تازی‌ها","ee":"Jahipenid","fi":"Ajokoirat","fr":"Chiens de Chasse","de":"Jagdhunde","el":"Κύνες Θηρευτικοί","it":"Cani da Caccia","ja":"りょうけん座","ko":"사냥개자리","hi":"श्याम शबल","ru":"Гончие Псы","es":"Lebreles","tr":"Av Köpekleri","he":"כלבי ציד","sw":"Mbwa wawindaji","display":[-163.2598,40.1018,65]},"geometry":{"type":"Point","coordinates":[-168,43]}},{"type":"Feature","id":"CMa","properties":{"name":"Canis Major","desig":"CMa","gen":"Canis Majoris","rank":"1","en":"Great Dog","la":"Canis Maior","ar":"الكلب الأكبر","zh":"大犬座","cz":"Velký pes","fa":"سگِ مِهتَر","ee":"Suur Peni","fi":"Iso koira","fr":"Grand Chien","de":"Großer Hund","el":"Κύων Μέγας","it":"Cane Maggiore","ja":"おおいぬ座","ko":"큰개자리","hi":"बृहद् लुब्धक","ru":"Большой Пёс","es":"Perro Mayor","tr":"Büyük Köpek","he":"כלב גדול","sw":"Mbwa Mkubwa","display":[102.4362,-22.1403,54]},"geometry":{"type":"Point","coordinates":[97.5,-26]}},{"type":"Feature","id":"CMi","properties":{"name":"Canis Minor","desig":"CMi","gen":"Canis Minoris","rank":"2","en":"Little Dog","la":"Canis Minor","ar":"الكلب الأصغر","zh":"小犬座","cz":"Malý pes","fa":"سگِ کِهتَر","ee":"Väike Peni","fi":"Pieni koira","fr":"Petit Chien","de":"Kleiner Hund","el":"Κύων Μικρός","it":"Cane Minore","ja":"こいぬ座","ko":"작은개자리","hi":"लघु लुब्धक","ru":"Малый Пёс","es":"Perro Menor","tr":"Küçük Köpek","he":"כלב קטן","sw":"Mbwa Mdogo","display":[114.7929,6.4272,51]},"geometry":{"type":"Point","coordinates":[109.5,5]}},{"type":"Feature","id":"Cap","properties":{"name":"Capricornus","desig":"Cap","gen":"Capricorni","rank":"2","en":"Capricorn","la":"Capricornus","ar":"الجدي","zh":"摩羯座","cz":"Kozoroh","fa":"بُزماهی","ee":"Kaljukits","fi":"Kauris","fr":"Capricorne","de":"Steinbock","el":"Αιγόκερως","it":"Capricorno","ja":"やぎ座","ko":"염소자리","hi":"मकर","ru":"Козерог","es":"Capricornio","tr":"Oğlak","he":"גדי","sw":"Mbuzi","display":[-44.268,-18.0232,63]},"geometry":{"type":"Point","coordinates":[-45,-22]}},{"type":"Feature","id":"Car","properties":{"name":"Carina","desig":"Car","gen":"Carinae","rank":"1","en":"Keel","la":"Carina","ar":"القاعدة","zh":"船底座","cz":"Lodní kýl","fa":"شاه‌تخته","ee":"Kiil","fi":"Köli","fr":"Carène","de":"Kiel des Schiffs","el":"Τρόπις","it":"Carena","ja":"りゅうこつ座","ko":"용골자리","hi":"नौकातल","ru":"Киль","es":"Carina","tr":"Karina","he":"שדרית","sw":"Mkuku","display":[130.4248,-63.2193,114]},"geometry":{"type":"Point","coordinates":[144,-66]}},{"type":"Feature","id":"Cas","properties":{"name":"Cassiopeia","desig":"Cas","gen":"Cassiopeiae","rank":"1","en":"Cassiopeia","la":"Cassiopeia","ar":"الكرسي","zh":"仙后座","cz":"Kasiopeja","fa":"خداوندِ اورُنگ","ee":"Kassiopeia","fi":"Kassiopeia","fr":"Cassiopée","de":"Kassiopeia","el":"Κασσιόπη","it":"Cassiopeia","ja":"カシオペヤ座","ko":"카시오페이아자리","hi":"शर्मिष्ठा","ru":"Кассиопея","es":"Casiopea","tr":"Koltuk","he":"קסיופאה","sw":"Mke wa Kurusi","display":[-340.2111,62.184,106]},"geometry":{"type":"Point","coordinates":[-6,55.5]}},{"type":"Feature","id":"Cen","properties":{"name":"Centaurus","desig":"Cen","gen":"Centauri","rank":"1","en":"Centaur","la":"Centaurus","ar":"قنطور","zh":"半人馬座","cz":"Kentaur","fa":"قنطورُس","ee":"Kentaur","fi":"Kentauri","fr":"Centaure","de":"Zentaur","el":"Κένταυρος","it":"Centauro","ja":"ケンタウルス座","ko":"센타우루스자리","hi":"नरतुरंग","ru":"Центавр","es":"Centauro","tr":"Erboğa","he":"קנטאור","sw":"Kantarusi","display":[-164,-47,115]},"geometry":{"type":"Point","coordinates":[-160.5,-40]}},{"type":"Feature","id":"Cep","properties":{"name":"Cepheus","desig":"Cep","gen":"Cephei","rank":"2","en":"Cepheus","la":"Cepheus","ar":"الملتهب","zh":"仙王座","cz":"Kefeus","fa":"کیکاوُس","ee":"Kefeus","fi":"Kefeus","fr":"Céphée","de":"Kepheus","el":"Κηφεύς","it":"Cefeo","ja":"ケフェウス座","ko":"세페우스자리","hi":"वृषपर्वा","ru":"Цефей","es":"Cefeo","tr":"Kral","he":"קפאוס","sw":"Kifausi","display":[-18,73,78]},"geometry":{"type":"Point","coordinates":[-22.5,71]}},{"type":"Feature","id":"Cet","properties":{"name":"Cetus","desig":"Cet","gen":"Ceti","rank":"1","en":"Whale","la":"Cetus","ar":"قيطس","zh":"鯨魚座","cz":"Velryba","fa":"وال","ee":"Vaal","fi":"Valaskala","fr":"Baleine","de":"Walfisch","el":"Κήτος","it":"Balena","ja":"くじら座","ko":"고래자리","hi":"तिमिंगिल","ru":"Кит","es":"Ballena","tr":"Balina","he":"לווייתן","sw":"Ketusi","display":[-335,-7,117]},"geometry":{"type":"Point","coordinates":[28.5,-5]}},{"type":"Feature","id":"Cha","properties":{"name":"Chamaeleon","desig":"Cha","gen":"Chamaeleontis","rank":"3","en":"Chamaeleon","la":"Chamaeleon","ar":"الحرباء","zh":"蝘蜒座","cz":"Chameleón","fa":"هورپا","ee":"Kameeleon","fi":"Kameleontti","fr":"Caméléon","de":"Chamäleon","el":"Χαμαιλέων","it":"Camaleonte","ja":"カメレオン座","ko":"카멜레온자리","hi":"वायुभक्ष","ru":"Хамелеон","es":"Camaleón","tr":"Bukalemun","he":"זיקית","sw":"Kinyonga","display":[160,-79,95]},"geometry":{"type":"Point","coordinates":[-171,-81]}},{"type":"Feature","id":"Cir","properties":{"name":"Circinus","desig":"Cir","gen":"Circini","rank":"3","en":"Compass","la":"Circinus","ar":"البيكار","zh":"圓規座","cz":"Kružítko","fa":"دوپَرگار","ee":"Sirkel","fi":"Harppi","fr":"Compas","de":"Zirkel","el":"Διαβήτης","it":"Compasso","ja":"コンパス座","ko":"컴퍼스자리","hi":"कर्काटक","ru":"Циркуль","es":"Compás","tr":"Pergel","he":"מחוגה","sw":"Bikari","display":[-141.365,-63.0304,63]},"geometry":{"type":"Point","coordinates":[-142.5,-67]}},{"type":"Feature","id":"Col","properties":{"name":"Columba","desig":"Col","gen":"Columbae","rank":"3","en":"Dove","la":"Columba","ar":"الحمامة","zh":"天鴿座","cz":"Holubice","fa":"کبوتر","ee":"Tuvi","fi":"Kyyhkynen","fr":"Colombe","de":"Taube","el":"Περιστερά","it":"Colomba","ja":"はと座","ko":"비둘기자리","hi":"पारावत","ru":"Голубь","es":"Paloma","tr":"Güvercin","he":"יונה","sw":"Njiwa","display":[87.9392,-35.0944,59]},"geometry":{"type":"Point","coordinates":[85.5,-39]}},{"type":"Feature","id":"Com","properties":{"name":"Coma Berenices","desig":"Com","gen":"Comae Berenices","rank":"3","en":"Berenice\'s Hair","la":"Coma Berenices","ar":"الهلبة","zh":"后髮座","cz":"Vlasy Bereniky","fa":"گیسویِ بِرِنیسه","ee":"Berenike Juuksed","fi":"Bereniken hiukset","fr":"Chevelure de Bérénice","de":"Haar der Berenike","el":"Κόμη Βερενίκης","it":"Chioma di Berenice","ja":"かみのけ座","ko":"머리털자리","hi":"अरुंधती केश","ru":"Волосы Вероники","es":"Pelo de Berenice","tr":"Berenis\'in Saçı","he":"שיערות ברניקי","sw":"Nywele za Berenike","display":[-168.1833,23.3057,59]},"geometry":{"type":"Point","coordinates":[-166.5,24]}},{"type":"Feature","id":"CrA","properties":{"name":"Corona Austrina","desig":"CrA","gen":"Coronae Austrini","rank":"3","en":"Southern Crown","la":"Corona Australis","ar":"الإكليل الجنوبي","zh":"南冕座","cz":"Jižní koruna","fa":"افسرِ نیم‌روز","ee":"Lõunakroon","fi":"Etelän kruunu","fr":"Couronne Australe","de":"Südliche Krone","el":"Στέφανος Νότιος","it":"Corona Australe","ja":"みなみのかんむり座","ko":"남쪽왕관자리","hi":"दक्षिण मुकुट","ru":"Южная Корона","es":"Corona Austral","tr":"Güneytacı","he":"כתר דרומי","sw":"Kobe","display":[-80.3024,-41.1475,55]},"geometry":{"type":"Point","coordinates":[-78,-40]}},{"type":"Feature","id":"CrB","properties":{"name":"Corona Borealis","desig":"CrB","gen":"Coronae Borealis","rank":"2","en":"Northern Crown","la":"Corona Borealis","ar":"الإكليل الشمالي","zh":"北冕座","cz":"Severní koruna","fa":"افسرِ شمالی","ee":"Põhjakroon","fi":"Pohjan kruunu","fr":"Couronne Boréale","de":"Nördliche Krone","el":"Στέφανος Βόρειος","it":"Corona Boreale","ja":"かんむり座","ko":"북쪽왕관자리","hi":"उत्तर मुकुट","ru":"Северная Корона","es":"Corona Boreal","tr":"Kuzeytacı","he":"כתר צפוני","sw":"Kasi ya Masakini","display":[-122.3521,32.6249,52]},"geometry":{"type":"Point","coordinates":[-121.5,32]}},{"type":"Feature","id":"Crv","properties":{"name":"Corvus","desig":"Crv","gen":"Corvi","rank":"3","en":"Crow","la":"Corvus","ar":"الغراب","zh":"烏鴉座","cz":"Havran","fa":"کلاغ","ee":"Kaaren","fi":"Korppi","fr":"Corbeau","de":"Rabe","el":"Κόραξ","it":"Corvo","ja":"からす座","ko":"남십자자리","hi":"ध्वांक्ष","ru":"Ворон","es":"Cuervo","tr":"Karga","he":"עורב","sw":"Ghurabu","display":[-173.3709,-18.4366,50]},"geometry":{"type":"Point","coordinates":[-174,-19.5]}},{"type":"Feature","id":"Crt","properties":{"name":"Crater","desig":"Crt","gen":"Crateris","rank":"3","en":"Cup","la":"Crater","ar":"الباطية","zh":"巨爵座","cz":"Pohár","fa":"پیاله","ee":"Karikas","fi":"Malja","fr":"Coupe","de":"Becher","el":"Κρατήρ","it":"Coppa","ja":"コップ座","ko":"컵자리","hi":"चषक","ru":"Чаша","es":"Copa","tr":"Kupa","he":"גביע","sw":"Batiya","display":[170.9371,-15.929,51]},"geometry":{"type":"Point","coordinates":[174.75,-15]}},{"type":"Feature","id":"Cru","properties":{"name":"Crux","desig":"Cru","gen":"Crux","rank":"2","en":"Cross","la":"Crux","ar":"صليب الجنوب","zh":"南十字座","cz":"Jižní kříž","fa":"چَلیپا","ee":"Lõunarist","fi":"Etelän risti","fr":"Croix du Sud","de":"Kreuz des Südens","el":"Σταυρός Νότιος","it":"Croce del Sud","ja":"みなみじゅうじ座","ko":"남십자자리","hi":"त्रिशंकु","ru":"Южный Крест","es":"Cruz del Sur","tr":"Haç","he":"הצלב הדרומי","sw":"Salibu","display":[-173.2521,-60.1864,50]},"geometry":{"type":"Point","coordinates":[-166.5,-62]}},{"type":"Feature","id":"Cyg","properties":{"name":"Cygnus","desig":"Cyg","gen":"Cygni","rank":"1","en":"Swan","la":"Cygnus","ar":"الدجاجة","zh":"天鵝座","cz":"Labuť","fa":"قو","ee":"Luik","fi":"Joutsen","fr":"Cygne","de":"Schwan","el":"Κύκνος","it":"Cigno","ja":"はくちょう座","ko":"고니자리","hi":"हंस","ru":"Лебедь","es":"Cisne","tr":"Kuğu","he":"ברבור","sw":"Dajaja","display":[-51.1804,44.5451,79]},"geometry":{"type":"Point","coordinates":[-52.5,50]}},{"type":"Feature","id":"Del","properties":{"name":"Delphinus","desig":"Del","gen":"Delphini","rank":"3","en":"Dolphin","la":"Delphinus","ar":"الدلفين","zh":"海豚座","cz":"Delfín","fa":"دُلفین","ee":"Delfiin","fi":"Delfiini","fr":"Dauphin","de":"Delphin","el":"Δελφίν","it":"Delfino","ja":"いるか座","ko":"돌고래자리","hi":"तिमि","ru":"Дельфин","es":"Delfín","tr":"Yunus","he":"דולפין","sw":"Dalufnin","display":[-49.5963,11.671,49]},"geometry":{"type":"Point","coordinates":[-51,6]}},{"type":"Feature","id":"Dor","properties":{"name":"Dorado","desig":"Dor","gen":"Doradus","rank":"3","en":"Goldfish","la":"Dorado","ar":"أبو سيف","zh":"劍魚座","cz":"Mečoun","fa":"زَرماهی","ee":"Kuldkala","fi":"Kultakala","fr":"Dorade","de":"Goldfisch","el":"Δοράς","it":"Pesce Dorato","ja":"かじき座","ko":"황새치자리","hi":"असिदंष्ट्र","ru":"Золотая Рыба","es":"Pez dorado","tr":"Kılıçbalığı","he":"דג זהב","sw":"Panji","display":[78.628,-59.3871,76]},"geometry":{"type":"Point","coordinates":[76.5,-64]}},{"type":"Feature","id":"Dra","properties":{"name":"Draco","desig":"Dra","gen":"Draconis","rank":"2","en":"Dragon","la":"Draco","ar":"التنين","zh":"天龍座","cz":"Drak","fa":"اژدها","ee":"Lohe","fi":"Lohikäärme","fr":"Dragon","de":"Drache","el":"Δράκων","it":"Dragone","ja":"りゅう座","ko":"용자리","hi":"कालेय","ru":"Дракон","es":"Dragón","tr":"Ejderha","he":"דרקון","sw":"Tinini","display":[-132.8393,67.0066,208]},"geometry":{"type":"Point","coordinates":[-91.5,64]}},{"type":"Feature","id":"Equ","properties":{"name":"Equuleus","desig":"Equ","gen":"Equulei","rank":"3","en":"Colt","la":"Equuleus","ar":"قطعة الفرس","zh":"小馬座","cz":"Koníček","fa":"پاره‌یِ اسب","ee":"Hobu","fi":"Pieni hevonen","fr":"Petit Cheval","de":"Füllen","el":"Ιππάριον","it":"Cavallo","ja":"こうま座","ko":"조랑말자리","hi":"अश्वमुख","ru":"Малый Конь","es":"Caballito","tr":"Tay","he":"סוסון","sw":"Mwanafarasi","display":[-42.1855,7.7582,43]},"geometry":{"type":"Point","coordinates":[-39.75,11.5]}},{"type":"Feature","id":"Eri","properties":{"name":"Eridanus","desig":"Eri","gen":"Eridani","rank":"1","en":"Eridanus","la":"Eridanus","ar":"النهر","zh":"波江座","cz":"Eridanus","fa":"رودخانه","ee":"Eriidanus","fi":"Eridanus","fr":"Eridan","de":"Eridanus","el":"Ηριδανός","it":"Fiume Eridano","ja":"エリダヌス座","ko":"에리다누스자리","hi":"यमुना","ru":"Эридан","es":"Erídano","tr":"Irmak","he":"ארידנוס","sw":"Nahari","display":[50,-28,129]},"geometry":{"type":"Point","coordinates":[52.5,-18]}},{"type":"Feature","id":"For","properties":{"name":"Fornax","desig":"For","gen":"Fornacis","rank":"3","en":"Furnace","la":"Fornax","ar":"الكور","zh":"天爐座","cz":"Pec","fa":"کوره","ee":"Ahi","fi":"Sulatusuuni","fr":"Fourneau","de":"Chemischer Ofen","el":"Κάμινος","it":"Fornace","ja":"ろ座","ko":"화로자리","hi":"अश्मंत","ru":"Печь","es":"Horno","tr":"Ocak","he":"תנור","sw":"Tanuri","display":[41.9698,-31.6346,66]},"geometry":{"type":"Point","coordinates":[40.5,-28]}},{"type":"Feature","id":"Gem","properties":{"name":"Gemini","desig":"Gem","gen":"Geminorum","rank":"1","en":"Twins","la":"Gemini","ar":"التوأمان","zh":"雙子座","cz":"Blíženci","fa":"دوپیِکَر","ee":"Kaksikud","fi":"Kaksoset","fr":"Gémeaux","de":"Zwillinge","el":"Δίδυμοι","it":"Gemelli","ja":"ふたご座","ko":"쌍둥이자리","hi":"मिथुन","ru":"Близнецы","es":"Gemelos","tr":"İkizler","he":"תאומים","sw":"Mapacha","display":[106.0592,22.6002,67]},"geometry":{"type":"Point","coordinates":[107.25,23.5]}},{"type":"Feature","id":"Gru","properties":{"name":"Grus","desig":"Gru","gen":"Gruis","rank":"3","en":"Crane","la":"Grus","ar":"الكركي","zh":"天鶴座","cz":"Jeřáb","fa":"دُرنا","ee":"Kurg","fi":"Kurki","fr":"Grue","de":"Kranich","el":"Γερανός","it":"Gru","ja":"つる座","ko":"두루미자리","hi":"बक","ru":"Журавль","es":"Grulla","tr":"Turna","he":"עגור","sw":"Kuruki","display":[-23.1517,-46.3518,65]},"geometry":{"type":"Point","coordinates":[-18,-41.5]}},{"type":"Feature","id":"Her","properties":{"name":"Hercules","desig":"Her","gen":"Herculis","rank":"2","en":"Hercules","la":"Hercules","ar":"الجاثي","zh":"武仙座","cz":"Herkules","fa":"بر زانو نشسته","ee":"Herkules","fi":"Herkules","fr":"Hercule","de":"Herkules","el":"Ηρακλής","it":"Ercole","ja":"ヘルクレス座","ko":"허큘리스자리","hi":"शौरि","ru":"Геркулес","es":"Hércules","tr":"Herkül","he":"הרקולס","sw":"Rakisi","display":[-99,27,107]},"geometry":{"type":"Point","coordinates":[-106.5,35]}},{"type":"Feature","id":"Hor","properties":{"name":"Horologium","desig":"Hor","gen":"Horologii","rank":"3","en":"Clock","la":"Horologium","ar":"الساعة","zh":"時鐘座","cz":"Hodiny","fa":"ساعت","ee":"Kell","fi":"Heilurikello","fr":"Horloge","de":"Pendeluhr","el":"Ωρολόγιον","it":"Orologio","ja":"とけい座","ko":"시계자리","hi":"कालयंत्र","ru":"Часы","es":"Reloj","tr":"Saat","he":"שעון מטוטלת","sw":"Saa","display":[49.1394,-53.3363,67]},"geometry":{"type":"Point","coordinates":[51,-52]}},{"type":"Feature","id":"Hya","properties":{"name":"Hydra","desig":"Hya","gen":"Hydrae","rank":"2","en":"Sea Serpent","la":"Hydra","ar":"الحية","zh":"長蛇座","cz":"Hydra","fa":"آب‌مار","ee":"Hüdra","fi":"Vesikäärme","fr":"Hydre Femelle","de":"Wasserschlange","el":"Ύδρα","it":"Idra femmina","ja":"うみへび座","ko":"바다뱀자리","hi":"वासुकि","ru":"Гидра","es":"Hidra","tr":"Suyılanı","he":"נחש מים/N","sw":"Shuja","display":[174,-14,173]},"geometry":{"type":"Point","coordinates":[150,-22]}},{"type":"Feature","id":"Hyi","properties":{"name":"Hydrus","desig":"Hyi","gen":"Hydri","rank":"3","en":"Hydrus","la":"Hydrus","ar":"ثعبان البحر","zh":"水蛇座","cz":"Malý vodní had","fa":"نَرمار","ee":"Lõunahüdra","fi":"Etelän vesikäärme","fr":"Hydre Mâle","de":"Kleine Männliche Wasserschlange","el":"Ύδρος","it":"Idra maschio","ja":"みずへび座","ko":"물뱀자리","hi":"अलगर्द","ru":"Южная Гидра","es":"Hidra Macho","tr":"Küçük suyılanı","he":"נחש מים קטן","sw":"Nyoka Maji","display":[35.1637,-69.9564,102]},"geometry":{"type":"Point","coordinates":[34.5,-72]}},{"type":"Feature","id":"Ind","properties":{"name":"Indus","desig":"Ind","gen":"Indi","rank":"3","en":"Indian","la":"Indus","ar":"الهندي","zh":"印第安座","cz":"Indián","fa":"هندی","ee":"Indiaanlane","fi":"Intiaani","fr":"Indien","de":"Inder","el":"Ινδός","it":"Indiano","ja":"インディアン座","ko":"인디언자리","hi":"यम","ru":"Индеец","es":"Indio","tr":"Hintli","he":"אינדיאני","sw":"Mhindi","display":[-40,-63,75]},"geometry":{"type":"Point","coordinates":[-42,-55.5]}},{"type":"Feature","id":"Lac","properties":{"name":"Lacerta","desig":"Lac","gen":"Lacertae","rank":"3","en":"Lizard","la":"Lacerta","ar":"العظاءة","zh":"蠍虎座","cz":"Ještěrka","fa":"چَلپاسه","ee":"Sisalik","fi":"Sisilisko","fr":"Lézard","de":"Eidechse","el":"Σαύρα","it":"Lucertola","ja":"とかげ座","ko":"도마뱀자리","hi":"सरठ","ru":"Ящерица","es":"Lagarto","tr":"Kertenkele","he":"לטאה","sw":"Mjusi","display":[-23.079,46.0418,50]},"geometry":{"type":"Point","coordinates":[-18,47]}},{"type":"Feature","id":"Leo","properties":{"name":"Leo","desig":"Leo","gen":"Leonis","rank":"1","en":"Lion","la":"Leo","ar":"الأسد","zh":"獅子座","cz":"Lev","fa":"شیر","ee":"Lõvi","fi":"Leijona","fr":"Lion","de":"Löwe","el":"Λέων","it":"Leone","ja":"しし座","ko":"사자자리","hi":"सिंह","ru":"Лев","es":"León","tr":"Aslan","he":"אריה","sw":"Simba","display":[160,13,95]},"geometry":{"type":"Point","coordinates":[159,15]}},{"type":"Feature","id":"LMi","properties":{"name":"Leo Minor","desig":"LMi","gen":"Leonis Minoris","rank":"3","en":"Little Lion","la":"Leo Minor","ar":"الأسد الأصغر","zh":"小獅座","cz":"Malý lev","fa":"شیرِ کِهتَر","ee":"Väike Lõvi","fi":"Pieni leijona","fr":"Petit Lion","de":"Kleiner Löwe","el":"Λέων Μικρός","it":"Leone Minore","ja":"こじし座","ko":"작은사자자리","hi":"लघु सिंह","ru":"Малый Лев","es":"León Menor","tr":"Küçük Aslan","he":"אריה קטן","sw":"Simba Mdogo","display":[153.6801,32.1346,61]},"geometry":{"type":"Point","coordinates":[157.5,30]}},{"type":"Feature","id":"Lep","properties":{"name":"Lepus","desig":"Lep","gen":"Leporis","rank":"3","en":"Hare","la":"Lepus","ar":"الأرنب","zh":"天兔座","cz":"Zajíc","fa":"خرگوش","ee":"Jänes","fi":"Jänis","fr":"Lièvre","de":"Hase","el":"Λαγωός","it":"Lepre","ja":"うさぎ座","ko":"토끼자리","hi":"शशक","ru":"Заяц","es":"Conejo","tr":"Tavşan","he":"ארנבת","sw":"Arinabu","display":[83.4875,-19.0463,54]},"geometry":{"type":"Point","coordinates":[88.5,-25]}},{"type":"Feature","id":"Lib","properties":{"name":"Libra","desig":"Lib","gen":"Librae","rank":"2","en":"Balance","la":"Libra","ar":"الميزان","zh":"天秤座","cz":"Váhy","fa":"ترازو","ee":"Kaalud","fi":"Vaaka","fr":"Balance","de":"Waage","el":"Ζυγός","it":"Bilancia","ja":"てんびん座","ko":"천칭자리","hi":"तुळ","ru":"Весы","es":"Balanza","tr":"Terazi","he":"מאזניים","sw":"Mizani","display":[-132.0099,-15.2346,60]},"geometry":{"type":"Point","coordinates":[-129,-26]}},{"type":"Feature","id":"Lup","properties":{"name":"Lupus","desig":"Lup","gen":"Lupi","rank":"3","en":"Wolf","la":"Lupus","ar":"السبع","zh":"豺狼座","cz":"Vlk","fa":"گُرگ","ee":"Hunt","fi":"Susi","fr":"Loup","de":"Wolf","el":"Λύκος","it":"Lupo","ja":"おおかみ座","ko":"이리자리","hi":"वृक","ru":"Волк","es":"Lobo","tr":"Kurt","he":"זאב","sw":"Dhibu","display":[-131.6985,-42.7089,63]},"geometry":{"type":"Point","coordinates":[-131.25,-35]}},{"type":"Feature","id":"Lyn","properties":{"name":"Lynx","desig":"Lyn","gen":"Lyncis","rank":"3","en":"Lynx","la":"Lynx","ar":"الوشق","zh":"天貓座","cz":"Rys","fa":"سیاه‌گوش","ee":"Ilves","fi":"Ilves","fr":"Lynx","de":"Luchs","el":"Λυγξ","it":"Lince","ja":"やまねこ座","ko":"살쾡이자리","hi":"गवय","ru":"Рысь","es":"Lince","tr":"Vaşak","he":"לינקס","sw":"Washaki","display":[119.8833,47.4666,87]},"geometry":{"type":"Point","coordinates":[121.5,49]}},{"type":"Feature","id":"Lyr","properties":{"name":"Lyra","desig":"Lyr","gen":"Lyrae","rank":"2","en":"Lyre","la":"Lyra","ar":"القيثارة","zh":"天琴座","cz":"Lyra","fa":"چَنگِ رومی","ee":"Lüüra","fi":"Lyyra","fr":"Lyre","de":"Leier","el":"Λύρα","it":"Lira","ja":"こと座","ko":"거문고자리","hi":"स्वरमंडळ","ru":"Лира","es":"Lira","tr":"Çalgı","he":"נבל","sw":"Shaliaki","display":[-77.2067,36.6893,54]},"geometry":{"type":"Point","coordinates":[-81,30]}},{"type":"Feature","id":"Men","properties":{"name":"Mensa","desig":"Men","gen":"Mensae","rank":"3","en":"Mensa","la":"Mensa","ar":"الجبل","zh":"山案座","cz":"Tabulová hora","fa":"کوه‌میز","ee":"Lavamägi","fi":"Pöytävuori","fr":"Table","de":"Tafelberg","el":"Τράπεζα","it":"Mensa","ja":"テーブルさん座","ko":"테이블산자리","hi":"त्रिकुट","ru":"Столовая Гора","es":"Mesa","tr":"Masa","he":"הר השולחן","sw":"Meza","display":[81.2238,-77.5041,101]},"geometry":{"type":"Point","coordinates":[82.5,-80]}},{"type":"Feature","id":"Mic","properties":{"name":"Microscopium","desig":"Mic","gen":"Microscopii","rank":"3","en":"Microscope","la":"Microscopium","ar":"المجهر","zh":"顯微鏡座","cz":"Mikroskop","fa":"ریزبین","ee":"Mikroskoop","fi":"Mikroskooppi","fr":"Microscope","de":"Mikroskop","el":"Μικροσκόπιον","it":"Microscopio","ja":"けんびきょう座","ko":"현미경자리","hi":"सूक्ष्मदर्शी","ru":"Микроскоп","es":"Microscopio","tr":"Mikroskop","he":"מיקרוסקופ","sw":"Hadubini","display":[-45.5299,-36.2748,50]},"geometry":{"type":"Point","coordinates":[-43.5,-37]}},{"type":"Feature","id":"Mon","properties":{"name":"Monoceros","desig":"Mon","gen":"Monocerotis","rank":"2","en":"Unicorn","la":"Monoceros","ar":"وحيد القرن","zh":"麒麟座","cz":"Jednorožec","fa":"تک‌شاخ","ee":"Ükssarvik","fi":"Yksisarvinen","fr":"Licorne","de":"Einhorn","el":"Μονόκερως","it":"Unicorno","ja":"いっかくじゅう座","ko":"외뿔소자리","hi":"शृंगाश्व","ru":"Единорог","es":"Unicornio","tr":"Tekboynuz","he":"חד קרן","sw":"Munukero","display":[105,0,73]},"geometry":{"type":"Point","coordinates":[114.75,-6]}},{"type":"Feature","id":"Mus","properties":{"name":"Musca","desig":"Mus","gen":"Muscae","rank":"3","en":"Fly","la":"Musca","ar":"الذبابة","zh":"蒼蠅座","cz":"Moucha","fa":"مَگَس","ee":"Kärbes","fi":"Kärpänen","fr":"Mouche","de":"Fliege","el":"Μυία","it":"Mosca","ja":"はえ座","ko":"파리자리","hi":"मक्षिका","ru":"Муха","es":"Mosca","tr":"Sinek","he":"זבוב","sw":"Nzi","display":[-171.1808,-70.161,73]},"geometry":{"type":"Point","coordinates":[-165,-73]}},{"type":"Feature","id":"Nor","properties":{"name":"Norma","desig":"Nor","gen":"Normae","rank":"3","en":"Level","la":"Norma","ar":"مربع النجار","zh":"矩尺座","cz":"Pravítko","fa":"چارگوش","ee":"Vinkel","fi":"Kulmaviivoitin","fr":"Règle","de":"Winkelmaß","el":"Γνώμων","it":"Squadra","ja":"じょうぎ座","ko":"직각자자리","hi":"रेखाटणी","ru":"Наугольник","es":"Escuadra","tr":"Cetvel","he":"סרגל","sw":"Pembemraba","display":[-121.4543,-51.3515,56]},"geometry":{"type":"Point","coordinates":[-117,-52]}},{"type":"Feature","id":"Oct","properties":{"name":"Octans","desig":"Oct","gen":"Octantis","rank":"3","en":"Octant","la":"Octans","ar":"الثمن","zh":"南極座","cz":"Oktant","fa":"هَشتَک","ee":"Oktant","fi":"Oktantti","fr":"Octant","de":"Oktant","el":"Οκτάς","it":"Ottante","ja":"はちぶんぎ座","ko":"팔분의자리","hi":"अष्टक","ru":"Октант","es":"Bastón","tr":"Sekizlik","he":"אוקטנט","sw":"Thumni","display":[-30,-83,50]},"geometry":{"type":"Point","coordinates":[-60,-80]}},{"type":"Feature","id":"Oph","properties":{"name":"Ophiuchus","desig":"Oph","gen":"Ophiuchi","rank":"2","en":"Ophiuchus","la":"Ophiuchus","ar":"الحواء","zh":"蛇夫座","cz":"Hadonoš","fa":"ماراَفسای","ee":"Maokandja","fi":"Käärmeenkantaja","fr":"Ophiuchus","de":"Schlangenträger","el":"Οφιούχος","it":"Ofiucho","ja":"へびつかい座","ko":"뱀주인자리","hi":"भुजंगधारी","ru":"Змееносец","es":"Ofiuco","tr":"Yılancı","he":"נושא הנחש","sw":"Hawaa","display":[-99,-7,105]},"geometry":{"type":"Point","coordinates":[-102,3]}},{"type":"Feature","id":"Ori","properties":{"name":"Orion","desig":"Ori","gen":"Orionis","rank":"1","en":"Orion","la":"Orion","ar":"الجبار","zh":"獵戶座","cz":"Orion","fa":"شکارچی","ee":"Orion","fi":"Orion","fr":"Orion","de":"Orion","el":"Ωρίων","it":"Orione","ja":"オリオン座","ko":"오리온자리","hi":"मृग","ru":"Орион","es":"Orión","tr":"Avcı","he":"אוריון","sw":"Jabari","display":[83,6,75]},"geometry":{"type":"Point","coordinates":[84,13]}},{"type":"Feature","id":"Pav","properties":{"name":"Pavo","desig":"Pav","gen":"Pavonis","rank":"2","en":"Peacock","la":"Pavo","ar":"الطاووس","zh":"孔雀座","cz":"Páv","fa":"طاووس","ee":"Paabulind","fi":"Riikinkukko","fr":"Paon","de":"Pfau","el":"Ταώς","it":"Pavone","ja":"くじゃく座","ko":"공작자리","hi":"मयुर","ru":"Павлин","es":"Pavo","tr":"Tavus","he":"טווס","sw":"Tausi","display":[-65.8235,-65.7815,93]},"geometry":{"type":"Point","coordinates":[-63,-62]}},{"type":"Feature","id":"Peg","properties":{"name":"Pegasus","desig":"Peg","gen":"Pegasi","rank":"1","en":"Pegasus","la":"Pegasus","ar":"الفرس الأعظم","zh":"飛馬座","cz":"Pegas","fa":"اسب بال‌دار","ee":"Pegasus","fi":"Pegasus","fr":"Pégase","de":"Pegasus","el":"Πήγασος","it":"Pegaso","ja":"ペガスス座","ko":"페가수스자리","hi":"उच्चै:श्रवा","ru":"Пегас","es":"Pegaso","tr":"Kanatlıat","he":"פגסוס","sw":"Farasi","display":[-19,19,95]},"geometry":{"type":"Point","coordinates":[-25.5,16]}},{"type":"Feature","id":"Per","properties":{"name":"Perseus","desig":"Per","gen":"Persei","rank":"1","en":"Perseus","la":"Perseus","ar":"حامل رأس الغول","zh":"英仙座","cz":"Perseus","fa":"پَرساوُش","ee":"Perseus","fi":"Perseus","fr":"Persée","de":"Perseus","el":"Περσεύς","it":"Perseo","ja":"ペルセウス座","ko":"페르세우스자리","hi":"ययाती","ru":"Персей","es":"Perseo","tr":"Kahraman","he":"פרסאוס","sw":"Farisi","display":[47.6241,45.0132,85]},"geometry":{"type":"Point","coordinates":[66,45]}},{"type":"Feature","id":"Phe","properties":{"name":"Phoenix","desig":"Phe","gen":"Phoenicis","rank":"2","en":"Phoenix","la":"Phoenix","ar":"العنقاء","zh":"鳳凰座","cz":"Fénix","fa":"سیمرغ","ee":"Fööniks","fi":"Feeniks","fr":"Phénix","de":"Phoenix","el":"Φοίνιξ","it":"Fenice","ja":"ほうおう座","ko":"봉황자리","hi":"जटायू","ru":"Феникс","es":"Fénix","tr":"Anka","he":"עוף החול","sw":"Zoraki","display":[-346.0216,-48.5762,80]},"geometry":{"type":"Point","coordinates":[16.5,-43]}},{"type":"Feature","id":"Pic","properties":{"name":"Pictor","desig":"Pic","gen":"Pictoris","rank":"3","en":"Painter","la":"Pictor","ar":"آلة الرسام","zh":"繪架座","cz":"Malíř","fa":"سه‌پایه","ee":"Maalija","fi":"Maalari","fr":"Peintre","de":"Maler","el":"Οκρίβας","it":"Pittore","ja":"がか座","ko":"화가자리","hi":"चित्रफलक","ru":"Живописец","es":"Paleta del Pintor","tr":"Ressam","he":"כן ציור","sw":"Mchoraji","display":[85.6144,-53.4741,70]},"geometry":{"type":"Point","coordinates":[82.5,-50]}},{"type":"Feature","id":"Psc","properties":{"name":"Pisces","desig":"Psc","gen":"Piscium","rank":"2","en":"Fishes","la":"Pisces","ar":"الحوت","zh":"雙魚座","cz":"Ryby","fa":"دوماهی","ee":"Kalad","fi":"Kalat","fr":"Poissons","de":"Fische","el":"Ιχθύες","it":"Pesci","ja":"うお座","ko":"물고기자리","hi":"मीन","ru":"Рыбы","es":"Peces","tr":"Balık","he":"דגים","sw":"Samaki","display":[-353,14,125]},"geometry":{"type":"Point","coordinates":[19.5,15]}},{"type":"Feature","id":"PsA","properties":{"name":"Piscis Austrinus","desig":"PsA","gen":"Piscis Austrini","rank":"2","en":"Southern Fish","la":"Piscis Austrinus","ar":"الحوت الجنوبي","zh":"南魚座","cz":"Jižní ryba","fa":"ماهیِ نیم‌روزی","ee":"Lõunakala","fi":"Etelän kala","fr":"Poisson Austral","de":"Südlicher Fisch","el":"Ιχθύς Νότιος","it":"Pesce Australe","ja":"みなみのうお座","ko":"남쪽물고기자리","hi":"दक्षिण मत्स्य","ru":"Южная Рыба","es":"Pez Austral","tr":"Güneybalığı","he":"דג דרומי","sw":"Hutu Junubi","display":[-25.7324,-30.6422,60]},"geometry":{"type":"Point","coordinates":[-27,-29]}},{"type":"Feature","id":"Pup","properties":{"name":"Puppis","desig":"Pup","gen":"Puppis","rank":"2","en":"Poop Deck","la":"Puppis","ar":"الكوثل","zh":"船尾座","cz":"Lodní záď","fa":"کشتی‌دُم","ee":"Ahter","fi":"Peräkeula","fr":"Poupe","de":"Achterdeck","el":"Πρύμνη","it":"Poppa","ja":"とも座","ko":"고물자리","hi":"नौका अरित्र","ru":"Корма","es":"Popa","tr":"Pupa","he":"ירכתי הספינה","sw":"Shetri","display":[109,-31,91]},"geometry":{"type":"Point","coordinates":[111,-46]}},{"type":"Feature","id":"Pyx","properties":{"name":"Pyxis","desig":"Pyx","gen":"Pyxidis","rank":"3","en":"Compass","la":"Pyxis","ar":"بيت الإبرة","zh":"羅盤座","cz":"Kompas","fa":"قطب‌نما","ee":"Kompass","fi":"Kompassi","fr":"Boussole","de":"Schiffskompass","el":"Πυξίς","it":"Bussola","ja":"らしんばん座","ko":"나침반자리","hi":"दिग्दर्शक","ru":"Компас","es":"Brújula","tr":"Kumpas","he":"מצפן","sw":"Dira","display":[134.2911,-27.3516,50]},"geometry":{"type":"Point","coordinates":[132,-24]}},{"type":"Feature","id":"Ret","properties":{"name":"Reticulum","desig":"Ret","gen":"Reticuli","rank":"3","en":"Net","la":"Reticulum","ar":"الشبكة","zh":"網罟座","cz":"Síť","fa":"تاربَست","ee":"Võrk","fi":"Verkko","fr":"Réticule","de":"Netz","el":"Δίκτυον","it":"Reticolo","ja":"レチクル座","ko":"그물자리","hi":"जाल","ru":"Сетка","es":"Retículo","tr":"Ağcık","he":"רשת","sw":"Nyavu","display":[58.8186,-59.9975,56]},"geometry":{"type":"Point","coordinates":[55.5,-61]}},{"type":"Feature","id":"Sge","properties":{"name":"Sagitta","desig":"Sge","gen":"Sagittae","rank":"3","en":"Arrow","la":"Sagitta","ar":"السهم","zh":"天箭座","cz":"Šíp","fa":"پیکان","ee":"Nool","fi":"Nuoli","fr":"Flèche","de":"Pfeil","el":"Βέλος","it":"Freccia","ja":"や座","ko":"화살자리","hi":"शर","ru":"Стрела","es":"Flecha","tr":"Okçuk","he":"חץ","sw":"Sagita","display":[-65.237,18.8614,56]},"geometry":{"type":"Point","coordinates":[-69,18]}},{"type":"Feature","id":"Sgr","properties":{"name":"Sagittarius","desig":"Sgr","gen":"Sagittarii","rank":"1","en":"Archer","la":"Sagittarius","ar":"الرامي","zh":"人馬座","cz":"Střelec","fa":"نیم‌اسب","ee":"Ambur","fi":"Jousimies","fr":"Sagittaire","de":"Schütze","el":"Τοξότης","it":"Sagittario","ja":"いて座","ko":"궁수자리","hi":"धनु","ru":"Стрелец","es":"Sagitario","tr":"Yay","he":"קשת","sw":"Mshale","display":[-73.5153,-28.4769,76]},"geometry":{"type":"Point","coordinates":[-67.5,-34]}},{"type":"Feature","id":"Sco","properties":{"name":"Scorpius","desig":"Sco","gen":"Scorpii","rank":"1","en":"Scorpion","la":"Scorpius","ar":"العقرب","zh":"天蠍座","cz":"Štír","fa":"کَژدُم","ee":"Skorpion","fi":"Skorpioni","fr":"Scorpion","de":"Skorpion","el":"Σκορπιός","it":"Scorpione","ja":"さそり座","ko":"전갈자리","hi":"वृश्चिक","ru":"Скорпион","es":"Escorpión","tr":"Akrep","he":"עקרב","sw":"Nge","display":[-106,-32,73]},"geometry":{"type":"Point","coordinates":[-111,-38]}},{"type":"Feature","id":"Scl","properties":{"name":"Sculptor","desig":"Scl","gen":"Sculptoris","rank":"3","en":"Sculptor","la":"Sculptor","ar":"معمل النحات","zh":"玉夫座","cz":"Sochař","fa":"سنگ‌تراش","ee":"Kujur","fi":"Kuvanveistäjä","fr":"Sculpteur","de":"Bildhauer","el":"Γλύπτης","it":"Scultore","ja":"ちょうこくしつ座","ko":"조각가자리","hi":"पाषाणकुट्टक","ru":"Скульптор","es":"Escultor","tr":"Heykeltraş","he":"פסל","sw":"Najari","display":[-353.4301,-32.0884,75]},"geometry":{"type":"Point","coordinates":[1.5,-33]}},{"type":"Feature","id":"Sct","properties":{"name":"Scutum","desig":"Sct","gen":"Scuti","rank":"3","en":"Shield","la":"Scutum","ar":"الترس","zh":"盾牌座","cz":"Štít","fa":"سِپَر","ee":"Kilp","fi":"Kilpi","fr":"Écu de Sobieski","de":"Schild","el":"Ασπίς","it":"Scudo","ja":"たて座","ko":"방패자리","hi":"फलक","ru":"Щит","es":"Escudo","tr":"Kalkan","he":"מגן","sw":"Ngao","display":[-79.9036,-9.8886,44]},"geometry":{"type":"Point","coordinates":[-78,-12.5]}},{"type":"Feature","id":"Ser","properties":{"name":"Serpens Caput","desig":"Ser","gen":"Serpentis","rank":"3","en":"Serpent","la":"Serpens","ar":"الحية","zh":"巨蛇座","cz":"Had","fa":"افعی","ee":"Madu","fi":"Käärme","fr":"Serpent","de":"Schlange","el":"Όφις","it":"Serpente","ja":"へび座","ko":"뱀자리","hi":"भुजंग","ru":"Змея","es":"Serpiente","tr":"Yılan","he":"נחש","sw":"Hayya","display":[-104,5,145]},"geometry":{"type":"Point","coordinates":[-127.5,5]}},{"type":"Feature","id":"Ser","properties":{"name":"Serpens Cauda","desig":"Ser","gen":"Serpentis","rank":"3","en":"Serpent","la":"Serpens","ar":"الحية","zh":"巨蛇座","cz":"Had","fa":"افعی","ee":"Madu","fi":"Käärme","fr":"Serpent","de":"Schlange","el":"Όφις","it":"Serpente","ja":"へび座","ko":"뱀자리","hi":"भुजंग","ru":"Змея","es":"Serpiente","tr":"Yılan","he":"נחש","sw":"Hayya","display":[-104,5,145]},"geometry":{"type":"Point","coordinates":[-79.5,3]}},{"type":"Feature","id":"Sex","properties":{"name":"Sextans","desig":"Sex","gen":"Sextantis","rank":"3","en":"Sextant","la":"Sextans","ar":"السدس","zh":"六分儀座","cz":"Sextant","fa":"سِکِستان","ee":"Sekstant","fi":"Sekstantti","fr":"Sextant","de":"Sextant","el":"Εξάς","it":"Sestante","ja":"ろくぶんぎ座","ko":"육분의자리","hi":"षडंश","ru":"Секстант","es":"Sextante","tr":"Altılık","he":"סקסטנט","sw":"Sudusi","display":[154.0731,-2.6147,53]},"geometry":{"type":"Point","coordinates":[157.5,-7]}},{"type":"Feature","id":"Tau","properties":{"name":"Taurus","desig":"Tau","gen":"Tauri","rank":"1","en":"Bull","la":"Taurus","ar":"الثور","zh":"金牛座","cz":"Býk","fa":"گاو","ee":"Sõnn","fi":"Härkä","fr":"Taureau","de":"Stier","el":"Ταύρος","it":"Toro","ja":"おうし座","ko":"황소자리","hi":"वृषभ","ru":"Телец","es":"Toro","tr":"Boğa","he":"שור","sw":"Ng\'ombe","display":[70,15,94]},"geometry":{"type":"Point","coordinates":[54,15]}},{"type":"Feature","id":"Tel","properties":{"name":"Telescopium","desig":"Tel","gen":"Telescopii","rank":"3","en":"Telescope","la":"Telescopium","ar":"المرقب","zh":"望遠鏡座","cz":"Dalekohled","fa":"تِلِسکوپ","ee":"Teleskoop","fi":"Kaukoputki","fr":"Télescope","de":"Teleskop","el":"Τηλεσκόπιον","it":"Telescopio","ja":"ぼうえんきょう座","ko":"망원경자리","hi":"दूरदर्शी","ru":"Телескоп","es":"Telescopio","tr":"Dürbün","he":"טלסקופ","sw":"Darubini","display":[-70.1161,-51.0369,70]},"geometry":{"type":"Point","coordinates":[-82.5,-54]}},{"type":"Feature","id":"Tri","properties":{"name":"Triangulum","desig":"Tri","gen":"Trianguli","rank":"3","en":"Triangle","la":"Triangulum","ar":"المثلث","zh":"三角座","cz":"Trojúhelník","fa":"سه‌گوش","ee":"Kolmnurk","fi":"Kolmio","fr":"Triangle","de":"Dreieck","el":"Τρίγωνον","it":"Triangolo","ja":"さんかく座","ko":"삼각형자리","hi":"त्रिकोण","ru":"Треугольник","es":"Triángulo","tr":"Üçgen","he":"משולש","sw":"Pembetatu","display":[32.7664,31.4761,55]},"geometry":{"type":"Point","coordinates":[27,34]}},{"type":"Feature","id":"TrA","properties":{"name":"Triangulum Australe","desig":"TrA","gen":"Trianguli Australis","rank":"2","en":"Southern Triangle","la":"Triangulum Australe","ar":"المثلث الجنوبي","zh":"南三角座","cz":"Jižní trojúhelník","fa":"سه‌گوشِ جنوبی","ee":"Lõunakolmnurk","fi":"Etelän kolmio","fr":"Triangle Austral","de":"Südliches Dreieck","el":"Τρίγωνον Νότιον","it":"Triangolo Australe","ja":"みなみのさんかく座","ko":"남쪽삼각형자리","hi":"दक्षिण त्रिकोण","ru":"Южный Треугольник","es":"Triángulo Austral","tr":"Güney Üçgeni","he":"משולש צפוני","sw":"Pembetatu ya Kusini","display":[-118.7628,-65.388,69]},"geometry":{"type":"Point","coordinates":[-120,-67.5]}},{"type":"Feature","id":"Tuc","properties":{"name":"Tucana","desig":"Tuc","gen":"Tucanae","rank":"3","en":"Toucan","la":"Tucana","ar":"الطوقان","zh":"杜鵑座","cz":"Tukan","fa":"توکایی","ee":"Tuukan","fi":"Tukaani","fr":"Toucan","de":"Tukan","el":"Τουκάνα","it":"Tucano","ja":"きょしちょう座","ko":"큰부리새자리","hi":"कारंडव","ru":"Тукан","es":"Tucán","tr":"Tukan","he":"טוקאן","sw":"Tukani","display":[-3.34,-65.83,84]},"geometry":{"type":"Point","coordinates":[-12,-64]}},{"type":"Feature","id":"UMa","properties":{"name":"Ursa Major","desig":"UMa","gen":"Ursae Majoris","rank":"1","en":"Big Dipper","la":"Ursa Maior","ar":"الدب الأكبر","zh":"大熊座","cz":"Velká medvědice","fa":"خِرسِ مِهتَر","ee":"Suur Vanker","fi":"Iso karhu","fr":"Grande Ourse","de":"Großer Bär","el":"Άρκτος Μεγάλη","it":"Orsa Maggiore","ja":"おおぐま座","ko":"큰곰자리","hi":"सप्तर्षी","ru":"Большая Медведица","es":"Osa Mayor","tr":"Büyük Ayı","he":"הדובה הגדולה","sw":"Dubu Mkubwa","display":[169.6902,50.7212,130]},"geometry":{"type":"Point","coordinates":[165,48]}},{"type":"Feature","id":"UMi","properties":{"name":"Ursa Minor","desig":"UMi","gen":"Ursae Minoris","rank":"2","en":"Little Dipper","la":"Ursa Minor","ar":"الدب الأصغر","zh":"小熊座","cz":"Malý medvěd","fa":"خِرسِ کِهتَر","ee":"Väike Vanker","fi":"Pieni karhu","fr":"Petite Ourse","de":"Kleiner Bär","el":"Άρκτος Μικρή","it":"Orsa Minore","ja":"こぐま座","ko":"작은곰자리","hi":"लघु ऋक्ष","ru":"Малая Медведица","es":"Osa Menor","tr":"Küçük Ayı","he":"הדובה הקטנה","sw":"Dubu Mdogo","display":[-140,78,42]},"geometry":{"type":"Point","coordinates":[-133.5,68]}},{"type":"Feature","id":"Vel","properties":{"name":"Vela","desig":"Vel","gen":"Velorum","rank":"2","en":"Sails","la":"Vela","ar":"الشجاع","zh":"船帆座","cz":"Plachty","fa":"بادبان‌ها","ee":"Purjed","fi":"Purje","fr":"Voiles","de":"Segel","el":"Ιστία","it":"Vela","ja":"ほ座","ko":"돛자리","hi":"नौ-शीर्ष","ru":"Паруса","es":"Vela","tr":"Yelken","he":"מפרש","sw":"Tanga","display":[143.6591,-47.1672,81]},"geometry":{"type":"Point","coordinates":[143.25,-46]}},{"type":"Feature","id":"Vir","properties":{"name":"Virgo","desig":"Vir","gen":"Virginis","rank":"1","en":"Virgin","la":"Virgo","ar":"العذراء","zh":"處女座","cz":"Panna","fa":"خوشه","ee":"Neitsi","fi":"Neitsyt","fr":"Vierge","de":"Jungfrau","el":"Παρθένος","it":"Vergine","ja":"おとめ座","ko":"처녀자리","hi":"कन्या","ru":"Дева","es":"Virgen","tr":"Başak","he":"בתולה","sw":"Mashuke","display":[-158,-4,120]},"geometry":{"type":"Point","coordinates":[-160.5,-4]}},{"type":"Feature","id":"Vol","properties":{"name":"Volans","desig":"Vol","gen":"Volantis","rank":"3","en":"Flying Fish","la":"Volans","ar":"السمكة الطائرة","zh":"飛鱼座","cz":"Létající ryba","fa":"ماهیِ پرنده","ee":"Lendkala","fi":"Lentokala","fr":"Poisson Volant","de":"Fliegender Fisch","el":"Ιχθύς Ιπτάμενος","it":"Pesce volante","ja":"とびうお座","ko":"날치자리","hi":"तिमि","ru":"Летучая Рыба","es":"Pez Volador","tr":"Uçanbalık","he":"דג מעופף","sw":"Panzimaji","display":[116.9327,-69.8012,73]},"geometry":{"type":"Point","coordinates":[111,-73]}},{"type":"Feature","id":"Vul","properties":{"name":"Vulpecula","desig":"Vul","gen":"Vulpeculae","rank":"3","en":"Little Fox","la":"Vulpecula","ar":"الثعلب","zh":"狐狸座","cz":"Lištička","fa":"روباه","ee":"Rebane","fi":"Kettu","fr":"Petit Renard","de":"Fuchs","el":"Αλώπηξ","it":"Volpetta","ja":"こぎつね座","ko":"작은여우자리","hi":"जंबुक","ru":"Лисичка","es":"Zorro","tr":"Tilkicik","he":"שועלון","sw":"Mbweha","display":[-56.5304,24.4427,73]},"geometry":{"type":"Point","coordinates":[-64.5,21]}}]}'