/* 
Copyright (c) 2015, Olaf Frohn
All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

3. Neither the name of the copyright holder nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

let messierJSON = '{"type":"FeatureCollection","features":[{"type":"Feature","id":"M1","properties":{"name":"M1","desig":"NGC 1952","alt":"Crab Nebula","type":"snr","mag":8.4,"dim":"6x4","cl":""},"geometry":{"type":"Point","coordinates":[83.625,22.0167]}},{"type":"Feature","id":"M2","properties":{"name":"M2","desig":"NGC 7089","alt":"","type":"gc","mag":6.5,"dim":"13","cl":"II"},"geometry":{"type":"Point","coordinates":[-36.625,-0.8167]}},{"type":"Feature","id":"M3","properties":{"name":"M3","desig":"NGC 5272","alt":"","type":"gc","mag":6.4,"dim":"16","cl":"VI"},"geometry":{"type":"Point","coordinates":[-154.45,28.3833]}},{"type":"Feature","id":"M4","properties":{"name":"M4","desig":"NGC 6121","alt":"","type":"gc","mag":5.9,"dim":"26","cl":"IX"},"geometry":{"type":"Point","coordinates":[-114.1,-26.5333]}},{"type":"Feature","id":"M5","properties":{"name":"M5","desig":"NGC 5904","alt":"","type":"gc","mag":5.8,"dim":"17","cl":"V"},"geometry":{"type":"Point","coordinates":[-130.35,2.0833]}},{"type":"Feature","id":"M6","properties":{"name":"M6","desig":"NGC 6405","alt":"Butterfly Cluster","type":"oc","mag":4.2,"dim":"15","cl":"III2p"},"geometry":{"type":"Point","coordinates":[-94.9751,-32.2167]}},{"type":"Feature","id":"M7","properties":{"name":"M7","desig":"NGC 6475","alt":"Ptolemy´s Cluster","type":"oc","mag":3.3,"dim":"80","cl":"II2r"},"geometry":{"type":"Point","coordinates":[-91.525,-34.8167]}},{"type":"Feature","id":"M8","properties":{"name":"M8","desig":"NGC 6523","alt":"Lagoon Nebula","type":"sfr","mag":5.8,"dim":"90x40","cl":""},"geometry":{"type":"Point","coordinates":[-89.05,-24.3833]}},{"type":"Feature","id":"M9","properties":{"name":"M9","desig":"NGC 6333","alt":"","type":"gc","mag":7.9,"dim":"9","cl":"VIII"},"geometry":{"type":"Point","coordinates":[-100.2,-18.5167]}},{"type":"Feature","id":"M10","properties":{"name":"M10","desig":"NGC 6254","alt":"","type":"gc","mag":6.6,"dim":"15","cl":"VII"},"geometry":{"type":"Point","coordinates":[-105.7249,-4.1]}},{"type":"Feature","id":"M11","properties":{"name":"M11","desig":"NGC 6705","alt":"Wild Duck Cluster","type":"oc","mag":5.8,"dim":"14","cl":"I2r"},"geometry":{"type":"Point","coordinates":[-77.225,-6.2667]}},{"type":"Feature","id":"M12","properties":{"name":"M12","desig":"NGC 6218","alt":"","type":"gc","mag":6.6,"dim":"14","cl":"IX"},"geometry":{"type":"Point","coordinates":[-108.1999,-1.95]}},{"type":"Feature","id":"M13","properties":{"name":"M13","desig":"NGC 6205","alt":"Great Hercules Cluster","type":"gc","mag":5.9,"dim":"17","cl":"V"},"geometry":{"type":"Point","coordinates":[-109.575,36.4667]}},{"type":"Feature","id":"M14","properties":{"name":"M14","desig":"NGC 6402","alt":"","type":"gc","mag":7.6,"dim":"12","cl":"VIII"},"geometry":{"type":"Point","coordinates":[-95.5999,-3.25]}},{"type":"Feature","id":"M15","properties":{"name":"M15","desig":"NGC 7078","alt":"","type":"gc","mag":6.4,"dim":"12","cl":"IV"},"geometry":{"type":"Point","coordinates":[-37.5,12.1667]}},{"type":"Feature","id":"M16","properties":{"name":"M16","desig":"NGC 6611","alt":"Eagle Nebula","type":"sfr","mag":6,"dim":"7","cl":"II3mn"},"geometry":{"type":"Point","coordinates":[-85.3,-13.7833]}},{"type":"Feature","id":"M17","properties":{"name":"M17","desig":"NGC 6618","alt":"Omega Nebula","type":"sfr","mag":7,"dim":"46x37","cl":""},"geometry":{"type":"Point","coordinates":[-84.8,-16.1833]}},{"type":"Feature","id":"M18","properties":{"name":"M18","desig":"NGC 6613","alt":"","type":"oc","mag":6.9,"dim":"9","cl":"II3pn"},"geometry":{"type":"Point","coordinates":[-85.0249,-17.1333]}},{"type":"Feature","id":"M19","properties":{"name":"M19","desig":"NGC 6273","alt":"","type":"gc","mag":7.2,"dim":"14","cl":"VIII"},"geometry":{"type":"Point","coordinates":[-104.35,-26.2667]}},{"type":"Feature","id":"M20","properties":{"name":"M20","desig":"NGC 6514","alt":"Trifid Nebula","type":"sfr","mag":8.5,"dim":"29x27","cl":""},"geometry":{"type":"Point","coordinates":[-89.3501,-23.0333]}},{"type":"Feature","id":"M21","properties":{"name":"M21","desig":"NGC 6531","alt":"","type":"oc","mag":5.9,"dim":"13","cl":"I3m"},"geometry":{"type":"Point","coordinates":[-88.8499,-22.5]}},{"type":"Feature","id":"M22","properties":{"name":"M22","desig":"NGC 6656","alt":"","type":"gc","mag":5.1,"dim":"24","cl":"VII"},"geometry":{"type":"Point","coordinates":[-80.8999,-23.9]}},{"type":"Feature","id":"M23","properties":{"name":"M23","desig":"NGC 6494","alt":"","type":"oc","mag":5.5,"dim":"27","cl":"III1m"},"geometry":{"type":"Point","coordinates":[-90.7999,-19.0167]}},{"type":"Feature","id":"M24","properties":{"name":"M24","desig":"","alt":"Milky Way patch","type":"pos","mag":4.5,"dim":"90","cl":""},"geometry":{"type":"Point","coordinates":[-85.775,-18.4833]}},{"type":"Feature","id":"M25","properties":{"name":"M25","desig":"IC 4725","alt":"","type":"oc","mag":4.6,"dim":"32","cl":"I2p"},"geometry":{"type":"Point","coordinates":[-82.1,-19.25]}},{"type":"Feature","id":"M26","properties":{"name":"M26","desig":"NGC 6694","alt":"","type":"oc","mag":8,"dim":"15","cl":"I1m"},"geometry":{"type":"Point","coordinates":[-78.7001,-9.4]}},{"type":"Feature","id":"M27","properties":{"name":"M27","desig":"NGC 6853","alt":"Dumbbell Nebula","type":"pn","mag":8.1,"dim":"8x4","cl":"IV(II)"},"geometry":{"type":"Point","coordinates":[-60.1001,22.7167]}},{"type":"Feature","id":"M28","properties":{"name":"M28","desig":"NGC 6626","alt":"","type":"gc","mag":6.9,"dim":"11","cl":"IV"},"geometry":{"type":"Point","coordinates":[-83.875,-24.8667]}},{"type":"Feature","id":"M29","properties":{"name":"M29","desig":"NGC 6913","alt":"","type":"oc","mag":6.6,"dim":"7","cl":"III3p"},"geometry":{"type":"Point","coordinates":[-54.025,38.5333]}},{"type":"Feature","id":"M30","properties":{"name":"M30","desig":"NGC 7099","alt":"","type":"gc","mag":7.5,"dim":"11","cl":"V"},"geometry":{"type":"Point","coordinates":[-34.9001,-23.1833]}},{"type":"Feature","id":"M31","properties":{"name":"M31","desig":"NGC 224","alt":"Andromeda","type":"s","mag":3.4,"dim":"190x60","cl":"SA(s)b LINER"},"geometry":{"type":"Point","coordinates":[10.6751,41.2667]}},{"type":"Feature","id":"M32","properties":{"name":"M32","desig":"NGC 221","alt":"","type":"e","mag":8.2,"dim":"9x7","cl":"cE2"},"geometry":{"type":"Point","coordinates":[10.6751,40.8667]}},{"type":"Feature","id":"M33","properties":{"name":"M33","desig":"NGC 598","alt":"Triangulum","type":"s","mag":5.7,"dim":"71x42","cl":"SA(s)cd"},"geometry":{"type":"Point","coordinates":[23.475,30.65]}},{"type":"Feature","id":"M34","properties":{"name":"M34","desig":"NGC 1039","alt":"","type":"oc","mag":5.2,"dim":"35","cl":"II3m"},"geometry":{"type":"Point","coordinates":[40.5,42.7833]}},{"type":"Feature","id":"M35","properties":{"name":"M35","desig":"NGC 2168","alt":"","type":"oc","mag":5.1,"dim":"28","cl":"III2m"},"geometry":{"type":"Point","coordinates":[92.2249,24.3333]}},{"type":"Feature","id":"M36","properties":{"name":"M36","desig":"NGC 1960","alt":"","type":"oc","mag":6,"dim":"12","cl":"II3m"},"geometry":{"type":"Point","coordinates":[84.0251,34.1333]}},{"type":"Feature","id":"M37","properties":{"name":"M37","desig":"NGC 2099","alt":"","type":"oc","mag":5.6,"dim":"24","cl":"II1r"},"geometry":{"type":"Point","coordinates":[88.1,32.55]}},{"type":"Feature","id":"M38","properties":{"name":"M38","desig":"NGC 1912","alt":"","type":"oc","mag":6.4,"dim":"21","cl":"III2m"},"geometry":{"type":"Point","coordinates":[82.175,35.8333]}},{"type":"Feature","id":"M39","properties":{"name":"M39","desig":"NGC 7092","alt":"","type":"oc","mag":4.6,"dim":"32","cl":"III2p"},"geometry":{"type":"Point","coordinates":[-36.9499,48.4333]}},{"type":"Feature","id":"M40","properties":{"name":"M40","desig":"WN 4","alt":"","type":"pos","mag":8,"dim":"","cl":""},"geometry":{"type":"Point","coordinates":[-174.4001,58.0833]}},{"type":"Feature","id":"M41","properties":{"name":"M41","desig":"NGC 2287","alt":"","type":"oc","mag":4.5,"dim":"38","cl":"II3m"},"geometry":{"type":"Point","coordinates":[101.75,-20.7333]}},{"type":"Feature","id":"M42","properties":{"name":"M42","desig":"NGC 1976","alt":"Orion Nebula","type":"sfr","mag":4,"dim":"66x60","cl":""},"geometry":{"type":"Point","coordinates":[83.85,-5.45]}},{"type":"Feature","id":"M43","properties":{"name":"M43","desig":"NGC 1982","alt":"","type":"sfr","mag":9,"dim":"20x15","cl":""},"geometry":{"type":"Point","coordinates":[83.9,-5.2667]}},{"type":"Feature","id":"M44","properties":{"name":"M44","desig":"NGC 2632","alt":"Praesepe","type":"oc","mag":3.1,"dim":"95","cl":"II2m"},"geometry":{"type":"Point","coordinates":[130.025,19.9833]}},{"type":"Feature","id":"M45","properties":{"name":"M45","desig":"","alt":"Pleiades","type":"oc","mag":1.2,"dim":"110","cl":"I3rn"},"geometry":{"type":"Point","coordinates":[56.75,24.1167]}},{"type":"Feature","id":"M46","properties":{"name":"M46","desig":"NGC 2437","alt":"","type":"oc","mag":6.1,"dim":"27","cl":"III2m"},"geometry":{"type":"Point","coordinates":[115.4501,-14.8167]}},{"type":"Feature","id":"M47","properties":{"name":"M47","desig":"NGC 2422","alt":"","type":"oc","mag":4.4,"dim":"30","cl":"III2m"},"geometry":{"type":"Point","coordinates":[114.15,-14.5]}},{"type":"Feature","id":"M48","properties":{"name":"M48","desig":"NGC 2548","alt":"","type":"oc","mag":5.8,"dim":"54","cl":"I2m"},"geometry":{"type":"Point","coordinates":[123.45,-5.8]}},{"type":"Feature","id":"M49","properties":{"name":"M49","desig":"NGC 4472","alt":"","type":"e","mag":8.4,"dim":"10x8","cl":"E2 Sy2"},"geometry":{"type":"Point","coordinates":[-172.5499,8]}},{"type":"Feature","id":"M50","properties":{"name":"M50","desig":"NGC 2323","alt":"","type":"oc","mag":5.9,"dim":"16","cl":"II3m"},"geometry":{"type":"Point","coordinates":[105.8,-8.3333]}},{"type":"Feature","id":"M51","properties":{"name":"M51","desig":"NGC 5194/5","alt":"Whirlpool","type":"s","mag":8.1,"dim":"11x8","cl":"SA(s)bc pec"},"geometry":{"type":"Point","coordinates":[-157.5251,47.2]}},{"type":"Feature","id":"M52","properties":{"name":"M52","desig":"NGC 7654","alt":"","type":"oc","mag":6.9,"dim":"13","cl":"I2r"},"geometry":{"type":"Point","coordinates":[-8.95,61.5833]}},{"type":"Feature","id":"M53","properties":{"name":"M53","desig":"NGC 5024","alt":"","type":"gc","mag":7.7,"dim":"13","cl":"V"},"geometry":{"type":"Point","coordinates":[-161.775,18.1667]}},{"type":"Feature","id":"M54","properties":{"name":"M54","desig":"NGC 6715","alt":"","type":"gc","mag":7.7,"dim":"9","cl":"III"},"geometry":{"type":"Point","coordinates":[-76.2251,-30.4833]}},{"type":"Feature","id":"M55","properties":{"name":"M55","desig":"NGC 6809","alt":"","type":"gc","mag":7,"dim":"19","cl":"XI"},"geometry":{"type":"Point","coordinates":[-65,-30.9667]}},{"type":"Feature","id":"M56","properties":{"name":"M56","desig":"NGC 6779","alt":"","type":"gc","mag":8.2,"dim":"7","cl":"X"},"geometry":{"type":"Point","coordinates":[-70.85,30.1833]}},{"type":"Feature","id":"M57","properties":{"name":"M57","desig":"NGC 6720","alt":"Ring Nebula","type":"pn","mag":9,"dim":"1","cl":"IV(III)"},"geometry":{"type":"Point","coordinates":[-76.6001,33.0333]}},{"type":"Feature","id":"M58","properties":{"name":"M58","desig":"NGC 4579","alt":"","type":"s","mag":9.8,"dim":"6x5","cl":"SAB(rs)b Sy1.9"},"geometry":{"type":"Point","coordinates":[-170.575,11.8167]}},{"type":"Feature","id":"M59","properties":{"name":"M59","desig":"NGC 4621","alt":"","type":"e","mag":9.8,"dim":"5x4","cl":"E5"},"geometry":{"type":"Point","coordinates":[-169.5,11.65]}},{"type":"Feature","id":"M60","properties":{"name":"M60","desig":"NGC 4649","alt":"","type":"e","mag":8.8,"dim":"7x6","cl":"E2"},"geometry":{"type":"Point","coordinates":[-169.075,11.55]}},{"type":"Feature","id":"M61","properties":{"name":"M61","desig":"NGC 4303","alt":"","type":"s","mag":9.7,"dim":"7x6","cl":"SAB(rs)bc Sy2"},"geometry":{"type":"Point","coordinates":[-174.525,4.4667]}},{"type":"Feature","id":"M62","properties":{"name":"M62","desig":"NGC 6266","alt":"","type":"gc","mag":6.6,"dim":"14","cl":"IV"},"geometry":{"type":"Point","coordinates":[-104.7,-30.1167]}},{"type":"Feature","id":"M63","properties":{"name":"M63","desig":"NGC 5055","alt":"Sunflower Galaxy","type":"s","mag":8.6,"dim":"13x7","cl":"SA(rs)bc LINER"},"geometry":{"type":"Point","coordinates":[-161.05,42.0333]}},{"type":"Feature","id":"M64","properties":{"name":"M64","desig":"NGC 4826","alt":"Blackeye Galaxy","type":"s","mag":8.5,"dim":"10x5","cl":"(R)SA(rs)ab Sy2"},"geometry":{"type":"Point","coordinates":[-165.825,21.6833]}},{"type":"Feature","id":"M65","properties":{"name":"M65","desig":"NGC 3623","alt":"","type":"s","mag":9.3,"dim":"10x3","cl":"SAB(rs)a LINER"},"geometry":{"type":"Point","coordinates":[169.725,13.0833]}},{"type":"Feature","id":"M66","properties":{"name":"M66","desig":"NGC 3627","alt":"","type":"s","mag":9,"dim":"9x4","cl":"SAB(s)b Sy2"},"geometry":{"type":"Point","coordinates":[170.0501,12.9833]}},{"type":"Feature","id":"M67","properties":{"name":"M67","desig":"NGC 2682","alt":"","type":"oc","mag":6.9,"dim":"30","cl":"II2m"},"geometry":{"type":"Point","coordinates":[132.6,11.8167]}},{"type":"Feature","id":"M68","properties":{"name":"M68","desig":"NGC 4590","alt":"","type":"gc","mag":8.2,"dim":"12","cl":"X"},"geometry":{"type":"Point","coordinates":[-170.1251,-26.75]}},{"type":"Feature","id":"M69","properties":{"name":"M69","desig":"NGC 6637","alt":"","type":"gc","mag":7.7,"dim":"7","cl":"V"},"geometry":{"type":"Point","coordinates":[-82.15,-32.35]}},{"type":"Feature","id":"M70","properties":{"name":"M70","desig":"NGC 6681","alt":"","type":"gc","mag":8.1,"dim":"8","cl":"V"},"geometry":{"type":"Point","coordinates":[-79.2,-32.3]}},{"type":"Feature","id":"M71","properties":{"name":"M71","desig":"NGC 6838","alt":"","type":"gc","mag":8.3,"dim":"7","cl":"X-XI"},"geometry":{"type":"Point","coordinates":[-61.5499,18.7833]}},{"type":"Feature","id":"M72","properties":{"name":"M72","desig":"NGC 6981","alt":"","type":"gc","mag":9.4,"dim":"6","cl":"IX"},"geometry":{"type":"Point","coordinates":[-46.6249,-12.5333]}},{"type":"Feature","id":"M73","properties":{"name":"M73","desig":"NGC 6994","alt":"4 Star asterism","type":"pos","mag":10,"dim":"","cl":""},"geometry":{"type":"Point","coordinates":[-45.2749,-12.6333]}},{"type":"Feature","id":"M74","properties":{"name":"M74","desig":"NGC 628","alt":"","type":"s","mag":9.2,"dim":"11x10","cl":"SA(s)c"},"geometry":{"type":"Point","coordinates":[24.1751,15.7833]}},{"type":"Feature","id":"M75","properties":{"name":"M75","desig":"NGC 6864","alt":"","type":"gc","mag":8.6,"dim":"6","cl":"I"},"geometry":{"type":"Point","coordinates":[-58.475,-21.9167]}},{"type":"Feature","id":"M76","properties":{"name":"M76","desig":"NGC 650/1","alt":"Little Dumbbell Nebula","type":"pn","mag":11.5,"dim":"2x1","cl":"III(VI)"},"geometry":{"type":"Point","coordinates":[25.6001,51.5667]}},{"type":"Feature","id":"M77","properties":{"name":"M77","desig":"NGC 1068","alt":"Cetus A","type":"s","mag":8.8,"dim":"7x6","cl":"(R)SA(rs)b pec Sy2"},"geometry":{"type":"Point","coordinates":[40.6751,-0.0167]}},{"type":"Feature","id":"M78","properties":{"name":"M78","desig":"NGC 2068","alt":"","type":"rn","mag":8,"dim":"8x6","cl":""},"geometry":{"type":"Point","coordinates":[86.675,0.05]}},{"type":"Feature","id":"M79","properties":{"name":"M79","desig":"NGC 1904","alt":"","type":"gc","mag":8,"dim":"9","cl":"V"},"geometry":{"type":"Point","coordinates":[81.125,-24.55]}},{"type":"Feature","id":"M80","properties":{"name":"M80","desig":"NGC 6093","alt":"","type":"gc","mag":7.2,"dim":"9","cl":"II"},"geometry":{"type":"Point","coordinates":[-115.7501,-22.9833]}},{"type":"Feature","id":"M81","properties":{"name":"M81","desig":"NGC 3031","alt":"Bode´s Galaxy","type":"s","mag":6.8,"dim":"27x14","cl":"SA(s)ab Sy1.8"},"geometry":{"type":"Point","coordinates":[148.8996,69.0667]}},{"type":"Feature","id":"M82","properties":{"name":"M82","desig":"NGC 3034","alt":"Cigar Galaxy","type":"i","mag":8.4,"dim":"11x4","cl":"I0 sbrst"},"geometry":{"type":"Point","coordinates":[148.9496,69.6833]}},{"type":"Feature","id":"M83","properties":{"name":"M83","desig":"NGC 5236","alt":"Southern Pinwheel","type":"s","mag":7.6,"dim":"13x12","cl":"SAB(s)c sbrst"},"geometry":{"type":"Point","coordinates":[-155.75,-29.8667]}},{"type":"Feature","id":"M84","properties":{"name":"M84","desig":"NGC 4374","alt":"","type":"e","mag":9.3,"dim":"7x6","cl":"E1 Sy2"},"geometry":{"type":"Point","coordinates":[-173.725,12.8833]}},{"type":"Feature","id":"M85","properties":{"name":"M85","desig":"NGC 4382","alt":"","type":"e","mag":9.2,"dim":"7x5","cl":"SA(s)0+ pec"},"geometry":{"type":"Point","coordinates":[-173.65,18.1833]}},{"type":"Feature","id":"M86","properties":{"name":"M86","desig":"NGC 4406","alt":"","type":"e","mag":9.2,"dim":"9x6","cl":"S0(3)/E3"},"geometry":{"type":"Point","coordinates":[-173.4499,12.95]}},{"type":"Feature","id":"M87","properties":{"name":"M87","desig":"NGC 4486","alt":"Virgo A","type":"e","mag":8.6,"dim":"8x7","cl":"cD0-1 pec LINER"},"geometry":{"type":"Point","coordinates":[-172.3,12.4]}},{"type":"Feature","id":"M88","properties":{"name":"M88","desig":"NGC 4501","alt":"","type":"s","mag":9.5,"dim":"7x4","cl":"SA(rs)b Sy2"},"geometry":{"type":"Point","coordinates":[-172.0001,14.4167]}},{"type":"Feature","id":"M89","properties":{"name":"M89","desig":"NGC 4552","alt":"","type":"e","mag":9.8,"dim":"5x5","cl":"E0-1 Sy2"},"geometry":{"type":"Point","coordinates":[-171.075,12.55]}},{"type":"Feature","id":"M90","properties":{"name":"M90","desig":"NGC 4569","alt":"","type":"s","mag":9.5,"dim":"10x5","cl":"SAB(rs)ab"},"geometry":{"type":"Point","coordinates":[-170.8,13.1667]}},{"type":"Feature","id":"M91","properties":{"name":"M91","desig":"NGC 4548","alt":"","type":"s","mag":10.2,"dim":"5x4","cl":"SB(rs)b LINER"},"geometry":{"type":"Point","coordinates":[-171.15,14.5]}},{"type":"Feature","id":"M92","properties":{"name":"M92","desig":"NGC 6341","alt":"","type":"gc","mag":6.5,"dim":"11","cl":"IV"},"geometry":{"type":"Point","coordinates":[-100.725,43.1333]}},{"type":"Feature","id":"M93","properties":{"name":"M93","desig":"NGC 2447","alt":"","type":"oc","mag":6.2,"dim":"22","cl":"IV1p"},"geometry":{"type":"Point","coordinates":[116.15,-23.8667]}},{"type":"Feature","id":"M94","properties":{"name":"M94","desig":"NGC 4736","alt":"Cat’s Eye Galaxy","type":"s","mag":8.1,"dim":"11x9","cl":"(R)SA(r)ab Sy2"},"geometry":{"type":"Point","coordinates":[-167.275,41.1167]}},{"type":"Feature","id":"M95","properties":{"name":"M95","desig":"NGC 3351","alt":"","type":"s","mag":9.7,"dim":"3x3","cl":"SB(r)b sbrst"},"geometry":{"type":"Point","coordinates":[161,11.7]}},{"type":"Feature","id":"M96","properties":{"name":"M96","desig":"NGC 3368","alt":"","type":"s","mag":9.2,"dim":"8x5","cl":"SAB(rs)ab LINER"},"geometry":{"type":"Point","coordinates":[161.7,11.8167]}},{"type":"Feature","id":"M97","properties":{"name":"M97","desig":"NGC 3587","alt":"Owl Nebula","type":"pn","mag":11.2,"dim":"3","cl":"IIIa"},"geometry":{"type":"Point","coordinates":[168.7001,55.0167]}},{"type":"Feature","id":"M98","properties":{"name":"M98","desig":"NGC 4192","alt":"","type":"s","mag":10.1,"dim":"10x3","cl":"SAB(s)ab LINER"},"geometry":{"type":"Point","coordinates":[-176.55,14.9]}},{"type":"Feature","id":"M99","properties":{"name":"M99","desig":"NGC 4254","alt":"","type":"s","mag":9.8,"dim":"5x5","cl":"SA(s)c LINER"},"geometry":{"type":"Point","coordinates":[-175.3,14.4167]}},{"type":"Feature","id":"M100","properties":{"name":"M100","desig":"NGC 4321","alt":"","type":"s","mag":9.4,"dim":"7x6","cl":"SAB(s)bc LINER"},"geometry":{"type":"Point","coordinates":[-174.2749,15.8167]}},{"type":"Feature","id":"M101","properties":{"name":"M101","desig":"NGC 5457","alt":"Pinwheel","type":"s","mag":7.7,"dim":"29x27","cl":"SAB(rs)cd"},"geometry":{"type":"Point","coordinates":[-149.2,54.35]}},{"type":"Feature","id":"M102","properties":{"name":"M102","desig":"NGC 5866","alt":"Spindle","type":"s","mag":9.9,"dim":"5x2","cl":"S0-a+ LINER"},"geometry":{"type":"Point","coordinates":[-133.3774,55.76]}},{"type":"Feature","id":"M103","properties":{"name":"M103","desig":"NGC 581","alt":"","type":"oc","mag":7.4,"dim":"6","cl":"III2p"},"geometry":{"type":"Point","coordinates":[23.3,60.7]}},{"type":"Feature","id":"M104","properties":{"name":"M104","desig":"NGC 4594","alt":"Sombrero","type":"s","mag":8.3,"dim":"9x4","cl":"SA(s)a Sy1.9"},"geometry":{"type":"Point","coordinates":[-170,-11.6167]}},{"type":"Feature","id":"M105","properties":{"name":"M105","desig":"NGC 3379","alt":"","type":"e","mag":9.3,"dim":"5x5","cl":"E1 LINER"},"geometry":{"type":"Point","coordinates":[161.9501,12.5833]}},{"type":"Feature","id":"M106","properties":{"name":"M106","desig":"NGC 4258","alt":"","type":"s","mag":8.3,"dim":"19x7","cl":"SAB(s)bc Sy1.9"},"geometry":{"type":"Point","coordinates":[-175.2499,47.3]}},{"type":"Feature","id":"M107","properties":{"name":"M107","desig":"NGC 6171","alt":"","type":"gc","mag":8.1,"dim":"10","cl":"X"},"geometry":{"type":"Point","coordinates":[-111.875,-13.05]}},{"type":"Feature","id":"M108","properties":{"name":"M108","desig":"NGC 3556","alt":"","type":"s","mag":10,"dim":"9x2","cl":"SB(s)cd"},"geometry":{"type":"Point","coordinates":[167.8751,55.6667]}},{"type":"Feature","id":"M109","properties":{"name":"M109","desig":"NGC 3992","alt":"","type":"s","mag":9.8,"dim":"8x5","cl":"SB(rs)bc LINER"},"geometry":{"type":"Point","coordinates":[179.4,53.3833]}},{"type":"Feature","id":"M110","properties":{"name":"M110","desig":"NGC 205","alt":"","type":"e","mag":8,"dim":"22x11","cl":"E5 pec"},"geometry":{"type":"Point","coordinates":[10.1,41.6833]}}]}'