/* 
Copyright (c) 2015, Olaf Frohn
All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

3. Neither the name of the copyright holder nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

let stars6JSON = '{"type":"FeatureCollection","features":[{"type":"Feature","id":88,"properties":{"mag":5.71,"bv":"0.911"},"geometry":{"type":"Point","coordinates":[0.2691,-48.8099]}},{"type":"Feature","id":107,"properties":{"mag":5.53,"bv":"1.615"},"geometry":{"type":"Point","coordinates":[0.3338,-50.3374]}},{"type":"Feature","id":122,"properties":{"mag":4.78,"bv":"1.254"},"geometry":{"type":"Point","coordinates":[0.3988,-77.0657]}},{"type":"Feature","id":124,"properties":{"mag":5.58,"bv":"0.407"},"geometry":{"type":"Point","coordinates":[0.4042,61.2228]}},{"type":"Feature","id":145,"properties":{"mag":5.13,"bv":"-0.128"},"geometry":{"type":"Point","coordinates":[0.456,-3.0275]}},{"type":"Feature","id":154,"properties":{"mag":4.37,"bv":"1.631"},"geometry":{"type":"Point","coordinates":[0.4901,-6.0141]}},{"type":"Feature","id":171,"properties":{"mag":5.8,"bv":"0.690"},"geometry":{"type":"Point","coordinates":[0.5423,27.0823]}},{"type":"Feature","id":183,"properties":{"mag":5.04,"bv":"-0.150"},"geometry":{"type":"Point","coordinates":[0.583,-29.7204]}},{"type":"Feature","id":194,"properties":{"mag":5.7,"bv":"0.315"},"geometry":{"type":"Point","coordinates":[0.6238,8.4855]}},{"type":"Feature","id":207,"properties":{"mag":5.87,"bv":"1.073"},"geometry":{"type":"Point","coordinates":[0.6504,66.099]}},{"type":"Feature","id":301,"properties":{"mag":4.55,"bv":"-0.047"},"geometry":{"type":"Point","coordinates":[0.935,-17.336]}},{"type":"Feature","id":330,"properties":{"mag":5.9,"bv":"0.274"},"geometry":{"type":"Point","coordinates":[1.0569,62.2877]}},{"type":"Feature","id":343,"properties":{"mag":5.78,"bv":"1.084"},"geometry":{"type":"Point","coordinates":[1.0825,-16.529]}},{"type":"Feature","id":355,"properties":{"mag":4.99,"bv":"1.619"},"geometry":{"type":"Point","coordinates":[1.1255,-10.5095]}},{"type":"Feature","id":377,"properties":{"mag":5.59,"bv":"-0.100"},"geometry":{"type":"Point","coordinates":[1.1721,-71.4369]}},{"type":"Feature","id":379,"properties":{"mag":5.68,"bv":"1.051"},"geometry":{"type":"Point","coordinates":[1.1749,67.1664]}},{"type":"Feature","id":418,"properties":{"mag":5.8,"bv":"-0.067"},"geometry":{"type":"Point","coordinates":[1.2756,61.314]}},{"type":"Feature","id":443,"properties":{"mag":4.61,"bv":"1.029"},"geometry":{"type":"Point","coordinates":[1.3339,-5.7076]}},{"type":"Feature","id":476,"properties":{"mag":5.55,"bv":"0.901"},"geometry":{"type":"Point","coordinates":[1.4248,13.3963]}},{"type":"Feature","id":518,"properties":{"mag":5.98,"bv":"0.687"},"geometry":{"type":"Point","coordinates":[1.5659,58.4367]}},{"type":"Feature","id":522,"properties":{"mag":5.7,"bv":"0.519"},"geometry":{"type":"Point","coordinates":[1.5799,-49.0752]}},{"type":"Feature","id":531,"properties":{"mag":5.57,"bv":"-0.023"},"geometry":{"type":"Point","coordinates":[1.6106,64.1962]}},{"type":"Feature","id":636,"properties":{"mag":5.93,"bv":"0.141"},"geometry":{"type":"Point","coordinates":[1.9454,-22.5086]}},{"type":"Feature","id":655,"properties":{"mag":5.67,"bv":"1.119"},"geometry":{"type":"Point","coordinates":[2.0145,-33.5293]}},{"type":"Feature","id":671,"properties":{"mag":5.99,"bv":"1.034"},"geometry":{"type":"Point","coordinates":[2.0731,-8.8241]}},{"type":"Feature","id":677,"properties":{"mag":2.07,"bv":"-0.038"},"geometry":{"type":"Point","coordinates":[2.0969,29.0904]}},{"type":"Feature","id":729,"properties":{"mag":5.57,"bv":"1.043"},"geometry":{"type":"Point","coordinates":[2.2601,18.212]}},{"type":"Feature","id":746,"properties":{"mag":2.28,"bv":"0.380"},"geometry":{"type":"Point","coordinates":[2.2945,59.1498]}},{"type":"Feature","id":761,"properties":{"mag":5.42,"bv":"0.414"},"geometry":{"type":"Point","coordinates":[2.3378,-27.9879]}},{"type":"Feature","id":765,"properties":{"mag":3.88,"bv":"1.013"},"geometry":{"type":"Point","coordinates":[2.3527,-45.7474]}},{"type":"Feature","id":813,"properties":{"mag":5.54,"bv":"-0.064"},"geometry":{"type":"Point","coordinates":[2.5092,11.1458]}},{"type":"Feature","id":814,"properties":{"mag":5.29,"bv":"1.049"},"geometry":{"type":"Point","coordinates":[2.5091,-82.224]}},{"type":"Feature","id":840,"properties":{"mag":5.84,"bv":"0.973"},"geometry":{"type":"Point","coordinates":[2.5786,-5.2486]}},{"type":"Feature","id":841,"properties":{"mag":5.01,"bv":"0.405"},"geometry":{"type":"Point","coordinates":[2.5802,46.0723]}},{"type":"Feature","id":873,"properties":{"mag":5.84,"bv":"1.000"},"geometry":{"type":"Point","coordinates":[2.6785,-12.5799]}},{"type":"Feature","id":910,"properties":{"mag":4.89,"bv":"0.487"},"geometry":{"type":"Point","coordinates":[2.8161,-15.468]}},{"type":"Feature","id":930,"properties":{"mag":5.41,"bv":"1.346"},"geometry":{"type":"Point","coordinates":[2.8934,-27.7997]}},{"type":"Feature","id":950,"properties":{"mag":5.24,"bv":"0.459"},"geometry":{"type":"Point","coordinates":[2.9334,-35.1331]}},{"type":"Feature","id":983,"properties":{"mag":5.29,"bv":"1.478"},"geometry":{"type":"Point","coordinates":[3.0416,-17.9383]}},{"type":"Feature","id":1067,"properties":{"mag":2.83,"bv":"-0.190"},"geometry":{"type":"Point","coordinates":[3.309,15.1836]}},{"type":"Feature","id":1074,"properties":{"mag":5.78,"bv":"1.710"},"geometry":{"type":"Point","coordinates":[3.3318,-84.994]}},{"type":"Feature","id":1086,"properties":{"mag":5.71,"bv":"0.331"},"geometry":{"type":"Point","coordinates":[3.3785,41.0354]}},{"type":"Feature","id":1096,"properties":{"mag":5.94,"bv":"1.548"},"geometry":{"type":"Point","coordinates":[3.426,-26.0223]}},{"type":"Feature","id":1158,"properties":{"mag":5.13,"bv":"1.601"},"geometry":{"type":"Point","coordinates":[3.6151,-7.7805]}},{"type":"Feature","id":1168,"properties":{"mag":4.79,"bv":"1.572"},"geometry":{"type":"Point","coordinates":[3.6507,20.2067]}},{"type":"Feature","id":1170,"properties":{"mag":4.44,"bv":"1.640"},"geometry":{"type":"Point","coordinates":[3.6601,-18.9329]}},{"type":"Feature","id":1191,"properties":{"mag":5.77,"bv":"-0.084"},"geometry":{"type":"Point","coordinates":[3.7271,-9.5696]}},{"type":"Feature","id":1288,"properties":{"mag":5.66,"bv":"1.350"},"geometry":{"type":"Point","coordinates":[4.0369,-31.4464]}},{"type":"Feature","id":1354,"properties":{"mag":5.74,"bv":"0.898"},"geometry":{"type":"Point","coordinates":[4.2377,61.5332]}},{"type":"Feature","id":1366,"properties":{"mag":4.61,"bv":"0.059"},"geometry":{"type":"Point","coordinates":[4.2729,38.6816]}},{"type":"Feature","id":1372,"properties":{"mag":5.86,"bv":"-0.079"},"geometry":{"type":"Point","coordinates":[4.2877,47.9474]}},{"type":"Feature","id":1473,"properties":{"mag":4.51,"bv":"0.054"},"geometry":{"type":"Point","coordinates":[4.5819,36.7852]}},{"type":"Feature","id":1493,"properties":{"mag":5.88,"bv":"-0.014"},"geometry":{"type":"Point","coordinates":[4.6594,31.5172]}},{"type":"Feature","id":1562,"properties":{"mag":3.56,"bv":"1.214"},"geometry":{"type":"Point","coordinates":[4.857,-8.8239]}},{"type":"Feature","id":1599,"properties":{"mag":4.23,"bv":"0.576"},"geometry":{"type":"Point","coordinates":[5.0178,-64.8748]}},{"type":"Feature","id":1630,"properties":{"mag":5.89,"bv":"-0.098"},"geometry":{"type":"Point","coordinates":[5.1017,30.9356]}},{"type":"Feature","id":1645,"properties":{"mag":5.38,"bv":"1.343"},"geometry":{"type":"Point","coordinates":[5.1494,8.1903]}},{"type":"Feature","id":1647,"properties":{"mag":5.5,"bv":"-0.046"},"geometry":{"type":"Point","coordinates":[5.1627,-69.6249]}},{"type":"Feature","id":1657,"properties":{"mag":5.79,"bv":"1.595"},"geometry":{"type":"Point","coordinates":[5.1897,32.9112]}},{"type":"Feature","id":1686,"properties":{"mag":5.16,"bv":"0.442"},"geometry":{"type":"Point","coordinates":[5.2803,37.9686]}},{"type":"Feature","id":1706,"properties":{"mag":5.96,"bv":"1.397"},"geometry":{"type":"Point","coordinates":[5.3699,-77.4269]}},{"type":"Feature","id":1708,"properties":{"mag":5.18,"bv":"1.006"},"geometry":{"type":"Point","coordinates":[5.38,-28.9815]}},{"type":"Feature","id":1728,"properties":{"mag":5.61,"bv":"1.580"},"geometry":{"type":"Point","coordinates":[5.4428,-20.058]}},{"type":"Feature","id":1921,"properties":{"mag":5.58,"bv":"-0.110"},"geometry":{"type":"Point","coordinates":[6.0652,52.0199]}},{"type":"Feature","id":1960,"properties":{"mag":5.38,"bv":"0.008"},"geometry":{"type":"Point","coordinates":[6.1979,61.8311]}},{"type":"Feature","id":1982,"properties":{"mag":5.72,"bv":"-0.056"},"geometry":{"type":"Point","coordinates":[6.2767,53.0468]}},{"type":"Feature","id":2006,"properties":{"mag":5.77,"bv":"0.855"},"geometry":{"type":"Point","coordinates":[6.3509,1.9397]}},{"type":"Feature","id":2021,"properties":{"mag":2.82,"bv":"0.618"},"geometry":{"type":"Point","coordinates":[6.4378,-77.2542]}},{"type":"Feature","id":2072,"properties":{"mag":3.93,"bv":"0.175"},"geometry":{"type":"Point","coordinates":[6.5508,-43.6798]}},{"type":"Feature","id":2081,"properties":{"mag":2.4,"bv":"1.083"},"geometry":{"type":"Point","coordinates":[6.571,-42.306]}},{"type":"Feature","id":2159,"properties":{"mag":5.99,"bv":"1.022"},"geometry":{"type":"Point","coordinates":[6.8113,-25.5472]}},{"type":"Feature","id":2210,"properties":{"mag":4.86,"bv":"1.634"},"geometry":{"type":"Point","coordinates":[6.9821,-33.0072]}},{"type":"Feature","id":2219,"properties":{"mag":5.01,"bv":"1.584"},"geometry":{"type":"Point","coordinates":[7.0121,17.8931]}},{"type":"Feature","id":2225,"properties":{"mag":5.18,"bv":"0.043"},"geometry":{"type":"Point","coordinates":[7.0569,44.3945]}},{"type":"Feature","id":2240,"properties":{"mag":5.42,"bv":"1.556"},"geometry":{"type":"Point","coordinates":[7.1105,-39.915]}},{"type":"Feature","id":2353,"properties":{"mag":5.72,"bv":"1.545"},"geometry":{"type":"Point","coordinates":[7.5098,-3.9573]}},{"type":"Feature","id":2355,"properties":{"mag":5.2,"bv":"0.271"},"geometry":{"type":"Point","coordinates":[7.5307,29.7516]}},{"type":"Feature","id":2377,"properties":{"mag":5.94,"bv":"-0.003"},"geometry":{"type":"Point","coordinates":[7.5831,59.9776]}},{"type":"Feature","id":2381,"properties":{"mag":5.17,"bv":"0.128"},"geometry":{"type":"Point","coordinates":[7.5944,-23.7877]}},{"type":"Feature","id":2383,"properties":{"mag":5.67,"bv":"0.367"},"geometry":{"type":"Point","coordinates":[7.6088,-48.2149]}},{"type":"Feature","id":2472,"properties":{"mag":4.76,"bv":"0.018"},"geometry":{"type":"Point","coordinates":[7.8541,-48.8035]}},{"type":"Feature","id":2475,"properties":{"mag":5.88,"bv":"1.133"},"geometry":{"type":"Point","coordinates":[7.8568,33.5816]}},{"type":"Feature","id":2484,"properties":{"mag":4.36,"bv":"-0.064"},"geometry":{"type":"Point","coordinates":[7.8861,-62.9582]}},{"type":"Feature","id":2487,"properties":{"mag":4.53,"bv":"0.147"},"geometry":{"type":"Point","coordinates":[7.8895,-62.9656]}},{"type":"Feature","id":2497,"properties":{"mag":5.59,"bv":"1.163"},"geometry":{"type":"Point","coordinates":[7.9215,52.8395]}},{"type":"Feature","id":2505,"properties":{"mag":4.74,"bv":"-0.098"},"geometry":{"type":"Point","coordinates":[7.9432,54.5223]}},{"type":"Feature","id":2548,"properties":{"mag":5.69,"bv":"-0.014"},"geometry":{"type":"Point","coordinates":[8.0991,6.9555]}},{"type":"Feature","id":2568,"properties":{"mag":5.38,"bv":"1.069"},"geometry":{"type":"Point","coordinates":[8.1479,20.2943]}},{"type":"Feature","id":2578,"properties":{"mag":5.07,"bv":"0.038"},"geometry":{"type":"Point","coordinates":[8.1829,-63.0315]}},{"type":"Feature","id":2599,"properties":{"mag":4.17,"bv":"0.130"},"geometry":{"type":"Point","coordinates":[8.25,62.9318]}},{"type":"Feature","id":2611,"properties":{"mag":5.93,"bv":"1.037"},"geometry":{"type":"Point","coordinates":[8.2933,54.895]}},{"type":"Feature","id":2661,"properties":{"mag":5.55,"bv":"1.262"},"geometry":{"type":"Point","coordinates":[8.421,-29.5583]}},{"type":"Feature","id":2711,"properties":{"mag":5.57,"bv":"0.472"},"geometry":{"type":"Point","coordinates":[8.616,-52.3731]}},{"type":"Feature","id":2762,"properties":{"mag":5.2,"bv":"0.567"},"geometry":{"type":"Point","coordinates":[8.812,-3.5928]}},{"type":"Feature","id":2787,"properties":{"mag":5.94,"bv":"0.444"},"geometry":{"type":"Point","coordinates":[8.8868,-0.5056]}},{"type":"Feature","id":2802,"properties":{"mag":5.51,"bv":"0.461"},"geometry":{"type":"Point","coordinates":[8.9216,-48.0009]}},{"type":"Feature","id":2854,"properties":{"mag":5.08,"bv":"-0.098"},"geometry":{"type":"Point","coordinates":[9.0346,54.1685]}},{"type":"Feature","id":2876,"properties":{"mag":5.78,"bv":"0.294"},"geometry":{"type":"Point","coordinates":[9.1139,60.3262]}},{"type":"Feature","id":2900,"properties":{"mag":5.14,"bv":"1.587"},"geometry":{"type":"Point","coordinates":[9.1935,44.4886]}},{"type":"Feature","id":2903,"properties":{"mag":5.89,"bv":"-0.146"},"geometry":{"type":"Point","coordinates":[9.1971,15.2317]}},{"type":"Feature","id":2912,"properties":{"mag":4.34,"bv":"-0.123"},"geometry":{"type":"Point","coordinates":[9.2202,33.7193]}},{"type":"Feature","id":2920,"properties":{"mag":3.69,"bv":"-0.196"},"geometry":{"type":"Point","coordinates":[9.2429,53.8969]}},{"type":"Feature","id":2941,"properties":{"mag":5.57,"bv":"0.715"},"geometry":{"type":"Point","coordinates":[9.3363,-24.7673]}},{"type":"Feature","id":2942,"properties":{"mag":5.45,"bv":"0.886"},"geometry":{"type":"Point","coordinates":[9.3384,35.3995]}},{"type":"Feature","id":3031,"properties":{"mag":4.34,"bv":"0.871"},"geometry":{"type":"Point","coordinates":[9.6389,29.3118]}},{"type":"Feature","id":3083,"properties":{"mag":5.45,"bv":"1.644"},"geometry":{"type":"Point","coordinates":[9.7912,49.3546]}},{"type":"Feature","id":3092,"properties":{"mag":3.27,"bv":"1.268"},"geometry":{"type":"Point","coordinates":[9.832,30.861]}},{"type":"Feature","id":3093,"properties":{"mag":5.88,"bv":"0.850"},"geometry":{"type":"Point","coordinates":[9.8409,21.2505]}},{"type":"Feature","id":3137,"properties":{"mag":6,"bv":"1.142"},"geometry":{"type":"Point","coordinates":[9.9665,-44.7963]}},{"type":"Feature","id":3138,"properties":{"mag":5.36,"bv":"1.160"},"geometry":{"type":"Point","coordinates":[9.9815,21.4385]}},{"type":"Feature","id":3170,"properties":{"mag":5.89,"bv":"0.564"},"geometry":{"type":"Point","coordinates":[10.107,-59.4546]}},{"type":"Feature","id":3179,"properties":{"mag":2.24,"bv":"1.170"},"geometry":{"type":"Point","coordinates":[10.1268,56.5373]}},{"type":"Feature","id":3193,"properties":{"mag":5.9,"bv":"1.091"},"geometry":{"type":"Point","coordinates":[10.1766,-4.3518]}},{"type":"Feature","id":3231,"properties":{"mag":5.3,"bv":"0.891"},"geometry":{"type":"Point","coordinates":[10.2799,39.4587]}},{"type":"Feature","id":3245,"properties":{"mag":4.59,"bv":"0.953"},"geometry":{"type":"Point","coordinates":[10.3315,-46.085]}},{"type":"Feature","id":3277,"properties":{"mag":5.72,"bv":"0.131"},"geometry":{"type":"Point","coordinates":[10.4433,-56.5013]}},{"type":"Feature","id":3299,"properties":{"mag":5.83,"bv":"1.042"},"geometry":{"type":"Point","coordinates":[10.5143,66.1476]}},{"type":"Feature","id":3300,"properties":{"mag":4.8,"bv":"-0.105"},"geometry":{"type":"Point","coordinates":[10.5162,50.5125]}},{"type":"Feature","id":3330,"properties":{"mag":5.38,"bv":"0.515"},"geometry":{"type":"Point","coordinates":[10.6182,-65.468]}},{"type":"Feature","id":3352,"properties":{"mag":5.99,"bv":"1.318"},"geometry":{"type":"Point","coordinates":[10.6748,-60.2628]}},{"type":"Feature","id":3405,"properties":{"mag":4.36,"bv":"0.024"},"geometry":{"type":"Point","coordinates":[10.8385,-57.4631]}},{"type":"Feature","id":3414,"properties":{"mag":4.95,"bv":"0.170"},"geometry":{"type":"Point","coordinates":[10.867,47.0245]}},{"type":"Feature","id":3419,"properties":{"mag":2.04,"bv":"1.019"},"geometry":{"type":"Point","coordinates":[10.8974,-17.9866]}},{"type":"Feature","id":3455,"properties":{"mag":4.77,"bv":"0.998"},"geometry":{"type":"Point","coordinates":[11.0475,-10.6096]}},{"type":"Feature","id":3456,"properties":{"mag":5.9,"bv":"1.144"},"geometry":{"type":"Point","coordinates":[11.0504,-38.4217]}},{"type":"Feature","id":3478,"properties":{"mag":5.66,"bv":"-0.113"},"geometry":{"type":"Point","coordinates":[11.1091,47.864]}},{"type":"Feature","id":3504,"properties":{"mag":4.48,"bv":"-0.069"},"geometry":{"type":"Point","coordinates":[11.1813,48.2844]}},{"type":"Feature","id":3505,"properties":{"mag":5.22,"bv":"0.350"},"geometry":{"type":"Point","coordinates":[11.185,-22.0061]}},{"type":"Feature","id":3521,"properties":{"mag":5.94,"bv":"0.297"},"geometry":{"type":"Point","coordinates":[11.2377,-42.6766]}},{"type":"Feature","id":3544,"properties":{"mag":5.41,"bv":"0.022"},"geometry":{"type":"Point","coordinates":[11.3216,55.2214]}},{"type":"Feature","id":3572,"properties":{"mag":5.64,"bv":"0.078"},"geometry":{"type":"Point","coordinates":[11.4128,74.9881]}},{"type":"Feature","id":3583,"properties":{"mag":5.8,"bv":"0.635"},"geometry":{"type":"Point","coordinates":[11.44,-47.552]}},{"type":"Feature","id":3607,"properties":{"mag":5.49,"bv":"0.978"},"geometry":{"type":"Point","coordinates":[11.549,-22.5221]}},{"type":"Feature","id":3632,"properties":{"mag":5.36,"bv":"1.559"},"geometry":{"type":"Point","coordinates":[11.6373,15.4755]}},{"type":"Feature","id":3675,"properties":{"mag":5.51,"bv":"0.987"},"geometry":{"type":"Point","coordinates":[11.7561,11.9738]}},{"type":"Feature","id":3693,"properties":{"mag":4.08,"bv":"1.100"},"geometry":{"type":"Point","coordinates":[11.8347,24.2672]}},{"type":"Feature","id":3697,"properties":{"mag":5.98,"bv":"0.941"},"geometry":{"type":"Point","coordinates":[11.8485,6.741]}},{"type":"Feature","id":3717,"properties":{"mag":5.7,"bv":"1.300"},"geometry":{"type":"Point","coordinates":[11.9301,-18.0613]}},{"type":"Feature","id":3721,"properties":{"mag":5.42,"bv":"-0.066"},"geometry":{"type":"Point","coordinates":[11.9419,74.8476]}},{"type":"Feature","id":3741,"properties":{"mag":5.57,"bv":"-0.058"},"geometry":{"type":"Point","coordinates":[12.0044,-21.7225]}},{"type":"Feature","id":3750,"properties":{"mag":5.86,"bv":"1.010"},"geometry":{"type":"Point","coordinates":[12.0381,72.6745]}},{"type":"Feature","id":3760,"properties":{"mag":5.92,"bv":"1.104"},"geometry":{"type":"Point","coordinates":[12.0725,7.2999]}},{"type":"Feature","id":3765,"properties":{"mag":5.74,"bv":"0.890"},"geometry":{"type":"Point","coordinates":[12.0957,5.2806]}},{"type":"Feature","id":3781,"properties":{"mag":5.09,"bv":"1.345"},"geometry":{"type":"Point","coordinates":[12.1476,-74.9234]}},{"type":"Feature","id":3786,"properties":{"mag":4.44,"bv":"1.500"},"geometry":{"type":"Point","coordinates":[12.1706,7.5851]}},{"type":"Feature","id":3801,"properties":{"mag":4.9,"bv":"-0.091"},"geometry":{"type":"Point","coordinates":[12.2084,50.9682]}},{"type":"Feature","id":3810,"properties":{"mag":5.07,"bv":"0.502"},"geometry":{"type":"Point","coordinates":[12.2446,16.9406]}},{"type":"Feature","id":3821,"properties":{"mag":3.46,"bv":"0.587"},"geometry":{"type":"Point","coordinates":[12.2762,57.8152]}},{"type":"Feature","id":3834,"properties":{"mag":5.9,"bv":"0.944"},"geometry":{"type":"Point","coordinates":[12.3081,-24.1367]}},{"type":"Feature","id":3849,"properties":{"mag":5.59,"bv":"1.325"},"geometry":{"type":"Point","coordinates":[12.3567,-13.5613]}},{"type":"Feature","id":3881,"properties":{"mag":4.53,"bv":"-0.136"},"geometry":{"type":"Point","coordinates":[12.4535,41.0789]}},{"type":"Feature","id":3885,"properties":{"mag":5.55,"bv":"0.398"},"geometry":{"type":"Point","coordinates":[12.4715,27.7103]}},{"type":"Feature","id":3909,"properties":{"mag":5.17,"bv":"0.514"},"geometry":{"type":"Point","coordinates":[12.5316,-10.6443]}},{"type":"Feature","id":3949,"properties":{"mag":5.24,"bv":"0.356"},"geometry":{"type":"Point","coordinates":[12.6716,-50.9868]}},{"type":"Feature","id":3951,"properties":{"mag":5.35,"bv":"0.528"},"geometry":{"type":"Point","coordinates":[12.6817,64.2475]}},{"type":"Feature","id":4104,"properties":{"mag":5.47,"bv":"1.275"},"geometry":{"type":"Point","coordinates":[13.1693,-24.0058]}},{"type":"Feature","id":4147,"properties":{"mag":4.78,"bv":"1.550"},"geometry":{"type":"Point","coordinates":[13.2521,-1.1443]}},{"type":"Feature","id":4151,"properties":{"mag":4.8,"bv":"0.540"},"geometry":{"type":"Point","coordinates":[13.2675,61.124]}},{"type":"Feature","id":4200,"properties":{"mag":5.73,"bv":"1.574"},"geometry":{"type":"Point","coordinates":[13.4078,-62.8714]}},{"type":"Feature","id":4267,"properties":{"mag":5.8,"bv":"-0.016"},"geometry":{"type":"Point","coordinates":[13.6468,19.1884]}},{"type":"Feature","id":4283,"properties":{"mag":5.59,"bv":"0.105"},"geometry":{"type":"Point","coordinates":[13.7212,83.7074]}},{"type":"Feature","id":4288,"properties":{"mag":5.46,"bv":"1.012"},"geometry":{"type":"Point","coordinates":[13.7421,23.6283]}},{"type":"Feature","id":4292,"properties":{"mag":4.83,"bv":"1.216"},"geometry":{"type":"Point","coordinates":[13.7507,58.9727]}},{"type":"Feature","id":4293,"properties":{"mag":5.45,"bv":"1.095"},"geometry":{"type":"Point","coordinates":[13.7513,-69.5271]}},{"type":"Feature","id":4346,"properties":{"mag":5.88,"bv":"1.520"},"geometry":{"type":"Point","coordinates":[13.9267,-7.3471]}},{"type":"Feature","id":4371,"properties":{"mag":5.35,"bv":"1.505"},"geometry":{"type":"Point","coordinates":[14.0062,-11.2665]}},{"type":"Feature","id":4422,"properties":{"mag":4.62,"bv":"0.957"},"geometry":{"type":"Point","coordinates":[14.1663,59.1811]}},{"type":"Feature","id":4427,"properties":{"mag":2.15,"bv":"-0.046"},"geometry":{"type":"Point","coordinates":[14.1772,60.7167]}},{"type":"Feature","id":4436,"properties":{"mag":3.86,"bv":"0.130"},"geometry":{"type":"Point","coordinates":[14.1884,38.4993]}},{"type":"Feature","id":4440,"properties":{"mag":5.56,"bv":"-0.054"},"geometry":{"type":"Point","coordinates":[14.1957,60.3628]}},{"type":"Feature","id":4463,"properties":{"mag":4.4,"bv":"0.940"},"geometry":{"type":"Point","coordinates":[14.3017,23.4176]}},{"type":"Feature","id":4510,"properties":{"mag":5.44,"bv":"1.076"},"geometry":{"type":"Point","coordinates":[14.459,28.9922]}},{"type":"Feature","id":4552,"properties":{"mag":5.99,"bv":"1.000"},"geometry":{"type":"Point","coordinates":[14.5592,33.9509]}},{"type":"Feature","id":4572,"properties":{"mag":5.97,"bv":"-0.008"},"geometry":{"type":"Point","coordinates":[14.6294,66.3518]}},{"type":"Feature","id":4577,"properties":{"mag":4.3,"bv":"-0.154"},"geometry":{"type":"Point","coordinates":[14.6515,-29.3574]}},{"type":"Feature","id":4587,"properties":{"mag":5.62,"bv":"0.949"},"geometry":{"type":"Point","coordinates":[14.6828,-11.38]}},{"type":"Feature","id":4675,"properties":{"mag":5.69,"bv":"-0.010"},"geometry":{"type":"Point","coordinates":[15.0148,44.7132]}},{"type":"Feature","id":4770,"properties":{"mag":5.59,"bv":"1.185"},"geometry":{"type":"Point","coordinates":[15.3261,-38.9165]}},{"type":"Feature","id":4852,"properties":{"mag":5.5,"bv":"0.083"},"geometry":{"type":"Point","coordinates":[15.6101,-31.552]}},{"type":"Feature","id":4889,"properties":{"mag":5.5,"bv":"-0.043"},"geometry":{"type":"Point","coordinates":[15.7046,31.8043]}},{"type":"Feature","id":4890,"properties":{"mag":5.39,"bv":"0.900"},"geometry":{"type":"Point","coordinates":[15.705,-46.3973]}},{"type":"Feature","id":4903,"properties":{"mag":5.95,"bv":"0.161"},"geometry":{"type":"Point","coordinates":[15.7261,41.3452]}},{"type":"Feature","id":4906,"properties":{"mag":4.27,"bv":"0.952"},"geometry":{"type":"Point","coordinates":[15.7359,7.8901]}},{"type":"Feature","id":4914,"properties":{"mag":5.4,"bv":"1.106"},"geometry":{"type":"Point","coordinates":[15.7606,-4.8366]}},{"type":"Feature","id":4962,"properties":{"mag":5.92,"bv":"0.512"},"geometry":{"type":"Point","coordinates":[15.9042,61.0748]}},{"type":"Feature","id":4998,"properties":{"mag":5.99,"bv":"1.447"},"geometry":{"type":"Point","coordinates":[16.01,52.5022]}},{"type":"Feature","id":5021,"properties":{"mag":5.83,"bv":"0.569"},"geometry":{"type":"Point","coordinates":[16.081,61.5802]}},{"type":"Feature","id":5081,"properties":{"mag":5.64,"bv":"0.420"},"geometry":{"type":"Point","coordinates":[16.2723,14.9461]}},{"type":"Feature","id":5131,"properties":{"mag":5.33,"bv":"0.003"},"geometry":{"type":"Point","coordinates":[16.4206,21.4732]}},{"type":"Feature","id":5132,"properties":{"mag":5.55,"bv":"-0.048"},"geometry":{"type":"Point","coordinates":[16.4238,21.4654]}},{"type":"Feature","id":5164,"properties":{"mag":5.58,"bv":"0.009"},"geometry":{"type":"Point","coordinates":[16.5215,-9.8394]}},{"type":"Feature","id":5165,"properties":{"mag":3.32,"bv":"0.885"},"geometry":{"type":"Point","coordinates":[16.521,-46.7184]}},{"type":"Feature","id":5268,"properties":{"mag":5.36,"bv":"0.884"},"geometry":{"type":"Point","coordinates":[16.8278,-61.7753]}},{"type":"Feature","id":5296,"properties":{"mag":5.71,"bv":"0.446"},"geometry":{"type":"Point","coordinates":[16.9425,-9.7856]}},{"type":"Feature","id":5300,"properties":{"mag":5.21,"bv":"0.159"},"geometry":{"type":"Point","coordinates":[16.9494,-41.4869]}},{"type":"Feature","id":5310,"properties":{"mag":5.56,"bv":"0.121"},"geometry":{"type":"Point","coordinates":[16.9882,20.7391]}},{"type":"Feature","id":5317,"properties":{"mag":5.04,"bv":"0.109"},"geometry":{"type":"Point","coordinates":[17.0035,43.9421]}},{"type":"Feature","id":5336,"properties":{"mag":5.17,"bv":"0.704"},"geometry":{"type":"Point","coordinates":[17.0683,54.9203]}},{"type":"Feature","id":5346,"properties":{"mag":5.51,"bv":"0.334"},"geometry":{"type":"Point","coordinates":[17.0925,5.6498]}},{"type":"Feature","id":5348,"properties":{"mag":3.94,"bv":"-0.120"},"geometry":{"type":"Point","coordinates":[17.0962,-55.2458]}},{"type":"Feature","id":5361,"properties":{"mag":5.77,"bv":"-0.019"},"geometry":{"type":"Point","coordinates":[17.1394,58.2634]}},{"type":"Feature","id":5364,"properties":{"mag":3.46,"bv":"1.161"},"geometry":{"type":"Point","coordinates":[17.1475,-10.1823]}},{"type":"Feature","id":5372,"properties":{"mag":4.24,"bv":"1.213"},"geometry":{"type":"Point","coordinates":[17.187,86.2571]}},{"type":"Feature","id":5434,"properties":{"mag":4.26,"bv":"0.012"},"geometry":{"type":"Point","coordinates":[17.3755,47.2418]}},{"type":"Feature","id":5447,"properties":{"mag":2.07,"bv":"1.576"},"geometry":{"type":"Point","coordinates":[17.433,35.6206]}},{"type":"Feature","id":5454,"properties":{"mag":5.57,"bv":"0.697"},"geometry":{"type":"Point","coordinates":[17.455,19.6584]}},{"type":"Feature","id":5493,"properties":{"mag":5.67,"bv":"0.603"},"geometry":{"type":"Point","coordinates":[17.5781,42.0815]}},{"type":"Feature","id":5494,"properties":{"mag":5.81,"bv":"1.466"},"geometry":{"type":"Point","coordinates":[17.581,25.4578]}},{"type":"Feature","id":5510,"properties":{"mag":5.97,"bv":"1.491"},"geometry":{"type":"Point","coordinates":[17.6398,2.4457]}},{"type":"Feature","id":5518,"properties":{"mag":5.32,"bv":"-0.014"},"geometry":{"type":"Point","coordinates":[17.6638,68.7786]}},{"type":"Feature","id":5542,"properties":{"mag":4.34,"bv":"0.170"},"geometry":{"type":"Point","coordinates":[17.7757,55.1499]}},{"type":"Feature","id":5544,"properties":{"mag":5.15,"bv":"0.261"},"geometry":{"type":"Point","coordinates":[17.7782,31.4247]}},{"type":"Feature","id":5550,"properties":{"mag":5.8,"bv":"-0.095"},"geometry":{"type":"Point","coordinates":[17.7928,37.7241]}},{"type":"Feature","id":5566,"properties":{"mag":5.56,"bv":"-0.052"},"geometry":{"type":"Point","coordinates":[17.8565,64.2027]}},{"type":"Feature","id":5571,"properties":{"mag":4.66,"bv":"1.024"},"geometry":{"type":"Point","coordinates":[17.8634,21.0347]}},{"type":"Feature","id":5586,"properties":{"mag":4.51,"bv":"1.092"},"geometry":{"type":"Point","coordinates":[17.9152,30.0896]}},{"type":"Feature","id":5589,"properties":{"mag":5.57,"bv":"-0.072"},"geometry":{"type":"Point","coordinates":[17.9225,65.0189]}},{"type":"Feature","id":5594,"properties":{"mag":5.93,"bv":"1.403"},"geometry":{"type":"Point","coordinates":[17.9313,-2.2511]}},{"type":"Feature","id":5626,"properties":{"mag":5.6,"bv":"0.008"},"geometry":{"type":"Point","coordinates":[18.0701,79.674]}},{"type":"Feature","id":5661,"properties":{"mag":5.95,"bv":"0.281"},"geometry":{"type":"Point","coordinates":[18.1893,-37.8565]}},{"type":"Feature","id":5737,"properties":{"mag":5.21,"bv":"0.320"},"geometry":{"type":"Point","coordinates":[18.4329,7.5754]}},{"type":"Feature","id":5742,"properties":{"mag":4.67,"bv":"1.047"},"geometry":{"type":"Point","coordinates":[18.4373,24.5837]}},{"type":"Feature","id":5778,"properties":{"mag":5.97,"bv":"-0.082"},"geometry":{"type":"Point","coordinates":[18.5318,16.1335]}},{"type":"Feature","id":5799,"properties":{"mag":5.14,"bv":"0.448"},"geometry":{"type":"Point","coordinates":[18.6002,-7.9228]}},{"type":"Feature","id":5833,"properties":{"mag":5.7,"bv":"0.428"},"geometry":{"type":"Point","coordinates":[18.7049,-0.9738]}},{"type":"Feature","id":5862,"properties":{"mag":4.97,"bv":"0.571"},"geometry":{"type":"Point","coordinates":[18.7963,-45.5317]}},{"type":"Feature","id":5896,"properties":{"mag":4.25,"bv":"0.480"},"geometry":{"type":"Point","coordinates":[18.9423,-68.8759]}},{"type":"Feature","id":5926,"properties":{"mag":5.87,"bv":"2.042"},"geometry":{"type":"Point","coordinates":[19.0496,71.7438]}},{"type":"Feature","id":5951,"properties":{"mag":5.42,"bv":"0.888"},"geometry":{"type":"Point","coordinates":[19.1512,-2.5004]}},{"type":"Feature","id":6061,"properties":{"mag":5.13,"bv":"0.071"},"geometry":{"type":"Point","coordinates":[19.4498,3.6145]}},{"type":"Feature","id":6193,"properties":{"mag":4.74,"bv":"0.032"},"geometry":{"type":"Point","coordinates":[19.8666,27.2641]}},{"type":"Feature","id":6226,"properties":{"mag":5.87,"bv":"0.635"},"geometry":{"type":"Point","coordinates":[19.9512,-0.509]}},{"type":"Feature","id":6242,"properties":{"mag":4.95,"bv":"0.683"},"geometry":{"type":"Point","coordinates":[20.0205,58.2316]}},{"type":"Feature","id":6315,"properties":{"mag":5.23,"bv":"1.396"},"geometry":{"type":"Point","coordinates":[20.2807,28.7382]}},{"type":"Feature","id":6411,"properties":{"mag":4.87,"bv":"1.077"},"geometry":{"type":"Point","coordinates":[20.5851,45.5288]}},{"type":"Feature","id":6492,"properties":{"mag":5.97,"bv":"1.677"},"geometry":{"type":"Point","coordinates":[20.854,20.469]}},{"type":"Feature","id":6502,"properties":{"mag":5.84,"bv":"1.612"},"geometry":{"type":"Point","coordinates":[20.879,-30.9456]}},{"type":"Feature","id":6514,"properties":{"mag":5.6,"bv":"0.276"},"geometry":{"type":"Point","coordinates":[20.9192,37.7149]}},{"type":"Feature","id":6537,"properties":{"mag":3.6,"bv":"1.065"},"geometry":{"type":"Point","coordinates":[21.0059,-8.1833]}},{"type":"Feature","id":6564,"properties":{"mag":5.92,"bv":"0.407"},"geometry":{"type":"Point","coordinates":[21.0854,-6.9147]}},{"type":"Feature","id":6592,"properties":{"mag":5.42,"bv":"1.030"},"geometry":{"type":"Point","coordinates":[21.1699,-41.4925]}},{"type":"Feature","id":6631,"properties":{"mag":5.92,"bv":"1.561"},"geometry":{"type":"Point","coordinates":[21.2721,-64.3695]}},{"type":"Feature","id":6670,"properties":{"mag":4.9,"bv":"1.231"},"geometry":{"type":"Point","coordinates":[21.4051,-14.5988]}},{"type":"Feature","id":6686,"properties":{"mag":2.66,"bv":"0.160"},"geometry":{"type":"Point","coordinates":[21.454,60.2353]}},{"type":"Feature","id":6692,"properties":{"mag":4.72,"bv":"1.047"},"geometry":{"type":"Point","coordinates":[21.4834,68.13]}},{"type":"Feature","id":6706,"properties":{"mag":5.35,"bv":"0.395"},"geometry":{"type":"Point","coordinates":[21.5636,19.1723]}},{"type":"Feature","id":6711,"properties":{"mag":5.98,"bv":"0.520"},"geometry":{"type":"Point","coordinates":[21.5779,43.4577]}},{"type":"Feature","id":6732,"properties":{"mag":5.5,"bv":"1.106"},"geometry":{"type":"Point","coordinates":[21.6737,19.2404]}},{"type":"Feature","id":6748,"properties":{"mag":5.51,"bv":"0.321"},"geometry":{"type":"Point","coordinates":[21.7149,-13.0565]}},{"type":"Feature","id":6813,"properties":{"mag":4.83,"bv":"0.421"},"geometry":{"type":"Point","coordinates":[21.9141,45.4067]}},{"type":"Feature","id":6867,"properties":{"mag":3.41,"bv":"1.542"},"geometry":{"type":"Point","coordinates":[22.0914,-43.3182]}},{"type":"Feature","id":6960,"properties":{"mag":5.11,"bv":"0.028"},"geometry":{"type":"Point","coordinates":[22.4006,-21.6293]}},{"type":"Feature","id":6999,"properties":{"mag":5.27,"bv":"0.999"},"geometry":{"type":"Point","coordinates":[22.5254,47.0073]}},{"type":"Feature","id":7007,"properties":{"mag":4.84,"bv":"1.372"},"geometry":{"type":"Point","coordinates":[22.5463,6.1438]}},{"type":"Feature","id":7016,"properties":{"mag":5.92,"bv":"1.327"},"geometry":{"type":"Point","coordinates":[22.5954,-26.2079]}},{"type":"Feature","id":7078,"properties":{"mag":5.82,"bv":"0.489"},"geometry":{"type":"Point","coordinates":[22.8073,70.2646]}},{"type":"Feature","id":7083,"properties":{"mag":3.93,"bv":"0.972"},"geometry":{"type":"Point","coordinates":[22.8129,-49.0727]}},{"type":"Feature","id":7097,"properties":{"mag":3.62,"bv":"0.974"},"geometry":{"type":"Point","coordinates":[22.8709,15.3458]}},{"type":"Feature","id":7118,"properties":{"mag":5.79,"bv":"1.073"},"geometry":{"type":"Point","coordinates":[22.9302,-30.2831]}},{"type":"Feature","id":7213,"properties":{"mag":5.49,"bv":"1.021"},"geometry":{"type":"Point","coordinates":[23.2336,-36.8652]}},{"type":"Feature","id":7251,"properties":{"mag":5.69,"bv":"1.435"},"geometry":{"type":"Point","coordinates":[23.3571,58.3273]}},{"type":"Feature","id":7276,"properties":{"mag":5.75,"bv":"0.639"},"geometry":{"type":"Point","coordinates":[23.4285,-7.0253]}},{"type":"Feature","id":7294,"properties":{"mag":4.68,"bv":"0.991"},"geometry":{"type":"Point","coordinates":[23.4828,59.232]}},{"type":"Feature","id":7321,"properties":{"mag":5.9,"bv":"-0.067"},"geometry":{"type":"Point","coordinates":[23.5692,37.2371]}},{"type":"Feature","id":7345,"properties":{"mag":5.62,"bv":"0.066"},"geometry":{"type":"Point","coordinates":[23.6574,-15.6764]}},{"type":"Feature","id":7359,"properties":{"mag":5.9,"bv":"1.536"},"geometry":{"type":"Point","coordinates":[23.7044,18.4605]}},{"type":"Feature","id":7447,"properties":{"mag":5.95,"bv":"0.259"},"geometry":{"type":"Point","coordinates":[23.9782,17.4338]}},{"type":"Feature","id":7450,"properties":{"mag":5.41,"bv":"1.226"},"geometry":{"type":"Point","coordinates":[23.9957,-15.4002]}},{"type":"Feature","id":7463,"properties":{"mag":5.69,"bv":"0.335"},"geometry":{"type":"Point","coordinates":[24.0355,-29.9073]}},{"type":"Feature","id":7513,"properties":{"mag":4.1,"bv":"0.536"},"geometry":{"type":"Point","coordinates":[24.1993,41.4055]}},{"type":"Feature","id":7535,"properties":{"mag":5.54,"bv":"0.347"},"geometry":{"type":"Point","coordinates":[24.2747,12.1415]}},{"type":"Feature","id":7568,"properties":{"mag":5.66,"bv":"0.939"},"geometry":{"type":"Point","coordinates":[24.3667,-84.7696]}},{"type":"Feature","id":7588,"properties":{"mag":0.45,"bv":"-0.158"},"geometry":{"type":"Point","coordinates":[24.4285,-57.2368]}},{"type":"Feature","id":7601,"properties":{"mag":5.88,"bv":"0.620"},"geometry":{"type":"Point","coordinates":[24.4815,-82.975]}},{"type":"Feature","id":7607,"properties":{"mag":3.59,"bv":"1.275"},"geometry":{"type":"Point","coordinates":[24.4982,48.6282]}},{"type":"Feature","id":7617,"properties":{"mag":5.55,"bv":"1.388"},"geometry":{"type":"Point","coordinates":[24.5315,57.9776]}},{"type":"Feature","id":7643,"properties":{"mag":5.94,"bv":"1.045"},"geometry":{"type":"Point","coordinates":[24.6145,-36.5283]}},{"type":"Feature","id":7650,"properties":{"mag":5.28,"bv":"0.972"},"geometry":{"type":"Point","coordinates":[24.6288,73.04]}},{"type":"Feature","id":7679,"properties":{"mag":5.58,"bv":"0.346"},"geometry":{"type":"Point","coordinates":[24.7158,-21.2754]}},{"type":"Feature","id":7719,"properties":{"mag":5.01,"bv":"0.883"},"geometry":{"type":"Point","coordinates":[24.8375,44.3862]}},{"type":"Feature","id":7740,"properties":{"mag":5.98,"bv":"1.119"},"geometry":{"type":"Point","coordinates":[24.9201,16.4059]}},{"type":"Feature","id":7751,"properties":{"mag":5.76,"bv":"0.880"},"geometry":{"type":"Point","coordinates":[24.9481,-56.1964]}},{"type":"Feature","id":7818,"properties":{"mag":4.96,"bv":"-0.068"},"geometry":{"type":"Point","coordinates":[25.1451,40.577]}},{"type":"Feature","id":7825,"properties":{"mag":5.63,"bv":"0.214"},"geometry":{"type":"Point","coordinates":[25.1652,43.2977]}},{"type":"Feature","id":7884,"properties":{"mag":4.45,"bv":"1.347"},"geometry":{"type":"Point","coordinates":[25.3579,5.4876]}},{"type":"Feature","id":7906,"properties":{"mag":5.97,"bv":"1.015"},"geometry":{"type":"Point","coordinates":[25.4135,30.0471]}},{"type":"Feature","id":7916,"properties":{"mag":5.75,"bv":"0.443"},"geometry":{"type":"Point","coordinates":[25.4368,-11.3247]}},{"type":"Feature","id":7918,"properties":{"mag":4.96,"bv":"0.618"},"geometry":{"type":"Point","coordinates":[25.4464,42.6134]}},{"type":"Feature","id":7921,"properties":{"mag":5.7,"bv":"1.264"},"geometry":{"type":"Point","coordinates":[25.4499,-60.7893]}},{"type":"Feature","id":7941,"properties":{"mag":5.7,"bv":"-0.010"},"geometry":{"type":"Point","coordinates":[25.5125,-36.8323]}},{"type":"Feature","id":7943,"properties":{"mag":5.63,"bv":"-0.059"},"geometry":{"type":"Point","coordinates":[25.5145,35.2457]}},{"type":"Feature","id":7955,"properties":{"mag":5.25,"bv":"1.044"},"geometry":{"type":"Point","coordinates":[25.5358,-32.327]}},{"type":"Feature","id":7965,"properties":{"mag":5.57,"bv":"-0.049"},"geometry":{"type":"Point","coordinates":[25.5855,68.043]}},{"type":"Feature","id":7978,"properties":{"mag":5.52,"bv":"0.551"},"geometry":{"type":"Point","coordinates":[25.6221,-53.7408]}},{"type":"Feature","id":7981,"properties":{"mag":5.24,"bv":"0.836"},"geometry":{"type":"Point","coordinates":[25.624,20.2685]}},{"type":"Feature","id":7999,"properties":{"mag":4.98,"bv":"1.378"},"geometry":{"type":"Point","coordinates":[25.6813,-3.6902]}},{"type":"Feature","id":8016,"properties":{"mag":5.18,"bv":"-0.022"},"geometry":{"type":"Point","coordinates":[25.7328,70.6225]}},{"type":"Feature","id":8046,"properties":{"mag":5.78,"bv":"-0.010"},"geometry":{"type":"Point","coordinates":[25.8323,60.5513]}},{"type":"Feature","id":8068,"properties":{"mag":4.01,"bv":"-0.098"},"geometry":{"type":"Point","coordinates":[25.9152,50.6887]}},{"type":"Feature","id":8102,"properties":{"mag":3.49,"bv":"0.727"},"geometry":{"type":"Point","coordinates":[26.017,-15.9375]}},{"type":"Feature","id":8198,"properties":{"mag":4.26,"bv":"0.942"},"geometry":{"type":"Point","coordinates":[26.3485,9.1577]}},{"type":"Feature","id":8209,"properties":{"mag":5.29,"bv":"0.395"},"geometry":{"type":"Point","coordinates":[26.4115,-25.0526]}},{"type":"Feature","id":8230,"properties":{"mag":5.37,"bv":"1.517"},"geometry":{"type":"Point","coordinates":[26.4969,-5.7333]}},{"type":"Feature","id":8240,"properties":{"mag":5.49,"bv":"1.615"},"geometry":{"type":"Point","coordinates":[26.5249,-50.8163]}},{"type":"Feature","id":8241,"properties":{"mag":5.04,"bv":"0.031"},"geometry":{"type":"Point","coordinates":[26.5261,-53.522]}},{"type":"Feature","id":8362,"properties":{"mag":5.63,"bv":"0.804"},"geometry":{"type":"Point","coordinates":[26.9368,63.8525]}},{"type":"Feature","id":8387,"properties":{"mag":5.86,"bv":"-0.039"},"geometry":{"type":"Point","coordinates":[27.0456,16.9556]}},{"type":"Feature","id":8404,"properties":{"mag":5.91,"bv":"0.970"},"geometry":{"type":"Point","coordinates":[27.1084,3.6854]}},{"type":"Feature","id":8423,"properties":{"mag":5.94,"bv":"0.975"},"geometry":{"type":"Point","coordinates":[27.1622,37.9529]}},{"type":"Feature","id":8433,"properties":{"mag":5.78,"bv":"0.572"},"geometry":{"type":"Point","coordinates":[27.1732,32.6902]}},{"type":"Feature","id":8497,"properties":{"mag":4.66,"bv":"0.333"},"geometry":{"type":"Point","coordinates":[27.3963,-10.6864]}},{"type":"Feature","id":8544,"properties":{"mag":5.83,"bv":"0.743"},"geometry":{"type":"Point","coordinates":[27.5357,22.2753]}},{"type":"Feature","id":8588,"properties":{"mag":5.92,"bv":"0.302"},"geometry":{"type":"Point","coordinates":[27.7166,11.0434]}},{"type":"Feature","id":8593,"properties":{"mag":5.94,"bv":"0.154"},"geometry":{"type":"Point","coordinates":[27.7268,-50.2061]}},{"type":"Feature","id":8598,"properties":{"mag":5.96,"bv":"0.419"},"geometry":{"type":"Point","coordinates":[27.738,51.9334]}},{"type":"Feature","id":8645,"properties":{"mag":3.74,"bv":"1.136"},"geometry":{"type":"Point","coordinates":[27.8651,-10.335]}},{"type":"Feature","id":8704,"properties":{"mag":5.53,"bv":"-0.175"},"geometry":{"type":"Point","coordinates":[27.9972,55.1474]}},{"type":"Feature","id":8714,"properties":{"mag":5.7,"bv":"-0.067"},"geometry":{"type":"Point","coordinates":[28.039,50.7928]}},{"type":"Feature","id":8778,"properties":{"mag":5.78,"bv":"0.260"},"geometry":{"type":"Point","coordinates":[28.2171,-16.9292]}},{"type":"Feature","id":8796,"properties":{"mag":3.42,"bv":"0.488"},"geometry":{"type":"Point","coordinates":[28.2704,29.5788]}},{"type":"Feature","id":8814,"properties":{"mag":5.42,"bv":"1.311"},"geometry":{"type":"Point","coordinates":[28.3223,40.7298]}},{"type":"Feature","id":8832,"properties":{"mag":3.88,"bv":"-0.047"},"geometry":{"type":"Point","coordinates":[28.3826,19.2939]}},{"type":"Feature","id":8833,"properties":{"mag":4.61,"bv":"0.928"},"geometry":{"type":"Point","coordinates":[28.389,3.1875]}},{"type":"Feature","id":8837,"properties":{"mag":4.39,"bv":"1.597"},"geometry":{"type":"Point","coordinates":[28.4114,-46.3027]}},{"type":"Feature","id":8882,"properties":{"mag":5.12,"bv":"-0.060"},"geometry":{"type":"Point","coordinates":[28.5918,-42.4969]}},{"type":"Feature","id":8886,"properties":{"mag":3.35,"bv":"-0.150"},"geometry":{"type":"Point","coordinates":[28.5989,63.6701]}},{"type":"Feature","id":8903,"properties":{"mag":2.64,"bv":"0.165"},"geometry":{"type":"Point","coordinates":[28.66,20.808]}},{"type":"Feature","id":8928,"properties":{"mag":4.68,"bv":"0.931"},"geometry":{"type":"Point","coordinates":[28.7339,-67.6473]}},{"type":"Feature","id":8993,"properties":{"mag":5.76,"bv":"1.185"},"geometry":{"type":"Point","coordinates":[28.9627,23.5773]}},{"type":"Feature","id":9001,"properties":{"mag":5.89,"bv":"1.599"},"geometry":{"type":"Point","coordinates":[28.977,37.2778]}},{"type":"Feature","id":9007,"properties":{"mag":3.69,"bv":"0.844"},"geometry":{"type":"Point","coordinates":[28.9895,-51.6089]}},{"type":"Feature","id":9009,"properties":{"mag":4.97,"bv":"-0.084"},"geometry":{"type":"Point","coordinates":[29.0001,68.6852]}},{"type":"Feature","id":9021,"properties":{"mag":5.69,"bv":"1.060"},"geometry":{"type":"Point","coordinates":[29.039,37.2518]}},{"type":"Feature","id":9061,"properties":{"mag":4.92,"bv":"1.434"},"geometry":{"type":"Point","coordinates":[29.1675,-22.5268]}},{"type":"Feature","id":9095,"properties":{"mag":4.82,"bv":"0.864"},"geometry":{"type":"Point","coordinates":[29.292,-47.3853]}},{"type":"Feature","id":9110,"properties":{"mag":5.09,"bv":"0.921"},"geometry":{"type":"Point","coordinates":[29.3377,17.8175]}},{"type":"Feature","id":9132,"properties":{"mag":5.84,"bv":"1.576"},"geometry":{"type":"Point","coordinates":[29.4323,27.8044]}},{"type":"Feature","id":9153,"properties":{"mag":4.79,"bv":"0.290"},"geometry":{"type":"Point","coordinates":[29.4822,23.5961]}},{"type":"Feature","id":9222,"properties":{"mag":5.7,"bv":"1.005"},"geometry":{"type":"Point","coordinates":[29.6396,49.2044]}},{"type":"Feature","id":9236,"properties":{"mag":2.86,"bv":"0.290"},"geometry":{"type":"Point","coordinates":[29.6925,-61.5699]}},{"type":"Feature","id":9307,"properties":{"mag":5.89,"bv":"1.031"},"geometry":{"type":"Point","coordinates":[29.8987,21.0586]}},{"type":"Feature","id":9312,"properties":{"mag":5.29,"bv":"0.002"},"geometry":{"type":"Point","coordinates":[29.9085,64.6216]}},{"type":"Feature","id":9313,"properties":{"mag":5.57,"bv":"1.052"},"geometry":{"type":"Point","coordinates":[29.9117,-42.0305]}},{"type":"Feature","id":9326,"properties":{"mag":5.43,"bv":"1.640"},"geometry":{"type":"Point","coordinates":[29.9425,-20.8245]}},{"type":"Feature","id":9347,"properties":{"mag":3.99,"bv":"1.554"},"geometry":{"type":"Point","coordinates":[30.0013,-21.0778]}},{"type":"Feature","id":9353,"properties":{"mag":5.89,"bv":"0.610"},"geometry":{"type":"Point","coordinates":[30.0382,3.097]}},{"type":"Feature","id":9372,"properties":{"mag":5.43,"bv":"1.391"},"geometry":{"type":"Point","coordinates":[30.1118,-8.5239]}},{"type":"Feature","id":9440,"properties":{"mag":5.34,"bv":"0.883"},"geometry":{"type":"Point","coordinates":[30.3113,-30.0018]}},{"type":"Feature","id":9459,"properties":{"mag":5.15,"bv":"1.471"},"geometry":{"type":"Point","coordinates":[30.4266,-44.7135]}},{"type":"Feature","id":9480,"properties":{"mag":4.49,"bv":"0.164"},"geometry":{"type":"Point","coordinates":[30.4894,70.907]}},{"type":"Feature","id":9487,"properties":{"mag":3.82,"bv":"0.024"},"geometry":{"type":"Point","coordinates":[30.5118,2.7638]}},{"type":"Feature","id":9505,"properties":{"mag":4.99,"bv":"-0.071"},"geometry":{"type":"Point","coordinates":[30.5755,54.4875]}},{"type":"Feature","id":9533,"properties":{"mag":5.97,"bv":"1.584"},"geometry":{"type":"Point","coordinates":[30.6462,13.4767]}},{"type":"Feature","id":9564,"properties":{"mag":6,"bv":"0.029"},"geometry":{"type":"Point","coordinates":[30.7187,64.9015]}},{"type":"Feature","id":9570,"properties":{"mag":5.5,"bv":"0.029"},"geometry":{"type":"Point","coordinates":[30.7415,33.2841]}},{"type":"Feature","id":9572,"properties":{"mag":5.87,"bv":"0.966"},"geometry":{"type":"Point","coordinates":[30.744,-15.3059]}},{"type":"Feature","id":9573,"properties":{"mag":5.59,"bv":"0.325"},"geometry":{"type":"Point","coordinates":[30.7508,64.39]}},{"type":"Feature","id":9589,"properties":{"mag":5.42,"bv":"0.146"},"geometry":{"type":"Point","coordinates":[30.7985,0.1285]}},{"type":"Feature","id":9598,"properties":{"mag":3.95,"bv":"-0.002"},"geometry":{"type":"Point","coordinates":[30.8588,72.4213]}},{"type":"Feature","id":9621,"properties":{"mag":5.64,"bv":"0.537"},"geometry":{"type":"Point","coordinates":[30.9139,25.9355]}},{"type":"Feature","id":9622,"properties":{"mag":5.61,"bv":"1.589"},"geometry":{"type":"Point","coordinates":[30.9187,-4.1035]}},{"type":"Feature","id":9631,"properties":{"mag":5.96,"bv":"0.851"},"geometry":{"type":"Point","coordinates":[30.9507,-0.3403]}},{"type":"Feature","id":9640,"properties":{"mag":2.1,"bv":"1.370"},"geometry":{"type":"Point","coordinates":[30.9748,42.3297]}},{"type":"Feature","id":9677,"properties":{"mag":4.68,"bv":"-0.156"},"geometry":{"type":"Point","coordinates":[31.1227,-29.2968]}},{"type":"Feature","id":9727,"properties":{"mag":5.27,"bv":"0.345"},"geometry":{"type":"Point","coordinates":[31.2809,77.2813]}},{"type":"Feature","id":9763,"properties":{"mag":5.22,"bv":"0.954"},"geometry":{"type":"Point","coordinates":[31.3815,76.1151]}},{"type":"Feature","id":9836,"properties":{"mag":5.03,"bv":"0.121"},"geometry":{"type":"Point","coordinates":[31.6414,22.6483]}},{"type":"Feature","id":9884,"properties":{"mag":2.01,"bv":"1.151"},"geometry":{"type":"Point","coordinates":[31.7934,23.4624]}},{"type":"Feature","id":9977,"properties":{"mag":4.78,"bv":"0.120"},"geometry":{"type":"Point","coordinates":[32.1219,37.8591]}},{"type":"Feature","id":9990,"properties":{"mag":5.66,"bv":"0.595"},"geometry":{"type":"Point","coordinates":[32.1691,58.4236]}},{"type":"Feature","id":10035,"properties":{"mag":5.84,"bv":"1.197"},"geometry":{"type":"Point","coordinates":[32.2887,-43.5166]}},{"type":"Feature","id":10053,"properties":{"mag":4.98,"bv":"0.339"},"geometry":{"type":"Point","coordinates":[32.3556,25.9399]}},{"type":"Feature","id":10064,"properties":{"mag":3,"bv":"0.140"},"geometry":{"type":"Point","coordinates":[32.3859,34.9873]}},{"type":"Feature","id":10155,"properties":{"mag":5.68,"bv":"1.641"},"geometry":{"type":"Point","coordinates":[32.6567,19.5003]}},{"type":"Feature","id":10212,"properties":{"mag":5.64,"bv":"0.569"},"geometry":{"type":"Point","coordinates":[32.8378,8.5698]}},{"type":"Feature","id":10215,"properties":{"mag":6,"bv":"0.418"},"geometry":{"type":"Point","coordinates":[32.8426,-10.0522]}},{"type":"Feature","id":10234,"properties":{"mag":5.94,"bv":"0.967"},"geometry":{"type":"Point","coordinates":[32.8993,-1.8254]}},{"type":"Feature","id":10280,"properties":{"mag":4.94,"bv":"0.770"},"geometry":{"type":"Point","coordinates":[33.0928,30.3031]}},{"type":"Feature","id":10296,"properties":{"mag":5.96,"bv":"1.366"},"geometry":{"type":"Point","coordinates":[33.1564,24.1678]}},{"type":"Feature","id":10305,"properties":{"mag":5.65,"bv":"0.546"},"geometry":{"type":"Point","coordinates":[33.1981,-2.3936]}},{"type":"Feature","id":10306,"properties":{"mag":5.23,"bv":"0.457"},"geometry":{"type":"Point","coordinates":[33.2004,21.211]}},{"type":"Feature","id":10320,"properties":{"mag":5.27,"bv":"-0.013"},"geometry":{"type":"Point","coordinates":[33.227,-30.7238]}},{"type":"Feature","id":10324,"properties":{"mag":4.36,"bv":"0.878"},"geometry":{"type":"Point","coordinates":[33.25,8.8467]}},{"type":"Feature","id":10326,"properties":{"mag":5.86,"bv":"1.006"},"geometry":{"type":"Point","coordinates":[33.2541,-21.0001]}},{"type":"Feature","id":10328,"properties":{"mag":5.72,"bv":"1.551"},"geometry":{"type":"Point","coordinates":[33.2638,15.2799]}},{"type":"Feature","id":10340,"properties":{"mag":4.84,"bv":"1.476"},"geometry":{"type":"Point","coordinates":[33.3055,44.2317]}},{"type":"Feature","id":10366,"properties":{"mag":5.31,"bv":"0.926"},"geometry":{"type":"Point","coordinates":[33.4014,51.0658]}},{"type":"Feature","id":10418,"properties":{"mag":5.57,"bv":"1.556"},"geometry":{"type":"Point","coordinates":[33.5606,-67.8414]}},{"type":"Feature","id":10440,"properties":{"mag":5.91,"bv":"0.965"},"geometry":{"type":"Point","coordinates":[33.6331,-41.1668]}},{"type":"Feature","id":10513,"properties":{"mag":5.67,"bv":"1.306"},"geometry":{"type":"Point","coordinates":[33.8693,-67.7464]}},{"type":"Feature","id":10535,"properties":{"mag":5.57,"bv":"0.520"},"geometry":{"type":"Point","coordinates":[33.9282,25.043]}},{"type":"Feature","id":10540,"properties":{"mag":5.79,"bv":"0.439"},"geometry":{"type":"Point","coordinates":[33.9419,25.7829]}},{"type":"Feature","id":10559,"properties":{"mag":5.25,"bv":"-0.004"},"geometry":{"type":"Point","coordinates":[33.9845,33.3589]}},{"type":"Feature","id":10602,"properties":{"mag":3.56,"bv":"-0.120"},"geometry":{"type":"Point","coordinates":[34.1274,-51.5122]}},{"type":"Feature","id":10642,"properties":{"mag":5.51,"bv":"0.962"},"geometry":{"type":"Point","coordinates":[34.246,-6.4221]}},{"type":"Feature","id":10644,"properties":{"mag":4.84,"bv":"0.607"},"geometry":{"type":"Point","coordinates":[34.2635,34.2242]}},{"type":"Feature","id":10670,"properties":{"mag":4.03,"bv":"0.019"},"geometry":{"type":"Point","coordinates":[34.3286,33.8472]}},{"type":"Feature","id":10718,"properties":{"mag":5.75,"bv":"1.175"},"geometry":{"type":"Point","coordinates":[34.4995,57.8998]}},{"type":"Feature","id":10723,"properties":{"mag":5.6,"bv":"0.588"},"geometry":{"type":"Point","coordinates":[34.506,1.7578]}},{"type":"Feature","id":10729,"properties":{"mag":5.99,"bv":"1.039"},"geometry":{"type":"Point","coordinates":[34.5191,57.5163]}},{"type":"Feature","id":10732,"properties":{"mag":5.58,"bv":"0.011"},"geometry":{"type":"Point","coordinates":[34.5314,19.9012]}},{"type":"Feature","id":10793,"properties":{"mag":5.29,"bv":"0.037"},"geometry":{"type":"Point","coordinates":[34.7375,28.6427]}},{"type":"Feature","id":10819,"properties":{"mag":5.31,"bv":"0.006"},"geometry":{"type":"Point","coordinates":[34.82,47.38]}},{"type":"Feature","id":10871,"properties":{"mag":5.81,"bv":"1.570"},"geometry":{"type":"Point","coordinates":[34.9761,-55.9448]}},{"type":"Feature","id":10944,"properties":{"mag":5.57,"bv":"-0.089"},"geometry":{"type":"Point","coordinates":[35.2425,50.1515]}},{"type":"Feature","id":11001,"properties":{"mag":4.08,"bv":"0.034"},"geometry":{"type":"Point","coordinates":[35.4373,-68.6594]}},{"type":"Feature","id":11021,"properties":{"mag":5.29,"bv":"1.648"},"geometry":{"type":"Point","coordinates":[35.4859,0.3957]}},{"type":"Feature","id":11029,"properties":{"mag":5.43,"bv":"0.364"},"geometry":{"type":"Point","coordinates":[35.5064,-10.7775]}},{"type":"Feature","id":11033,"properties":{"mag":5.89,"bv":"1.231"},"geometry":{"type":"Point","coordinates":[35.5208,-17.6622]}},{"type":"Feature","id":11046,"properties":{"mag":5.42,"bv":"0.335"},"geometry":{"type":"Point","coordinates":[35.5517,-0.8849]}},{"type":"Feature","id":11060,"properties":{"mag":5.16,"bv":"0.369"},"geometry":{"type":"Point","coordinates":[35.5893,55.8457]}},{"type":"Feature","id":11072,"properties":{"mag":5.19,"bv":"0.608"},"geometry":{"type":"Point","coordinates":[35.6356,-23.8163]}},{"type":"Feature","id":11090,"properties":{"mag":5.81,"bv":"0.289"},"geometry":{"type":"Point","coordinates":[35.7096,41.3963]}},{"type":"Feature","id":11095,"properties":{"mag":5.99,"bv":"1.088"},"geometry":{"type":"Point","coordinates":[35.7179,-73.6458]}},{"type":"Feature","id":11102,"properties":{"mag":5.9,"bv":"0.213"},"geometry":{"type":"Point","coordinates":[35.7278,-51.0921]}},{"type":"Feature","id":11220,"properties":{"mag":5.19,"bv":"0.979"},"geometry":{"type":"Point","coordinates":[36.1038,50.0065]}},{"type":"Feature","id":11249,"properties":{"mag":5.48,"bv":"-0.098"},"geometry":{"type":"Point","coordinates":[36.2044,10.6106]}},{"type":"Feature","id":11258,"properties":{"mag":5.36,"bv":"0.395"},"geometry":{"type":"Point","coordinates":[36.2246,-60.3119]}},{"type":"Feature","id":11313,"properties":{"mag":4.73,"bv":"1.532"},"geometry":{"type":"Point","coordinates":[36.4059,50.2786]}},{"type":"Feature","id":11345,"properties":{"mag":4.88,"bv":"-0.027"},"geometry":{"type":"Point","coordinates":[36.4875,-12.2905]}},{"type":"Feature","id":11348,"properties":{"mag":5.88,"bv":"0.116"},"geometry":{"type":"Point","coordinates":[36.5015,-15.3412]}},{"type":"Feature","id":11381,"properties":{"mag":5.89,"bv":"1.247"},"geometry":{"type":"Point","coordinates":[36.6467,-20.0426]}},{"type":"Feature","id":11407,"properties":{"mag":4.24,"bv":"-0.136"},"geometry":{"type":"Point","coordinates":[36.7463,-47.7038]}},{"type":"Feature","id":11432,"properties":{"mag":5.55,"bv":"1.114"},"geometry":{"type":"Point","coordinates":[36.8657,31.8013]}},{"type":"Feature","id":11477,"properties":{"mag":5.13,"bv":"0.089"},"geometry":{"type":"Point","coordinates":[37.0071,-33.811]}},{"type":"Feature","id":11484,"properties":{"mag":4.3,"bv":"-0.053"},"geometry":{"type":"Point","coordinates":[37.0398,8.4601]}},{"type":"Feature","id":11486,"properties":{"mag":5.29,"bv":"0.311"},"geometry":{"type":"Point","coordinates":[37.0416,29.6693]}},{"type":"Feature","id":11548,"properties":{"mag":5.89,"bv":"0.591"},"geometry":{"type":"Point","coordinates":[37.2021,29.9318]}},{"type":"Feature","id":11569,"properties":{"mag":4.46,"bv":"0.153"},"geometry":{"type":"Point","coordinates":[37.2664,67.4025]}},{"type":"Feature","id":11670,"properties":{"mag":5.88,"bv":"0.412"},"geometry":{"type":"Point","coordinates":[37.6348,25.235]}},{"type":"Feature","id":11687,"properties":{"mag":6,"bv":"0.168"},"geometry":{"type":"Point","coordinates":[37.6883,0.2557]}},{"type":"Feature","id":11738,"properties":{"mag":5.27,"bv":"1.271"},"geometry":{"type":"Point","coordinates":[37.8754,2.2672]}},{"type":"Feature","id":11757,"properties":{"mag":5.27,"bv":"0.981"},"geometry":{"type":"Point","coordinates":[37.9189,-79.1094]}},{"type":"Feature","id":11767,"properties":{"mag":1.97,"bv":"0.636"},"geometry":{"type":"Point","coordinates":[37.9545,89.2641]}},{"type":"Feature","id":11783,"properties":{"mag":4.74,"bv":"0.454"},"geometry":{"type":"Point","coordinates":[38.0218,-15.2447]}},{"type":"Feature","id":11784,"properties":{"mag":5.15,"bv":"1.472"},"geometry":{"type":"Point","coordinates":[38.0257,36.1473]}},{"type":"Feature","id":11791,"properties":{"mag":5.36,"bv":"1.004"},"geometry":{"type":"Point","coordinates":[38.0393,-1.0349]}},{"type":"Feature","id":11840,"properties":{"mag":5.84,"bv":"1.083"},"geometry":{"type":"Point","coordinates":[38.2192,34.5424]}},{"type":"Feature","id":11843,"properties":{"mag":6,"bv":"0.572"},"geometry":{"type":"Point","coordinates":[38.2256,15.0346]}},{"type":"Feature","id":11867,"properties":{"mag":5.91,"bv":"1.064"},"geometry":{"type":"Point","coordinates":[38.2793,-34.65]}},{"type":"Feature","id":11918,"properties":{"mag":4.96,"bv":"-0.050"},"geometry":{"type":"Point","coordinates":[38.4613,-28.2323]}},{"type":"Feature","id":12002,"properties":{"mag":5.74,"bv":"1.393"},"geometry":{"type":"Point","coordinates":[38.6776,-7.8594]}},{"type":"Feature","id":12072,"properties":{"mag":5.72,"bv":"1.389"},"geometry":{"type":"Point","coordinates":[38.9114,37.3123]}},{"type":"Feature","id":12086,"properties":{"mag":5.38,"bv":"1.652"},"geometry":{"type":"Point","coordinates":[38.945,34.6876]}},{"type":"Feature","id":12093,"properties":{"mag":4.87,"bv":"0.880"},"geometry":{"type":"Point","coordinates":[38.9686,5.5932]}},{"type":"Feature","id":12107,"properties":{"mag":5.53,"bv":"1.607"},"geometry":{"type":"Point","coordinates":[39.0002,-7.8316]}},{"type":"Feature","id":12114,"properties":{"mag":5.79,"bv":"0.918"},"geometry":{"type":"Point","coordinates":[39.0204,6.8869]}},{"type":"Feature","id":12122,"properties":{"mag":5.74,"bv":"1.017"},"geometry":{"type":"Point","coordinates":[39.0386,-30.045]}},{"type":"Feature","id":12148,"properties":{"mag":5.81,"bv":"1.040"},"geometry":{"type":"Point","coordinates":[39.1461,7.73]}},{"type":"Feature","id":12153,"properties":{"mag":5.64,"bv":"0.516"},"geometry":{"type":"Point","coordinates":[39.158,12.4476]}},{"type":"Feature","id":12181,"properties":{"mag":5.91,"bv":"0.502"},"geometry":{"type":"Point","coordinates":[39.2383,38.7336]}},{"type":"Feature","id":12186,"properties":{"mag":5.78,"bv":"0.653"},"geometry":{"type":"Point","coordinates":[39.2442,-34.578]}},{"type":"Feature","id":12225,"properties":{"mag":5.3,"bv":"0.289"},"geometry":{"type":"Point","coordinates":[39.3515,-52.5431]}},{"type":"Feature","id":12239,"properties":{"mag":5.8,"bv":"1.561"},"geometry":{"type":"Point","coordinates":[39.4003,65.7453]}},{"type":"Feature","id":12247,"properties":{"mag":5.65,"bv":"1.021"},"geometry":{"type":"Point","coordinates":[39.4242,-3.3962]}},{"type":"Feature","id":12273,"properties":{"mag":5.17,"bv":"0.896"},"geometry":{"type":"Point","coordinates":[39.5085,72.8183]}},{"type":"Feature","id":12288,"properties":{"mag":5.84,"bv":"0.476"},"geometry":{"type":"Point","coordinates":[39.5778,-30.1941]}},{"type":"Feature","id":12332,"properties":{"mag":5.45,"bv":"0.168"},"geometry":{"type":"Point","coordinates":[39.7041,21.9614]}},{"type":"Feature","id":12387,"properties":{"mag":4.08,"bv":"-0.212"},"geometry":{"type":"Point","coordinates":[39.8707,0.3285]}},{"type":"Feature","id":12390,"properties":{"mag":4.83,"bv":"0.447"},"geometry":{"type":"Point","coordinates":[39.891,-11.8722]}},{"type":"Feature","id":12394,"properties":{"mag":4.12,"bv":"-0.061"},"geometry":{"type":"Point","coordinates":[39.8973,-68.2669]}},{"type":"Feature","id":12413,"properties":{"mag":4.74,"bv":"0.061"},"geometry":{"type":"Point","coordinates":[39.95,-42.8917]}},{"type":"Feature","id":12444,"properties":{"mag":5.79,"bv":"0.524"},"geometry":{"type":"Point","coordinates":[40.0518,-9.4529]}},{"type":"Feature","id":12484,"properties":{"mag":5.21,"bv":"0.411"},"geometry":{"type":"Point","coordinates":[40.1651,-54.5499]}},{"type":"Feature","id":12486,"properties":{"mag":4.11,"bv":"1.006"},"geometry":{"type":"Point","coordinates":[40.1668,-39.8554]}},{"type":"Feature","id":12489,"properties":{"mag":5.3,"bv":"0.081"},"geometry":{"type":"Point","coordinates":[40.1711,27.0609]}},{"type":"Feature","id":12530,"properties":{"mag":5.72,"bv":"0.511"},"geometry":{"type":"Point","coordinates":[40.3083,-0.6957]}},{"type":"Feature","id":12562,"properties":{"mag":5.98,"bv":"0.429"},"geometry":{"type":"Point","coordinates":[40.3922,-14.5493]}},{"type":"Feature","id":12608,"properties":{"mag":5.99,"bv":"0.917"},"geometry":{"type":"Point","coordinates":[40.5275,-38.3837]}},{"type":"Feature","id":12623,"properties":{"mag":4.91,"bv":"0.582"},"geometry":{"type":"Point","coordinates":[40.5621,40.1939]}},{"type":"Feature","id":12640,"properties":{"mag":5.74,"bv":"-0.017"},"geometry":{"type":"Point","coordinates":[40.5914,20.0115]}},{"type":"Feature","id":12653,"properties":{"mag":5.4,"bv":"0.561"},"geometry":{"type":"Point","coordinates":[40.6394,-50.8003]}},{"type":"Feature","id":12686,"properties":{"mag":5.85,"bv":"1.125"},"geometry":{"type":"Point","coordinates":[40.748,53.5261]}},{"type":"Feature","id":12692,"properties":{"mag":5.76,"bv":"-0.110"},"geometry":{"type":"Point","coordinates":[40.7618,55.106]}},{"type":"Feature","id":12706,"properties":{"mag":3.47,"bv":"0.093"},"geometry":{"type":"Point","coordinates":[40.8252,3.2358]}},{"type":"Feature","id":12719,"properties":{"mag":4.65,"bv":"-0.122"},"geometry":{"type":"Point","coordinates":[40.863,27.7071]}},{"type":"Feature","id":12768,"properties":{"mag":5.43,"bv":"0.904"},"geometry":{"type":"Point","coordinates":[41.0215,44.297]}},{"type":"Feature","id":12770,"properties":{"mag":4.24,"bv":"-0.122"},"geometry":{"type":"Point","coordinates":[41.0306,-13.8587]}},{"type":"Feature","id":12777,"properties":{"mag":4.1,"bv":"0.514"},"geometry":{"type":"Point","coordinates":[41.0499,49.2284]}},{"type":"Feature","id":12803,"properties":{"mag":5.78,"bv":"-0.024"},"geometry":{"type":"Point","coordinates":[41.1374,15.3119]}},{"type":"Feature","id":12821,"properties":{"mag":5.95,"bv":"0.136"},"geometry":{"type":"Point","coordinates":[41.2071,67.8246]}},{"type":"Feature","id":12828,"properties":{"mag":4.27,"bv":"0.311"},"geometry":{"type":"Point","coordinates":[41.2356,10.1141]}},{"type":"Feature","id":12832,"properties":{"mag":5.17,"bv":"0.234"},"geometry":{"type":"Point","coordinates":[41.2399,12.4458]}},{"type":"Feature","id":12843,"properties":{"mag":4.47,"bv":"0.481"},"geometry":{"type":"Point","coordinates":[41.2758,-18.5726]}},{"type":"Feature","id":12871,"properties":{"mag":5.73,"bv":"0.932"},"geometry":{"type":"Point","coordinates":[41.3645,-63.7046]}},{"type":"Feature","id":12876,"properties":{"mag":4.83,"bv":"0.058"},"geometry":{"type":"Point","coordinates":[41.386,-67.6166]}},{"type":"Feature","id":13055,"properties":{"mag":5.8,"bv":"1.300"},"geometry":{"type":"Point","coordinates":[41.9488,81.4485]}},{"type":"Feature","id":13061,"properties":{"mag":4.52,"bv":"1.112"},"geometry":{"type":"Point","coordinates":[41.9773,29.2471]}},{"type":"Feature","id":13108,"properties":{"mag":5.83,"bv":"1.216"},"geometry":{"type":"Point","coordinates":[42.1337,18.2838]}},{"type":"Feature","id":13121,"properties":{"mag":5.89,"bv":"-0.033"},"geometry":{"type":"Point","coordinates":[42.1913,25.1881]}},{"type":"Feature","id":13141,"properties":{"mag":5.25,"bv":"0.101"},"geometry":{"type":"Point","coordinates":[42.2562,-62.8065]}},{"type":"Feature","id":13147,"properties":{"mag":4.45,"bv":"0.981"},"geometry":{"type":"Point","coordinates":[42.2726,-32.4059]}},{"type":"Feature","id":13165,"properties":{"mag":5.26,"bv":"-0.066"},"geometry":{"type":"Point","coordinates":[42.3232,17.4643]}},{"type":"Feature","id":13202,"properties":{"mag":5.39,"bv":"0.013"},"geometry":{"type":"Point","coordinates":[42.4758,-27.942]}},{"type":"Feature","id":13209,"properties":{"mag":3.61,"bv":"-0.100"},"geometry":{"type":"Point","coordinates":[42.496,27.2605]}},{"type":"Feature","id":13225,"properties":{"mag":5.92,"bv":"0.899"},"geometry":{"type":"Point","coordinates":[42.5616,-35.8436]}},{"type":"Feature","id":13244,"properties":{"mag":4.76,"bv":"1.337"},"geometry":{"type":"Point","coordinates":[42.6186,-75.0669]}},{"type":"Feature","id":13254,"properties":{"mag":4.22,"bv":"0.343"},"geometry":{"type":"Point","coordinates":[42.6461,38.3186]}},{"type":"Feature","id":13265,"properties":{"mag":5.48,"bv":"1.259"},"geometry":{"type":"Point","coordinates":[42.6684,-35.6758]}},{"type":"Feature","id":13268,"properties":{"mag":3.77,"bv":"1.690"},"geometry":{"type":"Point","coordinates":[42.6742,55.8955]}},{"type":"Feature","id":13288,"properties":{"mag":4.76,"bv":"0.906"},"geometry":{"type":"Point","coordinates":[42.7597,-21.004]}},{"type":"Feature","id":13327,"properties":{"mag":5.52,"bv":"-0.099"},"geometry":{"type":"Point","coordinates":[42.8733,15.0821]}},{"type":"Feature","id":13328,"properties":{"mag":4.56,"bv":"1.554"},"geometry":{"type":"Point","coordinates":[42.8785,35.0597]}},{"type":"Feature","id":13339,"properties":{"mag":5.86,"bv":"0.903"},"geometry":{"type":"Point","coordinates":[42.9239,46.8419]}},{"type":"Feature","id":13367,"properties":{"mag":5.94,"bv":"0.700"},"geometry":{"type":"Point","coordinates":[42.9948,68.8885]}},{"type":"Feature","id":13473,"properties":{"mag":5.93,"bv":"0.437"},"geometry":{"type":"Point","coordinates":[43.3933,-38.437]}},{"type":"Feature","id":13479,"properties":{"mag":5.93,"bv":"1.041"},"geometry":{"type":"Point","coordinates":[43.3972,-22.3763]}},{"type":"Feature","id":13490,"properties":{"mag":5.34,"bv":"0.423"},"geometry":{"type":"Point","coordinates":[43.4276,38.3375]}},{"type":"Feature","id":13531,"properties":{"mag":3.93,"bv":"0.758"},"geometry":{"type":"Point","coordinates":[43.5644,52.7625]}},{"type":"Feature","id":13654,"properties":{"mag":5.76,"bv":"1.452"},"geometry":{"type":"Point","coordinates":[43.9521,18.3316]}},{"type":"Feature","id":13665,"properties":{"mag":5.59,"bv":"0.445"},"geometry":{"type":"Point","coordinates":[43.9872,61.5211]}},{"type":"Feature","id":13679,"properties":{"mag":5.97,"bv":"0.478"},"geometry":{"type":"Point","coordinates":[44.0574,8.3816]}},{"type":"Feature","id":13701,"properties":{"mag":3.89,"bv":"1.088"},"geometry":{"type":"Point","coordinates":[44.1069,-8.8981]}},{"type":"Feature","id":13702,"properties":{"mag":5.58,"bv":"0.471"},"geometry":{"type":"Point","coordinates":[44.109,18.0231]}},{"type":"Feature","id":13717,"properties":{"mag":5.16,"bv":"0.084"},"geometry":{"type":"Point","coordinates":[44.1559,-3.7123]}},{"type":"Feature","id":13775,"properties":{"mag":5.1,"bv":"-0.007"},"geometry":{"type":"Point","coordinates":[44.322,31.9342]}},{"type":"Feature","id":13782,"properties":{"mag":5.44,"bv":"0.238"},"geometry":{"type":"Point","coordinates":[44.349,-23.8622]}},{"type":"Feature","id":13834,"properties":{"mag":5.8,"bv":"0.415"},"geometry":{"type":"Point","coordinates":[44.5218,20.6687]}},{"type":"Feature","id":13835,"properties":{"mag":5.82,"bv":"1.334"},"geometry":{"type":"Point","coordinates":[44.5239,-23.606]}},{"type":"Feature","id":13847,"properties":{"mag":2.88,"bv":"0.128"},"geometry":{"type":"Point","coordinates":[44.5653,-40.3047]}},{"type":"Feature","id":13874,"properties":{"mag":5.22,"bv":"0.014"},"geometry":{"type":"Point","coordinates":[44.6753,-2.7829]}},{"type":"Feature","id":13879,"properties":{"mag":4.68,"bv":"0.065"},"geometry":{"type":"Point","coordinates":[44.6903,39.6627]}},{"type":"Feature","id":13884,"properties":{"mag":4.98,"bv":"0.126"},"geometry":{"type":"Point","coordinates":[44.6992,-64.0713]}},{"type":"Feature","id":13905,"properties":{"mag":4.94,"bv":"1.235"},"geometry":{"type":"Point","coordinates":[44.7653,35.1831]}},{"type":"Feature","id":13914,"properties":{"mag":4.63,"bv":"0.048"},"geometry":{"type":"Point","coordinates":[44.803,21.3404]}},{"type":"Feature","id":13942,"properties":{"mag":5.69,"bv":"0.427"},"geometry":{"type":"Point","coordinates":[44.9008,-25.2741]}},{"type":"Feature","id":13949,"properties":{"mag":5.89,"bv":"1.445"},"geometry":{"type":"Point","coordinates":[44.9162,41.0329]}},{"type":"Feature","id":13951,"properties":{"mag":5.56,"bv":"-0.072"},"geometry":{"type":"Point","coordinates":[44.9215,-2.465]}},{"type":"Feature","id":13954,"properties":{"mag":4.71,"bv":"-0.109"},"geometry":{"type":"Point","coordinates":[44.9288,8.9074]}},{"type":"Feature","id":13965,"properties":{"mag":5.47,"bv":"0.869"},"geometry":{"type":"Point","coordinates":[44.9575,47.2207]}},{"type":"Feature","id":14036,"properties":{"mag":5.93,"bv":"1.593"},"geometry":{"type":"Point","coordinates":[45.1839,10.8704]}},{"type":"Feature","id":14043,"properties":{"mag":5.24,"bv":"-0.049"},"geometry":{"type":"Point","coordinates":[45.2176,52.3517]}},{"type":"Feature","id":14060,"properties":{"mag":5.75,"bv":"1.043"},"geometry":{"type":"Point","coordinates":[45.2918,-7.663]}},{"type":"Feature","id":14086,"properties":{"mag":5.88,"bv":"0.794"},"geometry":{"type":"Point","coordinates":[45.4068,-28.0916]}},{"type":"Feature","id":14109,"properties":{"mag":5.91,"bv":"0.141"},"geometry":{"type":"Point","coordinates":[45.4756,26.4624]}},{"type":"Feature","id":14110,"properties":{"mag":5.84,"bv":"1.092"},"geometry":{"type":"Point","coordinates":[45.4838,-9.9614]}},{"type":"Feature","id":14131,"properties":{"mag":5.51,"bv":"-0.125"},"geometry":{"type":"Point","coordinates":[45.5644,-71.9025]}},{"type":"Feature","id":14135,"properties":{"mag":2.54,"bv":"1.630"},"geometry":{"type":"Point","coordinates":[45.5699,4.0897]}},{"type":"Feature","id":14143,"properties":{"mag":5.62,"bv":"-0.107"},"geometry":{"type":"Point","coordinates":[45.5938,4.3529]}},{"type":"Feature","id":14146,"properties":{"mag":4.08,"bv":"0.163"},"geometry":{"type":"Point","coordinates":[45.5979,-23.6245]}},{"type":"Feature","id":14168,"properties":{"mag":5.32,"bv":"0.941"},"geometry":{"type":"Point","coordinates":[45.6761,-7.6855]}},{"type":"Feature","id":14187,"properties":{"mag":5.81,"bv":"1.304"},"geometry":{"type":"Point","coordinates":[45.7328,-46.975]}},{"type":"Feature","id":14240,"properties":{"mag":5.12,"bv":"0.349"},"geometry":{"type":"Point","coordinates":[45.9034,-59.7378]}},{"type":"Feature","id":14293,"properties":{"mag":5.26,"bv":"0.193"},"geometry":{"type":"Point","coordinates":[46.0688,-7.6009]}},{"type":"Feature","id":14328,"properties":{"mag":2.91,"bv":"0.716"},"geometry":{"type":"Point","coordinates":[46.1991,53.5064]}},{"type":"Feature","id":14354,"properties":{"mag":3.32,"bv":"1.528"},"geometry":{"type":"Point","coordinates":[46.2941,38.8403]}},{"type":"Feature","id":14376,"properties":{"mag":5.45,"bv":"-0.031"},"geometry":{"type":"Point","coordinates":[46.3612,25.2552]}},{"type":"Feature","id":14382,"properties":{"mag":4.77,"bv":"1.018"},"geometry":{"type":"Point","coordinates":[46.385,56.7057]}},{"type":"Feature","id":14417,"properties":{"mag":5.49,"bv":"1.569"},"geometry":{"type":"Point","coordinates":[46.5327,79.4185]}},{"type":"Feature","id":14439,"properties":{"mag":5.64,"bv":"1.087"},"geometry":{"type":"Point","coordinates":[46.5987,13.1873]}},{"type":"Feature","id":14456,"properties":{"mag":5.23,"bv":"1.575"},"geometry":{"type":"Point","coordinates":[46.6396,-6.0886]}},{"type":"Feature","id":14502,"properties":{"mag":5.89,"bv":"-0.020"},"geometry":{"type":"Point","coordinates":[46.8292,64.0576]}},{"type":"Feature","id":14521,"properties":{"mag":5.67,"bv":"0.298"},"geometry":{"type":"Point","coordinates":[46.8839,-78.9892]}},{"type":"Feature","id":14576,"properties":{"mag":2.09,"bv":"-0.003"},"geometry":{"type":"Point","coordinates":[47.0422,40.9556]}},{"type":"Feature","id":14632,"properties":{"mag":4.05,"bv":"0.595"},"geometry":{"type":"Point","coordinates":[47.2667,49.6133]}},{"type":"Feature","id":14668,"properties":{"mag":3.79,"bv":"0.980"},"geometry":{"type":"Point","coordinates":[47.374,44.8575]}},{"type":"Feature","id":14677,"properties":{"mag":5.74,"bv":"0.115"},"geometry":{"type":"Point","coordinates":[47.4031,29.0771]}},{"type":"Feature","id":14764,"properties":{"mag":5.97,"bv":"-0.061"},"geometry":{"type":"Point","coordinates":[47.6616,11.8726]}},{"type":"Feature","id":14817,"properties":{"mag":4.61,"bv":"1.115"},"geometry":{"type":"Point","coordinates":[47.8224,39.6116]}},{"type":"Feature","id":14838,"properties":{"mag":4.35,"bv":"1.033"},"geometry":{"type":"Point","coordinates":[47.9074,19.7267]}},{"type":"Feature","id":14844,"properties":{"mag":5.92,"bv":"0.149"},"geometry":{"type":"Point","coordinates":[47.9278,81.4707]}},{"type":"Feature","id":14862,"properties":{"mag":4.85,"bv":"0.035"},"geometry":{"type":"Point","coordinates":[47.9845,74.3937]}},{"type":"Feature","id":14879,"properties":{"mag":3.8,"bv":"0.543"},"geometry":{"type":"Point","coordinates":[48.0189,-28.9876]}},{"type":"Feature","id":14893,"properties":{"mag":5.78,"bv":"-0.106"},"geometry":{"type":"Point","coordinates":[48.0594,27.257]}},{"type":"Feature","id":14913,"properties":{"mag":5.92,"bv":"0.440"},"geometry":{"type":"Point","coordinates":[48.1073,-44.4197]}},{"type":"Feature","id":14915,"properties":{"mag":5.55,"bv":"1.011"},"geometry":{"type":"Point","coordinates":[48.1099,6.6609]}},{"type":"Feature","id":14930,"properties":{"mag":5.71,"bv":"2.419"},"geometry":{"type":"Point","coordinates":[48.1382,-57.3215]}},{"type":"Feature","id":14954,"properties":{"mag":5.07,"bv":"0.575"},"geometry":{"type":"Point","coordinates":[48.1935,-1.1961]}},{"type":"Feature","id":15004,"properties":{"mag":5.93,"bv":"0.972"},"geometry":{"type":"Point","coordinates":[48.3495,48.177]}},{"type":"Feature","id":15110,"properties":{"mag":4.87,"bv":"-0.007"},"geometry":{"type":"Point","coordinates":[48.7254,21.0444]}},{"type":"Feature","id":15154,"properties":{"mag":5.61,"bv":"0.012"},"geometry":{"type":"Point","coordinates":[48.8352,30.5567]}},{"type":"Feature","id":15192,"properties":{"mag":5.79,"bv":"0.644"},"geometry":{"type":"Point","coordinates":[48.9499,57.1406]}},{"type":"Feature","id":15197,"properties":{"mag":4.8,"bv":"0.232"},"geometry":{"type":"Point","coordinates":[48.9584,-8.8197]}},{"type":"Feature","id":15201,"properties":{"mag":5.51,"bv":"0.438"},"geometry":{"type":"Point","coordinates":[48.9903,-77.3885]}},{"type":"Feature","id":15219,"properties":{"mag":5.04,"bv":"1.107"},"geometry":{"type":"Point","coordinates":[49.0508,50.9377]}},{"type":"Feature","id":15241,"properties":{"mag":5.98,"bv":"0.988"},"geometry":{"type":"Point","coordinates":[49.1466,32.184]}},{"type":"Feature","id":15305,"properties":{"mag":5.84,"bv":"1.228"},"geometry":{"type":"Point","coordinates":[49.3608,-47.7517]}},{"type":"Feature","id":15330,"properties":{"mag":5.53,"bv":"0.641"},"geometry":{"type":"Point","coordinates":[49.4423,-62.5753]}},{"type":"Feature","id":15334,"properties":{"mag":5.97,"bv":"0.056"},"geometry":{"type":"Point","coordinates":[49.4406,39.2834]}},{"type":"Feature","id":15338,"properties":{"mag":5.49,"bv":"-0.060"},"geometry":{"type":"Point","coordinates":[49.4473,44.025]}},{"type":"Feature","id":15357,"properties":{"mag":5.93,"bv":"0.337"},"geometry":{"type":"Point","coordinates":[49.5108,-28.7971]}},{"type":"Feature","id":15371,"properties":{"mag":5.24,"bv":"0.600"},"geometry":{"type":"Point","coordinates":[49.5534,-62.5064]}},{"type":"Feature","id":15382,"properties":{"mag":4.86,"bv":"0.904"},"geometry":{"type":"Point","coordinates":[49.5921,-22.5111]}},{"type":"Feature","id":15383,"properties":{"mag":5.62,"bv":"1.050"},"geometry":{"type":"Point","coordinates":[49.5934,-0.9303]}},{"type":"Feature","id":15404,"properties":{"mag":5.16,"bv":"-0.073"},"geometry":{"type":"Point","coordinates":[49.6573,50.2222]}},{"type":"Feature","id":15411,"properties":{"mag":5.72,"bv":"0.381"},"geometry":{"type":"Point","coordinates":[49.6715,-18.5598]}},{"type":"Feature","id":15416,"properties":{"mag":4.85,"bv":"1.491"},"geometry":{"type":"Point","coordinates":[49.6826,34.2227]}},{"type":"Feature","id":15444,"properties":{"mag":5.05,"bv":"-0.067"},"geometry":{"type":"Point","coordinates":[49.7818,50.095]}},{"type":"Feature","id":15457,"properties":{"mag":4.84,"bv":"0.681"},"geometry":{"type":"Point","coordinates":[49.8404,3.3702]}},{"type":"Feature","id":15474,"properties":{"mag":3.7,"bv":"1.614"},"geometry":{"type":"Point","coordinates":[49.8792,-21.7579]}},{"type":"Feature","id":15479,"properties":{"mag":5.63,"bv":"1.663"},"geometry":{"type":"Point","coordinates":[49.8954,-24.1229]}},{"type":"Feature","id":15510,"properties":{"mag":4.26,"bv":"0.711"},"geometry":{"type":"Point","coordinates":[49.9819,-43.0698]}},{"type":"Feature","id":15514,"properties":{"mag":5.91,"bv":"0.860"},"geometry":{"type":"Point","coordinates":[49.9825,27.0711]}},{"type":"Feature","id":15520,"properties":{"mag":4.74,"bv":"-0.108"},"geometry":{"type":"Point","coordinates":[49.997,65.6523]}},{"type":"Feature","id":15547,"properties":{"mag":5.44,"bv":"0.211"},"geometry":{"type":"Point","coordinates":[50.0823,77.7347]}},{"type":"Feature","id":15549,"properties":{"mag":4.47,"bv":"1.555"},"geometry":{"type":"Point","coordinates":[50.0848,29.0485]}},{"type":"Feature","id":15619,"properties":{"mag":5.7,"bv":"0.964"},"geometry":{"type":"Point","coordinates":[50.2783,3.6756]}},{"type":"Feature","id":15627,"properties":{"mag":5.27,"bv":"-0.067"},"geometry":{"type":"Point","coordinates":[50.3068,21.1471]}},{"type":"Feature","id":15643,"properties":{"mag":5.5,"bv":"0.885"},"geometry":{"type":"Point","coordinates":[50.35,-23.6351]}},{"type":"Feature","id":15648,"properties":{"mag":4.96,"bv":"0.051"},"geometry":{"type":"Point","coordinates":[50.3607,43.3297]}},{"type":"Feature","id":15669,"properties":{"mag":5.94,"bv":"0.468"},"geometry":{"type":"Point","coordinates":[50.4689,49.0709]}},{"type":"Feature","id":15696,"properties":{"mag":5.55,"bv":"1.100"},"geometry":{"type":"Point","coordinates":[50.5496,27.6076]}},{"type":"Feature","id":15737,"properties":{"mag":5.1,"bv":"1.231"},"geometry":{"type":"Point","coordinates":[50.6885,20.7421]}},{"type":"Feature","id":15770,"properties":{"mag":5.32,"bv":"-0.076"},"geometry":{"type":"Point","coordinates":[50.805,49.2133]}},{"type":"Feature","id":15861,"properties":{"mag":5.5,"bv":"1.190"},"geometry":{"type":"Point","coordinates":[51.077,24.7241]}},{"type":"Feature","id":15863,"properties":{"mag":1.79,"bv":"0.481"},"geometry":{"type":"Point","coordinates":[51.0807,49.8612]}},{"type":"Feature","id":15876,"properties":{"mag":5.78,"bv":"-0.001"},"geometry":{"type":"Point","coordinates":[51.1238,33.536]}},{"type":"Feature","id":15890,"properties":{"mag":5.13,"bv":"2.038"},"geometry":{"type":"Point","coordinates":[51.169,64.586]}},{"type":"Feature","id":15900,"properties":{"mag":3.61,"bv":"0.887"},"geometry":{"type":"Point","coordinates":[51.2033,9.0289]}},{"type":"Feature","id":15968,"properties":{"mag":5.96,"bv":"0.415"},"geometry":{"type":"Point","coordinates":[51.4011,-69.3364]}},{"type":"Feature","id":16029,"properties":{"mag":5.93,"bv":"0.934"},"geometry":{"type":"Point","coordinates":[51.5939,-27.3175]}},{"type":"Feature","id":16083,"properties":{"mag":3.73,"bv":"-0.082"},"geometry":{"type":"Point","coordinates":[51.7923,9.7327]}},{"type":"Feature","id":16112,"properties":{"mag":5.71,"bv":"1.284"},"geometry":{"type":"Point","coordinates":[51.8893,-35.6813]}},{"type":"Feature","id":16142,"properties":{"mag":5.74,"bv":"1.102"},"geometry":{"type":"Point","coordinates":[52.0039,-11.2866]}},{"type":"Feature","id":16147,"properties":{"mag":4.99,"bv":"-0.091"},"geometry":{"type":"Point","coordinates":[52.0128,49.0629]}},{"type":"Feature","id":16168,"properties":{"mag":5.72,"bv":"0.048"},"geometry":{"type":"Point","coordinates":[52.0862,33.8076]}},{"type":"Feature","id":16210,"properties":{"mag":5.58,"bv":"-0.054"},"geometry":{"type":"Point","coordinates":[52.218,49.8484]}},{"type":"Feature","id":16228,"properties":{"mag":4.21,"bv":"0.419"},"geometry":{"type":"Point","coordinates":[52.2672,59.9403]}},{"type":"Feature","id":16244,"properties":{"mag":4.67,"bv":"-0.096"},"geometry":{"type":"Point","coordinates":[52.3419,49.5089]}},{"type":"Feature","id":16245,"properties":{"mag":4.71,"bv":"0.410"},"geometry":{"type":"Point","coordinates":[52.3445,-62.9375]}},{"type":"Feature","id":16263,"properties":{"mag":5.57,"bv":"0.171"},"geometry":{"type":"Point","coordinates":[52.4001,-12.6747]}},{"type":"Feature","id":16281,"properties":{"mag":4.55,"bv":"0.489"},"geometry":{"type":"Point","coordinates":[52.4781,58.8787]}},{"type":"Feature","id":16285,"properties":{"mag":5.76,"bv":"0.205"},"geometry":{"type":"Point","coordinates":[52.4798,-42.6343]}},{"type":"Feature","id":16290,"properties":{"mag":5.68,"bv":"0.932"},"geometry":{"type":"Point","coordinates":[52.4954,-78.3518]}},{"type":"Feature","id":16292,"properties":{"mag":5.09,"bv":"0.022"},"geometry":{"type":"Point","coordinates":[52.5008,55.4518]}},{"type":"Feature","id":16322,"properties":{"mag":5.14,"bv":"-0.041"},"geometry":{"type":"Point","coordinates":[52.602,11.3364]}},{"type":"Feature","id":16335,"properties":{"mag":4.36,"bv":"1.367"},"geometry":{"type":"Point","coordinates":[52.6437,47.9952]}},{"type":"Feature","id":16339,"properties":{"mag":5.98,"bv":"0.116"},"geometry":{"type":"Point","coordinates":[52.654,-47.3751]}},{"type":"Feature","id":16340,"properties":{"mag":5.82,"bv":"-0.033"},"geometry":{"type":"Point","coordinates":[52.654,48.1036]}},{"type":"Feature","id":16341,"properties":{"mag":4.74,"bv":"-0.092"},"geometry":{"type":"Point","coordinates":[52.6544,-5.0751]}},{"type":"Feature","id":16358,"properties":{"mag":5.93,"bv":"0.953"},"geometry":{"type":"Point","coordinates":[52.6892,6.1887]}},{"type":"Feature","id":16368,"properties":{"mag":5.81,"bv":"-0.055"},"geometry":{"type":"Point","coordinates":[52.7154,-66.4897]}},{"type":"Feature","id":16369,"properties":{"mag":4.14,"bv":"1.112"},"geometry":{"type":"Point","coordinates":[52.7182,12.9367]}},{"type":"Feature","id":16470,"properties":{"mag":5.47,"bv":"-0.101"},"geometry":{"type":"Point","coordinates":[53.0358,48.0235]}},{"type":"Feature","id":16489,"properties":{"mag":5.62,"bv":"0.894"},"geometry":{"type":"Point","coordinates":[53.0839,84.911]}},{"type":"Feature","id":16499,"properties":{"mag":5.3,"bv":"0.398"},"geometry":{"type":"Point","coordinates":[53.1094,46.0569]}},{"type":"Feature","id":16509,"properties":{"mag":5.67,"bv":"1.101"},"geometry":{"type":"Point","coordinates":[53.145,-50.3786]}},{"type":"Feature","id":16511,"properties":{"mag":5.76,"bv":"-0.072"},"geometry":{"type":"Point","coordinates":[53.1498,9.3734]}},{"type":"Feature","id":16518,"properties":{"mag":5.91,"bv":"-0.084"},"geometry":{"type":"Point","coordinates":[53.1667,35.4617]}},{"type":"Feature","id":16537,"properties":{"mag":3.72,"bv":"0.881"},"geometry":{"type":"Point","coordinates":[53.2327,-9.4583]}},{"type":"Feature","id":16591,"properties":{"mag":5.79,"bv":"0.139"},"geometry":{"type":"Point","coordinates":[53.396,39.8995]}},{"type":"Feature","id":16599,"properties":{"mag":5.98,"bv":"0.114"},"geometry":{"type":"Point","coordinates":[53.4127,54.9749]}},{"type":"Feature","id":16611,"properties":{"mag":4.26,"bv":"-0.106"},"geometry":{"type":"Point","coordinates":[53.447,-21.6329]}},{"type":"Feature","id":16664,"properties":{"mag":5.95,"bv":"0.123"},"geometry":{"type":"Point","coordinates":[53.6109,24.4644]}},{"type":"Feature","id":16780,"properties":{"mag":5.56,"bv":"0.915"},"geometry":{"type":"Point","coordinates":[53.9903,-11.1938]}},{"type":"Feature","id":16803,"properties":{"mag":5.24,"bv":"-0.117"},"geometry":{"type":"Point","coordinates":[54.0726,-17.4671]}},{"type":"Feature","id":16826,"properties":{"mag":4.32,"bv":"-0.058"},"geometry":{"type":"Point","coordinates":[54.1224,48.1926]}},{"type":"Feature","id":16846,"properties":{"mag":5.82,"bv":"0.885"},"geometry":{"type":"Point","coordinates":[54.197,0.5878]}},{"type":"Feature","id":16852,"properties":{"mag":4.29,"bv":"0.575"},"geometry":{"type":"Point","coordinates":[54.2183,0.4017]}},{"type":"Feature","id":16870,"properties":{"mag":4.57,"bv":"1.023"},"geometry":{"type":"Point","coordinates":[54.2737,-40.2745]}},{"type":"Feature","id":16989,"properties":{"mag":5.86,"bv":"0.980"},"geometry":{"type":"Point","coordinates":[54.6219,-7.3919]}},{"type":"Feature","id":17027,"properties":{"mag":5.97,"bv":"0.921"},"geometry":{"type":"Point","coordinates":[54.7547,-5.6262]}},{"type":"Feature","id":17103,"properties":{"mag":5.55,"bv":"0.931"},"geometry":{"type":"Point","coordinates":[54.963,3.0569]}},{"type":"Feature","id":17167,"properties":{"mag":5.53,"bv":"-0.145"},"geometry":{"type":"Point","coordinates":[55.1597,-5.2107]}},{"type":"Feature","id":17203,"properties":{"mag":5.55,"bv":"-0.062"},"geometry":{"type":"Point","coordinates":[55.2827,37.5802]}},{"type":"Feature","id":17296,"properties":{"mag":5.06,"bv":"1.651"},"geometry":{"type":"Point","coordinates":[55.5389,63.2168]}},{"type":"Feature","id":17304,"properties":{"mag":4.99,"bv":"-0.159"},"geometry":{"type":"Point","coordinates":[55.5621,-31.9384]}},{"type":"Feature","id":17309,"properties":{"mag":5.68,"bv":"-0.016"},"geometry":{"type":"Point","coordinates":[55.579,19.7003]}},{"type":"Feature","id":17313,"properties":{"mag":4.97,"bv":"-0.048"},"geometry":{"type":"Point","coordinates":[55.5944,33.965]}},{"type":"Feature","id":17342,"properties":{"mag":5.74,"bv":"1.736"},"geometry":{"type":"Point","coordinates":[55.6781,59.9694]}},{"type":"Feature","id":17351,"properties":{"mag":4.59,"bv":"1.191"},"geometry":{"type":"Point","coordinates":[55.7086,-37.3135]}},{"type":"Feature","id":17358,"properties":{"mag":3.01,"bv":"-0.125"},"geometry":{"type":"Point","coordinates":[55.7313,47.7876]}},{"type":"Feature","id":17378,"properties":{"mag":3.52,"bv":"0.915"},"geometry":{"type":"Point","coordinates":[55.8121,-9.7634]}},{"type":"Feature","id":17395,"properties":{"mag":5.59,"bv":"0.216"},"geometry":{"type":"Point","coordinates":[55.891,-10.4857]}},{"type":"Feature","id":17440,"properties":{"mag":3.84,"bv":"1.133"},"geometry":{"type":"Point","coordinates":[56.0499,-64.8069]}},{"type":"Feature","id":17448,"properties":{"mag":3.84,"bv":"0.022"},"geometry":{"type":"Point","coordinates":[56.0797,32.2882]}},{"type":"Feature","id":17457,"properties":{"mag":5.24,"bv":"-0.088"},"geometry":{"type":"Point","coordinates":[56.1271,-1.1631]}},{"type":"Feature","id":17460,"properties":{"mag":5.6,"bv":"0.062"},"geometry":{"type":"Point","coordinates":[56.131,36.4601]}},{"type":"Feature","id":17489,"properties":{"mag":5.45,"bv":"-0.034"},"geometry":{"type":"Point","coordinates":[56.2009,24.2895]}},{"type":"Feature","id":17499,"properties":{"mag":3.72,"bv":"-0.105"},"geometry":{"type":"Point","coordinates":[56.2189,24.1133]}},{"type":"Feature","id":17506,"properties":{"mag":5.56,"bv":"1.411"},"geometry":{"type":"Point","coordinates":[56.2354,-0.2967]}},{"type":"Feature","id":17527,"properties":{"mag":5.66,"bv":"-0.064"},"geometry":{"type":"Point","coordinates":[56.2906,24.8393]}},{"type":"Feature","id":17529,"properties":{"mag":3.77,"bv":"0.425"},"geometry":{"type":"Point","coordinates":[56.2985,42.5785]}},{"type":"Feature","id":17531,"properties":{"mag":4.3,"bv":"-0.110"},"geometry":{"type":"Point","coordinates":[56.3021,24.4673]}},{"type":"Feature","id":17534,"properties":{"mag":5.72,"bv":"0.961"},"geometry":{"type":"Point","coordinates":[56.3162,-47.3595]}},{"type":"Feature","id":17563,"properties":{"mag":5.34,"bv":"-0.099"},"geometry":{"type":"Point","coordinates":[56.4185,6.05]}},{"type":"Feature","id":17573,"properties":{"mag":3.87,"bv":"-0.063"},"geometry":{"type":"Point","coordinates":[56.4567,24.3677]}},{"type":"Feature","id":17579,"properties":{"mag":5.76,"bv":"-0.036"},"geometry":{"type":"Point","coordinates":[56.477,24.5545]}},{"type":"Feature","id":17584,"properties":{"mag":5.66,"bv":"-0.080"},"geometry":{"type":"Point","coordinates":[56.4969,45.6819]}},{"type":"Feature","id":17585,"properties":{"mag":5.79,"bv":"0.347"},"geometry":{"type":"Point","coordinates":[56.5039,67.2016]}},{"type":"Feature","id":17587,"properties":{"mag":4.78,"bv":"0.747"},"geometry":{"type":"Point","coordinates":[56.5097,63.345]}},{"type":"Feature","id":17593,"properties":{"mag":4.43,"bv":"1.604"},"geometry":{"type":"Point","coordinates":[56.5356,-12.1016]}},{"type":"Feature","id":17595,"properties":{"mag":5.91,"bv":"0.992"},"geometry":{"type":"Point","coordinates":[56.539,6.8035]}},{"type":"Feature","id":17608,"properties":{"mag":4.14,"bv":"-0.051"},"geometry":{"type":"Point","coordinates":[56.5816,23.9484]}},{"type":"Feature","id":17618,"properties":{"mag":5.91,"bv":"0.110"},"geometry":{"type":"Point","coordinates":[56.6143,-29.3382]}},{"type":"Feature","id":17651,"properties":{"mag":4.22,"bv":"0.434"},"geometry":{"type":"Point","coordinates":[56.712,-23.2497]}},{"type":"Feature","id":17678,"properties":{"mag":3.26,"bv":"1.590"},"geometry":{"type":"Point","coordinates":[56.8098,-74.239]}},{"type":"Feature","id":17702,"properties":{"mag":2.85,"bv":"-0.086"},"geometry":{"type":"Point","coordinates":[56.8712,24.1051]}},{"type":"Feature","id":17717,"properties":{"mag":5.24,"bv":"0.075"},"geometry":{"type":"Point","coordinates":[56.9152,-23.8747]}},{"type":"Feature","id":17738,"properties":{"mag":5.52,"bv":"0.973"},"geometry":{"type":"Point","coordinates":[56.9835,-30.1679]}},{"type":"Feature","id":17771,"properties":{"mag":5.08,"bv":"-0.125"},"geometry":{"type":"Point","coordinates":[57.0678,11.1433]}},{"type":"Feature","id":17776,"properties":{"mag":5.44,"bv":"-0.067"},"geometry":{"type":"Point","coordinates":[57.0867,23.4212]}},{"type":"Feature","id":17797,"properties":{"mag":4.3,"bv":"-0.038"},"geometry":{"type":"Point","coordinates":[57.1495,-37.6202]}},{"type":"Feature","id":17798,"properties":{"mag":5.81,"bv":"1.602"},"geometry":{"type":"Point","coordinates":[57.1488,-20.903]}},{"type":"Feature","id":17805,"properties":{"mag":5.91,"bv":"1.224"},"geometry":{"type":"Point","coordinates":[57.1623,0.2279]}},{"type":"Feature","id":17846,"properties":{"mag":5.95,"bv":"0.279"},"geometry":{"type":"Point","coordinates":[57.2838,43.9631]}},{"type":"Feature","id":17847,"properties":{"mag":3.62,"bv":"-0.070"},"geometry":{"type":"Point","coordinates":[57.2906,24.0534]}},{"type":"Feature","id":17851,"properties":{"mag":5.05,"bv":"-0.082"},"geometry":{"type":"Point","coordinates":[57.2967,24.1367]}},{"type":"Feature","id":17854,"properties":{"mag":5.4,"bv":"0.096"},"geometry":{"type":"Point","coordinates":[57.3072,70.871]}},{"type":"Feature","id":17874,"properties":{"mag":4.17,"bv":"0.927"},"geometry":{"type":"Point","coordinates":[57.3635,-36.2003]}},{"type":"Feature","id":17884,"properties":{"mag":4.39,"bv":"1.870"},"geometry":{"type":"Point","coordinates":[57.3803,65.526]}},{"type":"Feature","id":17886,"properties":{"mag":5.14,"bv":"0.057"},"geometry":{"type":"Point","coordinates":[57.3862,33.0914]}},{"type":"Feature","id":17891,"properties":{"mag":5.82,"bv":"0.189"},"geometry":{"type":"Point","coordinates":[57.4025,63.297]}},{"type":"Feature","id":17932,"properties":{"mag":5.65,"bv":"0.779"},"geometry":{"type":"Point","coordinates":[57.5184,44.9679]}},{"type":"Feature","id":17954,"properties":{"mag":5.24,"bv":"0.231"},"geometry":{"type":"Point","coordinates":[57.5789,25.5794]}},{"type":"Feature","id":17959,"properties":{"mag":4.59,"bv":"0.064"},"geometry":{"type":"Point","coordinates":[57.5896,71.3323]}},{"type":"Feature","id":18081,"properties":{"mag":5.78,"bv":"-0.036"},"geometry":{"type":"Point","coordinates":[57.9738,34.3591]}},{"type":"Feature","id":18089,"properties":{"mag":5.66,"bv":"0.046"},"geometry":{"type":"Point","coordinates":[58.001,6.5349]}},{"type":"Feature","id":18141,"properties":{"mag":5.48,"bv":"-0.090"},"geometry":{"type":"Point","coordinates":[58.1736,-5.3613]}},{"type":"Feature","id":18170,"properties":{"mag":5.97,"bv":"0.354"},"geometry":{"type":"Point","coordinates":[58.2919,17.3271]}},{"type":"Feature","id":18199,"properties":{"mag":5.93,"bv":"1.220"},"geometry":{"type":"Point","coordinates":[58.3888,-46.8937]}},{"type":"Feature","id":18212,"properties":{"mag":5.76,"bv":"1.040"},"geometry":{"type":"Point","coordinates":[58.4113,48.6505]}},{"type":"Feature","id":18213,"properties":{"mag":5.11,"bv":"-0.133"},"geometry":{"type":"Point","coordinates":[58.4123,-34.7323]}},{"type":"Feature","id":18216,"properties":{"mag":4.64,"bv":"-0.136"},"geometry":{"type":"Point","coordinates":[58.4279,-24.6122]}},{"type":"Feature","id":18217,"properties":{"mag":5.8,"bv":"0.182"},"geometry":{"type":"Point","coordinates":[58.4304,57.9751]}},{"type":"Feature","id":18246,"properties":{"mag":2.84,"bv":"0.271"},"geometry":{"type":"Point","coordinates":[58.533,31.8836]}},{"type":"Feature","id":18255,"properties":{"mag":4.46,"bv":"0.672"},"geometry":{"type":"Point","coordinates":[58.5729,-2.9547]}},{"type":"Feature","id":18262,"properties":{"mag":5.7,"bv":"0.599"},"geometry":{"type":"Point","coordinates":[58.5965,-40.357]}},{"type":"Feature","id":18339,"properties":{"mag":5.99,"bv":"0.323"},"geometry":{"type":"Point","coordinates":[58.8172,-12.0991]}},{"type":"Feature","id":18396,"properties":{"mag":5.39,"bv":"-0.073"},"geometry":{"type":"Point","coordinates":[58.9924,47.8714]}},{"type":"Feature","id":18434,"properties":{"mag":5.49,"bv":"-0.058"},"geometry":{"type":"Point","coordinates":[59.1195,35.0809]}},{"type":"Feature","id":18453,"properties":{"mag":5.28,"bv":"0.425"},"geometry":{"type":"Point","coordinates":[59.1522,50.6954]}},{"type":"Feature","id":18471,"properties":{"mag":5.62,"bv":"0.345"},"geometry":{"type":"Point","coordinates":[59.217,22.478]}},{"type":"Feature","id":18488,"properties":{"mag":4.99,"bv":"1.435"},"geometry":{"type":"Point","coordinates":[59.2845,61.1089]}},{"type":"Feature","id":18505,"properties":{"mag":4.95,"bv":"-0.074"},"geometry":{"type":"Point","coordinates":[59.356,63.0723]}},{"type":"Feature","id":18532,"properties":{"mag":2.9,"bv":"-0.199"},"geometry":{"type":"Point","coordinates":[59.4635,40.0102]}},{"type":"Feature","id":18543,"properties":{"mag":2.97,"bv":"1.588"},"geometry":{"type":"Point","coordinates":[59.5074,-13.5085]}},{"type":"Feature","id":18597,"properties":{"mag":4.56,"bv":"1.590"},"geometry":{"type":"Point","coordinates":[59.6865,-61.4002]}},{"type":"Feature","id":18606,"properties":{"mag":5.85,"bv":"1.001"},"geometry":{"type":"Point","coordinates":[59.7183,-5.4699]}},{"type":"Feature","id":18614,"properties":{"mag":3.98,"bv":"0.016"},"geometry":{"type":"Point","coordinates":[59.7413,35.791]}},{"type":"Feature","id":18647,"properties":{"mag":5.61,"bv":"1.479"},"geometry":{"type":"Point","coordinates":[59.8755,-12.5744]}},{"type":"Feature","id":18673,"properties":{"mag":4.62,"bv":"-0.121"},"geometry":{"type":"Point","coordinates":[59.9812,-24.0162]}},{"type":"Feature","id":18723,"properties":{"mag":5.93,"bv":"0.036"},"geometry":{"type":"Point","coordinates":[60.1694,-30.4907]}},{"type":"Feature","id":18724,"properties":{"mag":3.41,"bv":"-0.099"},"geometry":{"type":"Point","coordinates":[60.1701,12.4903]}},{"type":"Feature","id":18735,"properties":{"mag":5.89,"bv":"0.319"},"geometry":{"type":"Point","coordinates":[60.2032,18.194]}},{"type":"Feature","id":18744,"properties":{"mag":4.48,"bv":"1.500"},"geometry":{"type":"Point","coordinates":[60.2242,-62.1593]}},{"type":"Feature","id":18772,"properties":{"mag":4.97,"bv":"1.386"},"geometry":{"type":"Point","coordinates":[60.3256,-61.0788]}},{"type":"Feature","id":18788,"properties":{"mag":5.28,"bv":"-0.133"},"geometry":{"type":"Point","coordinates":[60.3835,-1.5497]}},{"type":"Feature","id":18805,"properties":{"mag":5.67,"bv":"0.005"},"geometry":{"type":"Point","coordinates":[60.4422,9.998]}},{"type":"Feature","id":18859,"properties":{"mag":5.38,"bv":"0.516"},"geometry":{"type":"Point","coordinates":[60.6531,-0.2689]}},{"type":"Feature","id":18907,"properties":{"mag":3.91,"bv":"0.032"},"geometry":{"type":"Point","coordinates":[60.7891,5.9893]}},{"type":"Feature","id":18957,"properties":{"mag":5.32,"bv":"-0.080"},"geometry":{"type":"Point","coordinates":[60.9359,5.4356]}},{"type":"Feature","id":18975,"properties":{"mag":5.45,"bv":"0.371"},"geometry":{"type":"Point","coordinates":[60.9859,8.1973]}},{"type":"Feature","id":18993,"properties":{"mag":5.36,"bv":"0.505"},"geometry":{"type":"Point","coordinates":[61.0411,2.8269]}},{"type":"Feature","id":19009,"properties":{"mag":5.46,"bv":"0.813"},"geometry":{"type":"Point","coordinates":[61.0903,24.106]}},{"type":"Feature","id":19011,"properties":{"mag":5.62,"bv":"1.062"},"geometry":{"type":"Point","coordinates":[61.0946,-12.7923]}},{"type":"Feature","id":19018,"properties":{"mag":5,"bv":"0.495"},"geometry":{"type":"Point","coordinates":[61.1132,59.1555]}},{"type":"Feature","id":19038,"properties":{"mag":4.36,"bv":"1.064"},"geometry":{"type":"Point","coordinates":[61.1738,22.0819]}},{"type":"Feature","id":19076,"properties":{"mag":5.9,"bv":"0.620"},"geometry":{"type":"Point","coordinates":[61.3344,22.0089]}},{"type":"Feature","id":19095,"properties":{"mag":5.59,"bv":"0.324"},"geometry":{"type":"Point","coordinates":[61.406,-27.6518]}},{"type":"Feature","id":19129,"properties":{"mag":5.88,"bv":"1.543"},"geometry":{"type":"Point","coordinates":[61.5133,68.68]}},{"type":"Feature","id":19167,"properties":{"mag":4.25,"bv":"-0.011"},"geometry":{"type":"Point","coordinates":[61.646,50.3513]}},{"type":"Feature","id":19171,"properties":{"mag":5.18,"bv":"-0.124"},"geometry":{"type":"Point","coordinates":[61.6517,27.5999]}},{"type":"Feature","id":19205,"properties":{"mag":5.21,"bv":"0.359"},"geometry":{"type":"Point","coordinates":[61.7519,29.0013]}},{"type":"Feature","id":19284,"properties":{"mag":5.89,"bv":"1.497"},"geometry":{"type":"Point","coordinates":[61.9976,17.3399]}},{"type":"Feature","id":19335,"properties":{"mag":5.52,"bv":"0.520"},"geometry":{"type":"Point","coordinates":[62.1526,38.0397]}},{"type":"Feature","id":19343,"properties":{"mag":3.96,"bv":"-0.025"},"geometry":{"type":"Point","coordinates":[62.1654,47.7125]}},{"type":"Feature","id":19376,"properties":{"mag":5.94,"bv":"0.052"},"geometry":{"type":"Point","coordinates":[62.2565,13.3983]}},{"type":"Feature","id":19388,"properties":{"mag":5.51,"bv":"1.077"},"geometry":{"type":"Point","coordinates":[62.2915,19.6092]}},{"type":"Feature","id":19398,"properties":{"mag":5.45,"bv":"-0.147"},"geometry":{"type":"Point","coordinates":[62.3243,-16.3859]}},{"type":"Feature","id":19454,"properties":{"mag":5.84,"bv":"0.393"},"geometry":{"type":"Point","coordinates":[62.5068,86.6261]}},{"type":"Feature","id":19461,"properties":{"mag":5.1,"bv":"0.589"},"geometry":{"type":"Point","coordinates":[62.5114,80.6987]}},{"type":"Feature","id":19483,"properties":{"mag":5.44,"bv":"0.941"},"geometry":{"type":"Point","coordinates":[62.5938,-6.9239]}},{"type":"Feature","id":19511,"properties":{"mag":5.7,"bv":"1.057"},"geometry":{"type":"Point","coordinates":[62.699,-8.8198]}},{"type":"Feature","id":19513,"properties":{"mag":5.39,"bv":"0.352"},"geometry":{"type":"Point","coordinates":[62.7078,26.481]}},{"type":"Feature","id":19515,"properties":{"mag":4.93,"bv":"0.334"},"geometry":{"type":"Point","coordinates":[62.7108,-41.9936]}},{"type":"Feature","id":19525,"properties":{"mag":5.75,"bv":"1.412"},"geometry":{"type":"Point","coordinates":[62.7459,33.5868]}},{"type":"Feature","id":19554,"properties":{"mag":5.71,"bv":"0.360"},"geometry":{"type":"Point","coordinates":[62.8345,5.523]}},{"type":"Feature","id":19571,"properties":{"mag":5.8,"bv":"0.165"},"geometry":{"type":"Point","coordinates":[62.9008,-20.3562]}},{"type":"Feature","id":19587,"properties":{"mag":4.04,"bv":"0.327"},"geometry":{"type":"Point","coordinates":[62.9664,-6.8376]}},{"type":"Feature","id":19719,"properties":{"mag":5.29,"bv":"0.366"},"geometry":{"type":"Point","coordinates":[63.3879,7.716]}},{"type":"Feature","id":19740,"properties":{"mag":4.84,"bv":"0.799"},"geometry":{"type":"Point","coordinates":[63.4849,9.2638]}},{"type":"Feature","id":19747,"properties":{"mag":3.85,"bv":"1.085"},"geometry":{"type":"Point","coordinates":[63.5005,-42.2944]}},{"type":"Feature","id":19777,"properties":{"mag":4.87,"bv":"1.156"},"geometry":{"type":"Point","coordinates":[63.5987,-10.2563]}},{"type":"Feature","id":19780,"properties":{"mag":3.33,"bv":"0.915"},"geometry":{"type":"Point","coordinates":[63.6062,-62.4739]}},{"type":"Feature","id":19799,"properties":{"mag":5.22,"bv":"-0.085"},"geometry":{"type":"Point","coordinates":[63.651,10.0114]}},{"type":"Feature","id":19805,"properties":{"mag":5.45,"bv":"1.106"},"geometry":{"type":"Point","coordinates":[63.7023,-62.1918]}},{"type":"Feature","id":19811,"properties":{"mag":4.67,"bv":"1.007"},"geometry":{"type":"Point","coordinates":[63.7222,40.4837]}},{"type":"Feature","id":19812,"properties":{"mag":4.12,"bv":"0.935"},"geometry":{"type":"Point","coordinates":[63.7244,48.4093]}},{"type":"Feature","id":19849,"properties":{"mag":4.43,"bv":"0.820"},"geometry":{"type":"Point","coordinates":[63.818,-7.6529]}},{"type":"Feature","id":19860,"properties":{"mag":4.27,"bv":"-0.054"},"geometry":{"type":"Point","coordinates":[63.8836,8.8924]}},{"type":"Feature","id":19893,"properties":{"mag":4.26,"bv":"0.312"},"geometry":{"type":"Point","coordinates":[64.0066,-51.4866]}},{"type":"Feature","id":19921,"properties":{"mag":4.44,"bv":"1.078"},"geometry":{"type":"Point","coordinates":[64.121,-59.3022]}},{"type":"Feature","id":19949,"properties":{"mag":5.2,"bv":"0.052"},"geometry":{"type":"Point","coordinates":[64.1795,53.6118]}},{"type":"Feature","id":19968,"properties":{"mag":5.69,"bv":"-0.116"},"geometry":{"type":"Point","coordinates":[64.2231,61.85]}},{"type":"Feature","id":19983,"properties":{"mag":5.72,"bv":"1.108"},"geometry":{"type":"Point","coordinates":[64.2837,57.8604]}},{"type":"Feature","id":19990,"properties":{"mag":4.93,"bv":"0.259"},"geometry":{"type":"Point","coordinates":[64.3153,20.5786]}},{"type":"Feature","id":19996,"properties":{"mag":5.95,"bv":"1.078"},"geometry":{"type":"Point","coordinates":[64.3301,-6.4722]}},{"type":"Feature","id":20020,"properties":{"mag":5.88,"bv":"-0.061"},"geometry":{"type":"Point","coordinates":[64.4178,-63.2554]}},{"type":"Feature","id":20042,"properties":{"mag":3.55,"bv":"-0.108"},"geometry":{"type":"Point","coordinates":[64.4736,-33.7983]}},{"type":"Feature","id":20049,"properties":{"mag":5.67,"bv":"0.836"},"geometry":{"type":"Point","coordinates":[64.497,-80.214]}},{"type":"Feature","id":20070,"properties":{"mag":4.6,"bv":"0.043"},"geometry":{"type":"Point","coordinates":[64.5609,50.2955]}},{"type":"Feature","id":20075,"properties":{"mag":6,"bv":"1.597"},"geometry":{"type":"Point","coordinates":[64.567,-20.7153]}},{"type":"Feature","id":20087,"properties":{"mag":5.64,"bv":"0.277"},"geometry":{"type":"Point","coordinates":[64.5967,21.5793]}},{"type":"Feature","id":20156,"properties":{"mag":5.46,"bv":"0.235"},"geometry":{"type":"Point","coordinates":[64.8052,50.0487]}},{"type":"Feature","id":20161,"properties":{"mag":5.33,"bv":"1.066"},"geometry":{"type":"Point","coordinates":[64.8196,-44.2679]}},{"type":"Feature","id":20171,"properties":{"mag":5.5,"bv":"-0.069"},"geometry":{"type":"Point","coordinates":[64.8587,21.1423]}},{"type":"Feature","id":20186,"properties":{"mag":5.34,"bv":"-0.107"},"geometry":{"type":"Point","coordinates":[64.9029,21.7735]}},{"type":"Feature","id":20205,"properties":{"mag":3.65,"bv":"0.981"},"geometry":{"type":"Point","coordinates":[64.9483,15.6276]}},{"type":"Feature","id":20219,"properties":{"mag":5.58,"bv":"0.283"},"geometry":{"type":"Point","coordinates":[64.9904,14.0352]}},{"type":"Feature","id":20234,"properties":{"mag":5.55,"bv":"-0.031"},"geometry":{"type":"Point","coordinates":[65.048,50.9209]}},{"type":"Feature","id":20241,"properties":{"mag":5.95,"bv":"0.962"},"geometry":{"type":"Point","coordinates":[65.0601,41.8081]}},{"type":"Feature","id":20250,"properties":{"mag":4.97,"bv":"1.150"},"geometry":{"type":"Point","coordinates":[65.0884,27.3508]}},{"type":"Feature","id":20252,"properties":{"mag":4.93,"bv":"0.950"},"geometry":{"type":"Point","coordinates":[65.1027,34.5667]}},{"type":"Feature","id":20261,"properties":{"mag":5.26,"bv":"0.225"},"geometry":{"type":"Point","coordinates":[65.1513,15.0955]}},{"type":"Feature","id":20264,"properties":{"mag":5.38,"bv":"-0.027"},"geometry":{"type":"Point","coordinates":[65.1626,-20.6396]}},{"type":"Feature","id":20266,"properties":{"mag":5.26,"bv":"0.820"},"geometry":{"type":"Point","coordinates":[65.168,65.1404]}},{"type":"Feature","id":20268,"properties":{"mag":5.76,"bv":"0.914"},"geometry":{"type":"Point","coordinates":[65.1719,6.1308]}},{"type":"Feature","id":20271,"properties":{"mag":5.85,"bv":"-0.124"},"geometry":{"type":"Point","coordinates":[65.1785,-7.5925]}},{"type":"Feature","id":20297,"properties":{"mag":5.78,"bv":"0.359"},"geometry":{"type":"Point","coordinates":[65.2419,-81.5799]}},{"type":"Feature","id":20341,"properties":{"mag":5.86,"bv":"1.320"},"geometry":{"type":"Point","coordinates":[65.3627,-0.0982]}},{"type":"Feature","id":20354,"properties":{"mag":4.8,"bv":"-0.022"},"geometry":{"type":"Point","coordinates":[65.3882,46.4989]}},{"type":"Feature","id":20376,"properties":{"mag":5.4,"bv":"1.497"},"geometry":{"type":"Point","coordinates":[65.4485,60.7356]}},{"type":"Feature","id":20380,"properties":{"mag":5.91,"bv":"0.112"},"geometry":{"type":"Point","coordinates":[65.4659,56.5063]}},{"type":"Feature","id":20384,"properties":{"mag":5.24,"bv":"0.955"},"geometry":{"type":"Point","coordinates":[65.4722,-63.3864]}},{"type":"Feature","id":20400,"properties":{"mag":5.72,"bv":"0.315"},"geometry":{"type":"Point","coordinates":[65.5147,14.0772]}},{"type":"Feature","id":20417,"properties":{"mag":5.91,"bv":"1.660"},"geometry":{"type":"Point","coordinates":[65.5947,20.8214]}},{"type":"Feature","id":20430,"properties":{"mag":5.38,"bv":"-0.041"},"geometry":{"type":"Point","coordinates":[65.6456,25.6293]}},{"type":"Feature","id":20455,"properties":{"mag":3.77,"bv":"0.983"},"geometry":{"type":"Point","coordinates":[65.7337,17.5425]}},{"type":"Feature","id":20465,"properties":{"mag":5.81,"bv":"1.507"},"geometry":{"type":"Point","coordinates":[65.7736,-24.8922]}},{"type":"Feature","id":20484,"properties":{"mag":5.64,"bv":"0.310"},"geometry":{"type":"Point","coordinates":[65.8544,16.7773]}},{"type":"Feature","id":20493,"properties":{"mag":6,"bv":"0.029"},"geometry":{"type":"Point","coordinates":[65.8849,20.982]}},{"type":"Feature","id":20507,"properties":{"mag":5.17,"bv":"0.072"},"geometry":{"type":"Point","coordinates":[65.9202,-3.7455]}},{"type":"Feature","id":20522,"properties":{"mag":5.1,"bv":"0.074"},"geometry":{"type":"Point","coordinates":[65.9659,9.461]}},{"type":"Feature","id":20535,"properties":{"mag":3.97,"bv":"1.468"},"geometry":{"type":"Point","coordinates":[66.0092,-34.0168]}},{"type":"Feature","id":20542,"properties":{"mag":4.8,"bv":"0.154"},"geometry":{"type":"Point","coordinates":[66.024,17.4441]}},{"type":"Feature","id":20579,"properties":{"mag":5.73,"bv":"-0.054"},"geometry":{"type":"Point","coordinates":[66.1215,34.1308]}},{"type":"Feature","id":20591,"properties":{"mag":5.77,"bv":"0.400"},"geometry":{"type":"Point","coordinates":[66.1561,33.9597]}},{"type":"Feature","id":20614,"properties":{"mag":5.97,"bv":"0.378"},"geometry":{"type":"Point","coordinates":[66.238,19.042]}},{"type":"Feature","id":20619,"properties":{"mag":5.94,"bv":"1.533"},"geometry":{"type":"Point","coordinates":[66.2722,-61.2382]}},{"type":"Feature","id":20635,"properties":{"mag":4.21,"bv":"0.136"},"geometry":{"type":"Point","coordinates":[66.3424,22.2939]}},{"type":"Feature","id":20641,"properties":{"mag":5.27,"bv":"0.250"},"geometry":{"type":"Point","coordinates":[66.3542,22.2]}},{"type":"Feature","id":20648,"properties":{"mag":4.3,"bv":"0.049"},"geometry":{"type":"Point","coordinates":[66.3724,17.9279]}},{"type":"Feature","id":20704,"properties":{"mag":5.29,"bv":"0.986"},"geometry":{"type":"Point","coordinates":[66.5263,31.4389]}},{"type":"Feature","id":20711,"properties":{"mag":4.28,"bv":"0.263"},"geometry":{"type":"Point","coordinates":[66.5769,22.8136]}},{"type":"Feature","id":20713,"properties":{"mag":4.48,"bv":"0.262"},"geometry":{"type":"Point","coordinates":[66.5864,15.6183]}},{"type":"Feature","id":20732,"properties":{"mag":4.69,"bv":"0.979"},"geometry":{"type":"Point","coordinates":[66.6516,14.7138]}},{"type":"Feature","id":20776,"properties":{"mag":5.42,"bv":"1.179"},"geometry":{"type":"Point","coordinates":[66.7623,80.8242]}},{"type":"Feature","id":20789,"properties":{"mag":5.53,"bv":"-0.098"},"geometry":{"type":"Point","coordinates":[66.8227,22.9963]}},{"type":"Feature","id":20804,"properties":{"mag":5.87,"bv":"0.049"},"geometry":{"type":"Point","coordinates":[66.8699,11.2123]}},{"type":"Feature","id":20825,"properties":{"mag":5.74,"bv":"1.005"},"geometry":{"type":"Point","coordinates":[66.9418,-62.5212]}},{"type":"Feature","id":20842,"properties":{"mag":5.72,"bv":"0.270"},"geometry":{"type":"Point","coordinates":[67.0033,21.6199]}},{"type":"Feature","id":20860,"properties":{"mag":5.51,"bv":"-0.106"},"geometry":{"type":"Point","coordinates":[67.0553,83.8078]}},{"type":"Feature","id":20873,"properties":{"mag":5.9,"bv":"0.325"},"geometry":{"type":"Point","coordinates":[67.0975,14.741]}},{"type":"Feature","id":20877,"properties":{"mag":4.96,"bv":"1.137"},"geometry":{"type":"Point","coordinates":[67.1099,16.3597]}},{"type":"Feature","id":20884,"properties":{"mag":5.53,"bv":"-0.099"},"geometry":{"type":"Point","coordinates":[67.1338,1.3808]}},{"type":"Feature","id":20885,"properties":{"mag":3.84,"bv":"0.952"},"geometry":{"type":"Point","coordinates":[67.1437,15.9622]}},{"type":"Feature","id":20889,"properties":{"mag":3.53,"bv":"1.014"},"geometry":{"type":"Point","coordinates":[67.1542,19.1804]}},{"type":"Feature","id":20892,"properties":{"mag":5.95,"bv":"1.215"},"geometry":{"type":"Point","coordinates":[67.1627,-19.4589]}},{"type":"Feature","id":20894,"properties":{"mag":3.4,"bv":"0.179"},"geometry":{"type":"Point","coordinates":[67.1656,15.8709]}},{"type":"Feature","id":20901,"properties":{"mag":5.02,"bv":"0.215"},"geometry":{"type":"Point","coordinates":[67.209,13.0476]}},{"type":"Feature","id":20922,"properties":{"mag":5.61,"bv":"-0.202"},"geometry":{"type":"Point","coordinates":[67.2789,-13.0484]}},{"type":"Feature","id":20982,"properties":{"mag":5.47,"bv":"0.855"},"geometry":{"type":"Point","coordinates":[67.5015,83.3404]}},{"type":"Feature","id":20995,"properties":{"mag":5.58,"bv":"0.324"},"geometry":{"type":"Point","coordinates":[67.5358,15.6378]}},{"type":"Feature","id":21029,"properties":{"mag":4.78,"bv":"0.170"},"geometry":{"type":"Point","coordinates":[67.6401,16.194]}},{"type":"Feature","id":21036,"properties":{"mag":5.4,"bv":"0.263"},"geometry":{"type":"Point","coordinates":[67.6557,13.7244]}},{"type":"Feature","id":21039,"properties":{"mag":5.47,"bv":"0.258"},"geometry":{"type":"Point","coordinates":[67.662,15.6919]}},{"type":"Feature","id":21042,"properties":{"mag":5.95,"bv":"1.005"},"geometry":{"type":"Point","coordinates":[67.668,-35.6535]}},{"type":"Feature","id":21060,"properties":{"mag":5.07,"bv":"-0.194"},"geometry":{"type":"Point","coordinates":[67.7087,-44.9537]}},{"type":"Feature","id":21139,"properties":{"mag":4.91,"bv":"1.320"},"geometry":{"type":"Point","coordinates":[67.9694,-0.044]}},{"type":"Feature","id":21148,"properties":{"mag":5.78,"bv":"0.119"},"geometry":{"type":"Point","coordinates":[68.0077,53.9108]}},{"type":"Feature","id":21192,"properties":{"mag":5.76,"bv":"-0.117"},"geometry":{"type":"Point","coordinates":[68.1565,-3.2095]}},{"type":"Feature","id":21247,"properties":{"mag":5.94,"bv":"0.306"},"geometry":{"type":"Point","coordinates":[68.3778,72.5286]}},{"type":"Feature","id":21248,"properties":{"mag":4.49,"bv":"0.972"},"geometry":{"type":"Point","coordinates":[68.3773,-29.7665]}},{"type":"Feature","id":21253,"properties":{"mag":5.79,"bv":"1.028"},"geometry":{"type":"Point","coordinates":[68.3915,-62.8237]}},{"type":"Feature","id":21273,"properties":{"mag":4.65,"bv":"0.255"},"geometry":{"type":"Point","coordinates":[68.4622,14.8444]}},{"type":"Feature","id":21278,"properties":{"mag":5.71,"bv":"-0.128"},"geometry":{"type":"Point","coordinates":[68.478,-6.7389]}},{"type":"Feature","id":21281,"properties":{"mag":3.3,"bv":"-0.079"},"geometry":{"type":"Point","coordinates":[68.4991,-55.045]}},{"type":"Feature","id":21295,"properties":{"mag":5.67,"bv":"0.055"},"geometry":{"type":"Point","coordinates":[68.5344,5.5686]}},{"type":"Feature","id":21296,"properties":{"mag":5.2,"bv":"1.708"},"geometry":{"type":"Point","coordinates":[68.5485,-8.2314]}},{"type":"Feature","id":21297,"properties":{"mag":5.24,"bv":"1.465"},"geometry":{"type":"Point","coordinates":[68.549,-8.9703]}},{"type":"Feature","id":21323,"properties":{"mag":5.88,"bv":"-0.048"},"geometry":{"type":"Point","coordinates":[68.6583,28.9612]}},{"type":"Feature","id":21393,"properties":{"mag":3.81,"bv":"0.957"},"geometry":{"type":"Point","coordinates":[68.8877,-30.5623]}},{"type":"Feature","id":21402,"properties":{"mag":4.25,"bv":"0.184"},"geometry":{"type":"Point","coordinates":[68.9136,10.1608]}},{"type":"Feature","id":21421,"properties":{"mag":0.87,"bv":"1.538"},"geometry":{"type":"Point","coordinates":[68.9802,16.5093]}},{"type":"Feature","id":21444,"properties":{"mag":3.93,"bv":"-0.210"},"geometry":{"type":"Point","coordinates":[69.0798,-3.3525]}},{"type":"Feature","id":21452,"properties":{"mag":5.91,"bv":"-0.009"},"geometry":{"type":"Point","coordinates":[69.1008,64.2616]}},{"type":"Feature","id":21476,"properties":{"mag":4.25,"bv":"1.171"},"geometry":{"type":"Point","coordinates":[69.1726,41.2648]}},{"type":"Feature","id":21479,"properties":{"mag":5.59,"bv":"1.500"},"geometry":{"type":"Point","coordinates":[69.19,-62.0772]}},{"type":"Feature","id":21515,"properties":{"mag":5.32,"bv":"-0.107"},"geometry":{"type":"Point","coordinates":[69.307,0.9983]}},{"type":"Feature","id":21547,"properties":{"mag":5.22,"bv":"0.283"},"geometry":{"type":"Point","coordinates":[69.4005,-2.4735]}},{"type":"Feature","id":21588,"properties":{"mag":5.78,"bv":"0.312"},"geometry":{"type":"Point","coordinates":[69.5394,16.0333]}},{"type":"Feature","id":21589,"properties":{"mag":4.27,"bv":"0.122"},"geometry":{"type":"Point","coordinates":[69.5394,12.5108]}},{"type":"Feature","id":21594,"properties":{"mag":3.86,"bv":"1.082"},"geometry":{"type":"Point","coordinates":[69.5451,-14.304]}},{"type":"Feature","id":21604,"properties":{"mag":5.85,"bv":"-0.019"},"geometry":{"type":"Point","coordinates":[69.566,20.6847]}},{"type":"Feature","id":21644,"properties":{"mag":4.99,"bv":"0.074"},"geometry":{"type":"Point","coordinates":[69.7231,-12.1231]}},{"type":"Feature","id":21670,"properties":{"mag":5.38,"bv":"0.257"},"geometry":{"type":"Point","coordinates":[69.7757,7.871]}},{"type":"Feature","id":21673,"properties":{"mag":5.08,"bv":"0.141"},"geometry":{"type":"Point","coordinates":[69.7884,15.7998]}},{"type":"Feature","id":21683,"properties":{"mag":4.67,"bv":"0.147"},"geometry":{"type":"Point","coordinates":[69.8188,15.918]}},{"type":"Feature","id":21685,"properties":{"mag":5.46,"bv":"1.054"},"geometry":{"type":"Point","coordinates":[69.8321,-14.3592]}},{"type":"Feature","id":21727,"properties":{"mag":5.07,"bv":"1.079"},"geometry":{"type":"Point","coordinates":[69.9778,53.0795]}},{"type":"Feature","id":21730,"properties":{"mag":5.36,"bv":"0.331"},"geometry":{"type":"Point","coordinates":[69.992,53.473]}},{"type":"Feature","id":21735,"properties":{"mag":5.45,"bv":"-0.121"},"geometry":{"type":"Point","coordinates":[70.0142,12.1976]}},{"type":"Feature","id":21743,"properties":{"mag":5.56,"bv":"0.926"},"geometry":{"type":"Point","coordinates":[70.0283,-24.4824]}},{"type":"Feature","id":21763,"properties":{"mag":4.32,"bv":"1.599"},"geometry":{"type":"Point","coordinates":[70.1105,-19.6715]}},{"type":"Feature","id":21770,"properties":{"mag":4.44,"bv":"0.342"},"geometry":{"type":"Point","coordinates":[70.1405,-41.8638]}},{"type":"Feature","id":21819,"properties":{"mag":5.73,"bv":"0.018"},"geometry":{"type":"Point","coordinates":[70.3323,28.615]}},{"type":"Feature","id":21823,"properties":{"mag":5.66,"bv":"0.002"},"geometry":{"type":"Point","coordinates":[70.3505,48.3009]}},{"type":"Feature","id":21847,"properties":{"mag":5.97,"bv":"0.593"},"geometry":{"type":"Point","coordinates":[70.4594,38.2802]}},{"type":"Feature","id":21861,"properties":{"mag":5.04,"bv":"0.391"},"geometry":{"type":"Point","coordinates":[70.5145,-37.1443]}},{"type":"Feature","id":21881,"properties":{"mag":4.27,"bv":"-0.112"},"geometry":{"type":"Point","coordinates":[70.5613,22.9569]}},{"type":"Feature","id":21914,"properties":{"mag":5.3,"bv":"0.977"},"geometry":{"type":"Point","coordinates":[70.6934,-50.4813]}},{"type":"Feature","id":21928,"properties":{"mag":5.3,"bv":"0.028"},"geometry":{"type":"Point","coordinates":[70.7264,43.3651]}},{"type":"Feature","id":21949,"properties":{"mag":5.53,"bv":"-0.114"},"geometry":{"type":"Point","coordinates":[70.7665,-70.931]}},{"type":"Feature","id":21958,"properties":{"mag":5.66,"bv":"1.391"},"geometry":{"type":"Point","coordinates":[70.7887,-30.7656]}},{"type":"Feature","id":21972,"properties":{"mag":5.86,"bv":"0.013"},"geometry":{"type":"Point","coordinates":[70.84,49.9738]}},{"type":"Feature","id":21986,"properties":{"mag":5.98,"bv":"0.645"},"geometry":{"type":"Point","coordinates":[70.8948,-8.7943]}},{"type":"Feature","id":22024,"properties":{"mag":5.78,"bv":"-0.076"},"geometry":{"type":"Point","coordinates":[71.0222,-8.5036]}},{"type":"Feature","id":22028,"properties":{"mag":5.53,"bv":"0.025"},"geometry":{"type":"Point","coordinates":[71.0333,-18.6666]}},{"type":"Feature","id":22040,"properties":{"mag":5.28,"bv":"0.206"},"geometry":{"type":"Point","coordinates":[71.0881,-59.7327]}},{"type":"Feature","id":22044,"properties":{"mag":5.39,"bv":"0.251"},"geometry":{"type":"Point","coordinates":[71.1076,11.1461]}},{"type":"Feature","id":22086,"properties":{"mag":5.72,"bv":"1.476"},"geometry":{"type":"Point","coordinates":[71.2673,-21.2834]}},{"type":"Feature","id":22109,"properties":{"mag":4.01,"bv":"-0.148"},"geometry":{"type":"Point","coordinates":[71.3756,-3.2547]}},{"type":"Feature","id":22157,"properties":{"mag":5.35,"bv":"0.197"},"geometry":{"type":"Point","coordinates":[71.5073,11.7056]}},{"type":"Feature","id":22176,"properties":{"mag":5.99,"bv":"1.221"},"geometry":{"type":"Point","coordinates":[71.5701,18.7347]}},{"type":"Feature","id":22220,"properties":{"mag":5.99,"bv":"0.934"},"geometry":{"type":"Point","coordinates":[71.6853,40.3126]}},{"type":"Feature","id":22263,"properties":{"mag":5.49,"bv":"0.632"},"geometry":{"type":"Point","coordinates":[71.9012,-16.9345]}},{"type":"Feature","id":22287,"properties":{"mag":5.29,"bv":"0.246"},"geometry":{"type":"Point","coordinates":[72.0011,56.7572]}},{"type":"Feature","id":22325,"properties":{"mag":5.76,"bv":"0.537"},"geometry":{"type":"Point","coordinates":[72.1356,-16.3295]}},{"type":"Feature","id":22336,"properties":{"mag":5.77,"bv":"0.631"},"geometry":{"type":"Point","coordinates":[72.1516,-5.674]}},{"type":"Feature","id":22361,"properties":{"mag":5.96,"bv":"0.283"},"geometry":{"type":"Point","coordinates":[72.2098,75.9412]}},{"type":"Feature","id":22393,"properties":{"mag":5.57,"bv":"1.132"},"geometry":{"type":"Point","coordinates":[72.3035,31.4374]}},{"type":"Feature","id":22407,"properties":{"mag":5.84,"bv":"0.250"},"geometry":{"type":"Point","coordinates":[72.3295,32.5882]}},{"type":"Feature","id":22449,"properties":{"mag":3.19,"bv":"0.484"},"geometry":{"type":"Point","coordinates":[72.46,6.9613]}},{"type":"Feature","id":22453,"properties":{"mag":4.89,"bv":"1.447"},"geometry":{"type":"Point","coordinates":[72.4777,37.4883]}},{"type":"Feature","id":22479,"properties":{"mag":5.03,"bv":"0.992"},"geometry":{"type":"Point","coordinates":[72.5484,-16.2172]}},{"type":"Feature","id":22509,"properties":{"mag":4.35,"bv":"0.010"},"geometry":{"type":"Point","coordinates":[72.653,8.9002]}},{"type":"Feature","id":22531,"properties":{"mag":5.58,"bv":"0.341"},"geometry":{"type":"Point","coordinates":[72.7305,-53.4615]}},{"type":"Feature","id":22545,"properties":{"mag":5.64,"bv":"1.013"},"geometry":{"type":"Point","coordinates":[72.7889,48.7407]}},{"type":"Feature","id":22549,"properties":{"mag":3.68,"bv":"-0.157"},"geometry":{"type":"Point","coordinates":[72.8015,5.6051]}},{"type":"Feature","id":22565,"properties":{"mag":5.08,"bv":"0.214"},"geometry":{"type":"Point","coordinates":[72.8436,18.8399]}},{"type":"Feature","id":22573,"properties":{"mag":5.82,"bv":"0.105"},"geometry":{"type":"Point","coordinates":[72.8676,-34.9063]}},{"type":"Feature","id":22626,"properties":{"mag":5.47,"bv":"1.559"},"geometry":{"type":"Point","coordinates":[73.0217,63.5054]}},{"type":"Feature","id":22667,"properties":{"mag":4.71,"bv":"1.773"},"geometry":{"type":"Point","coordinates":[73.1332,14.2506]}},{"type":"Feature","id":22678,"properties":{"mag":4.79,"bv":"1.414"},"geometry":{"type":"Point","coordinates":[73.1583,36.7032]}},{"type":"Feature","id":22697,"properties":{"mag":5.97,"bv":"0.368"},"geometry":{"type":"Point","coordinates":[73.1963,27.8975]}},{"type":"Feature","id":22699,"properties":{"mag":5.68,"bv":"0.115"},"geometry":{"type":"Point","coordinates":[73.199,42.5866]}},{"type":"Feature","id":22701,"properties":{"mag":4.36,"bv":"0.257"},"geometry":{"type":"Point","coordinates":[73.2236,-5.4527]}},{"type":"Feature","id":22730,"properties":{"mag":5.33,"bv":"1.632"},"geometry":{"type":"Point","coordinates":[73.3449,2.5082]}},{"type":"Feature","id":22783,"properties":{"mag":4.26,"bv":"-0.008"},"geometry":{"type":"Point","coordinates":[73.5125,66.3427]}},{"type":"Feature","id":22797,"properties":{"mag":3.71,"bv":"-0.179"},"geometry":{"type":"Point","coordinates":[73.5629,2.4407]}},{"type":"Feature","id":22833,"properties":{"mag":5.18,"bv":"0.121"},"geometry":{"type":"Point","coordinates":[73.6954,11.426]}},{"type":"Feature","id":22834,"properties":{"mag":5.33,"bv":"1.214"},"geometry":{"type":"Point","coordinates":[73.6991,7.7791]}},{"type":"Feature","id":22840,"properties":{"mag":5.98,"bv":"-0.116"},"geometry":{"type":"Point","coordinates":[73.7113,0.4672]}},{"type":"Feature","id":22845,"properties":{"mag":4.64,"bv":"0.085"},"geometry":{"type":"Point","coordinates":[73.7239,10.1508]}},{"type":"Feature","id":22854,"properties":{"mag":5.52,"bv":"0.015"},"geometry":{"type":"Point","coordinates":[73.763,55.2591]}},{"type":"Feature","id":22860,"properties":{"mag":5.71,"bv":"0.953"},"geometry":{"type":"Point","coordinates":[73.7784,-16.7407]}},{"type":"Feature","id":22871,"properties":{"mag":5.47,"bv":"1.518"},"geometry":{"type":"Point","coordinates":[73.7967,-74.9369]}},{"type":"Feature","id":22881,"properties":{"mag":5.71,"bv":"0.874"},"geometry":{"type":"Point","coordinates":[73.8277,-16.4178]}},{"type":"Feature","id":22913,"properties":{"mag":5.79,"bv":"-0.085"},"geometry":{"type":"Point","coordinates":[73.959,15.0403]}},{"type":"Feature","id":22936,"properties":{"mag":5.75,"bv":"0.105"},"geometry":{"type":"Point","coordinates":[74.0295,52.8698]}},{"type":"Feature","id":22957,"properties":{"mag":4.06,"bv":"1.158"},"geometry":{"type":"Point","coordinates":[74.0928,13.5145]}},{"type":"Feature","id":22958,"properties":{"mag":5.5,"bv":"-0.123"},"geometry":{"type":"Point","coordinates":[74.1008,-5.1714]}},{"type":"Feature","id":23015,"properties":{"mag":2.69,"bv":"1.490"},"geometry":{"type":"Point","coordinates":[74.2484,33.1661]}},{"type":"Feature","id":23040,"properties":{"mag":4.43,"bv":"-0.017"},"geometry":{"type":"Point","coordinates":[74.3217,53.7521]}},{"type":"Feature","id":23043,"properties":{"mag":5.51,"bv":"1.304"},"geometry":{"type":"Point","coordinates":[74.3431,17.1537]}},{"type":"Feature","id":23068,"properties":{"mag":5.79,"bv":"1.109"},"geometry":{"type":"Point","coordinates":[74.4527,23.9486]}},{"type":"Feature","id":23088,"properties":{"mag":5.79,"bv":"0.018"},"geometry":{"type":"Point","coordinates":[74.5391,25.0504]}},{"type":"Feature","id":23123,"properties":{"mag":4.47,"bv":"1.369"},"geometry":{"type":"Point","coordinates":[74.6371,1.714]}},{"type":"Feature","id":23148,"properties":{"mag":5.84,"bv":"0.932"},"geometry":{"type":"Point","coordinates":[74.7124,-82.4705]}},{"type":"Feature","id":23166,"properties":{"mag":5.65,"bv":"0.447"},"geometry":{"type":"Point","coordinates":[74.7557,-16.376]}},{"type":"Feature","id":23179,"properties":{"mag":4.93,"bv":"0.037"},"geometry":{"type":"Point","coordinates":[74.8142,37.8902]}},{"type":"Feature","id":23221,"properties":{"mag":5.39,"bv":"0.797"},"geometry":{"type":"Point","coordinates":[74.9602,-10.2633]}},{"type":"Feature","id":23231,"properties":{"mag":4.78,"bv":"0.267"},"geometry":{"type":"Point","coordinates":[74.9822,-12.5374]}},{"type":"Feature","id":23261,"properties":{"mag":5.95,"bv":"0.415"},"geometry":{"type":"Point","coordinates":[75.0764,39.3947]}},{"type":"Feature","id":23265,"properties":{"mag":5.09,"bv":"1.304"},"geometry":{"type":"Point","coordinates":[75.0863,81.1941]}},{"type":"Feature","id":23362,"properties":{"mag":4.91,"bv":"-0.047"},"geometry":{"type":"Point","coordinates":[75.3566,-20.0519]}},{"type":"Feature","id":23364,"properties":{"mag":4.8,"bv":"-0.164"},"geometry":{"type":"Point","coordinates":[75.3598,-7.174]}},{"type":"Feature","id":23408,"properties":{"mag":5.91,"bv":"1.267"},"geometry":{"type":"Point","coordinates":[75.4598,0.7221]}},{"type":"Feature","id":23416,"properties":{"mag":3.03,"bv":"0.537"},"geometry":{"type":"Point","coordinates":[75.4922,43.8233]}},{"type":"Feature","id":23430,"properties":{"mag":5.01,"bv":"1.056"},"geometry":{"type":"Point","coordinates":[75.5409,-26.275]}},{"type":"Feature","id":23446,"properties":{"mag":5.92,"bv":"1.170"},"geometry":{"type":"Point","coordinates":[75.595,-31.7713]}},{"type":"Feature","id":23453,"properties":{"mag":3.69,"bv":"1.154"},"geometry":{"type":"Point","coordinates":[75.6195,41.0758]}},{"type":"Feature","id":23467,"properties":{"mag":5.3,"bv":"0.996"},"geometry":{"type":"Point","coordinates":[75.6792,-71.3143]}},{"type":"Feature","id":23474,"properties":{"mag":5.74,"bv":"1.188"},"geometry":{"type":"Point","coordinates":[75.6874,-22.7951]}},{"type":"Feature","id":23475,"properties":{"mag":5.86,"bv":"1.212"},"geometry":{"type":"Point","coordinates":[75.6891,-4.2101]}},{"type":"Feature","id":23482,"properties":{"mag":5.37,"bv":"0.421"},"geometry":{"type":"Point","coordinates":[75.7029,-49.1514]}},{"type":"Feature","id":23497,"properties":{"mag":4.62,"bv":"0.155"},"geometry":{"type":"Point","coordinates":[75.7739,21.59]}},{"type":"Feature","id":23522,"properties":{"mag":4.03,"bv":"0.921"},"geometry":{"type":"Point","coordinates":[75.8545,60.4422]}},{"type":"Feature","id":23554,"properties":{"mag":5.61,"bv":"0.094"},"geometry":{"type":"Point","coordinates":[75.972,-24.3882]}},{"type":"Feature","id":23595,"properties":{"mag":4.55,"bv":"1.177"},"geometry":{"type":"Point","coordinates":[76.1017,-35.483]}},{"type":"Feature","id":23607,"properties":{"mag":4.65,"bv":"-0.064"},"geometry":{"type":"Point","coordinates":[76.1423,15.4041]}},{"type":"Feature","id":23649,"properties":{"mag":5.05,"bv":"1.484"},"geometry":{"type":"Point","coordinates":[76.2417,-49.5778]}},{"type":"Feature","id":23668,"properties":{"mag":5.71,"bv":"1.166"},"geometry":{"type":"Point","coordinates":[76.3175,-26.1524]}},{"type":"Feature","id":23685,"properties":{"mag":3.19,"bv":"1.460"},"geometry":{"type":"Point","coordinates":[76.3653,-22.371]}},{"type":"Feature","id":23693,"properties":{"mag":4.71,"bv":"0.526"},"geometry":{"type":"Point","coordinates":[76.3777,-57.4727]}},{"type":"Feature","id":23734,"properties":{"mag":5.22,"bv":"-0.080"},"geometry":{"type":"Point","coordinates":[76.5352,58.9724]}},{"type":"Feature","id":23766,"properties":{"mag":6,"bv":"1.380"},"geometry":{"type":"Point","coordinates":[76.6238,61.1698]}},{"type":"Feature","id":23767,"properties":{"mag":3.18,"bv":"-0.148"},"geometry":{"type":"Point","coordinates":[76.6287,41.2345]}},{"type":"Feature","id":23783,"properties":{"mag":4.98,"bv":"0.343"},"geometry":{"type":"Point","coordinates":[76.6693,51.5977]}},{"type":"Feature","id":23794,"properties":{"mag":5.12,"bv":"-0.059"},"geometry":{"type":"Point","coordinates":[76.6902,-4.6552]}},{"type":"Feature","id":23831,"properties":{"mag":5.97,"bv":"0.606"},"geometry":{"type":"Point","coordinates":[76.854,-12.4913]}},{"type":"Feature","id":23835,"properties":{"mag":4.91,"bv":"0.657"},"geometry":{"type":"Point","coordinates":[76.8625,18.6451]}},{"type":"Feature","id":23840,"properties":{"mag":5.19,"bv":"1.646"},"geometry":{"type":"Point","coordinates":[76.8918,-63.3997]}},{"type":"Feature","id":23871,"properties":{"mag":5.28,"bv":"0.118"},"geometry":{"type":"Point","coordinates":[76.9517,20.4184]}},{"type":"Feature","id":23875,"properties":{"mag":2.78,"bv":"0.161"},"geometry":{"type":"Point","coordinates":[76.9624,-5.0864]}},{"type":"Feature","id":23879,"properties":{"mag":5.33,"bv":"0.338"},"geometry":{"type":"Point","coordinates":[76.9704,8.4984]}},{"type":"Feature","id":23883,"properties":{"mag":5.84,"bv":"0.168"},"geometry":{"type":"Point","coordinates":[76.981,21.7048]}},{"type":"Feature","id":23900,"properties":{"mag":5.5,"bv":"0.030"},"geometry":{"type":"Point","coordinates":[77.0276,24.2652]}},{"type":"Feature","id":23916,"properties":{"mag":5.8,"bv":"-0.059"},"geometry":{"type":"Point","coordinates":[77.0841,-8.6653]}},{"type":"Feature","id":23941,"properties":{"mag":5.11,"bv":"0.455"},"geometry":{"type":"Point","coordinates":[77.1821,-4.4562]}},{"type":"Feature","id":23972,"properties":{"mag":4.25,"bv":"-0.187"},"geometry":{"type":"Point","coordinates":[77.2866,-8.7541]}},{"type":"Feature","id":23983,"properties":{"mag":5.43,"bv":"0.249"},"geometry":{"type":"Point","coordinates":[77.3318,9.8296]}},{"type":"Feature","id":24010,"properties":{"mag":4.81,"bv":"0.313"},"geometry":{"type":"Point","coordinates":[77.4248,15.5972]}},{"type":"Feature","id":24019,"properties":{"mag":5.93,"bv":"0.311"},"geometry":{"type":"Point","coordinates":[77.4379,28.0305]}},{"type":"Feature","id":24109,"properties":{"mag":5.67,"bv":"0.452"},"geometry":{"type":"Point","coordinates":[77.6788,46.9621]}},{"type":"Feature","id":24162,"properties":{"mag":5.89,"bv":"0.462"},"geometry":{"type":"Point","coordinates":[77.8299,-2.4908]}},{"type":"Feature","id":24169,"properties":{"mag":5.6,"bv":"1.350"},"geometry":{"type":"Point","coordinates":[77.8453,-11.8491]}},{"type":"Feature","id":24197,"properties":{"mag":5.18,"bv":"1.525"},"geometry":{"type":"Point","coordinates":[77.9232,16.0457]}},{"type":"Feature","id":24203,"properties":{"mag":5.88,"bv":"0.662"},"geometry":{"type":"Point","coordinates":[77.939,1.037]}},{"type":"Feature","id":24244,"properties":{"mag":4.45,"bv":"-0.099"},"geometry":{"type":"Point","coordinates":[78.0746,-11.8692]}},{"type":"Feature","id":24254,"properties":{"mag":5.44,"bv":"-0.108"},"geometry":{"type":"Point","coordinates":[78.0936,73.9467]}},{"type":"Feature","id":24294,"properties":{"mag":5.9,"bv":"0.960"},"geometry":{"type":"Point","coordinates":[78.2005,-6.0572]}},{"type":"Feature","id":24305,"properties":{"mag":3.29,"bv":"-0.110"},"geometry":{"type":"Point","coordinates":[78.2329,-16.2055]}},{"type":"Feature","id":24327,"properties":{"mag":4.36,"bv":"-0.094"},"geometry":{"type":"Point","coordinates":[78.3078,-12.9413]}},{"type":"Feature","id":24331,"properties":{"mag":4.46,"bv":"1.166"},"geometry":{"type":"Point","coordinates":[78.3228,2.8613]}},{"type":"Feature","id":24340,"properties":{"mag":4.82,"bv":"0.189"},"geometry":{"type":"Point","coordinates":[78.3572,38.4845]}},{"type":"Feature","id":24372,"properties":{"mag":4.81,"bv":"1.274"},"geometry":{"type":"Point","coordinates":[78.4394,-67.1853]}},{"type":"Feature","id":24426,"properties":{"mag":5.75,"bv":"1.009"},"geometry":{"type":"Point","coordinates":[78.6202,-35.977]}},{"type":"Feature","id":24436,"properties":{"mag":0.18,"bv":"-0.030"},"geometry":{"type":"Point","coordinates":[78.6345,-8.2016]}},{"type":"Feature","id":24450,"properties":{"mag":5.5,"bv":"1.369"},"geometry":{"type":"Point","coordinates":[78.6835,5.1562]}},{"type":"Feature","id":24504,"properties":{"mag":5.01,"bv":"0.222"},"geometry":{"type":"Point","coordinates":[78.8516,32.6876]}},{"type":"Feature","id":24505,"properties":{"mag":5.06,"bv":"-0.067"},"geometry":{"type":"Point","coordinates":[78.8516,-26.9435]}},{"type":"Feature","id":24555,"properties":{"mag":5.52,"bv":"-0.012"},"geometry":{"type":"Point","coordinates":[79.0172,11.3414]}},{"type":"Feature","id":24575,"properties":{"mag":5.99,"bv":"0.199"},"geometry":{"type":"Point","coordinates":[79.0756,34.3123]}},{"type":"Feature","id":24608,"properties":{"mag":0.08,"bv":"0.795"},"geometry":{"type":"Point","coordinates":[79.1723,45.998]}},{"type":"Feature","id":24659,"properties":{"mag":4.81,"bv":"0.987"},"geometry":{"type":"Point","coordinates":[79.3712,-34.8952]}},{"type":"Feature","id":24674,"properties":{"mag":3.59,"bv":"-0.115"},"geometry":{"type":"Point","coordinates":[79.4016,-6.8444]}},{"type":"Feature","id":24679,"properties":{"mag":5.48,"bv":"0.932"},"geometry":{"type":"Point","coordinates":[79.4177,-13.5198]}},{"type":"Feature","id":24727,"properties":{"mag":4.54,"bv":"1.252"},"geometry":{"type":"Point","coordinates":[79.544,33.3716]}},{"type":"Feature","id":24732,"properties":{"mag":5.81,"bv":"-0.023"},"geometry":{"type":"Point","coordinates":[79.5552,73.2681]}},{"type":"Feature","id":24738,"properties":{"mag":5.55,"bv":"1.492"},"geometry":{"type":"Point","coordinates":[79.5654,42.7921]}},{"type":"Feature","id":24786,"properties":{"mag":5.96,"bv":"0.572"},"geometry":{"type":"Point","coordinates":[79.7103,-18.1301]}},{"type":"Feature","id":24799,"properties":{"mag":5.38,"bv":"-0.167"},"geometry":{"type":"Point","coordinates":[79.7501,33.7484]}},{"type":"Feature","id":24813,"properties":{"mag":4.69,"bv":"0.630"},"geometry":{"type":"Point","coordinates":[79.7853,40.0991]}},{"type":"Feature","id":24817,"properties":{"mag":5.34,"bv":"0.412"},"geometry":{"type":"Point","coordinates":[79.7967,2.5958]}},{"type":"Feature","id":24822,"properties":{"mag":4.96,"bv":"0.937"},"geometry":{"type":"Point","coordinates":[79.8192,22.0965]}},{"type":"Feature","id":24829,"properties":{"mag":5.44,"bv":"0.517"},"geometry":{"type":"Point","coordinates":[79.8422,-50.606]}},{"type":"Feature","id":24831,"properties":{"mag":5.98,"bv":"-0.022"},"geometry":{"type":"Point","coordinates":[79.8487,-27.3689]}},{"type":"Feature","id":24845,"properties":{"mag":4.29,"bv":"-0.235"},"geometry":{"type":"Point","coordinates":[79.8939,-13.1768]}},{"type":"Feature","id":24873,"properties":{"mag":5.29,"bv":"-0.104"},"geometry":{"type":"Point","coordinates":[79.9959,-12.3156]}},{"type":"Feature","id":24879,"properties":{"mag":5.05,"bv":"0.287"},"geometry":{"type":"Point","coordinates":[80.0038,33.9581]}},{"type":"Feature","id":24902,"properties":{"mag":5.46,"bv":"0.122"},"geometry":{"type":"Point","coordinates":[80.0611,41.0862]}},{"type":"Feature","id":24914,"properties":{"mag":5.64,"bv":"1.728"},"geometry":{"type":"Point","coordinates":[80.0942,62.6537]}},{"type":"Feature","id":24927,"properties":{"mag":4.7,"bv":"-0.048"},"geometry":{"type":"Point","coordinates":[80.1122,-21.2398]}},{"type":"Feature","id":25001,"properties":{"mag":5.66,"bv":"0.060"},"geometry":{"type":"Point","coordinates":[80.3029,29.5699]}},{"type":"Feature","id":25028,"properties":{"mag":5.68,"bv":"-0.125"},"geometry":{"type":"Point","coordinates":[80.3827,-0.4165]}},{"type":"Feature","id":25041,"properties":{"mag":5.78,"bv":"-0.114"},"geometry":{"type":"Point","coordinates":[80.4315,8.4286]}},{"type":"Feature","id":25044,"properties":{"mag":4.72,"bv":"-0.168"},"geometry":{"type":"Point","coordinates":[80.4406,-0.3825]}},{"type":"Feature","id":25045,"properties":{"mag":5.06,"bv":"0.662"},"geometry":{"type":"Point","coordinates":[80.4427,-24.773]}},{"type":"Feature","id":25048,"properties":{"mag":5.22,"bv":"-0.129"},"geometry":{"type":"Point","coordinates":[80.4517,41.8046]}},{"type":"Feature","id":25110,"properties":{"mag":5.08,"bv":"0.506"},"geometry":{"type":"Point","coordinates":[80.6397,79.2311]}},{"type":"Feature","id":25142,"properties":{"mag":4.99,"bv":"-0.096"},"geometry":{"type":"Point","coordinates":[80.7083,3.5445]}},{"type":"Feature","id":25143,"properties":{"mag":5.54,"bv":"0.127"},"geometry":{"type":"Point","coordinates":[80.7096,41.0293]}},{"type":"Feature","id":25187,"properties":{"mag":5.99,"bv":"-0.037"},"geometry":{"type":"Point","coordinates":[80.8271,-8.4156]}},{"type":"Feature","id":25194,"properties":{"mag":5.73,"bv":"1.626"},"geometry":{"type":"Point","coordinates":[80.8501,-39.6784]}},{"type":"Feature","id":25197,"properties":{"mag":5.24,"bv":"-0.011"},"geometry":{"type":"Point","coordinates":[80.866,57.5444]}},{"type":"Feature","id":25202,"properties":{"mag":5.25,"bv":"-0.219"},"geometry":{"type":"Point","coordinates":[80.8757,-13.9274]}},{"type":"Feature","id":25223,"properties":{"mag":5.69,"bv":"-0.208"},"geometry":{"type":"Point","coordinates":[80.9263,-0.1598]}},{"type":"Feature","id":25247,"properties":{"mag":4.13,"bv":"0.943"},"geometry":{"type":"Point","coordinates":[80.9868,-7.8081]}},{"type":"Feature","id":25278,"properties":{"mag":5,"bv":"0.544"},"geometry":{"type":"Point","coordinates":[81.1061,17.3835]}},{"type":"Feature","id":25280,"properties":{"mag":5.64,"bv":"-0.001"},"geometry":{"type":"Point","coordinates":[81.1187,-16.9758]}},{"type":"Feature","id":25281,"properties":{"mag":3.35,"bv":"-0.240"},"geometry":{"type":"Point","coordinates":[81.1192,-2.3971]}},{"type":"Feature","id":25282,"properties":{"mag":5.07,"bv":"0.961"},"geometry":{"type":"Point","coordinates":[81.1205,-0.8913]}},{"type":"Feature","id":25291,"properties":{"mag":5.94,"bv":"0.034"},"geometry":{"type":"Point","coordinates":[81.1605,31.1431]}},{"type":"Feature","id":25292,"properties":{"mag":5.02,"bv":"1.445"},"geometry":{"type":"Point","coordinates":[81.1631,37.3853]}},{"type":"Feature","id":25302,"properties":{"mag":4.89,"bv":"-0.200"},"geometry":{"type":"Point","coordinates":[81.1868,1.8464]}},{"type":"Feature","id":25329,"properties":{"mag":5.6,"bv":"1.543"},"geometry":{"type":"Point","coordinates":[81.2573,-10.3289]}},{"type":"Feature","id":25336,"properties":{"mag":1.64,"bv":"-0.224"},"geometry":{"type":"Point","coordinates":[81.2828,6.3497]}},{"type":"Feature","id":25397,"properties":{"mag":5.78,"bv":"0.441"},"geometry":{"type":"Point","coordinates":[81.4993,-19.6954]}},{"type":"Feature","id":25428,"properties":{"mag":1.65,"bv":"-0.130"},"geometry":{"type":"Point","coordinates":[81.573,28.6075]}},{"type":"Feature","id":25429,"properties":{"mag":5.14,"bv":"0.986"},"geometry":{"type":"Point","coordinates":[81.5803,-58.9125]}},{"type":"Feature","id":25471,"properties":{"mag":5.92,"bv":"0.138"},"geometry":{"type":"Point","coordinates":[81.7033,34.3918]}},{"type":"Feature","id":25473,"properties":{"mag":4.59,"bv":"-0.199"},"geometry":{"type":"Point","coordinates":[81.7093,3.0957]}},{"type":"Feature","id":25488,"properties":{"mag":5.86,"bv":"0.239"},"geometry":{"type":"Point","coordinates":[81.7722,-40.9435]}},{"type":"Feature","id":25492,"properties":{"mag":5.69,"bv":"0.175"},"geometry":{"type":"Point","coordinates":[81.7845,30.2086]}},{"type":"Feature","id":25499,"properties":{"mag":5.4,"bv":"-0.090"},"geometry":{"type":"Point","coordinates":[81.7921,17.9622]}},{"type":"Feature","id":25539,"properties":{"mag":4.88,"bv":"-0.140"},"geometry":{"type":"Point","coordinates":[81.9087,21.937]}},{"type":"Feature","id":25541,"properties":{"mag":5.08,"bv":"1.400"},"geometry":{"type":"Point","coordinates":[81.912,34.4759]}},{"type":"Feature","id":25555,"properties":{"mag":5.52,"bv":"0.015"},"geometry":{"type":"Point","coordinates":[81.94,15.8741]}},{"type":"Feature","id":25583,"properties":{"mag":5.77,"bv":"1.634"},"geometry":{"type":"Point","coordinates":[82.0067,17.2391]}},{"type":"Feature","id":25606,"properties":{"mag":2.81,"bv":"0.807"},"geometry":{"type":"Point","coordinates":[82.0613,-20.7594]}},{"type":"Feature","id":25608,"properties":{"mag":5.56,"bv":"0.026"},"geometry":{"type":"Point","coordinates":[82.0639,-37.2308]}},{"type":"Feature","id":25695,"properties":{"mag":5.47,"bv":"-0.042"},"geometry":{"type":"Point","coordinates":[82.3188,25.1502]}},{"type":"Feature","id":25708,"properties":{"mag":5.8,"bv":"1.149"},"geometry":{"type":"Point","coordinates":[82.3487,-3.4464]}},{"type":"Feature","id":25737,"properties":{"mag":4.71,"bv":"1.592"},"geometry":{"type":"Point","coordinates":[82.4333,-1.0922]}},{"type":"Feature","id":25751,"properties":{"mag":5.77,"bv":"-0.192"},"geometry":{"type":"Point","coordinates":[82.4782,1.7893]}},{"type":"Feature","id":25768,"properties":{"mag":5.46,"bv":"0.615"},"geometry":{"type":"Point","coordinates":[82.5395,-47.0777]}},{"type":"Feature","id":25769,"properties":{"mag":5.43,"bv":"1.704"},"geometry":{"type":"Point","coordinates":[82.5425,63.0672]}},{"type":"Feature","id":25790,"properties":{"mag":5.93,"bv":"0.103"},"geometry":{"type":"Point","coordinates":[82.609,15.3604]}},{"type":"Feature","id":25813,"properties":{"mag":4.2,"bv":"-0.143"},"geometry":{"type":"Point","coordinates":[82.696,5.9481]}},{"type":"Feature","id":25816,"properties":{"mag":5.99,"bv":"1.112"},"geometry":{"type":"Point","coordinates":[82.7027,41.462]}},{"type":"Feature","id":25853,"properties":{"mag":5.53,"bv":"0.012"},"geometry":{"type":"Point","coordinates":[82.7818,-20.8637]}},{"type":"Feature","id":25859,"properties":{"mag":3.86,"bv":"1.130"},"geometry":{"type":"Point","coordinates":[82.8031,-35.4705]}},{"type":"Feature","id":25861,"properties":{"mag":5.46,"bv":"-0.176"},"geometry":{"type":"Point","coordinates":[82.8106,3.2921]}},{"type":"Feature","id":25887,"properties":{"mag":5.86,"bv":"1.349"},"geometry":{"type":"Point","coordinates":[82.9,-45.9253]}},{"type":"Feature","id":25918,"properties":{"mag":5.18,"bv":"1.130"},"geometry":{"type":"Point","coordinates":[82.9709,-76.341]}},{"type":"Feature","id":25923,"properties":{"mag":4.62,"bv":"-0.261"},"geometry":{"type":"Point","coordinates":[82.9827,-7.3015]}},{"type":"Feature","id":25930,"properties":{"mag":2.25,"bv":"-0.175"},"geometry":{"type":"Point","coordinates":[83.0017,-0.2991]}},{"type":"Feature","id":25945,"properties":{"mag":4.32,"bv":"2.060"},"geometry":{"type":"Point","coordinates":[83.0531,18.5942]}},{"type":"Feature","id":25950,"properties":{"mag":5.5,"bv":"-0.004"},"geometry":{"type":"Point","coordinates":[83.0589,17.0581]}},{"type":"Feature","id":25980,"properties":{"mag":5.34,"bv":"-0.188"},"geometry":{"type":"Point","coordinates":[83.1723,-1.5918]}},{"type":"Feature","id":25984,"properties":{"mag":4.71,"bv":"0.281"},"geometry":{"type":"Point","coordinates":[83.182,32.192]}},{"type":"Feature","id":25985,"properties":{"mag":2.58,"bv":"0.211"},"geometry":{"type":"Point","coordinates":[83.1826,-17.8223]}},{"type":"Feature","id":25993,"properties":{"mag":5.45,"bv":"1.224"},"geometry":{"type":"Point","coordinates":[83.2142,-38.5134]}},{"type":"Feature","id":26001,"properties":{"mag":5.34,"bv":"1.039"},"geometry":{"type":"Point","coordinates":[83.2482,-64.2275]}},{"type":"Feature","id":26019,"properties":{"mag":5.75,"bv":"1.085"},"geometry":{"type":"Point","coordinates":[83.2808,-35.1394]}},{"type":"Feature","id":26063,"properties":{"mag":5.36,"bv":"-0.175"},"geometry":{"type":"Point","coordinates":[83.381,-1.1561]}},{"type":"Feature","id":26064,"properties":{"mag":5.67,"bv":"-0.022"},"geometry":{"type":"Point","coordinates":[83.3818,18.5402]}},{"type":"Feature","id":26069,"properties":{"mag":3.76,"bv":"0.640"},"geometry":{"type":"Point","coordinates":[83.4063,-62.4898]}},{"type":"Feature","id":26093,"properties":{"mag":5.6,"bv":"-0.118"},"geometry":{"type":"Point","coordinates":[83.4762,14.3056]}},{"type":"Feature","id":26108,"properties":{"mag":5.92,"bv":"1.535"},"geometry":{"type":"Point","coordinates":[83.5169,-1.4703]}},{"type":"Feature","id":26126,"properties":{"mag":5.32,"bv":"0.051"},"geometry":{"type":"Point","coordinates":[83.5699,3.7669]}},{"type":"Feature","id":26169,"properties":{"mag":5.79,"bv":"1.717"},"geometry":{"type":"Point","coordinates":[83.6866,-73.7413]}},{"type":"Feature","id":26176,"properties":{"mag":4.39,"bv":"-0.157"},"geometry":{"type":"Point","coordinates":[83.7052,9.4896]}},{"type":"Feature","id":26197,"properties":{"mag":5.67,"bv":"-0.228"},"geometry":{"type":"Point","coordinates":[83.7542,-6.0093]}},{"type":"Feature","id":26199,"properties":{"mag":4.78,"bv":"-0.248"},"geometry":{"type":"Point","coordinates":[83.7612,-6.002]}},{"type":"Feature","id":26207,"properties":{"mag":3.39,"bv":"-0.160"},"geometry":{"type":"Point","coordinates":[83.7845,9.9342]}},{"type":"Feature","id":26215,"properties":{"mag":5.6,"bv":"0.149"},"geometry":{"type":"Point","coordinates":[83.8052,10.2401]}},{"type":"Feature","id":26219,"properties":{"mag":5.76,"bv":"1.120"},"geometry":{"type":"Point","coordinates":[83.8145,-33.0797]}},{"type":"Feature","id":26220,"properties":{"mag":4.98,"bv":""},"geometry":{"type":"Point","coordinates":[83.8159,-5.3873]}},{"type":"Feature","id":26221,"properties":{"mag":5.13,"bv":"0.020"},"geometry":{"type":"Point","coordinates":[83.8186,-5.3897]}},{"type":"Feature","id":26235,"properties":{"mag":4.98,"bv":"-0.097"},"geometry":{"type":"Point","coordinates":[83.8454,-5.4161]}},{"type":"Feature","id":26237,"properties":{"mag":4.58,"bv":"-0.183"},"geometry":{"type":"Point","coordinates":[83.8465,-4.8384]}},{"type":"Feature","id":26241,"properties":{"mag":2.75,"bv":"-0.210"},"geometry":{"type":"Point","coordinates":[83.8583,-5.9099]}},{"type":"Feature","id":26248,"properties":{"mag":5.37,"bv":"-0.092"},"geometry":{"type":"Point","coordinates":[83.863,24.0396]}},{"type":"Feature","id":26268,"properties":{"mag":5.24,"bv":"0.269"},"geometry":{"type":"Point","coordinates":[83.9145,-4.8561]}},{"type":"Feature","id":26311,"properties":{"mag":1.69,"bv":"-0.184"},"geometry":{"type":"Point","coordinates":[84.0534,-1.2019]}},{"type":"Feature","id":26344,"properties":{"mag":5.74,"bv":"1.671"},"geometry":{"type":"Point","coordinates":[84.1467,54.4287]}},{"type":"Feature","id":26345,"properties":{"mag":5.71,"bv":"-0.212"},"geometry":{"type":"Point","coordinates":[84.1487,-6.0648]}},{"type":"Feature","id":26366,"properties":{"mag":4.09,"bv":"0.951"},"geometry":{"type":"Point","coordinates":[84.2266,9.2907]}},{"type":"Feature","id":26382,"properties":{"mag":5.53,"bv":"0.237"},"geometry":{"type":"Point","coordinates":[84.2656,17.0403]}},{"type":"Feature","id":26386,"properties":{"mag":5.97,"bv":"1.592"},"geometry":{"type":"Point","coordinates":[84.2683,11.035]}},{"type":"Feature","id":26394,"properties":{"mag":5.65,"bv":"0.600"},"geometry":{"type":"Point","coordinates":[84.2912,-80.4691]}},{"type":"Feature","id":26396,"properties":{"mag":5.83,"bv":"-0.075"},"geometry":{"type":"Point","coordinates":[84.2869,26.9245]}},{"type":"Feature","id":26451,"properties":{"mag":2.97,"bv":"-0.148"},"geometry":{"type":"Point","coordinates":[84.4112,21.1425]}},{"type":"Feature","id":26460,"properties":{"mag":5.28,"bv":"0.486"},"geometry":{"type":"Point","coordinates":[84.4359,-28.6897]}},{"type":"Feature","id":26487,"properties":{"mag":5.87,"bv":"-0.061"},"geometry":{"type":"Point","coordinates":[84.5047,7.5414]}},{"type":"Feature","id":26535,"properties":{"mag":5.96,"bv":"-0.216"},"geometry":{"type":"Point","coordinates":[84.6582,-6.574]}},{"type":"Feature","id":26536,"properties":{"mag":5.4,"bv":"0.450"},"geometry":{"type":"Point","coordinates":[84.6587,30.4924]}},{"type":"Feature","id":26545,"properties":{"mag":5.81,"bv":"-0.078"},"geometry":{"type":"Point","coordinates":[84.6814,-40.7073]}},{"type":"Feature","id":26549,"properties":{"mag":3.77,"bv":"-0.190"},"geometry":{"type":"Point","coordinates":[84.6865,-2.6001]}},{"type":"Feature","id":26563,"properties":{"mag":4.77,"bv":"0.139"},"geometry":{"type":"Point","coordinates":[84.7212,-7.2128]}},{"type":"Feature","id":26594,"properties":{"mag":4.5,"bv":"-0.098"},"geometry":{"type":"Point","coordinates":[84.7964,4.1215]}},{"type":"Feature","id":26606,"properties":{"mag":5.98,"bv":"0.144"},"geometry":{"type":"Point","coordinates":[84.8263,29.2152]}},{"type":"Feature","id":26624,"properties":{"mag":5.99,"bv":"0.294"},"geometry":{"type":"Point","coordinates":[84.8798,-3.5647]}},{"type":"Feature","id":26634,"properties":{"mag":2.65,"bv":"-0.120"},"geometry":{"type":"Point","coordinates":[84.9122,-34.0741]}},{"type":"Feature","id":26640,"properties":{"mag":5.18,"bv":"-0.150"},"geometry":{"type":"Point","coordinates":[84.9342,25.8971]}},{"type":"Feature","id":26649,"properties":{"mag":5.44,"bv":"0.913"},"geometry":{"type":"Point","coordinates":[84.9577,-32.6292]}},{"type":"Feature","id":26727,"properties":{"mag":1.74,"bv":"-0.199"},"geometry":{"type":"Point","coordinates":[85.1897,-1.9426]}},{"type":"Feature","id":26736,"properties":{"mag":4.95,"bv":"-0.197"},"geometry":{"type":"Point","coordinates":[85.2113,-1.1288]}},{"type":"Feature","id":26762,"properties":{"mag":5.93,"bv":"0.311"},"geometry":{"type":"Point","coordinates":[85.2733,0.3378]}},{"type":"Feature","id":26777,"properties":{"mag":4.84,"bv":"-0.125"},"geometry":{"type":"Point","coordinates":[85.3238,16.5341]}},{"type":"Feature","id":26865,"properties":{"mag":5.88,"bv":"0.080"},"geometry":{"type":"Point","coordinates":[85.5582,-22.3737]}},{"type":"Feature","id":26868,"properties":{"mag":5.29,"bv":"-0.032"},"geometry":{"type":"Point","coordinates":[85.5633,-34.6678]}},{"type":"Feature","id":26882,"properties":{"mag":5.62,"bv":"1.249"},"geometry":{"type":"Point","coordinates":[85.6102,65.6976]}},{"type":"Feature","id":26885,"properties":{"mag":4.9,"bv":"1.144"},"geometry":{"type":"Point","coordinates":[85.6193,1.4746]}},{"type":"Feature","id":26926,"properties":{"mag":5.97,"bv":"0.447"},"geometry":{"type":"Point","coordinates":[85.7246,-6.7962]}},{"type":"Feature","id":26966,"properties":{"mag":5.73,"bv":"-0.014"},"geometry":{"type":"Point","coordinates":[85.8403,-18.5575]}},{"type":"Feature","id":27072,"properties":{"mag":3.59,"bv":"0.481"},"geometry":{"type":"Point","coordinates":[86.1158,-22.4484]}},{"type":"Feature","id":27100,"properties":{"mag":4.34,"bv":"0.217"},"geometry":{"type":"Point","coordinates":[86.1932,-65.7355]}},{"type":"Feature","id":27196,"properties":{"mag":5.46,"bv":"0.030"},"geometry":{"type":"Point","coordinates":[86.4752,49.8263]}},{"type":"Feature","id":27204,"properties":{"mag":5.18,"bv":"-0.274"},"geometry":{"type":"Point","coordinates":[86.4996,-32.3064]}},{"type":"Feature","id":27243,"properties":{"mag":5.31,"bv":"1.040"},"geometry":{"type":"Point","coordinates":[86.6141,-46.5972]}},{"type":"Feature","id":27249,"properties":{"mag":5.93,"bv":"0.164"},"geometry":{"type":"Point","coordinates":[86.6266,56.1156]}},{"type":"Feature","id":27253,"properties":{"mag":5.95,"bv":"0.773"},"geometry":{"type":"Point","coordinates":[86.6455,1.1682]}},{"type":"Feature","id":27265,"properties":{"mag":6,"bv":"-0.061"},"geometry":{"type":"Point","coordinates":[86.6896,15.8225]}},{"type":"Feature","id":27280,"properties":{"mag":5.78,"bv":"0.888"},"geometry":{"type":"Point","coordinates":[86.7172,9.5223]}},{"type":"Feature","id":27288,"properties":{"mag":3.55,"bv":"0.104"},"geometry":{"type":"Point","coordinates":[86.7389,-14.822]}},{"type":"Feature","id":27316,"properties":{"mag":5.72,"bv":"0.077"},"geometry":{"type":"Point","coordinates":[86.8048,14.4883]}},{"type":"Feature","id":27321,"properties":{"mag":3.85,"bv":"0.171"},"geometry":{"type":"Point","coordinates":[86.8212,-51.0665]}},{"type":"Feature","id":27338,"properties":{"mag":5.47,"bv":"0.301"},"geometry":{"type":"Point","coordinates":[86.8592,17.7291]}},{"type":"Feature","id":27364,"properties":{"mag":5.28,"bv":"-0.156"},"geometry":{"type":"Point","coordinates":[86.9288,13.8996]}},{"type":"Feature","id":27366,"properties":{"mag":2.07,"bv":"-0.168"},"geometry":{"type":"Point","coordinates":[86.9391,-9.6696]}},{"type":"Feature","id":27386,"properties":{"mag":5.26,"bv":"0.234"},"geometry":{"type":"Point","coordinates":[87.001,6.4542]}},{"type":"Feature","id":27435,"properties":{"mag":5.97,"bv":"0.639"},"geometry":{"type":"Point","coordinates":[87.1456,-4.0946]}},{"type":"Feature","id":27468,"properties":{"mag":4.88,"bv":"1.021"},"geometry":{"type":"Point","coordinates":[87.254,24.5675]}},{"type":"Feature","id":27483,"properties":{"mag":4.51,"bv":"0.949"},"geometry":{"type":"Point","coordinates":[87.2935,39.1811]}},{"type":"Feature","id":27511,"properties":{"mag":4.89,"bv":"-0.068"},"geometry":{"type":"Point","coordinates":[87.3872,12.6513]}},{"type":"Feature","id":27517,"properties":{"mag":5.49,"bv":"0.870"},"geometry":{"type":"Point","coordinates":[87.4023,-14.4837]}},{"type":"Feature","id":27530,"properties":{"mag":4.5,"bv":"1.075"},"geometry":{"type":"Point","coordinates":[87.4569,-56.1667]}},{"type":"Feature","id":27533,"properties":{"mag":5.87,"bv":"0.055"},"geometry":{"type":"Point","coordinates":[87.4729,-22.9719]}},{"type":"Feature","id":27534,"properties":{"mag":5.1,"bv":"-0.128"},"geometry":{"type":"Point","coordinates":[87.473,-66.9012]}},{"type":"Feature","id":27549,"properties":{"mag":5.79,"bv":"0.876"},"geometry":{"type":"Point","coordinates":[87.5112,9.8712]}},{"type":"Feature","id":27560,"properties":{"mag":5.96,"bv":"1.361"},"geometry":{"type":"Point","coordinates":[87.5544,4.4234]}},{"type":"Feature","id":27566,"properties":{"mag":5.46,"bv":"-0.076"},"geometry":{"type":"Point","coordinates":[87.5699,-79.3614]}},{"type":"Feature","id":27581,"properties":{"mag":5.54,"bv":"1.006"},"geometry":{"type":"Point","coordinates":[87.6204,14.3056]}},{"type":"Feature","id":27588,"properties":{"mag":5.97,"bv":"0.953"},"geometry":{"type":"Point","coordinates":[87.6251,2.0247]}},{"type":"Feature","id":27621,"properties":{"mag":5.16,"bv":"0.960"},"geometry":{"type":"Point","coordinates":[87.7218,-52.1089]}},{"type":"Feature","id":27628,"properties":{"mag":3.12,"bv":"1.146"},"geometry":{"type":"Point","coordinates":[87.74,-35.7683]}},{"type":"Feature","id":27629,"properties":{"mag":5.6,"bv":"0.978"},"geometry":{"type":"Point","coordinates":[87.7421,27.9679]}},{"type":"Feature","id":27639,"properties":{"mag":4.72,"bv":"1.621"},"geometry":{"type":"Point","coordinates":[87.7602,37.3056]}},{"type":"Feature","id":27654,"properties":{"mag":3.76,"bv":"0.984"},"geometry":{"type":"Point","coordinates":[87.8304,-20.8791]}},{"type":"Feature","id":27658,"properties":{"mag":5.36,"bv":"-0.195"},"geometry":{"type":"Point","coordinates":[87.8416,-7.518]}},{"type":"Feature","id":27673,"properties":{"mag":3.97,"bv":"1.132"},"geometry":{"type":"Point","coordinates":[87.8725,39.1485]}},{"type":"Feature","id":27713,"properties":{"mag":5.95,"bv":"0.100"},"geometry":{"type":"Point","coordinates":[88.0322,-9.0419]}},{"type":"Feature","id":27737,"properties":{"mag":5.93,"bv":"0.656"},"geometry":{"type":"Point","coordinates":[88.0842,-57.1562]}},{"type":"Feature","id":27743,"properties":{"mag":5.6,"bv":"-0.053"},"geometry":{"type":"Point","coordinates":[88.0929,14.1718]}},{"type":"Feature","id":27747,"properties":{"mag":5.96,"bv":"0.549"},"geometry":{"type":"Point","coordinates":[88.0975,19.8678]}},{"type":"Feature","id":27750,"properties":{"mag":4.76,"bv":"1.382"},"geometry":{"type":"Point","coordinates":[88.1102,1.8551]}},{"type":"Feature","id":27766,"properties":{"mag":5.62,"bv":"1.046"},"geometry":{"type":"Point","coordinates":[88.1383,-37.6311]}},{"type":"Feature","id":27810,"properties":{"mag":4.88,"bv":"-0.154"},"geometry":{"type":"Point","coordinates":[88.2787,-33.8014]}},{"type":"Feature","id":27830,"properties":{"mag":4.56,"bv":"-0.008"},"geometry":{"type":"Point","coordinates":[88.3319,27.6123]}},{"type":"Feature","id":27890,"properties":{"mag":4.65,"bv":"1.022"},"geometry":{"type":"Point","coordinates":[88.5252,-63.0896]}},{"type":"Feature","id":27913,"properties":{"mag":4.39,"bv":"0.594"},"geometry":{"type":"Point","coordinates":[88.5958,20.2762]}},{"type":"Feature","id":27938,"properties":{"mag":5.62,"bv":"1.523"},"geometry":{"type":"Point","coordinates":[88.6818,-11.7742]}},{"type":"Feature","id":27939,"properties":{"mag":5.99,"bv":"1.328"},"geometry":{"type":"Point","coordinates":[88.6835,0.9686]}},{"type":"Feature","id":27947,"properties":{"mag":5.29,"bv":"0.295"},"geometry":{"type":"Point","coordinates":[88.7087,-52.6355]}},{"type":"Feature","id":27949,"properties":{"mag":4.96,"bv":"0.052"},"geometry":{"type":"Point","coordinates":[88.7116,55.7069]}},{"type":"Feature","id":27955,"properties":{"mag":5.55,"bv":"1.515"},"geometry":{"type":"Point","coordinates":[88.7187,-39.9579]}},{"type":"Feature","id":27965,"properties":{"mag":5.92,"bv":"-0.145"},"geometry":{"type":"Point","coordinates":[88.7362,19.7496]}},{"type":"Feature","id":27971,"properties":{"mag":5.2,"bv":"0.010"},"geometry":{"type":"Point","coordinates":[88.7409,59.8884]}},{"type":"Feature","id":27973,"properties":{"mag":5.9,"bv":"0.144"},"geometry":{"type":"Point","coordinates":[88.7458,31.7015]}},{"type":"Feature","id":27989,"properties":{"mag":0.45,"bv":"1.500"},"geometry":{"type":"Point","coordinates":[88.7929,7.4071]}},{"type":"Feature","id":28010,"properties":{"mag":4.97,"bv":"1.102"},"geometry":{"type":"Point","coordinates":[88.8747,-37.1207]}},{"type":"Feature","id":28011,"properties":{"mag":5.87,"bv":"1.173"},"geometry":{"type":"Point","coordinates":[88.8757,-4.6165]}},{"type":"Feature","id":28085,"properties":{"mag":5.95,"bv":"1.107"},"geometry":{"type":"Point","coordinates":[89.0595,-22.84]}},{"type":"Feature","id":28098,"properties":{"mag":5.52,"bv":"0.382"},"geometry":{"type":"Point","coordinates":[89.0873,-31.3824]}},{"type":"Feature","id":28103,"properties":{"mag":3.71,"bv":"0.337"},"geometry":{"type":"Point","coordinates":[89.1012,-14.1677]}},{"type":"Feature","id":28110,"properties":{"mag":5.97,"bv":"-0.038"},"geometry":{"type":"Point","coordinates":[89.1168,9.5094]}},{"type":"Feature","id":28139,"properties":{"mag":5.89,"bv":"1.111"},"geometry":{"type":"Point","coordinates":[89.206,11.5211]}},{"type":"Feature","id":28199,"properties":{"mag":4.36,"bv":"-0.165"},"geometry":{"type":"Point","coordinates":[89.3842,-35.2833]}},{"type":"Feature","id":28237,"properties":{"mag":4.81,"bv":"-0.088"},"geometry":{"type":"Point","coordinates":[89.4986,25.9539]}},{"type":"Feature","id":28271,"properties":{"mag":5.89,"bv":"0.223"},"geometry":{"type":"Point","coordinates":[89.6018,1.8371]}},{"type":"Feature","id":28287,"properties":{"mag":5.81,"bv":"1.061"},"geometry":{"type":"Point","coordinates":[89.6564,-44.0346]}},{"type":"Feature","id":28296,"properties":{"mag":5.21,"bv":"0.009"},"geometry":{"type":"Point","coordinates":[89.7065,0.553]}},{"type":"Feature","id":28302,"properties":{"mag":5.7,"bv":"0.874"},"geometry":{"type":"Point","coordinates":[89.7218,12.8083]}},{"type":"Feature","id":28325,"properties":{"mag":5.04,"bv":"0.189"},"geometry":{"type":"Point","coordinates":[89.768,-9.5583]}},{"type":"Feature","id":28328,"properties":{"mag":3.96,"bv":"1.146"},"geometry":{"type":"Point","coordinates":[89.7867,-42.8151]}},{"type":"Feature","id":28343,"properties":{"mag":5.9,"bv":"1.194"},"geometry":{"type":"Point","coordinates":[89.8407,49.9245]}},{"type":"Feature","id":28358,"properties":{"mag":3.72,"bv":"1.010"},"geometry":{"type":"Point","coordinates":[89.8818,54.2847]}},{"type":"Feature","id":28360,"properties":{"mag":1.9,"bv":"0.077"},"geometry":{"type":"Point","coordinates":[89.8822,44.9474]}},{"type":"Feature","id":28380,"properties":{"mag":2.65,"bv":"-0.083"},"geometry":{"type":"Point","coordinates":[89.9303,37.2126]}},{"type":"Feature","id":28404,"properties":{"mag":4.3,"bv":"1.701"},"geometry":{"type":"Point","coordinates":[89.9837,45.9367]}},{"type":"Feature","id":28413,"properties":{"mag":4.53,"bv":"1.202"},"geometry":{"type":"Point","coordinates":[90.014,-3.0743]}},{"type":"Feature","id":28484,"properties":{"mag":5.65,"bv":"0.207"},"geometry":{"type":"Point","coordinates":[90.2049,-51.2163]}},{"type":"Feature","id":28499,"properties":{"mag":5.71,"bv":"-0.007"},"geometry":{"type":"Point","coordinates":[90.244,47.9019]}},{"type":"Feature","id":28524,"properties":{"mag":5.54,"bv":"1.580"},"geometry":{"type":"Point","coordinates":[90.3179,-33.9118]}},{"type":"Feature","id":28562,"properties":{"mag":5.98,"bv":"1.437"},"geometry":{"type":"Point","coordinates":[90.4294,48.9594]}},{"type":"Feature","id":28574,"properties":{"mag":4.92,"bv":"-0.128"},"geometry":{"type":"Point","coordinates":[90.4601,-10.5979]}},{"type":"Feature","id":28614,"properties":{"mag":4.12,"bv":"0.170"},"geometry":{"type":"Point","coordinates":[90.5958,9.6473]}},{"type":"Feature","id":28675,"properties":{"mag":5.03,"bv":"1.335"},"geometry":{"type":"Point","coordinates":[90.815,-26.2845]}},{"type":"Feature","id":28691,"properties":{"mag":5.14,"bv":"-0.097"},"geometry":{"type":"Point","coordinates":[90.864,19.6906]}},{"type":"Feature","id":28716,"properties":{"mag":4.64,"bv":"0.236"},"geometry":{"type":"Point","coordinates":[90.9799,20.1385]}},{"type":"Feature","id":28734,"properties":{"mag":4.16,"bv":"0.835"},"geometry":{"type":"Point","coordinates":[91.0301,23.2633]}},{"type":"Feature","id":28744,"properties":{"mag":5.19,"bv":"-0.066"},"geometry":{"type":"Point","coordinates":[91.0563,-6.7089]}},{"type":"Feature","id":28756,"properties":{"mag":5.65,"bv":"-0.186"},"geometry":{"type":"Point","coordinates":[91.0844,-32.1724]}},{"type":"Feature","id":28790,"properties":{"mag":5.93,"bv":"0.493"},"geometry":{"type":"Point","coordinates":[91.1671,-45.0789]}},{"type":"Feature","id":28812,"properties":{"mag":5.67,"bv":"1.047"},"geometry":{"type":"Point","coordinates":[91.2424,5.42]}},{"type":"Feature","id":28814,"properties":{"mag":5.63,"bv":"1.041"},"geometry":{"type":"Point","coordinates":[91.2432,4.1587]}},{"type":"Feature","id":28816,"properties":{"mag":4.92,"bv":"0.196"},"geometry":{"type":"Point","coordinates":[91.2464,-16.4844]}},{"type":"Feature","id":28823,"properties":{"mag":5.9,"bv":"0.358"},"geometry":{"type":"Point","coordinates":[91.2641,42.9816]}},{"type":"Feature","id":28854,"properties":{"mag":5.88,"bv":"0.374"},"geometry":{"type":"Point","coordinates":[91.3626,-10.2426]}},{"type":"Feature","id":28855,"properties":{"mag":5.8,"bv":"0.027"},"geometry":{"type":"Point","coordinates":[91.3632,-35.5136]}},{"type":"Feature","id":28899,"properties":{"mag":5.79,"bv":"0.041"},"geometry":{"type":"Point","coordinates":[91.5231,-29.7586]}},{"type":"Feature","id":28909,"properties":{"mag":5.72,"bv":"-0.024"},"geometry":{"type":"Point","coordinates":[91.5391,-66.0396]}},{"type":"Feature","id":28910,"properties":{"mag":4.67,"bv":"0.046"},"geometry":{"type":"Point","coordinates":[91.5388,-14.9353]}},{"type":"Feature","id":28943,"properties":{"mag":5.46,"bv":"0.064"},"geometry":{"type":"Point","coordinates":[91.6337,-23.1108]}},{"type":"Feature","id":28946,"properties":{"mag":5.35,"bv":"0.251"},"geometry":{"type":"Point","coordinates":[91.6462,38.4826]}},{"type":"Feature","id":28949,"properties":{"mag":5.37,"bv":"-0.122"},"geometry":{"type":"Point","coordinates":[91.6614,-4.1938]}},{"type":"Feature","id":28984,"properties":{"mag":5.74,"bv":"1.584"},"geometry":{"type":"Point","coordinates":[91.7396,-21.8123]}},{"type":"Feature","id":28991,"properties":{"mag":5.04,"bv":"1.256"},"geometry":{"type":"Point","coordinates":[91.7641,-62.1546]}},{"type":"Feature","id":28992,"properties":{"mag":5.82,"bv":"-0.137"},"geometry":{"type":"Point","coordinates":[91.7653,-34.312]}},{"type":"Feature","id":29034,"properties":{"mag":5,"bv":"-0.095"},"geometry":{"type":"Point","coordinates":[91.8818,-37.2529]}},{"type":"Feature","id":29038,"properties":{"mag":4.42,"bv":"-0.164"},"geometry":{"type":"Point","coordinates":[91.893,14.7685]}},{"type":"Feature","id":29048,"properties":{"mag":5.28,"bv":"1.661"},"geometry":{"type":"Point","coordinates":[91.9235,-19.1659]}},{"type":"Feature","id":29064,"properties":{"mag":5.5,"bv":"0.007"},"geometry":{"type":"Point","coordinates":[91.9702,-42.154]}},{"type":"Feature","id":29134,"properties":{"mag":5.06,"bv":"-0.072"},"geometry":{"type":"Point","coordinates":[92.1844,-68.8434]}},{"type":"Feature","id":29150,"properties":{"mag":5.49,"bv":"-0.010"},"geometry":{"type":"Point","coordinates":[92.2411,-22.4274]}},{"type":"Feature","id":29151,"properties":{"mag":5.7,"bv":"0.067"},"geometry":{"type":"Point","coordinates":[92.2413,2.4997]}},{"type":"Feature","id":29196,"properties":{"mag":5.93,"bv":"1.626"},"geometry":{"type":"Point","coordinates":[92.3852,22.1903]}},{"type":"Feature","id":29205,"properties":{"mag":5.56,"bv":"1.150"},"geometry":{"type":"Point","coordinates":[92.3939,-14.5846]}},{"type":"Feature","id":29225,"properties":{"mag":5.75,"bv":"0.192"},"geometry":{"type":"Point","coordinates":[92.4333,23.1135]}},{"type":"Feature","id":29234,"properties":{"mag":5.71,"bv":"0.454"},"geometry":{"type":"Point","coordinates":[92.4498,-22.7743]}},{"type":"Feature","id":29246,"properties":{"mag":5.35,"bv":"1.096"},"geometry":{"type":"Point","coordinates":[92.4959,58.9357]}},{"type":"Feature","id":29263,"properties":{"mag":5.54,"bv":"1.665"},"geometry":{"type":"Point","coordinates":[92.5433,-40.3538]}},{"type":"Feature","id":29271,"properties":{"mag":5.08,"bv":"0.714"},"geometry":{"type":"Point","coordinates":[92.5603,-74.753]}},{"type":"Feature","id":29276,"properties":{"mag":4.72,"bv":"-0.229"},"geometry":{"type":"Point","coordinates":[92.5746,-54.9686]}},{"type":"Feature","id":29294,"properties":{"mag":5.72,"bv":"1.072"},"geometry":{"type":"Point","coordinates":[92.6445,-27.1543]}},{"type":"Feature","id":29353,"properties":{"mag":5.01,"bv":"1.599"},"geometry":{"type":"Point","coordinates":[92.8124,-65.5894]}},{"type":"Feature","id":29379,"properties":{"mag":5.83,"bv":"1.110"},"geometry":{"type":"Point","coordinates":[92.8846,24.4203]}},{"type":"Feature","id":29388,"properties":{"mag":5.78,"bv":"0.100"},"geometry":{"type":"Point","coordinates":[92.9025,48.711]}},{"type":"Feature","id":29417,"properties":{"mag":5.06,"bv":"-0.201"},"geometry":{"type":"Point","coordinates":[92.9659,-6.5503]}},{"type":"Feature","id":29426,"properties":{"mag":4.45,"bv":"-0.180"},"geometry":{"type":"Point","coordinates":[92.985,14.2088]}},{"type":"Feature","id":29433,"properties":{"mag":5.76,"bv":"-0.071"},"geometry":{"type":"Point","coordinates":[93.0056,19.7905]}},{"type":"Feature","id":29434,"properties":{"mag":4.95,"bv":"-0.149"},"geometry":{"type":"Point","coordinates":[93.0137,16.1304]}},{"type":"Feature","id":29451,"properties":{"mag":5.78,"bv":"1.646"},"geometry":{"type":"Point","coordinates":[93.0838,32.6934]}},{"type":"Feature","id":29490,"properties":{"mag":5.36,"bv":"1.344"},"geometry":{"type":"Point","coordinates":[93.2128,65.7184]}},{"type":"Feature","id":29575,"properties":{"mag":5.83,"bv":"0.910"},"geometry":{"type":"Point","coordinates":[93.476,-3.7414]}},{"type":"Feature","id":29616,"properties":{"mag":5.86,"bv":"0.253"},"geometry":{"type":"Point","coordinates":[93.6191,17.9064]}},{"type":"Feature","id":29629,"properties":{"mag":5.83,"bv":"-0.155"},"geometry":{"type":"Point","coordinates":[93.6529,-4.5685]}},{"type":"Feature","id":29650,"properties":{"mag":5.2,"bv":"0.430"},"geometry":{"type":"Point","coordinates":[93.712,19.1564]}},{"type":"Feature","id":29651,"properties":{"mag":3.99,"bv":"1.319"},"geometry":{"type":"Point","coordinates":[93.7139,-6.2748]}},{"type":"Feature","id":29655,"properties":{"mag":3.31,"bv":"1.600"},"geometry":{"type":"Point","coordinates":[93.7194,22.5068]}},{"type":"Feature","id":29678,"properties":{"mag":5.91,"bv":"-0.231"},"geometry":{"type":"Point","coordinates":[93.7853,13.8511]}},{"type":"Feature","id":29679,"properties":{"mag":5.88,"bv":"1.322"},"geometry":{"type":"Point","coordinates":[93.785,-20.2722]}},{"type":"Feature","id":29692,"properties":{"mag":5.99,"bv":"1.058"},"geometry":{"type":"Point","coordinates":[93.8238,-18.4772]}},{"type":"Feature","id":29696,"properties":{"mag":4.32,"bv":"1.021"},"geometry":{"type":"Point","coordinates":[93.8445,29.4981]}},{"type":"Feature","id":29704,"properties":{"mag":5.34,"bv":"-0.101"},"geometry":{"type":"Point","coordinates":[93.8547,16.1432]}},{"type":"Feature","id":29711,"properties":{"mag":5.99,"bv":"0.097"},"geometry":{"type":"Point","coordinates":[93.8736,-4.9147]}},{"type":"Feature","id":29716,"properties":{"mag":5.62,"bv":"0.506"},"geometry":{"type":"Point","coordinates":[93.8928,-0.5122]}},{"type":"Feature","id":29730,"properties":{"mag":5.37,"bv":"1.339"},"geometry":{"type":"Point","coordinates":[93.9189,59.999]}},{"type":"Feature","id":29735,"properties":{"mag":5,"bv":"-0.078"},"geometry":{"type":"Point","coordinates":[93.937,-13.7184]}},{"type":"Feature","id":29736,"properties":{"mag":5.44,"bv":"0.015"},"geometry":{"type":"Point","coordinates":[93.9374,12.5511]}},{"type":"Feature","id":29771,"properties":{"mag":5.97,"bv":"-0.167"},"geometry":{"type":"Point","coordinates":[94.032,-16.618]}},{"type":"Feature","id":29800,"properties":{"mag":5.04,"bv":"0.431"},"geometry":{"type":"Point","coordinates":[94.1109,12.2722]}},{"type":"Feature","id":29807,"properties":{"mag":4.37,"bv":"0.978"},"geometry":{"type":"Point","coordinates":[94.1381,-35.1405]}},{"type":"Feature","id":29808,"properties":{"mag":6,"bv":"0.163"},"geometry":{"type":"Point","coordinates":[94.1483,-39.2644]}},{"type":"Feature","id":29842,"properties":{"mag":5.54,"bv":"1.129"},"geometry":{"type":"Point","coordinates":[94.2551,-37.7374]}},{"type":"Feature","id":29850,"properties":{"mag":5.39,"bv":"0.106"},"geometry":{"type":"Point","coordinates":[94.2776,9.9424]}},{"type":"Feature","id":29852,"properties":{"mag":5.88,"bv":"0.139"},"geometry":{"type":"Point","coordinates":[94.2899,-37.2535]}},{"type":"Feature","id":29860,"properties":{"mag":5.7,"bv":"0.610"},"geometry":{"type":"Point","coordinates":[94.3172,5.1001]}},{"type":"Feature","id":29895,"properties":{"mag":5.15,"bv":"1.293"},"geometry":{"type":"Point","coordinates":[94.4238,-16.8159]}},{"type":"Feature","id":29919,"properties":{"mag":5.01,"bv":"1.843"},"geometry":{"type":"Point","coordinates":[94.4784,61.5153]}},{"type":"Feature","id":29941,"properties":{"mag":5.51,"bv":"-0.163"},"geometry":{"type":"Point","coordinates":[94.5572,-19.967]}},{"type":"Feature","id":29996,"properties":{"mag":5.36,"bv":"1.239"},"geometry":{"type":"Point","coordinates":[94.7108,-9.39]}},{"type":"Feature","id":29997,"properties":{"mag":4.76,"bv":"0.025"},"geometry":{"type":"Point","coordinates":[94.7116,69.3198]}},{"type":"Feature","id":30011,"properties":{"mag":5.79,"bv":"-0.155"},"geometry":{"type":"Point","coordinates":[94.7457,-20.9256]}},{"type":"Feature","id":30060,"properties":{"mag":4.44,"bv":"0.032"},"geometry":{"type":"Point","coordinates":[94.9058,59.011]}},{"type":"Feature","id":30069,"properties":{"mag":5.76,"bv":"-0.080"},"geometry":{"type":"Point","coordinates":[94.9207,-34.3966]}},{"type":"Feature","id":30073,"properties":{"mag":5.27,"bv":"-0.177"},"geometry":{"type":"Point","coordinates":[94.9283,-7.8229]}},{"type":"Feature","id":30093,"properties":{"mag":4.91,"bv":"1.613"},"geometry":{"type":"Point","coordinates":[94.9983,-2.9445]}},{"type":"Feature","id":30099,"properties":{"mag":5.67,"bv":"1.578"},"geometry":{"type":"Point","coordinates":[95.0176,14.6511]}},{"type":"Feature","id":30122,"properties":{"mag":3.02,"bv":"-0.160"},"geometry":{"type":"Point","coordinates":[95.0783,-30.0634]}},{"type":"Feature","id":30143,"properties":{"mag":5.55,"bv":"-0.182"},"geometry":{"type":"Point","coordinates":[95.151,-34.1441]}},{"type":"Feature","id":30214,"properties":{"mag":5.48,"bv":"0.002"},"geometry":{"type":"Point","coordinates":[95.353,-11.7732]}},{"type":"Feature","id":30247,"properties":{"mag":5.34,"bv":"0.448"},"geometry":{"type":"Point","coordinates":[95.4422,53.4522]}},{"type":"Feature","id":30277,"properties":{"mag":3.85,"bv":"0.858"},"geometry":{"type":"Point","coordinates":[95.5285,-33.4364]}},{"type":"Feature","id":30318,"properties":{"mag":6,"bv":"0.319"},"geometry":{"type":"Point","coordinates":[95.6516,12.5702]}},{"type":"Feature","id":30321,"properties":{"mag":5.56,"bv":"1.510"},"geometry":{"type":"Point","coordinates":[95.6595,-69.984]}},{"type":"Feature","id":30324,"properties":{"mag":1.98,"bv":"-0.240"},"geometry":{"type":"Point","coordinates":[95.6749,-17.9559]}},{"type":"Feature","id":30342,"properties":{"mag":5.6,"bv":"0.242"},"geometry":{"type":"Point","coordinates":[95.7326,-56.37]}},{"type":"Feature","id":30343,"properties":{"mag":2.87,"bv":"1.621"},"geometry":{"type":"Point","coordinates":[95.7401,22.5136]}},{"type":"Feature","id":30419,"properties":{"mag":4.39,"bv":"0.215"},"geometry":{"type":"Point","coordinates":[95.942,4.5929]}},{"type":"Feature","id":30436,"properties":{"mag":5.61,"bv":"1.561"},"geometry":{"type":"Point","coordinates":[95.983,-25.5776]}},{"type":"Feature","id":30438,"properties":{"mag":-0.62,"bv":"0.164"},"geometry":{"type":"Point","coordinates":[95.988,-52.6957]}},{"type":"Feature","id":30444,"properties":{"mag":5.62,"bv":"1.027"},"geometry":{"type":"Point","coordinates":[96.0042,-36.7078]}},{"type":"Feature","id":30457,"properties":{"mag":5.21,"bv":"1.230"},"geometry":{"type":"Point","coordinates":[96.043,-11.5301]}},{"type":"Feature","id":30463,"properties":{"mag":5.78,"bv":"-0.001"},"geometry":{"type":"Point","coordinates":[96.0577,-60.2813]}},{"type":"Feature","id":30520,"properties":{"mag":4.92,"bv":"1.905"},"geometry":{"type":"Point","coordinates":[96.2246,49.2879]}},{"type":"Feature","id":30545,"properties":{"mag":5.88,"bv":"0.564"},"geometry":{"type":"Point","coordinates":[96.3189,-0.9459]}},{"type":"Feature","id":30565,"properties":{"mag":5.37,"bv":"0.971"},"geometry":{"type":"Point","coordinates":[96.3693,-69.6903]}},{"type":"Feature","id":30591,"properties":{"mag":5.76,"bv":"-0.061"},"geometry":{"type":"Point","coordinates":[96.4319,-48.1769]}},{"type":"Feature","id":30651,"properties":{"mag":5.53,"bv":"0.238"},"geometry":{"type":"Point","coordinates":[96.6077,56.2851]}},{"type":"Feature","id":30666,"properties":{"mag":5.87,"bv":"0.070"},"geometry":{"type":"Point","coordinates":[96.6649,-1.5073]}},{"type":"Feature","id":30679,"properties":{"mag":5.21,"bv":"1.538"},"geometry":{"type":"Point","coordinates":[96.7036,58.4174]}},{"type":"Feature","id":30703,"properties":{"mag":5.82,"bv":"1.279"},"geometry":{"type":"Point","coordinates":[96.7672,-58.0021]}},{"type":"Feature","id":30717,"properties":{"mag":5.19,"bv":"1.186"},"geometry":{"type":"Point","coordinates":[96.8073,0.2992]}},{"type":"Feature","id":30720,"properties":{"mag":5.55,"bv":"1.376"},"geometry":{"type":"Point","coordinates":[96.815,-0.276]}},{"type":"Feature","id":30728,"properties":{"mag":5.55,"bv":"1.035"},"geometry":{"type":"Point","coordinates":[96.8352,2.9083]}},{"type":"Feature","id":30772,"properties":{"mag":5.06,"bv":"-0.175"},"geometry":{"type":"Point","coordinates":[96.9899,-4.7622]}},{"type":"Feature","id":30788,"properties":{"mag":4.47,"bv":"-0.169"},"geometry":{"type":"Point","coordinates":[97.0425,-32.5801]}},{"type":"Feature","id":30827,"properties":{"mag":5.75,"bv":"0.779"},"geometry":{"type":"Point","coordinates":[97.142,30.493]}},{"type":"Feature","id":30836,"properties":{"mag":5.76,"bv":"1.118"},"geometry":{"type":"Point","coordinates":[97.1559,-17.466]}},{"type":"Feature","id":30840,"properties":{"mag":5.74,"bv":"-0.160"},"geometry":{"type":"Point","coordinates":[97.1635,-32.3713]}},{"type":"Feature","id":30867,"properties":{"mag":3.76,"bv":"-0.113"},"geometry":{"type":"Point","coordinates":[97.2045,-7.0331]}},{"type":"Feature","id":30883,"properties":{"mag":4.13,"bv":"-0.115"},"geometry":{"type":"Point","coordinates":[97.2408,20.2121]}},{"type":"Feature","id":30932,"properties":{"mag":5.2,"bv":"1.087"},"geometry":{"type":"Point","coordinates":[97.3687,-56.8528]}},{"type":"Feature","id":30953,"properties":{"mag":5.28,"bv":"0.371"},"geometry":{"type":"Point","coordinates":[97.4544,-50.2391]}},{"type":"Feature","id":30972,"properties":{"mag":5.88,"bv":"1.448"},"geometry":{"type":"Point","coordinates":[97.5124,46.6856]}},{"type":"Feature","id":30986,"properties":{"mag":5.92,"bv":"1.373"},"geometry":{"type":"Point","coordinates":[97.547,-10.0815]}},{"type":"Feature","id":31037,"properties":{"mag":5.92,"bv":"-0.156"},"geometry":{"type":"Point","coordinates":[97.6929,-27.7696]}},{"type":"Feature","id":31039,"properties":{"mag":5.86,"bv":"0.934"},"geometry":{"type":"Point","coordinates":[97.6963,58.1626]}},{"type":"Feature","id":31072,"properties":{"mag":5.82,"bv":"0.813"},"geometry":{"type":"Point","coordinates":[97.8046,-35.2588]}},{"type":"Feature","id":31079,"properties":{"mag":5.58,"bv":"0.534"},"geometry":{"type":"Point","coordinates":[97.8263,-51.826]}},{"type":"Feature","id":31084,"properties":{"mag":5.16,"bv":"1.262"},"geometry":{"type":"Point","coordinates":[97.846,-12.392]}},{"type":"Feature","id":31119,"properties":{"mag":5.22,"bv":"0.185"},"geometry":{"type":"Point","coordinates":[97.9512,11.5444]}},{"type":"Feature","id":31121,"properties":{"mag":5.43,"bv":"1.373"},"geometry":{"type":"Point","coordinates":[97.9586,-8.1582]}},{"type":"Feature","id":31125,"properties":{"mag":4.34,"bv":"-0.245"},"geometry":{"type":"Point","coordinates":[97.964,-23.4184]}},{"type":"Feature","id":31137,"properties":{"mag":5.69,"bv":"-0.057"},"geometry":{"type":"Point","coordinates":[97.993,-58.7538]}},{"type":"Feature","id":31159,"properties":{"mag":5.88,"bv":"0.997"},"geometry":{"type":"Point","coordinates":[98.08,4.856]}},{"type":"Feature","id":31165,"properties":{"mag":5.25,"bv":"0.982"},"geometry":{"type":"Point","coordinates":[98.0891,-37.6967]}},{"type":"Feature","id":31167,"properties":{"mag":5.6,"bv":"0.256"},"geometry":{"type":"Point","coordinates":[98.0964,-5.8688]}},{"type":"Feature","id":31173,"properties":{"mag":5.82,"bv":"0.188"},"geometry":{"type":"Point","coordinates":[98.1133,32.4549]}},{"type":"Feature","id":31190,"properties":{"mag":5.73,"bv":"-0.180"},"geometry":{"type":"Point","coordinates":[98.1624,-32.0304]}},{"type":"Feature","id":31216,"properties":{"mag":4.47,"bv":"0.023"},"geometry":{"type":"Point","coordinates":[98.2259,7.333]}},{"type":"Feature","id":31277,"properties":{"mag":5.57,"bv":"1.105"},"geometry":{"type":"Point","coordinates":[98.4007,14.1552]}},{"type":"Feature","id":31278,"properties":{"mag":5.09,"bv":"-0.132"},"geometry":{"type":"Point","coordinates":[98.408,-1.2202]}},{"type":"Feature","id":31299,"properties":{"mag":5.42,"bv":"1.419"},"geometry":{"type":"Point","coordinates":[98.4562,-36.232]}},{"type":"Feature","id":31362,"properties":{"mag":5.62,"bv":"-0.085"},"geometry":{"type":"Point","coordinates":[98.6472,-32.7163]}},{"type":"Feature","id":31407,"properties":{"mag":4.35,"bv":"-0.021"},"geometry":{"type":"Point","coordinates":[98.7441,-52.9756]}},{"type":"Feature","id":31416,"properties":{"mag":4.54,"bv":"-0.035"},"geometry":{"type":"Point","coordinates":[98.7641,-22.9648]}},{"type":"Feature","id":31434,"properties":{"mag":5.26,"bv":"-0.008"},"geometry":{"type":"Point","coordinates":[98.8003,28.0223]}},{"type":"Feature","id":31446,"properties":{"mag":5.78,"bv":"0.004"},"geometry":{"type":"Point","coordinates":[98.8159,0.8902]}},{"type":"Feature","id":31448,"properties":{"mag":5.93,"bv":"1.508"},"geometry":{"type":"Point","coordinates":[98.8233,9.9883]}},{"type":"Feature","id":31457,"properties":{"mag":5.59,"bv":"-0.130"},"geometry":{"type":"Point","coordinates":[98.8509,-36.7799]}},{"type":"Feature","id":31564,"properties":{"mag":5.71,"bv":"0.848"},"geometry":{"type":"Point","coordinates":[99.0952,-18.6599]}},{"type":"Feature","id":31579,"properties":{"mag":5.4,"bv":"2.773"},"geometry":{"type":"Point","coordinates":[99.1368,38.4455]}},{"type":"Feature","id":31583,"properties":{"mag":5.52,"bv":"-0.082"},"geometry":{"type":"Point","coordinates":[99.1472,-5.2111]}},{"type":"Feature","id":31592,"properties":{"mag":3.95,"bv":"1.037"},"geometry":{"type":"Point","coordinates":[99.171,-19.2559]}},{"type":"Feature","id":31599,"properties":{"mag":5.95,"bv":"1.562"},"geometry":{"type":"Point","coordinates":[99.1942,-13.321]}},{"type":"Feature","id":31637,"properties":{"mag":5.72,"bv":"-0.112"},"geometry":{"type":"Point","coordinates":[99.3076,-36.9907]}},{"type":"Feature","id":31665,"properties":{"mag":5.87,"bv":"0.006"},"geometry":{"type":"Point","coordinates":[99.41,56.8575]}},{"type":"Feature","id":31676,"properties":{"mag":5.94,"bv":"0.899"},"geometry":{"type":"Point","coordinates":[99.4224,61.4812]}},{"type":"Feature","id":31681,"properties":{"mag":1.93,"bv":"0.001"},"geometry":{"type":"Point","coordinates":[99.4279,16.3993]}},{"type":"Feature","id":31685,"properties":{"mag":3.17,"bv":"-0.103"},"geometry":{"type":"Point","coordinates":[99.4403,-43.1959]}},{"type":"Feature","id":31688,"properties":{"mag":5.25,"bv":"1.177"},"geometry":{"type":"Point","coordinates":[99.4484,-32.3397]}},{"type":"Feature","id":31700,"properties":{"mag":4.42,"bv":"1.137"},"geometry":{"type":"Point","coordinates":[99.4726,-18.2375]}},{"type":"Feature","id":31737,"properties":{"mag":5.76,"bv":"-0.001"},"geometry":{"type":"Point","coordinates":[99.5959,28.9844]}},{"type":"Feature","id":31765,"properties":{"mag":5.05,"bv":"0.997"},"geometry":{"type":"Point","coordinates":[99.6568,-48.2202]}},{"type":"Feature","id":31771,"properties":{"mag":5.7,"bv":"1.367"},"geometry":{"type":"Point","coordinates":[99.6647,39.3909]}},{"type":"Feature","id":31789,"properties":{"mag":5.34,"bv":"-0.075"},"geometry":{"type":"Point","coordinates":[99.7049,39.9026]}},{"type":"Feature","id":31827,"properties":{"mag":4.82,"bv":"1.459"},"geometry":{"type":"Point","coordinates":[99.8197,-14.1458]}},{"type":"Feature","id":31832,"properties":{"mag":4.8,"bv":"1.236"},"geometry":{"type":"Point","coordinates":[99.8326,42.4889]}},{"type":"Feature","id":31870,"properties":{"mag":5.7,"bv":"1.134"},"geometry":{"type":"Point","coordinates":[99.9278,-30.4705]}},{"type":"Feature","id":31876,"properties":{"mag":5.99,"bv":"0.063"},"geometry":{"type":"Point","coordinates":[99.9488,12.9828]}},{"type":"Feature","id":31897,"properties":{"mag":5.61,"bv":"0.214"},"geometry":{"type":"Point","coordinates":[100.012,-80.8136]}},{"type":"Feature","id":31940,"properties":{"mag":5.75,"bv":"1.488"},"geometry":{"type":"Point","coordinates":[100.1203,77.9958]}},{"type":"Feature","id":31946,"properties":{"mag":5.88,"bv":"1.223"},"geometry":{"type":"Point","coordinates":[100.1344,71.7488]}},{"type":"Feature","id":31978,"properties":{"mag":4.66,"bv":"-0.233"},"geometry":{"type":"Point","coordinates":[100.2444,9.8958]}},{"type":"Feature","id":31992,"properties":{"mag":5.79,"bv":"-0.094"},"geometry":{"type":"Point","coordinates":[100.2727,0.4953]}},{"type":"Feature","id":32064,"properties":{"mag":5.21,"bv":"1.525"},"geometry":{"type":"Point","coordinates":[100.4849,-9.1675]}},{"type":"Feature","id":32104,"properties":{"mag":5.2,"bv":"0.063"},"geometry":{"type":"Point","coordinates":[100.6014,17.6453]}},{"type":"Feature","id":32173,"properties":{"mag":5.04,"bv":"1.479"},"geometry":{"type":"Point","coordinates":[100.7707,44.5244]}},{"type":"Feature","id":32226,"properties":{"mag":5.88,"bv":"-0.046"},"geometry":{"type":"Point","coordinates":[100.911,3.9325]}},{"type":"Feature","id":32246,"properties":{"mag":3.06,"bv":"1.377"},"geometry":{"type":"Point","coordinates":[100.983,25.1311]}},{"type":"Feature","id":32249,"properties":{"mag":4.49,"bv":"1.167"},"geometry":{"type":"Point","coordinates":[100.9971,13.228]}},{"type":"Feature","id":32292,"properties":{"mag":5.23,"bv":"-0.127"},"geometry":{"type":"Point","coordinates":[101.1186,-31.0705]}},{"type":"Feature","id":32311,"properties":{"mag":5.42,"bv":"1.445"},"geometry":{"type":"Point","coordinates":[101.1894,28.9709]}},{"type":"Feature","id":32349,"properties":{"mag":-1.44,"bv":"0.009"},"geometry":{"type":"Point","coordinates":[101.2872,-16.7161]}},{"type":"Feature","id":32362,"properties":{"mag":3.35,"bv":"0.443"},"geometry":{"type":"Point","coordinates":[101.3224,12.8956]}},{"type":"Feature","id":32366,"properties":{"mag":5.92,"bv":"0.491"},"geometry":{"type":"Point","coordinates":[101.3456,-31.7937]}},{"type":"Feature","id":32385,"properties":{"mag":5.62,"bv":"-0.138"},"geometry":{"type":"Point","coordinates":[101.38,-30.949]}},{"type":"Feature","id":32402,"properties":{"mag":5.81,"bv":"1.551"},"geometry":{"type":"Point","coordinates":[101.4738,-52.4097]}},{"type":"Feature","id":32411,"properties":{"mag":5.3,"bv":"0.075"},"geometry":{"type":"Point","coordinates":[101.4975,-14.7961]}},{"type":"Feature","id":32438,"properties":{"mag":4.86,"bv":"0.084"},"geometry":{"type":"Point","coordinates":[101.5589,59.4417]}},{"type":"Feature","id":32439,"properties":{"mag":5.44,"bv":"0.525"},"geometry":{"type":"Point","coordinates":[101.559,79.5648]}},{"type":"Feature","id":32463,"properties":{"mag":5.92,"bv":"-0.173"},"geometry":{"type":"Point","coordinates":[101.6351,8.5872]}},{"type":"Feature","id":32474,"properties":{"mag":5.66,"bv":"-0.048"},"geometry":{"type":"Point","coordinates":[101.6626,-10.1074]}},{"type":"Feature","id":32480,"properties":{"mag":5.24,"bv":"0.575"},"geometry":{"type":"Point","coordinates":[101.6847,43.5774]}},{"type":"Feature","id":32489,"properties":{"mag":5.34,"bv":"0.964"},"geometry":{"type":"Point","coordinates":[101.7063,57.1692]}},{"type":"Feature","id":32492,"properties":{"mag":5.28,"bv":"-0.024"},"geometry":{"type":"Point","coordinates":[101.7129,-14.426]}},{"type":"Feature","id":32494,"properties":{"mag":5.39,"bv":"1.330"},"geometry":{"type":"Point","coordinates":[101.7195,-51.2657]}},{"type":"Feature","id":32531,"properties":{"mag":5.6,"bv":"1.549"},"geometry":{"type":"Point","coordinates":[101.828,-55.54]}},{"type":"Feature","id":32533,"properties":{"mag":4.77,"bv":"1.396"},"geometry":{"type":"Point","coordinates":[101.8326,8.0373]}},{"type":"Feature","id":32537,"properties":{"mag":5.27,"bv":"-0.078"},"geometry":{"type":"Point","coordinates":[101.8392,-37.9297]}},{"type":"Feature","id":32558,"properties":{"mag":5.08,"bv":"1.795"},"geometry":{"type":"Point","coordinates":[101.9051,-8.9985]}},{"type":"Feature","id":32562,"properties":{"mag":5.22,"bv":"1.131"},"geometry":{"type":"Point","coordinates":[101.9149,48.7895]}},{"type":"Feature","id":32578,"properties":{"mag":4.48,"bv":"1.099"},"geometry":{"type":"Point","coordinates":[101.9652,2.4122]}},{"type":"Feature","id":32607,"properties":{"mag":3.24,"bv":"0.225"},"geometry":{"type":"Point","coordinates":[102.0477,-61.9414]}},{"type":"Feature","id":32609,"properties":{"mag":5.54,"bv":""},"geometry":{"type":"Point","coordinates":[102.0512,55.7042]}},{"type":"Feature","id":32617,"properties":{"mag":5.75,"bv":"0.292"},"geometry":{"type":"Point","coordinates":[102.0794,-1.3189]}},{"type":"Feature","id":32677,"properties":{"mag":5.39,"bv":"-0.096"},"geometry":{"type":"Point","coordinates":[102.2406,-15.1447]}},{"type":"Feature","id":32698,"properties":{"mag":5.75,"bv":"-0.098"},"geometry":{"type":"Point","coordinates":[102.3184,-2.272]}},{"type":"Feature","id":32740,"properties":{"mag":5.72,"bv":"1.298"},"geometry":{"type":"Point","coordinates":[102.4221,32.6068]}},{"type":"Feature","id":32753,"properties":{"mag":5.87,"bv":"-0.136"},"geometry":{"type":"Point","coordinates":[102.4577,16.2029]}},{"type":"Feature","id":32759,"properties":{"mag":3.5,"bv":"-0.116"},"geometry":{"type":"Point","coordinates":[102.4602,-32.5085]}},{"type":"Feature","id":32761,"properties":{"mag":4.41,"bv":"0.899"},"geometry":{"type":"Point","coordinates":[102.4638,-53.6224]}},{"type":"Feature","id":32765,"properties":{"mag":5.14,"bv":"0.460"},"geometry":{"type":"Point","coordinates":[102.4776,-46.6146]}},{"type":"Feature","id":32768,"properties":{"mag":2.94,"bv":"1.207"},"geometry":{"type":"Point","coordinates":[102.484,-50.6146]}},{"type":"Feature","id":32809,"properties":{"mag":5.77,"bv":"1.435"},"geometry":{"type":"Point","coordinates":[102.5907,-17.0846]}},{"type":"Feature","id":32810,"properties":{"mag":5.74,"bv":"0.094"},"geometry":{"type":"Point","coordinates":[102.5973,-31.7061]}},{"type":"Feature","id":32814,"properties":{"mag":5.68,"bv":"1.329"},"geometry":{"type":"Point","coordinates":[102.6062,13.4132]}},{"type":"Feature","id":32844,"properties":{"mag":4.99,"bv":"1.256"},"geometry":{"type":"Point","coordinates":[102.6914,41.7812]}},{"type":"Feature","id":32851,"properties":{"mag":5.78,"bv":"0.396"},"geometry":{"type":"Point","coordinates":[102.7076,-0.5409]}},{"type":"Feature","id":32855,"properties":{"mag":4.99,"bv":"1.379"},"geometry":{"type":"Point","coordinates":[102.7181,-34.3673]}},{"type":"Feature","id":32864,"properties":{"mag":5.14,"bv":"-0.152"},"geometry":{"type":"Point","coordinates":[102.7379,67.5719]}},{"type":"Feature","id":32912,"properties":{"mag":5.41,"bv":"-0.110"},"geometry":{"type":"Point","coordinates":[102.8624,-70.9634]}},{"type":"Feature","id":32921,"properties":{"mag":5.28,"bv":"-0.020"},"geometry":{"type":"Point","coordinates":[102.8877,21.7611]}},{"type":"Feature","id":32938,"properties":{"mag":5.94,"bv":"0.183"},"geometry":{"type":"Point","coordinates":[102.9268,-36.2303]}},{"type":"Feature","id":32968,"properties":{"mag":5.68,"bv":"1.467"},"geometry":{"type":"Point","coordinates":[102.9999,23.6017]}},{"type":"Feature","id":33018,"properties":{"mag":3.6,"bv":"0.102"},"geometry":{"type":"Point","coordinates":[103.1972,33.9613]}},{"type":"Feature","id":33024,"properties":{"mag":5.75,"bv":"0.270"},"geometry":{"type":"Point","coordinates":[103.2061,8.3804]}},{"type":"Feature","id":33048,"properties":{"mag":5.34,"bv":"0.675"},"geometry":{"type":"Point","coordinates":[103.271,59.4485]}},{"type":"Feature","id":33077,"properties":{"mag":5.65,"bv":"0.279"},"geometry":{"type":"Point","coordinates":[103.3284,-19.0328]}},{"type":"Feature","id":33092,"properties":{"mag":4.82,"bv":"-0.212"},"geometry":{"type":"Point","coordinates":[103.3871,-20.2243]}},{"type":"Feature","id":33104,"properties":{"mag":5.11,"bv":"-0.114"},"geometry":{"type":"Point","coordinates":[103.426,68.8883]}},{"type":"Feature","id":33152,"properties":{"mag":3.89,"bv":"1.740"},"geometry":{"type":"Point","coordinates":[103.5331,-24.1842]}},{"type":"Feature","id":33160,"properties":{"mag":4.08,"bv":"1.418"},"geometry":{"type":"Point","coordinates":[103.5475,-12.0386]}},{"type":"Feature","id":33184,"properties":{"mag":5.44,"bv":"0.167"},"geometry":{"type":"Point","coordinates":[103.6028,-1.127]}},{"type":"Feature","id":33202,"properties":{"mag":4.73,"bv":"0.321"},"geometry":{"type":"Point","coordinates":[103.661,13.1778]}},{"type":"Feature","id":33248,"properties":{"mag":5.8,"bv":"0.048"},"geometry":{"type":"Point","coordinates":[103.7614,-20.4049]}},{"type":"Feature","id":33277,"properties":{"mag":5.74,"bv":"0.573"},"geometry":{"type":"Point","coordinates":[103.8278,25.3757]}},{"type":"Feature","id":33302,"properties":{"mag":4.66,"bv":"0.374"},"geometry":{"type":"Point","coordinates":[103.906,-20.1365]}},{"type":"Feature","id":33316,"properties":{"mag":5.29,"bv":"-0.163"},"geometry":{"type":"Point","coordinates":[103.9455,-22.9414]}},{"type":"Feature","id":33345,"properties":{"mag":5,"bv":"1.182"},"geometry":{"type":"Point","coordinates":[104.0277,-14.0434]}},{"type":"Feature","id":33347,"properties":{"mag":4.36,"bv":"-0.063"},"geometry":{"type":"Point","coordinates":[104.0343,-17.0542]}},{"type":"Feature","id":33357,"properties":{"mag":4.94,"bv":"1.668"},"geometry":{"type":"Point","coordinates":[104.0666,-48.7211]}},{"type":"Feature","id":33372,"properties":{"mag":5.9,"bv":"-0.085"},"geometry":{"type":"Point","coordinates":[104.1076,9.9566]}},{"type":"Feature","id":33377,"properties":{"mag":5.85,"bv":"-0.079"},"geometry":{"type":"Point","coordinates":[104.1336,46.274]}},{"type":"Feature","id":33384,"properties":{"mag":5.45,"bv":"0.041"},"geometry":{"type":"Point","coordinates":[104.1436,-79.4202]}},{"type":"Feature","id":33415,"properties":{"mag":5.88,"bv":"1.093"},"geometry":{"type":"Point","coordinates":[104.2335,46.7054]}},{"type":"Feature","id":33421,"properties":{"mag":5.91,"bv":"0.878"},"geometry":{"type":"Point","coordinates":[104.2522,33.681]}},{"type":"Feature","id":33449,"properties":{"mag":4.35,"bv":"0.850"},"geometry":{"type":"Point","coordinates":[104.3192,58.4228]}},{"type":"Feature","id":33478,"properties":{"mag":5.45,"bv":"0.390"},"geometry":{"type":"Point","coordinates":[104.3913,-24.6308]}},{"type":"Feature","id":33485,"properties":{"mag":4.9,"bv":"0.027"},"geometry":{"type":"Point","coordinates":[104.4046,45.0941]}},{"type":"Feature","id":33558,"properties":{"mag":5.07,"bv":"-0.154"},"geometry":{"type":"Point","coordinates":[104.6046,-34.1117]}},{"type":"Feature","id":33575,"properties":{"mag":5.59,"bv":"-0.162"},"geometry":{"type":"Point","coordinates":[104.6496,-25.4142]}},{"type":"Feature","id":33579,"properties":{"mag":1.5,"bv":"-0.211"},"geometry":{"type":"Point","coordinates":[104.6565,-28.9721]}},{"type":"Feature","id":33603,"properties":{"mag":5.96,"bv":"1.056"},"geometry":{"type":"Point","coordinates":[104.7376,3.6024]}},{"type":"Feature","id":33682,"properties":{"mag":5.18,"bv":"1.396"},"geometry":{"type":"Point","coordinates":[104.9606,-67.9164]}},{"type":"Feature","id":33694,"properties":{"mag":4.55,"bv":"1.365"},"geometry":{"type":"Point","coordinates":[105.0168,76.9774]}},{"type":"Feature","id":33715,"properties":{"mag":5.73,"bv":"1.641"},"geometry":{"type":"Point","coordinates":[105.0659,16.079]}},{"type":"Feature","id":33729,"properties":{"mag":5.95,"bv":"-0.075"},"geometry":{"type":"Point","coordinates":[105.099,-8.4068]}},{"type":"Feature","id":33779,"properties":{"mag":5.14,"bv":"1.652"},"geometry":{"type":"Point","coordinates":[105.2145,-51.4026]}},{"type":"Feature","id":33804,"properties":{"mag":5.64,"bv":"-0.165"},"geometry":{"type":"Point","coordinates":[105.2748,-25.2156]}},{"type":"Feature","id":33827,"properties":{"mag":5.69,"bv":"1.337"},"geometry":{"type":"Point","coordinates":[105.3392,70.8083]}},{"type":"Feature","id":33856,"properties":{"mag":3.49,"bv":"1.729"},"geometry":{"type":"Point","coordinates":[105.4298,-27.9348]}},{"type":"Feature","id":33878,"properties":{"mag":5.22,"bv":"1.687"},"geometry":{"type":"Point","coordinates":[105.4849,-5.7221]}},{"type":"Feature","id":33914,"properties":{"mag":5.78,"bv":"1.140"},"geometry":{"type":"Point","coordinates":[105.5729,15.336]}},{"type":"Feature","id":33927,"properties":{"mag":5.2,"bv":"0.953"},"geometry":{"type":"Point","coordinates":[105.6033,24.2154]}},{"type":"Feature","id":33929,"properties":{"mag":5.96,"bv":"1.518"},"geometry":{"type":"Point","coordinates":[105.6064,17.7555]}},{"type":"Feature","id":33937,"properties":{"mag":5.86,"bv":"1.659"},"geometry":{"type":"Point","coordinates":[105.6387,16.6744]}},{"type":"Feature","id":33971,"properties":{"mag":4.99,"bv":"-0.195"},"geometry":{"type":"Point","coordinates":[105.7282,-4.2392]}},{"type":"Feature","id":33977,"properties":{"mag":3.02,"bv":"-0.077"},"geometry":{"type":"Point","coordinates":[105.7561,-23.8333]}},{"type":"Feature","id":34000,"properties":{"mag":5.5,"bv":"-0.125"},"geometry":{"type":"Point","coordinates":[105.8129,-59.1781]}},{"type":"Feature","id":34002,"properties":{"mag":5.96,"bv":"0.126"},"geometry":{"type":"Point","coordinates":[105.8246,9.1384]}},{"type":"Feature","id":34017,"properties":{"mag":5.93,"bv":"0.595"},"geometry":{"type":"Point","coordinates":[105.8769,29.3371]}},{"type":"Feature","id":34033,"properties":{"mag":5.14,"bv":"1.391"},"geometry":{"type":"Point","coordinates":[105.9086,10.9518]}},{"type":"Feature","id":34045,"properties":{"mag":4.11,"bv":"-0.112"},"geometry":{"type":"Point","coordinates":[105.9396,-15.6333]}},{"type":"Feature","id":34059,"properties":{"mag":4.92,"bv":"0.140"},"geometry":{"type":"Point","coordinates":[105.9734,-49.5839]}},{"type":"Feature","id":34065,"properties":{"mag":5.56,"bv":"0.624"},"geometry":{"type":"Point","coordinates":[105.9888,-43.608]}},{"type":"Feature","id":34081,"properties":{"mag":5.2,"bv":"0.198"},"geometry":{"type":"Point","coordinates":[106.0116,-42.3373]}},{"type":"Feature","id":34086,"properties":{"mag":5.63,"bv":"1.290"},"geometry":{"type":"Point","coordinates":[106.0219,-5.324]}},{"type":"Feature","id":34088,"properties":{"mag":4.01,"bv":"0.899"},"geometry":{"type":"Point","coordinates":[106.0272,20.5703]}},{"type":"Feature","id":34105,"properties":{"mag":5.14,"bv":"-0.032"},"geometry":{"type":"Point","coordinates":[106.0764,-56.7497]}},{"type":"Feature","id":34182,"properties":{"mag":6,"bv":"-0.027"},"geometry":{"type":"Point","coordinates":[106.3265,22.6375]}},{"type":"Feature","id":34215,"properties":{"mag":5.78,"bv":"1.513"},"geometry":{"type":"Point","coordinates":[106.4126,9.1858]}},{"type":"Feature","id":34267,"properties":{"mag":5.55,"bv":"0.909"},"geometry":{"type":"Point","coordinates":[106.5483,34.474]}},{"type":"Feature","id":34301,"properties":{"mag":5.41,"bv":"0.033"},"geometry":{"type":"Point","coordinates":[106.6699,-11.294]}},{"type":"Feature","id":34339,"properties":{"mag":5.8,"bv":"-0.158"},"geometry":{"type":"Point","coordinates":[106.7795,-40.8933]}},{"type":"Feature","id":34349,"properties":{"mag":5.96,"bv":"0.996"},"geometry":{"type":"Point","coordinates":[106.8054,-51.9683]}},{"type":"Feature","id":34358,"properties":{"mag":5.94,"bv":"1.507"},"geometry":{"type":"Point","coordinates":[106.8433,34.0093]}},{"type":"Feature","id":34360,"properties":{"mag":5.75,"bv":"-0.117"},"geometry":{"type":"Point","coordinates":[106.8441,-23.8407]}},{"type":"Feature","id":34387,"properties":{"mag":5.74,"bv":"1.176"},"geometry":{"type":"Point","coordinates":[106.9562,7.4712]}},{"type":"Feature","id":34440,"properties":{"mag":5.47,"bv":"1.020"},"geometry":{"type":"Point","coordinates":[107.0918,15.9307]}},{"type":"Feature","id":34444,"properties":{"mag":1.83,"bv":"0.671"},"geometry":{"type":"Point","coordinates":[107.0979,-26.3932]}},{"type":"Feature","id":34473,"properties":{"mag":5.68,"bv":"0.436"},"geometry":{"type":"Point","coordinates":[107.1765,-70.4971]}},{"type":"Feature","id":34481,"properties":{"mag":3.78,"bv":"1.006"},"geometry":{"type":"Point","coordinates":[107.1869,-70.4989]}},{"type":"Feature","id":34495,"properties":{"mag":4.83,"bv":"-0.179"},"geometry":{"type":"Point","coordinates":[107.2128,-39.6557]}},{"type":"Feature","id":34561,"properties":{"mag":6,"bv":"0.040"},"geometry":{"type":"Point","coordinates":[107.389,-16.2345]}},{"type":"Feature","id":34579,"properties":{"mag":5.69,"bv":"-0.158"},"geometry":{"type":"Point","coordinates":[107.4293,-25.231]}},{"type":"Feature","id":34622,"properties":{"mag":4.91,"bv":"1.020"},"geometry":{"type":"Point","coordinates":[107.557,-4.2371]}},{"type":"Feature","id":34624,"properties":{"mag":5.46,"bv":"0.998"},"geometry":{"type":"Point","coordinates":[107.5805,-27.4915]}},{"type":"Feature","id":34670,"properties":{"mag":5.12,"bv":"1.251"},"geometry":{"type":"Point","coordinates":[107.6978,-48.9321]}},{"type":"Feature","id":34693,"properties":{"mag":4.41,"bv":"1.261"},"geometry":{"type":"Point","coordinates":[107.7849,30.2452]}},{"type":"Feature","id":34722,"properties":{"mag":5.75,"bv":"0.130"},"geometry":{"type":"Point","coordinates":[107.8461,26.8566]}},{"type":"Feature","id":34724,"properties":{"mag":5.44,"bv":"0.310"},"geometry":{"type":"Point","coordinates":[107.8484,-0.3019]}},{"type":"Feature","id":34752,"properties":{"mag":4.91,"bv":"1.451"},"geometry":{"type":"Point","coordinates":[107.9139,39.3205]}},{"type":"Feature","id":34758,"properties":{"mag":5.84,"bv":"-0.038"},"geometry":{"type":"Point","coordinates":[107.9234,-20.8831]}},{"type":"Feature","id":34769,"properties":{"mag":4.15,"bv":"-0.005"},"geometry":{"type":"Point","coordinates":[107.9661,-0.4928]}},{"type":"Feature","id":34798,"properties":{"mag":5.91,"bv":"-0.170"},"geometry":{"type":"Point","coordinates":[108.0509,-25.9426]}},{"type":"Feature","id":34802,"properties":{"mag":5.3,"bv":"0.072"},"geometry":{"type":"Point","coordinates":[108.0659,-40.4988]}},{"type":"Feature","id":34817,"properties":{"mag":5.94,"bv":"-0.145"},"geometry":{"type":"Point","coordinates":[108.1076,-36.5444]}},{"type":"Feature","id":34819,"properties":{"mag":5.85,"bv":"0.397"},"geometry":{"type":"Point","coordinates":[108.1099,24.1286]}},{"type":"Feature","id":34834,"properties":{"mag":4.49,"bv":"0.324"},"geometry":{"type":"Point","coordinates":[108.1401,-46.7593]}},{"type":"Feature","id":34888,"properties":{"mag":5.77,"bv":"1.508"},"geometry":{"type":"Point","coordinates":[108.28,-11.2513]}},{"type":"Feature","id":34899,"properties":{"mag":4.87,"bv":"-0.003"},"geometry":{"type":"Point","coordinates":[108.3056,-45.1827]}},{"type":"Feature","id":34909,"properties":{"mag":5.07,"bv":"1.653"},"geometry":{"type":"Point","coordinates":[108.3428,16.159]}},{"type":"Feature","id":34912,"properties":{"mag":5.46,"bv":"1.640"},"geometry":{"type":"Point","coordinates":[108.3475,51.4287]}},{"type":"Feature","id":34914,"properties":{"mag":5.99,"bv":"1.481"},"geometry":{"type":"Point","coordinates":[108.3501,-22.6742]}},{"type":"Feature","id":34922,"properties":{"mag":4.42,"bv":"1.331"},"geometry":{"type":"Point","coordinates":[108.3847,-44.6397]}},{"type":"Feature","id":34975,"properties":{"mag":5.8,"bv":"1.585"},"geometry":{"type":"Point","coordinates":[108.5452,-3.9018]}},{"type":"Feature","id":34981,"properties":{"mag":4.42,"bv":"-0.170"},"geometry":{"type":"Point","coordinates":[108.5634,-26.3525]}},{"type":"Feature","id":34982,"properties":{"mag":5.9,"bv":"1.528"},"geometry":{"type":"Point","coordinates":[108.5647,-9.9475]}},{"type":"Feature","id":34987,"properties":{"mag":5.36,"bv":"1.193"},"geometry":{"type":"Point","coordinates":[108.5836,3.1114]}},{"type":"Feature","id":35005,"properties":{"mag":5.71,"bv":"1.007"},"geometry":{"type":"Point","coordinates":[108.6359,12.1158]}},{"type":"Feature","id":35020,"properties":{"mag":4.75,"bv":"-0.091"},"geometry":{"type":"Point","coordinates":[108.6589,-48.2719]}},{"type":"Feature","id":35025,"properties":{"mag":5.84,"bv":"1.554"},"geometry":{"type":"Point","coordinates":[108.6749,24.885]}},{"type":"Feature","id":35029,"properties":{"mag":5.72,"bv":"-0.109"},"geometry":{"type":"Point","coordinates":[108.6917,-46.8497]}},{"type":"Feature","id":35037,"properties":{"mag":4.01,"bv":"-0.150"},"geometry":{"type":"Point","coordinates":[108.7027,-26.7727]}},{"type":"Feature","id":35044,"properties":{"mag":5.58,"bv":"1.220"},"geometry":{"type":"Point","coordinates":[108.7132,-27.038]}},{"type":"Feature","id":35054,"properties":{"mag":5.95,"bv":"-0.146"},"geometry":{"type":"Point","coordinates":[108.7381,-41.4264]}},{"type":"Feature","id":35083,"properties":{"mag":5.36,"bv":"-0.155"},"geometry":{"type":"Point","coordinates":[108.8378,-30.6864]}},{"type":"Feature","id":35084,"properties":{"mag":5.96,"bv":"1.099"},"geometry":{"type":"Point","coordinates":[108.8384,-52.4992]}},{"type":"Feature","id":35120,"properties":{"mag":5.78,"bv":"1.537"},"geometry":{"type":"Point","coordinates":[108.9143,7.9777]}},{"type":"Feature","id":35127,"properties":{"mag":5.95,"bv":"1.173"},"geometry":{"type":"Point","coordinates":[108.9302,-10.5836]}},{"type":"Feature","id":35136,"properties":{"mag":5.54,"bv":"0.576"},"geometry":{"type":"Point","coordinates":[108.9589,47.24]}},{"type":"Feature","id":35146,"properties":{"mag":5.2,"bv":"1.081"},"geometry":{"type":"Point","coordinates":[108.9788,59.6375]}},{"type":"Feature","id":35152,"properties":{"mag":5.75,"bv":"1.605"},"geometry":{"type":"Point","coordinates":[108.9882,27.8974]}},{"type":"Feature","id":35180,"properties":{"mag":5.46,"bv":"0.079"},"geometry":{"type":"Point","coordinates":[109.0606,-15.5857]}},{"type":"Feature","id":35181,"properties":{"mag":5.64,"bv":"1.441"},"geometry":{"type":"Point","coordinates":[109.0645,-46.7745]}},{"type":"Feature","id":35202,"properties":{"mag":5.81,"bv":"-0.133"},"geometry":{"type":"Point","coordinates":[109.1327,-38.3189]}},{"type":"Feature","id":35205,"properties":{"mag":4.66,"bv":"1.589"},"geometry":{"type":"Point","coordinates":[109.1458,-27.8812]}},{"type":"Feature","id":35210,"properties":{"mag":4.83,"bv":"1.601"},"geometry":{"type":"Point","coordinates":[109.1535,-23.3156]}},{"type":"Feature","id":35226,"properties":{"mag":5.03,"bv":"-0.161"},"geometry":{"type":"Point","coordinates":[109.2059,-36.5926]}},{"type":"Feature","id":35228,"properties":{"mag":3.97,"bv":"0.760"},"geometry":{"type":"Point","coordinates":[109.2076,-67.9572]}},{"type":"Feature","id":35264,"properties":{"mag":2.71,"bv":"1.616"},"geometry":{"type":"Point","coordinates":[109.2857,-37.0975]}},{"type":"Feature","id":35304,"properties":{"mag":5.93,"bv":"1.259"},"geometry":{"type":"Point","coordinates":[109.3905,52.1311]}},{"type":"Feature","id":35341,"properties":{"mag":5.87,"bv":"0.181"},"geometry":{"type":"Point","coordinates":[109.5092,40.8834]}},{"type":"Feature","id":35347,"properties":{"mag":5.86,"bv":"-0.117"},"geometry":{"type":"Point","coordinates":[109.5177,-43.9868]}},{"type":"Feature","id":35350,"properties":{"mag":3.58,"bv":"0.106"},"geometry":{"type":"Point","coordinates":[109.5232,16.5404]}},{"type":"Feature","id":35363,"properties":{"mag":4.65,"bv":"-0.099"},"geometry":{"type":"Point","coordinates":[109.5766,-36.734]}},{"type":"Feature","id":35384,"properties":{"mag":5,"bv":"0.087"},"geometry":{"type":"Point","coordinates":[109.6332,49.4648]}},{"type":"Feature","id":35393,"properties":{"mag":5.24,"bv":"0.026"},"geometry":{"type":"Point","coordinates":[109.6396,-39.2103]}},{"type":"Feature","id":35406,"properties":{"mag":5.11,"bv":"-0.170"},"geometry":{"type":"Point","coordinates":[109.6591,-36.7427]}},{"type":"Feature","id":35412,"properties":{"mag":4.88,"bv":"-0.160"},"geometry":{"type":"Point","coordinates":[109.6682,-24.5587]}},{"type":"Feature","id":35415,"properties":{"mag":4.37,"bv":"-0.132"},"geometry":{"type":"Point","coordinates":[109.677,-24.9544]}},{"type":"Feature","id":35427,"properties":{"mag":5.29,"bv":"0.956"},"geometry":{"type":"Point","coordinates":[109.7136,-26.5859]}},{"type":"Feature","id":35476,"properties":{"mag":5.9,"bv":"1.069"},"geometry":{"type":"Point","coordinates":[109.8432,2.7407]}},{"type":"Feature","id":35487,"properties":{"mag":5.7,"bv":"0.346"},"geometry":{"type":"Point","coordinates":[109.8674,-16.3952]}},{"type":"Feature","id":35509,"properties":{"mag":5.91,"bv":"0.537"},"geometry":{"type":"Point","coordinates":[109.9485,7.1429]}},{"type":"Feature","id":35550,"properties":{"mag":3.5,"bv":"0.374"},"geometry":{"type":"Point","coordinates":[110.0307,21.9823]}},{"type":"Feature","id":35564,"properties":{"mag":5.5,"bv":"0.483"},"geometry":{"type":"Point","coordinates":[110.0893,-52.3115]}},{"type":"Feature","id":35589,"properties":{"mag":5.38,"bv":"-0.069"},"geometry":{"type":"Point","coordinates":[110.1617,-52.0859]}},{"type":"Feature","id":35611,"properties":{"mag":6,"bv":"-0.172"},"geometry":{"type":"Point","coordinates":[110.2288,-26.9638]}},{"type":"Feature","id":35615,"properties":{"mag":5.59,"bv":"0.971"},"geometry":{"type":"Point","coordinates":[110.2429,-14.3605]}},{"type":"Feature","id":35626,"properties":{"mag":5.87,"bv":"1.604"},"geometry":{"type":"Point","coordinates":[110.2681,-25.8916]}},{"type":"Feature","id":35643,"properties":{"mag":5.74,"bv":"0.342"},"geometry":{"type":"Point","coordinates":[110.3229,45.2282]}},{"type":"Feature","id":35699,"properties":{"mag":5.09,"bv":"1.528"},"geometry":{"type":"Point","coordinates":[110.4869,20.4437]}},{"type":"Feature","id":35710,"properties":{"mag":5.12,"bv":"1.082"},"geometry":{"type":"Point","coordinates":[110.5109,36.7606]}},{"type":"Feature","id":35712,"properties":{"mag":5.99,"bv":"-0.069"},"geometry":{"type":"Point","coordinates":[110.5145,0.1771]}},{"type":"Feature","id":35727,"properties":{"mag":4.94,"bv":"-0.039"},"geometry":{"type":"Point","coordinates":[110.5564,-19.0166]}},{"type":"Feature","id":35749,"properties":{"mag":5.83,"bv":"0.352"},"geometry":{"type":"Point","coordinates":[110.6058,-5.9828]}},{"type":"Feature","id":35785,"properties":{"mag":5.8,"bv":"-0.078"},"geometry":{"type":"Point","coordinates":[110.7169,55.2814]}},{"type":"Feature","id":35795,"properties":{"mag":5.4,"bv":"-0.161"},"geometry":{"type":"Point","coordinates":[110.7529,-31.9238]}},{"type":"Feature","id":35846,"properties":{"mag":5.04,"bv":"0.902"},"geometry":{"type":"Point","coordinates":[110.8688,25.0505]}},{"type":"Feature","id":35848,"properties":{"mag":5.37,"bv":"1.539"},"geometry":{"type":"Point","coordinates":[110.8708,-27.8343]}},{"type":"Feature","id":35855,"properties":{"mag":5.41,"bv":"-0.169"},"geometry":{"type":"Point","coordinates":[110.8829,-32.2021]}},{"type":"Feature","id":35904,"properties":{"mag":2.45,"bv":"-0.083"},"geometry":{"type":"Point","coordinates":[111.0238,-29.3031]}},{"type":"Feature","id":35907,"properties":{"mag":5.23,"bv":"1.249"},"geometry":{"type":"Point","coordinates":[111.0353,40.6724]}},{"type":"Feature","id":35941,"properties":{"mag":5.77,"bv":"0.368"},"geometry":{"type":"Point","coordinates":[111.1394,27.6379]}},{"type":"Feature","id":35951,"properties":{"mag":5.18,"bv":"-0.035"},"geometry":{"type":"Point","coordinates":[111.1674,-16.2015]}},{"type":"Feature","id":35957,"properties":{"mag":5.35,"bv":"1.071"},"geometry":{"type":"Point","coordinates":[111.1827,-31.8089]}},{"type":"Feature","id":35984,"properties":{"mag":5.8,"bv":"1.610"},"geometry":{"type":"Point","coordinates":[111.2379,51.8873]}},{"type":"Feature","id":35987,"properties":{"mag":5.37,"bv":"0.105"},"geometry":{"type":"Point","coordinates":[111.2424,11.6695]}},{"type":"Feature","id":35998,"properties":{"mag":5.79,"bv":"0.432"},"geometry":{"type":"Point","coordinates":[111.2846,-13.752]}},{"type":"Feature","id":36024,"properties":{"mag":5.79,"bv":"-0.103"},"geometry":{"type":"Point","coordinates":[111.3553,-25.2178]}},{"type":"Feature","id":36039,"properties":{"mag":5.54,"bv":"1.281"},"geometry":{"type":"Point","coordinates":[111.4087,-79.0942]}},{"type":"Feature","id":36041,"properties":{"mag":4.99,"bv":"0.991"},"geometry":{"type":"Point","coordinates":[111.4121,9.2761]}},{"type":"Feature","id":36046,"properties":{"mag":3.78,"bv":"1.024"},"geometry":{"type":"Point","coordinates":[111.4317,27.7981]}},{"type":"Feature","id":36055,"properties":{"mag":5.98,"bv":"0.901"},"geometry":{"type":"Point","coordinates":[111.4633,-5.775]}},{"type":"Feature","id":36114,"properties":{"mag":5.09,"bv":"1.038"},"geometry":{"type":"Point","coordinates":[111.591,-51.0185]}},{"type":"Feature","id":36143,"properties":{"mag":5.9,"bv":"-0.153"},"geometry":{"type":"Point","coordinates":[111.6769,-34.1407]}},{"type":"Feature","id":36145,"properties":{"mag":4.61,"bv":"-0.001"},"geometry":{"type":"Point","coordinates":[111.6785,49.2115]}},{"type":"Feature","id":36156,"properties":{"mag":5.94,"bv":"0.336"},"geometry":{"type":"Point","coordinates":[111.7347,20.2576]}},{"type":"Feature","id":36168,"properties":{"mag":5.65,"bv":"-0.134"},"geometry":{"type":"Point","coordinates":[111.7478,-23.086]}},{"type":"Feature","id":36186,"properties":{"mag":5.6,"bv":"0.314"},"geometry":{"type":"Point","coordinates":[111.7833,-17.8649]}},{"type":"Feature","id":36188,"properties":{"mag":2.89,"bv":"-0.097"},"geometry":{"type":"Point","coordinates":[111.7877,8.2893]}},{"type":"Feature","id":36236,"properties":{"mag":5.98,"bv":"-0.088"},"geometry":{"type":"Point","coordinates":[111.9289,-22.8592]}},{"type":"Feature","id":36238,"properties":{"mag":5.2,"bv":"0.455"},"geometry":{"type":"Point","coordinates":[111.9348,21.4452]}},{"type":"Feature","id":36251,"properties":{"mag":5.79,"bv":"0.583"},"geometry":{"type":"Point","coordinates":[111.9653,-11.5569]}},{"type":"Feature","id":36258,"properties":{"mag":5.55,"bv":"-0.048"},"geometry":{"type":"Point","coordinates":[111.9965,-29.1559]}},{"type":"Feature","id":36265,"properties":{"mag":5.22,"bv":"0.221"},"geometry":{"type":"Point","coordinates":[112.0086,6.942]}},{"type":"Feature","id":36284,"properties":{"mag":4.33,"bv":"1.425"},"geometry":{"type":"Point","coordinates":[112.0408,8.9255]}},{"type":"Feature","id":36345,"properties":{"mag":5.95,"bv":"-0.156"},"geometry":{"type":"Point","coordinates":[112.2131,-31.8484]}},{"type":"Feature","id":36348,"properties":{"mag":5.7,"bv":"-0.092"},"geometry":{"type":"Point","coordinates":[112.2145,48.1839]}},{"type":"Feature","id":36362,"properties":{"mag":5.78,"bv":"-0.185"},"geometry":{"type":"Point","coordinates":[112.2705,-31.4562]}},{"type":"Feature","id":36363,"properties":{"mag":5.41,"bv":"-0.148"},"geometry":{"type":"Point","coordinates":[112.2737,-38.8121]}},{"type":"Feature","id":36366,"properties":{"mag":4.16,"bv":"0.320"},"geometry":{"type":"Point","coordinates":[112.278,31.7846]}},{"type":"Feature","id":36377,"properties":{"mag":3.25,"bv":"1.509"},"geometry":{"type":"Point","coordinates":[112.3076,-43.3014]}},{"type":"Feature","id":36388,"properties":{"mag":5.6,"bv":"1.493"},"geometry":{"type":"Point","coordinates":[112.3278,-1.9053]}},{"type":"Feature","id":36393,"properties":{"mag":5.07,"bv":"0.120"},"geometry":{"type":"Point","coordinates":[112.3352,28.1183]}},{"type":"Feature","id":36396,"properties":{"mag":5.75,"bv":"1.616"},"geometry":{"type":"Point","coordinates":[112.3421,-10.3267]}},{"type":"Feature","id":36399,"properties":{"mag":5.86,"bv":"0.487"},"geometry":{"type":"Point","coordinates":[112.3568,-7.5512]}},{"type":"Feature","id":36425,"properties":{"mag":4.55,"bv":"1.276"},"geometry":{"type":"Point","coordinates":[112.4491,12.0066]}},{"type":"Feature","id":36429,"properties":{"mag":5.01,"bv":"1.117"},"geometry":{"type":"Point","coordinates":[112.4532,27.9161]}},{"type":"Feature","id":36431,"properties":{"mag":4.85,"bv":"0.243"},"geometry":{"type":"Point","coordinates":[112.4642,-23.0243]}},{"type":"Feature","id":36439,"properties":{"mag":5.35,"bv":"0.470"},"geometry":{"type":"Point","coordinates":[112.4832,49.6725]}},{"type":"Feature","id":36444,"properties":{"mag":5.87,"bv":"1.010"},"geometry":{"type":"Point","coordinates":[112.4988,-52.6512]}},{"type":"Feature","id":36496,"properties":{"mag":5.95,"bv":"1.585"},"geometry":{"type":"Point","coordinates":[112.6288,-54.3994]}},{"type":"Feature","id":36514,"properties":{"mag":4.65,"bv":"0.904"},"geometry":{"type":"Point","coordinates":[112.6775,-30.9623]}},{"type":"Feature","id":36528,"properties":{"mag":5.63,"bv":"1.100"},"geometry":{"type":"Point","coordinates":[112.7196,68.4656]}},{"type":"Feature","id":36547,"properties":{"mag":4.92,"bv":"1.633"},"geometry":{"type":"Point","coordinates":[112.7686,82.4115]}},{"type":"Feature","id":36616,"properties":{"mag":5.45,"bv":"1.126"},"geometry":{"type":"Point","coordinates":[112.9517,17.086]}},{"type":"Feature","id":36640,"properties":{"mag":5.9,"bv":"0.540"},"geometry":{"type":"Point","coordinates":[113.024,-8.8813]}},{"type":"Feature","id":36641,"properties":{"mag":5.24,"bv":"0.230"},"geometry":{"type":"Point","coordinates":[113.0248,1.9145]}},{"type":"Feature","id":36721,"properties":{"mag":5.84,"bv":"0.156"},"geometry":{"type":"Point","coordinates":[113.2907,-24.7107]}},{"type":"Feature","id":36723,"properties":{"mag":5.59,"bv":"0.321"},"geometry":{"type":"Point","coordinates":[113.2986,3.2904]}},{"type":"Feature","id":36732,"properties":{"mag":5.64,"bv":"1.121"},"geometry":{"type":"Point","coordinates":[113.3315,-19.4125]}},{"type":"Feature","id":36760,"properties":{"mag":5.27,"bv":"0.055"},"geometry":{"type":"Point","coordinates":[113.402,15.8267]}},{"type":"Feature","id":36773,"properties":{"mag":4.82,"bv":"1.362"},"geometry":{"type":"Point","coordinates":[113.4498,-14.5239]}},{"type":"Feature","id":36778,"properties":{"mag":5.42,"bv":"-0.078"},"geometry":{"type":"Point","coordinates":[113.4627,-36.3384]}},{"type":"Feature","id":36795,"properties":{"mag":4.44,"bv":"0.521"},"geometry":{"type":"Point","coordinates":[113.5133,-22.2961]}},{"type":"Feature","id":36812,"properties":{"mag":5.83,"bv":"-0.018"},"geometry":{"type":"Point","coordinates":[113.5662,3.3717]}},{"type":"Feature","id":36817,"properties":{"mag":5.06,"bv":"0.468"},"geometry":{"type":"Point","coordinates":[113.5776,-23.4737]}},{"type":"Feature","id":36848,"properties":{"mag":5.78,"bv":"1.045"},"geometry":{"type":"Point","coordinates":[113.645,-27.0123]}},{"type":"Feature","id":36850,"properties":{"mag":1.58,"bv":"0.034"},"geometry":{"type":"Point","coordinates":[113.6494,31.8883]}},{"type":"Feature","id":36896,"properties":{"mag":5.34,"bv":"1.010"},"geometry":{"type":"Point","coordinates":[113.7867,30.9609]}},{"type":"Feature","id":36917,"properties":{"mag":4.65,"bv":"-0.111"},"geometry":{"type":"Point","coordinates":[113.8454,-28.3693]}},{"type":"Feature","id":36942,"properties":{"mag":4.93,"bv":"1.373"},"geometry":{"type":"Point","coordinates":[113.9155,-52.5338]}},{"type":"Feature","id":36962,"properties":{"mag":4.06,"bv":"1.540"},"geometry":{"type":"Point","coordinates":[113.9806,26.8957]}},{"type":"Feature","id":36981,"properties":{"mag":5.66,"bv":"-0.067"},"geometry":{"type":"Point","coordinates":[114.0162,-14.4928]}},{"type":"Feature","id":37023,"properties":{"mag":5.66,"bv":"1.560"},"geometry":{"type":"Point","coordinates":[114.1318,46.1803]}},{"type":"Feature","id":37031,"properties":{"mag":5.89,"bv":"0.602"},"geometry":{"type":"Point","coordinates":[114.1446,5.8622]}},{"type":"Feature","id":37036,"properties":{"mag":5.69,"bv":"-0.165"},"geometry":{"type":"Point","coordinates":[114.171,-19.7023]}},{"type":"Feature","id":37043,"properties":{"mag":5.69,"bv":"-0.037"},"geometry":{"type":"Point","coordinates":[114.183,-48.8302]}},{"type":"Feature","id":37046,"properties":{"mag":5.93,"bv":"1.123"},"geometry":{"type":"Point","coordinates":[114.196,55.7551]}},{"type":"Feature","id":37088,"properties":{"mag":5.14,"bv":"0.442"},"geometry":{"type":"Point","coordinates":[114.3195,-4.111]}},{"type":"Feature","id":37096,"properties":{"mag":4.53,"bv":"-0.081"},"geometry":{"type":"Point","coordinates":[114.3421,-34.9685]}},{"type":"Feature","id":37140,"properties":{"mag":5.93,"bv":"0.221"},"geometry":{"type":"Point","coordinates":[114.4744,48.7738]}},{"type":"Feature","id":37173,"properties":{"mag":4.69,"bv":"-0.100"},"geometry":{"type":"Point","coordinates":[114.5752,-25.3648]}},{"type":"Feature","id":37174,"properties":{"mag":5.68,"bv":"0.683"},"geometry":{"type":"Point","coordinates":[114.5759,-48.6014]}},{"type":"Feature","id":37204,"properties":{"mag":5.58,"bv":"0.921"},"geometry":{"type":"Point","coordinates":[114.6369,35.0486]}},{"type":"Feature","id":37223,"properties":{"mag":5.78,"bv":"-0.148"},"geometry":{"type":"Point","coordinates":[114.6829,-36.4968]}},{"type":"Feature","id":37229,"properties":{"mag":3.8,"bv":"-0.159"},"geometry":{"type":"Point","coordinates":[114.7078,-26.8038]}},{"type":"Feature","id":37265,"properties":{"mag":4.89,"bv":"0.413"},"geometry":{"type":"Point","coordinates":[114.7914,34.5843]}},{"type":"Feature","id":37279,"properties":{"mag":0.4,"bv":"0.432"},"geometry":{"type":"Point","coordinates":[114.8255,5.225]}},{"type":"Feature","id":37297,"properties":{"mag":4.84,"bv":"-0.189"},"geometry":{"type":"Point","coordinates":[114.8639,-38.308]}},{"type":"Feature","id":37300,"properties":{"mag":5.04,"bv":"1.616"},"geometry":{"type":"Point","coordinates":[114.8691,17.6745]}},{"type":"Feature","id":37322,"properties":{"mag":5.73,"bv":"-0.125"},"geometry":{"type":"Point","coordinates":[114.9326,-38.1393]}},{"type":"Feature","id":37329,"properties":{"mag":5.76,"bv":"-0.071"},"geometry":{"type":"Point","coordinates":[114.9495,-38.2607]}},{"type":"Feature","id":37345,"properties":{"mag":5.99,"bv":"-0.040"},"geometry":{"type":"Point","coordinates":[114.9916,-37.5794]}},{"type":"Feature","id":37364,"properties":{"mag":5.92,"bv":"1.158"},"geometry":{"type":"Point","coordinates":[115.0564,-19.6609]}},{"type":"Feature","id":37369,"properties":{"mag":5.77,"bv":"1.654"},"geometry":{"type":"Point","coordinates":[115.0612,38.3445]}},{"type":"Feature","id":37379,"properties":{"mag":4.98,"bv":"1.543"},"geometry":{"type":"Point","coordinates":[115.0967,-15.2639]}},{"type":"Feature","id":37391,"properties":{"mag":5.05,"bv":"1.604"},"geometry":{"type":"Point","coordinates":[115.127,87.0201]}},{"type":"Feature","id":37428,"properties":{"mag":5.93,"bv":"1.561"},"geometry":{"type":"Point","coordinates":[115.2438,23.0185]}},{"type":"Feature","id":37441,"properties":{"mag":5.58,"bv":"1.011"},"geometry":{"type":"Point","coordinates":[115.3017,48.1315]}},{"type":"Feature","id":37447,"properties":{"mag":3.94,"bv":"1.022"},"geometry":{"type":"Point","coordinates":[115.3118,-9.5511]}},{"type":"Feature","id":37450,"properties":{"mag":5.41,"bv":"-0.130"},"geometry":{"type":"Point","coordinates":[115.3159,-38.5335]}},{"type":"Feature","id":37478,"properties":{"mag":5.95,"bv":"-0.032"},"geometry":{"type":"Point","coordinates":[115.3965,3.6248]}},{"type":"Feature","id":37504,"properties":{"mag":3.93,"bv":"1.033"},"geometry":{"type":"Point","coordinates":[115.4553,-72.6061]}},{"type":"Feature","id":37508,"properties":{"mag":5.79,"bv":"1.669"},"geometry":{"type":"Point","coordinates":[115.466,13.4805]}},{"type":"Feature","id":37521,"properties":{"mag":5.55,"bv":"1.642"},"geometry":{"type":"Point","coordinates":[115.5134,14.2085]}},{"type":"Feature","id":37590,"properties":{"mag":5.64,"bv":"0.990"},"geometry":{"type":"Point","coordinates":[115.7006,-26.3513]}},{"type":"Feature","id":37606,"properties":{"mag":5.04,"bv":"0.765"},"geometry":{"type":"Point","coordinates":[115.7379,-45.1731]}},{"type":"Feature","id":37609,"properties":{"mag":4.93,"bv":"0.104"},"geometry":{"type":"Point","coordinates":[115.7517,58.7104]}},{"type":"Feature","id":37623,"properties":{"mag":5.6,"bv":"-0.130"},"geometry":{"type":"Point","coordinates":[115.7999,-36.0501]}},{"type":"Feature","id":37629,"properties":{"mag":4.23,"bv":"1.118"},"geometry":{"type":"Point","coordinates":[115.828,28.8835]}},{"type":"Feature","id":37648,"properties":{"mag":4.63,"bv":"1.632"},"geometry":{"type":"Point","coordinates":[115.8849,-28.4109]}},{"type":"Feature","id":37664,"properties":{"mag":5.12,"bv":"1.104"},"geometry":{"type":"Point","coordinates":[115.9247,-40.9337]}},{"type":"Feature","id":37677,"properties":{"mag":3.94,"bv":"0.160"},"geometry":{"type":"Point","coordinates":[115.952,-28.9548]}},{"type":"Feature","id":37701,"properties":{"mag":5.31,"bv":"-0.001"},"geometry":{"type":"Point","coordinates":[116.0174,50.4338]}},{"type":"Feature","id":37704,"properties":{"mag":5.3,"bv":"1.535"},"geometry":{"type":"Point","coordinates":[116.0288,25.7842]}},{"type":"Feature","id":37710,"properties":{"mag":5.8,"bv":"0.320"},"geometry":{"type":"Point","coordinates":[116.0404,-36.0625]}},{"type":"Feature","id":37740,"properties":{"mag":3.57,"bv":"0.932"},"geometry":{"type":"Point","coordinates":[116.1119,24.398]}},{"type":"Feature","id":37751,"properties":{"mag":5.62,"bv":"-0.191"},"geometry":{"type":"Point","coordinates":[116.1424,-24.6741]}},{"type":"Feature","id":37752,"properties":{"mag":5.89,"bv":"-0.115"},"geometry":{"type":"Point","coordinates":[116.1424,-37.9429]}},{"type":"Feature","id":37819,"properties":{"mag":3.62,"bv":"1.706"},"geometry":{"type":"Point","coordinates":[116.3137,-37.9686]}},{"type":"Feature","id":37826,"properties":{"mag":1.16,"bv":"0.991"},"geometry":{"type":"Point","coordinates":[116.329,28.0262]}},{"type":"Feature","id":37853,"properties":{"mag":5.36,"bv":"0.589"},"geometry":{"type":"Point","coordinates":[116.3959,-34.1724]}},{"type":"Feature","id":37891,"properties":{"mag":5.03,"bv":"0.342"},"geometry":{"type":"Point","coordinates":[116.487,-14.5638]}},{"type":"Feature","id":37901,"properties":{"mag":5.49,"bv":"1.378"},"geometry":{"type":"Point","coordinates":[116.5091,-6.7725]}},{"type":"Feature","id":37908,"properties":{"mag":4.89,"bv":"1.425"},"geometry":{"type":"Point","coordinates":[116.531,18.51]}},{"type":"Feature","id":37915,"properties":{"mag":5.87,"bv":"-0.111"},"geometry":{"type":"Point","coordinates":[116.5439,-37.9337]}},{"type":"Feature","id":37921,"properties":{"mag":5.25,"bv":"0.018"},"geometry":{"type":"Point","coordinates":[116.5675,10.7683]}},{"type":"Feature","id":37946,"properties":{"mag":5.15,"bv":"1.588"},"geometry":{"type":"Point","coordinates":[116.6637,37.5174]}},{"type":"Feature","id":37949,"properties":{"mag":5.93,"bv":"1.183"},"geometry":{"type":"Point","coordinates":[116.667,65.4557]}},{"type":"Feature","id":37995,"properties":{"mag":5.9,"bv":"-0.180"},"geometry":{"type":"Point","coordinates":[116.8023,-22.5195]}},{"type":"Feature","id":38010,"properties":{"mag":5.07,"bv":"-0.112"},"geometry":{"type":"Point","coordinates":[116.8541,-38.5111]}},{"type":"Feature","id":38016,"properties":{"mag":5.14,"bv":"1.635"},"geometry":{"type":"Point","coordinates":[116.8763,33.4157]}},{"type":"Feature","id":38020,"properties":{"mag":5.22,"bv":"-0.151"},"geometry":{"type":"Point","coordinates":[116.8813,-46.6085]}},{"type":"Feature","id":38048,"properties":{"mag":5.48,"bv":"0.478"},"geometry":{"type":"Point","coordinates":[116.9863,-12.1927]}},{"type":"Feature","id":38070,"properties":{"mag":4.4,"bv":"-0.070"},"geometry":{"type":"Point","coordinates":[117.0215,-25.9372]}},{"type":"Feature","id":38089,"properties":{"mag":4.69,"bv":"1.039"},"geometry":{"type":"Point","coordinates":[117.084,-47.0777]}},{"type":"Feature","id":38146,"properties":{"mag":5.32,"bv":"0.751"},"geometry":{"type":"Point","coordinates":[117.257,-24.9122]}},{"type":"Feature","id":38152,"properties":{"mag":5.57,"bv":"1.116"},"geometry":{"type":"Point","coordinates":[117.278,-56.4104]}},{"type":"Feature","id":38159,"properties":{"mag":5.82,"bv":"-0.142"},"geometry":{"type":"Point","coordinates":[117.3036,-46.8577]}},{"type":"Feature","id":38160,"properties":{"mag":5.78,"bv":"0.428"},"geometry":{"type":"Point","coordinates":[117.3038,-60.2837]}},{"type":"Feature","id":38164,"properties":{"mag":4.1,"bv":"-0.160"},"geometry":{"type":"Point","coordinates":[117.3096,-46.3732]}},{"type":"Feature","id":38167,"properties":{"mag":5.94,"bv":"-0.051"},"geometry":{"type":"Point","coordinates":[117.311,-35.2433]}},{"type":"Feature","id":38170,"properties":{"mag":3.34,"bv":"1.218"},"geometry":{"type":"Point","coordinates":[117.3236,-24.8598]}},{"type":"Feature","id":38200,"properties":{"mag":5.61,"bv":"1.617"},"geometry":{"type":"Point","coordinates":[117.3975,-33.2889]}},{"type":"Feature","id":38210,"properties":{"mag":5.78,"bv":"-0.040"},"geometry":{"type":"Point","coordinates":[117.4208,-66.196]}},{"type":"Feature","id":38211,"properties":{"mag":5.17,"bv":"1.282"},"geometry":{"type":"Point","coordinates":[117.4217,-17.2284]}},{"type":"Feature","id":38253,"properties":{"mag":5.6,"bv":"1.446"},"geometry":{"type":"Point","coordinates":[117.5441,-9.1834]}},{"type":"Feature","id":38267,"properties":{"mag":5.89,"bv":"1.088"},"geometry":{"type":"Point","coordinates":[117.5993,-50.5095]}},{"type":"Feature","id":38373,"properties":{"mag":5.12,"bv":"-0.116"},"geometry":{"type":"Point","coordinates":[117.925,1.7669]}},{"type":"Feature","id":38375,"properties":{"mag":5.62,"bv":"0.956"},"geometry":{"type":"Point","coordinates":[117.9293,-21.1737]}},{"type":"Feature","id":38382,"properties":{"mag":5.16,"bv":"0.600"},"geometry":{"type":"Point","coordinates":[117.9429,-13.898]}},{"type":"Feature","id":38414,"properties":{"mag":3.71,"bv":"1.012"},"geometry":{"type":"Point","coordinates":[118.0543,-40.5758]}},{"type":"Feature","id":38423,"properties":{"mag":5.01,"bv":"0.470"},"geometry":{"type":"Point","coordinates":[118.0653,-34.7054]}},{"type":"Feature","id":38427,"properties":{"mag":5.69,"bv":"0.368"},"geometry":{"type":"Point","coordinates":[118.0787,-14.8462]}},{"type":"Feature","id":38438,"properties":{"mag":5.7,"bv":"-0.151"},"geometry":{"type":"Point","coordinates":[118.1239,-54.3672]}},{"type":"Feature","id":38455,"properties":{"mag":4.49,"bv":"-0.188"},"geometry":{"type":"Point","coordinates":[118.161,-38.8628]}},{"type":"Feature","id":38474,"properties":{"mag":5.76,"bv":"0.412"},"geometry":{"type":"Point","coordinates":[118.1994,-5.4283]}},{"type":"Feature","id":38497,"properties":{"mag":5.44,"bv":"1.161"},"geometry":{"type":"Point","coordinates":[118.2646,-36.3638]}},{"type":"Feature","id":38500,"properties":{"mag":4.63,"bv":"-0.228"},"geometry":{"type":"Point","coordinates":[118.2651,-49.613]}},{"type":"Feature","id":38518,"properties":{"mag":4.22,"bv":"-0.130"},"geometry":{"type":"Point","coordinates":[118.3257,-48.1029]}},{"type":"Feature","id":38538,"properties":{"mag":4.97,"bv":"0.098"},"geometry":{"type":"Point","coordinates":[118.3742,26.7658]}},{"type":"Feature","id":38593,"properties":{"mag":5.48,"bv":"-0.175"},"geometry":{"type":"Point","coordinates":[118.5459,-35.8773]}},{"type":"Feature","id":38639,"properties":{"mag":5.47,"bv":"1.462"},"geometry":{"type":"Point","coordinates":[118.6779,47.5646]}},{"type":"Feature","id":38656,"properties":{"mag":5.62,"bv":"1.298"},"geometry":{"type":"Point","coordinates":[118.7222,-57.3028]}},{"type":"Feature","id":38712,"properties":{"mag":5.86,"bv":"0.369"},"geometry":{"type":"Point","coordinates":[118.881,8.8628]}},{"type":"Feature","id":38722,"properties":{"mag":5.38,"bv":"-0.035"},"geometry":{"type":"Point","coordinates":[118.9162,19.884]}},{"type":"Feature","id":38783,"properties":{"mag":5.74,"bv":"1.554"},"geometry":{"type":"Point","coordinates":[119.0777,-60.5264]}},{"type":"Feature","id":38827,"properties":{"mag":3.46,"bv":"-0.177"},"geometry":{"type":"Point","coordinates":[119.1946,-52.9824]}},{"type":"Feature","id":38835,"properties":{"mag":4.2,"bv":"0.718"},"geometry":{"type":"Point","coordinates":[119.2147,-22.8801]}},{"type":"Feature","id":38846,"properties":{"mag":5.36,"bv":"-0.166"},"geometry":{"type":"Point","coordinates":[119.2408,-43.5004]}},{"type":"Feature","id":38848,"properties":{"mag":5.8,"bv":"1.285"},"geometry":{"type":"Point","coordinates":[119.2477,15.7903]}},{"type":"Feature","id":38872,"properties":{"mag":5.08,"bv":"-0.166"},"geometry":{"type":"Point","coordinates":[119.3268,-44.1099]}},{"type":"Feature","id":38901,"properties":{"mag":4.76,"bv":"0.151"},"geometry":{"type":"Point","coordinates":[119.4171,-30.3346]}},{"type":"Feature","id":38908,"properties":{"mag":5.59,"bv":"0.573"},"geometry":{"type":"Point","coordinates":[119.4455,-60.3031]}},{"type":"Feature","id":38917,"properties":{"mag":5.14,"bv":"1.263"},"geometry":{"type":"Point","coordinates":[119.4655,-45.5777]}},{"type":"Feature","id":38957,"properties":{"mag":4.47,"bv":"-0.180"},"geometry":{"type":"Point","coordinates":[119.5602,-49.2449]}},{"type":"Feature","id":38962,"properties":{"mag":5.3,"bv":"0.933"},"geometry":{"type":"Point","coordinates":[119.5861,2.2248]}},{"type":"Feature","id":38994,"properties":{"mag":5.77,"bv":"-0.082"},"geometry":{"type":"Point","coordinates":[119.7106,-60.8245]}},{"type":"Feature","id":39014,"properties":{"mag":5.98,"bv":"-0.143"},"geometry":{"type":"Point","coordinates":[119.7575,-45.2158]}},{"type":"Feature","id":39023,"properties":{"mag":5.09,"bv":"1.111"},"geometry":{"type":"Point","coordinates":[119.7738,-23.3104]}},{"type":"Feature","id":39061,"properties":{"mag":5.22,"bv":"0.400"},"geometry":{"type":"Point","coordinates":[119.8682,-39.2969]}},{"type":"Feature","id":39070,"properties":{"mag":5.19,"bv":"1.758"},"geometry":{"type":"Point","coordinates":[119.9064,-60.5871]}},{"type":"Feature","id":39079,"properties":{"mag":4.93,"bv":"1.205"},"geometry":{"type":"Point","coordinates":[119.934,-3.6796]}},{"type":"Feature","id":39095,"properties":{"mag":4.61,"bv":"0.087"},"geometry":{"type":"Point","coordinates":[119.9669,-18.3992]}},{"type":"Feature","id":39117,"properties":{"mag":5.37,"bv":"1.424"},"geometry":{"type":"Point","coordinates":[120.0489,73.9179]}},{"type":"Feature","id":39138,"properties":{"mag":4.81,"bv":"-0.173"},"geometry":{"type":"Point","coordinates":[120.0832,-63.5675]}},{"type":"Feature","id":39177,"properties":{"mag":5.6,"bv":"1.317"},"geometry":{"type":"Point","coordinates":[120.1971,17.3087]}},{"type":"Feature","id":39184,"properties":{"mag":5.87,"bv":"-0.134"},"geometry":{"type":"Point","coordinates":[120.2081,-54.1513]}},{"type":"Feature","id":39191,"properties":{"mag":5.87,"bv":"1.021"},"geometry":{"type":"Point","coordinates":[120.2328,25.3928]}},{"type":"Feature","id":39211,"properties":{"mag":4.69,"bv":"1.475"},"geometry":{"type":"Point","coordinates":[120.3056,-1.3926]}},{"type":"Feature","id":39213,"properties":{"mag":5.65,"bv":"0.013"},"geometry":{"type":"Point","coordinates":[120.3079,4.8798]}},{"type":"Feature","id":39221,"properties":{"mag":5.78,"bv":"0.421"},"geometry":{"type":"Point","coordinates":[120.3366,59.0474]}},{"type":"Feature","id":39236,"properties":{"mag":5.99,"bv":"-0.024"},"geometry":{"type":"Point","coordinates":[120.3762,16.4553]}},{"type":"Feature","id":39251,"properties":{"mag":5.9,"bv":"0.147"},"geometry":{"type":"Point","coordinates":[120.4064,-37.2837]}},{"type":"Feature","id":39311,"properties":{"mag":4.39,"bv":"1.252"},"geometry":{"type":"Point","coordinates":[120.5664,2.3346]}},{"type":"Feature","id":39360,"properties":{"mag":5.52,"bv":"-0.152"},"geometry":{"type":"Point","coordinates":[120.6866,-41.3098]}},{"type":"Feature","id":39380,"properties":{"mag":5.83,"bv":"1.225"},"geometry":{"type":"Point","coordinates":[120.7673,-32.4635]}},{"type":"Feature","id":39424,"properties":{"mag":4.94,"bv":"1.130"},"geometry":{"type":"Point","coordinates":[120.8795,27.7943]}},{"type":"Feature","id":39429,"properties":{"mag":2.21,"bv":"-0.269"},"geometry":{"type":"Point","coordinates":[120.896,-40.0031]}},{"type":"Feature","id":39487,"properties":{"mag":5.25,"bv":"1.882"},"geometry":{"type":"Point","coordinates":[121.0675,-32.6748]}},{"type":"Feature","id":39527,"properties":{"mag":5.96,"bv":"1.213"},"geometry":{"type":"Point","coordinates":[121.1767,-50.5904]}},{"type":"Feature","id":39538,"properties":{"mag":5.39,"bv":"-0.040"},"geometry":{"type":"Point","coordinates":[121.1961,79.4796]}},{"type":"Feature","id":39566,"properties":{"mag":5.52,"bv":"1.347"},"geometry":{"type":"Point","coordinates":[121.2655,-53.1079]}},{"type":"Feature","id":39567,"properties":{"mag":5.14,"bv":"0.018"},"geometry":{"type":"Point","coordinates":[121.2687,13.1182]}},{"type":"Feature","id":39659,"properties":{"mag":5.96,"bv":"1.652"},"geometry":{"type":"Point","coordinates":[121.5766,22.6355]}},{"type":"Feature","id":39690,"properties":{"mag":5.04,"bv":"1.488"},"geometry":{"type":"Point","coordinates":[121.6681,-45.266]}},{"type":"Feature","id":39734,"properties":{"mag":5.33,"bv":"0.100"},"geometry":{"type":"Point","coordinates":[121.8252,-20.5543]}},{"type":"Feature","id":39757,"properties":{"mag":2.83,"bv":"0.458"},"geometry":{"type":"Point","coordinates":[121.886,-24.3043]}},{"type":"Feature","id":39780,"properties":{"mag":5.3,"bv":"0.642"},"geometry":{"type":"Point","coordinates":[121.9411,21.5818]}},{"type":"Feature","id":39794,"properties":{"mag":4.35,"bv":"-0.113"},"geometry":{"type":"Point","coordinates":[121.9825,-68.6171]}},{"type":"Feature","id":39847,"properties":{"mag":4.78,"bv":"0.048"},"geometry":{"type":"Point","coordinates":[122.1144,51.5067]}},{"type":"Feature","id":39863,"properties":{"mag":4.36,"bv":"0.970"},"geometry":{"type":"Point","coordinates":[122.1485,-2.9838]}},{"type":"Feature","id":39903,"properties":{"mag":4.74,"bv":"0.437"},"geometry":{"type":"Point","coordinates":[122.2528,-61.3024]}},{"type":"Feature","id":39906,"properties":{"mag":4.4,"bv":"-0.160"},"geometry":{"type":"Point","coordinates":[122.2568,-19.245]}},{"type":"Feature","id":39919,"properties":{"mag":5.66,"bv":"-0.101"},"geometry":{"type":"Point","coordinates":[122.2896,-48.6844]}},{"type":"Feature","id":39943,"properties":{"mag":5.66,"bv":"-0.153"},"geometry":{"type":"Point","coordinates":[122.3689,-16.2489]}},{"type":"Feature","id":39953,"properties":{"mag":1.75,"bv":"-0.145"},"geometry":{"type":"Point","coordinates":[122.3831,-47.3366]}},{"type":"Feature","id":39957,"properties":{"mag":5.66,"bv":"0.204"},"geometry":{"type":"Point","coordinates":[122.3901,-56.0854]}},{"type":"Feature","id":39961,"properties":{"mag":5.2,"bv":"-0.173"},"geometry":{"type":"Point","coordinates":[122.3996,-44.1228]}},{"type":"Feature","id":39970,"properties":{"mag":5.23,"bv":"-0.199"},"geometry":{"type":"Point","coordinates":[122.4298,-47.9372]}},{"type":"Feature","id":39995,"properties":{"mag":5.91,"bv":"1.365"},"geometry":{"type":"Point","coordinates":[122.5157,58.2482]}},{"type":"Feature","id":40023,"properties":{"mag":5.73,"bv":"0.825"},"geometry":{"type":"Point","coordinates":[122.6133,25.5073]}},{"type":"Feature","id":40035,"properties":{"mag":5.53,"bv":"0.488"},"geometry":{"type":"Point","coordinates":[122.6659,-13.7992]}},{"type":"Feature","id":40077,"properties":{"mag":5.83,"bv":"-0.146"},"geometry":{"type":"Point","coordinates":[122.795,-48.462]}},{"type":"Feature","id":40084,"properties":{"mag":4.72,"bv":"0.939"},"geometry":{"type":"Point","coordinates":[122.8179,-12.927]}},{"type":"Feature","id":40091,"properties":{"mag":4.44,"bv":"1.590"},"geometry":{"type":"Point","coordinates":[122.8396,-39.6185]}},{"type":"Feature","id":40096,"properties":{"mag":4.73,"bv":"0.164"},"geometry":{"type":"Point","coordinates":[122.8579,-42.9873]}},{"type":"Feature","id":40107,"properties":{"mag":5.36,"bv":"0.892"},"geometry":{"type":"Point","coordinates":[122.8875,-7.7725]}},{"type":"Feature","id":40155,"properties":{"mag":5.77,"bv":"0.626"},"geometry":{"type":"Point","coordinates":[122.9999,-46.6444]}},{"type":"Feature","id":40167,"properties":{"mag":4.67,"bv":"0.531"},"geometry":{"type":"Point","coordinates":[123.053,17.6478]}},{"type":"Feature","id":40183,"properties":{"mag":6,"bv":"-0.113"},"geometry":{"type":"Point","coordinates":[123.1283,-46.2643]}},{"type":"Feature","id":40215,"properties":{"mag":5.34,"bv":"1.037"},"geometry":{"type":"Point","coordinates":[123.2033,68.4741]}},{"type":"Feature","id":40240,"properties":{"mag":5.62,"bv":"-0.073"},"geometry":{"type":"Point","coordinates":[123.2869,29.6565]}},{"type":"Feature","id":40259,"properties":{"mag":4.99,"bv":"1.066"},"geometry":{"type":"Point","coordinates":[123.3332,-15.7882]}},{"type":"Feature","id":40274,"properties":{"mag":4.78,"bv":"-0.110"},"geometry":{"type":"Point","coordinates":[123.373,-35.8995]}},{"type":"Feature","id":40282,"properties":{"mag":5.52,"bv":"1.651"},"geometry":{"type":"Point","coordinates":[123.3927,-50.1961]}},{"type":"Feature","id":40285,"properties":{"mag":5.14,"bv":"-0.139"},"geometry":{"type":"Point","coordinates":[123.4006,-46.9916]}},{"type":"Feature","id":40305,"properties":{"mag":5.88,"bv":"1.016"},"geometry":{"type":"Point","coordinates":[123.4591,56.4522]}},{"type":"Feature","id":40321,"properties":{"mag":5.09,"bv":"-0.184"},"geometry":{"type":"Point","coordinates":[123.493,-36.3223]}},{"type":"Feature","id":40326,"properties":{"mag":4.42,"bv":"1.170"},"geometry":{"type":"Point","coordinates":[123.5122,-40.3479]}},{"type":"Feature","id":40344,"properties":{"mag":5.77,"bv":"1.024"},"geometry":{"type":"Point","coordinates":[123.5552,-35.49]}},{"type":"Feature","id":40357,"properties":{"mag":5.86,"bv":"-0.176"},"geometry":{"type":"Point","coordinates":[123.5995,-45.8345]}},{"type":"Feature","id":40429,"properties":{"mag":5.16,"bv":"0.086"},"geometry":{"type":"Point","coordinates":[123.8163,-62.9156]}},{"type":"Feature","id":40526,"properties":{"mag":3.53,"bv":"1.481"},"geometry":{"type":"Point","coordinates":[124.1288,9.1855]}},{"type":"Feature","id":40646,"properties":{"mag":5.63,"bv":"0.182"},"geometry":{"type":"Point","coordinates":[124.4601,59.5711]}},{"type":"Feature","id":40678,"properties":{"mag":5.59,"bv":"1.246"},"geometry":{"type":"Point","coordinates":[124.5725,-35.4517]}},{"type":"Feature","id":40680,"properties":{"mag":5.06,"bv":"1.129"},"geometry":{"type":"Point","coordinates":[124.5784,-65.6132]}},{"type":"Feature","id":40693,"properties":{"mag":5.95,"bv":"0.754"},"geometry":{"type":"Point","coordinates":[124.5998,-12.6322]}},{"type":"Feature","id":40702,"properties":{"mag":4.05,"bv":"0.413"},"geometry":{"type":"Point","coordinates":[124.6315,-76.9197]}},{"type":"Feature","id":40706,"properties":{"mag":4.44,"bv":"0.222"},"geometry":{"type":"Point","coordinates":[124.6388,-36.6593]}},{"type":"Feature","id":40772,"properties":{"mag":5.73,"bv":"0.891"},"geometry":{"type":"Point","coordinates":[124.8215,62.5072]}},{"type":"Feature","id":40793,"properties":{"mag":5.55,"bv":"0.902"},"geometry":{"type":"Point","coordinates":[124.8845,75.7569]}},{"type":"Feature","id":40817,"properties":{"mag":5.33,"bv":"-0.063"},"geometry":{"type":"Point","coordinates":[124.954,-71.5149]}},{"type":"Feature","id":40834,"properties":{"mag":5.63,"bv":"-0.099"},"geometry":{"type":"Point","coordinates":[125.0022,-71.5054]}},{"type":"Feature","id":40843,"properties":{"mag":5.13,"bv":"0.487"},"geometry":{"type":"Point","coordinates":[125.0161,27.2177]}},{"type":"Feature","id":40866,"properties":{"mag":5.8,"bv":"1.137"},"geometry":{"type":"Point","coordinates":[125.0874,20.7477]}},{"type":"Feature","id":40875,"properties":{"mag":5.89,"bv":"0.421"},"geometry":{"type":"Point","coordinates":[125.1086,57.7433]}},{"type":"Feature","id":40881,"properties":{"mag":5.92,"bv":"-0.039"},"geometry":{"type":"Point","coordinates":[125.1339,24.0223]}},{"type":"Feature","id":40888,"properties":{"mag":4.34,"bv":"1.161"},"geometry":{"type":"Point","coordinates":[125.1606,-77.4845]}},{"type":"Feature","id":40889,"properties":{"mag":6,"bv":"1.537"},"geometry":{"type":"Point","coordinates":[125.168,72.4072]}},{"type":"Feature","id":40932,"properties":{"mag":5.96,"bv":"-0.092"},"geometry":{"type":"Point","coordinates":[125.3004,-57.9732]}},{"type":"Feature","id":40943,"properties":{"mag":5.18,"bv":"-0.187"},"geometry":{"type":"Point","coordinates":[125.3377,-36.4842]}},{"type":"Feature","id":40944,"properties":{"mag":5.58,"bv":"0.771"},"geometry":{"type":"Point","coordinates":[125.3384,-20.0791]}},{"type":"Feature","id":40945,"properties":{"mag":4.83,"bv":"1.419"},"geometry":{"type":"Point","coordinates":[125.3459,-33.0544]}},{"type":"Feature","id":40990,"properties":{"mag":5.71,"bv":"1.050"},"geometry":{"type":"Point","coordinates":[125.4775,-17.5863]}},{"type":"Feature","id":41003,"properties":{"mag":5.28,"bv":"0.014"},"geometry":{"type":"Point","coordinates":[125.5186,-73.4]}},{"type":"Feature","id":41037,"properties":{"mag":1.86,"bv":"1.196"},"geometry":{"type":"Point","coordinates":[125.6285,-59.5095]}},{"type":"Feature","id":41039,"properties":{"mag":4.79,"bv":"-0.146"},"geometry":{"type":"Point","coordinates":[125.6321,-48.4904]}},{"type":"Feature","id":41074,"properties":{"mag":5.88,"bv":"0.379"},"geometry":{"type":"Point","coordinates":[125.7081,-26.3482]}},{"type":"Feature","id":41075,"properties":{"mag":4.25,"bv":"1.550"},"geometry":{"type":"Point","coordinates":[125.7088,43.1881]}},{"type":"Feature","id":41080,"properties":{"mag":5.92,"bv":"1.635"},"geometry":{"type":"Point","coordinates":[125.7254,-7.5431]}},{"type":"Feature","id":41081,"properties":{"mag":5.89,"bv":"0.018"},"geometry":{"type":"Point","coordinates":[125.7298,-52.1237]}},{"type":"Feature","id":41117,"properties":{"mag":5.94,"bv":"0.175"},"geometry":{"type":"Point","coordinates":[125.841,18.3322]}},{"type":"Feature","id":41152,"properties":{"mag":5.52,"bv":"0.125"},"geometry":{"type":"Point","coordinates":[125.9521,53.2197]}},{"type":"Feature","id":41191,"properties":{"mag":5.67,"bv":"1.018"},"geometry":{"type":"Point","coordinates":[126.0826,-80.9142]}},{"type":"Feature","id":41211,"properties":{"mag":5.61,"bv":"0.478"},"geometry":{"type":"Point","coordinates":[126.1459,-3.7512]}},{"type":"Feature","id":41242,"properties":{"mag":5.67,"bv":"0.066"},"geometry":{"type":"Point","coordinates":[126.2299,-23.1537]}},{"type":"Feature","id":41250,"properties":{"mag":5.97,"bv":"-0.159"},"geometry":{"type":"Point","coordinates":[126.2384,-42.7698]}},{"type":"Feature","id":41260,"properties":{"mag":5.32,"bv":"1.476"},"geometry":{"type":"Point","coordinates":[126.2656,-24.0462]}},{"type":"Feature","id":41296,"properties":{"mag":5.18,"bv":"-0.164"},"geometry":{"type":"Point","coordinates":[126.3805,-51.7274]}},{"type":"Feature","id":41299,"properties":{"mag":5.74,"bv":"1.528"},"geometry":{"type":"Point","coordinates":[126.3981,2.1022]}},{"type":"Feature","id":41307,"properties":{"mag":3.91,"bv":"-0.012"},"geometry":{"type":"Point","coordinates":[126.4151,-3.9064]}},{"type":"Feature","id":41312,"properties":{"mag":3.77,"bv":"1.132"},"geometry":{"type":"Point","coordinates":[126.4341,-66.1369]}},{"type":"Feature","id":41321,"properties":{"mag":5.95,"bv":"0.971"},"geometry":{"type":"Point","coordinates":[126.465,-64.6006]}},{"type":"Feature","id":41323,"properties":{"mag":5.45,"bv":"-0.142"},"geometry":{"type":"Point","coordinates":[126.4663,-42.1531]}},{"type":"Feature","id":41325,"properties":{"mag":5.13,"bv":"0.934"},"geometry":{"type":"Point","coordinates":[126.4782,7.5645]}},{"type":"Feature","id":41328,"properties":{"mag":5.96,"bv":"0.167"},"geometry":{"type":"Point","coordinates":[126.4816,-14.9297]}},{"type":"Feature","id":41375,"properties":{"mag":5.6,"bv":"0.218"},"geometry":{"type":"Point","coordinates":[126.6134,-3.9875]}},{"type":"Feature","id":41377,"properties":{"mag":5.58,"bv":"1.421"},"geometry":{"type":"Point","coordinates":[126.6154,27.8936]}},{"type":"Feature","id":41395,"properties":{"mag":5.52,"bv":"1.167"},"geometry":{"type":"Point","coordinates":[126.6748,-12.5346]}},{"type":"Feature","id":41400,"properties":{"mag":5.56,"bv":"1.608"},"geometry":{"type":"Point","coordinates":[126.6831,12.6546]}},{"type":"Feature","id":41451,"properties":{"mag":5.51,"bv":"-0.024"},"geometry":{"type":"Point","coordinates":[126.8198,-70.0935]}},{"type":"Feature","id":41483,"properties":{"mag":5.08,"bv":"0.256"},"geometry":{"type":"Point","coordinates":[126.9024,-53.0885]}},{"type":"Feature","id":41515,"properties":{"mag":5.75,"bv":"-0.151"},"geometry":{"type":"Point","coordinates":[126.9976,-35.1138]}},{"type":"Feature","id":41578,"properties":{"mag":5.94,"bv":"0.201"},"geometry":{"type":"Point","coordinates":[127.1556,14.2108]}},{"type":"Feature","id":41616,"properties":{"mag":5.33,"bv":"-0.140"},"geometry":{"type":"Point","coordinates":[127.2698,-47.9289]}},{"type":"Feature","id":41621,"properties":{"mag":5.82,"bv":"-0.160"},"geometry":{"type":"Point","coordinates":[127.2815,-44.1604]}},{"type":"Feature","id":41639,"properties":{"mag":5.03,"bv":"-0.168"},"geometry":{"type":"Point","coordinates":[127.3645,-44.7248]}},{"type":"Feature","id":41674,"properties":{"mag":5.98,"bv":"-0.127"},"geometry":{"type":"Point","coordinates":[127.4401,-46.3317]}},{"type":"Feature","id":41676,"properties":{"mag":5.89,"bv":"0.972"},"geometry":{"type":"Point","coordinates":[127.4425,67.2974]}},{"type":"Feature","id":41704,"properties":{"mag":3.35,"bv":"0.856"},"geometry":{"type":"Point","coordinates":[127.5661,60.7182]}},{"type":"Feature","id":41723,"properties":{"mag":5.61,"bv":"1.509"},"geometry":{"type":"Point","coordinates":[127.6192,-32.1593]}},{"type":"Feature","id":41816,"properties":{"mag":5.71,"bv":"0.327"},"geometry":{"type":"Point","coordinates":[127.8772,24.0811]}},{"type":"Feature","id":41817,"properties":{"mag":5.42,"bv":"-0.061"},"geometry":{"type":"Point","coordinates":[127.8788,-19.5775]}},{"type":"Feature","id":41822,"properties":{"mag":5.33,"bv":"1.567"},"geometry":{"type":"Point","coordinates":[127.8989,18.0944]}},{"type":"Feature","id":41861,"properties":{"mag":5.68,"bv":"0.582"},"geometry":{"type":"Point","coordinates":[128.0207,-53.2119]}},{"type":"Feature","id":41909,"properties":{"mag":5.33,"bv":"1.252"},"geometry":{"type":"Point","coordinates":[128.1771,20.4412]}},{"type":"Feature","id":41935,"properties":{"mag":5.88,"bv":"1.106"},"geometry":{"type":"Point","coordinates":[128.2291,38.0164]}},{"type":"Feature","id":42001,"properties":{"mag":5.92,"bv":"-0.114"},"geometry":{"type":"Point","coordinates":[128.4101,-38.8488]}},{"type":"Feature","id":42008,"properties":{"mag":5.89,"bv":"1.066"},"geometry":{"type":"Point","coordinates":[128.4312,4.757]}},{"type":"Feature","id":42028,"properties":{"mag":5.8,"bv":"0.007"},"geometry":{"type":"Point","coordinates":[128.5067,-2.1516]}},{"type":"Feature","id":42080,"properties":{"mag":5.47,"bv":"0.207"},"geometry":{"type":"Point","coordinates":[128.6505,65.1452]}},{"type":"Feature","id":42088,"properties":{"mag":5.01,"bv":"1.304"},"geometry":{"type":"Point","coordinates":[128.6817,-49.9442]}},{"type":"Feature","id":42090,"properties":{"mag":5.76,"bv":"0.051"},"geometry":{"type":"Point","coordinates":[128.6829,36.4196]}},{"type":"Feature","id":42129,"properties":{"mag":5.27,"bv":"-0.133"},"geometry":{"type":"Point","coordinates":[128.8148,-58.2247]}},{"type":"Feature","id":42134,"properties":{"mag":4.84,"bv":"0.981"},"geometry":{"type":"Point","coordinates":[128.8321,-58.0092]}},{"type":"Feature","id":42146,"properties":{"mag":5.72,"bv":"-0.004"},"geometry":{"type":"Point","coordinates":[128.8675,-7.9823]}},{"type":"Feature","id":42147,"properties":{"mag":5.95,"bv":"0.393"},"geometry":{"type":"Point","coordinates":[128.8696,-26.8435]}},{"type":"Feature","id":42172,"properties":{"mag":5.91,"bv":"0.530"},"geometry":{"type":"Point","coordinates":[128.9624,6.6202]}},{"type":"Feature","id":42177,"properties":{"mag":5.79,"bv":"-0.132"},"geometry":{"type":"Point","coordinates":[128.9668,-50.9697]}},{"type":"Feature","id":42265,"properties":{"mag":5.92,"bv":"0.083"},"geometry":{"type":"Point","coordinates":[129.274,9.6556]}},{"type":"Feature","id":42286,"properties":{"mag":5.45,"bv":"1.013"},"geometry":{"type":"Point","coordinates":[129.3285,-62.8535]}},{"type":"Feature","id":42312,"properties":{"mag":4.11,"bv":"0.109"},"geometry":{"type":"Point","coordinates":[129.411,-42.9891]}},{"type":"Feature","id":42313,"properties":{"mag":4.14,"bv":"0.003"},"geometry":{"type":"Point","coordinates":[129.414,5.7038]}},{"type":"Feature","id":42334,"properties":{"mag":5.24,"bv":"-0.030"},"geometry":{"type":"Point","coordinates":[129.4673,-26.255]}},{"type":"Feature","id":42365,"properties":{"mag":5.96,"bv":"1.111"},"geometry":{"type":"Point","coordinates":[129.5791,32.802]}},{"type":"Feature","id":42372,"properties":{"mag":5.66,"bv":"0.964"},"geometry":{"type":"Point","coordinates":[129.5924,53.4015]}},{"type":"Feature","id":42402,"properties":{"mag":4.45,"bv":"1.216"},"geometry":{"type":"Point","coordinates":[129.6893,3.3414]}},{"type":"Feature","id":42425,"properties":{"mag":5.19,"bv":"0.013"},"geometry":{"type":"Point","coordinates":[129.7715,-70.3867]}},{"type":"Feature","id":42430,"properties":{"mag":5.05,"bv":"0.720"},"geometry":{"type":"Point","coordinates":[129.7829,-22.6619]}},{"type":"Feature","id":42438,"properties":{"mag":5.63,"bv":"0.618"},"geometry":{"type":"Point","coordinates":[129.7988,65.0209]}},{"type":"Feature","id":42452,"properties":{"mag":5.91,"bv":"1.167"},"geometry":{"type":"Point","coordinates":[129.8234,52.7116]}},{"type":"Feature","id":42459,"properties":{"mag":5.45,"bv":"-0.132"},"geometry":{"type":"Point","coordinates":[129.8493,-53.4398]}},{"type":"Feature","id":42483,"properties":{"mag":4.86,"bv":"0.900"},"geometry":{"type":"Point","coordinates":[129.927,-29.5611]}},{"type":"Feature","id":42504,"properties":{"mag":5.18,"bv":"-0.147"},"geometry":{"type":"Point","coordinates":[129.99,-53.0547]}},{"type":"Feature","id":42509,"properties":{"mag":4.98,"bv":"1.415"},"geometry":{"type":"Point","coordinates":[130.0061,-12.4754]}},{"type":"Feature","id":42515,"properties":{"mag":3.97,"bv":"0.936"},"geometry":{"type":"Point","coordinates":[130.0256,-35.3084]}},{"type":"Feature","id":42527,"properties":{"mag":4.59,"bv":"1.179"},"geometry":{"type":"Point","coordinates":[130.0534,64.3279]}},{"type":"Feature","id":42535,"properties":{"mag":5.56,"bv":"-0.125"},"geometry":{"type":"Point","coordinates":[130.0728,-53.0154]}},{"type":"Feature","id":42536,"properties":{"mag":3.6,"bv":"-0.168"},"geometry":{"type":"Point","coordinates":[130.0733,-52.9219]}},{"type":"Feature","id":42540,"properties":{"mag":5.2,"bv":"-0.027"},"geometry":{"type":"Point","coordinates":[130.0799,-40.2639]}},{"type":"Feature","id":42564,"properties":{"mag":5.67,"bv":"1.664"},"geometry":{"type":"Point","coordinates":[130.1469,-45.1911]}},{"type":"Feature","id":42568,"properties":{"mag":4.31,"bv":"-0.117"},"geometry":{"type":"Point","coordinates":[130.1543,-59.761]}},{"type":"Feature","id":42570,"properties":{"mag":3.77,"bv":"0.670"},"geometry":{"type":"Point","coordinates":[130.1565,-46.6487]}},{"type":"Feature","id":42604,"properties":{"mag":5.35,"bv":"0.993"},"geometry":{"type":"Point","coordinates":[130.2545,45.834]}},{"type":"Feature","id":42614,"properties":{"mag":5.9,"bv":"-0.186"},"geometry":{"type":"Point","coordinates":[130.2722,-48.9227]}},{"type":"Feature","id":42624,"properties":{"mag":4.74,"bv":"0.137"},"geometry":{"type":"Point","coordinates":[130.3047,-47.3171]}},{"type":"Feature","id":42637,"properties":{"mag":5.46,"bv":"-0.101"},"geometry":{"type":"Point","coordinates":[130.3313,-78.9634]}},{"type":"Feature","id":42662,"properties":{"mag":4.87,"bv":"1.063"},"geometry":{"type":"Point","coordinates":[130.4306,-15.9434]}},{"type":"Feature","id":42679,"properties":{"mag":5.2,"bv":"0.171"},"geometry":{"type":"Point","coordinates":[130.4871,-45.4107]}},{"type":"Feature","id":42712,"properties":{"mag":5.48,"bv":"-0.172"},"geometry":{"type":"Point","coordinates":[130.5675,-48.0991]}},{"type":"Feature","id":42715,"properties":{"mag":5.49,"bv":"-0.127"},"geometry":{"type":"Point","coordinates":[130.5791,-53.1001]}},{"type":"Feature","id":42726,"properties":{"mag":4.83,"bv":"-0.173"},"geometry":{"type":"Point","coordinates":[130.6058,-53.114]}},{"type":"Feature","id":42795,"properties":{"mag":5.62,"bv":"0.435"},"geometry":{"type":"Point","coordinates":[130.8014,12.6809]}},{"type":"Feature","id":42799,"properties":{"mag":4.3,"bv":"-0.192"},"geometry":{"type":"Point","coordinates":[130.8061,3.3987]}},{"type":"Feature","id":42806,"properties":{"mag":4.66,"bv":"0.010"},"geometry":{"type":"Point","coordinates":[130.8214,21.4685]}},{"type":"Feature","id":42828,"properties":{"mag":3.68,"bv":"-0.180"},"geometry":{"type":"Point","coordinates":[130.8981,-33.1864]}},{"type":"Feature","id":42834,"properties":{"mag":5.15,"bv":"-0.197"},"geometry":{"type":"Point","coordinates":[130.9178,-49.8228]}},{"type":"Feature","id":42835,"properties":{"mag":4.63,"bv":"0.840"},"geometry":{"type":"Point","coordinates":[130.9182,-7.2337]}},{"type":"Feature","id":42884,"properties":{"mag":4.05,"bv":"0.874"},"geometry":{"type":"Point","coordinates":[131.0998,-42.6493]}},{"type":"Feature","id":42911,"properties":{"mag":3.94,"bv":"1.083"},"geometry":{"type":"Point","coordinates":[131.1712,18.1543]}},{"type":"Feature","id":42913,"properties":{"mag":1.93,"bv":"0.043"},"geometry":{"type":"Point","coordinates":[131.1759,-54.7088]}},{"type":"Feature","id":42917,"properties":{"mag":5.63,"bv":"-0.069"},"geometry":{"type":"Point","coordinates":[131.1877,10.0817]}},{"type":"Feature","id":42923,"properties":{"mag":5.74,"bv":"-0.139"},"geometry":{"type":"Point","coordinates":[131.2164,-37.1472]}},{"type":"Feature","id":43012,"properties":{"mag":5.79,"bv":"1.595"},"geometry":{"type":"Point","coordinates":[131.4798,-79.5044]}},{"type":"Feature","id":43023,"properties":{"mag":3.87,"bv":"0.015"},"geometry":{"type":"Point","coordinates":[131.5069,-46.0415]}},{"type":"Feature","id":43026,"properties":{"mag":5.7,"bv":"1.097"},"geometry":{"type":"Point","coordinates":[131.5103,-2.0487]}},{"type":"Feature","id":43067,"properties":{"mag":4.32,"bv":"0.900"},"geometry":{"type":"Point","coordinates":[131.5939,-13.5477]}},{"type":"Feature","id":43082,"properties":{"mag":5.43,"bv":"0.238"},"geometry":{"type":"Point","coordinates":[131.6273,-45.9125]}},{"type":"Feature","id":43103,"properties":{"mag":4.03,"bv":"1.007"},"geometry":{"type":"Point","coordinates":[131.6743,28.7599]}},{"type":"Feature","id":43105,"properties":{"mag":4.5,"bv":"-0.169"},"geometry":{"type":"Point","coordinates":[131.6773,-56.7698]}},{"type":"Feature","id":43109,"properties":{"mag":3.38,"bv":"0.685"},"geometry":{"type":"Point","coordinates":[131.6938,6.4188]}},{"type":"Feature","id":43121,"properties":{"mag":5.89,"bv":"0.120"},"geometry":{"type":"Point","coordinates":[131.7334,12.11]}},{"type":"Feature","id":43142,"properties":{"mag":5.28,"bv":"0.058"},"geometry":{"type":"Point","coordinates":[131.8124,-1.897]}},{"type":"Feature","id":43148,"properties":{"mag":5.71,"bv":"0.554"},"geometry":{"type":"Point","coordinates":[131.8285,-46.1554]}},{"type":"Feature","id":43234,"properties":{"mag":4.35,"bv":"-0.044"},"geometry":{"type":"Point","coordinates":[132.1082,5.8378]}},{"type":"Feature","id":43305,"properties":{"mag":5.3,"bv":"-0.080"},"geometry":{"type":"Point","coordinates":[132.3405,-3.443]}},{"type":"Feature","id":43325,"properties":{"mag":5.47,"bv":"0.066"},"geometry":{"type":"Point","coordinates":[132.4132,-40.3202]}},{"type":"Feature","id":43347,"properties":{"mag":4.94,"bv":"0.043"},"geometry":{"type":"Point","coordinates":[132.4485,-45.3079]}},{"type":"Feature","id":43352,"properties":{"mag":5.19,"bv":"0.876"},"geometry":{"type":"Point","coordinates":[132.4646,-32.7805]}},{"type":"Feature","id":43370,"properties":{"mag":5.86,"bv":"0.948"},"geometry":{"type":"Point","coordinates":[132.5093,-29.463]}},{"type":"Feature","id":43392,"properties":{"mag":6,"bv":"-0.114"},"geometry":{"type":"Point","coordinates":[132.5876,-42.0898]}},{"type":"Feature","id":43409,"properties":{"mag":4.02,"bv":"1.272"},"geometry":{"type":"Point","coordinates":[132.633,-27.7098]}},{"type":"Feature","id":43413,"properties":{"mag":5.09,"bv":"-0.205"},"geometry":{"type":"Point","coordinates":[132.6394,-46.5292]}},{"type":"Feature","id":43414,"properties":{"mag":5.34,"bv":"0.423"},"geometry":{"type":"Point","coordinates":[132.6451,-66.793]}},{"type":"Feature","id":43496,"properties":{"mag":5.55,"bv":"0.150"},"geometry":{"type":"Point","coordinates":[132.8934,-7.1772]}},{"type":"Feature","id":43499,"properties":{"mag":5.59,"bv":"-0.102"},"geometry":{"type":"Point","coordinates":[132.9021,-57.6336]}},{"type":"Feature","id":43531,"properties":{"mag":5.15,"bv":"0.971"},"geometry":{"type":"Point","coordinates":[132.9868,43.7266]}},{"type":"Feature","id":43550,"properties":{"mag":5.98,"bv":"1.251"},"geometry":{"type":"Point","coordinates":[133.0418,42.0027]}},{"type":"Feature","id":43553,"properties":{"mag":5.96,"bv":"1.233"},"geometry":{"type":"Point","coordinates":[133.049,45.3128]}},{"type":"Feature","id":43584,"properties":{"mag":5.67,"bv":"0.224"},"geometry":{"type":"Point","coordinates":[133.1443,32.4742]}},{"type":"Feature","id":43587,"properties":{"mag":5.96,"bv":"0.869"},"geometry":{"type":"Point","coordinates":[133.1492,28.3308]}},{"type":"Feature","id":43589,"properties":{"mag":5.92,"bv":"-0.148"},"geometry":{"type":"Point","coordinates":[133.1609,-48.3591]}},{"type":"Feature","id":43603,"properties":{"mag":5.79,"bv":"1.508"},"geometry":{"type":"Point","coordinates":[133.2001,-38.7241]}},{"type":"Feature","id":43644,"properties":{"mag":5.72,"bv":"0.305"},"geometry":{"type":"Point","coordinates":[133.344,61.9623]}},{"type":"Feature","id":43669,"properties":{"mag":5.78,"bv":"-0.088"},"geometry":{"type":"Point","coordinates":[133.4527,-60.3539]}},{"type":"Feature","id":43671,"properties":{"mag":5.31,"bv":"0.275"},"geometry":{"type":"Point","coordinates":[133.4608,-47.5208]}},{"type":"Feature","id":43721,"properties":{"mag":5.4,"bv":"1.050"},"geometry":{"type":"Point","coordinates":[133.5614,30.5791]}},{"type":"Feature","id":43783,"properties":{"mag":3.84,"bv":"-0.104"},"geometry":{"type":"Point","coordinates":[133.7618,-60.6446]}},{"type":"Feature","id":43797,"properties":{"mag":5.7,"bv":"0.481"},"geometry":{"type":"Point","coordinates":[133.7991,-54.9658]}},{"type":"Feature","id":43798,"properties":{"mag":5.75,"bv":"1.327"},"geometry":{"type":"Point","coordinates":[133.8018,-18.2412]}},{"type":"Feature","id":43813,"properties":{"mag":3.11,"bv":"0.978"},"geometry":{"type":"Point","coordinates":[133.8484,5.9456]}},{"type":"Feature","id":43825,"properties":{"mag":4.87,"bv":"0.142"},"geometry":{"type":"Point","coordinates":[133.8815,-27.6819]}},{"type":"Feature","id":43834,"properties":{"mag":5.23,"bv":"1.000"},"geometry":{"type":"Point","coordinates":[133.9153,27.9275]}},{"type":"Feature","id":43851,"properties":{"mag":5.44,"bv":"1.462"},"geometry":{"type":"Point","coordinates":[133.9815,11.626]}},{"type":"Feature","id":43878,"properties":{"mag":4.68,"bv":"-0.115"},"geometry":{"type":"Point","coordinates":[134.0803,-52.7235]}},{"type":"Feature","id":43894,"properties":{"mag":5.9,"bv":"0.378"},"geometry":{"type":"Point","coordinates":[134.1271,40.2015]}},{"type":"Feature","id":43899,"properties":{"mag":5.95,"bv":"1.544"},"geometry":{"type":"Point","coordinates":[134.1422,-16.7087]}},{"type":"Feature","id":43903,"properties":{"mag":5.57,"bv":"0.877"},"geometry":{"type":"Point","coordinates":[134.156,64.6038]}},{"type":"Feature","id":43908,"properties":{"mag":5.43,"bv":"0.306"},"geometry":{"type":"Point","coordinates":[134.1708,-85.6632]}},{"type":"Feature","id":43923,"properties":{"mag":5.72,"bv":"1.125"},"geometry":{"type":"Point","coordinates":[134.2081,45.6316]}},{"type":"Feature","id":43932,"properties":{"mag":5.44,"bv":"0.181"},"geometry":{"type":"Point","coordinates":[134.2358,32.9104]}},{"type":"Feature","id":43937,"properties":{"mag":4.93,"bv":"-0.182"},"geometry":{"type":"Point","coordinates":[134.2434,-59.2293]}},{"type":"Feature","id":43970,"properties":{"mag":5.22,"bv":"0.149"},"geometry":{"type":"Point","coordinates":[134.3123,15.3228]}},{"type":"Feature","id":44001,"properties":{"mag":5.68,"bv":"0.209"},"geometry":{"type":"Point","coordinates":[134.3967,15.5813]}},{"type":"Feature","id":44024,"properties":{"mag":5.88,"bv":"1.060"},"geometry":{"type":"Point","coordinates":[134.4815,-48.5729]}},{"type":"Feature","id":44066,"properties":{"mag":4.26,"bv":"0.141"},"geometry":{"type":"Point","coordinates":[134.6218,11.8577]}},{"type":"Feature","id":44075,"properties":{"mag":5.8,"bv":"0.521"},"geometry":{"type":"Point","coordinates":[134.6831,-16.1327]}},{"type":"Feature","id":44093,"properties":{"mag":5.17,"bv":"0.268"},"geometry":{"type":"Point","coordinates":[134.7181,-47.2347]}},{"type":"Feature","id":44127,"properties":{"mag":3.12,"bv":"0.223"},"geometry":{"type":"Point","coordinates":[134.8019,48.0418]}},{"type":"Feature","id":44143,"properties":{"mag":5.17,"bv":"0.417"},"geometry":{"type":"Point","coordinates":[134.8508,-59.0837]}},{"type":"Feature","id":44154,"properties":{"mag":5.23,"bv":"0.913"},"geometry":{"type":"Point","coordinates":[134.8861,32.4186]}},{"type":"Feature","id":44191,"properties":{"mag":4.45,"bv":"0.646"},"geometry":{"type":"Point","coordinates":[135.0225,-41.2536]}},{"type":"Feature","id":44248,"properties":{"mag":3.96,"bv":"0.463"},"geometry":{"type":"Point","coordinates":[135.1599,41.7829]}},{"type":"Feature","id":44256,"properties":{"mag":5.8,"bv":"1.211"},"geometry":{"type":"Point","coordinates":[135.1906,-60.9638]}},{"type":"Feature","id":44283,"properties":{"mag":5.89,"bv":"1.634"},"geometry":{"type":"Point","coordinates":[135.2855,-68.6839]}},{"type":"Feature","id":44299,"properties":{"mag":5.56,"bv":"-0.135"},"geometry":{"type":"Point","coordinates":[135.3369,-41.8643]}},{"type":"Feature","id":44307,"properties":{"mag":5.89,"bv":"0.088"},"geometry":{"type":"Point","coordinates":[135.3505,32.2523]}},{"type":"Feature","id":44337,"properties":{"mag":5.23,"bv":"-0.120"},"geometry":{"type":"Point","coordinates":[135.4357,-52.1887]}},{"type":"Feature","id":44356,"properties":{"mag":5.64,"bv":"1.163"},"geometry":{"type":"Point","coordinates":[135.4916,-0.4827]}},{"type":"Feature","id":44382,"properties":{"mag":4,"bv":"0.145"},"geometry":{"type":"Point","coordinates":[135.6116,-66.3961]}},{"type":"Feature","id":44390,"properties":{"mag":4.74,"bv":"1.542"},"geometry":{"type":"Point","coordinates":[135.6362,67.6296]}},{"type":"Feature","id":44405,"properties":{"mag":5.45,"bv":"-0.041"},"geometry":{"type":"Point","coordinates":[135.6844,24.4529]}},{"type":"Feature","id":44406,"properties":{"mag":5.85,"bv":"1.100"},"geometry":{"type":"Point","coordinates":[135.6867,7.2983]}},{"type":"Feature","id":44471,"properties":{"mag":3.57,"bv":"0.007"},"geometry":{"type":"Point","coordinates":[135.9064,47.1565]}},{"type":"Feature","id":44504,"properties":{"mag":5.74,"bv":"0.034"},"geometry":{"type":"Point","coordinates":[136.0017,54.2839]}},{"type":"Feature","id":44511,"properties":{"mag":3.75,"bv":"1.174"},"geometry":{"type":"Point","coordinates":[136.0387,-47.0977]}},{"type":"Feature","id":44599,"properties":{"mag":4.47,"bv":"0.607"},"geometry":{"type":"Point","coordinates":[136.2867,-72.6027]}},{"type":"Feature","id":44613,"properties":{"mag":5.48,"bv":"0.475"},"geometry":{"type":"Point","coordinates":[136.3504,48.5303]}},{"type":"Feature","id":44626,"properties":{"mag":4.66,"bv":"-0.149"},"geometry":{"type":"Point","coordinates":[136.4099,-70.5385]}},{"type":"Feature","id":44659,"properties":{"mag":4.99,"bv":"1.189"},"geometry":{"type":"Point","coordinates":[136.4932,5.0923]}},{"type":"Feature","id":44700,"properties":{"mag":4.56,"bv":"1.037"},"geometry":{"type":"Point","coordinates":[136.6324,38.4522]}},{"type":"Feature","id":44798,"properties":{"mag":5.23,"bv":"-0.092"},"geometry":{"type":"Point","coordinates":[136.9367,10.6682]}},{"type":"Feature","id":44816,"properties":{"mag":2.23,"bv":"1.665"},"geometry":{"type":"Point","coordinates":[136.999,-43.4326]}},{"type":"Feature","id":44818,"properties":{"mag":5.42,"bv":"0.888"},"geometry":{"type":"Point","coordinates":[137.0002,29.6542]}},{"type":"Feature","id":44824,"properties":{"mag":4.62,"bv":"1.594"},"geometry":{"type":"Point","coordinates":[137.012,-25.8585]}},{"type":"Feature","id":44857,"properties":{"mag":5.15,"bv":"1.514"},"geometry":{"type":"Point","coordinates":[137.0979,66.8732]}},{"type":"Feature","id":44883,"properties":{"mag":5.6,"bv":"-0.057"},"geometry":{"type":"Point","coordinates":[137.1757,-8.5895]}},{"type":"Feature","id":44892,"properties":{"mag":5.95,"bv":"0.654"},"geometry":{"type":"Point","coordinates":[137.1972,26.6291]}},{"type":"Feature","id":44897,"properties":{"mag":5.95,"bv":"0.585"},"geometry":{"type":"Point","coordinates":[137.2128,33.8822]}},{"type":"Feature","id":44901,"properties":{"mag":4.46,"bv":"0.288"},"geometry":{"type":"Point","coordinates":[137.2177,51.6046]}},{"type":"Feature","id":44923,"properties":{"mag":5.73,"bv":"0.000"},"geometry":{"type":"Point","coordinates":[137.2675,-18.3285]}},{"type":"Feature","id":44936,"properties":{"mag":5.76,"bv":"0.937"},"geometry":{"type":"Point","coordinates":[137.298,-12.3577]}},{"type":"Feature","id":44946,"properties":{"mag":5.16,"bv":"0.970"},"geometry":{"type":"Point","coordinates":[137.3397,22.0454]}},{"type":"Feature","id":44961,"properties":{"mag":5.47,"bv":"1.002"},"geometry":{"type":"Point","coordinates":[137.3982,-8.7876]}},{"type":"Feature","id":45001,"properties":{"mag":5.59,"bv":"0.179"},"geometry":{"type":"Point","coordinates":[137.485,-30.3654]}},{"type":"Feature","id":45038,"properties":{"mag":4.8,"bv":"0.489"},"geometry":{"type":"Point","coordinates":[137.5981,67.134]}},{"type":"Feature","id":45075,"properties":{"mag":4.67,"bv":"0.381"},"geometry":{"type":"Point","coordinates":[137.7294,63.5136]}},{"type":"Feature","id":45080,"properties":{"mag":3.43,"bv":"-0.190"},"geometry":{"type":"Point","coordinates":[137.742,-58.9669]}},{"type":"Feature","id":45085,"properties":{"mag":4.99,"bv":"0.222"},"geometry":{"type":"Point","coordinates":[137.7683,-44.8679]}},{"type":"Feature","id":45101,"properties":{"mag":3.96,"bv":"-0.180"},"geometry":{"type":"Point","coordinates":[137.8197,-62.317]}},{"type":"Feature","id":45122,"properties":{"mag":5.78,"bv":"-0.218"},"geometry":{"type":"Point","coordinates":[137.8891,-46.5839]}},{"type":"Feature","id":45158,"properties":{"mag":5.72,"bv":"0.977"},"geometry":{"type":"Point","coordinates":[137.9947,-19.7476]}},{"type":"Feature","id":45189,"properties":{"mag":5.56,"bv":"-0.107"},"geometry":{"type":"Point","coordinates":[138.1272,-43.6133]}},{"type":"Feature","id":45219,"properties":{"mag":5.54,"bv":"0.846"},"geometry":{"type":"Point","coordinates":[138.2318,-59.4139]}},{"type":"Feature","id":45238,"properties":{"mag":1.67,"bv":"0.070"},"geometry":{"type":"Point","coordinates":[138.2999,-69.7172]}},{"type":"Feature","id":45270,"properties":{"mag":5.92,"bv":"-0.051"},"geometry":{"type":"Point","coordinates":[138.3936,-47.3384]}},{"type":"Feature","id":45290,"properties":{"mag":5.3,"bv":"-0.130"},"geometry":{"type":"Point","coordinates":[138.4509,43.2178]}},{"type":"Feature","id":45314,"properties":{"mag":5.85,"bv":"-0.113"},"geometry":{"type":"Point","coordinates":[138.5342,-44.1458]}},{"type":"Feature","id":45328,"properties":{"mag":5.26,"bv":"0.980"},"geometry":{"type":"Point","coordinates":[138.575,-55.5696]}},{"type":"Feature","id":45333,"properties":{"mag":5.18,"bv":"0.605"},"geometry":{"type":"Point","coordinates":[138.5856,61.4233]}},{"type":"Feature","id":45336,"properties":{"mag":3.89,"bv":"-0.060"},"geometry":{"type":"Point","coordinates":[138.5911,2.3143]}},{"type":"Feature","id":45344,"properties":{"mag":5.24,"bv":"-0.137"},"geometry":{"type":"Point","coordinates":[138.602,-43.2275]}},{"type":"Feature","id":45386,"properties":{"mag":5.85,"bv":"0.827"},"geometry":{"type":"Point","coordinates":[138.7382,-37.6024]}},{"type":"Feature","id":45410,"properties":{"mag":5.36,"bv":"1.319"},"geometry":{"type":"Point","coordinates":[138.8077,14.9415]}},{"type":"Feature","id":45412,"properties":{"mag":5.98,"bv":"0.839"},"geometry":{"type":"Point","coordinates":[138.8094,34.6335]}},{"type":"Feature","id":45439,"properties":{"mag":4.92,"bv":"1.084"},"geometry":{"type":"Point","coordinates":[138.903,-38.5699]}},{"type":"Feature","id":45448,"properties":{"mag":4.63,"bv":"0.473"},"geometry":{"type":"Point","coordinates":[138.9378,-37.4131]}},{"type":"Feature","id":45455,"properties":{"mag":5.28,"bv":"1.568"},"geometry":{"type":"Point","coordinates":[138.9574,56.7414]}},{"type":"Feature","id":45461,"properties":{"mag":5.93,"bv":"0.179"},"geometry":{"type":"Point","coordinates":[138.9691,72.9463]}},{"type":"Feature","id":45493,"properties":{"mag":4.8,"bv":"0.199"},"geometry":{"type":"Point","coordinates":[139.0472,54.0219]}},{"type":"Feature","id":45496,"properties":{"mag":4.34,"bv":"1.602"},"geometry":{"type":"Point","coordinates":[139.0503,-57.5415]}},{"type":"Feature","id":45505,"properties":{"mag":5.12,"bv":"1.636"},"geometry":{"type":"Point","coordinates":[139.096,-44.2657]}},{"type":"Feature","id":45526,"properties":{"mag":5.49,"bv":"-0.081"},"geometry":{"type":"Point","coordinates":[139.1724,-8.7448]}},{"type":"Feature","id":45527,"properties":{"mag":5.24,"bv":"1.172"},"geometry":{"type":"Point","coordinates":[139.1739,-6.3531]}},{"type":"Feature","id":45544,"properties":{"mag":5.31,"bv":"1.166"},"geometry":{"type":"Point","coordinates":[139.2378,-39.4015]}},{"type":"Feature","id":45556,"properties":{"mag":2.21,"bv":"0.189"},"geometry":{"type":"Point","coordinates":[139.2725,-59.2752]}},{"type":"Feature","id":45559,"properties":{"mag":5.83,"bv":"1.049"},"geometry":{"type":"Point","coordinates":[139.2822,-14.5741]}},{"type":"Feature","id":45571,"properties":{"mag":5.38,"bv":"0.415"},"geometry":{"type":"Point","coordinates":[139.3218,-68.6896]}},{"type":"Feature","id":45581,"properties":{"mag":5.28,"bv":"0.021"},"geometry":{"type":"Point","coordinates":[139.3549,-74.8943]}},{"type":"Feature","id":45585,"properties":{"mag":5.86,"bv":"-0.024"},"geometry":{"type":"Point","coordinates":[139.3649,-74.7346]}},{"type":"Feature","id":45590,"properties":{"mag":5.96,"bv":"0.063"},"geometry":{"type":"Point","coordinates":[139.3799,46.8172]}},{"type":"Feature","id":45631,"properties":{"mag":5.26,"bv":"-0.062"},"geometry":{"type":"Point","coordinates":[139.5245,-51.0509]}},{"type":"Feature","id":45661,"properties":{"mag":5.94,"bv":"0.177"},"geometry":{"type":"Point","coordinates":[139.608,35.3641]}},{"type":"Feature","id":45675,"properties":{"mag":5.83,"bv":"0.474"},"geometry":{"type":"Point","coordinates":[139.6765,-51.5607]}},{"type":"Feature","id":45688,"properties":{"mag":3.82,"bv":"0.066"},"geometry":{"type":"Point","coordinates":[139.711,36.8026]}},{"type":"Feature","id":45743,"properties":{"mag":5.79,"bv":"1.285"},"geometry":{"type":"Point","coordinates":[139.8881,-15.8347]}},{"type":"Feature","id":45751,"properties":{"mag":4.77,"bv":"0.927"},"geometry":{"type":"Point","coordinates":[139.9433,-11.9749]}},{"type":"Feature","id":45811,"properties":{"mag":4.8,"bv":"0.913"},"geometry":{"type":"Point","coordinates":[140.1209,-9.5557]}},{"type":"Feature","id":45856,"properties":{"mag":4.79,"bv":"0.926"},"geometry":{"type":"Point","coordinates":[140.2367,-62.4046]}},{"type":"Feature","id":45860,"properties":{"mag":3.14,"bv":"1.550"},"geometry":{"type":"Point","coordinates":[140.2638,34.3926]}},{"type":"Feature","id":45902,"properties":{"mag":4.71,"bv":"1.633"},"geometry":{"type":"Point","coordinates":[140.3733,-25.9654]}},{"type":"Feature","id":45915,"properties":{"mag":5.79,"bv":"1.511"},"geometry":{"type":"Point","coordinates":[140.4304,56.6992]}},{"type":"Feature","id":45920,"properties":{"mag":5.61,"bv":"0.190"},"geometry":{"type":"Point","coordinates":[140.4585,-55.5147]}},{"type":"Feature","id":45924,"properties":{"mag":5.56,"bv":"1.637"},"geometry":{"type":"Point","coordinates":[140.4624,-42.1949]}},{"type":"Feature","id":45941,"properties":{"mag":2.47,"bv":"-0.141"},"geometry":{"type":"Point","coordinates":[140.5284,-55.0107]}},{"type":"Feature","id":45962,"properties":{"mag":5.74,"bv":"0.903"},"geometry":{"type":"Point","coordinates":[140.6,-46.0474]}},{"type":"Feature","id":46026,"properties":{"mag":4.71,"bv":"0.892"},"geometry":{"type":"Point","coordinates":[140.801,-28.8339]}},{"type":"Feature","id":46101,"properties":{"mag":5.99,"bv":"1.060"},"geometry":{"type":"Point","coordinates":[141.0229,-61.6489]}},{"type":"Feature","id":46107,"properties":{"mag":5.34,"bv":"0.454"},"geometry":{"type":"Point","coordinates":[141.0384,-80.7869]}},{"type":"Feature","id":46146,"properties":{"mag":4.47,"bv":"1.222"},"geometry":{"type":"Point","coordinates":[141.1636,26.1823]}},{"type":"Feature","id":46221,"properties":{"mag":5.6,"bv":"1.523"},"geometry":{"type":"Point","coordinates":[141.3501,-5.1174]}},{"type":"Feature","id":46225,"properties":{"mag":5.77,"bv":"0.137"},"geometry":{"type":"Point","coordinates":[141.3635,-61.9505]}},{"type":"Feature","id":46283,"properties":{"mag":5.09,"bv":"-0.102"},"geometry":{"type":"Point","coordinates":[141.5748,-53.3789]}},{"type":"Feature","id":46358,"properties":{"mag":5.46,"bv":"1.079"},"geometry":{"type":"Point","coordinates":[141.7763,-71.6019]}},{"type":"Feature","id":46371,"properties":{"mag":4.72,"bv":"1.154"},"geometry":{"type":"Point","coordinates":[141.8267,-22.3438]}},{"type":"Feature","id":46390,"properties":{"mag":1.99,"bv":"1.440"},"geometry":{"type":"Point","coordinates":[141.8968,-8.6586]}},{"type":"Feature","id":46404,"properties":{"mag":5.38,"bv":"0.642"},"geometry":{"type":"Point","coordinates":[141.9449,-6.0712]}},{"type":"Feature","id":46454,"properties":{"mag":5.4,"bv":"0.605"},"geometry":{"type":"Point","coordinates":[142.1142,9.0568]}},{"type":"Feature","id":46457,"properties":{"mag":5.72,"bv":"1.045"},"geometry":{"type":"Point","coordinates":[142.1216,8.1883]}},{"type":"Feature","id":46460,"properties":{"mag":5.9,"bv":"0.012"},"geometry":{"type":"Point","coordinates":[142.1273,-66.7019]}},{"type":"Feature","id":46471,"properties":{"mag":5.4,"bv":"0.993"},"geometry":{"type":"Point","coordinates":[142.1666,45.6015]}},{"type":"Feature","id":46482,"properties":{"mag":5.91,"bv":"1.102"},"geometry":{"type":"Point","coordinates":[142.1963,-62.2731]}},{"type":"Feature","id":46509,"properties":{"mag":4.59,"bv":"0.411"},"geometry":{"type":"Point","coordinates":[142.2871,-2.769]}},{"type":"Feature","id":46511,"properties":{"mag":5.66,"bv":"1.587"},"geometry":{"type":"Point","coordinates":[142.3027,-20.7491]}},{"type":"Feature","id":46515,"properties":{"mag":4.51,"bv":"1.408"},"geometry":{"type":"Point","coordinates":[142.3113,-35.9513]}},{"type":"Feature","id":46578,"properties":{"mag":5.49,"bv":"1.345"},"geometry":{"type":"Point","coordinates":[142.4771,-26.5896]}},{"type":"Feature","id":46594,"properties":{"mag":5.45,"bv":"-0.078"},"geometry":{"type":"Point","coordinates":[142.5213,-51.5172]}},{"type":"Feature","id":46618,"properties":{"mag":5.86,"bv":"1.193"},"geometry":{"type":"Point","coordinates":[142.5937,-15.5774]}},{"type":"Feature","id":46620,"properties":{"mag":5.88,"bv":"1.676"},"geometry":{"type":"Point","coordinates":[142.5976,-58.3618]}},{"type":"Feature","id":46651,"properties":{"mag":3.6,"bv":"0.371"},"geometry":{"type":"Point","coordinates":[142.675,-40.4668]}},{"type":"Feature","id":46652,"properties":{"mag":5.87,"bv":"1.032"},"geometry":{"type":"Point","coordinates":[142.6801,33.6557]}},{"type":"Feature","id":46657,"properties":{"mag":5.75,"bv":"0.066"},"geometry":{"type":"Point","coordinates":[142.6921,-31.8892]}},{"type":"Feature","id":46701,"properties":{"mag":3.16,"bv":"1.538"},"geometry":{"type":"Point","coordinates":[142.8055,-57.0344]}},{"type":"Feature","id":46733,"properties":{"mag":3.65,"bv":"0.360"},"geometry":{"type":"Point","coordinates":[142.8821,63.0619]}},{"type":"Feature","id":46734,"properties":{"mag":5.91,"bv":"0.258"},"geometry":{"type":"Point","coordinates":[142.884,-31.8718]}},{"type":"Feature","id":46735,"properties":{"mag":5.39,"bv":"1.543"},"geometry":{"type":"Point","coordinates":[142.885,35.1033]}},{"type":"Feature","id":46736,"properties":{"mag":5.86,"bv":"1.287"},"geometry":{"type":"Point","coordinates":[142.8877,-35.7148]}},{"type":"Feature","id":46741,"properties":{"mag":5.46,"bv":"1.556"},"geometry":{"type":"Point","coordinates":[142.9011,-73.0809]}},{"type":"Feature","id":46750,"properties":{"mag":4.32,"bv":"1.541"},"geometry":{"type":"Point","coordinates":[142.9301,22.968]}},{"type":"Feature","id":46771,"properties":{"mag":4.99,"bv":"1.046"},"geometry":{"type":"Point","coordinates":[142.9864,11.2998]}},{"type":"Feature","id":46774,"properties":{"mag":5.07,"bv":"1.364"},"geometry":{"type":"Point","coordinates":[142.9899,9.7158]}},{"type":"Feature","id":46776,"properties":{"mag":4.54,"bv":"0.109"},"geometry":{"type":"Point","coordinates":[142.9955,-1.1847]}},{"type":"Feature","id":46811,"properties":{"mag":5.35,"bv":"0.897"},"geometry":{"type":"Point","coordinates":[143.0803,-40.6493]}},{"type":"Feature","id":46813,"properties":{"mag":5.74,"bv":"0.135"},"geometry":{"type":"Point","coordinates":[143.085,-19.4003]}},{"type":"Feature","id":46853,"properties":{"mag":3.17,"bv":"0.475"},"geometry":{"type":"Point","coordinates":[143.2143,51.6773]}},{"type":"Feature","id":46859,"properties":{"mag":5.95,"bv":"1.501"},"geometry":{"type":"Point","coordinates":[143.2324,-13.5168]}},{"type":"Feature","id":46880,"properties":{"mag":5.02,"bv":"1.023"},"geometry":{"type":"Point","coordinates":[143.3019,-21.1157]}},{"type":"Feature","id":46897,"properties":{"mag":5.92,"bv":"0.023"},"geometry":{"type":"Point","coordinates":[143.3585,-22.8639]}},{"type":"Feature","id":46914,"properties":{"mag":5.12,"bv":"-0.114"},"geometry":{"type":"Point","coordinates":[143.4356,-49.0051]}},{"type":"Feature","id":46928,"properties":{"mag":5.07,"bv":"-0.139"},"geometry":{"type":"Point","coordinates":[143.4724,-80.9413]}},{"type":"Feature","id":46950,"properties":{"mag":5.01,"bv":"-0.180"},"geometry":{"type":"Point","coordinates":[143.5366,-51.2553]}},{"type":"Feature","id":46952,"properties":{"mag":4.54,"bv":"0.914"},"geometry":{"type":"Point","coordinates":[143.5558,36.3976]}},{"type":"Feature","id":46974,"properties":{"mag":4.08,"bv":"-0.013"},"geometry":{"type":"Point","coordinates":[143.611,-59.2298]}},{"type":"Feature","id":46977,"properties":{"mag":4.54,"bv":"0.781"},"geometry":{"type":"Point","coordinates":[143.6202,69.8303]}},{"type":"Feature","id":46982,"properties":{"mag":5.56,"bv":"1.159"},"geometry":{"type":"Point","coordinates":[143.636,-5.9149]}},{"type":"Feature","id":47006,"properties":{"mag":4.47,"bv":"0.027"},"geometry":{"type":"Point","coordinates":[143.706,52.0515]}},{"type":"Feature","id":47013,"properties":{"mag":5.77,"bv":"0.530"},"geometry":{"type":"Point","coordinates":[143.723,72.2057]}},{"type":"Feature","id":47029,"properties":{"mag":4.81,"bv":"0.992"},"geometry":{"type":"Point","coordinates":[143.766,39.6215]}},{"type":"Feature","id":47080,"properties":{"mag":5.4,"bv":"0.770"},"geometry":{"type":"Point","coordinates":[143.9146,35.8101]}},{"type":"Feature","id":47168,"properties":{"mag":5.57,"bv":"1.594"},"geometry":{"type":"Point","coordinates":[144.1786,31.1617]}},{"type":"Feature","id":47175,"properties":{"mag":4.34,"bv":"0.173"},"geometry":{"type":"Point","coordinates":[144.2064,-49.355]}},{"type":"Feature","id":47187,"properties":{"mag":5.68,"bv":"1.116"},"geometry":{"type":"Point","coordinates":[144.2509,-25.2968]}},{"type":"Feature","id":47189,"properties":{"mag":5.73,"bv":"1.223"},"geometry":{"type":"Point","coordinates":[144.2608,16.438]}},{"type":"Feature","id":47193,"properties":{"mag":4.28,"bv":"1.488"},"geometry":{"type":"Point","coordinates":[144.272,81.3264]}},{"type":"Feature","id":47199,"properties":{"mag":5.62,"bv":"1.023"},"geometry":{"type":"Point","coordinates":[144.2912,-32.1786]}},{"type":"Feature","id":47204,"properties":{"mag":5.44,"bv":"0.137"},"geometry":{"type":"Point","coordinates":[144.3027,-53.6685]}},{"type":"Feature","id":47205,"properties":{"mag":5,"bv":"1.051"},"geometry":{"type":"Point","coordinates":[144.3028,6.8358]}},{"type":"Feature","id":47224,"properties":{"mag":5.96,"bv":"1.118"},"geometry":{"type":"Point","coordinates":[144.3683,-36.096]}},{"type":"Feature","id":47267,"properties":{"mag":5.51,"bv":"0.985"},"geometry":{"type":"Point","coordinates":[144.5061,-43.1909]}},{"type":"Feature","id":47300,"properties":{"mag":5.28,"bv":"0.223"},"geometry":{"type":"Point","coordinates":[144.5907,40.2398]}},{"type":"Feature","id":47310,"properties":{"mag":4.68,"bv":"1.310"},"geometry":{"type":"Point","coordinates":[144.6137,4.6493]}},{"type":"Feature","id":47391,"properties":{"mag":4.51,"bv":"-0.070"},"geometry":{"type":"Point","coordinates":[144.8375,-61.3281]}},{"type":"Feature","id":47401,"properties":{"mag":5.96,"bv":"1.528"},"geometry":{"type":"Point","coordinates":[144.8661,67.2722]}},{"type":"Feature","id":47431,"properties":{"mag":3.9,"bv":"1.313"},"geometry":{"type":"Point","coordinates":[144.964,-1.1428]}},{"type":"Feature","id":47452,"properties":{"mag":5.07,"bv":"-0.149"},"geometry":{"type":"Point","coordinates":[145.0765,-14.3323]}},{"type":"Feature","id":47479,"properties":{"mag":5.3,"bv":"0.195"},"geometry":{"type":"Point","coordinates":[145.1773,-57.9836]}},{"type":"Feature","id":47498,"properties":{"mag":5.8,"bv":"1.083"},"geometry":{"type":"Point","coordinates":[145.2591,-57.2595]}},{"type":"Feature","id":47508,"properties":{"mag":3.52,"bv":"0.516"},"geometry":{"type":"Point","coordinates":[145.2876,9.8923]}},{"type":"Feature","id":47522,"properties":{"mag":4.76,"bv":"-0.117"},"geometry":{"type":"Point","coordinates":[145.3209,-23.5915]}},{"type":"Feature","id":47544,"properties":{"mag":5.9,"bv":"1.579"},"geometry":{"type":"Point","coordinates":[145.3963,31.2778]}},{"type":"Feature","id":47559,"properties":{"mag":5.99,"bv":"-0.119"},"geometry":{"type":"Point","coordinates":[145.4497,-55.2138]}},{"type":"Feature","id":47570,"properties":{"mag":5.61,"bv":"0.951"},"geometry":{"type":"Point","coordinates":[145.5014,39.7579]}},{"type":"Feature","id":47592,"properties":{"mag":4.93,"bv":"0.534"},"geometry":{"type":"Point","coordinates":[145.5601,-23.9156]}},{"type":"Feature","id":47594,"properties":{"mag":5.72,"bv":"1.131"},"geometry":{"type":"Point","coordinates":[145.5618,69.2375]}},{"type":"Feature","id":47654,"properties":{"mag":5.15,"bv":"1.029"},"geometry":{"type":"Point","coordinates":[145.7383,72.2526]}},{"type":"Feature","id":47701,"properties":{"mag":5.64,"bv":"0.111"},"geometry":{"type":"Point","coordinates":[145.8886,29.9745]}},{"type":"Feature","id":47717,"properties":{"mag":5.56,"bv":"-0.042"},"geometry":{"type":"Point","coordinates":[145.926,-53.8913]}},{"type":"Feature","id":47723,"properties":{"mag":5.36,"bv":"1.610"},"geometry":{"type":"Point","coordinates":[145.9329,14.0217]}},{"type":"Feature","id":47758,"properties":{"mag":4.78,"bv":"0.516"},"geometry":{"type":"Point","coordinates":[146.0504,-27.7695]}},{"type":"Feature","id":47854,"properties":{"mag":3.69,"bv":"1.010"},"geometry":{"type":"Point","coordinates":[146.3117,-62.5079]}},{"type":"Feature","id":47908,"properties":{"mag":2.97,"bv":"0.808"},"geometry":{"type":"Point","coordinates":[146.4628,23.7743]}},{"type":"Feature","id":47943,"properties":{"mag":5.8,"bv":"1.639"},"geometry":{"type":"Point","coordinates":[146.5419,6.7086]}},{"type":"Feature","id":47956,"properties":{"mag":5.43,"bv":"0.901"},"geometry":{"type":"Point","coordinates":[146.586,-76.7761]}},{"type":"Feature","id":47959,"properties":{"mag":5.67,"bv":"1.489"},"geometry":{"type":"Point","coordinates":[146.5972,11.81]}},{"type":"Feature","id":47960,"properties":{"mag":5.65,"bv":"0.342"},"geometry":{"type":"Point","coordinates":[146.5984,1.7856]}},{"type":"Feature","id":47963,"properties":{"mag":5.58,"bv":"-0.176"},"geometry":{"type":"Point","coordinates":[146.6265,-44.7551]}},{"type":"Feature","id":47965,"properties":{"mag":5.09,"bv":"1.594"},"geometry":{"type":"Point","coordinates":[146.6319,57.1281]}},{"type":"Feature","id":48002,"properties":{"mag":2.92,"bv":"0.273"},"geometry":{"type":"Point","coordinates":[146.7755,-65.072]}},{"type":"Feature","id":48113,"properties":{"mag":5.08,"bv":"0.619"},"geometry":{"type":"Point","coordinates":[147.1474,46.021]}},{"type":"Feature","id":48191,"properties":{"mag":5.95,"bv":"1.245"},"geometry":{"type":"Point","coordinates":[147.367,-37.1868]}},{"type":"Feature","id":48224,"properties":{"mag":5.09,"bv":"-0.098"},"geometry":{"type":"Point","coordinates":[147.4881,-45.7327]}},{"type":"Feature","id":48287,"properties":{"mag":5.72,"bv":"1.085"},"geometry":{"type":"Point","coordinates":[147.6747,-46.9339]}},{"type":"Feature","id":48310,"properties":{"mag":5.56,"bv":"1.316"},"geometry":{"type":"Point","coordinates":[147.7316,-62.7451]}},{"type":"Feature","id":48319,"properties":{"mag":3.78,"bv":"0.291"},"geometry":{"type":"Point","coordinates":[147.7473,59.0387]}},{"type":"Feature","id":48339,"properties":{"mag":5.79,"bv":"1.354"},"geometry":{"type":"Point","coordinates":[147.8003,-59.4258]}},{"type":"Feature","id":48348,"properties":{"mag":5.62,"bv":"1.166"},"geometry":{"type":"Point","coordinates":[147.8322,-46.1939]}},{"type":"Feature","id":48356,"properties":{"mag":4.11,"bv":"0.918"},"geometry":{"type":"Point","coordinates":[147.8696,-14.8466]}},{"type":"Feature","id":48374,"properties":{"mag":4.58,"bv":"1.172"},"geometry":{"type":"Point","coordinates":[147.9194,-46.5476]}},{"type":"Feature","id":48390,"properties":{"mag":5.29,"bv":"0.229"},"geometry":{"type":"Point","coordinates":[147.971,24.3954]}},{"type":"Feature","id":48402,"properties":{"mag":4.55,"bv":"0.038"},"geometry":{"type":"Point","coordinates":[148.0265,54.0643]}},{"type":"Feature","id":48437,"properties":{"mag":5.07,"bv":"0.038"},"geometry":{"type":"Point","coordinates":[148.1268,-8.105]}},{"type":"Feature","id":48455,"properties":{"mag":3.88,"bv":"1.222"},"geometry":{"type":"Point","coordinates":[148.1909,26.007]}},{"type":"Feature","id":48519,"properties":{"mag":5.9,"bv":"1.662"},"geometry":{"type":"Point","coordinates":[148.4289,5.9586]}},{"type":"Feature","id":48527,"properties":{"mag":5.95,"bv":"-0.152"},"geometry":{"type":"Point","coordinates":[148.4587,-51.1467]}},{"type":"Feature","id":48559,"properties":{"mag":4.87,"bv":"1.199"},"geometry":{"type":"Point","coordinates":[148.5513,-25.9323]}},{"type":"Feature","id":48561,"properties":{"mag":5.72,"bv":"-0.114"},"geometry":{"type":"Point","coordinates":[148.5736,-45.2835]}},{"type":"Feature","id":48613,"properties":{"mag":5.71,"bv":"0.006"},"geometry":{"type":"Point","coordinates":[148.7135,-50.244]}},{"type":"Feature","id":48615,"properties":{"mag":4.94,"bv":"1.559"},"geometry":{"type":"Point","coordinates":[148.7175,-19.0094]}},{"type":"Feature","id":48682,"properties":{"mag":5.27,"bv":"0.086"},"geometry":{"type":"Point","coordinates":[148.9292,49.8198]}},{"type":"Feature","id":48734,"properties":{"mag":5.85,"bv":"1.129"},"geometry":{"type":"Point","coordinates":[149.1082,8.9332]}},{"type":"Feature","id":48748,"properties":{"mag":5.83,"bv":"1.202"},"geometry":{"type":"Point","coordinates":[149.1479,-33.4185]}},{"type":"Feature","id":48774,"properties":{"mag":3.52,"bv":"-0.067"},"geometry":{"type":"Point","coordinates":[149.2156,-54.5678]}},{"type":"Feature","id":48802,"properties":{"mag":5.97,"bv":"0.895"},"geometry":{"type":"Point","coordinates":[149.3067,57.4182]}},{"type":"Feature","id":48833,"properties":{"mag":5.11,"bv":"0.481"},"geometry":{"type":"Point","coordinates":[149.4211,41.0556]}},{"type":"Feature","id":48883,"properties":{"mag":5.26,"bv":"-0.035"},"geometry":{"type":"Point","coordinates":[149.5557,12.4448]}},{"type":"Feature","id":48893,"properties":{"mag":5.86,"bv":"1.155"},"geometry":{"type":"Point","coordinates":[149.5949,72.8795]}},{"type":"Feature","id":48926,"properties":{"mag":5.23,"bv":"0.300"},"geometry":{"type":"Point","coordinates":[149.7178,-35.891]}},{"type":"Feature","id":48982,"properties":{"mag":5.75,"bv":"1.059"},"geometry":{"type":"Point","coordinates":[149.9009,29.6452]}},{"type":"Feature","id":49005,"properties":{"mag":5.5,"bv":"1.487"},"geometry":{"type":"Point","coordinates":[149.9654,56.8118]}},{"type":"Feature","id":49029,"properties":{"mag":4.68,"bv":"1.589"},"geometry":{"type":"Point","coordinates":[150.0534,8.0442]}},{"type":"Feature","id":49065,"properties":{"mag":5.53,"bv":"0.035"},"geometry":{"type":"Point","coordinates":[150.1825,-82.2147]}},{"type":"Feature","id":49081,"properties":{"mag":5.37,"bv":"0.676"},"geometry":{"type":"Point","coordinates":[150.2527,31.9237]}},{"type":"Feature","id":49164,"properties":{"mag":5.93,"bv":"0.263"},"geometry":{"type":"Point","coordinates":[150.5004,-60.4209]}},{"type":"Feature","id":49220,"properties":{"mag":5.68,"bv":"-0.178"},"geometry":{"type":"Point","coordinates":[150.704,21.9493]}},{"type":"Feature","id":49339,"properties":{"mag":5.7,"bv":"0.303"},"geometry":{"type":"Point","coordinates":[151.0873,-24.2855]}},{"type":"Feature","id":49363,"properties":{"mag":5.71,"bv":"0.507"},"geometry":{"type":"Point","coordinates":[151.1513,53.8917]}},{"type":"Feature","id":49402,"properties":{"mag":4.6,"bv":"-0.087"},"geometry":{"type":"Point","coordinates":[151.2811,-13.0646]}},{"type":"Feature","id":49485,"properties":{"mag":5.06,"bv":"0.880"},"geometry":{"type":"Point","coordinates":[151.5467,-47.37]}},{"type":"Feature","id":49569,"properties":{"mag":5.59,"bv":"1.490"},"geometry":{"type":"Point","coordinates":[151.7896,-17.1417]}},{"type":"Feature","id":49583,"properties":{"mag":3.48,"bv":"-0.031"},"geometry":{"type":"Point","coordinates":[151.8331,16.7627]}},{"type":"Feature","id":49593,"properties":{"mag":4.49,"bv":"0.190"},"geometry":{"type":"Point","coordinates":[151.8573,35.2447]}},{"type":"Feature","id":49637,"properties":{"mag":4.39,"bv":"1.448"},"geometry":{"type":"Point","coordinates":[151.9761,9.9975]}},{"type":"Feature","id":49641,"properties":{"mag":4.48,"bv":"-0.032"},"geometry":{"type":"Point","coordinates":[151.9845,-0.3716]}},{"type":"Feature","id":49669,"properties":{"mag":1.36,"bv":"-0.087"},"geometry":{"type":"Point","coordinates":[152.093,11.9672]}},{"type":"Feature","id":49698,"properties":{"mag":5.26,"bv":"0.973"},"geometry":{"type":"Point","coordinates":[152.1781,-65.8154]}},{"type":"Feature","id":49712,"properties":{"mag":4.85,"bv":"-0.120"},"geometry":{"type":"Point","coordinates":[152.2343,-51.8113]}},{"type":"Feature","id":49764,"properties":{"mag":5.8,"bv":"0.015"},"geometry":{"type":"Point","coordinates":[152.3757,-68.6828]}},{"type":"Feature","id":49809,"properties":{"mag":5.3,"bv":"0.368"},"geometry":{"type":"Point","coordinates":[152.5245,-12.8159]}},{"type":"Feature","id":49812,"properties":{"mag":5.91,"bv":"0.026"},"geometry":{"type":"Point","coordinates":[152.5314,-8.4082]}},{"type":"Feature","id":49841,"properties":{"mag":3.61,"bv":"1.007"},"geometry":{"type":"Point","coordinates":[152.647,-12.3541]}},{"type":"Feature","id":49844,"properties":{"mag":5.98,"bv":"1.239"},"geometry":{"type":"Point","coordinates":[152.6572,-41.7152]}},{"type":"Feature","id":49865,"properties":{"mag":5.64,"bv":"1.304"},"geometry":{"type":"Point","coordinates":[152.7328,-8.4185]}},{"type":"Feature","id":49893,"properties":{"mag":5.86,"bv":"1.282"},"geometry":{"type":"Point","coordinates":[152.8032,37.4019]}},{"type":"Feature","id":49934,"properties":{"mag":5.7,"bv":"-0.118"},"geometry":{"type":"Point","coordinates":[152.9436,-58.0605]}},{"type":"Feature","id":50027,"properties":{"mag":5.77,"bv":"1.178"},"geometry":{"type":"Point","coordinates":[153.2015,4.6147]}},{"type":"Feature","id":50070,"properties":{"mag":5.27,"bv":"0.257"},"geometry":{"type":"Point","coordinates":[153.3452,-51.233]}},{"type":"Feature","id":50078,"properties":{"mag":5.78,"bv":"0.136"},"geometry":{"type":"Point","coordinates":[153.3666,-51.7558]}},{"type":"Feature","id":50083,"properties":{"mag":5.15,"bv":"0.217"},"geometry":{"type":"Point","coordinates":[153.3776,-66.3728]}},{"type":"Feature","id":50099,"properties":{"mag":3.29,"bv":"-0.074"},"geometry":{"type":"Point","coordinates":[153.4342,-70.0379]}},{"type":"Feature","id":50103,"properties":{"mag":5.91,"bv":"1.204"},"geometry":{"type":"Point","coordinates":[153.4413,-40.3461]}},{"type":"Feature","id":50191,"properties":{"mag":3.85,"bv":"0.051"},"geometry":{"type":"Point","coordinates":[153.684,-42.1219]}},{"type":"Feature","id":50241,"properties":{"mag":5.59,"bv":"1.520"},"geometry":{"type":"Point","coordinates":[153.8815,-43.1124]}},{"type":"Feature","id":50303,"properties":{"mag":5.49,"bv":"0.020"},"geometry":{"type":"Point","coordinates":[154.0601,29.3105]}},{"type":"Feature","id":50319,"properties":{"mag":5.95,"bv":"0.655"},"geometry":{"type":"Point","coordinates":[154.1345,23.5031]}},{"type":"Feature","id":50333,"properties":{"mag":5.42,"bv":"1.650"},"geometry":{"type":"Point","coordinates":[154.1697,13.7283]}},{"type":"Feature","id":50335,"properties":{"mag":3.43,"bv":"0.307"},"geometry":{"type":"Point","coordinates":[154.1726,23.4173]}},{"type":"Feature","id":50336,"properties":{"mag":5.84,"bv":"1.206"},"geometry":{"type":"Point","coordinates":[154.174,25.3707]}},{"type":"Feature","id":50371,"properties":{"mag":3.39,"bv":"1.541"},"geometry":{"type":"Point","coordinates":[154.2707,-61.3323]}},{"type":"Feature","id":50372,"properties":{"mag":3.45,"bv":"0.029"},"geometry":{"type":"Point","coordinates":[154.2741,42.9144]}},{"type":"Feature","id":50384,"properties":{"mag":5.81,"bv":"0.500"},"geometry":{"type":"Point","coordinates":[154.3106,23.1062]}},{"type":"Feature","id":50414,"properties":{"mag":5.25,"bv":"0.336"},"geometry":{"type":"Point","coordinates":[154.4075,-8.0689]}},{"type":"Feature","id":50448,"properties":{"mag":5.74,"bv":"0.163"},"geometry":{"type":"Point","coordinates":[154.5084,65.1084]}},{"type":"Feature","id":50456,"properties":{"mag":5.52,"bv":"0.277"},"geometry":{"type":"Point","coordinates":[154.5316,-28.992]}},{"type":"Feature","id":50480,"properties":{"mag":5.97,"bv":"-0.063"},"geometry":{"type":"Point","coordinates":[154.6177,-41.6685]}},{"type":"Feature","id":50493,"properties":{"mag":5.8,"bv":"0.481"},"geometry":{"type":"Point","coordinates":[154.658,-56.1104]}},{"type":"Feature","id":50520,"properties":{"mag":5.66,"bv":"0.042"},"geometry":{"type":"Point","coordinates":[154.7711,-64.6763]}},{"type":"Feature","id":50546,"properties":{"mag":6,"bv":"1.022"},"geometry":{"type":"Point","coordinates":[154.8616,48.3968]}},{"type":"Feature","id":50555,"properties":{"mag":4.59,"bv":"1.600"},"geometry":{"type":"Point","coordinates":[154.9031,-55.0293]}},{"type":"Feature","id":50564,"properties":{"mag":4.78,"bv":"0.452"},"geometry":{"type":"Point","coordinates":[154.934,19.4709]}},{"type":"Feature","id":50583,"properties":{"mag":2.01,"bv":"1.128"},"geometry":{"type":"Point","coordinates":[154.9931,19.8415]}},{"type":"Feature","id":50609,"properties":{"mag":5.66,"bv":"1.667"},"geometry":{"type":"Point","coordinates":[155.0696,-47.6991]}},{"type":"Feature","id":50676,"properties":{"mag":4.5,"bv":"-0.102"},"geometry":{"type":"Point","coordinates":[155.2283,-56.0432]}},{"type":"Feature","id":50685,"properties":{"mag":5.88,"bv":"0.241"},"geometry":{"type":"Point","coordinates":[155.2639,68.7477]}},{"type":"Feature","id":50786,"properties":{"mag":5.73,"bv":"0.531"},"geometry":{"type":"Point","coordinates":[155.544,41.2295]}},{"type":"Feature","id":50799,"properties":{"mag":4.82,"bv":"1.095"},"geometry":{"type":"Point","coordinates":[155.5816,-41.65]}},{"type":"Feature","id":50801,"properties":{"mag":3.06,"bv":"1.603"},"geometry":{"type":"Point","coordinates":[155.5823,41.4995]}},{"type":"Feature","id":50847,"properties":{"mag":4.97,"bv":"-0.128"},"geometry":{"type":"Point","coordinates":[155.7423,-66.9015]}},{"type":"Feature","id":50860,"properties":{"mag":5.89,"bv":"0.147"},"geometry":{"type":"Point","coordinates":[155.7764,33.9081]}},{"type":"Feature","id":50885,"properties":{"mag":5.93,"bv":"-0.048"},"geometry":{"type":"Point","coordinates":[155.8603,-4.074]}},{"type":"Feature","id":50888,"properties":{"mag":5.34,"bv":"0.251"},"geometry":{"type":"Point","coordinates":[155.8721,-38.0098]}},{"type":"Feature","id":50933,"properties":{"mag":4.94,"bv":"-0.052"},"geometry":{"type":"Point","coordinates":[156.0327,65.5664]}},{"type":"Feature","id":50935,"properties":{"mag":5.52,"bv":"1.186"},"geometry":{"type":"Point","coordinates":[156.0358,33.7185]}},{"type":"Feature","id":50954,"properties":{"mag":3.99,"bv":"0.369"},"geometry":{"type":"Point","coordinates":[156.0988,-74.0316]}},{"type":"Feature","id":50993,"properties":{"mag":5.93,"bv":"0.315"},"geometry":{"type":"Point","coordinates":[156.2476,-58.5763]}},{"type":"Feature","id":51008,"properties":{"mag":5.61,"bv":"1.630"},"geometry":{"type":"Point","coordinates":[156.3133,8.7848]}},{"type":"Feature","id":51046,"properties":{"mag":5.6,"bv":"1.528"},"geometry":{"type":"Point","coordinates":[156.4345,-7.0598]}},{"type":"Feature","id":51056,"properties":{"mag":4.72,"bv":"0.260"},"geometry":{"type":"Point","coordinates":[156.4784,33.7961]}},{"type":"Feature","id":51069,"properties":{"mag":3.83,"bv":"1.456"},"geometry":{"type":"Point","coordinates":[156.5226,-16.8363]}},{"type":"Feature","id":51140,"properties":{"mag":5.58,"bv":"1.556"},"geometry":{"type":"Point","coordinates":[156.7038,-54.8773]}},{"type":"Feature","id":51172,"properties":{"mag":4.28,"bv":"1.429"},"geometry":{"type":"Point","coordinates":[156.7879,-31.0678]}},{"type":"Feature","id":51192,"properties":{"mag":4.65,"bv":"0.474"},"geometry":{"type":"Point","coordinates":[156.852,-57.6388]}},{"type":"Feature","id":51194,"properties":{"mag":6,"bv":"0.091"},"geometry":{"type":"Point","coordinates":[156.8553,-65.7047]}},{"type":"Feature","id":51200,"properties":{"mag":6,"bv":"0.166"},"geometry":{"type":"Point","coordinates":[156.8668,41.601]}},{"type":"Feature","id":51232,"properties":{"mag":3.81,"bv":"0.317"},"geometry":{"type":"Point","coordinates":[156.9697,-58.7394]}},{"type":"Feature","id":51233,"properties":{"mag":4.2,"bv":"0.908"},"geometry":{"type":"Point","coordinates":[156.9708,36.7072]}},{"type":"Feature","id":51313,"properties":{"mag":5.27,"bv":"1.856"},"geometry":{"type":"Point","coordinates":[157.2191,-64.1723]}},{"type":"Feature","id":51362,"properties":{"mag":5.19,"bv":"-0.050"},"geometry":{"type":"Point","coordinates":[157.3696,-2.7391]}},{"type":"Feature","id":51364,"properties":{"mag":5.58,"bv":"1.420"},"geometry":{"type":"Point","coordinates":[157.3707,-29.6638]}},{"type":"Feature","id":51376,"properties":{"mag":5.57,"bv":"-0.041"},"geometry":{"type":"Point","coordinates":[157.3974,-30.6071]}},{"type":"Feature","id":51384,"properties":{"mag":5.52,"bv":"0.244"},"geometry":{"type":"Point","coordinates":[157.4228,84.252]}},{"type":"Feature","id":51420,"properties":{"mag":5.79,"bv":"0.087"},"geometry":{"type":"Point","coordinates":[157.5269,38.9251]}},{"type":"Feature","id":51437,"properties":{"mag":5.08,"bv":"-0.138"},"geometry":{"type":"Point","coordinates":[157.5728,-0.637]}},{"type":"Feature","id":51438,"properties":{"mag":4.72,"bv":"0.042"},"geometry":{"type":"Point","coordinates":[157.5839,-71.9928]}},{"type":"Feature","id":51459,"properties":{"mag":4.82,"bv":"0.541"},"geometry":{"type":"Point","coordinates":[157.6566,55.9805]}},{"type":"Feature","id":51491,"properties":{"mag":5.59,"bv":"-0.028"},"geometry":{"type":"Point","coordinates":[157.7493,-13.5885]}},{"type":"Feature","id":51495,"properties":{"mag":4.94,"bv":"1.677"},"geometry":{"type":"Point","coordinates":[157.7586,-73.2215]}},{"type":"Feature","id":51502,"properties":{"mag":5.25,"bv":"0.399"},"geometry":{"type":"Point","coordinates":[157.7694,82.5586]}},{"type":"Feature","id":51523,"properties":{"mag":4.89,"bv":"0.500"},"geometry":{"type":"Point","coordinates":[157.8409,-53.7155]}},{"type":"Feature","id":51556,"properties":{"mag":5.9,"bv":"0.114"},"geometry":{"type":"Point","coordinates":[157.9641,32.3796]}},{"type":"Feature","id":51561,"properties":{"mag":5.76,"bv":"-0.194"},"geometry":{"type":"Point","coordinates":[157.9893,-45.0667]}},{"type":"Feature","id":51576,"properties":{"mag":3.3,"bv":"-0.089"},"geometry":{"type":"Point","coordinates":[158.0061,-61.6853]}},{"type":"Feature","id":51585,"properties":{"mag":5.43,"bv":"1.696"},"geometry":{"type":"Point","coordinates":[158.0491,14.1373]}},{"type":"Feature","id":51610,"properties":{"mag":5.91,"bv":"0.920"},"geometry":{"type":"Point","coordinates":[158.14,-44.6185]}},{"type":"Feature","id":51623,"properties":{"mag":5.98,"bv":"0.290"},"geometry":{"type":"Point","coordinates":[158.1992,-58.6667]}},{"type":"Feature","id":51624,"properties":{"mag":3.84,"bv":"-0.148"},"geometry":{"type":"Point","coordinates":[158.2028,9.3066]}},{"type":"Feature","id":51635,"properties":{"mag":5.02,"bv":"1.045"},"geometry":{"type":"Point","coordinates":[158.2369,-47.0034]}},{"type":"Feature","id":51658,"properties":{"mag":4.72,"bv":"0.222"},"geometry":{"type":"Point","coordinates":[158.3079,40.4256]}},{"type":"Feature","id":51685,"properties":{"mag":5.57,"bv":"0.029"},"geometry":{"type":"Point","coordinates":[158.3788,34.9887]}},{"type":"Feature","id":51718,"properties":{"mag":5.08,"bv":"1.596"},"geometry":{"type":"Point","coordinates":[158.5037,-23.7452]}},{"type":"Feature","id":51775,"properties":{"mag":5.07,"bv":"0.921"},"geometry":{"type":"Point","coordinates":[158.7001,6.9537]}},{"type":"Feature","id":51802,"properties":{"mag":5.67,"bv":"0.059"},"geometry":{"type":"Point","coordinates":[158.759,8.6504]}},{"type":"Feature","id":51808,"properties":{"mag":4.86,"bv":"0.957"},"geometry":{"type":"Point","coordinates":[158.7728,75.7129]}},{"type":"Feature","id":51814,"properties":{"mag":5.16,"bv":"0.349"},"geometry":{"type":"Point","coordinates":[158.7904,57.0826]}},{"type":"Feature","id":51821,"properties":{"mag":5.5,"bv":"3.015"},"geometry":{"type":"Point","coordinates":[158.8035,-39.5626]}},{"type":"Feature","id":51839,"properties":{"mag":4.11,"bv":"1.580"},"geometry":{"type":"Point","coordinates":[158.8671,-78.6078]}},{"type":"Feature","id":51849,"properties":{"mag":4.45,"bv":"1.604"},"geometry":{"type":"Point","coordinates":[158.8971,-57.5576]}},{"type":"Feature","id":51912,"properties":{"mag":5.08,"bv":"1.172"},"geometry":{"type":"Point","coordinates":[159.0855,-59.5644]}},{"type":"Feature","id":51933,"properties":{"mag":5.71,"bv":"0.528"},"geometry":{"type":"Point","coordinates":[159.1349,-12.2301]}},{"type":"Feature","id":51979,"properties":{"mag":4.87,"bv":"1.626"},"geometry":{"type":"Point","coordinates":[159.3072,-27.4126]}},{"type":"Feature","id":51986,"properties":{"mag":3.84,"bv":"0.300"},"geometry":{"type":"Point","coordinates":[159.3256,-48.2256]}},{"type":"Feature","id":52004,"properties":{"mag":5.47,"bv":"0.500"},"geometry":{"type":"Point","coordinates":[159.3628,-58.7333]}},{"type":"Feature","id":52009,"properties":{"mag":4.89,"bv":"2.800"},"geometry":{"type":"Point","coordinates":[159.3886,-13.3845]}},{"type":"Feature","id":52043,"properties":{"mag":5.89,"bv":"-0.128"},"geometry":{"type":"Point","coordinates":[159.511,-57.2563]}},{"type":"Feature","id":52085,"properties":{"mag":4.91,"bv":"0.922"},"geometry":{"type":"Point","coordinates":[159.6456,-16.8766]}},{"type":"Feature","id":52098,"properties":{"mag":4.68,"bv":"0.823"},"geometry":{"type":"Point","coordinates":[159.6801,31.9762]}},{"type":"Feature","id":52102,"properties":{"mag":4.69,"bv":"1.562"},"geometry":{"type":"Point","coordinates":[159.6875,-59.183]}},{"type":"Feature","id":52127,"properties":{"mag":5.96,"bv":"1.692"},"geometry":{"type":"Point","coordinates":[159.7484,-58.8169]}},{"type":"Feature","id":52136,"properties":{"mag":5.55,"bv":"1.270"},"geometry":{"type":"Point","coordinates":[159.7736,53.6683]}},{"type":"Feature","id":52139,"properties":{"mag":5.84,"bv":"0.595"},"geometry":{"type":"Point","coordinates":[159.7818,37.91]}},{"type":"Feature","id":52154,"properties":{"mag":4.29,"bv":"1.025"},"geometry":{"type":"Point","coordinates":[159.8266,-55.6033]}},{"type":"Feature","id":52221,"properties":{"mag":5.51,"bv":"-0.158"},"geometry":{"type":"Point","coordinates":[160.0477,-65.1002]}},{"type":"Feature","id":52338,"properties":{"mag":5.74,"bv":"1.315"},"geometry":{"type":"Point","coordinates":[160.4511,68.4435]}},{"type":"Feature","id":52340,"properties":{"mag":5.97,"bv":"-0.071"},"geometry":{"type":"Point","coordinates":[160.4647,-79.7833]}},{"type":"Feature","id":52353,"properties":{"mag":5.12,"bv":"1.207"},"geometry":{"type":"Point","coordinates":[160.4856,65.7163]}},{"type":"Feature","id":52370,"properties":{"mag":4.76,"bv":"-0.139"},"geometry":{"type":"Point","coordinates":[160.5588,-64.4664]}},{"type":"Feature","id":52405,"properties":{"mag":5.36,"bv":"0.213"},"geometry":{"type":"Point","coordinates":[160.669,-59.2158]}},{"type":"Feature","id":52407,"properties":{"mag":5.63,"bv":"0.006"},"geometry":{"type":"Point","coordinates":[160.6799,-32.7157]}},{"type":"Feature","id":52419,"properties":{"mag":2.74,"bv":"-0.220"},"geometry":{"type":"Point","coordinates":[160.7392,-64.3945]}},{"type":"Feature","id":52422,"properties":{"mag":5.51,"bv":"0.160"},"geometry":{"type":"Point","coordinates":[160.7578,26.3256]}},{"type":"Feature","id":52425,"properties":{"mag":5.01,"bv":"1.406"},"geometry":{"type":"Point","coordinates":[160.7668,69.0762]}},{"type":"Feature","id":52452,"properties":{"mag":5.77,"bv":"1.168"},"geometry":{"type":"Point","coordinates":[160.8372,4.7477]}},{"type":"Feature","id":52457,"properties":{"mag":5.08,"bv":"0.042"},"geometry":{"type":"Point","coordinates":[160.854,23.1884]}},{"type":"Feature","id":52468,"properties":{"mag":4.58,"bv":"1.700"},"geometry":{"type":"Point","coordinates":[160.8845,-60.5666]}},{"type":"Feature","id":52469,"properties":{"mag":5.18,"bv":"0.324"},"geometry":{"type":"Point","coordinates":[160.887,46.2039]}},{"type":"Feature","id":52478,"properties":{"mag":5.79,"bv":"-0.038"},"geometry":{"type":"Point","coordinates":[160.9306,57.1992]}},{"type":"Feature","id":52487,"properties":{"mag":5.74,"bv":"0.012"},"geometry":{"type":"Point","coordinates":[160.9633,-64.249]}},{"type":"Feature","id":52502,"properties":{"mag":4.8,"bv":"-0.134"},"geometry":{"type":"Point","coordinates":[161.0288,-63.9611]}},{"type":"Feature","id":52577,"properties":{"mag":5.95,"bv":"2.382"},"geometry":{"type":"Point","coordinates":[161.2668,67.4114]}},{"type":"Feature","id":52595,"properties":{"mag":5.46,"bv":"0.957"},"geometry":{"type":"Point","coordinates":[161.318,-80.4696]}},{"type":"Feature","id":52633,"properties":{"mag":4.45,"bv":"-0.188"},"geometry":{"type":"Point","coordinates":[161.4458,-80.5402]}},{"type":"Feature","id":52638,"properties":{"mag":5.36,"bv":"-0.050"},"geometry":{"type":"Point","coordinates":[161.4662,30.6823]}},{"type":"Feature","id":52678,"properties":{"mag":5.33,"bv":"-0.096"},"geometry":{"type":"Point","coordinates":[161.569,-64.5146]}},{"type":"Feature","id":52686,"properties":{"mag":5.5,"bv":"1.134"},"geometry":{"type":"Point","coordinates":[161.6023,18.8915]}},{"type":"Feature","id":52689,"properties":{"mag":5.49,"bv":"0.908"},"geometry":{"type":"Point","coordinates":[161.6053,14.1946]}},{"type":"Feature","id":52701,"properties":{"mag":5.23,"bv":"-0.077"},"geometry":{"type":"Point","coordinates":[161.6233,-64.2632]}},{"type":"Feature","id":52727,"properties":{"mag":2.69,"bv":"0.901"},"geometry":{"type":"Point","coordinates":[161.6924,-49.4203]}},{"type":"Feature","id":52736,"properties":{"mag":4.87,"bv":"-0.149"},"geometry":{"type":"Point","coordinates":[161.7134,-64.3835]}},{"type":"Feature","id":52737,"properties":{"mag":5.44,"bv":"0.112"},"geometry":{"type":"Point","coordinates":[161.7169,-17.2969]}},{"type":"Feature","id":52742,"properties":{"mag":5.14,"bv":"-0.080"},"geometry":{"type":"Point","coordinates":[161.7395,-56.7572]}},{"type":"Feature","id":52827,"properties":{"mag":5.98,"bv":"0.274"},"geometry":{"type":"Point","coordinates":[162.0225,-59.9192]}},{"type":"Feature","id":52841,"properties":{"mag":5.87,"bv":"0.028"},"geometry":{"type":"Point","coordinates":[162.0588,-31.6879]}},{"type":"Feature","id":52863,"properties":{"mag":5.92,"bv":"1.608"},"geometry":{"type":"Point","coordinates":[162.169,-1.9589]}},{"type":"Feature","id":52911,"properties":{"mag":5.32,"bv":"0.035"},"geometry":{"type":"Point","coordinates":[162.3143,10.5452]}},{"type":"Feature","id":52922,"properties":{"mag":5.85,"bv":"0.008"},"geometry":{"type":"Point","coordinates":[162.3518,-59.3238]}},{"type":"Feature","id":52943,"properties":{"mag":3.11,"bv":"1.232"},"geometry":{"type":"Point","coordinates":[162.4062,-16.1936]}},{"type":"Feature","id":52948,"properties":{"mag":5.85,"bv":"1.074"},"geometry":{"type":"Point","coordinates":[162.4312,-9.8527]}},{"type":"Feature","id":52965,"properties":{"mag":5.61,"bv":"0.038"},"geometry":{"type":"Point","coordinates":[162.4876,-34.0582]}},{"type":"Feature","id":52980,"properties":{"mag":5.8,"bv":"0.156"},"geometry":{"type":"Point","coordinates":[162.5752,-8.8978]}},{"type":"Feature","id":53035,"properties":{"mag":5.95,"bv":"1.475"},"geometry":{"type":"Point","coordinates":[162.7725,-3.0927]}},{"type":"Feature","id":53043,"properties":{"mag":5.66,"bv":"1.132"},"geometry":{"type":"Point","coordinates":[162.7959,56.5823]}},{"type":"Feature","id":53064,"properties":{"mag":5.57,"bv":"1.160"},"geometry":{"type":"Point","coordinates":[162.8488,59.3201]}},{"type":"Feature","id":53154,"properties":{"mag":5.26,"bv":"0.130"},"geometry":{"type":"Point","coordinates":[163.1285,-57.2404]}},{"type":"Feature","id":53229,"properties":{"mag":3.79,"bv":"1.040"},"geometry":{"type":"Point","coordinates":[163.3279,34.2149]}},{"type":"Feature","id":53252,"properties":{"mag":5.23,"bv":"0.480"},"geometry":{"type":"Point","coordinates":[163.373,-20.1387]}},{"type":"Feature","id":53253,"properties":{"mag":3.78,"bv":"0.945"},"geometry":{"type":"Point","coordinates":[163.3736,-58.8532]}},{"type":"Feature","id":53257,"properties":{"mag":5.91,"bv":"1.010"},"geometry":{"type":"Point","coordinates":[163.3779,69.8539]}},{"type":"Feature","id":53261,"properties":{"mag":5.12,"bv":"1.355"},"geometry":{"type":"Point","coordinates":[163.3935,54.5851]}},{"type":"Feature","id":53272,"properties":{"mag":5.99,"bv":"-0.020"},"geometry":{"type":"Point","coordinates":[163.4253,-70.7203]}},{"type":"Feature","id":53273,"properties":{"mag":5.45,"bv":"0.966"},"geometry":{"type":"Point","coordinates":[163.4321,-2.1292]}},{"type":"Feature","id":53295,"properties":{"mag":4.66,"bv":"-0.039"},"geometry":{"type":"Point","coordinates":[163.4948,43.19]}},{"type":"Feature","id":53316,"properties":{"mag":5.65,"bv":"0.832"},"geometry":{"type":"Point","coordinates":[163.5741,-13.758]}},{"type":"Feature","id":53334,"properties":{"mag":5.95,"bv":"1.736"},"geometry":{"type":"Point","coordinates":[163.6233,-61.8266]}},{"type":"Feature","id":53377,"properties":{"mag":5.73,"bv":"1.032"},"geometry":{"type":"Point","coordinates":[163.7424,34.0348]}},{"type":"Feature","id":53394,"properties":{"mag":5.93,"bv":"1.065"},"geometry":{"type":"Point","coordinates":[163.8218,-60.517]}},{"type":"Feature","id":53417,"properties":{"mag":4.3,"bv":"0.016"},"geometry":{"type":"Point","coordinates":[163.9033,24.7497]}},{"type":"Feature","id":53423,"properties":{"mag":5.91,"bv":"0.425"},"geometry":{"type":"Point","coordinates":[163.9267,0.7369]}},{"type":"Feature","id":53426,"properties":{"mag":5.02,"bv":"1.101"},"geometry":{"type":"Point","coordinates":[163.9349,33.5069]}},{"type":"Feature","id":53449,"properties":{"mag":5.91,"bv":"1.256"},"geometry":{"type":"Point","coordinates":[164.0061,6.1854]}},{"type":"Feature","id":53502,"properties":{"mag":4.6,"bv":"1.006"},"geometry":{"type":"Point","coordinates":[164.1794,-37.1378]}},{"type":"Feature","id":53530,"properties":{"mag":5.9,"bv":"0.173"},"geometry":{"type":"Point","coordinates":[164.2827,-50.765]}},{"type":"Feature","id":53699,"properties":{"mag":5.7,"bv":"0.374"},"geometry":{"type":"Point","coordinates":[164.8073,-33.7376]}},{"type":"Feature","id":53721,"properties":{"mag":5.03,"bv":"0.624"},"geometry":{"type":"Point","coordinates":[164.8666,40.4303]}},{"type":"Feature","id":53723,"properties":{"mag":5.88,"bv":"1.600"},"geometry":{"type":"Point","coordinates":[164.8789,-16.3537]}},{"type":"Feature","id":53726,"properties":{"mag":5.99,"bv":"1.595"},"geometry":{"type":"Point","coordinates":[164.8866,36.0931]}},{"type":"Feature","id":53740,"properties":{"mag":4.08,"bv":"1.079"},"geometry":{"type":"Point","coordinates":[164.9436,-18.2988]}},{"type":"Feature","id":53762,"properties":{"mag":5.81,"bv":"-0.064"},"geometry":{"type":"Point","coordinates":[164.9974,-43.8071]}},{"type":"Feature","id":53773,"properties":{"mag":4.37,"bv":"0.116"},"geometry":{"type":"Point","coordinates":[165.0386,-42.2259]}},{"type":"Feature","id":53778,"properties":{"mag":5.86,"bv":"1.501"},"geometry":{"type":"Point","coordinates":[165.0487,-14.0834]}},{"type":"Feature","id":53781,"properties":{"mag":5.47,"bv":"1.466"},"geometry":{"type":"Point","coordinates":[165.0613,45.5263]}},{"type":"Feature","id":53807,"properties":{"mag":4.84,"bv":"1.144"},"geometry":{"type":"Point","coordinates":[165.1402,3.6175]}},{"type":"Feature","id":53824,"properties":{"mag":4.98,"bv":"0.166"},"geometry":{"type":"Point","coordinates":[165.1867,6.1014]}},{"type":"Feature","id":53838,"properties":{"mag":5.06,"bv":"0.255"},"geometry":{"type":"Point","coordinates":[165.2101,39.2121]}},{"type":"Feature","id":53907,"properties":{"mag":4.73,"bv":"1.593"},"geometry":{"type":"Point","coordinates":[165.457,-2.4846]}},{"type":"Feature","id":53910,"properties":{"mag":2.34,"bv":"0.033"},"geometry":{"type":"Point","coordinates":[165.4603,56.3824]}},{"type":"Feature","id":53954,"properties":{"mag":4.42,"bv":"0.053"},"geometry":{"type":"Point","coordinates":[165.5824,20.1798]}},{"type":"Feature","id":54029,"properties":{"mag":5.51,"bv":"0.938"},"geometry":{"type":"Point","coordinates":[165.812,-11.3035]}},{"type":"Feature","id":54049,"properties":{"mag":5.95,"bv":"1.218"},"geometry":{"type":"Point","coordinates":[165.9025,-0.0008]}},{"type":"Feature","id":54061,"properties":{"mag":1.81,"bv":"1.061"},"geometry":{"type":"Point","coordinates":[165.932,61.751]}},{"type":"Feature","id":54137,"properties":{"mag":5.67,"bv":"0.256"},"geometry":{"type":"Point","coordinates":[166.13,-47.6791]}},{"type":"Feature","id":54173,"properties":{"mag":5.43,"bv":"0.021"},"geometry":{"type":"Point","coordinates":[166.2258,-35.8047]}},{"type":"Feature","id":54182,"properties":{"mag":4.62,"bv":"0.332"},"geometry":{"type":"Point","coordinates":[166.2543,7.336]}},{"type":"Feature","id":54204,"properties":{"mag":4.92,"bv":"0.369"},"geometry":{"type":"Point","coordinates":[166.3329,-27.2936]}},{"type":"Feature","id":54255,"properties":{"mag":5.69,"bv":"-0.067"},"geometry":{"type":"Point","coordinates":[166.4899,-27.2879]}},{"type":"Feature","id":54301,"properties":{"mag":4.62,"bv":"0.988"},"geometry":{"type":"Point","coordinates":[166.6351,-62.4241]}},{"type":"Feature","id":54327,"properties":{"mag":5.58,"bv":"-0.070"},"geometry":{"type":"Point","coordinates":[166.7079,-70.8779]}},{"type":"Feature","id":54336,"properties":{"mag":5.52,"bv":"0.955"},"geometry":{"type":"Point","coordinates":[166.7259,1.9555]}},{"type":"Feature","id":54360,"properties":{"mag":5.15,"bv":"0.029"},"geometry":{"type":"Point","coordinates":[166.8195,-42.6387]}},{"type":"Feature","id":54461,"properties":{"mag":5.11,"bv":"0.195"},"geometry":{"type":"Point","coordinates":[167.1417,-61.9472]}},{"type":"Feature","id":54463,"properties":{"mag":3.93,"bv":"1.225"},"geometry":{"type":"Point","coordinates":[167.1475,-58.975]}},{"type":"Feature","id":54477,"properties":{"mag":5.43,"bv":"0.069"},"geometry":{"type":"Point","coordinates":[167.1833,-28.0807]}},{"type":"Feature","id":54487,"properties":{"mag":5.7,"bv":"0.081"},"geometry":{"type":"Point","coordinates":[167.2045,24.6585]}},{"type":"Feature","id":54522,"properties":{"mag":5.71,"bv":"1.400"},"geometry":{"type":"Point","coordinates":[167.3295,36.3094]}},{"type":"Feature","id":54537,"properties":{"mag":5.89,"bv":"1.564"},"geometry":{"type":"Point","coordinates":[167.4104,43.2077]}},{"type":"Feature","id":54539,"properties":{"mag":3,"bv":"1.144"},"geometry":{"type":"Point","coordinates":[167.4159,44.4985]}},{"type":"Feature","id":54561,"properties":{"mag":5.79,"bv":"0.027"},"geometry":{"type":"Point","coordinates":[167.4725,-32.3675]}},{"type":"Feature","id":54682,"properties":{"mag":4.46,"bv":"0.025"},"geometry":{"type":"Point","coordinates":[167.9145,-22.8258]}},{"type":"Feature","id":54746,"properties":{"mag":5.37,"bv":"0.175"},"geometry":{"type":"Point","coordinates":[168.1377,-49.101]}},{"type":"Feature","id":54751,"properties":{"mag":4.59,"bv":"0.541"},"geometry":{"type":"Point","coordinates":[168.1501,-60.3176]}},{"type":"Feature","id":54767,"properties":{"mag":5.22,"bv":"-0.082"},"geometry":{"type":"Point","coordinates":[168.1884,-64.1698]}},{"type":"Feature","id":54811,"properties":{"mag":5.77,"bv":"1.661"},"geometry":{"type":"Point","coordinates":[168.3112,-44.3722]}},{"type":"Feature","id":54829,"properties":{"mag":5.74,"bv":"-0.106"},"geometry":{"type":"Point","coordinates":[168.3783,-59.6193]}},{"type":"Feature","id":54840,"properties":{"mag":5.75,"bv":"1.309"},"geometry":{"type":"Point","coordinates":[168.4141,-53.2318]}},{"type":"Feature","id":54849,"properties":{"mag":5.4,"bv":"-0.020"},"geometry":{"type":"Point","coordinates":[168.4398,-0.0695]}},{"type":"Feature","id":54863,"properties":{"mag":5.79,"bv":"1.128"},"geometry":{"type":"Point","coordinates":[168.5076,8.0607]}},{"type":"Feature","id":54872,"properties":{"mag":2.56,"bv":"0.128"},"geometry":{"type":"Point","coordinates":[168.5271,20.5237]}},{"type":"Feature","id":54879,"properties":{"mag":3.33,"bv":"-0.003"},"geometry":{"type":"Point","coordinates":[168.56,15.4296]}},{"type":"Feature","id":54951,"properties":{"mag":4.56,"bv":"1.657"},"geometry":{"type":"Point","coordinates":[168.801,23.0955]}},{"type":"Feature","id":55016,"properties":{"mag":5.31,"bv":"1.189"},"geometry":{"type":"Point","coordinates":[168.9662,13.3076]}},{"type":"Feature","id":55084,"properties":{"mag":4.45,"bv":"0.210"},"geometry":{"type":"Point","coordinates":[169.1654,-3.6516]}},{"type":"Feature","id":55086,"properties":{"mag":5.88,"bv":"1.102"},"geometry":{"type":"Point","coordinates":[169.1744,49.4763]}},{"type":"Feature","id":55137,"properties":{"mag":5.18,"bv":"1.511"},"geometry":{"type":"Point","coordinates":[169.3225,2.0106]}},{"type":"Feature","id":55203,"properties":{"mag":3.79,"bv":"0.606"},"geometry":{"type":"Point","coordinates":[169.5468,31.5308]}},{"type":"Feature","id":55219,"properties":{"mag":3.49,"bv":"1.400"},"geometry":{"type":"Point","coordinates":[169.6197,33.0943]}},{"type":"Feature","id":55249,"properties":{"mag":5.9,"bv":"1.040"},"geometry":{"type":"Point","coordinates":[169.729,1.6504]}},{"type":"Feature","id":55266,"properties":{"mag":4.76,"bv":"0.113"},"geometry":{"type":"Point","coordinates":[169.7829,38.1856]}},{"type":"Feature","id":55280,"properties":{"mag":5.99,"bv":"0.471"},"geometry":{"type":"Point","coordinates":[169.8185,-64.5825]}},{"type":"Feature","id":55282,"properties":{"mag":3.56,"bv":"1.112"},"geometry":{"type":"Point","coordinates":[169.8352,-14.7785]}},{"type":"Feature","id":55425,"properties":{"mag":3.9,"bv":"-0.157"},"geometry":{"type":"Point","coordinates":[170.2517,-54.491]}},{"type":"Feature","id":55434,"properties":{"mag":4.05,"bv":"-0.058"},"geometry":{"type":"Point","coordinates":[170.2841,6.0293]}},{"type":"Feature","id":55560,"properties":{"mag":4.99,"bv":"0.998"},"geometry":{"type":"Point","coordinates":[170.7066,43.4827]}},{"type":"Feature","id":55581,"properties":{"mag":5.82,"bv":"-0.004"},"geometry":{"type":"Point","coordinates":[170.7839,-56.7794]}},{"type":"Feature","id":55588,"properties":{"mag":5,"bv":"1.464"},"geometry":{"type":"Point","coordinates":[170.8028,-36.1648]}},{"type":"Feature","id":55597,"properties":{"mag":5.09,"bv":"-0.061"},"geometry":{"type":"Point","coordinates":[170.8392,-64.9547]}},{"type":"Feature","id":55598,"properties":{"mag":5.08,"bv":"0.439"},"geometry":{"type":"Point","coordinates":[170.8412,-18.78]}},{"type":"Feature","id":55642,"properties":{"mag":4,"bv":"0.423"},"geometry":{"type":"Point","coordinates":[170.9811,10.5295]}},{"type":"Feature","id":55650,"properties":{"mag":5.39,"bv":"0.938"},"geometry":{"type":"Point","coordinates":[171.0097,1.4078]}},{"type":"Feature","id":55657,"properties":{"mag":5.55,"bv":"0.017"},"geometry":{"type":"Point","coordinates":[171.0464,-72.2566]}},{"type":"Feature","id":55687,"properties":{"mag":4.81,"bv":"1.556"},"geometry":{"type":"Point","coordinates":[171.1525,-10.8593]}},{"type":"Feature","id":55705,"properties":{"mag":4.06,"bv":"0.216"},"geometry":{"type":"Point","coordinates":[171.2205,-17.684]}},{"type":"Feature","id":55716,"properties":{"mag":5.8,"bv":"1.376"},"geometry":{"type":"Point","coordinates":[171.2455,11.4303]}},{"type":"Feature","id":55756,"properties":{"mag":5.21,"bv":"0.979"},"geometry":{"type":"Point","coordinates":[171.3727,-36.0631]}},{"type":"Feature","id":55763,"properties":{"mag":5.87,"bv":"1.503"},"geometry":{"type":"Point","coordinates":[171.3879,-37.7476]}},{"type":"Feature","id":55765,"properties":{"mag":5.58,"bv":"0.390"},"geometry":{"type":"Point","coordinates":[171.4016,16.4565]}},{"type":"Feature","id":55779,"properties":{"mag":5.18,"bv":"0.495"},"geometry":{"type":"Point","coordinates":[171.4298,-63.9725]}},{"type":"Feature","id":55797,"properties":{"mag":5.73,"bv":"0.988"},"geometry":{"type":"Point","coordinates":[171.488,55.8505]}},{"type":"Feature","id":55831,"properties":{"mag":5.22,"bv":"-0.077"},"geometry":{"type":"Point","coordinates":[171.6476,-61.1152]}},{"type":"Feature","id":55849,"properties":{"mag":5.8,"bv":"0.517"},"geometry":{"type":"Point","coordinates":[171.6969,-53.1599]}},{"type":"Feature","id":55874,"properties":{"mag":5.93,"bv":"0.490"},"geometry":{"type":"Point","coordinates":[171.7897,-12.3567]}},{"type":"Feature","id":55945,"properties":{"mag":4.95,"bv":"1.000"},"geometry":{"type":"Point","coordinates":[171.9843,2.8563]}},{"type":"Feature","id":56000,"properties":{"mag":5.14,"bv":"-0.028"},"geometry":{"type":"Point","coordinates":[172.1462,-42.6742]}},{"type":"Feature","id":56034,"properties":{"mag":5.3,"bv":"0.019"},"geometry":{"type":"Point","coordinates":[172.2672,39.337]}},{"type":"Feature","id":56035,"properties":{"mag":5.83,"bv":"0.382"},"geometry":{"type":"Point","coordinates":[172.269,61.7784]}},{"type":"Feature","id":56078,"properties":{"mag":5.77,"bv":"0.067"},"geometry":{"type":"Point","coordinates":[172.4109,-24.464]}},{"type":"Feature","id":56080,"properties":{"mag":5.74,"bv":"1.371"},"geometry":{"type":"Point","coordinates":[172.4244,15.4133]}},{"type":"Feature","id":56127,"properties":{"mag":4.77,"bv":"1.529"},"geometry":{"type":"Point","coordinates":[172.5787,-3.0035]}},{"type":"Feature","id":56146,"properties":{"mag":5.54,"bv":"1.056"},"geometry":{"type":"Point","coordinates":[172.621,18.4098]}},{"type":"Feature","id":56148,"properties":{"mag":5.94,"bv":"0.524"},"geometry":{"type":"Point","coordinates":[172.6297,43.1732]}},{"type":"Feature","id":56211,"properties":{"mag":3.82,"bv":"1.613"},"geometry":{"type":"Point","coordinates":[172.8509,69.3311]}},{"type":"Feature","id":56243,"properties":{"mag":5.07,"bv":"1.026"},"geometry":{"type":"Point","coordinates":[172.942,-59.4421]}},{"type":"Feature","id":56250,"properties":{"mag":5.12,"bv":"0.432"},"geometry":{"type":"Point","coordinates":[172.9533,-59.5156]}},{"type":"Feature","id":56280,"properties":{"mag":4.93,"bv":"0.540"},"geometry":{"type":"Point","coordinates":[173.0683,-29.261]}},{"type":"Feature","id":56287,"properties":{"mag":5.89,"bv":"1.136"},"geometry":{"type":"Point","coordinates":[173.0833,-66.9618]}},{"type":"Feature","id":56290,"properties":{"mag":5.46,"bv":"0.515"},"geometry":{"type":"Point","coordinates":[173.0864,61.0825]}},{"type":"Feature","id":56318,"properties":{"mag":5.94,"bv":"1.380"},"geometry":{"type":"Point","coordinates":[173.1981,-7.8275]}},{"type":"Feature","id":56319,"properties":{"mag":5.64,"bv":"1.578"},"geometry":{"type":"Point","coordinates":[173.2003,-40.4362]}},{"type":"Feature","id":56332,"properties":{"mag":5.13,"bv":"1.581"},"geometry":{"type":"Point","coordinates":[173.2255,-31.0872]}},{"type":"Feature","id":56343,"properties":{"mag":3.54,"bv":"0.947"},"geometry":{"type":"Point","coordinates":[173.2505,-31.8576]}},{"type":"Feature","id":56391,"properties":{"mag":5.39,"bv":"0.117"},"geometry":{"type":"Point","coordinates":[173.405,-40.5866]}},{"type":"Feature","id":56445,"properties":{"mag":5.76,"bv":"0.480"},"geometry":{"type":"Point","coordinates":[173.5915,3.0602]}},{"type":"Feature","id":56452,"properties":{"mag":5.96,"bv":"0.811"},"geometry":{"type":"Point","coordinates":[173.6229,-32.8313]}},{"type":"Feature","id":56473,"properties":{"mag":5.95,"bv":"-0.156"},"geometry":{"type":"Point","coordinates":[173.677,16.7969]}},{"type":"Feature","id":56480,"properties":{"mag":4.62,"bv":"-0.077"},"geometry":{"type":"Point","coordinates":[173.6902,-54.2641]}},{"type":"Feature","id":56497,"properties":{"mag":5.5,"bv":"1.041"},"geometry":{"type":"Point","coordinates":[173.7369,-49.1365]}},{"type":"Feature","id":56510,"properties":{"mag":5.63,"bv":"1.032"},"geometry":{"type":"Point","coordinates":[173.7704,54.7854]}},{"type":"Feature","id":56518,"properties":{"mag":5.64,"bv":"1.682"},"geometry":{"type":"Point","coordinates":[173.8053,-47.3726]}},{"type":"Feature","id":56561,"properties":{"mag":3.11,"bv":"-0.044"},"geometry":{"type":"Point","coordinates":[173.9454,-63.0198]}},{"type":"Feature","id":56573,"properties":{"mag":5.26,"bv":"0.257"},"geometry":{"type":"Point","coordinates":[173.9816,-47.6416]}},{"type":"Feature","id":56583,"properties":{"mag":5.19,"bv":"0.974"},"geometry":{"type":"Point","coordinates":[174.0117,69.323]}},{"type":"Feature","id":56601,"properties":{"mag":5.8,"bv":"0.248"},"geometry":{"type":"Point","coordinates":[174.0748,27.7814]}},{"type":"Feature","id":56606,"properties":{"mag":5.84,"bv":"-0.102"},"geometry":{"type":"Point","coordinates":[174.0932,-61.0524]}},{"type":"Feature","id":56620,"properties":{"mag":5.71,"bv":"1.020"},"geometry":{"type":"Point","coordinates":[174.1456,-33.5701]}},{"type":"Feature","id":56633,"properties":{"mag":4.7,"bv":"-0.073"},"geometry":{"type":"Point","coordinates":[174.1705,-9.8022]}},{"type":"Feature","id":56647,"properties":{"mag":4.3,"bv":"0.983"},"geometry":{"type":"Point","coordinates":[174.2372,-0.8237]}},{"type":"Feature","id":56656,"properties":{"mag":5.14,"bv":"1.105"},"geometry":{"type":"Point","coordinates":[174.2522,-61.2834]}},{"type":"Feature","id":56675,"properties":{"mag":5.64,"bv":"0.362"},"geometry":{"type":"Point","coordinates":[174.3151,-75.8965]}},{"type":"Feature","id":56700,"properties":{"mag":5.46,"bv":"1.230"},"geometry":{"type":"Point","coordinates":[174.3916,-47.7473]}},{"type":"Feature","id":56727,"properties":{"mag":5.94,"bv":"1.013"},"geometry":{"type":"Point","coordinates":[174.4516,-67.6204]}},{"type":"Feature","id":56754,"properties":{"mag":5.15,"bv":"-0.040"},"geometry":{"type":"Point","coordinates":[174.5304,-61.8266]}},{"type":"Feature","id":56770,"properties":{"mag":5.56,"bv":"0.348"},"geometry":{"type":"Point","coordinates":[174.5857,43.6254]}},{"type":"Feature","id":56779,"properties":{"mag":5.24,"bv":"1.499"},"geometry":{"type":"Point","coordinates":[174.615,8.1343]}},{"type":"Feature","id":56802,"properties":{"mag":5.48,"bv":"0.520"},"geometry":{"type":"Point","coordinates":[174.6667,-13.2019]}},{"type":"Feature","id":56862,"properties":{"mag":5.01,"bv":"0.804"},"geometry":{"type":"Point","coordinates":[174.8733,-65.3978]}},{"type":"Feature","id":56922,"properties":{"mag":4.7,"bv":"-0.070"},"geometry":{"type":"Point","coordinates":[175.0533,-34.7447]}},{"type":"Feature","id":56970,"properties":{"mag":5.95,"bv":"1.670"},"geometry":{"type":"Point","coordinates":[175.177,-53.9686]}},{"type":"Feature","id":56975,"properties":{"mag":5.26,"bv":"0.984"},"geometry":{"type":"Point","coordinates":[175.1961,21.3527]}},{"type":"Feature","id":56986,"properties":{"mag":4.93,"bv":"1.111"},"geometry":{"type":"Point","coordinates":[175.2235,-62.0901]}},{"type":"Feature","id":56997,"properties":{"mag":5.31,"bv":"0.723"},"geometry":{"type":"Point","coordinates":[175.2626,34.2016]}},{"type":"Feature","id":57013,"properties":{"mag":5.54,"bv":"0.044"},"geometry":{"type":"Point","coordinates":[175.3325,-43.0957]}},{"type":"Feature","id":57029,"properties":{"mag":5.73,"bv":"0.440"},"geometry":{"type":"Point","coordinates":[175.3927,31.7461]}},{"type":"Feature","id":57047,"properties":{"mag":5.2,"bv":"1.475"},"geometry":{"type":"Point","coordinates":[175.4331,-32.4994]}},{"type":"Feature","id":57111,"properties":{"mag":5.32,"bv":"1.267"},"geometry":{"type":"Point","coordinates":[175.6182,66.7449]}},{"type":"Feature","id":57165,"properties":{"mag":5.98,"bv":"1.449"},"geometry":{"type":"Point","coordinates":[175.8633,-37.1902]}},{"type":"Feature","id":57175,"properties":{"mag":5,"bv":"0.784"},"geometry":{"type":"Point","coordinates":[175.88,-62.4894]}},{"type":"Feature","id":57283,"properties":{"mag":4.71,"bv":"0.958"},"geometry":{"type":"Point","coordinates":[176.1907,-18.3507]}},{"type":"Feature","id":57328,"properties":{"mag":4.84,"bv":"0.174"},"geometry":{"type":"Point","coordinates":[176.321,8.2581]}},{"type":"Feature","id":57363,"properties":{"mag":3.63,"bv":"0.160"},"geometry":{"type":"Point","coordinates":[176.4017,-66.7288]}},{"type":"Feature","id":57371,"properties":{"mag":5.28,"bv":"-0.118"},"geometry":{"type":"Point","coordinates":[176.4332,-45.6901]}},{"type":"Feature","id":57380,"properties":{"mag":4.04,"bv":"1.501"},"geometry":{"type":"Point","coordinates":[176.4648,6.5294]}},{"type":"Feature","id":57399,"properties":{"mag":3.69,"bv":"1.181"},"geometry":{"type":"Point","coordinates":[176.5126,47.7794]}},{"type":"Feature","id":57439,"properties":{"mag":4.11,"bv":"0.895"},"geometry":{"type":"Point","coordinates":[176.6284,-61.1784]}},{"type":"Feature","id":57443,"properties":{"mag":4.89,"bv":"0.664"},"geometry":{"type":"Point","coordinates":[176.6295,-40.5004]}},{"type":"Feature","id":57477,"properties":{"mag":5.27,"bv":"1.276"},"geometry":{"type":"Point","coordinates":[176.7318,55.6282]}},{"type":"Feature","id":57512,"properties":{"mag":5.42,"bv":"1.664"},"geometry":{"type":"Point","coordinates":[176.8298,-57.6965]}},{"type":"Feature","id":57562,"properties":{"mag":5.31,"bv":"0.038"},"geometry":{"type":"Point","coordinates":[176.9788,8.2459]}},{"type":"Feature","id":57565,"properties":{"mag":4.5,"bv":"0.547"},"geometry":{"type":"Point","coordinates":[176.9964,20.2189]}},{"type":"Feature","id":57581,"properties":{"mag":4.75,"bv":"1.522"},"geometry":{"type":"Point","coordinates":[177.0606,-66.8149]}},{"type":"Feature","id":57606,"properties":{"mag":5.9,"bv":"0.303"},"geometry":{"type":"Point","coordinates":[177.1613,14.2842]}},{"type":"Feature","id":57613,"properties":{"mag":5.1,"bv":"1.594"},"geometry":{"type":"Point","coordinates":[177.1878,-26.7498]}},{"type":"Feature","id":57632,"properties":{"mag":2.14,"bv":"0.090"},"geometry":{"type":"Point","coordinates":[177.2649,14.5721]}},{"type":"Feature","id":57669,"properties":{"mag":4.3,"bv":"-0.149"},"geometry":{"type":"Point","coordinates":[177.4211,-63.7885]}},{"type":"Feature","id":57670,"properties":{"mag":5.73,"bv":"0.467"},"geometry":{"type":"Point","coordinates":[177.4238,34.9318]}},{"type":"Feature","id":57696,"properties":{"mag":4.98,"bv":"1.360"},"geometry":{"type":"Point","coordinates":[177.4859,-70.2258]}},{"type":"Feature","id":57741,"properties":{"mag":5.68,"bv":"0.233"},"geometry":{"type":"Point","coordinates":[177.6137,-62.6494]}},{"type":"Feature","id":57757,"properties":{"mag":3.59,"bv":"0.518"},"geometry":{"type":"Point","coordinates":[177.6738,1.7647]}},{"type":"Feature","id":57791,"properties":{"mag":5.62,"bv":"1.058"},"geometry":{"type":"Point","coordinates":[177.7593,-5.3333]}},{"type":"Feature","id":57803,"properties":{"mag":4.47,"bv":"1.283"},"geometry":{"type":"Point","coordinates":[177.7862,-45.1735]}},{"type":"Feature","id":57841,"properties":{"mag":5.85,"bv":"0.554"},"geometry":{"type":"Point","coordinates":[177.9234,-30.8348]}},{"type":"Feature","id":57851,"properties":{"mag":4.89,"bv":"-0.123"},"geometry":{"type":"Point","coordinates":[177.9634,-65.2059]}},{"type":"Feature","id":57870,"properties":{"mag":5.56,"bv":"0.069"},"geometry":{"type":"Point","coordinates":[178.0428,-56.9877]}},{"type":"Feature","id":57936,"properties":{"mag":4.29,"bv":"-0.100"},"geometry":{"type":"Point","coordinates":[178.2272,-33.9081]}},{"type":"Feature","id":58001,"properties":{"mag":2.41,"bv":"0.044"},"geometry":{"type":"Point","coordinates":[178.4577,53.6948]}},{"type":"Feature","id":58082,"properties":{"mag":5.26,"bv":"0.883"},"geometry":{"type":"Point","coordinates":[178.6772,-25.7139]}},{"type":"Feature","id":58103,"properties":{"mag":5.89,"bv":"0.210"},"geometry":{"type":"Point","coordinates":[178.75,-63.2792]}},{"type":"Feature","id":58110,"properties":{"mag":5.58,"bv":"0.937"},"geometry":{"type":"Point","coordinates":[178.7631,8.4439]}},{"type":"Feature","id":58158,"properties":{"mag":5.93,"bv":"1.499"},"geometry":{"type":"Point","coordinates":[178.9172,-28.4771]}},{"type":"Feature","id":58159,"properties":{"mag":5.53,"bv":"0.116"},"geometry":{"type":"Point","coordinates":[178.9189,15.6468]}},{"type":"Feature","id":58181,"properties":{"mag":5.83,"bv":"1.101"},"geometry":{"type":"Point","coordinates":[178.9934,56.5986]}},{"type":"Feature","id":58188,"properties":{"mag":5.17,"bv":"-0.022"},"geometry":{"type":"Point","coordinates":[179.004,-17.1508]}},{"type":"Feature","id":58326,"properties":{"mag":5.59,"bv":"-0.152"},"geometry":{"type":"Point","coordinates":[179.4167,-62.4487]}},{"type":"Feature","id":58379,"properties":{"mag":5.44,"bv":"-0.062"},"geometry":{"type":"Point","coordinates":[179.5634,-56.3173]}},{"type":"Feature","id":58427,"properties":{"mag":5.59,"bv":"0.174"},"geometry":{"type":"Point","coordinates":[179.6986,-64.3396]}},{"type":"Feature","id":58460,"properties":{"mag":5.95,"bv":"1.153"},"geometry":{"type":"Point","coordinates":[179.8231,33.167]}},{"type":"Feature","id":58484,"properties":{"mag":4.88,"bv":"-0.054"},"geometry":{"type":"Point","coordinates":[179.9066,-78.2218]}},{"type":"Feature","id":58510,"properties":{"mag":5.36,"bv":"-0.001"},"geometry":{"type":"Point","coordinates":[179.9871,3.6552]}},{"type":"Feature","id":58576,"properties":{"mag":5.54,"bv":"0.760"},"geometry":{"type":"Point","coordinates":[-179.8148,-10.446]}},{"type":"Feature","id":58587,"properties":{"mag":5.28,"bv":"-0.192"},"geometry":{"type":"Point","coordinates":[-179.7868,-19.659]}},{"type":"Feature","id":58590,"properties":{"mag":4.65,"bv":"0.122"},"geometry":{"type":"Point","coordinates":[-179.7817,6.6143]}},{"type":"Feature","id":58654,"properties":{"mag":5.59,"bv":"1.019"},"geometry":{"type":"Point","coordinates":[-179.5855,36.0421]}},{"type":"Feature","id":58684,"properties":{"mag":5.22,"bv":"0.283"},"geometry":{"type":"Point","coordinates":[-179.4717,43.0456]}},{"type":"Feature","id":58720,"properties":{"mag":5.89,"bv":"-0.080"},"geometry":{"type":"Point","coordinates":[-179.3429,-69.1923]}},{"type":"Feature","id":58758,"properties":{"mag":4.32,"bv":"0.280"},"geometry":{"type":"Point","coordinates":[-179.2437,-63.3129]}},{"type":"Feature","id":58803,"properties":{"mag":5.15,"bv":"0.417"},"geometry":{"type":"Point","coordinates":[-179.0851,-42.4341]}},{"type":"Feature","id":58858,"properties":{"mag":5.89,"bv":"0.248"},"geometry":{"type":"Point","coordinates":[-178.9308,21.4592]}},{"type":"Feature","id":58867,"properties":{"mag":4.72,"bv":"-0.081"},"geometry":{"type":"Point","coordinates":[-178.9199,-63.1657]}},{"type":"Feature","id":58884,"properties":{"mag":5.34,"bv":"-0.012"},"geometry":{"type":"Point","coordinates":[-178.838,-68.3289]}},{"type":"Feature","id":58905,"properties":{"mag":5.04,"bv":"1.491"},"geometry":{"type":"Point","coordinates":[-178.8064,-76.5191]}},{"type":"Feature","id":58921,"properties":{"mag":5.95,"bv":"1.691"},"geometry":{"type":"Point","coordinates":[-178.7616,-60.9683]}},{"type":"Feature","id":58948,"properties":{"mag":4.12,"bv":"0.967"},"geometry":{"type":"Point","coordinates":[-178.6978,8.733]}},{"type":"Feature","id":58952,"properties":{"mag":5.78,"bv":"1.029"},"geometry":{"type":"Point","coordinates":[-178.687,76.9057]}},{"type":"Feature","id":59050,"properties":{"mag":5.95,"bv":"0.613"},"geometry":{"type":"Point","coordinates":[-178.4041,-65.7095]}},{"type":"Feature","id":59072,"properties":{"mag":4.14,"bv":"0.353"},"geometry":{"type":"Point","coordinates":[-178.2796,-64.6137]}},{"type":"Feature","id":59151,"properties":{"mag":5.17,"bv":"1.278"},"geometry":{"type":"Point","coordinates":[-178.0422,-75.367]}},{"type":"Feature","id":59173,"properties":{"mag":4.46,"bv":"-0.163"},"geometry":{"type":"Point","coordinates":[-177.9782,-50.6613]}},{"type":"Feature","id":59184,"properties":{"mag":5.34,"bv":"-0.010"},"geometry":{"type":"Point","coordinates":[-177.9387,-48.6925]}},{"type":"Feature","id":59196,"properties":{"mag":2.58,"bv":"-0.128"},"geometry":{"type":"Point","coordinates":[-177.9104,-50.7224]}},{"type":"Feature","id":59199,"properties":{"mag":4.02,"bv":"0.334"},"geometry":{"type":"Point","coordinates":[-177.8966,-24.7289]}},{"type":"Feature","id":59229,"properties":{"mag":5.75,"bv":"0.240"},"geometry":{"type":"Point","coordinates":[-177.7758,-44.326]}},{"type":"Feature","id":59232,"properties":{"mag":5.51,"bv":"-0.097"},"geometry":{"type":"Point","coordinates":[-177.7725,-41.2316]}},{"type":"Feature","id":59285,"properties":{"mag":5.95,"bv":"1.120"},"geometry":{"type":"Point","coordinates":[-177.5779,1.8979]}},{"type":"Feature","id":59309,"properties":{"mag":5.72,"bv":"0.352"},"geometry":{"type":"Point","coordinates":[-177.4858,5.807]}},{"type":"Feature","id":59316,"properties":{"mag":3.02,"bv":"1.326"},"geometry":{"type":"Point","coordinates":[-177.4688,-22.6198]}},{"type":"Feature","id":59384,"properties":{"mag":6,"bv":"1.618"},"geometry":{"type":"Point","coordinates":[-177.2501,81.7098]}},{"type":"Feature","id":59394,"properties":{"mag":5.45,"bv":"0.055"},"geometry":{"type":"Point","coordinates":[-177.234,-23.6024]}},{"type":"Feature","id":59449,"properties":{"mag":3.97,"bv":"-0.156"},"geometry":{"type":"Point","coordinates":[-177.087,-52.3685]}},{"type":"Feature","id":59468,"properties":{"mag":5.66,"bv":"1.401"},"geometry":{"type":"Point","coordinates":[-177.0368,25.8703]}},{"type":"Feature","id":59501,"properties":{"mag":5.6,"bv":"0.961"},"geometry":{"type":"Point","coordinates":[-176.9613,20.5421]}},{"type":"Feature","id":59504,"properties":{"mag":5.14,"bv":"0.358"},"geometry":{"type":"Point","coordinates":[-176.9502,77.6162]}},{"type":"Feature","id":59517,"properties":{"mag":5.91,"bv":"0.253"},"geometry":{"type":"Point","coordinates":[-176.9084,-62.9508]}},{"type":"Feature","id":59607,"properties":{"mag":5.77,"bv":"-0.144"},"geometry":{"type":"Point","coordinates":[-176.6457,-38.9292]}},{"type":"Feature","id":59608,"properties":{"mag":5.85,"bv":"0.262"},"geometry":{"type":"Point","coordinates":[-176.6419,10.2623]}},{"type":"Feature","id":59654,"properties":{"mag":5.31,"bv":"1.400"},"geometry":{"type":"Point","coordinates":[-176.4888,-45.7239]}},{"type":"Feature","id":59728,"properties":{"mag":5.82,"bv":"1.052"},"geometry":{"type":"Point","coordinates":[-176.2517,-20.8442]}},{"type":"Feature","id":59746,"properties":{"mag":5.72,"bv":"1.179"},"geometry":{"type":"Point","coordinates":[-176.2146,70.2]}},{"type":"Feature","id":59747,"properties":{"mag":2.79,"bv":"-0.193"},"geometry":{"type":"Point","coordinates":[-176.2137,-58.7489]}},{"type":"Feature","id":59774,"properties":{"mag":3.32,"bv":"0.077"},"geometry":{"type":"Point","coordinates":[-176.1435,57.0326]}},{"type":"Feature","id":59803,"properties":{"mag":2.58,"bv":"-0.107"},"geometry":{"type":"Point","coordinates":[-176.0485,-17.5419]}},{"type":"Feature","id":59819,"properties":{"mag":5.09,"bv":"0.068"},"geometry":{"type":"Point","coordinates":[-175.9992,14.8991]}},{"type":"Feature","id":59831,"properties":{"mag":5.69,"bv":"1.586"},"geometry":{"type":"Point","coordinates":[-175.9685,40.6602]}},{"type":"Feature","id":59847,"properties":{"mag":4.93,"bv":"0.957"},"geometry":{"type":"Point","coordinates":[-175.9144,23.9454]}},{"type":"Feature","id":59856,"properties":{"mag":4.99,"bv":"1.140"},"geometry":{"type":"Point","coordinates":[-175.8744,33.0615]}},{"type":"Feature","id":59920,"properties":{"mag":5.8,"bv":"1.330"},"geometry":{"type":"Point","coordinates":[-175.6267,53.1913]}},{"type":"Feature","id":59923,"properties":{"mag":5.71,"bv":"0.160"},"geometry":{"type":"Point","coordinates":[-175.6226,28.9372]}},{"type":"Feature","id":59929,"properties":{"mag":4.06,"bv":"1.603"},"geometry":{"type":"Point","coordinates":[-175.6072,-67.9607]}},{"type":"Feature","id":60000,"properties":{"mag":4.24,"bv":"-0.123"},"geometry":{"type":"Point","coordinates":[-175.4132,-79.3122]}},{"type":"Feature","id":60009,"properties":{"mag":4.06,"bv":"-0.168"},"geometry":{"type":"Point","coordinates":[-175.3906,-64.0031]}},{"type":"Feature","id":60030,"properties":{"mag":5.9,"bv":"0.168"},"geometry":{"type":"Point","coordinates":[-175.332,-0.7872]}},{"type":"Feature","id":60044,"properties":{"mag":5.47,"bv":"0.054"},"geometry":{"type":"Point","coordinates":[-175.2917,75.1606]}},{"type":"Feature","id":60059,"properties":{"mag":5.01,"bv":"1.600"},"geometry":{"type":"Point","coordinates":[-175.251,-55.143]}},{"type":"Feature","id":60122,"properties":{"mag":5.28,"bv":"1.623"},"geometry":{"type":"Point","coordinates":[-175.047,48.9841]}},{"type":"Feature","id":60129,"properties":{"mag":3.89,"bv":"0.026"},"geometry":{"type":"Point","coordinates":[-175.0235,-0.6668]}},{"type":"Feature","id":60157,"properties":{"mag":5.94,"bv":"0.824"},"geometry":{"type":"Point","coordinates":[-174.9551,-22.1757]}},{"type":"Feature","id":60170,"properties":{"mag":5.52,"bv":"1.091"},"geometry":{"type":"Point","coordinates":[-174.918,26.6195]}},{"type":"Feature","id":60172,"properties":{"mag":4.97,"bv":"1.172"},"geometry":{"type":"Point","coordinates":[-174.9126,3.3126]}},{"type":"Feature","id":60189,"properties":{"mag":5.2,"bv":"-0.090"},"geometry":{"type":"Point","coordinates":[-174.8598,-22.2159]}},{"type":"Feature","id":60202,"properties":{"mag":4.72,"bv":"1.010"},"geometry":{"type":"Point","coordinates":[-174.8207,17.7929]}},{"type":"Feature","id":60212,"properties":{"mag":5.54,"bv":"1.452"},"geometry":{"type":"Point","coordinates":[-174.788,57.8641]}},{"type":"Feature","id":60221,"properties":{"mag":5.14,"bv":"1.048"},"geometry":{"type":"Point","coordinates":[-174.7679,-13.5657]}},{"type":"Feature","id":60260,"properties":{"mag":3.59,"bv":"1.389"},"geometry":{"type":"Point","coordinates":[-174.66,-60.4011]}},{"type":"Feature","id":60308,"properties":{"mag":5.91,"bv":"1.533"},"geometry":{"type":"Point","coordinates":[-174.5107,-56.3744]}},{"type":"Feature","id":60320,"properties":{"mag":5.15,"bv":"0.195"},"geometry":{"type":"Point","coordinates":[-174.4694,-67.5221]}},{"type":"Feature","id":60329,"properties":{"mag":5.73,"bv":"1.038"},"geometry":{"type":"Point","coordinates":[-174.4499,-68.3073]}},{"type":"Feature","id":60351,"properties":{"mag":4.78,"bv":"0.515"},"geometry":{"type":"Point","coordinates":[-174.3737,25.8462]}},{"type":"Feature","id":60379,"properties":{"mag":5.38,"bv":"-0.098"},"geometry":{"type":"Point","coordinates":[-174.294,-57.6761]}},{"type":"Feature","id":60425,"properties":{"mag":5.66,"bv":"1.153"},"geometry":{"type":"Point","coordinates":[-174.1601,-24.8407]}},{"type":"Feature","id":60449,"properties":{"mag":5.32,"bv":"-0.066"},"geometry":{"type":"Point","coordinates":[-174.1024,-35.4127]}},{"type":"Feature","id":60463,"properties":{"mag":5.79,"bv":"-0.064"},"geometry":{"type":"Point","coordinates":[-174.0636,-38.9114]}},{"type":"Feature","id":60485,"properties":{"mag":4.76,"bv":"0.877"},"geometry":{"type":"Point","coordinates":[-173.9938,51.5623]}},{"type":"Feature","id":60514,"properties":{"mag":5.17,"bv":"0.082"},"geometry":{"type":"Point","coordinates":[-173.9228,26.0986]}},{"type":"Feature","id":60584,"properties":{"mag":5.82,"bv":"1.622"},"geometry":{"type":"Point","coordinates":[-173.7366,56.7778]}},{"type":"Feature","id":60595,"properties":{"mag":5.95,"bv":"0.043"},"geometry":{"type":"Point","coordinates":[-173.701,-11.6106]}},{"type":"Feature","id":60610,"properties":{"mag":5.71,"bv":"-0.066"},"geometry":{"type":"Point","coordinates":[-173.6594,-35.1864]}},{"type":"Feature","id":60646,"properties":{"mag":5.01,"bv":"0.955"},"geometry":{"type":"Point","coordinates":[-173.5378,39.0186]}},{"type":"Feature","id":60697,"properties":{"mag":4.92,"bv":"0.277"},"geometry":{"type":"Point","coordinates":[-173.3997,27.2682]}},{"type":"Feature","id":60710,"properties":{"mag":4.82,"bv":"-0.141"},"geometry":{"type":"Point","coordinates":[-173.3677,-51.4506]}},{"type":"Feature","id":60718,"properties":{"mag":0.77,"bv":"-0.243"},"geometry":{"type":"Point","coordinates":[-173.3504,-63.0991]}},{"type":"Feature","id":60735,"properties":{"mag":5.56,"bv":"0.007"},"geometry":{"type":"Point","coordinates":[-173.2846,-32.8301]}},{"type":"Feature","id":60742,"properties":{"mag":4.35,"bv":"1.128"},"geometry":{"type":"Point","coordinates":[-173.2655,28.2684]}},{"type":"Feature","id":60746,"properties":{"mag":4.98,"bv":"0.088"},"geometry":{"type":"Point","coordinates":[-173.2529,26.8257]}},{"type":"Feature","id":60781,"properties":{"mag":5.38,"bv":"1.543"},"geometry":{"type":"Point","coordinates":[-173.1298,-58.9918]}},{"type":"Feature","id":60795,"properties":{"mag":5.68,"bv":"1.582"},"geometry":{"type":"Point","coordinates":[-173.1037,55.7127]}},{"type":"Feature","id":60823,"properties":{"mag":3.91,"bv":"-0.192"},"geometry":{"type":"Point","coordinates":[-172.9901,-50.2306]}},{"type":"Feature","id":60855,"properties":{"mag":5.45,"bv":"-0.073"},"geometry":{"type":"Point","coordinates":[-172.9064,-39.0412]}},{"type":"Feature","id":60904,"properties":{"mag":5.29,"bv":"-0.056"},"geometry":{"type":"Point","coordinates":[-172.7721,25.9129]}},{"type":"Feature","id":60941,"properties":{"mag":5.47,"bv":"0.445"},"geometry":{"type":"Point","coordinates":[-172.6373,24.1089]}},{"type":"Feature","id":60957,"properties":{"mag":5.68,"bv":"0.093"},"geometry":{"type":"Point","coordinates":[-172.5698,20.8961]}},{"type":"Feature","id":60965,"properties":{"mag":2.94,"bv":"-0.012"},"geometry":{"type":"Point","coordinates":[-172.5339,-16.5154]}},{"type":"Feature","id":60969,"properties":{"mag":5.78,"bv":"1.572"},"geometry":{"type":"Point","coordinates":[-172.5242,-56.5249]}},{"type":"Feature","id":60978,"properties":{"mag":5.37,"bv":"0.205"},"geometry":{"type":"Point","coordinates":[-172.5111,58.4057]}},{"type":"Feature","id":60979,"properties":{"mag":6,"bv":"1.515"},"geometry":{"type":"Point","coordinates":[-172.5088,-41.7359]}},{"type":"Feature","id":60998,"properties":{"mag":5.01,"bv":"1.621"},"geometry":{"type":"Point","coordinates":[-172.4723,69.2011]}},{"type":"Feature","id":61015,"properties":{"mag":5.63,"bv":"1.670"},"geometry":{"type":"Point","coordinates":[-172.4273,-23.6964]}},{"type":"Feature","id":61071,"properties":{"mag":5.47,"bv":"0.056"},"geometry":{"type":"Point","coordinates":[-172.2477,24.5672]}},{"type":"Feature","id":61084,"properties":{"mag":1.59,"bv":"1.600"},"geometry":{"type":"Point","coordinates":[-172.2085,-57.1132]}},{"type":"Feature","id":61136,"properties":{"mag":5.49,"bv":"0.622"},"geometry":{"type":"Point","coordinates":[-172.082,-59.4239]}},{"type":"Feature","id":61158,"properties":{"mag":5.96,"bv":"0.263"},"geometry":{"type":"Point","coordinates":[-172.0162,-63.5058]}},{"type":"Feature","id":61174,"properties":{"mag":4.3,"bv":"0.388"},"geometry":{"type":"Point","coordinates":[-171.9824,-16.196]}},{"type":"Feature","id":61181,"properties":{"mag":5.88,"bv":"1.078"},"geometry":{"type":"Point","coordinates":[-171.9584,-73.0011]}},{"type":"Feature","id":61199,"properties":{"mag":3.84,"bv":"-0.157"},"geometry":{"type":"Point","coordinates":[-171.8833,-72.133]}},{"type":"Feature","id":61212,"properties":{"mag":5.74,"bv":"0.376"},"geometry":{"type":"Point","coordinates":[-171.85,-13.8591]}},{"type":"Feature","id":61281,"properties":{"mag":3.85,"bv":"-0.116"},"geometry":{"type":"Point","coordinates":[-171.6294,69.7882]}},{"type":"Feature","id":61296,"properties":{"mag":5.58,"bv":"0.861"},"geometry":{"type":"Point","coordinates":[-171.6073,-12.8302]}},{"type":"Feature","id":61309,"properties":{"mag":5.42,"bv":"1.011"},"geometry":{"type":"Point","coordinates":[-171.5878,33.2476]}},{"type":"Feature","id":61317,"properties":{"mag":4.24,"bv":"0.588"},"geometry":{"type":"Point","coordinates":[-171.5644,41.3575]}},{"type":"Feature","id":61318,"properties":{"mag":5.48,"bv":"-0.035"},"geometry":{"type":"Point","coordinates":[-171.5552,-9.4521]}},{"type":"Feature","id":61359,"properties":{"mag":2.65,"bv":"0.893"},"geometry":{"type":"Point","coordinates":[-171.4032,-23.3968]}},{"type":"Feature","id":61379,"properties":{"mag":5.76,"bv":"0.683"},"geometry":{"type":"Point","coordinates":[-171.3234,-44.673]}},{"type":"Feature","id":61384,"properties":{"mag":4.95,"bv":"1.312"},"geometry":{"type":"Point","coordinates":[-171.3166,70.0218]}},{"type":"Feature","id":61394,"properties":{"mag":4.8,"bv":"0.012"},"geometry":{"type":"Point","coordinates":[-171.2872,22.6293]}},{"type":"Feature","id":61418,"properties":{"mag":5.03,"bv":"1.152"},"geometry":{"type":"Point","coordinates":[-171.2177,18.3771]}},{"type":"Feature","id":61420,"properties":{"mag":5.86,"bv":"1.242"},"geometry":{"type":"Point","coordinates":[-171.216,21.8814]}},{"type":"Feature","id":61468,"properties":{"mag":5.12,"bv":"0.224"},"geometry":{"type":"Point","coordinates":[-171.0603,-41.0219]}},{"type":"Feature","id":61498,"properties":{"mag":5.78,"bv":"0.003"},"geometry":{"type":"Point","coordinates":[-170.9957,-39.8695]}},{"type":"Feature","id":61558,"properties":{"mag":5.88,"bv":"0.072"},"geometry":{"type":"Point","coordinates":[-170.8027,-5.8319]}},{"type":"Feature","id":61571,"properties":{"mag":5.7,"bv":"1.436"},"geometry":{"type":"Point","coordinates":[-170.7569,17.0895]}},{"type":"Feature","id":61585,"properties":{"mag":2.69,"bv":"-0.176"},"geometry":{"type":"Point","coordinates":[-170.7041,-69.1356]}},{"type":"Feature","id":61621,"properties":{"mag":5.41,"bv":"0.334"},"geometry":{"type":"Point","coordinates":[-170.5738,-27.1389]}},{"type":"Feature","id":61622,"properties":{"mag":3.85,"bv":"0.049"},"geometry":{"type":"Point","coordinates":[-170.5743,-48.5413]}},{"type":"Feature","id":61658,"properties":{"mag":5.68,"bv":"1.592"},"geometry":{"type":"Point","coordinates":[-170.4066,1.8547]}},{"type":"Feature","id":61688,"properties":{"mag":6,"bv":"0.310"},"geometry":{"type":"Point","coordinates":[-170.3141,-18.2501]}},{"type":"Feature","id":61720,"properties":{"mag":5.86,"bv":"1.207"},"geometry":{"type":"Point","coordinates":[-170.2356,-30.4224]}},{"type":"Feature","id":61724,"properties":{"mag":5.49,"bv":"0.978"},"geometry":{"type":"Point","coordinates":[-170.2195,21.0626]}},{"type":"Feature","id":61740,"properties":{"mag":4.66,"bv":"1.240"},"geometry":{"type":"Point","coordinates":[-170.1885,-7.9956]}},{"type":"Feature","id":61789,"properties":{"mag":4.63,"bv":"-0.082"},"geometry":{"type":"Point","coordinates":[-170.0311,-39.9873]}},{"type":"Feature","id":61910,"properties":{"mag":5.17,"bv":"0.432"},"geometry":{"type":"Point","coordinates":[-169.6835,-13.0139]}},{"type":"Feature","id":61916,"properties":{"mag":5.84,"bv":"1.475"},"geometry":{"type":"Point","coordinates":[-169.6542,-46.1456]}},{"type":"Feature","id":61932,"properties":{"mag":2.2,"bv":"-0.023"},"geometry":{"type":"Point","coordinates":[-169.6207,-48.9599]}},{"type":"Feature","id":61941,"properties":{"mag":2.74,"bv":"0.368"},"geometry":{"type":"Point","coordinates":[-169.5848,-1.4494]}},{"type":"Feature","id":61960,"properties":{"mag":4.88,"bv":"0.076"},"geometry":{"type":"Point","coordinates":[-169.5289,10.2356]}},{"type":"Feature","id":61966,"properties":{"mag":4.91,"bv":"-0.044"},"geometry":{"type":"Point","coordinates":[-169.5143,-59.6858]}},{"type":"Feature","id":61968,"properties":{"mag":5.57,"bv":"0.002"},"geometry":{"type":"Point","coordinates":[-169.512,6.8066]}},{"type":"Feature","id":62012,"properties":{"mag":4.66,"bv":"1.075"},"geometry":{"type":"Point","coordinates":[-169.3523,-48.8131]}},{"type":"Feature","id":62027,"properties":{"mag":5.27,"bv":"0.195"},"geometry":{"type":"Point","coordinates":[-169.2906,-63.0586]}},{"type":"Feature","id":62058,"properties":{"mag":5.99,"bv":"-0.074"},"geometry":{"type":"Point","coordinates":[-169.2118,-56.1762]}},{"type":"Feature","id":62103,"properties":{"mag":5.91,"bv":"0.850"},"geometry":{"type":"Point","coordinates":[-169.0915,-1.577]}},{"type":"Feature","id":62131,"properties":{"mag":5.46,"bv":"1.346"},"geometry":{"type":"Point","coordinates":[-168.9978,-28.324]}},{"type":"Feature","id":62207,"properties":{"mag":5.95,"bv":"0.557"},"geometry":{"type":"Point","coordinates":[-168.7525,39.2789]}},{"type":"Feature","id":62223,"properties":{"mag":5.42,"bv":"2.994"},"geometry":{"type":"Point","coordinates":[-168.7174,45.4403]}},{"type":"Feature","id":62267,"properties":{"mag":5.22,"bv":"0.322"},"geometry":{"type":"Point","coordinates":[-168.5956,7.6733]}},{"type":"Feature","id":62268,"properties":{"mag":4.69,"bv":"1.049"},"geometry":{"type":"Point","coordinates":[-168.5915,-60.9813]}},{"type":"Feature","id":62322,"properties":{"mag":3.04,"bv":"-0.178"},"geometry":{"type":"Point","coordinates":[-168.43,-68.1081]}},{"type":"Feature","id":62325,"properties":{"mag":5.65,"bv":"0.989"},"geometry":{"type":"Point","coordinates":[-168.4061,9.5397]}},{"type":"Feature","id":62327,"properties":{"mag":4.62,"bv":"-0.150"},"geometry":{"type":"Point","coordinates":[-168.4054,-56.4888]}},{"type":"Feature","id":62356,"properties":{"mag":5.12,"bv":"1.346"},"geometry":{"type":"Point","coordinates":[-168.3385,16.5777]}},{"type":"Feature","id":62360,"properties":{"mag":5.87,"bv":"1.326"},"geometry":{"type":"Point","coordinates":[-168.3074,-33.3155]}},{"type":"Feature","id":62402,"properties":{"mag":5.88,"bv":"0.215"},"geometry":{"type":"Point","coordinates":[-168.171,62.7812]}},{"type":"Feature","id":62423,"properties":{"mag":5.43,"bv":"1.567"},"geometry":{"type":"Point","coordinates":[-168.1069,66.7903]}},{"type":"Feature","id":62434,"properties":{"mag":1.25,"bv":"-0.238"},"geometry":{"type":"Point","coordinates":[-168.0697,-59.6888]}},{"type":"Feature","id":62500,"properties":{"mag":5.65,"bv":"0.947"},"geometry":{"type":"Point","coordinates":[-167.8906,-27.5974]}},{"type":"Feature","id":62512,"properties":{"mag":5.83,"bv":"0.467"},"geometry":{"type":"Point","coordinates":[-167.8356,60.3198]}},{"type":"Feature","id":62541,"properties":{"mag":5.71,"bv":"0.024"},"geometry":{"type":"Point","coordinates":[-167.7741,14.1226]}},{"type":"Feature","id":62561,"properties":{"mag":5.92,"bv":"0.015"},"geometry":{"type":"Point","coordinates":[-167.7222,83.4178]}},{"type":"Feature","id":62572,"properties":{"mag":5.38,"bv":"0.033"},"geometry":{"type":"Point","coordinates":[-167.6931,83.4129]}},{"type":"Feature","id":62576,"properties":{"mag":5.76,"bv":"0.051"},"geometry":{"type":"Point","coordinates":[-167.6773,27.5524]}},{"type":"Feature","id":62608,"properties":{"mag":5.55,"bv":"1.154"},"geometry":{"type":"Point","coordinates":[-167.5626,-71.9863]}},{"type":"Feature","id":62641,"properties":{"mag":5.87,"bv":"0.170"},"geometry":{"type":"Point","coordinates":[-167.4552,37.5169]}},{"type":"Feature","id":62683,"properties":{"mag":4.9,"bv":"-0.031"},"geometry":{"type":"Point","coordinates":[-167.3285,-33.9993]}},{"type":"Feature","id":62703,"properties":{"mag":5.7,"bv":"0.127"},"geometry":{"type":"Point","coordinates":[-167.2588,-52.7874]}},{"type":"Feature","id":62732,"properties":{"mag":5.71,"bv":"0.344"},"geometry":{"type":"Point","coordinates":[-167.1751,-60.3298]}},{"type":"Feature","id":62763,"properties":{"mag":4.93,"bv":"0.681"},"geometry":{"type":"Point","coordinates":[-167.0753,27.5407]}},{"type":"Feature","id":62786,"properties":{"mag":5.99,"bv":"-0.098"},"geometry":{"type":"Point","coordinates":[-167.0128,-39.6804]}},{"type":"Feature","id":62861,"properties":{"mag":5.91,"bv":"1.309"},"geometry":{"type":"Point","coordinates":[-166.7326,-54.9525]}},{"type":"Feature","id":62867,"properties":{"mag":4.33,"bv":"1.344"},"geometry":{"type":"Point","coordinates":[-166.7212,-48.9433]}},{"type":"Feature","id":62886,"properties":{"mag":4.89,"bv":"0.904"},"geometry":{"type":"Point","coordinates":[-166.6761,21.2449]}},{"type":"Feature","id":62894,"properties":{"mag":5.75,"bv":"0.295"},"geometry":{"type":"Point","coordinates":[-166.6588,-60.3285]}},{"type":"Feature","id":62896,"properties":{"mag":4.25,"bv":"0.224"},"geometry":{"type":"Point","coordinates":[-166.6408,-40.1789]}},{"type":"Feature","id":62931,"properties":{"mag":5.89,"bv":"0.200"},"geometry":{"type":"Point","coordinates":[-166.5462,-60.3762]}},{"type":"Feature","id":62956,"properties":{"mag":1.76,"bv":"-0.022"},"geometry":{"type":"Point","coordinates":[-166.4927,55.9598]}},{"type":"Feature","id":62983,"properties":{"mag":6,"bv":"0.068"},"geometry":{"type":"Point","coordinates":[-166.4223,-11.6486]}},{"type":"Feature","id":62985,"properties":{"mag":4.77,"bv":"1.590"},"geometry":{"type":"Point","coordinates":[-166.4118,-9.539]}},{"type":"Feature","id":63003,"properties":{"mag":4.03,"bv":"-0.180"},"geometry":{"type":"Point","coordinates":[-166.3516,-57.1779]}},{"type":"Feature","id":63005,"properties":{"mag":5.08,"bv":"-0.089"},"geometry":{"type":"Point","coordinates":[-166.3463,-57.1687]}},{"type":"Feature","id":63007,"properties":{"mag":4.62,"bv":"-0.153"},"geometry":{"type":"Point","coordinates":[-166.3367,-59.1467]}},{"type":"Feature","id":63024,"properties":{"mag":5.75,"bv":"1.451"},"geometry":{"type":"Point","coordinates":[-166.2645,47.1967]}},{"type":"Feature","id":63031,"properties":{"mag":5.45,"bv":"0.991"},"geometry":{"type":"Point","coordinates":[-166.255,-85.1234]}},{"type":"Feature","id":63033,"properties":{"mag":5.89,"bv":"0.633"},"geometry":{"type":"Point","coordinates":[-166.2562,-44.152]}},{"type":"Feature","id":63066,"properties":{"mag":5.46,"bv":"1.668"},"geometry":{"type":"Point","coordinates":[-166.169,-42.9157]}},{"type":"Feature","id":63076,"properties":{"mag":5.23,"bv":"0.303"},"geometry":{"type":"Point","coordinates":[-166.131,65.4385]}},{"type":"Feature","id":63090,"properties":{"mag":3.39,"bv":"1.571"},"geometry":{"type":"Point","coordinates":[-166.0991,3.3975]}},{"type":"Feature","id":63117,"properties":{"mag":5.34,"bv":"0.010"},"geometry":{"type":"Point","coordinates":[-166.0119,-56.8358]}},{"type":"Feature","id":63121,"properties":{"mag":5.61,"bv":"0.337"},"geometry":{"type":"Point","coordinates":[-165.9981,38.3149]}},{"type":"Feature","id":63125,"properties":{"mag":2.89,"bv":"-0.115"},"geometry":{"type":"Point","coordinates":[-165.9931,38.3184]}},{"type":"Feature","id":63143,"properties":{"mag":5.84,"bv":"0.204"},"geometry":{"type":"Point","coordinates":[-165.9268,54.0995]}},{"type":"Feature","id":63165,"properties":{"mag":5.93,"bv":"1.115"},"geometry":{"type":"Point","coordinates":[-165.868,-72.1852]}},{"type":"Feature","id":63210,"properties":{"mag":5.17,"bv":"-0.066"},"geometry":{"type":"Point","coordinates":[-165.7319,-51.1988]}},{"type":"Feature","id":63340,"properties":{"mag":6,"bv":"1.030"},"geometry":{"type":"Point","coordinates":[-165.3028,75.4725]}},{"type":"Feature","id":63355,"properties":{"mag":4.76,"bv":"1.568"},"geometry":{"type":"Point","coordinates":[-165.269,17.4094]}},{"type":"Feature","id":63414,"properties":{"mag":5.79,"bv":"0.203"},"geometry":{"type":"Point","coordinates":[-165.0853,-3.8119]}},{"type":"Feature","id":63432,"properties":{"mag":5.37,"bv":"1.282"},"geometry":{"type":"Point","coordinates":[-165.0205,66.5973]}},{"type":"Feature","id":63462,"properties":{"mag":4.88,"bv":"1.165"},"geometry":{"type":"Point","coordinates":[-164.9314,30.785]}},{"type":"Feature","id":63494,"properties":{"mag":5.99,"bv":"1.119"},"geometry":{"type":"Point","coordinates":[-164.8502,-3.3685]}},{"type":"Feature","id":63503,"properties":{"mag":4.93,"bv":"0.368"},"geometry":{"type":"Point","coordinates":[-164.8179,56.3663]}},{"type":"Feature","id":63533,"properties":{"mag":5.97,"bv":"0.971"},"geometry":{"type":"Point","coordinates":[-164.7099,17.1231]}},{"type":"Feature","id":63608,"properties":{"mag":2.85,"bv":"0.934"},"geometry":{"type":"Point","coordinates":[-164.4558,10.9592]}},{"type":"Feature","id":63613,"properties":{"mag":3.61,"bv":"1.190"},"geometry":{"type":"Point","coordinates":[-164.4322,-71.5489]}},{"type":"Feature","id":63688,"properties":{"mag":5.93,"bv":"0.002"},"geometry":{"type":"Point","coordinates":[-164.2278,-71.4757]}},{"type":"Feature","id":63724,"properties":{"mag":4.83,"bv":"0.029"},"geometry":{"type":"Point","coordinates":[-164.1112,-49.5273]}},{"type":"Feature","id":63738,"properties":{"mag":5.58,"bv":"0.554"},"geometry":{"type":"Point","coordinates":[-164.0579,-20.5835]}},{"type":"Feature","id":63901,"properties":{"mag":5.2,"bv":"-0.059"},"geometry":{"type":"Point","coordinates":[-163.5649,35.7989]}},{"type":"Feature","id":63916,"properties":{"mag":5.64,"bv":"1.135"},"geometry":{"type":"Point","coordinates":[-163.5322,45.2685]}},{"type":"Feature","id":63945,"properties":{"mag":4.71,"bv":"-0.148"},"geometry":{"type":"Point","coordinates":[-163.4304,-48.4633]}},{"type":"Feature","id":63948,"properties":{"mag":6,"bv":"0.393"},"geometry":{"type":"Point","coordinates":[-163.4115,21.1534]}},{"type":"Feature","id":63950,"properties":{"mag":5.53,"bv":"1.461"},"geometry":{"type":"Point","coordinates":[-163.4058,22.6162]}},{"type":"Feature","id":63972,"properties":{"mag":5.59,"bv":"1.050"},"geometry":{"type":"Point","coordinates":[-163.3538,-41.5884]}},{"type":"Feature","id":64003,"properties":{"mag":5.63,"bv":"0.050"},"geometry":{"type":"Point","coordinates":[-163.2739,-35.862]}},{"type":"Feature","id":64004,"properties":{"mag":4.27,"bv":"-0.182"},"geometry":{"type":"Point","coordinates":[-163.2723,-49.9062]}},{"type":"Feature","id":64022,"properties":{"mag":4.8,"bv":"1.482"},"geometry":{"type":"Point","coordinates":[-163.2053,27.6247]}},{"type":"Feature","id":64033,"properties":{"mag":5.98,"bv":"0.435"},"geometry":{"type":"Point","coordinates":[-163.1488,-59.8605]}},{"type":"Feature","id":64053,"properties":{"mag":5.7,"bv":"-0.061"},"geometry":{"type":"Point","coordinates":[-163.0905,-53.4598]}},{"type":"Feature","id":64078,"properties":{"mag":5.15,"bv":"1.138"},"geometry":{"type":"Point","coordinates":[-163.0258,-10.7404]}},{"type":"Feature","id":64094,"properties":{"mag":5.44,"bv":"-0.033"},"geometry":{"type":"Point","coordinates":[-162.9702,-65.306]}},{"type":"Feature","id":64122,"properties":{"mag":5.57,"bv":"1.178"},"geometry":{"type":"Point","coordinates":[-162.8647,-8.9844]}},{"type":"Feature","id":64166,"properties":{"mag":4.94,"bv":"1.048"},"geometry":{"type":"Point","coordinates":[-162.7364,-23.1181]}},{"type":"Feature","id":64179,"properties":{"mag":5.79,"bv":"1.025"},"geometry":{"type":"Point","coordinates":[-162.6982,10.0225]}},{"type":"Feature","id":64224,"properties":{"mag":5.95,"bv":"1.490"},"geometry":{"type":"Point","coordinates":[-162.5613,-10.3293]}},{"type":"Feature","id":64226,"properties":{"mag":5.91,"bv":"1.450"},"geometry":{"type":"Point","coordinates":[-162.5506,16.8486]}},{"type":"Feature","id":64238,"properties":{"mag":4.38,"bv":"-0.008"},"geometry":{"type":"Point","coordinates":[-162.5125,-5.539]}},{"type":"Feature","id":64241,"properties":{"mag":4.32,"bv":"0.455"},"geometry":{"type":"Point","coordinates":[-162.503,17.5294]}},{"type":"Feature","id":64246,"properties":{"mag":5.91,"bv":"0.294"},"geometry":{"type":"Point","coordinates":[-162.4866,38.499]}},{"type":"Feature","id":64332,"properties":{"mag":5.78,"bv":"0.521"},"geometry":{"type":"Point","coordinates":[-162.213,-42.2329]}},{"type":"Feature","id":64348,"properties":{"mag":5.24,"bv":"1.049"},"geometry":{"type":"Point","coordinates":[-162.1533,-43.3686]}},{"type":"Feature","id":64390,"properties":{"mag":5.92,"bv":"0.415"},"geometry":{"type":"Point","coordinates":[-162.0357,-69.942]}},{"type":"Feature","id":64394,"properties":{"mag":4.23,"bv":"0.572"},"geometry":{"type":"Point","coordinates":[-162.0317,27.8782]}},{"type":"Feature","id":64407,"properties":{"mag":5.04,"bv":"0.460"},"geometry":{"type":"Point","coordinates":[-161.9852,-16.1986]}},{"type":"Feature","id":64408,"properties":{"mag":4.85,"bv":"0.693"},"geometry":{"type":"Point","coordinates":[-161.9867,-37.803]}},{"type":"Feature","id":64425,"properties":{"mag":4.58,"bv":"-0.073"},"geometry":{"type":"Point","coordinates":[-161.9267,-59.9206]}},{"type":"Feature","id":64445,"properties":{"mag":5.76,"bv":"1.499"},"geometry":{"type":"Point","coordinates":[-161.8628,11.5561]}},{"type":"Feature","id":64466,"properties":{"mag":5.91,"bv":"0.048"},"geometry":{"type":"Point","coordinates":[-161.7967,-66.2267]}},{"type":"Feature","id":64515,"properties":{"mag":5.9,"bv":"-0.011"},"geometry":{"type":"Point","coordinates":[-161.6527,-50.6998]}},{"type":"Feature","id":64540,"properties":{"mag":4.94,"bv":"1.061"},"geometry":{"type":"Point","coordinates":[-161.5711,40.1529]}},{"type":"Feature","id":64577,"properties":{"mag":5.31,"bv":"0.862"},"geometry":{"type":"Point","coordinates":[-161.4546,-19.9309]}},{"type":"Feature","id":64580,"properties":{"mag":5.91,"bv":"1.084"},"geometry":{"type":"Point","coordinates":[-161.4496,-58.6839]}},{"type":"Feature","id":64583,"properties":{"mag":4.9,"bv":"0.489"},"geometry":{"type":"Point","coordinates":[-161.4369,-59.1032]}},{"type":"Feature","id":64587,"properties":{"mag":5.84,"bv":"1.040"},"geometry":{"type":"Point","coordinates":[-161.4278,-78.4475]}},{"type":"Feature","id":64607,"properties":{"mag":5.64,"bv":"1.514"},"geometry":{"type":"Point","coordinates":[-161.3697,11.3317]}},{"type":"Feature","id":64623,"properties":{"mag":5.84,"bv":"1.061"},"geometry":{"type":"Point","coordinates":[-161.3197,-48.957]}},{"type":"Feature","id":64661,"properties":{"mag":4.79,"bv":"-0.078"},"geometry":{"type":"Point","coordinates":[-161.1877,-67.8946]}},{"type":"Feature","id":64692,"properties":{"mag":5.77,"bv":"0.198"},"geometry":{"type":"Point","coordinates":[-161.1169,40.8552]}},{"type":"Feature","id":64725,"properties":{"mag":5.21,"bv":"1.011"},"geometry":{"type":"Point","coordinates":[-161.0051,-19.9431]}},{"type":"Feature","id":64792,"properties":{"mag":5.19,"bv":"0.585"},"geometry":{"type":"Point","coordinates":[-160.8062,9.4242]}},{"type":"Feature","id":64803,"properties":{"mag":5.1,"bv":"0.959"},"geometry":{"type":"Point","coordinates":[-160.7786,-31.5062]}},{"type":"Feature","id":64820,"properties":{"mag":4.86,"bv":"1.480"},"geometry":{"type":"Point","coordinates":[-160.6958,-66.7834]}},{"type":"Feature","id":64822,"properties":{"mag":5.82,"bv":"0.187"},"geometry":{"type":"Point","coordinates":[-160.692,-43.9795]}},{"type":"Feature","id":64823,"properties":{"mag":5.33,"bv":"1.304"},"geometry":{"type":"Point","coordinates":[-160.6849,13.6758]}},{"type":"Feature","id":64844,"properties":{"mag":4.72,"bv":"0.306"},"geometry":{"type":"Point","coordinates":[-160.6144,40.5726]}},{"type":"Feature","id":64852,"properties":{"mag":4.78,"bv":"1.638"},"geometry":{"type":"Point","coordinates":[-160.5988,5.4699]}},{"type":"Feature","id":64906,"properties":{"mag":5.14,"bv":"-0.049"},"geometry":{"type":"Point","coordinates":[-160.4395,49.6821]}},{"type":"Feature","id":64924,"properties":{"mag":4.74,"bv":"0.709"},"geometry":{"type":"Point","coordinates":[-160.3987,-18.3112]}},{"type":"Feature","id":64927,"properties":{"mag":5.81,"bv":"1.366"},"geometry":{"type":"Point","coordinates":[-160.3845,34.0983]}},{"type":"Feature","id":64962,"properties":{"mag":2.99,"bv":"0.920"},"geometry":{"type":"Point","coordinates":[-160.2696,-23.1715]}},{"type":"Feature","id":65072,"properties":{"mag":5.6,"bv":"1.204"},"geometry":{"type":"Point","coordinates":[-159.921,40.1505]}},{"type":"Feature","id":65109,"properties":{"mag":2.75,"bv":"0.068"},"geometry":{"type":"Point","coordinates":[-159.8508,-36.7123]}},{"type":"Feature","id":65112,"properties":{"mag":5.47,"bv":"-0.125"},"geometry":{"type":"Point","coordinates":[-159.8424,-52.7478]}},{"type":"Feature","id":65129,"properties":{"mag":6,"bv":"0.236"},"geometry":{"type":"Point","coordinates":[-159.7986,-55.8007]}},{"type":"Feature","id":65144,"properties":{"mag":5.76,"bv":"1.106"},"geometry":{"type":"Point","coordinates":[-159.7596,-46.88]}},{"type":"Feature","id":65198,"properties":{"mag":5.69,"bv":"0.045"},"geometry":{"type":"Point","coordinates":[-159.5765,2.0872]}},{"type":"Feature","id":65241,"properties":{"mag":5.89,"bv":"0.109"},"geometry":{"type":"Point","coordinates":[-159.4596,5.1548]}},{"type":"Feature","id":65247,"properties":{"mag":5.81,"bv":"0.072"},"geometry":{"type":"Point","coordinates":[-159.4321,-52.183]}},{"type":"Feature","id":65271,"properties":{"mag":4.52,"bv":"-0.141"},"geometry":{"type":"Point","coordinates":[-159.3419,-60.9884]}},{"type":"Feature","id":65301,"properties":{"mag":5.36,"bv":"0.987"},"geometry":{"type":"Point","coordinates":[-159.2454,-17.7353]}},{"type":"Feature","id":65323,"properties":{"mag":5.88,"bv":"1.431"},"geometry":{"type":"Point","coordinates":[-159.1713,-4.9244]}},{"type":"Feature","id":65378,"properties":{"mag":2.23,"bv":"0.057"},"geometry":{"type":"Point","coordinates":[-159.0186,54.9254]}},{"type":"Feature","id":65387,"properties":{"mag":4.52,"bv":"0.822"},"geometry":{"type":"Point","coordinates":[-158.998,-64.5357]}},{"type":"Feature","id":65420,"properties":{"mag":5.76,"bv":"0.415"},"geometry":{"type":"Point","coordinates":[-158.8615,-5.164]}},{"type":"Feature","id":65466,"properties":{"mag":5.75,"bv":"0.090"},"geometry":{"type":"Point","coordinates":[-158.7222,23.8544]}},{"type":"Feature","id":65468,"properties":{"mag":5.04,"bv":"1.110"},"geometry":{"type":"Point","coordinates":[-158.7203,-74.8878]}},{"type":"Feature","id":65474,"properties":{"mag":0.98,"bv":"-0.235"},"geometry":{"type":"Point","coordinates":[-158.7018,-11.1613]}},{"type":"Feature","id":65477,"properties":{"mag":3.99,"bv":"0.169"},"geometry":{"type":"Point","coordinates":[-158.6936,54.988]}},{"type":"Feature","id":65479,"properties":{"mag":5.32,"bv":"0.411"},"geometry":{"type":"Point","coordinates":[-158.692,-64.4851]}},{"type":"Feature","id":65522,"properties":{"mag":5.65,"bv":"-0.018"},"geometry":{"type":"Point","coordinates":[-158.5404,-70.6272]}},{"type":"Feature","id":65535,"properties":{"mag":5.11,"bv":"1.181"},"geometry":{"type":"Point","coordinates":[-158.4676,-39.7551]}},{"type":"Feature","id":65536,"properties":{"mag":5.82,"bv":"1.652"},"geometry":{"type":"Point","coordinates":[-158.4664,72.3915]}},{"type":"Feature","id":65545,"properties":{"mag":5.97,"bv":"0.183"},"geometry":{"type":"Point","coordinates":[-158.4524,-1.1925]}},{"type":"Feature","id":65550,"properties":{"mag":5.88,"bv":"0.985"},"geometry":{"type":"Point","coordinates":[-158.4308,46.0281]}},{"type":"Feature","id":65581,"properties":{"mag":5.27,"bv":"1.477"},"geometry":{"type":"Point","coordinates":[-158.3201,-12.7077]}},{"type":"Feature","id":65593,"properties":{"mag":5.69,"bv":"1.477"},"geometry":{"type":"Point","coordinates":[-158.2662,-41.4976]}},{"type":"Feature","id":65595,"properties":{"mag":5.74,"bv":"0.769"},"geometry":{"type":"Point","coordinates":[-158.2633,78.6439]}},{"type":"Feature","id":65639,"properties":{"mag":4.76,"bv":"1.096"},"geometry":{"type":"Point","coordinates":[-158.1368,-15.9736]}},{"type":"Feature","id":65721,"properties":{"mag":4.97,"bv":"0.714"},"geometry":{"type":"Point","coordinates":[-157.8925,13.7788]}},{"type":"Feature","id":65728,"properties":{"mag":5.4,"bv":"-0.010"},"geometry":{"type":"Point","coordinates":[-157.8871,59.9458]}},{"type":"Feature","id":65790,"properties":{"mag":5.65,"bv":"1.052"},"geometry":{"type":"Point","coordinates":[-157.6958,10.8183]}},{"type":"Feature","id":65810,"properties":{"mag":5.04,"bv":"0.059"},"geometry":{"type":"Point","coordinates":[-157.6448,-51.1651]}},{"type":"Feature","id":65936,"properties":{"mag":3.9,"bv":"1.186"},"geometry":{"type":"Point","coordinates":[-157.2389,-39.4073]}},{"type":"Feature","id":66006,"properties":{"mag":4.68,"bv":"1.606"},"geometry":{"type":"Point","coordinates":[-157.0088,-6.2558]}},{"type":"Feature","id":66065,"properties":{"mag":5.69,"bv":"0.037"},"geometry":{"type":"Point","coordinates":[-156.8504,-28.6928]}},{"type":"Feature","id":66091,"properties":{"mag":5.52,"bv":"1.228"},"geometry":{"type":"Point","coordinates":[-156.7848,-15.363]}},{"type":"Feature","id":66098,"properties":{"mag":5.21,"bv":"0.964"},"geometry":{"type":"Point","coordinates":[-156.758,-10.165]}},{"type":"Feature","id":66198,"properties":{"mag":5.6,"bv":"-0.014"},"geometry":{"type":"Point","coordinates":[-156.4696,55.3484]}},{"type":"Feature","id":66200,"properties":{"mag":4.92,"bv":"0.029"},"geometry":{"type":"Point","coordinates":[-156.467,3.659]}},{"type":"Feature","id":66234,"properties":{"mag":4.68,"bv":"0.132"},"geometry":{"type":"Point","coordinates":[-156.3864,49.016]}},{"type":"Feature","id":66247,"properties":{"mag":5.92,"bv":"0.020"},"geometry":{"type":"Point","coordinates":[-156.3315,-13.2143]}},{"type":"Feature","id":66249,"properties":{"mag":3.38,"bv":"0.114"},"geometry":{"type":"Point","coordinates":[-156.3267,-0.5958]}},{"type":"Feature","id":66257,"properties":{"mag":4.91,"bv":"0.404"},"geometry":{"type":"Point","coordinates":[-156.3008,37.1824]}},{"type":"Feature","id":66320,"properties":{"mag":5.7,"bv":"0.950"},"geometry":{"type":"Point","coordinates":[-156.1196,-5.3962]}},{"type":"Feature","id":66400,"properties":{"mag":5.73,"bv":"0.220"},"geometry":{"type":"Point","coordinates":[-155.7981,-26.4952]}},{"type":"Feature","id":66417,"properties":{"mag":5.72,"bv":"1.593"},"geometry":{"type":"Point","coordinates":[-155.7538,24.6133]}},{"type":"Feature","id":66427,"properties":{"mag":5.96,"bv":"0.936"},"geometry":{"type":"Point","coordinates":[-155.725,-44.1432]}},{"type":"Feature","id":66435,"properties":{"mag":5.5,"bv":"1.219"},"geometry":{"type":"Point","coordinates":[-155.7042,71.2423]}},{"type":"Feature","id":66438,"properties":{"mag":5.63,"bv":"0.493"},"geometry":{"type":"Point","coordinates":[-155.6984,-61.6919]}},{"type":"Feature","id":66454,"properties":{"mag":5.91,"bv":"-0.110"},"geometry":{"type":"Point","coordinates":[-155.6522,-46.4279]}},{"type":"Feature","id":66458,"properties":{"mag":4.82,"bv":"0.239"},"geometry":{"type":"Point","coordinates":[-155.6349,36.2949]}},{"type":"Feature","id":66563,"properties":{"mag":5.81,"bv":"0.431"},"geometry":{"type":"Point","coordinates":[-155.3247,-29.5609]}},{"type":"Feature","id":66575,"properties":{"mag":6,"bv":"1.138"},"geometry":{"type":"Point","coordinates":[-155.296,-57.6227]}},{"type":"Feature","id":66634,"properties":{"mag":5.46,"bv":"0.113"},"geometry":{"type":"Point","coordinates":[-155.1231,52.9212]}},{"type":"Feature","id":66640,"properties":{"mag":5.57,"bv":"0.348"},"geometry":{"type":"Point","coordinates":[-155.1058,10.7463]}},{"type":"Feature","id":66656,"properties":{"mag":5.61,"bv":"1.301"},"geometry":{"type":"Point","coordinates":[-155.0477,-40.0517]}},{"type":"Feature","id":66657,"properties":{"mag":2.29,"bv":"-0.171"},"geometry":{"type":"Point","coordinates":[-155.0281,-53.4664]}},{"type":"Feature","id":66666,"properties":{"mag":5.74,"bv":"1.496"},"geometry":{"type":"Point","coordinates":[-155.0008,-49.95]}},{"type":"Feature","id":66681,"properties":{"mag":5.79,"bv":"0.401"},"geometry":{"type":"Point","coordinates":[-154.9554,-64.5766]}},{"type":"Feature","id":66727,"properties":{"mag":5.73,"bv":"0.017"},"geometry":{"type":"Point","coordinates":[-154.8314,19.9557]}},{"type":"Feature","id":66738,"properties":{"mag":4.63,"bv":"1.630"},"geometry":{"type":"Point","coordinates":[-154.8155,54.6816]}},{"type":"Feature","id":66753,"properties":{"mag":5.56,"bv":"0.183"},"geometry":{"type":"Point","coordinates":[-154.7688,-85.786]}},{"type":"Feature","id":66763,"properties":{"mag":5.63,"bv":"1.009"},"geometry":{"type":"Point","coordinates":[-154.7402,22.4958]}},{"type":"Feature","id":66798,"properties":{"mag":5.85,"bv":"0.073"},"geometry":{"type":"Point","coordinates":[-154.6254,64.8224]}},{"type":"Feature","id":66803,"properties":{"mag":5.03,"bv":"1.623"},"geometry":{"type":"Point","coordinates":[-154.5968,-8.703]}},{"type":"Feature","id":66821,"properties":{"mag":4.99,"bv":"-0.055"},"geometry":{"type":"Point","coordinates":[-154.5635,-54.5594]}},{"type":"Feature","id":66849,"properties":{"mag":5.38,"bv":"-0.029"},"geometry":{"type":"Point","coordinates":[-154.4955,-58.7871]}},{"type":"Feature","id":66878,"properties":{"mag":5.92,"bv":"0.993"},"geometry":{"type":"Point","coordinates":[-154.4038,82.7524]}},{"type":"Feature","id":66903,"properties":{"mag":5.91,"bv":"1.000"},"geometry":{"type":"Point","coordinates":[-154.3367,78.0644]}},{"type":"Feature","id":66907,"properties":{"mag":5.98,"bv":"0.857"},"geometry":{"type":"Point","coordinates":[-154.319,34.989]}},{"type":"Feature","id":66924,"properties":{"mag":5.96,"bv":"1.019"},"geometry":{"type":"Point","coordinates":[-154.2707,-41.401]}},{"type":"Feature","id":66925,"properties":{"mag":6,"bv":"-0.096"},"geometry":{"type":"Point","coordinates":[-154.2662,-56.768]}},{"type":"Feature","id":66936,"properties":{"mag":5.35,"bv":"1.091"},"geometry":{"type":"Point","coordinates":[-154.2345,3.5379]}},{"type":"Feature","id":66984,"properties":{"mag":5.96,"bv":"-0.075"},"geometry":{"type":"Point","coordinates":[-154.083,-42.0675]}},{"type":"Feature","id":67057,"properties":{"mag":5.55,"bv":"0.805"},"geometry":{"type":"Point","coordinates":[-153.8757,-16.1791]}},{"type":"Feature","id":67143,"properties":{"mag":5.81,"bv":"0.023"},"geometry":{"type":"Point","coordinates":[-153.5963,-26.116]}},{"type":"Feature","id":67153,"properties":{"mag":4.23,"bv":"0.390"},"geometry":{"type":"Point","coordinates":[-153.5781,-33.0437]}},{"type":"Feature","id":67172,"properties":{"mag":5.5,"bv":"0.898"},"geometry":{"type":"Point","coordinates":[-153.5153,-12.4265]}},{"type":"Feature","id":67194,"properties":{"mag":5.88,"bv":"0.211"},"geometry":{"type":"Point","coordinates":[-153.4436,41.0887]}},{"type":"Feature","id":67210,"properties":{"mag":5.92,"bv":"0.948"},"geometry":{"type":"Point","coordinates":[-153.4206,38.5036]}},{"type":"Feature","id":67231,"properties":{"mag":5.68,"bv":"-0.039"},"geometry":{"type":"Point","coordinates":[-153.3514,54.4327]}},{"type":"Feature","id":67234,"properties":{"mag":4.64,"bv":"0.955"},"geometry":{"type":"Point","coordinates":[-153.3359,-51.4328]}},{"type":"Feature","id":67239,"properties":{"mag":5.97,"bv":"0.523"},"geometry":{"type":"Point","coordinates":[-153.3195,25.7022]}},{"type":"Feature","id":67244,"properties":{"mag":5.15,"bv":"-0.007"},"geometry":{"type":"Point","coordinates":[-153.2652,-36.2519]}},{"type":"Feature","id":67250,"properties":{"mag":5.51,"bv":"1.036"},"geometry":{"type":"Point","coordinates":[-153.2509,38.5427]}},{"type":"Feature","id":67275,"properties":{"mag":4.5,"bv":"0.508"},"geometry":{"type":"Point","coordinates":[-153.1844,17.4569]}},{"type":"Feature","id":67288,"properties":{"mag":5.41,"bv":"1.623"},"geometry":{"type":"Point","coordinates":[-153.1442,-17.8598]}},{"type":"Feature","id":67292,"properties":{"mag":5.92,"bv":"0.279"},"geometry":{"type":"Point","coordinates":[-153.1348,-50.2493]}},{"type":"Feature","id":67301,"properties":{"mag":1.85,"bv":"-0.099"},"geometry":{"type":"Point","coordinates":[-153.1148,49.3133]}},{"type":"Feature","id":67304,"properties":{"mag":5.46,"bv":"1.351"},"geometry":{"type":"Point","coordinates":[-153.0894,-50.3207]}},{"type":"Feature","id":67384,"properties":{"mag":5.61,"bv":"1.032"},"geometry":{"type":"Point","coordinates":[-152.8386,31.1902]}},{"type":"Feature","id":67457,"properties":{"mag":4.19,"bv":"1.520"},"geometry":{"type":"Point","coordinates":[-152.6387,-34.4508]}},{"type":"Feature","id":67459,"properties":{"mag":4.05,"bv":"1.520"},"geometry":{"type":"Point","coordinates":[-152.6307,15.7979]}},{"type":"Feature","id":67464,"properties":{"mag":3.41,"bv":"-0.225"},"geometry":{"type":"Point","coordinates":[-152.6238,-41.6877]}},{"type":"Feature","id":67472,"properties":{"mag":3.47,"bv":"-0.170"},"geometry":{"type":"Point","coordinates":[-152.5959,-42.4737]}},{"type":"Feature","id":67480,"properties":{"mag":4.92,"bv":"1.432"},"geometry":{"type":"Point","coordinates":[-152.5715,21.2641]}},{"type":"Feature","id":67485,"properties":{"mag":5.97,"bv":"0.974"},"geometry":{"type":"Point","coordinates":[-152.5604,61.4893]}},{"type":"Feature","id":67494,"properties":{"mag":4.96,"bv":"1.059"},"geometry":{"type":"Point","coordinates":[-152.5322,-18.1342]}},{"type":"Feature","id":67545,"properties":{"mag":6,"bv":"0.899"},"geometry":{"type":"Point","coordinates":[-152.3972,5.4972]}},{"type":"Feature","id":67605,"properties":{"mag":5.89,"bv":"1.635"},"geometry":{"type":"Point","coordinates":[-152.2116,34.6644]}},{"type":"Feature","id":67627,"properties":{"mag":4.58,"bv":"1.572"},"geometry":{"type":"Point","coordinates":[-152.1419,64.7233]}},{"type":"Feature","id":67663,"properties":{"mag":5.77,"bv":"-0.153"},"geometry":{"type":"Point","coordinates":[-152.0533,-46.8987]}},{"type":"Feature","id":67664,"properties":{"mag":5.73,"bv":"1.704"},"geometry":{"type":"Point","coordinates":[-152.0524,-69.4013]}},{"type":"Feature","id":67665,"properties":{"mag":4.76,"bv":"1.611"},"geometry":{"type":"Point","coordinates":[-152.0522,34.4442]}},{"type":"Feature","id":67669,"properties":{"mag":4.32,"bv":"-0.146"},"geometry":{"type":"Point","coordinates":[-152.0433,-32.9941]}},{"type":"Feature","id":67703,"properties":{"mag":5.26,"bv":"-0.084"},"geometry":{"type":"Point","coordinates":[-151.9797,-52.8115]}},{"type":"Feature","id":67782,"properties":{"mag":5.91,"bv":"0.202"},"geometry":{"type":"Point","coordinates":[-151.7072,28.6481]}},{"type":"Feature","id":67786,"properties":{"mag":4.75,"bv":"-0.111"},"geometry":{"type":"Point","coordinates":[-151.6978,-31.9276]}},{"type":"Feature","id":67787,"properties":{"mag":5.71,"bv":"0.845"},"geometry":{"type":"Point","coordinates":[-151.6961,17.9329]}},{"type":"Feature","id":67819,"properties":{"mag":5.53,"bv":"0.444"},"geometry":{"type":"Point","coordinates":[-151.6135,-35.6642]}},{"type":"Feature","id":67836,"properties":{"mag":5.87,"bv":"0.009"},"geometry":{"type":"Point","coordinates":[-151.5704,-53.3733]}},{"type":"Feature","id":67848,"properties":{"mag":5.7,"bv":"-0.032"},"geometry":{"type":"Point","coordinates":[-151.5374,53.7287]}},{"type":"Feature","id":67861,"properties":{"mag":5.83,"bv":"-0.053"},"geometry":{"type":"Point","coordinates":[-151.5115,-47.1282]}},{"type":"Feature","id":67927,"properties":{"mag":2.68,"bv":"0.580"},"geometry":{"type":"Point","coordinates":[-151.3288,18.3977]}},{"type":"Feature","id":67929,"properties":{"mag":5.16,"bv":"1.093"},"geometry":{"type":"Point","coordinates":[-151.3244,-1.5031]}},{"type":"Feature","id":67942,"properties":{"mag":5.74,"bv":"1.490"},"geometry":{"type":"Point","coordinates":[-151.2954,-67.6521]}},{"type":"Feature","id":67973,"properties":{"mag":5.66,"bv":"-0.072"},"geometry":{"type":"Point","coordinates":[-151.1994,-52.1608]}},{"type":"Feature","id":68002,"properties":{"mag":2.55,"bv":"-0.176"},"geometry":{"type":"Point","coordinates":[-151.1151,-47.2884]}},{"type":"Feature","id":68009,"properties":{"mag":5.95,"bv":"1.411"},"geometry":{"type":"Point","coordinates":[-151.088,-82.6662]}},{"type":"Feature","id":68079,"properties":{"mag":5.82,"bv":"1.140"},"geometry":{"type":"Point","coordinates":[-150.9176,-46.5929]}},{"type":"Feature","id":68092,"properties":{"mag":5.9,"bv":"0.217"},"geometry":{"type":"Point","coordinates":[-150.8838,1.0506]}},{"type":"Feature","id":68101,"properties":{"mag":6,"bv":"0.780"},"geometry":{"type":"Point","coordinates":[-150.8627,-54.7047]}},{"type":"Feature","id":68103,"properties":{"mag":5.02,"bv":"1.441"},"geometry":{"type":"Point","coordinates":[-150.8576,27.4921]}},{"type":"Feature","id":68191,"properties":{"mag":4.71,"bv":"1.075"},"geometry":{"type":"Point","coordinates":[-150.588,-63.6867]}},{"type":"Feature","id":68245,"properties":{"mag":3.83,"bv":"-0.224"},"geometry":{"type":"Point","coordinates":[-150.4322,-42.1008]}},{"type":"Feature","id":68269,"properties":{"mag":5.2,"bv":"-0.086"},"geometry":{"type":"Point","coordinates":[-150.3702,-24.9722]}},{"type":"Feature","id":68276,"properties":{"mag":5.76,"bv":"-0.002"},"geometry":{"type":"Point","coordinates":[-150.3378,21.6962]}},{"type":"Feature","id":68282,"properties":{"mag":3.87,"bv":"-0.208"},"geometry":{"type":"Point","coordinates":[-150.3302,-44.8036]}},{"type":"Feature","id":68333,"properties":{"mag":5.92,"bv":"0.957"},"geometry":{"type":"Point","coordinates":[-150.1772,-50.3696]}},{"type":"Feature","id":68390,"properties":{"mag":5.77,"bv":"0.480"},"geometry":{"type":"Point","coordinates":[-149.9995,-25.0104]}},{"type":"Feature","id":68455,"properties":{"mag":5.96,"bv":"0.352"},"geometry":{"type":"Point","coordinates":[-149.7815,-66.2689]}},{"type":"Feature","id":68498,"properties":{"mag":5.98,"bv":"0.089"},"geometry":{"type":"Point","coordinates":[-149.6649,8.8949]}},{"type":"Feature","id":68520,"properties":{"mag":4.23,"bv":"0.121"},"geometry":{"type":"Point","coordinates":[-149.5884,1.5445]}},{"type":"Feature","id":68523,"properties":{"mag":4.34,"bv":"0.598"},"geometry":{"type":"Point","coordinates":[-149.5688,-45.6034]}},{"type":"Feature","id":68581,"properties":{"mag":5.47,"bv":"1.331"},"geometry":{"type":"Point","coordinates":[-149.4051,-27.4298]}},{"type":"Feature","id":68670,"properties":{"mag":5.93,"bv":"1.207"},"geometry":{"type":"Point","coordinates":[-149.1396,-56.2134]}},{"type":"Feature","id":68702,"properties":{"mag":0.61,"bv":"-0.231"},"geometry":{"type":"Point","coordinates":[-149.0441,-60.373]}},{"type":"Feature","id":68756,"properties":{"mag":3.67,"bv":"-0.049"},"geometry":{"type":"Point","coordinates":[-148.9027,64.3759]}},{"type":"Feature","id":68815,"properties":{"mag":5.69,"bv":"1.239"},"geometry":{"type":"Point","coordinates":[-148.6672,-76.7968]}},{"type":"Feature","id":68862,"properties":{"mag":4.36,"bv":"-0.198"},"geometry":{"type":"Point","coordinates":[-148.4885,-41.1796]}},{"type":"Feature","id":68895,"properties":{"mag":3.25,"bv":"1.091"},"geometry":{"type":"Point","coordinates":[-148.4071,-26.6824]}},{"type":"Feature","id":68933,"properties":{"mag":2.06,"bv":"1.011"},"geometry":{"type":"Point","coordinates":[-148.3294,-36.37]}},{"type":"Feature","id":68940,"properties":{"mag":5.46,"bv":"0.347"},"geometry":{"type":"Point","coordinates":[-148.3216,-9.3135]}},{"type":"Feature","id":69038,"properties":{"mag":5.13,"bv":"1.493"},"geometry":{"type":"Point","coordinates":[-148.0177,43.8545]}},{"type":"Feature","id":69068,"properties":{"mag":5.26,"bv":"1.637"},"geometry":{"type":"Point","coordinates":[-147.9279,49.4582]}},{"type":"Feature","id":69112,"properties":{"mag":4.8,"bv":"1.368"},"geometry":{"type":"Point","coordinates":[-147.7878,77.5475]}},{"type":"Feature","id":69174,"properties":{"mag":5.96,"bv":"-0.053"},"geometry":{"type":"Point","coordinates":[-147.604,-51.5047]}},{"type":"Feature","id":69191,"properties":{"mag":4.74,"bv":"0.938"},"geometry":{"type":"Point","coordinates":[-147.5216,-53.4389]}},{"type":"Feature","id":69226,"properties":{"mag":4.82,"bv":"0.541"},"geometry":{"type":"Point","coordinates":[-147.4003,25.0917]}},{"type":"Feature","id":69269,"properties":{"mag":4.93,"bv":"1.684"},"geometry":{"type":"Point","coordinates":[-147.2896,-16.302]}},{"type":"Feature","id":69373,"properties":{"mag":5.18,"bv":"1.595"},"geometry":{"type":"Point","coordinates":[-146.9833,69.4325]}},{"type":"Feature","id":69389,"properties":{"mag":4.99,"bv":"-0.118"},"geometry":{"type":"Point","coordinates":[-146.9341,2.4094]}},{"type":"Feature","id":69415,"properties":{"mag":5.07,"bv":"1.130"},"geometry":{"type":"Point","coordinates":[-146.8082,-27.2612]}},{"type":"Feature","id":69427,"properties":{"mag":4.18,"bv":"1.323"},"geometry":{"type":"Point","coordinates":[-146.7761,-10.2737]}},{"type":"Feature","id":69462,"properties":{"mag":5.53,"bv":"1.438"},"geometry":{"type":"Point","coordinates":[-146.6816,-53.6657]}},{"type":"Feature","id":69483,"properties":{"mag":4.53,"bv":"0.233"},"geometry":{"type":"Point","coordinates":[-146.6291,51.79]}},{"type":"Feature","id":69493,"properties":{"mag":5.89,"bv":"0.489"},"geometry":{"type":"Point","coordinates":[-146.58,-0.8455]}},{"type":"Feature","id":69536,"properties":{"mag":5.53,"bv":"0.537"},"geometry":{"type":"Point","coordinates":[-146.4784,12.9594]}},{"type":"Feature","id":69598,"properties":{"mag":5.61,"bv":"0.929"},"geometry":{"type":"Point","coordinates":[-146.3222,-41.8375]}},{"type":"Feature","id":69612,"properties":{"mag":5.29,"bv":"1.007"},"geometry":{"type":"Point","coordinates":[-146.2881,10.1006]}},{"type":"Feature","id":69618,"properties":{"mag":5.03,"bv":"-0.074"},"geometry":{"type":"Point","coordinates":[-146.2619,-57.0861]}},{"type":"Feature","id":69658,"properties":{"mag":5.53,"bv":"0.001"},"geometry":{"type":"Point","coordinates":[-146.1496,-18.2007]}},{"type":"Feature","id":69673,"properties":{"mag":-0.05,"bv":"1.239"},"geometry":{"type":"Point","coordinates":[-146.0847,19.1824]}},{"type":"Feature","id":69701,"properties":{"mag":4.07,"bv":"0.511"},"geometry":{"type":"Point","coordinates":[-145.9964,-6.0005]}},{"type":"Feature","id":69713,"properties":{"mag":4.75,"bv":"0.236"},"geometry":{"type":"Point","coordinates":[-145.9586,51.3672]}},{"type":"Feature","id":69732,"properties":{"mag":4.18,"bv":"0.087"},"geometry":{"type":"Point","coordinates":[-145.9041,46.0883]}},{"type":"Feature","id":69763,"properties":{"mag":5.72,"bv":"-0.095"},"geometry":{"type":"Point","coordinates":[-145.8387,-66.5879]}},{"type":"Feature","id":69829,"properties":{"mag":5.84,"bv":"1.678"},"geometry":{"type":"Point","coordinates":[-145.6315,15.2634]}},{"type":"Feature","id":69879,"properties":{"mag":4.8,"bv":"1.057"},"geometry":{"type":"Point","coordinates":[-145.5008,35.5095]}},{"type":"Feature","id":69896,"properties":{"mag":4.89,"bv":"0.243"},"geometry":{"type":"Point","coordinates":[-145.4421,-81.0078]}},{"type":"Feature","id":69929,"properties":{"mag":5.86,"bv":"0.013"},"geometry":{"type":"Point","coordinates":[-145.3406,-18.716]}},{"type":"Feature","id":69965,"properties":{"mag":5.87,"bv":"0.518"},"geometry":{"type":"Point","coordinates":[-145.2463,-25.8154]}},{"type":"Feature","id":69974,"properties":{"mag":4.52,"bv":"0.128"},"geometry":{"type":"Point","coordinates":[-145.2225,-13.3711]}},{"type":"Feature","id":69989,"properties":{"mag":5.41,"bv":"0.385"},"geometry":{"type":"Point","coordinates":[-145.1822,13.0043]}},{"type":"Feature","id":69995,"properties":{"mag":5.93,"bv":"0.082"},"geometry":{"type":"Point","coordinates":[-145.1505,-37.0029]}},{"type":"Feature","id":69996,"properties":{"mag":3.55,"bv":"-0.184"},"geometry":{"type":"Point","coordinates":[-145.1491,-46.0581]}},{"type":"Feature","id":70012,"properties":{"mag":5.14,"bv":"1.023"},"geometry":{"type":"Point","coordinates":[-145.1147,-2.2655]}},{"type":"Feature","id":70027,"properties":{"mag":4.84,"bv":"1.228"},"geometry":{"type":"Point","coordinates":[-145.0615,16.3069]}},{"type":"Feature","id":70035,"properties":{"mag":5.22,"bv":"0.281"},"geometry":{"type":"Point","coordinates":[-145.0354,-61.273]}},{"type":"Feature","id":70054,"properties":{"mag":5.55,"bv":"0.907"},"geometry":{"type":"Point","coordinates":[-144.9596,-43.0588]}},{"type":"Feature","id":70069,"properties":{"mag":4.3,"bv":"0.082"},"geometry":{"type":"Point","coordinates":[-144.9186,-56.3865]}},{"type":"Feature","id":70090,"properties":{"mag":4.05,"bv":"-0.030"},"geometry":{"type":"Point","coordinates":[-144.8607,-37.8853]}},{"type":"Feature","id":70104,"properties":{"mag":4.78,"bv":"0.310"},"geometry":{"type":"Point","coordinates":[-144.8226,-45.1871]}},{"type":"Feature","id":70243,"properties":{"mag":5.57,"bv":"-0.088"},"geometry":{"type":"Point","coordinates":[-144.4178,-34.7868]}},{"type":"Feature","id":70248,"properties":{"mag":5.06,"bv":"-0.108"},"geometry":{"type":"Point","coordinates":[-144.4035,-80.1089]}},{"type":"Feature","id":70264,"properties":{"mag":4.76,"bv":"0.795"},"geometry":{"type":"Point","coordinates":[-144.3455,-58.4591]}},{"type":"Feature","id":70300,"properties":{"mag":4.41,"bv":"-0.185"},"geometry":{"type":"Point","coordinates":[-144.2407,-39.5118]}},{"type":"Feature","id":70306,"properties":{"mag":4.78,"bv":"1.300"},"geometry":{"type":"Point","coordinates":[-144.2259,-27.754]}},{"type":"Feature","id":70327,"properties":{"mag":4.86,"bv":"0.010"},"geometry":{"type":"Point","coordinates":[-144.1554,8.4466]}},{"type":"Feature","id":70363,"properties":{"mag":5.99,"bv":"1.099"},"geometry":{"type":"Point","coordinates":[-144.0476,-53.1762]}},{"type":"Feature","id":70384,"properties":{"mag":5.94,"bv":"0.066"},"geometry":{"type":"Point","coordinates":[-143.9963,8.244]}},{"type":"Feature","id":70400,"properties":{"mag":5.1,"bv":"0.124"},"geometry":{"type":"Point","coordinates":[-143.9527,5.8201]}},{"type":"Feature","id":70469,"properties":{"mag":5.34,"bv":"0.962"},"geometry":{"type":"Point","coordinates":[-143.7974,-24.8063]}},{"type":"Feature","id":70492,"properties":{"mag":5.56,"bv":"0.435"},"geometry":{"type":"Point","coordinates":[-143.7236,-68.1953]}},{"type":"Feature","id":70497,"properties":{"mag":4.04,"bv":"0.497"},"geometry":{"type":"Point","coordinates":[-143.7008,51.8507]}},{"type":"Feature","id":70574,"properties":{"mag":4.56,"bv":"-0.147"},"geometry":{"type":"Point","coordinates":[-143.4657,-45.2214]}},{"type":"Feature","id":70576,"properties":{"mag":4.33,"bv":"0.434"},"geometry":{"type":"Point","coordinates":[-143.4549,-45.3793]}},{"type":"Feature","id":70602,"properties":{"mag":5.4,"bv":"0.231"},"geometry":{"type":"Point","coordinates":[-143.386,19.2269]}},{"type":"Feature","id":70638,"properties":{"mag":4.31,"bv":"1.300"},"geometry":{"type":"Point","coordinates":[-143.2699,-83.6679]}},{"type":"Feature","id":70657,"properties":{"mag":5.87,"bv":"1.502"},"geometry":{"type":"Point","coordinates":[-143.2205,-65.8216]}},{"type":"Feature","id":70663,"properties":{"mag":5.83,"bv":"0.311"},"geometry":{"type":"Point","coordinates":[-143.1993,-46.1343]}},{"type":"Feature","id":70692,"properties":{"mag":4.25,"bv":"1.431"},"geometry":{"type":"Point","coordinates":[-143.1186,75.696]}},{"type":"Feature","id":70753,"properties":{"mag":4.97,"bv":"-0.074"},"geometry":{"type":"Point","coordinates":[-142.9566,-29.4916]}},{"type":"Feature","id":70755,"properties":{"mag":4.81,"bv":"0.693"},"geometry":{"type":"Point","coordinates":[-142.9494,-2.228]}},{"type":"Feature","id":70791,"properties":{"mag":5.58,"bv":"0.864"},"geometry":{"type":"Point","coordinates":[-142.8424,49.8449]}},{"type":"Feature","id":70794,"properties":{"mag":5.42,"bv":"1.490"},"geometry":{"type":"Point","coordinates":[-142.8262,-6.9005]}},{"type":"Feature","id":70894,"properties":{"mag":5.96,"bv":"0.159"},"geometry":{"type":"Point","coordinates":[-142.5395,0.8289]}},{"type":"Feature","id":70915,"properties":{"mag":5.51,"bv":"-0.087"},"geometry":{"type":"Point","coordinates":[-142.464,-45.3214]}},{"type":"Feature","id":70931,"properties":{"mag":5.38,"bv":"0.056"},"geometry":{"type":"Point","coordinates":[-142.4127,-49.519]}},{"type":"Feature","id":70987,"properties":{"mag":5.99,"bv":"1.060"},"geometry":{"type":"Point","coordinates":[-142.2048,-38.8697]}},{"type":"Feature","id":71002,"properties":{"mag":5.84,"bv":"1.006"},"geometry":{"type":"Point","coordinates":[-142.1815,-67.7172]}},{"type":"Feature","id":71053,"properties":{"mag":3.57,"bv":"1.298"},"geometry":{"type":"Point","coordinates":[-142.0425,30.3714]}},{"type":"Feature","id":71075,"properties":{"mag":3.04,"bv":"0.191"},"geometry":{"type":"Point","coordinates":[-141.9805,38.3083]}},{"type":"Feature","id":71094,"properties":{"mag":6,"bv":"0.230"},"geometry":{"type":"Point","coordinates":[-141.9157,26.6773]}},{"type":"Feature","id":71111,"properties":{"mag":5.74,"bv":"1.529"},"geometry":{"type":"Point","coordinates":[-141.8711,55.398]}},{"type":"Feature","id":71115,"properties":{"mag":5.91,"bv":"0.391"},"geometry":{"type":"Point","coordinates":[-141.8644,22.2601]}},{"type":"Feature","id":71121,"properties":{"mag":4.44,"bv":"-0.177"},"geometry":{"type":"Point","coordinates":[-141.8456,-50.4572]}},{"type":"Feature","id":71182,"properties":{"mag":5.86,"bv":"1.085"},"geometry":{"type":"Point","coordinates":[-141.6251,-52.6795]}},{"type":"Feature","id":71184,"properties":{"mag":5.86,"bv":"0.482"},"geometry":{"type":"Point","coordinates":[-141.6151,-54.9986]}},{"type":"Feature","id":71280,"properties":{"mag":5.74,"bv":"1.560"},"geometry":{"type":"Point","coordinates":[-141.3349,49.3684]}},{"type":"Feature","id":71284,"properties":{"mag":4.47,"bv":"0.364"},"geometry":{"type":"Point","coordinates":[-141.3299,29.7451]}},{"type":"Feature","id":71352,"properties":{"mag":2.33,"bv":"-0.157"},"geometry":{"type":"Point","coordinates":[-141.1232,-42.1578]}},{"type":"Feature","id":71353,"properties":{"mag":5.88,"bv":"-0.085"},"geometry":{"type":"Point","coordinates":[-141.1188,-41.5174]}},{"type":"Feature","id":71419,"properties":{"mag":5.55,"bv":"1.489"},"geometry":{"type":"Point","coordinates":[-140.9207,-46.2455]}},{"type":"Feature","id":71453,"properties":{"mag":5.74,"bv":"-0.112"},"geometry":{"type":"Point","coordinates":[-140.8161,-40.2116]}},{"type":"Feature","id":71500,"properties":{"mag":5.39,"bv":"0.927"},"geometry":{"type":"Point","coordinates":[-140.666,-46.1334]}},{"type":"Feature","id":71536,"properties":{"mag":4.05,"bv":"-0.152"},"geometry":{"type":"Point","coordinates":[-140.5282,-49.4258]}},{"type":"Feature","id":71568,"properties":{"mag":5.74,"bv":"1.481"},"geometry":{"type":"Point","coordinates":[-140.4475,43.6421]}},{"type":"Feature","id":71571,"properties":{"mag":5.9,"bv":"1.099"},"geometry":{"type":"Point","coordinates":[-140.4417,18.2984]}},{"type":"Feature","id":71573,"properties":{"mag":5.83,"bv":"0.007"},"geometry":{"type":"Point","coordinates":[-140.4366,54.0233]}},{"type":"Feature","id":71618,"properties":{"mag":5.39,"bv":"0.030"},"geometry":{"type":"Point","coordinates":[-140.2907,44.4045]}},{"type":"Feature","id":71681,"properties":{"mag":1.35,"bv":"0.900"},"geometry":{"type":"Point","coordinates":[-140.1038,-60.8372]}},{"type":"Feature","id":71683,"properties":{"mag":-0.01,"bv":"0.710"},"geometry":{"type":"Point","coordinates":[-140.0979,-60.834]}},{"type":"Feature","id":71759,"properties":{"mag":5.93,"bv":"0.238"},"geometry":{"type":"Point","coordinates":[-139.8234,13.5343]}},{"type":"Feature","id":71762,"properties":{"mag":4.49,"bv":"-0.002"},"geometry":{"type":"Point","coordinates":[-139.8185,16.4183]}},{"type":"Feature","id":71783,"properties":{"mag":5.67,"bv":"-0.081"},"geometry":{"type":"Point","coordinates":[-139.7442,-36.1349]}},{"type":"Feature","id":71795,"properties":{"mag":3.78,"bv":"0.044"},"geometry":{"type":"Point","coordinates":[-139.7127,13.7283]}},{"type":"Feature","id":71832,"properties":{"mag":4.86,"bv":"0.992"},"geometry":{"type":"Point","coordinates":[-139.5885,8.1618]}},{"type":"Feature","id":71837,"properties":{"mag":5.55,"bv":"0.941"},"geometry":{"type":"Point","coordinates":[-139.5687,11.6607]}},{"type":"Feature","id":71860,"properties":{"mag":2.3,"bv":"-0.154"},"geometry":{"type":"Point","coordinates":[-139.5177,-47.3882]}},{"type":"Feature","id":71865,"properties":{"mag":4.01,"bv":"-0.157"},"geometry":{"type":"Point","coordinates":[-139.51,-37.7935]}},{"type":"Feature","id":71908,"properties":{"mag":3.18,"bv":"0.256"},"geometry":{"type":"Point","coordinates":[-139.3733,-64.9751]}},{"type":"Feature","id":71957,"properties":{"mag":3.87,"bv":"0.385"},"geometry":{"type":"Point","coordinates":[-139.2349,-5.6582]}},{"type":"Feature","id":71974,"properties":{"mag":5.7,"bv":"0.006"},"geometry":{"type":"Point","coordinates":[-139.1935,-24.9978]}},{"type":"Feature","id":71995,"properties":{"mag":4.8,"bv":"1.672"},"geometry":{"type":"Point","coordinates":[-139.1443,26.5279]}},{"type":"Feature","id":72010,"properties":{"mag":4.06,"bv":"1.356"},"geometry":{"type":"Point","coordinates":[-139.0857,-35.1737]}},{"type":"Feature","id":72012,"properties":{"mag":5.72,"bv":"1.398"},"geometry":{"type":"Point","coordinates":[-139.0649,40.4593]}},{"type":"Feature","id":72104,"properties":{"mag":4.92,"bv":"0.013"},"geometry":{"type":"Point","coordinates":[-138.7533,-35.1918]}},{"type":"Feature","id":72105,"properties":{"mag":2.35,"bv":"0.966"},"geometry":{"type":"Point","coordinates":[-138.7533,27.0742]}},{"type":"Feature","id":72125,"properties":{"mag":4.6,"bv":"0.972"},"geometry":{"type":"Point","coordinates":[-138.6897,16.9643]}},{"type":"Feature","id":72131,"properties":{"mag":5.36,"bv":"0.308"},"geometry":{"type":"Point","coordinates":[-138.6778,-62.8756]}},{"type":"Feature","id":72154,"properties":{"mag":5.68,"bv":"-0.021"},"geometry":{"type":"Point","coordinates":[-138.6241,0.7173]}},{"type":"Feature","id":72197,"properties":{"mag":5.15,"bv":"0.315"},"geometry":{"type":"Point","coordinates":[-138.4997,-25.4432]}},{"type":"Feature","id":72208,"properties":{"mag":5.78,"bv":"1.335"},"geometry":{"type":"Point","coordinates":[-138.4752,15.1318]}},{"type":"Feature","id":72210,"properties":{"mag":5.8,"bv":"0.980"},"geometry":{"type":"Point","coordinates":[-138.4718,-23.153]}},{"type":"Feature","id":72220,"properties":{"mag":3.73,"bv":"-0.005"},"geometry":{"type":"Point","coordinates":[-138.4378,1.8929]}},{"type":"Feature","id":72250,"properties":{"mag":5.74,"bv":"0.066"},"geometry":{"type":"Point","coordinates":[-138.3792,-47.4411]}},{"type":"Feature","id":72290,"properties":{"mag":5.22,"bv":"0.984"},"geometry":{"type":"Point","coordinates":[-138.2446,-52.3835]}},{"type":"Feature","id":72296,"properties":{"mag":5.9,"bv":"1.336"},"geometry":{"type":"Point","coordinates":[-138.2288,-38.2906]}},{"type":"Feature","id":72323,"properties":{"mag":5.61,"bv":"-0.043"},"geometry":{"type":"Point","coordinates":[-138.156,-25.6243]}},{"type":"Feature","id":72357,"properties":{"mag":5.23,"bv":"0.938"},"geometry":{"type":"Point","coordinates":[-138.0633,-26.0875]}},{"type":"Feature","id":72370,"properties":{"mag":3.83,"bv":"1.433"},"geometry":{"type":"Point","coordinates":[-138.0345,-79.0448]}},{"type":"Feature","id":72378,"properties":{"mag":5.76,"bv":"-0.007"},"geometry":{"type":"Point","coordinates":[-138.0102,-26.6462]}},{"type":"Feature","id":72432,"properties":{"mag":5.89,"bv":"1.369"},"geometry":{"type":"Point","coordinates":[-137.8415,-36.6347]}},{"type":"Feature","id":72438,"properties":{"mag":5.91,"bv":"-0.106"},"geometry":{"type":"Point","coordinates":[-137.8144,-66.5936]}},{"type":"Feature","id":72487,"properties":{"mag":5.76,"bv":"0.482"},"geometry":{"type":"Point","coordinates":[-137.6722,46.1162]}},{"type":"Feature","id":72488,"properties":{"mag":5.68,"bv":"1.275"},"geometry":{"type":"Point","coordinates":[-137.6719,-24.2515]}},{"type":"Feature","id":72489,"properties":{"mag":5.32,"bv":"0.066"},"geometry":{"type":"Point","coordinates":[-137.6706,-14.149]}},{"type":"Feature","id":72524,"properties":{"mag":5.68,"bv":"0.501"},"geometry":{"type":"Point","coordinates":[-137.5779,48.7208]}},{"type":"Feature","id":72552,"properties":{"mag":5.8,"bv":"0.046"},"geometry":{"type":"Point","coordinates":[-137.5067,28.6158]}},{"type":"Feature","id":72567,"properties":{"mag":5.86,"bv":"0.576"},"geometry":{"type":"Point","coordinates":[-137.4341,23.9118]}},{"type":"Feature","id":72571,"properties":{"mag":4.42,"bv":"1.366"},"geometry":{"type":"Point","coordinates":[-137.4279,-27.9604]}},{"type":"Feature","id":72573,"properties":{"mag":5.63,"bv":"0.671"},"geometry":{"type":"Point","coordinates":[-137.4149,82.5119]}},{"type":"Feature","id":72582,"properties":{"mag":5.47,"bv":"1.030"},"geometry":{"type":"Point","coordinates":[-137.3765,37.272]}},{"type":"Feature","id":72603,"properties":{"mag":5.15,"bv":"0.401"},"geometry":{"type":"Point","coordinates":[-137.3284,-15.9972]}},{"type":"Feature","id":72607,"properties":{"mag":2.07,"bv":"1.465"},"geometry":{"type":"Point","coordinates":[-137.3236,74.1555]}},{"type":"Feature","id":72622,"properties":{"mag":2.75,"bv":"0.147"},"geometry":{"type":"Point","coordinates":[-137.2804,-16.0418]}},{"type":"Feature","id":72631,"properties":{"mag":4.93,"bv":"0.988"},"geometry":{"type":"Point","coordinates":[-137.2455,-2.2992]}},{"type":"Feature","id":72659,"properties":{"mag":4.54,"bv":"0.720"},"geometry":{"type":"Point","coordinates":[-137.1526,19.1005]}},{"type":"Feature","id":72664,"properties":{"mag":5.48,"bv":"1.369"},"geometry":{"type":"Point","coordinates":[-137.1398,59.294]}},{"type":"Feature","id":72683,"properties":{"mag":4.32,"bv":"-0.154"},"geometry":{"type":"Point","coordinates":[-137.0904,-43.5754]}},{"type":"Feature","id":72773,"properties":{"mag":5.91,"bv":"0.660"},"geometry":{"type":"Point","coordinates":[-136.8531,-63.8098]}},{"type":"Feature","id":72800,"properties":{"mag":5.02,"bv":"-0.155"},"geometry":{"type":"Point","coordinates":[-136.7872,-37.8032]}},{"type":"Feature","id":72833,"properties":{"mag":5.59,"bv":"0.820"},"geometry":{"type":"Point","coordinates":[-136.6934,-73.1901]}},{"type":"Feature","id":72848,"properties":{"mag":6,"bv":"0.841"},"geometry":{"type":"Point","coordinates":[-136.651,19.1528]}},{"type":"Feature","id":72929,"properties":{"mag":5.27,"bv":"1.336"},"geometry":{"type":"Point","coordinates":[-136.4161,-24.6422]}},{"type":"Feature","id":72934,"properties":{"mag":5.78,"bv":"0.982"},"geometry":{"type":"Point","coordinates":[-136.4047,-11.8983]}},{"type":"Feature","id":72959,"properties":{"mag":5.85,"bv":"1.429"},"geometry":{"type":"Point","coordinates":[-136.342,-33.3006]}},{"type":"Feature","id":73036,"properties":{"mag":5.18,"bv":"1.161"},"geometry":{"type":"Point","coordinates":[-136.106,-60.1142]}},{"type":"Feature","id":73049,"properties":{"mag":5.32,"bv":"0.046"},"geometry":{"type":"Point","coordinates":[-136.0637,-33.8558]}},{"type":"Feature","id":73087,"properties":{"mag":5.9,"bv":"-0.031"},"geometry":{"type":"Point","coordinates":[-135.9449,14.4463]}},{"type":"Feature","id":73095,"properties":{"mag":5.38,"bv":"0.142"},"geometry":{"type":"Point","coordinates":[-135.9281,-52.8095]}},{"type":"Feature","id":73100,"properties":{"mag":5.63,"bv":"0.533"},"geometry":{"type":"Point","coordinates":[-135.904,49.6284]}},{"type":"Feature","id":73111,"properties":{"mag":5.62,"bv":"-0.035"},"geometry":{"type":"Point","coordinates":[-135.8664,-47.8792]}},{"type":"Feature","id":73129,"properties":{"mag":5.08,"bv":"-0.023"},"geometry":{"type":"Point","coordinates":[-135.8167,-62.781]}},{"type":"Feature","id":73133,"properties":{"mag":5.48,"bv":"1.491"},"geometry":{"type":"Point","coordinates":[-135.8079,-11.4097]}},{"type":"Feature","id":73165,"properties":{"mag":4.47,"bv":"0.318"},"geometry":{"type":"Point","coordinates":[-135.7042,-4.3465]}},{"type":"Feature","id":73166,"properties":{"mag":5.72,"bv":"0.951"},"geometry":{"type":"Point","coordinates":[-135.7013,16.3881]}},{"type":"Feature","id":73184,"properties":{"mag":5.72,"bv":"1.024"},"geometry":{"type":"Point","coordinates":[-135.6333,-21.4155]}},{"type":"Feature","id":73193,"properties":{"mag":5.51,"bv":"1.131"},"geometry":{"type":"Point","coordinates":[-135.6115,-0.1676]}},{"type":"Feature","id":73199,"properties":{"mag":4.63,"bv":"1.590"},"geometry":{"type":"Point","coordinates":[-135.6041,65.9325]}},{"type":"Feature","id":73223,"properties":{"mag":5.37,"bv":"1.442"},"geometry":{"type":"Point","coordinates":[-135.5292,-76.6627]}},{"type":"Feature","id":73273,"properties":{"mag":2.68,"bv":"-0.184"},"geometry":{"type":"Point","coordinates":[-135.367,-43.134]}},{"type":"Feature","id":73284,"properties":{"mag":5.65,"bv":"0.262"},"geometry":{"type":"Point","coordinates":[-135.3364,-27.6573]}},{"type":"Feature","id":73310,"properties":{"mag":5.88,"bv":"1.274"},"geometry":{"type":"Point","coordinates":[-135.2767,-11.144]}},{"type":"Feature","id":73334,"properties":{"mag":3.13,"bv":"-0.208"},"geometry":{"type":"Point","coordinates":[-135.2096,-42.1042]}},{"type":"Feature","id":73350,"properties":{"mag":5.91,"bv":"1.615"},"geometry":{"type":"Point","coordinates":[-135.1537,4.5678]}},{"type":"Feature","id":73369,"properties":{"mag":5.64,"bv":"0.336"},"geometry":{"type":"Point","coordinates":[-135.0961,39.2653]}},{"type":"Feature","id":73415,"properties":{"mag":5.92,"bv":"1.052"},"geometry":{"type":"Point","coordinates":[-134.9529,-77.1606]}},{"type":"Feature","id":73473,"properties":{"mag":4.91,"bv":"0.000"},"geometry":{"type":"Point","coordinates":[-134.7569,-8.5189]}},{"type":"Feature","id":73493,"properties":{"mag":5.88,"bv":"1.246"},"geometry":{"type":"Point","coordinates":[-134.6954,-38.0584]}},{"type":"Feature","id":73497,"properties":{"mag":5.52,"bv":"1.692"},"geometry":{"type":"Point","coordinates":[-134.6674,-2.7549]}},{"type":"Feature","id":73507,"properties":{"mag":5.91,"bv":"0.107"},"geometry":{"type":"Point","coordinates":[-134.6371,60.2045]}},{"type":"Feature","id":73536,"properties":{"mag":5.71,"bv":"1.509"},"geometry":{"type":"Point","coordinates":[-134.5462,-0.1403]}},{"type":"Feature","id":73540,"properties":{"mag":5.65,"bv":"0.962"},"geometry":{"type":"Point","coordinates":[-134.5383,-83.2276]}},{"type":"Feature","id":73555,"properties":{"mag":3.49,"bv":"0.956"},"geometry":{"type":"Point","coordinates":[-134.5135,40.3906]}},{"type":"Feature","id":73566,"properties":{"mag":5.83,"bv":"0.164"},"geometry":{"type":"Point","coordinates":[-134.4732,-28.0606]}},{"type":"Feature","id":73568,"properties":{"mag":4.8,"bv":"1.506"},"geometry":{"type":"Point","coordinates":[-134.4729,25.0081]}},{"type":"Feature","id":73620,"properties":{"mag":4.39,"bv":"1.026"},"geometry":{"type":"Point","coordinates":[-134.2748,2.0913]}},{"type":"Feature","id":73624,"properties":{"mag":5.45,"bv":"-0.127"},"geometry":{"type":"Point","coordinates":[-134.253,-32.6433]}},{"type":"Feature","id":73634,"properties":{"mag":5.52,"bv":"1.023"},"geometry":{"type":"Point","coordinates":[-134.2248,35.2058]}},{"type":"Feature","id":73695,"properties":{"mag":4.83,"bv":"0.647"},"geometry":{"type":"Point","coordinates":[-134.0529,47.6541]}},{"type":"Feature","id":73714,"properties":{"mag":3.25,"bv":"1.674"},"geometry":{"type":"Point","coordinates":[-133.9824,-25.282]}},{"type":"Feature","id":73745,"properties":{"mag":4.52,"bv":"1.240"},"geometry":{"type":"Point","coordinates":[-133.8886,26.9476]}},{"type":"Feature","id":73771,"properties":{"mag":5.65,"bv":"1.273"},"geometry":{"type":"Point","coordinates":[-133.8045,-83.0383]}},{"type":"Feature","id":73776,"properties":{"mag":5.16,"bv":"0.935"},"geometry":{"type":"Point","coordinates":[-133.7992,-64.0314]}},{"type":"Feature","id":73807,"properties":{"mag":3.91,"bv":"-0.144"},"geometry":{"type":"Point","coordinates":[-133.7205,-47.0512]}},{"type":"Feature","id":73826,"properties":{"mag":5.13,"bv":"1.011"},"geometry":{"type":"Point","coordinates":[-133.6701,-41.0672]}},{"type":"Feature","id":73841,"properties":{"mag":5.59,"bv":"-0.005"},"geometry":{"type":"Point","coordinates":[-133.6424,48.151]}},{"type":"Feature","id":73909,"properties":{"mag":5.24,"bv":"0.958"},"geometry":{"type":"Point","coordinates":[-133.4303,54.5563]}},{"type":"Feature","id":73937,"properties":{"mag":5.97,"bv":"-0.076"},"geometry":{"type":"Point","coordinates":[-133.3617,-30.9185]}},{"type":"Feature","id":73945,"properties":{"mag":5.19,"bv":"1.589"},"geometry":{"type":"Point","coordinates":[-133.3433,-16.2568]}},{"type":"Feature","id":73996,"properties":{"mag":4.93,"bv":"0.429"},"geometry":{"type":"Point","coordinates":[-133.1747,24.8692]}},{"type":"Feature","id":74006,"properties":{"mag":5.77,"bv":"0.920"},"geometry":{"type":"Point","coordinates":[-133.1419,-49.0886]}},{"type":"Feature","id":74066,"properties":{"mag":5.75,"bv":"-0.113"},"geometry":{"type":"Point","coordinates":[-132.9495,-40.5839]}},{"type":"Feature","id":74087,"properties":{"mag":5.67,"bv":"1.240"},"geometry":{"type":"Point","coordinates":[-132.9009,26.3012]}},{"type":"Feature","id":74096,"properties":{"mag":5.82,"bv":"1.233"},"geometry":{"type":"Point","coordinates":[-132.8518,25.1086]}},{"type":"Feature","id":74100,"properties":{"mag":5.85,"bv":"-0.123"},"geometry":{"type":"Point","coordinates":[-132.8367,-42.8679]}},{"type":"Feature","id":74117,"properties":{"mag":4.07,"bv":"-0.162"},"geometry":{"type":"Point","coordinates":[-132.7891,-45.2799]}},{"type":"Feature","id":74184,"properties":{"mag":5.76,"bv":"0.675"},"geometry":{"type":"Point","coordinates":[-132.6254,-67.0841]}},{"type":"Feature","id":74224,"properties":{"mag":5.98,"bv":"0.867"},"geometry":{"type":"Point","coordinates":[-132.4695,-38.7925]}},{"type":"Feature","id":74239,"properties":{"mag":5.75,"bv":"1.045"},"geometry":{"type":"Point","coordinates":[-132.4224,-26.3326]}},{"type":"Feature","id":74296,"properties":{"mag":5.88,"bv":"-0.031"},"geometry":{"type":"Point","coordinates":[-132.2133,-84.7878]}},{"type":"Feature","id":74305,"properties":{"mag":5.45,"bv":"1.118"},"geometry":{"type":"Point","coordinates":[-132.1834,-55.346]}},{"type":"Feature","id":74376,"properties":{"mag":3.88,"bv":"-0.029"},"geometry":{"type":"Point","coordinates":[-132.0164,-48.7378]}},{"type":"Feature","id":74380,"properties":{"mag":5.7,"bv":"0.144"},"geometry":{"type":"Point","coordinates":[-132.0097,-48.7437]}},{"type":"Feature","id":74386,"properties":{"mag":5.9,"bv":"1.414"},"geometry":{"type":"Point","coordinates":[-131.9822,18.976]}},{"type":"Feature","id":74392,"properties":{"mag":4.54,"bv":"-0.071"},"geometry":{"type":"Point","coordinates":[-131.9446,-19.7917]}},{"type":"Feature","id":74395,"properties":{"mag":3.41,"bv":"0.918"},"geometry":{"type":"Point","coordinates":[-131.9288,-52.0992]}},{"type":"Feature","id":74449,"properties":{"mag":4.83,"bv":"-0.177"},"geometry":{"type":"Point","coordinates":[-131.7934,-44.5004]}},{"type":"Feature","id":74539,"properties":{"mag":5.84,"bv":"1.139"},"geometry":{"type":"Point","coordinates":[-131.5279,-26.1936]}},{"type":"Feature","id":74561,"properties":{"mag":5.98,"bv":"1.552"},"geometry":{"type":"Point","coordinates":[-131.4748,31.7878]}},{"type":"Feature","id":74582,"properties":{"mag":5.75,"bv":"3.271"},"geometry":{"type":"Point","coordinates":[-131.4201,-70.0795]}},{"type":"Feature","id":74596,"properties":{"mag":5.28,"bv":"0.062"},"geometry":{"type":"Point","coordinates":[-131.3785,29.1643]}},{"type":"Feature","id":74604,"properties":{"mag":4.91,"bv":"0.374"},"geometry":{"type":"Point","coordinates":[-131.3445,-31.5191]}},{"type":"Feature","id":74605,"properties":{"mag":5.15,"bv":"0.550"},"geometry":{"type":"Point","coordinates":[-131.3403,67.3467]}},{"type":"Feature","id":74649,"properties":{"mag":5.32,"bv":"1.092"},"geometry":{"type":"Point","coordinates":[-131.2027,4.9394]}},{"type":"Feature","id":74666,"properties":{"mag":3.46,"bv":"0.961"},"geometry":{"type":"Point","coordinates":[-131.1243,33.3148]}},{"type":"Feature","id":74689,"properties":{"mag":5.62,"bv":"0.181"},"geometry":{"type":"Point","coordinates":[-131.0455,0.3721]}},{"type":"Feature","id":74696,"properties":{"mag":5.96,"bv":"0.210"},"geometry":{"type":"Point","coordinates":[-131.0264,-48.0737]}},{"type":"Feature","id":74707,"properties":{"mag":5.15,"bv":"0.564"},"geometry":{"type":"Point","coordinates":[-130.9832,-41.4912]}},{"type":"Feature","id":74732,"properties":{"mag":5.52,"bv":"1.357"},"geometry":{"type":"Point","coordinates":[-130.9041,-22.3994]}},{"type":"Feature","id":74750,"properties":{"mag":5.74,"bv":"-0.057"},"geometry":{"type":"Point","coordinates":[-130.8471,-60.904]}},{"type":"Feature","id":74778,"properties":{"mag":5.04,"bv":"-0.077"},"geometry":{"type":"Point","coordinates":[-130.7629,-60.9573]}},{"type":"Feature","id":74785,"properties":{"mag":2.61,"bv":"-0.071"},"geometry":{"type":"Point","coordinates":[-130.7483,-9.3829]}},{"type":"Feature","id":74793,"properties":{"mag":5.02,"bv":"1.369"},"geometry":{"type":"Point","coordinates":[-130.7255,71.8239]}},{"type":"Feature","id":74824,"properties":{"mag":4.07,"bv":"0.088"},"geometry":{"type":"Point","coordinates":[-130.6215,-58.8012]}},{"type":"Feature","id":74837,"properties":{"mag":4.85,"bv":"1.260"},"geometry":{"type":"Point","coordinates":[-130.588,-63.6105]}},{"type":"Feature","id":74857,"properties":{"mag":4.35,"bv":"1.100"},"geometry":{"type":"Point","coordinates":[-130.5423,-30.1487]}},{"type":"Feature","id":74896,"properties":{"mag":5.68,"bv":"0.972"},"geometry":{"type":"Point","coordinates":[-130.3979,20.5728]}},{"type":"Feature","id":74901,"properties":{"mag":5.88,"bv":"1.507"},"geometry":{"type":"Point","coordinates":[-130.3911,-0.4612]}},{"type":"Feature","id":74911,"properties":{"mag":4.27,"bv":"-0.086"},"geometry":{"type":"Point","coordinates":[-130.3666,-47.8753]}},{"type":"Feature","id":74941,"properties":{"mag":5.43,"bv":"-0.089"},"geometry":{"type":"Point","coordinates":[-130.2952,-60.4963]}},{"type":"Feature","id":74946,"properties":{"mag":2.87,"bv":"0.014"},"geometry":{"type":"Point","coordinates":[-130.2726,-68.6795]}},{"type":"Feature","id":74950,"properties":{"mag":5.59,"bv":"-0.099"},"geometry":{"type":"Point","coordinates":[-130.2651,-40.7882]}},{"type":"Feature","id":74975,"properties":{"mag":5.04,"bv":"0.540"},"geometry":{"type":"Point","coordinates":[-130.1717,1.7654]}},{"type":"Feature","id":75043,"properties":{"mag":5.65,"bv":"0.122"},"geometry":{"type":"Point","coordinates":[-129.9785,51.9585]}},{"type":"Feature","id":75049,"properties":{"mag":5.51,"bv":"1.015"},"geometry":{"type":"Point","coordinates":[-129.9643,29.6162]}},{"type":"Feature","id":75097,"properties":{"mag":3,"bv":"0.058"},"geometry":{"type":"Point","coordinates":[-129.8179,71.834]}},{"type":"Feature","id":75119,"properties":{"mag":5.35,"bv":"1.191"},"geometry":{"type":"Point","coordinates":[-129.7417,0.7153]}},{"type":"Feature","id":75127,"properties":{"mag":5.54,"bv":"1.047"},"geometry":{"type":"Point","coordinates":[-129.7183,-5.8249]}},{"type":"Feature","id":75141,"properties":{"mag":3.22,"bv":"-0.227"},"geometry":{"type":"Point","coordinates":[-129.657,-40.6475]}},{"type":"Feature","id":75177,"properties":{"mag":3.57,"bv":"1.534"},"geometry":{"type":"Point","coordinates":[-129.5485,-36.2614]}},{"type":"Feature","id":75178,"properties":{"mag":5.38,"bv":"-0.051"},"geometry":{"type":"Point","coordinates":[-129.5476,32.9337]}},{"type":"Feature","id":75181,"properties":{"mag":5.65,"bv":"0.639"},"geometry":{"type":"Point","coordinates":[-129.5494,-48.3176]}},{"type":"Feature","id":75206,"properties":{"mag":4.99,"bv":"0.515"},"geometry":{"type":"Point","coordinates":[-129.4655,-47.9278]}},{"type":"Feature","id":75256,"properties":{"mag":5.99,"bv":"-0.033"},"geometry":{"type":"Point","coordinates":[-129.3448,62.0471]}},{"type":"Feature","id":75257,"properties":{"mag":5.56,"bv":"1.626"},"geometry":{"type":"Point","coordinates":[-129.3443,39.5815]}},{"type":"Feature","id":75260,"properties":{"mag":5.72,"bv":"1.315"},"geometry":{"type":"Point","coordinates":[-129.3399,63.3414]}},{"type":"Feature","id":75264,"properties":{"mag":3.37,"bv":"-0.191"},"geometry":{"type":"Point","coordinates":[-129.3297,-44.6896]}},{"type":"Feature","id":75304,"properties":{"mag":4.54,"bv":"-0.155"},"geometry":{"type":"Point","coordinates":[-129.211,-36.8585]}},{"type":"Feature","id":75308,"properties":{"mag":5.65,"bv":"0.489"},"geometry":{"type":"Point","coordinates":[-129.2062,-60.6572]}},{"type":"Feature","id":75312,"properties":{"mag":4.99,"bv":"0.577"},"geometry":{"type":"Point","coordinates":[-129.1987,30.2878]}},{"type":"Feature","id":75323,"properties":{"mag":4.48,"bv":"0.169"},"geometry":{"type":"Point","coordinates":[-129.1556,-59.3208]}},{"type":"Feature","id":75352,"properties":{"mag":5.72,"bv":"1.039"},"geometry":{"type":"Point","coordinates":[-129.0323,-12.3695]}},{"type":"Feature","id":75379,"properties":{"mag":4.92,"bv":"0.453"},"geometry":{"type":"Point","coordinates":[-128.9505,-10.3223]}},{"type":"Feature","id":75411,"properties":{"mag":4.31,"bv":"0.309"},"geometry":{"type":"Point","coordinates":[-128.8774,37.3772]}},{"type":"Feature","id":75439,"properties":{"mag":5.36,"bv":"-0.093"},"geometry":{"type":"Point","coordinates":[-128.8125,-39.7103]}},{"type":"Feature","id":75458,"properties":{"mag":3.29,"bv":"1.166"},"geometry":{"type":"Point","coordinates":[-128.7676,58.9661]}},{"type":"Feature","id":75501,"properties":{"mag":4.6,"bv":"0.000"},"geometry":{"type":"Point","coordinates":[-128.6658,-38.7336]}},{"type":"Feature","id":75530,"properties":{"mag":5.16,"bv":"1.650"},"geometry":{"type":"Point","coordinates":[-128.5525,15.428]}},{"type":"Feature","id":75565,"properties":{"mag":5.89,"bv":"1.000"},"geometry":{"type":"Point","coordinates":[-128.4387,-68.3092]}},{"type":"Feature","id":75572,"properties":{"mag":5.46,"bv":"1.410"},"geometry":{"type":"Point","coordinates":[-128.4276,34.336]}},{"type":"Feature","id":75647,"properties":{"mag":5.46,"bv":"-0.150"},"geometry":{"type":"Point","coordinates":[-128.1745,-36.7676]}},{"type":"Feature","id":75665,"properties":{"mag":5.71,"bv":"1.646"},"geometry":{"type":"Point","coordinates":[-128.1122,-64.5315]}},{"type":"Feature","id":75695,"properties":{"mag":3.66,"bv":"0.319"},"geometry":{"type":"Point","coordinates":[-128.0428,29.1057]}},{"type":"Feature","id":75696,"properties":{"mag":5.9,"bv":"1.441"},"geometry":{"type":"Point","coordinates":[-128.0357,60.6702]}},{"type":"Feature","id":75730,"properties":{"mag":5.64,"bv":"1.545"},"geometry":{"type":"Point","coordinates":[-127.9358,-16.7165]}},{"type":"Feature","id":75761,"properties":{"mag":5.15,"bv":"0.245"},"geometry":{"type":"Point","coordinates":[-127.8407,1.8421]}},{"type":"Feature","id":75828,"properties":{"mag":5.26,"bv":"1.731"},"geometry":{"type":"Point","coordinates":[-127.6489,-46.7327]}},{"type":"Feature","id":75944,"properties":{"mag":5.82,"bv":"1.056"},"geometry":{"type":"Point","coordinates":[-127.3317,-16.6095]}},{"type":"Feature","id":75973,"properties":{"mag":5.04,"bv":"1.589"},"geometry":{"type":"Point","coordinates":[-127.2677,40.833]}},{"type":"Feature","id":75974,"properties":{"mag":5.74,"bv":"0.976"},"geometry":{"type":"Point","coordinates":[-127.2676,64.2087]}},{"type":"Feature","id":76008,"properties":{"mag":5,"bv":"1.545"},"geometry":{"type":"Point","coordinates":[-127.1461,77.3494]}},{"type":"Feature","id":76013,"properties":{"mag":5.4,"bv":"-0.146"},"geometry":{"type":"Point","coordinates":[-127.1216,-73.3896]}},{"type":"Feature","id":76041,"properties":{"mag":4.98,"bv":"0.086"},"geometry":{"type":"Point","coordinates":[-127.0542,40.8993]}},{"type":"Feature","id":76106,"properties":{"mag":5.5,"bv":"0.197"},"geometry":{"type":"Point","coordinates":[-126.8471,-19.6705]}},{"type":"Feature","id":76126,"properties":{"mag":5.53,"bv":"-0.148"},"geometry":{"type":"Point","coordinates":[-126.7699,-16.8528]}},{"type":"Feature","id":76127,"properties":{"mag":4.14,"bv":"-0.127"},"geometry":{"type":"Point","coordinates":[-126.7676,31.3591]}},{"type":"Feature","id":76133,"properties":{"mag":5.5,"bv":"1.092"},"geometry":{"type":"Point","coordinates":[-126.7586,-1.1864]}},{"type":"Feature","id":76207,"properties":{"mag":5.82,"bv":"1.695"},"geometry":{"type":"Point","coordinates":[-126.4929,-40.0664]}},{"type":"Feature","id":76219,"properties":{"mag":4.61,"bv":"1.000"},"geometry":{"type":"Point","coordinates":[-126.4554,-10.0645]}},{"type":"Feature","id":76243,"properties":{"mag":5.16,"bv":"-0.090"},"geometry":{"type":"Point","coordinates":[-126.3895,-9.1834]}},{"type":"Feature","id":76259,"properties":{"mag":5.13,"bv":"1.306"},"geometry":{"type":"Point","coordinates":[-126.3445,-28.047]}},{"type":"Feature","id":76267,"properties":{"mag":2.22,"bv":"0.032"},"geometry":{"type":"Point","coordinates":[-126.328,26.7147]}},{"type":"Feature","id":76276,"properties":{"mag":3.8,"bv":"0.268"},"geometry":{"type":"Point","coordinates":[-126.2994,10.5389]}},{"type":"Feature","id":76297,"properties":{"mag":2.8,"bv":"-0.216"},"geometry":{"type":"Point","coordinates":[-126.2148,-41.1668]}},{"type":"Feature","id":76307,"properties":{"mag":5.14,"bv":"1.650"},"geometry":{"type":"Point","coordinates":[-126.1878,39.0101]}},{"type":"Feature","id":76311,"properties":{"mag":5.97,"bv":"1.184"},"geometry":{"type":"Point","coordinates":[-126.1825,53.9221]}},{"type":"Feature","id":76333,"properties":{"mag":3.91,"bv":"1.007"},"geometry":{"type":"Point","coordinates":[-126.1184,-14.7895]}},{"type":"Feature","id":76371,"properties":{"mag":4.55,"bv":"-0.175"},"geometry":{"type":"Point","coordinates":[-126.0281,-44.9584]}},{"type":"Feature","id":76376,"properties":{"mag":5.77,"bv":"0.051"},"geometry":{"type":"Point","coordinates":[-126.0123,54.6306]}},{"type":"Feature","id":76397,"properties":{"mag":5.44,"bv":"1.497"},"geometry":{"type":"Point","coordinates":[-125.9496,-44.3968]}},{"type":"Feature","id":76424,"properties":{"mag":5.93,"bv":"0.354"},"geometry":{"type":"Point","coordinates":[-125.8782,16.1191]}},{"type":"Feature","id":76425,"properties":{"mag":5.26,"bv":"0.925"},"geometry":{"type":"Point","coordinates":[-125.8768,10.0102]}},{"type":"Feature","id":76440,"properties":{"mag":4.11,"bv":"1.161"},"geometry":{"type":"Point","coordinates":[-125.8199,-66.317]}},{"type":"Feature","id":76470,"properties":{"mag":3.6,"bv":"1.361"},"geometry":{"type":"Point","coordinates":[-125.744,-28.1351]}},{"type":"Feature","id":76509,"properties":{"mag":5.85,"bv":"1.098"},"geometry":{"type":"Point","coordinates":[-125.6166,54.5087]}},{"type":"Feature","id":76519,"properties":{"mag":5.65,"bv":"1.371"},"geometry":{"type":"Point","coordinates":[-125.587,69.2833]}},{"type":"Feature","id":76532,"properties":{"mag":5.79,"bv":"1.074"},"geometry":{"type":"Point","coordinates":[-125.5498,-23.1417]}},{"type":"Feature","id":76534,"properties":{"mag":5.25,"bv":"0.886"},"geometry":{"type":"Point","coordinates":[-125.5433,40.3534]}},{"type":"Feature","id":76552,"properties":{"mag":4.34,"bv":"1.412"},"geometry":{"type":"Point","coordinates":[-125.4866,-42.5673]}},{"type":"Feature","id":76568,"properties":{"mag":5.76,"bv":"0.353"},"geometry":{"type":"Point","coordinates":[-125.4324,46.7978]}},{"type":"Feature","id":76569,"properties":{"mag":5.82,"bv":"1.077"},"geometry":{"type":"Point","coordinates":[-125.4322,-21.0163]}},{"type":"Feature","id":76594,"properties":{"mag":5.84,"bv":"0.847"},"geometry":{"type":"Point","coordinates":[-125.3575,50.4233]}},{"type":"Feature","id":76600,"properties":{"mag":3.66,"bv":"-0.177"},"geometry":{"type":"Point","coordinates":[-125.336,-29.7778]}},{"type":"Feature","id":76618,"properties":{"mag":5.43,"bv":"0.005"},"geometry":{"type":"Point","coordinates":[-125.2939,-52.3727]}},{"type":"Feature","id":76628,"properties":{"mag":5.36,"bv":"0.883"},"geometry":{"type":"Point","coordinates":[-125.2727,-19.3019]}},{"type":"Feature","id":76669,"properties":{"mag":4.64,"bv":"-0.103"},"geometry":{"type":"Point","coordinates":[-125.1555,36.6358]}},{"type":"Feature","id":76705,"properties":{"mag":4.66,"bv":"0.964"},"geometry":{"type":"Point","coordinates":[-125.0584,-34.4119]}},{"type":"Feature","id":76716,"properties":{"mag":5.95,"bv":"0.505"},"geometry":{"type":"Point","coordinates":[-125.0144,-59.9083]}},{"type":"Feature","id":76742,"properties":{"mag":4.97,"bv":"1.302"},"geometry":{"type":"Point","coordinates":[-124.9296,-23.8181]}},{"type":"Feature","id":76750,"properties":{"mag":5.64,"bv":"-0.040"},"geometry":{"type":"Point","coordinates":[-124.9111,-73.4467]}},{"type":"Feature","id":76810,"properties":{"mag":6,"bv":"0.908"},"geometry":{"type":"Point","coordinates":[-124.7537,16.0246]}},{"type":"Feature","id":76829,"properties":{"mag":4.64,"bv":"0.413"},"geometry":{"type":"Point","coordinates":[-124.7026,-44.6612]}},{"type":"Feature","id":76852,"properties":{"mag":4.51,"bv":"0.062"},"geometry":{"type":"Point","coordinates":[-124.6123,19.6704]}},{"type":"Feature","id":76866,"properties":{"mag":5.34,"bv":"0.033"},"geometry":{"type":"Point","coordinates":[-124.5524,12.8475]}},{"type":"Feature","id":76877,"properties":{"mag":5.95,"bv":"-0.034"},"geometry":{"type":"Point","coordinates":[-124.5222,-76.082]}},{"type":"Feature","id":76878,"properties":{"mag":5.8,"bv":"0.207"},"geometry":{"type":"Point","coordinates":[-124.522,18.464]}},{"type":"Feature","id":76880,"properties":{"mag":4.75,"bv":"1.574"},"geometry":{"type":"Point","coordinates":[-124.5133,-19.6788]}},{"type":"Feature","id":76939,"properties":{"mag":5.23,"bv":"0.987"},"geometry":{"type":"Point","coordinates":[-124.3404,-37.4249]}},{"type":"Feature","id":76945,"properties":{"mag":4.75,"bv":"-0.151"},"geometry":{"type":"Point","coordinates":[-124.3291,-34.7104]}},{"type":"Feature","id":76952,"properties":{"mag":3.81,"bv":"0.020"},"geometry":{"type":"Point","coordinates":[-124.3143,26.2956]}},{"type":"Feature","id":76957,"properties":{"mag":5.48,"bv":"-0.042"},"geometry":{"type":"Point","coordinates":[-124.2885,52.3609]}},{"type":"Feature","id":76996,"properties":{"mag":5.57,"bv":"0.118"},"geometry":{"type":"Point","coordinates":[-124.1795,-84.4653]}},{"type":"Feature","id":77048,"properties":{"mag":5.57,"bv":"1.076"},"geometry":{"type":"Point","coordinates":[-124.0029,32.5158]}},{"type":"Feature","id":77052,"properties":{"mag":5.86,"bv":"0.684"},"geometry":{"type":"Point","coordinates":[-123.9924,2.5152]}},{"type":"Feature","id":77055,"properties":{"mag":4.29,"bv":"0.038"},"geometry":{"type":"Point","coordinates":[-123.9853,77.7945]}},{"type":"Feature","id":77060,"properties":{"mag":5.41,"bv":"0.238"},"geometry":{"type":"Point","coordinates":[-123.9817,-15.6728]}},{"type":"Feature","id":77070,"properties":{"mag":2.63,"bv":"1.167"},"geometry":{"type":"Point","coordinates":[-123.933,6.4256]}},{"type":"Feature","id":77086,"properties":{"mag":5.93,"bv":"-0.007"},"geometry":{"type":"Point","coordinates":[-123.9055,-41.8191]}},{"type":"Feature","id":77163,"properties":{"mag":5.57,"bv":"0.035"},"geometry":{"type":"Point","coordinates":[-123.6522,5.4473]}},{"type":"Feature","id":77227,"properties":{"mag":5.39,"bv":"-0.035"},"geometry":{"type":"Point","coordinates":[-123.4765,-1.8042]}},{"type":"Feature","id":77233,"properties":{"mag":3.65,"bv":"0.073"},"geometry":{"type":"Point","coordinates":[-123.4531,15.4218]}},{"type":"Feature","id":77257,"properties":{"mag":4.42,"bv":"0.604"},"geometry":{"type":"Point","coordinates":[-123.3891,7.3531]}},{"type":"Feature","id":77272,"properties":{"mag":5.94,"bv":"1.404"},"geometry":{"type":"Point","coordinates":[-123.3552,55.4748]}},{"type":"Feature","id":77277,"properties":{"mag":5.19,"bv":"0.062"},"geometry":{"type":"Point","coordinates":[-123.3333,62.5996]}},{"type":"Feature","id":77286,"properties":{"mag":5.61,"bv":"-0.117"},"geometry":{"type":"Point","coordinates":[-123.3158,-34.6825]}},{"type":"Feature","id":77336,"properties":{"mag":5.71,"bv":"0.094"},"geometry":{"type":"Point","coordinates":[-123.1778,14.1153]}},{"type":"Feature","id":77370,"properties":{"mag":5.85,"bv":"0.249"},"geometry":{"type":"Point","coordinates":[-123.092,55.3766]}},{"type":"Feature","id":77390,"properties":{"mag":5.54,"bv":"0.231"},"geometry":{"type":"Point","coordinates":[-123.0289,-65.4423]}},{"type":"Feature","id":77412,"properties":{"mag":5.98,"bv":"1.272"},"geometry":{"type":"Point","coordinates":[-122.9446,13.7891]}},{"type":"Feature","id":77442,"properties":{"mag":5.89,"bv":"0.608"},"geometry":{"type":"Point","coordinates":[-122.8566,28.1567]}},{"type":"Feature","id":77450,"properties":{"mag":4.09,"bv":"1.616"},"geometry":{"type":"Point","coordinates":[-122.8151,18.1416]}},{"type":"Feature","id":77464,"properties":{"mag":5.53,"bv":"0.120"},"geometry":{"type":"Point","coordinates":[-122.7633,-3.8185]}},{"type":"Feature","id":77512,"properties":{"mag":4.59,"bv":"0.794"},"geometry":{"type":"Point","coordinates":[-122.6015,26.0684]}},{"type":"Feature","id":77516,"properties":{"mag":3.54,"bv":"-0.036"},"geometry":{"type":"Point","coordinates":[-122.595,-3.4302]}},{"type":"Feature","id":77541,"properties":{"mag":5.86,"bv":"0.068"},"geometry":{"type":"Point","coordinates":[-122.5104,-48.9124]}},{"type":"Feature","id":77562,"properties":{"mag":5.78,"bv":"-0.076"},"geometry":{"type":"Point","coordinates":[-122.4705,-53.2098]}},{"type":"Feature","id":77578,"properties":{"mag":5.21,"bv":"1.019"},"geometry":{"type":"Point","coordinates":[-122.4269,2.1965]}},{"type":"Feature","id":77622,"properties":{"mag":3.71,"bv":"0.147"},"geometry":{"type":"Point","coordinates":[-122.296,4.4777]}},{"type":"Feature","id":77634,"properties":{"mag":3.97,"bv":"-0.045"},"geometry":{"type":"Point","coordinates":[-122.2603,-33.6272]}},{"type":"Feature","id":77635,"properties":{"mag":4.63,"bv":"-0.072"},"geometry":{"type":"Point","coordinates":[-122.2552,-25.7513]}},{"type":"Feature","id":77645,"properties":{"mag":5.74,"bv":"0.017"},"geometry":{"type":"Point","coordinates":[-122.2216,-55.0555]}},{"type":"Feature","id":77655,"properties":{"mag":4.79,"bv":"0.996"},"geometry":{"type":"Point","coordinates":[-122.192,35.6574]}},{"type":"Feature","id":77660,"properties":{"mag":5.09,"bv":"0.135"},"geometry":{"type":"Point","coordinates":[-122.185,-3.0905]}},{"type":"Feature","id":77661,"properties":{"mag":4.74,"bv":"1.534"},"geometry":{"type":"Point","coordinates":[-122.1837,20.9779]}},{"type":"Feature","id":77678,"properties":{"mag":6,"bv":"1.152"},"geometry":{"type":"Point","coordinates":[-122.1191,-47.0608]}},{"type":"Feature","id":77738,"properties":{"mag":5.81,"bv":"0.972"},"geometry":{"type":"Point","coordinates":[-121.931,55.8267]}},{"type":"Feature","id":77760,"properties":{"mag":4.6,"bv":"0.563"},"geometry":{"type":"Point","coordinates":[-121.8311,42.4515]}},{"type":"Feature","id":77811,"properties":{"mag":5.04,"bv":"-0.014"},"geometry":{"type":"Point","coordinates":[-121.6664,-20.167]}},{"type":"Feature","id":77840,"properties":{"mag":4.59,"bv":"-0.073"},"geometry":{"type":"Point","coordinates":[-121.597,-25.3271]}},{"type":"Feature","id":77853,"properties":{"mag":4.13,"bv":"1.003"},"geometry":{"type":"Point","coordinates":[-121.5436,-16.7293]}},{"type":"Feature","id":77858,"properties":{"mag":5.38,"bv":"-0.011"},"geometry":{"type":"Point","coordinates":[-121.5254,-24.5332]}},{"type":"Feature","id":77859,"properties":{"mag":5.41,"bv":"-0.033"},"geometry":{"type":"Point","coordinates":[-121.5172,-23.9781]}},{"type":"Feature","id":77902,"properties":{"mag":5.45,"bv":"1.588"},"geometry":{"type":"Point","coordinates":[-121.3558,20.311]}},{"type":"Feature","id":77907,"properties":{"mag":5.35,"bv":"1.645"},"geometry":{"type":"Point","coordinates":[-121.3423,43.1386]}},{"type":"Feature","id":77909,"properties":{"mag":5.87,"bv":"-0.065"},"geometry":{"type":"Point","coordinates":[-121.3353,-25.2437]}},{"type":"Feature","id":77939,"properties":{"mag":5.95,"bv":"-0.013"},"geometry":{"type":"Point","coordinates":[-121.2485,-19.3829]}},{"type":"Feature","id":77952,"properties":{"mag":2.83,"bv":"0.315"},"geometry":{"type":"Point","coordinates":[-121.2143,-63.4307]}},{"type":"Feature","id":77982,"properties":{"mag":5.11,"bv":"1.108"},"geometry":{"type":"Point","coordinates":[-121.1267,-68.603]}},{"type":"Feature","id":77984,"properties":{"mag":5.63,"bv":"0.141"},"geometry":{"type":"Point","coordinates":[-121.1247,-26.266]}},{"type":"Feature","id":77986,"properties":{"mag":5.73,"bv":"-0.102"},"geometry":{"type":"Point","coordinates":[-121.1225,42.5662]}},{"type":"Feature","id":77990,"properties":{"mag":5.78,"bv":"0.355"},"geometry":{"type":"Point","coordinates":[-121.1151,-60.1776]}},{"type":"Feature","id":78012,"properties":{"mag":5.43,"bv":"0.352"},"geometry":{"type":"Point","coordinates":[-121.0517,37.947]}},{"type":"Feature","id":78045,"properties":{"mag":5.76,"bv":"0.087"},"geometry":{"type":"Point","coordinates":[-120.9754,-60.4825]}},{"type":"Feature","id":78072,"properties":{"mag":3.85,"bv":"0.478"},"geometry":{"type":"Point","coordinates":[-120.8867,15.6616]}},{"type":"Feature","id":78104,"properties":{"mag":3.87,"bv":"-0.199"},"geometry":{"type":"Point","coordinates":[-120.7788,-29.2141]}},{"type":"Feature","id":78105,"properties":{"mag":5.14,"bv":"0.129"},"geometry":{"type":"Point","coordinates":[-120.7771,-33.9661]}},{"type":"Feature","id":78106,"properties":{"mag":5.59,"bv":"0.072"},"geometry":{"type":"Point","coordinates":[-120.7745,-33.9643]}},{"type":"Feature","id":78132,"properties":{"mag":5.54,"bv":"1.141"},"geometry":{"type":"Point","coordinates":[-120.6893,14.4145]}},{"type":"Feature","id":78142,"properties":{"mag":5.78,"bv":"1.095"},"geometry":{"type":"Point","coordinates":[-120.6611,-36.1853]}},{"type":"Feature","id":78159,"properties":{"mag":4.14,"bv":"1.231"},"geometry":{"type":"Point","coordinates":[-120.6031,26.8779]}},{"type":"Feature","id":78168,"properties":{"mag":5.84,"bv":"0.012"},"geometry":{"type":"Point","coordinates":[-120.5814,-20.9831]}},{"type":"Feature","id":78180,"properties":{"mag":4.96,"bv":"0.269"},"geometry":{"type":"Point","coordinates":[-120.5523,54.7498]}},{"type":"Feature","id":78207,"properties":{"mag":4.95,"bv":"-0.080"},"geometry":{"type":"Point","coordinates":[-120.4526,-14.2794]}},{"type":"Feature","id":78246,"properties":{"mag":5.43,"bv":"-0.092"},"geometry":{"type":"Point","coordinates":[-120.3547,-24.8315]}},{"type":"Feature","id":78265,"properties":{"mag":2.89,"bv":"-0.180"},"geometry":{"type":"Point","coordinates":[-120.287,-26.1141]}},{"type":"Feature","id":78276,"properties":{"mag":5.61,"bv":"1.529"},"geometry":{"type":"Point","coordinates":[-120.2595,36.6438]}},{"type":"Feature","id":78279,"properties":{"mag":5.74,"bv":"-0.066"},"geometry":{"type":"Point","coordinates":[-120.2577,-65.0376]}},{"type":"Feature","id":78323,"properties":{"mag":4.99,"bv":"0.988"},"geometry":{"type":"Point","coordinates":[-120.1239,-41.7444]}},{"type":"Feature","id":78384,"properties":{"mag":3.42,"bv":"-0.206"},"geometry":{"type":"Point","coordinates":[-119.9695,-38.3967]}},{"type":"Feature","id":78400,"properties":{"mag":5.47,"bv":"0.517"},"geometry":{"type":"Point","coordinates":[-119.9184,-16.5334]}},{"type":"Feature","id":78401,"properties":{"mag":2.29,"bv":"-0.117"},"geometry":{"type":"Point","coordinates":[-119.9166,-22.6217]}},{"type":"Feature","id":78436,"properties":{"mag":5.53,"bv":"0.043"},"geometry":{"type":"Point","coordinates":[-119.8015,-8.4114]}},{"type":"Feature","id":78442,"properties":{"mag":5.82,"bv":"1.003"},"geometry":{"type":"Point","coordinates":[-119.7869,4.4274]}},{"type":"Feature","id":78459,"properties":{"mag":5.39,"bv":"0.612"},"geometry":{"type":"Point","coordinates":[-119.7389,33.3035]}},{"type":"Feature","id":78481,"properties":{"mag":5.1,"bv":"0.992"},"geometry":{"type":"Point","coordinates":[-119.6903,17.8184]}},{"type":"Feature","id":78493,"properties":{"mag":4.98,"bv":"-0.050"},"geometry":{"type":"Point","coordinates":[-119.6393,29.8511]}},{"type":"Feature","id":78527,"properties":{"mag":4.01,"bv":"0.528"},"geometry":{"type":"Point","coordinates":[-119.5277,58.5653]}},{"type":"Feature","id":78542,"properties":{"mag":5.93,"bv":"1.498"},"geometry":{"type":"Point","coordinates":[-119.4768,52.9159]}},{"type":"Feature","id":78554,"properties":{"mag":4.82,"bv":"0.066"},"geometry":{"type":"Point","coordinates":[-119.4263,22.8045]}},{"type":"Feature","id":78592,"properties":{"mag":4.72,"bv":"-0.094"},"geometry":{"type":"Point","coordinates":[-119.3004,46.0367]}},{"type":"Feature","id":78639,"properties":{"mag":4.65,"bv":"0.902"},"geometry":{"type":"Point","coordinates":[-119.1963,-49.2297]}},{"type":"Feature","id":78649,"properties":{"mag":5.79,"bv":"0.586"},"geometry":{"type":"Point","coordinates":[-119.1693,36.6318]}},{"type":"Feature","id":78650,"properties":{"mag":4.96,"bv":"1.234"},"geometry":{"type":"Point","coordinates":[-119.1641,-25.8652]}},{"type":"Feature","id":78655,"properties":{"mag":4.9,"bv":"-0.146"},"geometry":{"type":"Point","coordinates":[-119.1492,-38.6025]}},{"type":"Feature","id":78661,"properties":{"mag":5.73,"bv":"0.051"},"geometry":{"type":"Point","coordinates":[-119.1194,76.7939]}},{"type":"Feature","id":78662,"properties":{"mag":4.63,"bv":"0.252"},"geometry":{"type":"Point","coordinates":[-119.1163,-57.7751]}},{"type":"Feature","id":78665,"properties":{"mag":6,"bv":"0.470"},"geometry":{"type":"Point","coordinates":[-119.1068,-32.0005]}},{"type":"Feature","id":78727,"properties":{"mag":4.16,"bv":"0.460"},"geometry":{"type":"Point","coordinates":[-118.9099,-11.3736]}},{"type":"Feature","id":78747,"properties":{"mag":5.91,"bv":"0.409"},"geometry":{"type":"Point","coordinates":[-118.8466,-37.863]}},{"type":"Feature","id":78820,"properties":{"mag":2.56,"bv":"-0.065"},"geometry":{"type":"Point","coordinates":[-118.6407,-19.8055]}},{"type":"Feature","id":78821,"properties":{"mag":4.9,"bv":"-0.024"},"geometry":{"type":"Point","coordinates":[-118.6394,-19.8019]}},{"type":"Feature","id":78868,"properties":{"mag":5.7,"bv":"1.169"},"geometry":{"type":"Point","coordinates":[-118.5174,-72.4009]}},{"type":"Feature","id":78877,"properties":{"mag":5.9,"bv":"-0.071"},"geometry":{"type":"Point","coordinates":[-118.4734,-23.6063]}},{"type":"Feature","id":78893,"properties":{"mag":5.44,"bv":"-0.019"},"geometry":{"type":"Point","coordinates":[-118.418,67.8101]}},{"type":"Feature","id":78914,"properties":{"mag":4.73,"bv":"0.230"},"geometry":{"type":"Point","coordinates":[-118.3773,-45.1732]}},{"type":"Feature","id":78918,"properties":{"mag":4.22,"bv":"-0.184"},"geometry":{"type":"Point","coordinates":[-118.3519,-36.8023]}},{"type":"Feature","id":78933,"properties":{"mag":3.93,"bv":"-0.046"},"geometry":{"type":"Point","coordinates":[-118.2982,-20.6692]}},{"type":"Feature","id":78970,"properties":{"mag":5.72,"bv":"0.298"},"geometry":{"type":"Point","coordinates":[-118.1824,-36.7557]}},{"type":"Feature","id":78990,"properties":{"mag":4.31,"bv":"0.831"},"geometry":{"type":"Point","coordinates":[-118.1486,-20.8688]}},{"type":"Feature","id":79005,"properties":{"mag":5.75,"bv":"0.018"},"geometry":{"type":"Point","coordinates":[-118.0983,-12.7454]}},{"type":"Feature","id":79007,"properties":{"mag":5.63,"bv":"0.200"},"geometry":{"type":"Point","coordinates":[-118.0936,9.8917]}},{"type":"Feature","id":79043,"properties":{"mag":5,"bv":"0.931"},"geometry":{"type":"Point","coordinates":[-117.9811,17.047]}},{"type":"Feature","id":79050,"properties":{"mag":5.35,"bv":"1.643"},"geometry":{"type":"Point","coordinates":[-117.9684,-26.3267]}},{"type":"Feature","id":79072,"properties":{"mag":5.69,"bv":"1.575"},"geometry":{"type":"Point","coordinates":[-117.883,8.5343]}},{"type":"Feature","id":79098,"properties":{"mag":5.86,"bv":"0.020"},"geometry":{"type":"Point","coordinates":[-117.8178,-23.6854]}},{"type":"Feature","id":79101,"properties":{"mag":4.23,"bv":"-0.045"},"geometry":{"type":"Point","coordinates":[-117.8076,44.9349]}},{"type":"Feature","id":79119,"properties":{"mag":4.73,"bv":"1.015"},"geometry":{"type":"Point","coordinates":[-117.7571,36.4909]}},{"type":"Feature","id":79120,"properties":{"mag":5.93,"bv":"1.471"},"geometry":{"type":"Point","coordinates":[-117.7547,3.4545]}},{"type":"Feature","id":79137,"properties":{"mag":5.93,"bv":"0.988"},"geometry":{"type":"Point","coordinates":[-117.7033,6.3787]}},{"type":"Feature","id":79153,"properties":{"mag":5.57,"bv":"-0.024"},"geometry":{"type":"Point","coordinates":[-117.6727,-57.9343]}},{"type":"Feature","id":79195,"properties":{"mag":5.39,"bv":"1.446"},"geometry":{"type":"Point","coordinates":[-117.5395,-3.4667]}},{"type":"Feature","id":79199,"properties":{"mag":5.5,"bv":"-0.075"},"geometry":{"type":"Point","coordinates":[-117.5309,-33.5458]}},{"type":"Feature","id":79280,"properties":{"mag":5.48,"bv":"-0.093"},"geometry":{"type":"Point","coordinates":[-117.2936,75.8776]}},{"type":"Feature","id":79302,"properties":{"mag":5.09,"bv":"1.131"},"geometry":{"type":"Point","coordinates":[-117.2414,-29.4162]}},{"type":"Feature","id":79320,"properties":{"mag":5.86,"bv":"0.273"},"geometry":{"type":"Point","coordinates":[-117.1762,-41.1198]}},{"type":"Feature","id":79349,"properties":{"mag":5.74,"bv":"1.519"},"geometry":{"type":"Point","coordinates":[-117.0915,23.4948]}},{"type":"Feature","id":79357,"properties":{"mag":5.89,"bv":"1.464"},"geometry":{"type":"Point","coordinates":[-117.0517,42.3746]}},{"type":"Feature","id":79358,"properties":{"mag":5.62,"bv":"1.352"},"geometry":{"type":"Point","coordinates":[-117.0498,36.4251]}},{"type":"Feature","id":79374,"properties":{"mag":4,"bv":"0.076"},"geometry":{"type":"Point","coordinates":[-117.0011,-19.4607]}},{"type":"Feature","id":79375,"properties":{"mag":4.93,"bv":"0.087"},"geometry":{"type":"Point","coordinates":[-117,-10.0643]}},{"type":"Feature","id":79387,"properties":{"mag":5.43,"bv":"0.118"},"geometry":{"type":"Point","coordinates":[-116.9695,-8.5476]}},{"type":"Feature","id":79399,"properties":{"mag":5.67,"bv":"0.012"},"geometry":{"type":"Point","coordinates":[-116.9332,-28.4173]}},{"type":"Feature","id":79404,"properties":{"mag":4.58,"bv":"-0.172"},"geometry":{"type":"Point","coordinates":[-116.9241,-27.9264]}},{"type":"Feature","id":79488,"properties":{"mag":5.46,"bv":"1.472"},"geometry":{"type":"Point","coordinates":[-116.6857,5.0211]}},{"type":"Feature","id":79497,"properties":{"mag":5.78,"bv":"0.365"},"geometry":{"type":"Point","coordinates":[-116.6554,-55.5409]}},{"type":"Feature","id":79509,"properties":{"mag":4.95,"bv":"1.017"},"geometry":{"type":"Point","coordinates":[-116.6303,-54.6305]}},{"type":"Feature","id":79540,"properties":{"mag":5.24,"bv":"1.394"},"geometry":{"type":"Point","coordinates":[-116.5379,-11.8377]}},{"type":"Feature","id":79593,"properties":{"mag":2.73,"bv":"1.584"},"geometry":{"type":"Point","coordinates":[-116.4136,-3.6943]}},{"type":"Feature","id":79596,"properties":{"mag":5.91,"bv":"1.021"},"geometry":{"type":"Point","coordinates":[-116.4068,-33.0111]}},{"type":"Feature","id":79607,"properties":{"mag":5.23,"bv":"0.599"},"geometry":{"type":"Point","coordinates":[-116.3298,33.8586]}},{"type":"Feature","id":79653,"properties":{"mag":5.13,"bv":"-0.114"},"geometry":{"type":"Point","coordinates":[-116.1862,-47.372]}},{"type":"Feature","id":79664,"properties":{"mag":3.86,"bv":"1.105"},"geometry":{"type":"Point","coordinates":[-116.1405,-63.6857]}},{"type":"Feature","id":79666,"properties":{"mag":5.72,"bv":"1.126"},"geometry":{"type":"Point","coordinates":[-116.1307,18.8081]}},{"type":"Feature","id":79672,"properties":{"mag":5.49,"bv":"0.652"},"geometry":{"type":"Point","coordinates":[-116.0947,-8.3694]}},{"type":"Feature","id":79689,"properties":{"mag":5.61,"bv":"0.137"},"geometry":{"type":"Point","coordinates":[-116.0425,-57.9123]}},{"type":"Feature","id":79754,"properties":{"mag":5.45,"bv":"1.696"},"geometry":{"type":"Point","coordinates":[-115.8197,-53.8111]}},{"type":"Feature","id":79757,"properties":{"mag":5.8,"bv":"0.063"},"geometry":{"type":"Point","coordinates":[-115.8134,29.1503]}},{"type":"Feature","id":79790,"properties":{"mag":4.97,"bv":"0.788"},"geometry":{"type":"Point","coordinates":[-115.7461,-50.0681]}},{"type":"Feature","id":79797,"properties":{"mag":5.95,"bv":"0.159"},"geometry":{"type":"Point","coordinates":[-115.7274,-67.9413]}},{"type":"Feature","id":79804,"properties":{"mag":5.37,"bv":"1.551"},"geometry":{"type":"Point","coordinates":[-115.6861,59.755]}},{"type":"Feature","id":79822,"properties":{"mag":4.95,"bv":"0.393"},"geometry":{"type":"Point","coordinates":[-115.6238,75.7553]}},{"type":"Feature","id":79881,"properties":{"mag":4.8,"bv":"0.008"},"geometry":{"type":"Point","coordinates":[-115.4254,-28.614]}},{"type":"Feature","id":79882,"properties":{"mag":3.23,"bv":"0.966"},"geometry":{"type":"Point","coordinates":[-115.4196,-4.6925]}},{"type":"Feature","id":79938,"properties":{"mag":5.97,"bv":"1.475"},"geometry":{"type":"Point","coordinates":[-115.2482,-14.8728]}},{"type":"Feature","id":79953,"properties":{"mag":5.93,"bv":"1.369"},"geometry":{"type":"Point","coordinates":[-115.2033,49.0382]}},{"type":"Feature","id":79963,"properties":{"mag":5.44,"bv":"0.099"},"geometry":{"type":"Point","coordinates":[-115.1765,-42.674]}},{"type":"Feature","id":79980,"properties":{"mag":5.53,"bv":"0.466"},"geometry":{"type":"Point","coordinates":[-115.1136,-30.9067]}},{"type":"Feature","id":79992,"properties":{"mag":3.91,"bv":"-0.151"},"geometry":{"type":"Point","coordinates":[-115.0648,46.3134]}},{"type":"Feature","id":80000,"properties":{"mag":4.01,"bv":"1.080"},"geometry":{"type":"Point","coordinates":[-115.0399,-50.1555]}},{"type":"Feature","id":80008,"properties":{"mag":5.48,"bv":"0.410"},"geometry":{"type":"Point","coordinates":[-115.0202,39.7086]}},{"type":"Feature","id":80047,"properties":{"mag":4.68,"bv":"1.680"},"geometry":{"type":"Point","coordinates":[-114.9133,-78.6957]}},{"type":"Feature","id":80054,"properties":{"mag":5.76,"bv":"0.970"},"geometry":{"type":"Point","coordinates":[-114.8948,-55.1397]}},{"type":"Feature","id":80057,"properties":{"mag":5.27,"bv":"1.413"},"geometry":{"type":"Point","coordinates":[-114.8881,-78.6675]}},{"type":"Feature","id":80079,"properties":{"mag":4.55,"bv":"0.758"},"geometry":{"type":"Point","coordinates":[-114.8409,-24.1693]}},{"type":"Feature","id":80112,"properties":{"mag":2.9,"bv":"0.299"},"geometry":{"type":"Point","coordinates":[-114.7028,-25.5928]}},{"type":"Feature","id":80161,"properties":{"mag":5.26,"bv":"1.115"},"geometry":{"type":"Point","coordinates":[-114.547,69.1094]}},{"type":"Feature","id":80170,"properties":{"mag":3.74,"bv":"0.299"},"geometry":{"type":"Point","coordinates":[-114.5199,19.1531]}},{"type":"Feature","id":80179,"properties":{"mag":4.82,"bv":"0.338"},"geometry":{"type":"Point","coordinates":[-114.4819,1.029]}},{"type":"Feature","id":80181,"properties":{"mag":4.86,"bv":"0.970"},"geometry":{"type":"Point","coordinates":[-114.4757,30.892]}},{"type":"Feature","id":80197,"properties":{"mag":5.2,"bv":"1.631"},"geometry":{"type":"Point","coordinates":[-114.4107,33.7991]}},{"type":"Feature","id":80208,"properties":{"mag":5.32,"bv":"-0.047"},"geometry":{"type":"Point","coordinates":[-114.3834,-49.5724]}},{"type":"Feature","id":80212,"properties":{"mag":5.89,"bv":"1.121"},"geometry":{"type":"Point","coordinates":[-114.3789,-43.9121]}},{"type":"Feature","id":80214,"properties":{"mag":5.4,"bv":"1.523"},"geometry":{"type":"Point","coordinates":[-114.3783,33.7035]}},{"type":"Feature","id":80309,"properties":{"mag":5.67,"bv":"0.956"},"geometry":{"type":"Point","coordinates":[-114.0535,61.6965]}},{"type":"Feature","id":80331,"properties":{"mag":2.73,"bv":"0.910"},"geometry":{"type":"Point","coordinates":[-114.0021,61.5142]}},{"type":"Feature","id":80337,"properties":{"mag":5.37,"bv":"0.625"},"geometry":{"type":"Point","coordinates":[-113.9946,-39.193]}},{"type":"Feature","id":80343,"properties":{"mag":4.48,"bv":"0.996"},"geometry":{"type":"Point","coordinates":[-113.9742,-20.0373]}},{"type":"Feature","id":80351,"properties":{"mag":5.83,"bv":"0.018"},"geometry":{"type":"Point","coordinates":[-113.9549,6.9482]}},{"type":"Feature","id":80375,"properties":{"mag":5.75,"bv":"0.001"},"geometry":{"type":"Point","coordinates":[-113.8944,55.2051]}},{"type":"Feature","id":80390,"properties":{"mag":5.42,"bv":"-0.104"},"geometry":{"type":"Point","coordinates":[-113.8677,-37.566]}},{"type":"Feature","id":80399,"properties":{"mag":5.4,"bv":"0.625"},"geometry":{"type":"Point","coordinates":[-113.8343,-29.7047]}},{"type":"Feature","id":80460,"properties":{"mag":5.53,"bv":"0.174"},"geometry":{"type":"Point","coordinates":[-113.6493,37.3941]}},{"type":"Feature","id":80463,"properties":{"mag":4.57,"bv":"0.002"},"geometry":{"type":"Point","coordinates":[-113.646,14.0333]}},{"type":"Feature","id":80473,"properties":{"mag":4.57,"bv":"0.227"},"geometry":{"type":"Point","coordinates":[-113.6037,-23.4472]}},{"type":"Feature","id":80480,"properties":{"mag":5.55,"bv":"0.249"},"geometry":{"type":"Point","coordinates":[-113.5701,78.9639]}},{"type":"Feature","id":80569,"properties":{"mag":4.22,"bv":"0.217"},"geometry":{"type":"Point","coordinates":[-113.244,-18.4563]}},{"type":"Feature","id":80582,"properties":{"mag":4.46,"bv":"-0.070"},"geometry":{"type":"Point","coordinates":[-113.204,-47.5548]}},{"type":"Feature","id":80620,"properties":{"mag":5.24,"bv":"1.721"},"geometry":{"type":"Point","coordinates":[-113.0689,-7.5979]}},{"type":"Feature","id":80628,"properties":{"mag":4.62,"bv":"0.185"},"geometry":{"type":"Point","coordinates":[-113.0492,-8.3717]}},{"type":"Feature","id":80645,"properties":{"mag":5.28,"bv":"0.383"},"geometry":{"type":"Point","coordinates":[-113.0111,-64.0579]}},{"type":"Feature","id":80650,"properties":{"mag":4.94,"bv":"-0.051"},"geometry":{"type":"Point","coordinates":[-113.0041,68.7681]}},{"type":"Feature","id":80672,"properties":{"mag":5.79,"bv":"1.104"},"geometry":{"type":"Point","coordinates":[-112.9397,-37.1799]}},{"type":"Feature","id":80675,"properties":{"mag":5.67,"bv":"0.008"},"geometry":{"type":"Point","coordinates":[-112.9368,-58.5998]}},{"type":"Feature","id":80686,"properties":{"mag":4.9,"bv":"0.555"},"geometry":{"type":"Point","coordinates":[-112.8827,-70.0844]}},{"type":"Feature","id":80693,"properties":{"mag":5.41,"bv":"1.461"},"geometry":{"type":"Point","coordinates":[-112.8584,0.665]}},{"type":"Feature","id":80704,"properties":{"mag":4.83,"bv":"1.289"},"geometry":{"type":"Point","coordinates":[-112.8394,41.8817]}},{"type":"Feature","id":80763,"properties":{"mag":1.06,"bv":"1.865"},"geometry":{"type":"Point","coordinates":[-112.6481,-26.432]}},{"type":"Feature","id":80782,"properties":{"mag":5.35,"bv":"0.488"},"geometry":{"type":"Point","coordinates":[-112.5736,-46.2432]}},{"type":"Feature","id":80793,"properties":{"mag":5.66,"bv":"0.823"},"geometry":{"type":"Point","coordinates":[-112.5545,-14.5509]}},{"type":"Feature","id":80815,"properties":{"mag":4.79,"bv":"-0.116"},"geometry":{"type":"Point","coordinates":[-112.448,-25.1152]}},{"type":"Feature","id":80816,"properties":{"mag":2.78,"bv":"0.947"},"geometry":{"type":"Point","coordinates":[-112.445,21.4896]}},{"type":"Feature","id":80843,"properties":{"mag":5.24,"bv":"1.274"},"geometry":{"type":"Point","coordinates":[-112.3602,20.4792]}},{"type":"Feature","id":80874,"properties":{"mag":5.19,"bv":"1.236"},"geometry":{"type":"Point","coordinates":[-112.2943,-61.6335]}},{"type":"Feature","id":80883,"properties":{"mag":3.82,"bv":"0.022"},"geometry":{"type":"Point","coordinates":[-112.2716,1.9839]}},{"type":"Feature","id":80894,"properties":{"mag":4.29,"bv":"0.924"},"geometry":{"type":"Point","coordinates":[-112.2151,-16.6127]}},{"type":"Feature","id":80898,"properties":{"mag":5.76,"bv":"1.605"},"geometry":{"type":"Point","coordinates":[-112.194,22.1955]}},{"type":"Feature","id":80911,"properties":{"mag":4.24,"bv":"-0.168"},"geometry":{"type":"Point","coordinates":[-112.1544,-34.7044]}},{"type":"Feature","id":80945,"properties":{"mag":5.31,"bv":"0.299"},"geometry":{"type":"Point","coordinates":[-112.076,-41.8171]}},{"type":"Feature","id":80953,"properties":{"mag":5.61,"bv":"0.125"},"geometry":{"type":"Point","coordinates":[-112.0532,45.5983]}},{"type":"Feature","id":80975,"properties":{"mag":4.45,"bv":"0.130"},"geometry":{"type":"Point","coordinates":[-111.9658,-21.4664]}},{"type":"Feature","id":80991,"properties":{"mag":5.92,"bv":"0.039"},"geometry":{"type":"Point","coordinates":[-111.893,60.8233]}},{"type":"Feature","id":81007,"properties":{"mag":5.63,"bv":"-0.044"},"geometry":{"type":"Point","coordinates":[-111.8513,5.5212]}},{"type":"Feature","id":81008,"properties":{"mag":4.84,"bv":"1.495"},"geometry":{"type":"Point","coordinates":[-111.8488,11.488]}},{"type":"Feature","id":81065,"properties":{"mag":3.86,"bv":"0.923"},"geometry":{"type":"Point","coordinates":[-111.6372,-78.8971]}},{"type":"Feature","id":81122,"properties":{"mag":4.86,"bv":"0.045"},"geometry":{"type":"Point","coordinates":[-111.4791,-44.0453]}},{"type":"Feature","id":81126,"properties":{"mag":4.2,"bv":"-0.013"},"geometry":{"type":"Point","coordinates":[-111.4742,42.437]}},{"type":"Feature","id":81141,"properties":{"mag":5.5,"bv":"1.235"},"geometry":{"type":"Point","coordinates":[-111.4194,-70.9881]}},{"type":"Feature","id":81252,"properties":{"mag":5.5,"bv":"0.949"},"geometry":{"type":"Point","coordinates":[-111.0633,-65.4954]}},{"type":"Feature","id":81266,"properties":{"mag":2.82,"bv":"-0.206"},"geometry":{"type":"Point","coordinates":[-111.0294,-28.216]}},{"type":"Feature","id":81289,"properties":{"mag":5.83,"bv":"1.044"},"geometry":{"type":"Point","coordinates":[-110.9533,46.6133]}},{"type":"Feature","id":81290,"properties":{"mag":5.53,"bv":"-0.060"},"geometry":{"type":"Point","coordinates":[-110.9524,52.9]}},{"type":"Feature","id":81292,"properties":{"mag":5.07,"bv":"-0.027"},"geometry":{"type":"Point","coordinates":[-110.9428,52.9244]}},{"type":"Feature","id":81300,"properties":{"mag":5.77,"bv":"0.827"},"geometry":{"type":"Point","coordinates":[-110.9106,-2.3246]}},{"type":"Feature","id":81304,"properties":{"mag":4.18,"bv":"1.535"},"geometry":{"type":"Point","coordinates":[-110.9064,-35.2553]}},{"type":"Feature","id":81305,"properties":{"mag":5.46,"bv":"0.338"},"geometry":{"type":"Point","coordinates":[-110.906,-42.8589]}},{"type":"Feature","id":81377,"properties":{"mag":2.54,"bv":"0.038"},"geometry":{"type":"Point","coordinates":[-110.7103,-10.5671]}},{"type":"Feature","id":81437,"properties":{"mag":5.28,"bv":"1.055"},"geometry":{"type":"Point","coordinates":[-110.4981,56.0155]}},{"type":"Feature","id":81472,"properties":{"mag":5.83,"bv":"-0.053"},"geometry":{"type":"Point","coordinates":[-110.3905,-43.3984]}},{"type":"Feature","id":81497,"properties":{"mag":4.86,"bv":"1.562"},"geometry":{"type":"Point","coordinates":[-110.3131,48.9283]}},{"type":"Feature","id":81523,"properties":{"mag":5.93,"bv":"-0.035"},"geometry":{"type":"Point","coordinates":[-110.2282,-37.2174]}},{"type":"Feature","id":81641,"properties":{"mag":5.77,"bv":"-0.004"},"geometry":{"type":"Point","coordinates":[-109.8388,4.2198]}},{"type":"Feature","id":81660,"properties":{"mag":4.84,"bv":"1.212"},"geometry":{"type":"Point","coordinates":[-109.7703,64.589]}},{"type":"Feature","id":81693,"properties":{"mag":2.81,"bv":"0.650"},"geometry":{"type":"Point","coordinates":[-109.6785,31.6027]}},{"type":"Feature","id":81702,"properties":{"mag":5.57,"bv":"0.169"},"geometry":{"type":"Point","coordinates":[-109.6649,-48.763]}},{"type":"Feature","id":81710,"properties":{"mag":5.89,"bv":"-0.078"},"geometry":{"type":"Point","coordinates":[-109.6537,-68.2961]}},{"type":"Feature","id":81724,"properties":{"mag":4.91,"bv":"1.095"},"geometry":{"type":"Point","coordinates":[-109.6067,-17.7422]}},{"type":"Feature","id":81729,"properties":{"mag":5.92,"bv":"0.402"},"geometry":{"type":"Point","coordinates":[-109.5971,26.9169]}},{"type":"Feature","id":81733,"properties":{"mag":5.62,"bv":"-0.043"},"geometry":{"type":"Point","coordinates":[-109.5824,-49.6516]}},{"type":"Feature","id":81734,"properties":{"mag":5.74,"bv":"0.336"},"geometry":{"type":"Point","coordinates":[-109.573,1.1812]}},{"type":"Feature","id":81741,"properties":{"mag":5.84,"bv":"0.653"},"geometry":{"type":"Point","coordinates":[-109.5606,-33.1458]}},{"type":"Feature","id":81754,"properties":{"mag":5.55,"bv":"0.436"},"geometry":{"type":"Point","coordinates":[-109.5263,-19.9244]}},{"type":"Feature","id":81833,"properties":{"mag":3.48,"bv":"0.916"},"geometry":{"type":"Point","coordinates":[-109.276,38.9223]}},{"type":"Feature","id":81852,"properties":{"mag":4.23,"bv":"1.060"},"geometry":{"type":"Point","coordinates":[-109.2306,-77.5174]}},{"type":"Feature","id":81854,"properties":{"mag":5.99,"bv":"0.430"},"geometry":{"type":"Point","coordinates":[-109.2238,77.514]}},{"type":"Feature","id":81966,"properties":{"mag":5.96,"bv":"1.230"},"geometry":{"type":"Point","coordinates":[-108.8344,-53.1523]}},{"type":"Feature","id":81972,"properties":{"mag":5.64,"bv":"-0.093"},"geometry":{"type":"Point","coordinates":[-108.8225,-40.8397]}},{"type":"Feature","id":81992,"properties":{"mag":5.99,"bv":"0.103"},"geometry":{"type":"Point","coordinates":[-108.7492,-28.5097]}},{"type":"Feature","id":82020,"properties":{"mag":4.84,"bv":"0.375"},"geometry":{"type":"Point","coordinates":[-108.6758,56.7819]}},{"type":"Feature","id":82028,"properties":{"mag":5.6,"bv":"1.637"},"geometry":{"type":"Point","coordinates":[-108.6562,15.7453]}},{"type":"Feature","id":82073,"properties":{"mag":5.15,"bv":"1.535"},"geometry":{"type":"Point","coordinates":[-108.5421,8.5826]}},{"type":"Feature","id":82080,"properties":{"mag":4.21,"bv":"0.897"},"geometry":{"type":"Point","coordinates":[-108.5073,82.0373]}},{"type":"Feature","id":82110,"properties":{"mag":5.74,"bv":"-0.101"},"geometry":{"type":"Point","coordinates":[-108.4116,-58.5036]}},{"type":"Feature","id":82129,"properties":{"mag":5.1,"bv":"-0.080"},"geometry":{"type":"Point","coordinates":[-108.3334,-67.1097]}},{"type":"Feature","id":82135,"properties":{"mag":5.48,"bv":"0.975"},"geometry":{"type":"Point","coordinates":[-108.3002,-39.377]}},{"type":"Feature","id":82171,"properties":{"mag":5.55,"bv":"-0.096"},"geometry":{"type":"Point","coordinates":[-108.1681,-58.3414]}},{"type":"Feature","id":82172,"properties":{"mag":5.86,"bv":"1.504"},"geometry":{"type":"Point","coordinates":[-108.1677,42.2389]}},{"type":"Feature","id":82216,"properties":{"mag":5.22,"bv":"-0.001"},"geometry":{"type":"Point","coordinates":[-108.0566,5.2467]}},{"type":"Feature","id":82273,"properties":{"mag":1.91,"bv":"1.447"},"geometry":{"type":"Point","coordinates":[-107.8338,-69.0277]}},{"type":"Feature","id":82321,"properties":{"mag":4.82,"bv":"0.087"},"geometry":{"type":"Point","coordinates":[-107.6908,45.9833]}},{"type":"Feature","id":82350,"properties":{"mag":5.91,"bv":"0.015"},"geometry":{"type":"Point","coordinates":[-107.6056,13.2611]}},{"type":"Feature","id":82363,"properties":{"mag":3.77,"bv":"1.562"},"geometry":{"type":"Point","coordinates":[-107.5535,-59.0414]}},{"type":"Feature","id":82369,"properties":{"mag":4.64,"bv":"0.478"},"geometry":{"type":"Point","coordinates":[-107.5415,-10.783]}},{"type":"Feature","id":82396,"properties":{"mag":2.29,"bv":"1.144"},"geometry":{"type":"Point","coordinates":[-107.4591,-34.2932]}},{"type":"Feature","id":82402,"properties":{"mag":5.48,"bv":"0.108"},"geometry":{"type":"Point","coordinates":[-107.4192,7.2477]}},{"type":"Feature","id":82422,"properties":{"mag":5.73,"bv":"1.626"},"geometry":{"type":"Point","coordinates":[-107.3377,29.8065]}},{"type":"Feature","id":82480,"properties":{"mag":5.51,"bv":"0.055"},"geometry":{"type":"Point","coordinates":[-107.1461,1.2159]}},{"type":"Feature","id":82493,"properties":{"mag":5.23,"bv":"0.047"},"geometry":{"type":"Point","coordinates":[-107.1095,-41.2305]}},{"type":"Feature","id":82504,"properties":{"mag":5.03,"bv":"1.246"},"geometry":{"type":"Point","coordinates":[-107.0614,24.6564]}},{"type":"Feature","id":82514,"properties":{"mag":3,"bv":"-0.200"},"geometry":{"type":"Point","coordinates":[-107.0324,-38.0474]}},{"type":"Feature","id":82545,"properties":{"mag":3.56,"bv":"-0.210"},"geometry":{"type":"Point","coordinates":[-106.9161,-38.0175]}},{"type":"Feature","id":82587,"properties":{"mag":5.34,"bv":"0.319"},"geometry":{"type":"Point","coordinates":[-106.7581,31.7017]}},{"type":"Feature","id":82611,"properties":{"mag":5.99,"bv":"1.325"},"geometry":{"type":"Point","coordinates":[-106.6768,47.4167]}},{"type":"Feature","id":82621,"properties":{"mag":5.86,"bv":"0.685"},"geometry":{"type":"Point","coordinates":[-106.6449,-20.4156]}},{"type":"Feature","id":82650,"properties":{"mag":5.95,"bv":"1.643"},"geometry":{"type":"Point","coordinates":[-106.5732,-43.051]}},{"type":"Feature","id":82671,"properties":{"mag":4.7,"bv":"0.444"},"geometry":{"type":"Point","coordinates":[-106.5011,-42.362]}},{"type":"Feature","id":82672,"properties":{"mag":5.91,"bv":"1.592"},"geometry":{"type":"Point","coordinates":[-106.4985,-57.9095]}},{"type":"Feature","id":82673,"properties":{"mag":4.39,"bv":"-0.088"},"geometry":{"type":"Point","coordinates":[-106.498,10.1654]}},{"type":"Feature","id":82676,"properties":{"mag":5.46,"bv":"0.176"},"geometry":{"type":"Point","coordinates":[-106.4923,-41.8064]}},{"type":"Feature","id":82716,"properties":{"mag":5.84,"bv":"0.626"},"geometry":{"type":"Point","coordinates":[-106.3877,-42.4789]}},{"type":"Feature","id":82729,"properties":{"mag":3.62,"bv":"1.393"},"geometry":{"type":"Point","coordinates":[-106.3541,-42.3613]}},{"type":"Feature","id":82730,"properties":{"mag":5.23,"bv":"1.100"},"geometry":{"type":"Point","coordinates":[-106.3513,-6.154]}},{"type":"Feature","id":82764,"properties":{"mag":5.39,"bv":"0.966"},"geometry":{"type":"Point","coordinates":[-106.2701,20.9585]}},{"type":"Feature","id":82775,"properties":{"mag":5.78,"bv":"0.132"},"geometry":{"type":"Point","coordinates":[-106.2562,-41.1509]}},{"type":"Feature","id":82802,"properties":{"mag":5.35,"bv":"1.407"},"geometry":{"type":"Point","coordinates":[-106.1576,18.4332]}},{"type":"Feature","id":82806,"properties":{"mag":5.99,"bv":"0.059"},"geometry":{"type":"Point","coordinates":[-106.1471,-63.2697]}},{"type":"Feature","id":82860,"properties":{"mag":4.88,"bv":"0.481"},"geometry":{"type":"Point","coordinates":[-105.993,65.1348]}},{"type":"Feature","id":82902,"properties":{"mag":5.94,"bv":"-0.069"},"geometry":{"type":"Point","coordinates":[-105.8801,-52.2837]}},{"type":"Feature","id":82925,"properties":{"mag":5.57,"bv":"-0.018"},"geometry":{"type":"Point","coordinates":[-105.7998,-23.1503]}},{"type":"Feature","id":82960,"properties":{"mag":5.48,"bv":"1.606"},"geometry":{"type":"Point","coordinates":[-105.7034,-33.2595]}},{"type":"Feature","id":83000,"properties":{"mag":3.19,"bv":"1.160"},"geometry":{"type":"Point","coordinates":[-105.5829,9.375]}},{"type":"Feature","id":83057,"properties":{"mag":5.53,"bv":"0.016"},"geometry":{"type":"Point","coordinates":[-105.4253,-50.6412]}},{"type":"Feature","id":83081,"properties":{"mag":3.12,"bv":"1.552"},"geometry":{"type":"Point","coordinates":[-105.345,-55.9901]}},{"type":"Feature","id":83150,"properties":{"mag":5.79,"bv":"-0.103"},"geometry":{"type":"Point","coordinates":[-105.1085,-69.2682]}},{"type":"Feature","id":83153,"properties":{"mag":4.06,"bv":"1.452"},"geometry":{"type":"Point","coordinates":[-105.104,-53.1604]}},{"type":"Feature","id":83176,"properties":{"mag":5.88,"bv":"1.607"},"geometry":{"type":"Point","coordinates":[-105.0096,-25.0922]}},{"type":"Feature","id":83187,"properties":{"mag":5.64,"bv":"0.194"},"geometry":{"type":"Point","coordinates":[-104.9738,-54.5972]}},{"type":"Feature","id":83196,"properties":{"mag":5.74,"bv":"0.407"},"geometry":{"type":"Point","coordinates":[-104.9604,-24.9891]}},{"type":"Feature","id":83207,"properties":{"mag":3.92,"bv":"-0.018"},"geometry":{"type":"Point","coordinates":[-104.9276,30.9264]}},{"type":"Feature","id":83216,"properties":{"mag":5.98,"bv":"0.883"},"geometry":{"type":"Point","coordinates":[-104.8877,-48.6478]}},{"type":"Feature","id":83235,"properties":{"mag":5.95,"bv":"1.161"},"geometry":{"type":"Point","coordinates":[-104.8459,-35.9341]}},{"type":"Feature","id":83254,"properties":{"mag":5.69,"bv":"1.332"},"geometry":{"type":"Point","coordinates":[-104.7578,22.6321]}},{"type":"Feature","id":83262,"properties":{"mag":4.82,"bv":"1.483"},"geometry":{"type":"Point","coordinates":[-104.735,-4.2226]}},{"type":"Feature","id":83313,"properties":{"mag":5.27,"bv":"0.028"},"geometry":{"type":"Point","coordinates":[-104.5985,33.5683]}},{"type":"Feature","id":83336,"properties":{"mag":5.03,"bv":"-0.100"},"geometry":{"type":"Point","coordinates":[-104.5307,-32.1435]}},{"type":"Feature","id":83367,"properties":{"mag":5.76,"bv":"1.018"},"geometry":{"type":"Point","coordinates":[-104.4221,25.5056]}},{"type":"Feature","id":83430,"properties":{"mag":4.97,"bv":"1.600"},"geometry":{"type":"Point","coordinates":[-104.2172,14.0919]}},{"type":"Feature","id":83431,"properties":{"mag":5.27,"bv":"0.498"},"geometry":{"type":"Point","coordinates":[-104.2137,-53.237]}},{"type":"Feature","id":83478,"properties":{"mag":5.91,"bv":"0.010"},"geometry":{"type":"Point","coordinates":[-104.0862,13.6053]}},{"type":"Feature","id":83491,"properties":{"mag":5.91,"bv":"0.409"},"geometry":{"type":"Point","coordinates":[-104.0377,-38.1526]}},{"type":"Feature","id":83535,"properties":{"mag":5.73,"bv":"-0.097"},"geometry":{"type":"Point","coordinates":[-103.897,-57.7122]}},{"type":"Feature","id":83574,"properties":{"mag":4.83,"bv":"0.257"},"geometry":{"type":"Point","coordinates":[-103.7944,-34.1229]}},{"type":"Feature","id":83601,"properties":{"mag":6,"bv":"0.578"},"geometry":{"type":"Point","coordinates":[-103.6799,0.7026]}},{"type":"Feature","id":83608,"properties":{"mag":4.91,"bv":"0.471"},"geometry":{"type":"Point","coordinates":[-103.6662,54.47]}},{"type":"Feature","id":83613,"properties":{"mag":4.89,"bv":"0.125"},"geometry":{"type":"Point","coordinates":[-103.6555,12.7408]}},{"type":"Feature","id":83635,"properties":{"mag":5.63,"bv":"0.104"},"geometry":{"type":"Point","coordinates":[-103.6156,-0.8921]}},{"type":"Feature","id":83692,"properties":{"mag":5.56,"bv":"1.299"},"geometry":{"type":"Point","coordinates":[-103.4248,22.0842]}},{"type":"Feature","id":83693,"properties":{"mag":5.98,"bv":"0.076"},"geometry":{"type":"Point","coordinates":[-103.4159,-37.2276]}},{"type":"Feature","id":83838,"properties":{"mag":5.41,"bv":"0.309"},"geometry":{"type":"Point","coordinates":[-102.9914,35.9352]}},{"type":"Feature","id":83854,"properties":{"mag":5.98,"bv":"1.011"},"geometry":{"type":"Point","coordinates":[-102.9381,-17.6091]}},{"type":"Feature","id":83895,"properties":{"mag":3.17,"bv":"-0.120"},"geometry":{"type":"Point","coordinates":[-102.8034,65.7147]}},{"type":"Feature","id":83896,"properties":{"mag":5.93,"bv":"0.276"},"geometry":{"type":"Point","coordinates":[-102.8019,-30.4037]}},{"type":"Feature","id":83947,"properties":{"mag":5.07,"bv":"1.275"},"geometry":{"type":"Point","coordinates":[-102.6115,40.777]}},{"type":"Feature","id":83962,"properties":{"mag":5.43,"bv":"0.465"},"geometry":{"type":"Point","coordinates":[-102.5502,-10.5233]}},{"type":"Feature","id":84012,"properties":{"mag":2.43,"bv":"0.059"},"geometry":{"type":"Point","coordinates":[-102.4055,-15.7249]}},{"type":"Feature","id":84033,"properties":{"mag":5.06,"bv":"0.867"},"geometry":{"type":"Point","coordinates":[-102.3237,-44.5577]}},{"type":"Feature","id":84105,"properties":{"mag":5.94,"bv":"1.786"},"geometry":{"type":"Point","coordinates":[-102.0888,-48.8734]}},{"type":"Feature","id":84143,"properties":{"mag":3.32,"bv":"0.441"},"geometry":{"type":"Point","coordinates":[-101.9617,-43.2392]}},{"type":"Feature","id":84150,"properties":{"mag":5.66,"bv":"0.042"},"geometry":{"type":"Point","coordinates":[-101.9325,-39.5069]}},{"type":"Feature","id":84177,"properties":{"mag":5.32,"bv":"1.593"},"geometry":{"type":"Point","coordinates":[-101.8841,10.5852]}},{"type":"Feature","id":84183,"properties":{"mag":5.54,"bv":"0.216"},"geometry":{"type":"Point","coordinates":[-101.8643,62.8743]}},{"type":"Feature","id":84226,"properties":{"mag":5.95,"bv":"0.071"},"geometry":{"type":"Point","coordinates":[-101.756,-32.4383]}},{"type":"Feature","id":84248,"properties":{"mag":5.87,"bv":"1.070"},"geometry":{"type":"Point","coordinates":[-101.6755,-67.1966]}},{"type":"Feature","id":84345,"properties":{"mag":2.78,"bv":"1.164"},"geometry":{"type":"Point","coordinates":[-101.3381,14.3903]}},{"type":"Feature","id":84379,"properties":{"mag":3.12,"bv":"0.080"},"geometry":{"type":"Point","coordinates":[-101.242,24.8392]}},{"type":"Feature","id":84380,"properties":{"mag":3.16,"bv":"1.437"},"geometry":{"type":"Point","coordinates":[-101.2382,36.8092]}},{"type":"Feature","id":84401,"properties":{"mag":5.6,"bv":"-0.056"},"geometry":{"type":"Point","coordinates":[-101.1698,-33.5484]}},{"type":"Feature","id":84402,"properties":{"mag":5.98,"bv":"1.096"},"geometry":{"type":"Point","coordinates":[-101.1655,-14.5841]}},{"type":"Feature","id":84405,"properties":{"mag":4.33,"bv":"0.855"},"geometry":{"type":"Point","coordinates":[-101.1626,-26.6028]}},{"type":"Feature","id":84425,"properties":{"mag":5.95,"bv":"0.580"},"geometry":{"type":"Point","coordinates":[-101.1002,-38.5939]}},{"type":"Feature","id":84431,"properties":{"mag":5.99,"bv":"1.335"},"geometry":{"type":"Point","coordinates":[-101.0772,23.7428]}},{"type":"Feature","id":84500,"properties":{"mag":5.89,"bv":"0.023"},"geometry":{"type":"Point","coordinates":[-100.8679,1.2105]}},{"type":"Feature","id":84514,"properties":{"mag":4.72,"bv":"1.119"},"geometry":{"type":"Point","coordinates":[-100.8471,-0.4453]}},{"type":"Feature","id":84551,"properties":{"mag":5.53,"bv":"0.514"},"geometry":{"type":"Point","coordinates":[-100.7348,-32.6628]}},{"type":"Feature","id":84573,"properties":{"mag":4.8,"bv":"-0.166"},"geometry":{"type":"Point","coordinates":[-100.6685,33.1001]}},{"type":"Feature","id":84606,"properties":{"mag":4.64,"bv":"0.043"},"geometry":{"type":"Point","coordinates":[-100.5823,37.2915]}},{"type":"Feature","id":84626,"properties":{"mag":5.14,"bv":"1.046"},"geometry":{"type":"Point","coordinates":[-100.4972,-24.2869]}},{"type":"Feature","id":84631,"properties":{"mag":6,"bv":"0.015"},"geometry":{"type":"Point","coordinates":[-100.4794,17.3179]}},{"type":"Feature","id":84656,"properties":{"mag":5.97,"bv":"1.011"},"geometry":{"type":"Point","coordinates":[-100.403,38.8114]}},{"type":"Feature","id":84671,"properties":{"mag":5.03,"bv":"1.539"},"geometry":{"type":"Point","coordinates":[-100.3459,10.8645]}},{"type":"Feature","id":84690,"properties":{"mag":5.76,"bv":"-0.049"},"geometry":{"type":"Point","coordinates":[-100.3007,-44.1297]}},{"type":"Feature","id":84691,"properties":{"mag":5.68,"bv":"0.981"},"geometry":{"type":"Point","coordinates":[-100.2978,28.823]}},{"type":"Feature","id":84709,"properties":{"mag":5.91,"bv":"1.082"},"geometry":{"type":"Point","coordinates":[-100.2618,-34.9898]}},{"type":"Feature","id":84720,"properties":{"mag":5.47,"bv":"0.764"},"geometry":{"type":"Point","coordinates":[-100.234,-46.6362]}},{"type":"Feature","id":84731,"properties":{"mag":5.93,"bv":"1.389"},"geometry":{"type":"Point","coordinates":[-100.1979,-59.6946]}},{"type":"Feature","id":84769,"properties":{"mag":5.74,"bv":"1.499"},"geometry":{"type":"Point","coordinates":[-100.0954,80.1364]}},{"type":"Feature","id":84821,"properties":{"mag":5.36,"bv":"0.063"},"geometry":{"type":"Point","coordinates":[-99.959,25.5376]}},{"type":"Feature","id":84833,"properties":{"mag":5.01,"bv":"1.654"},"geometry":{"type":"Point","coordinates":[-99.9214,18.0571]}},{"type":"Feature","id":84835,"properties":{"mag":5.51,"bv":"1.586"},"geometry":{"type":"Point","coordinates":[-99.912,46.2408]}},{"type":"Feature","id":84862,"properties":{"mag":5.38,"bv":"0.619"},"geometry":{"type":"Point","coordinates":[-99.8351,32.4677]}},{"type":"Feature","id":84880,"properties":{"mag":4.32,"bv":"0.037"},"geometry":{"type":"Point","coordinates":[-99.7931,-12.8469]}},{"type":"Feature","id":84887,"properties":{"mag":5.13,"bv":"0.000"},"geometry":{"type":"Point","coordinates":[-99.7741,24.4994]}},{"type":"Feature","id":84893,"properties":{"mag":4.39,"bv":"0.394"},"geometry":{"type":"Point","coordinates":[-99.7484,-21.1129]}},{"type":"Feature","id":84949,"properties":{"mag":5.55,"bv":"0.667"},"geometry":{"type":"Point","coordinates":[-99.5683,39.9746]}},{"type":"Feature","id":84950,"properties":{"mag":5.69,"bv":"1.463"},"geometry":{"type":"Point","coordinates":[-99.561,53.4204]}},{"type":"Feature","id":84969,"properties":{"mag":4.76,"bv":"1.194"},"geometry":{"type":"Point","coordinates":[-99.5022,-67.7707]}},{"type":"Feature","id":84970,"properties":{"mag":3.27,"bv":"-0.186"},"geometry":{"type":"Point","coordinates":[-99.4976,-24.9995]}},{"type":"Feature","id":84979,"properties":{"mag":5.39,"bv":"-0.042"},"geometry":{"type":"Point","coordinates":[-99.4755,-70.1232]}},{"type":"Feature","id":85048,"properties":{"mag":5.91,"bv":"1.075"},"geometry":{"type":"Point","coordinates":[-99.2719,-37.2208]}},{"type":"Feature","id":85049,"properties":{"mag":5.86,"bv":"1.075"},"geometry":{"type":"Point","coordinates":[-99.2699,-58.0103]}},{"type":"Feature","id":85068,"properties":{"mag":5.76,"bv":"0.994"},"geometry":{"type":"Point","coordinates":[-99.2203,-56.5255]}},{"type":"Feature","id":85079,"properties":{"mag":5.21,"bv":"-0.097"},"geometry":{"type":"Point","coordinates":[-99.183,-47.4682]}},{"type":"Feature","id":85084,"properties":{"mag":5.3,"bv":"1.549"},"geometry":{"type":"Point","coordinates":[-99.16,-28.1428]}},{"type":"Feature","id":85112,"properties":{"mag":4.15,"bv":"-0.011"},"geometry":{"type":"Point","coordinates":[-99.0794,37.1459]}},{"type":"Feature","id":85139,"properties":{"mag":5.77,"bv":"1.251"},"geometry":{"type":"Point","coordinates":[-99.0099,8.8526]}},{"type":"Feature","id":85147,"properties":{"mag":5.69,"bv":"-0.147"},"geometry":{"type":"Point","coordinates":[-98.9955,-62.8642]}},{"type":"Feature","id":85157,"properties":{"mag":5.7,"bv":"0.229"},"geometry":{"type":"Point","coordinates":[-98.9726,22.9603]}},{"type":"Feature","id":85162,"properties":{"mag":5.1,"bv":"-0.052"},"geometry":{"type":"Point","coordinates":[-98.9455,-44.1626]}},{"type":"Feature","id":85169,"properties":{"mag":5.76,"bv":"-0.067"},"geometry":{"type":"Point","coordinates":[-98.9217,-60.6738]}},{"type":"Feature","id":85185,"properties":{"mag":5.75,"bv":"0.074"},"geometry":{"type":"Point","coordinates":[-98.8686,16.301]}},{"type":"Feature","id":85207,"properties":{"mag":5.82,"bv":"0.939"},"geometry":{"type":"Point","coordinates":[-98.8249,-21.4415]}},{"type":"Feature","id":85258,"properties":{"mag":2.84,"bv":"1.479"},"geometry":{"type":"Point","coordinates":[-98.675,-55.5299]}},{"type":"Feature","id":85267,"properties":{"mag":3.31,"bv":"-0.150"},"geometry":{"type":"Point","coordinates":[-98.6514,-56.3777]}},{"type":"Feature","id":85290,"properties":{"mag":5.65,"bv":"0.024"},"geometry":{"type":"Point","coordinates":[-98.5777,60.0484]}},{"type":"Feature","id":85312,"properties":{"mag":5.19,"bv":"1.055"},"geometry":{"type":"Point","coordinates":[-98.4998,-50.6335]}},{"type":"Feature","id":85340,"properties":{"mag":4.16,"bv":"0.283"},"geometry":{"type":"Point","coordinates":[-98.4074,-24.1753]}},{"type":"Feature","id":85355,"properties":{"mag":4.34,"bv":"1.480"},"geometry":{"type":"Point","coordinates":[-98.3713,4.1404]}},{"type":"Feature","id":85365,"properties":{"mag":4.53,"bv":"0.385"},"geometry":{"type":"Point","coordinates":[-98.3422,-5.0866]}},{"type":"Feature","id":85379,"properties":{"mag":5.83,"bv":"0.121"},"geometry":{"type":"Point","coordinates":[-98.3157,48.2601]}},{"type":"Feature","id":85382,"properties":{"mag":5.94,"bv":"-0.017"},"geometry":{"type":"Point","coordinates":[-98.3077,34.6958]}},{"type":"Feature","id":85385,"properties":{"mag":5.52,"bv":"-0.119"},"geometry":{"type":"Point","coordinates":[-98.2953,20.081]}},{"type":"Feature","id":85389,"properties":{"mag":5.28,"bv":"-0.058"},"geometry":{"type":"Point","coordinates":[-98.2834,-45.843]}},{"type":"Feature","id":85409,"properties":{"mag":5.9,"bv":"0.063"},"geometry":{"type":"Point","coordinates":[-98.1981,-50.6304]}},{"type":"Feature","id":85423,"properties":{"mag":4.28,"bv":"0.402"},"geometry":{"type":"Point","coordinates":[-98.1614,-29.867]}},{"type":"Feature","id":85442,"properties":{"mag":5.98,"bv":"0.010"},"geometry":{"type":"Point","coordinates":[-98.0935,-29.7246]}},{"type":"Feature","id":85470,"properties":{"mag":5.72,"bv":"1.169"},"geometry":{"type":"Point","coordinates":[-98.01,-52.2972]}},{"type":"Feature","id":85520,"properties":{"mag":5.93,"bv":"1.113"},"geometry":{"type":"Point","coordinates":[-97.8379,-55.1697]}},{"type":"Feature","id":85537,"properties":{"mag":5.41,"bv":"0.237"},"geometry":{"type":"Point","coordinates":[-97.7931,0.3306]}},{"type":"Feature","id":85543,"properties":{"mag":5.98,"bv":"1.112"},"geometry":{"type":"Point","coordinates":[-97.7663,-36.7783]}},{"type":"Feature","id":85667,"properties":{"mag":5.31,"bv":"0.715"},"geometry":{"type":"Point","coordinates":[-97.4008,-1.0629]}},{"type":"Feature","id":85670,"properties":{"mag":2.79,"bv":"0.954"},"geometry":{"type":"Point","coordinates":[-97.3918,52.3014]}},{"type":"Feature","id":85693,"properties":{"mag":4.41,"bv":"1.434"},"geometry":{"type":"Point","coordinates":[-97.3154,26.1106]}},{"type":"Feature","id":85696,"properties":{"mag":2.7,"bv":"-0.179"},"geometry":{"type":"Point","coordinates":[-97.309,-37.2958]}},{"type":"Feature","id":85699,"properties":{"mag":5.78,"bv":"0.239"},"geometry":{"type":"Point","coordinates":[-97.3017,86.968]}},{"type":"Feature","id":85715,"properties":{"mag":5.63,"bv":"0.960"},"geometry":{"type":"Point","coordinates":[-97.2693,31.1581]}},{"type":"Feature","id":85727,"properties":{"mag":3.6,"bv":"-0.104"},"geometry":{"type":"Point","coordinates":[-97.2254,-60.6838]}},{"type":"Feature","id":85749,"properties":{"mag":5.57,"bv":"0.844"},"geometry":{"type":"Point","coordinates":[-97.1611,2.7245]}},{"type":"Feature","id":85751,"properties":{"mag":5.99,"bv":"-0.045"},"geometry":{"type":"Point","coordinates":[-97.153,-56.921]}},{"type":"Feature","id":85755,"properties":{"mag":4.78,"bv":"0.016"},"geometry":{"type":"Point","coordinates":[-97.146,-23.9626]}},{"type":"Feature","id":85760,"properties":{"mag":5.83,"bv":"1.617"},"geometry":{"type":"Point","coordinates":[-97.1356,-80.8591]}},{"type":"Feature","id":85790,"properties":{"mag":5.66,"bv":"-0.001"},"geometry":{"type":"Point","coordinates":[-97.0434,28.4075]}},{"type":"Feature","id":85792,"properties":{"mag":2.84,"bv":"-0.136"},"geometry":{"type":"Point","coordinates":[-97.0396,-49.8761]}},{"type":"Feature","id":85805,"properties":{"mag":5.07,"bv":"1.077"},"geometry":{"type":"Point","coordinates":[-97.0089,68.135]}},{"type":"Feature","id":85819,"properties":{"mag":4.89,"bv":"0.251"},"geometry":{"type":"Point","coordinates":[-96.956,55.1842]}},{"type":"Feature","id":85822,"properties":{"mag":4.35,"bv":"0.021"},"geometry":{"type":"Point","coordinates":[-96.9458,86.5865]}},{"type":"Feature","id":85829,"properties":{"mag":4.86,"bv":"0.279"},"geometry":{"type":"Point","coordinates":[-96.9332,55.173]}},{"type":"Feature","id":85888,"properties":{"mag":5.72,"bv":"1.089"},"geometry":{"type":"Point","coordinates":[-96.7198,41.2434]}},{"type":"Feature","id":85889,"properties":{"mag":5.84,"bv":"0.041"},"geometry":{"type":"Point","coordinates":[-96.7192,-41.1731]}},{"type":"Feature","id":85912,"properties":{"mag":5.65,"bv":"0.505"},"geometry":{"type":"Point","coordinates":[-96.6549,19.2567]}},{"type":"Feature","id":85922,"properties":{"mag":5.61,"bv":"0.187"},"geometry":{"type":"Point","coordinates":[-96.6256,-5.7448]}},{"type":"Feature","id":85927,"properties":{"mag":1.62,"bv":"-0.231"},"geometry":{"type":"Point","coordinates":[-96.5978,-37.1038]}},{"type":"Feature","id":85930,"properties":{"mag":5.68,"bv":"1.002"},"geometry":{"type":"Point","coordinates":[-96.5859,16.3176]}},{"type":"Feature","id":85998,"properties":{"mag":5.8,"bv":"0.040"},"geometry":{"type":"Point","coordinates":[-96.3471,9.5867]}},{"type":"Feature","id":86011,"properties":{"mag":5.69,"bv":"0.045"},"geometry":{"type":"Point","coordinates":[-96.3229,-32.5817]}},{"type":"Feature","id":86019,"properties":{"mag":5.54,"bv":"0.013"},"geometry":{"type":"Point","coordinates":[-96.3069,-11.242]}},{"type":"Feature","id":86032,"properties":{"mag":2.08,"bv":"0.155"},"geometry":{"type":"Point","coordinates":[-96.2664,12.56]}},{"type":"Feature","id":86036,"properties":{"mag":5.23,"bv":"0.602"},"geometry":{"type":"Point","coordinates":[-96.2517,61.8746]}},{"type":"Feature","id":86092,"properties":{"mag":4.56,"bv":"-0.020"},"geometry":{"type":"Point","coordinates":[-96.085,-46.5057]}},{"type":"Feature","id":86170,"properties":{"mag":4.26,"bv":"1.075"},"geometry":{"type":"Point","coordinates":[-95.8632,-38.6353]}},{"type":"Feature","id":86182,"properties":{"mag":5.35,"bv":"1.142"},"geometry":{"type":"Point","coordinates":[-95.8431,48.5856]}},{"type":"Feature","id":86201,"properties":{"mag":4.77,"bv":"0.430"},"geometry":{"type":"Point","coordinates":[-95.7621,68.758]}},{"type":"Feature","id":86219,"properties":{"mag":5.87,"bv":"1.016"},"geometry":{"type":"Point","coordinates":[-95.713,72.4558]}},{"type":"Feature","id":86228,"properties":{"mag":1.86,"bv":"0.406"},"geometry":{"type":"Point","coordinates":[-95.6703,-42.9978]}},{"type":"Feature","id":86248,"properties":{"mag":5.89,"bv":"1.109"},"geometry":{"type":"Point","coordinates":[-95.6362,-50.0597]}},{"type":"Feature","id":86254,"properties":{"mag":5.76,"bv":"0.114"},"geometry":{"type":"Point","coordinates":[-95.6204,24.31]}},{"type":"Feature","id":86263,"properties":{"mag":3.54,"bv":"0.262"},"geometry":{"type":"Point","coordinates":[-95.6033,-15.3986]}},{"type":"Feature","id":86266,"properties":{"mag":5.94,"bv":"0.357"},"geometry":{"type":"Point","coordinates":[-95.5991,-15.571]}},{"type":"Feature","id":86284,"properties":{"mag":4.58,"bv":"0.132"},"geometry":{"type":"Point","coordinates":[-95.5387,-8.1188]}},{"type":"Feature","id":86305,"properties":{"mag":5.25,"bv":"0.195"},"geometry":{"type":"Point","coordinates":[-95.477,-54.5004]}},{"type":"Feature","id":86313,"properties":{"mag":5.74,"bv":"1.228"},"geometry":{"type":"Point","coordinates":[-95.4604,-10.9263]}},{"type":"Feature","id":86414,"properties":{"mag":3.82,"bv":"-0.179"},"geometry":{"type":"Point","coordinates":[-95.1338,46.0063]}},{"type":"Feature","id":86486,"properties":{"mag":4.76,"bv":"0.415"},"geometry":{"type":"Point","coordinates":[-94.9007,-49.4156]}},{"type":"Feature","id":86552,"properties":{"mag":5.78,"bv":"-0.004"},"geometry":{"type":"Point","coordinates":[-94.6823,-46.9218]}},{"type":"Feature","id":86561,"properties":{"mag":6,"bv":"1.068"},"geometry":{"type":"Point","coordinates":[-94.6593,51.8182]}},{"type":"Feature","id":86565,"properties":{"mag":4.24,"bv":"0.086"},"geometry":{"type":"Point","coordinates":[-94.6464,-12.8753]}},{"type":"Feature","id":86575,"properties":{"mag":5.97,"bv":"1.271"},"geometry":{"type":"Point","coordinates":[-94.6153,6.3132]}},{"type":"Feature","id":86614,"properties":{"mag":4.57,"bv":"0.434"},"geometry":{"type":"Point","coordinates":[-94.5152,72.1488]}},{"type":"Feature","id":86620,"properties":{"mag":5.81,"bv":"0.530"},"geometry":{"type":"Point","coordinates":[-94.5079,72.1569]}},{"type":"Feature","id":86623,"properties":{"mag":5.54,"bv":"0.387"},"geometry":{"type":"Point","coordinates":[-94.5057,15.9524]}},{"type":"Feature","id":86667,"properties":{"mag":5.56,"bv":"1.436"},"geometry":{"type":"Point","coordinates":[-94.3818,24.5641]}},{"type":"Feature","id":86670,"properties":{"mag":2.39,"bv":"-0.171"},"geometry":{"type":"Point","coordinates":[-94.378,-39.03]}},{"type":"Feature","id":86698,"properties":{"mag":5.53,"bv":"1.553"},"geometry":{"type":"Point","coordinates":[-94.2871,-36.9456]}},{"type":"Feature","id":86731,"properties":{"mag":5.73,"bv":"0.683"},"geometry":{"type":"Point","coordinates":[-94.1601,24.3278]}},{"type":"Feature","id":86736,"properties":{"mag":4.86,"bv":"0.469"},"geometry":{"type":"Point","coordinates":[-94.1425,-21.6832]}},{"type":"Feature","id":86742,"properties":{"mag":2.76,"bv":"1.168"},"geometry":{"type":"Point","coordinates":[-94.1319,4.5673]}},{"type":"Feature","id":86782,"properties":{"mag":5.75,"bv":"0.017"},"geometry":{"type":"Point","coordinates":[-94.0034,53.8017]}},{"type":"Feature","id":86796,"properties":{"mag":5.12,"bv":"0.694"},"geometry":{"type":"Point","coordinates":[-93.9637,-51.8341]}},{"type":"Feature","id":86847,"properties":{"mag":5.87,"bv":"0.163"},"geometry":{"type":"Point","coordinates":[-93.825,-42.7293]}},{"type":"Feature","id":86871,"properties":{"mag":5.97,"bv":"0.912"},"geometry":{"type":"Point","coordinates":[-93.7672,-57.5455]}},{"type":"Feature","id":86929,"properties":{"mag":3.61,"bv":"1.161"},"geometry":{"type":"Point","coordinates":[-93.5667,-64.7239]}},{"type":"Feature","id":86974,"properties":{"mag":3.42,"bv":"0.750"},"geometry":{"type":"Point","coordinates":[-93.3853,27.7207]}},{"type":"Feature","id":87044,"properties":{"mag":5.61,"bv":"0.036"},"geometry":{"type":"Point","coordinates":[-93.2165,17.697]}},{"type":"Feature","id":87072,"properties":{"mag":4.53,"bv":"0.600"},"geometry":{"type":"Point","coordinates":[-93.1099,-27.8308]}},{"type":"Feature","id":87073,"properties":{"mag":2.99,"bv":"0.509"},"geometry":{"type":"Point","coordinates":[-93.1038,-40.127]}},{"type":"Feature","id":87074,"properties":{"mag":5.93,"bv":"0.009"},"geometry":{"type":"Point","coordinates":[-93.0968,-14.7258]}},{"type":"Feature","id":87108,"properties":{"mag":3.75,"bv":"0.043"},"geometry":{"type":"Point","coordinates":[-93.0268,2.7073]}},{"type":"Feature","id":87158,"properties":{"mag":5.69,"bv":"0.938"},"geometry":{"type":"Point","coordinates":[-92.8968,20.5654]}},{"type":"Feature","id":87194,"properties":{"mag":5.09,"bv":"1.141"},"geometry":{"type":"Point","coordinates":[-92.7952,25.6229]}},{"type":"Feature","id":87212,"properties":{"mag":5.02,"bv":"0.043"},"geometry":{"type":"Point","coordinates":[-92.7321,50.7811]}},{"type":"Feature","id":87220,"properties":{"mag":4.79,"bv":"-0.028"},"geometry":{"type":"Point","coordinates":[-92.7063,-31.7032]}},{"type":"Feature","id":87234,"properties":{"mag":5.02,"bv":"0.518"},"geometry":{"type":"Point","coordinates":[-92.6374,76.9629]}},{"type":"Feature","id":87261,"properties":{"mag":3.19,"bv":"1.192"},"geometry":{"type":"Point","coordinates":[-92.5355,-37.0433]}},{"type":"Feature","id":87294,"properties":{"mag":4.78,"bv":"0.259"},"geometry":{"type":"Point","coordinates":[-92.4537,-40.0904]}},{"type":"Feature","id":87308,"properties":{"mag":5.51,"bv":"1.071"},"geometry":{"type":"Point","coordinates":[-92.4046,29.3221]}},{"type":"Feature","id":87314,"properties":{"mag":5.68,"bv":"-0.099"},"geometry":{"type":"Point","coordinates":[-92.3817,-53.6124]}},{"type":"Feature","id":87390,"properties":{"mag":5.94,"bv":"1.572"},"geometry":{"type":"Point","coordinates":[-92.1144,-40.7725]}},{"type":"Feature","id":87393,"properties":{"mag":5.78,"bv":"1.008"},"geometry":{"type":"Point","coordinates":[-92.1022,-60.1641]}},{"type":"Feature","id":87460,"properties":{"mag":5.88,"bv":"-0.111"},"geometry":{"type":"Point","coordinates":[-91.9431,-34.7992]}},{"type":"Feature","id":87472,"properties":{"mag":5.84,"bv":"1.129"},"geometry":{"type":"Point","coordinates":[-91.9177,-34.4168]}},{"type":"Feature","id":87491,"properties":{"mag":5.91,"bv":"1.573"},"geometry":{"type":"Point","coordinates":[-91.8523,1.305]}},{"type":"Feature","id":87558,"properties":{"mag":5.77,"bv":"0.425"},"geometry":{"type":"Point","coordinates":[-91.6909,6.1014]}},{"type":"Feature","id":87563,"properties":{"mag":5.17,"bv":"1.166"},"geometry":{"type":"Point","coordinates":[-91.6749,40.008]}},{"type":"Feature","id":87569,"properties":{"mag":5.58,"bv":"1.098"},"geometry":{"type":"Point","coordinates":[-91.6522,-34.8951]}},{"type":"Feature","id":87585,"properties":{"mag":3.73,"bv":"1.177"},"geometry":{"type":"Point","coordinates":[-91.6178,56.8726]}},{"type":"Feature","id":87616,"properties":{"mag":6,"bv":"-0.060"},"geometry":{"type":"Point","coordinates":[-91.5218,-34.7527]}},{"type":"Feature","id":87728,"properties":{"mag":5.43,"bv":"0.340"},"geometry":{"type":"Point","coordinates":[-91.2035,72.0051]}},{"type":"Feature","id":87747,"properties":{"mag":5.47,"bv":"0.341"},"geometry":{"type":"Point","coordinates":[-91.145,26.05]}},{"type":"Feature","id":87777,"properties":{"mag":5.62,"bv":"1.249"},"geometry":{"type":"Point","coordinates":[-91.0383,22.4642]}},{"type":"Feature","id":87808,"properties":{"mag":3.86,"bv":"1.350"},"geometry":{"type":"Point","coordinates":[-90.9367,37.2505]}},{"type":"Feature","id":87812,"properties":{"mag":5.82,"bv":"0.058"},"geometry":{"type":"Point","coordinates":[-90.9233,0.6704]}},{"type":"Feature","id":87813,"properties":{"mag":5.93,"bv":"0.024"},"geometry":{"type":"Point","coordinates":[-90.9207,-15.8125]}},{"type":"Feature","id":87833,"properties":{"mag":2.24,"bv":"1.521"},"geometry":{"type":"Point","coordinates":[-90.8485,51.4889]}},{"type":"Feature","id":87836,"properties":{"mag":5.76,"bv":"0.207"},"geometry":{"type":"Point","coordinates":[-90.8257,-28.0654]}},{"type":"Feature","id":87846,"properties":{"mag":4.85,"bv":"1.176"},"geometry":{"type":"Point","coordinates":[-90.8024,-44.3422]}},{"type":"Feature","id":87847,"properties":{"mag":5.44,"bv":"1.162"},"geometry":{"type":"Point","coordinates":[-90.8011,-4.0818]}},{"type":"Feature","id":87875,"properties":{"mag":5.95,"bv":"0.110"},"geometry":{"type":"Point","coordinates":[-90.732,0.0667]}},{"type":"Feature","id":87933,"properties":{"mag":3.7,"bv":"0.935"},"geometry":{"type":"Point","coordinates":[-90.5588,29.2479]}},{"type":"Feature","id":87936,"properties":{"mag":4.88,"bv":"1.617"},"geometry":{"type":"Point","coordinates":[-90.5508,-41.7163]}},{"type":"Feature","id":87998,"properties":{"mag":4.41,"bv":"0.380"},"geometry":{"type":"Point","coordinates":[-90.3744,30.1893]}},{"type":"Feature","id":88012,"properties":{"mag":5.99,"bv":"-0.077"},"geometry":{"type":"Point","coordinates":[-90.3373,-28.7591]}},{"type":"Feature","id":88038,"properties":{"mag":5.74,"bv":"0.915"},"geometry":{"type":"Point","coordinates":[-90.268,-36.8584]}},{"type":"Feature","id":88048,"properties":{"mag":3.32,"bv":"0.987"},"geometry":{"type":"Point","coordinates":[-90.2434,-9.7736]}},{"type":"Feature","id":88060,"properties":{"mag":5,"bv":"1.654"},"geometry":{"type":"Point","coordinates":[-90.228,-30.253]}},{"type":"Feature","id":88101,"properties":{"mag":5.86,"bv":"1.561"},"geometry":{"type":"Point","coordinates":[-90.0968,-4.8211]}},{"type":"Feature","id":88116,"properties":{"mag":4.74,"bv":"-0.030"},"geometry":{"type":"Point","coordinates":[-90.0519,-23.8161]}},{"type":"Feature","id":88122,"properties":{"mag":5.69,"bv":"1.562"},"geometry":{"type":"Point","coordinates":[-90.0158,45.5014]}},{"type":"Feature","id":88128,"properties":{"mag":4.67,"bv":"1.254"},"geometry":{"type":"Point","coordinates":[-89.9858,16.7509]}},{"type":"Feature","id":88136,"properties":{"mag":5.74,"bv":"0.516"},"geometry":{"type":"Point","coordinates":[-89.9616,80.0041]}},{"type":"Feature","id":88149,"properties":{"mag":4.79,"bv":"-0.100"},"geometry":{"type":"Point","coordinates":[-89.9342,4.3686]}},{"type":"Feature","id":88175,"properties":{"mag":4.62,"bv":"0.390"},"geometry":{"type":"Point","coordinates":[-89.8791,-3.6903]}},{"type":"Feature","id":88192,"properties":{"mag":3.93,"bv":"0.029"},"geometry":{"type":"Point","coordinates":[-89.8387,2.9316]}},{"type":"Feature","id":88267,"properties":{"mag":4.26,"bv":"0.406"},"geometry":{"type":"Point","coordinates":[-89.6233,21.5958]}},{"type":"Feature","id":88290,"properties":{"mag":4.42,"bv":"0.046"},"geometry":{"type":"Point","coordinates":[-89.5617,1.3051]}},{"type":"Feature","id":88298,"properties":{"mag":5.72,"bv":"-0.030"},"geometry":{"type":"Point","coordinates":[-89.5234,-22.7803]}},{"type":"Feature","id":88331,"properties":{"mag":5.25,"bv":"-0.100"},"geometry":{"type":"Point","coordinates":[-89.404,20.8336]}},{"type":"Feature","id":88380,"properties":{"mag":5.37,"bv":"0.495"},"geometry":{"type":"Point","coordinates":[-89.2871,-24.2825]}},{"type":"Feature","id":88404,"properties":{"mag":4.77,"bv":"0.410"},"geometry":{"type":"Point","coordinates":[-89.2295,-8.1803]}},{"type":"Feature","id":88469,"properties":{"mag":5.89,"bv":"0.031"},"geometry":{"type":"Point","coordinates":[-89.0315,-24.3607]}},{"type":"Feature","id":88550,"properties":{"mag":5.98,"bv":"1.160"},"geometry":{"type":"Point","coordinates":[-88.7901,-35.9014]}},{"type":"Feature","id":88567,"properties":{"mag":4.66,"bv":"0.774"},"geometry":{"type":"Point","coordinates":[-88.7449,-29.5801]}},{"type":"Feature","id":88601,"properties":{"mag":4.03,"bv":"0.860"},"geometry":{"type":"Point","coordinates":[-88.6363,2.5001]}},{"type":"Feature","id":88635,"properties":{"mag":2.98,"bv":"0.981"},"geometry":{"type":"Point","coordinates":[-88.548,-30.4241]}},{"type":"Feature","id":88636,"properties":{"mag":5.72,"bv":"1.179"},"geometry":{"type":"Point","coordinates":[-88.5433,32.2307]}},{"type":"Feature","id":88657,"properties":{"mag":4.96,"bv":"1.656"},"geometry":{"type":"Point","coordinates":[-88.4921,22.2189]}},{"type":"Feature","id":88670,"properties":{"mag":5.84,"bv":"0.184"},"geometry":{"type":"Point","coordinates":[-88.4692,-8.324]}},{"type":"Feature","id":88684,"properties":{"mag":5.74,"bv":"0.968"},"geometry":{"type":"Point","coordinates":[-88.4367,-4.7513]}},{"type":"Feature","id":88694,"properties":{"mag":5.94,"bv":"0.615"},"geometry":{"type":"Point","coordinates":[-88.4012,-36.0198]}},{"type":"Feature","id":88714,"properties":{"mag":3.65,"bv":"-0.101"},"geometry":{"type":"Point","coordinates":[-88.3422,-50.0915]}},{"type":"Feature","id":88726,"properties":{"mag":4.92,"bv":"0.255"},"geometry":{"type":"Point","coordinates":[-88.2921,-43.4252]}},{"type":"Feature","id":88745,"properties":{"mag":5.05,"bv":"0.528"},"geometry":{"type":"Point","coordinates":[-88.2436,30.5621]}},{"type":"Feature","id":88765,"properties":{"mag":4.64,"bv":"0.951"},"geometry":{"type":"Point","coordinates":[-88.1735,8.7339]}},{"type":"Feature","id":88771,"properties":{"mag":3.71,"bv":"0.159"},"geometry":{"type":"Point","coordinates":[-88.1626,9.5638]}},{"type":"Feature","id":88788,"properties":{"mag":5,"bv":"0.913"},"geometry":{"type":"Point","coordinates":[-88.1303,43.4619]}},{"type":"Feature","id":88794,"properties":{"mag":3.84,"bv":"-0.018"},"geometry":{"type":"Point","coordinates":[-88.1144,28.7625]}},{"type":"Feature","id":88816,"properties":{"mag":5.52,"bv":"1.132"},"geometry":{"type":"Point","coordinates":[-88.0486,-17.1542]}},{"type":"Feature","id":88817,"properties":{"mag":5.79,"bv":"0.127"},"geometry":{"type":"Point","coordinates":[-88.0437,26.0973]}},{"type":"Feature","id":88818,"properties":{"mag":5.83,"bv":"0.158"},"geometry":{"type":"Point","coordinates":[-88.0435,26.1013]}},{"type":"Feature","id":88836,"properties":{"mag":5.49,"bv":"1.161"},"geometry":{"type":"Point","coordinates":[-87.9907,36.4013]}},{"type":"Feature","id":88839,"properties":{"mag":4.55,"bv":"0.938"},"geometry":{"type":"Point","coordinates":[-87.9793,-28.4571]}},{"type":"Feature","id":88866,"properties":{"mag":4.33,"bv":"0.228"},"geometry":{"type":"Point","coordinates":[-87.8549,-63.6686]}},{"type":"Feature","id":88886,"properties":{"mag":4.37,"bv":"-0.164"},"geometry":{"type":"Point","coordinates":[-87.8105,20.8146]}},{"type":"Feature","id":88899,"properties":{"mag":5.1,"bv":"0.176"},"geometry":{"type":"Point","coordinates":[-87.7797,20.0452]}},{"type":"Feature","id":88964,"properties":{"mag":5.71,"bv":"0.363"},"geometry":{"type":"Point","coordinates":[-87.6088,3.9933]}},{"type":"Feature","id":89000,"properties":{"mag":5.67,"bv":"0.490"},"geometry":{"type":"Point","coordinates":[-87.5249,3.1198]}},{"type":"Feature","id":89008,"properties":{"mag":5.57,"bv":"0.915"},"geometry":{"type":"Point","coordinates":[-87.5042,36.4663]}},{"type":"Feature","id":89020,"properties":{"mag":5.53,"bv":"0.979"},"geometry":{"type":"Point","coordinates":[-87.4758,-30.7287]}},{"type":"Feature","id":89042,"properties":{"mag":5.47,"bv":"0.592"},"geometry":{"type":"Point","coordinates":[-87.391,-62.0022]}},{"type":"Feature","id":89047,"properties":{"mag":5.97,"bv":"0.943"},"geometry":{"type":"Point","coordinates":[-87.3682,54.2866]}},{"type":"Feature","id":89065,"properties":{"mag":5.5,"bv":"1.204"},"geometry":{"type":"Point","coordinates":[-87.3321,3.3243]}},{"type":"Feature","id":89099,"properties":{"mag":5.86,"bv":"0.295"},"geometry":{"type":"Point","coordinates":[-87.2268,-41.3591]}},{"type":"Feature","id":89112,"properties":{"mag":4.52,"bv":"1.009"},"geometry":{"type":"Point","coordinates":[-87.1927,-45.9544]}},{"type":"Feature","id":89115,"properties":{"mag":5.86,"bv":"1.253"},"geometry":{"type":"Point","coordinates":[-87.1842,-75.8915]}},{"type":"Feature","id":89153,"properties":{"mag":4.96,"bv":"1.055"},"geometry":{"type":"Point","coordinates":[-87.0694,-23.7012]}},{"type":"Feature","id":89156,"properties":{"mag":5.98,"bv":"0.045"},"geometry":{"type":"Point","coordinates":[-87.062,33.4471]}},{"type":"Feature","id":89172,"properties":{"mag":4.96,"bv":"1.643"},"geometry":{"type":"Point","coordinates":[-87.0243,31.4053]}},{"type":"Feature","id":89234,"properties":{"mag":5.86,"bv":"0.464"},"geometry":{"type":"Point","coordinates":[-86.8581,-73.6724]}},{"type":"Feature","id":89290,"properties":{"mag":5.47,"bv":"-0.155"},"geometry":{"type":"Point","coordinates":[-86.6971,-41.3361]}},{"type":"Feature","id":89341,"properties":{"mag":3.84,"bv":"0.195"},"geometry":{"type":"Point","coordinates":[-86.5591,-21.0588]}},{"type":"Feature","id":89348,"properties":{"mag":4.99,"bv":"0.440"},"geometry":{"type":"Point","coordinates":[-86.5257,64.3973]}},{"type":"Feature","id":89369,"properties":{"mag":5.49,"bv":"1.528"},"geometry":{"type":"Point","coordinates":[-86.4337,-21.7132]}},{"type":"Feature","id":89439,"properties":{"mag":5.29,"bv":"0.007"},"geometry":{"type":"Point","coordinates":[-86.1962,-20.7283]}},{"type":"Feature","id":89440,"properties":{"mag":5.96,"bv":"-0.023"},"geometry":{"type":"Point","coordinates":[-86.196,-20.388]}},{"type":"Feature","id":89448,"properties":{"mag":5.96,"bv":"1.055"},"geometry":{"type":"Point","coordinates":[-86.1788,68.7558]}},{"type":"Feature","id":89482,"properties":{"mag":5.56,"bv":"-0.111"},"geometry":{"type":"Point","coordinates":[-86.0884,42.1593]}},{"type":"Feature","id":89487,"properties":{"mag":5.58,"bv":"0.944"},"geometry":{"type":"Point","coordinates":[-86.0808,-63.0554]}},{"type":"Feature","id":89507,"properties":{"mag":5.45,"bv":"0.962"},"geometry":{"type":"Point","coordinates":[-86.0273,-44.2065]}},{"type":"Feature","id":89587,"properties":{"mag":5.99,"bv":"0.890"},"geometry":{"type":"Point","coordinates":[-85.7787,-3.0074]}},{"type":"Feature","id":89605,"properties":{"mag":5.36,"bv":"-0.050"},"geometry":{"type":"Point","coordinates":[-85.7186,-56.0234]}},{"type":"Feature","id":89609,"properties":{"mag":5.81,"bv":"1.569"},"geometry":{"type":"Point","coordinates":[-85.7015,-17.3739]}},{"type":"Feature","id":89642,"properties":{"mag":3.1,"bv":"1.582"},"geometry":{"type":"Point","coordinates":[-85.5932,-36.7617]}},{"type":"Feature","id":89678,"properties":{"mag":4.66,"bv":"1.629"},"geometry":{"type":"Point","coordinates":[-85.4867,-27.0426]}},{"type":"Feature","id":89772,"properties":{"mag":5.41,"bv":"1.084"},"geometry":{"type":"Point","coordinates":[-85.2103,7.2598]}},{"type":"Feature","id":89773,"properties":{"mag":5.3,"bv":"1.508"},"geometry":{"type":"Point","coordinates":[-85.2055,24.4461]}},{"type":"Feature","id":89826,"properties":{"mag":4.33,"bv":"1.162"},"geometry":{"type":"Point","coordinates":[-85.0345,36.0645]}},{"type":"Feature","id":89851,"properties":{"mag":5.39,"bv":"1.473"},"geometry":{"type":"Point","coordinates":[-84.9634,-15.8317]}},{"type":"Feature","id":89861,"properties":{"mag":4.92,"bv":"1.594"},"geometry":{"type":"Point","coordinates":[-84.9254,21.9613]}},{"type":"Feature","id":89908,"properties":{"mag":4.22,"bv":"-0.093"},"geometry":{"type":"Point","coordinates":[-84.8107,71.3378]}},{"type":"Feature","id":89918,"properties":{"mag":4.85,"bv":"0.911"},"geometry":{"type":"Point","coordinates":[-84.7831,3.3772]}},{"type":"Feature","id":89925,"properties":{"mag":5.61,"bv":"0.231"},"geometry":{"type":"Point","coordinates":[-84.7626,29.8589]}},{"type":"Feature","id":89931,"properties":{"mag":2.72,"bv":"1.380"},"geometry":{"type":"Point","coordinates":[-84.7515,-29.8281]}},{"type":"Feature","id":89935,"properties":{"mag":5.12,"bv":"0.212"},"geometry":{"type":"Point","coordinates":[-84.7457,28.87]}},{"type":"Feature","id":89937,"properties":{"mag":3.55,"bv":"0.489"},"geometry":{"type":"Point","coordinates":[-84.7359,72.7328]}},{"type":"Feature","id":89962,"properties":{"mag":3.23,"bv":"0.941"},"geometry":{"type":"Point","coordinates":[-84.6725,-2.8988]}},{"type":"Feature","id":89968,"properties":{"mag":5.76,"bv":"0.670"},"geometry":{"type":"Point","coordinates":[-84.6542,-18.86]}},{"type":"Feature","id":89981,"properties":{"mag":5.02,"bv":"1.619"},"geometry":{"type":"Point","coordinates":[-84.6139,49.1216]}},{"type":"Feature","id":90023,"properties":{"mag":5.41,"bv":"1.633"},"geometry":{"type":"Point","coordinates":[-84.4637,23.2852]}},{"type":"Feature","id":90037,"properties":{"mag":5.09,"bv":"1.498"},"geometry":{"type":"Point","coordinates":[-84.4226,-38.6569]}},{"type":"Feature","id":90052,"properties":{"mag":5.99,"bv":"0.056"},"geometry":{"type":"Point","coordinates":[-84.3528,12.0297]}},{"type":"Feature","id":90067,"properties":{"mag":5.25,"bv":"1.250"},"geometry":{"type":"Point","coordinates":[-84.2957,17.8266]}},{"type":"Feature","id":90074,"properties":{"mag":5.33,"bv":"-0.121"},"geometry":{"type":"Point","coordinates":[-84.2788,-36.6696]}},{"type":"Feature","id":90096,"properties":{"mag":5.71,"bv":"0.006"},"geometry":{"type":"Point","coordinates":[-84.1993,-12.0148]}},{"type":"Feature","id":90098,"properties":{"mag":4.35,"bv":"1.462"},"geometry":{"type":"Point","coordinates":[-84.1932,-61.4939]}},{"type":"Feature","id":90124,"properties":{"mag":5.52,"bv":"1.015"},"geometry":{"type":"Point","coordinates":[-84.1299,-36.238]}},{"type":"Feature","id":90133,"properties":{"mag":5.47,"bv":"0.043"},"geometry":{"type":"Point","coordinates":[-84.0981,-75.0443]}},{"type":"Feature","id":90135,"properties":{"mag":4.66,"bv":"0.932"},"geometry":{"type":"Point","coordinates":[-84.0851,-8.9344]}},{"type":"Feature","id":90139,"properties":{"mag":3.85,"bv":"1.168"},"geometry":{"type":"Point","coordinates":[-84.0755,21.7698]}},{"type":"Feature","id":90156,"properties":{"mag":4.98,"bv":"0.082"},"geometry":{"type":"Point","coordinates":[-84.0225,58.8007]}},{"type":"Feature","id":90185,"properties":{"mag":1.79,"bv":"-0.031"},"geometry":{"type":"Point","coordinates":[-83.957,-34.3846]}},{"type":"Feature","id":90191,"properties":{"mag":5.11,"bv":"0.047"},"geometry":{"type":"Point","coordinates":[-83.9426,39.5072]}},{"type":"Feature","id":90200,"properties":{"mag":5.24,"bv":"-0.163"},"geometry":{"type":"Point","coordinates":[-83.924,-44.1103]}},{"type":"Feature","id":90260,"properties":{"mag":5.58,"bv":"1.138"},"geometry":{"type":"Point","coordinates":[-83.7441,-30.7566]}},{"type":"Feature","id":90289,"properties":{"mag":4.81,"bv":"1.310"},"geometry":{"type":"Point","coordinates":[-83.6623,-20.5417]}},{"type":"Feature","id":90313,"properties":{"mag":5.64,"bv":"0.884"},"geometry":{"type":"Point","coordinates":[-83.5883,8.032]}},{"type":"Feature","id":90342,"properties":{"mag":5.81,"bv":"0.068"},"geometry":{"type":"Point","coordinates":[-83.5051,29.8289]}},{"type":"Feature","id":90344,"properties":{"mag":4.82,"bv":"1.179"},"geometry":{"type":"Point","coordinates":[-83.5036,65.5635]}},{"type":"Feature","id":90414,"properties":{"mag":5.44,"bv":"0.855"},"geometry":{"type":"Point","coordinates":[-83.2749,-48.1172]}},{"type":"Feature","id":90422,"properties":{"mag":3.49,"bv":"-0.179"},"geometry":{"type":"Point","coordinates":[-83.2566,-45.9685]}},{"type":"Feature","id":90441,"properties":{"mag":5.2,"bv":"0.487"},"geometry":{"type":"Point","coordinates":[-83.1979,0.1961]}},{"type":"Feature","id":90485,"properties":{"mag":5.9,"bv":"0.517"},"geometry":{"type":"Point","coordinates":[-83.0438,-29.8169]}},{"type":"Feature","id":90496,"properties":{"mag":2.82,"bv":"1.025"},"geometry":{"type":"Point","coordinates":[-83.0073,-25.4217]}},{"type":"Feature","id":90497,"properties":{"mag":5.71,"bv":"-0.034"},"geometry":{"type":"Point","coordinates":[-83.0051,6.1941]}},{"type":"Feature","id":90541,"properties":{"mag":5.63,"bv":"0.140"},"geometry":{"type":"Point","coordinates":[-82.887,-38.9957]}},{"type":"Feature","id":90568,"properties":{"mag":4.1,"bv":"0.995"},"geometry":{"type":"Point","coordinates":[-82.7923,-49.0706]}},{"type":"Feature","id":90595,"properties":{"mag":4.67,"bv":"0.076"},"geometry":{"type":"Point","coordinates":[-82.7006,-14.5658]}},{"type":"Feature","id":90606,"properties":{"mag":5.95,"bv":"1.173"},"geometry":{"type":"Point","coordinates":[-82.6669,-80.2327]}},{"type":"Feature","id":90637,"properties":{"mag":5.87,"bv":"-0.096"},"geometry":{"type":"Point","coordinates":[-82.6012,23.8662]}},{"type":"Feature","id":90642,"properties":{"mag":5.38,"bv":"0.961"},"geometry":{"type":"Point","coordinates":[-82.5793,-1.9853]}},{"type":"Feature","id":90647,"properties":{"mag":5.65,"bv":"1.192"},"geometry":{"type":"Point","coordinates":[-82.5626,77.5471]}},{"type":"Feature","id":90662,"properties":{"mag":5.69,"bv":"1.258"},"geometry":{"type":"Point","coordinates":[-82.5169,-47.2205]}},{"type":"Feature","id":90664,"properties":{"mag":5.74,"bv":"0.987"},"geometry":{"type":"Point","coordinates":[-82.5136,-57.5231]}},{"type":"Feature","id":90687,"properties":{"mag":5.63,"bv":"1.057"},"geometry":{"type":"Point","coordinates":[-82.4506,-18.7288]}},{"type":"Feature","id":90762,"properties":{"mag":5.76,"bv":"0.053"},"geometry":{"type":"Point","coordinates":[-82.2315,16.9286]}},{"type":"Feature","id":90763,"properties":{"mag":5.37,"bv":"0.182"},"geometry":{"type":"Point","coordinates":[-82.2298,-32.9891]}},{"type":"Feature","id":90797,"properties":{"mag":4.63,"bv":"-0.116"},"geometry":{"type":"Point","coordinates":[-82.1566,-62.2783]}},{"type":"Feature","id":90804,"properties":{"mag":5.77,"bv":"0.379"},"geometry":{"type":"Point","coordinates":[-82.1429,-10.7958]}},{"type":"Feature","id":90806,"properties":{"mag":5.12,"bv":"0.016"},"geometry":{"type":"Point","coordinates":[-82.1404,-18.4027]}},{"type":"Feature","id":90830,"properties":{"mag":4.92,"bv":"-0.101"},"geometry":{"type":"Point","coordinates":[-82.0607,-45.9148]}},{"type":"Feature","id":90842,"properties":{"mag":5.71,"bv":"1.322"},"geometry":{"type":"Point","coordinates":[-82.0157,-43.5074]}},{"type":"Feature","id":90844,"properties":{"mag":5.93,"bv":"0.170"},"geometry":{"type":"Point","coordinates":[-82.0125,-1.003]}},{"type":"Feature","id":90853,"properties":{"mag":5.07,"bv":"-0.127"},"geometry":{"type":"Point","coordinates":[-81.9919,-45.7574]}},{"type":"Feature","id":90887,"properties":{"mag":5.16,"bv":"0.079"},"geometry":{"type":"Point","coordinates":[-81.9111,-39.704]}},{"type":"Feature","id":90905,"properties":{"mag":4.77,"bv":"0.611"},"geometry":{"type":"Point","coordinates":[-81.8562,57.0456]}},{"type":"Feature","id":90913,"properties":{"mag":5.47,"bv":"1.998"},"geometry":{"type":"Point","coordinates":[-81.8195,-14.8657]}},{"type":"Feature","id":90915,"properties":{"mag":5.88,"bv":"1.490"},"geometry":{"type":"Point","coordinates":[-81.8077,23.6168]}},{"type":"Feature","id":90923,"properties":{"mag":5.47,"bv":"-0.077"},"geometry":{"type":"Point","coordinates":[-81.7918,30.5542]}},{"type":"Feature","id":90930,"properties":{"mag":5.88,"bv":"0.992"},"geometry":{"type":"Point","coordinates":[-81.7694,-73.9656]}},{"type":"Feature","id":90968,"properties":{"mag":5.67,"bv":"-0.060"},"geometry":{"type":"Point","coordinates":[-81.6536,-38.726]}},{"type":"Feature","id":90982,"properties":{"mag":4.62,"bv":"0.994"},"geometry":{"type":"Point","coordinates":[-81.6242,-42.3125]}},{"type":"Feature","id":90991,"properties":{"mag":5.74,"bv":"0.043"},"geometry":{"type":"Point","coordinates":[-81.5874,-14.8536]}},{"type":"Feature","id":91004,"properties":{"mag":5.49,"bv":"1.795"},"geometry":{"type":"Point","coordinates":[-81.5271,-24.0323]}},{"type":"Feature","id":91013,"properties":{"mag":5.38,"bv":"1.091"},"geometry":{"type":"Point","coordinates":[-81.5138,52.3535]}},{"type":"Feature","id":91014,"properties":{"mag":5.28,"bv":"-0.115"},"geometry":{"type":"Point","coordinates":[-81.5093,-33.0166]}},{"type":"Feature","id":91105,"properties":{"mag":5.12,"bv":"0.926"},"geometry":{"type":"Point","coordinates":[-81.24,-10.9772]}},{"type":"Feature","id":91117,"properties":{"mag":3.85,"bv":"1.317"},"geometry":{"type":"Point","coordinates":[-81.1982,-8.2441]}},{"type":"Feature","id":91118,"properties":{"mag":5.79,"bv":"0.006"},"geometry":{"type":"Point","coordinates":[-81.1975,18.2034]}},{"type":"Feature","id":91139,"properties":{"mag":5.62,"bv":"1.015"},"geometry":{"type":"Point","coordinates":[-81.1233,23.6055]}},{"type":"Feature","id":91217,"properties":{"mag":5.38,"bv":"0.387"},"geometry":{"type":"Point","coordinates":[-80.884,9.1225]}},{"type":"Feature","id":91235,"properties":{"mag":5.41,"bv":"-0.101"},"geometry":{"type":"Point","coordinates":[-80.8444,33.469]}},{"type":"Feature","id":91237,"properties":{"mag":5.43,"bv":"0.386"},"geometry":{"type":"Point","coordinates":[-80.8372,6.6718]}},{"type":"Feature","id":91262,"properties":{"mag":0.03,"bv":"-0.001"},"geometry":{"type":"Point","coordinates":[-80.7653,38.7837]}},{"type":"Feature","id":91315,"properties":{"mag":5.74,"bv":"-0.045"},"geometry":{"type":"Point","coordinates":[-80.6104,62.5266]}},{"type":"Feature","id":91322,"properties":{"mag":5.76,"bv":"0.067"},"geometry":{"type":"Point","coordinates":[-80.6002,-0.3095]}},{"type":"Feature","id":91347,"properties":{"mag":5.93,"bv":"0.189"},"geometry":{"type":"Point","coordinates":[-80.5232,-21.3977]}},{"type":"Feature","id":91405,"properties":{"mag":5.78,"bv":"-0.018"},"geometry":{"type":"Point","coordinates":[-80.372,-23.5049]}},{"type":"Feature","id":91438,"properties":{"mag":5.85,"bv":"0.673"},"geometry":{"type":"Point","coordinates":[-80.2775,-21.0519]}},{"type":"Feature","id":91461,"properties":{"mag":5.84,"bv":"0.233"},"geometry":{"type":"Point","coordinates":[-80.1904,-47.9098]}},{"type":"Feature","id":91494,"properties":{"mag":5.42,"bv":"1.654"},"geometry":{"type":"Point","coordinates":[-80.1035,-43.1859]}},{"type":"Feature","id":91525,"properties":{"mag":6,"bv":"-0.067"},"geometry":{"type":"Point","coordinates":[-80.0299,52.1961]}},{"type":"Feature","id":91532,"properties":{"mag":5.82,"bv":"1.536"},"geometry":{"type":"Point","coordinates":[-79.9984,-7.7908]}},{"type":"Feature","id":91726,"properties":{"mag":4.7,"bv":"0.358"},"geometry":{"type":"Point","coordinates":[-79.4316,-9.0525]}},{"type":"Feature","id":91755,"properties":{"mag":5.03,"bv":"-0.070"},"geometry":{"type":"Point","coordinates":[-79.3419,55.5395]}},{"type":"Feature","id":91792,"properties":{"mag":4.01,"bv":"1.134"},"geometry":{"type":"Point","coordinates":[-79.2411,-71.4281]}},{"type":"Feature","id":91845,"properties":{"mag":4.88,"bv":"1.112"},"geometry":{"type":"Point","coordinates":[-79.1198,-8.2752]}},{"type":"Feature","id":91854,"properties":{"mag":5.76,"bv":"0.967"},"geometry":{"type":"Point","coordinates":[-79.0944,-64.5514]}},{"type":"Feature","id":91875,"properties":{"mag":5.11,"bv":"0.075"},"geometry":{"type":"Point","coordinates":[-79.0544,-38.3234]}},{"type":"Feature","id":91883,"properties":{"mag":5.68,"bv":"0.360"},"geometry":{"type":"Point","coordinates":[-79.035,31.9266]}},{"type":"Feature","id":91918,"properties":{"mag":4.86,"bv":"-0.168"},"geometry":{"type":"Point","coordinates":[-78.9193,-35.642]}},{"type":"Feature","id":91919,"properties":{"mag":4.67,"bv":"0.170"},"geometry":{"type":"Point","coordinates":[-78.9152,39.6701]}},{"type":"Feature","id":91926,"properties":{"mag":4.59,"bv":"0.180"},"geometry":{"type":"Point","coordinates":[-78.9051,39.6127]}},{"type":"Feature","id":91971,"properties":{"mag":4.34,"bv":"0.192"},"geometry":{"type":"Point","coordinates":[-78.8068,37.6051]}},{"type":"Feature","id":91973,"properties":{"mag":5.73,"bv":"0.285"},"geometry":{"type":"Point","coordinates":[-78.7992,37.5946]}},{"type":"Feature","id":91974,"properties":{"mag":5.82,"bv":"0.033"},"geometry":{"type":"Point","coordinates":[-78.7933,-25.0109]}},{"type":"Feature","id":91975,"properties":{"mag":5.02,"bv":"-0.055"},"geometry":{"type":"Point","coordinates":[-78.7919,2.06]}},{"type":"Feature","id":91989,"properties":{"mag":5.4,"bv":"0.850"},"geometry":{"type":"Point","coordinates":[-78.7618,-39.6862]}},{"type":"Feature","id":92024,"properties":{"mag":4.78,"bv":"0.199"},"geometry":{"type":"Point","coordinates":[-78.6379,-64.8713]}},{"type":"Feature","id":92027,"properties":{"mag":5.82,"bv":"0.041"},"geometry":{"type":"Point","coordinates":[-78.6318,5.5001]}},{"type":"Feature","id":92041,"properties":{"mag":3.17,"bv":"-0.107"},"geometry":{"type":"Point","coordinates":[-78.5859,-26.9908]}},{"type":"Feature","id":92043,"properties":{"mag":4.19,"bv":"0.483"},"geometry":{"type":"Point","coordinates":[-78.5845,20.5463]}},{"type":"Feature","id":92056,"properties":{"mag":5.25,"bv":"0.953"},"geometry":{"type":"Point","coordinates":[-78.5551,74.0856]}},{"type":"Feature","id":92088,"properties":{"mag":4.83,"bv":"1.199"},"geometry":{"type":"Point","coordinates":[-78.4813,26.6621]}},{"type":"Feature","id":92111,"properties":{"mag":5.37,"bv":"1.591"},"geometry":{"type":"Point","coordinates":[-78.4141,-22.3922]}},{"type":"Feature","id":92112,"properties":{"mag":5.37,"bv":"0.049"},"geometry":{"type":"Point","coordinates":[-78.4074,75.434]}},{"type":"Feature","id":92117,"properties":{"mag":5.89,"bv":"0.131"},"geometry":{"type":"Point","coordinates":[-78.3809,-0.9617]}},{"type":"Feature","id":92133,"properties":{"mag":5.91,"bv":"-0.096"},"geometry":{"type":"Point","coordinates":[-78.3205,52.988]}},{"type":"Feature","id":92136,"properties":{"mag":5.69,"bv":"0.584"},"geometry":{"type":"Point","coordinates":[-78.3195,-10.125]}},{"type":"Feature","id":92161,"properties":{"mag":4.34,"bv":"0.148"},"geometry":{"type":"Point","coordinates":[-78.2447,18.1815]}},{"type":"Feature","id":92175,"properties":{"mag":4.22,"bv":"1.087"},"geometry":{"type":"Point","coordinates":[-78.2064,-4.7479]}},{"type":"Feature","id":92202,"properties":{"mag":5.38,"bv":"1.280"},"geometry":{"type":"Point","coordinates":[-78.1294,-5.7051]}},{"type":"Feature","id":92226,"properties":{"mag":5.2,"bv":"0.781"},"geometry":{"type":"Point","coordinates":[-78.0641,-40.4062]}},{"type":"Feature","id":92294,"properties":{"mag":5.71,"bv":"0.268"},"geometry":{"type":"Point","coordinates":[-77.8421,-65.0777]}},{"type":"Feature","id":92308,"properties":{"mag":5.46,"bv":"0.133"},"geometry":{"type":"Point","coordinates":[-77.7896,-43.68]}},{"type":"Feature","id":92312,"properties":{"mag":5.89,"bv":"0.022"},"geometry":{"type":"Point","coordinates":[-77.7776,19.3287]}},{"type":"Feature","id":92367,"properties":{"mag":5.8,"bv":"0.891"},"geometry":{"type":"Point","coordinates":[-77.6361,-45.8101]}},{"type":"Feature","id":92382,"properties":{"mag":5.6,"bv":"-0.077"},"geometry":{"type":"Point","coordinates":[-77.6042,-43.4341]}},{"type":"Feature","id":92390,"properties":{"mag":5.22,"bv":"1.404"},"geometry":{"type":"Point","coordinates":[-77.5829,-20.3247]}},{"type":"Feature","id":92391,"properties":{"mag":5.99,"bv":"1.568"},"geometry":{"type":"Point","coordinates":[-77.5794,-5.9129]}},{"type":"Feature","id":92398,"properties":{"mag":5.93,"bv":"-0.154"},"geometry":{"type":"Point","coordinates":[-77.5587,32.8128]}},{"type":"Feature","id":92405,"properties":{"mag":5.22,"bv":"0.100"},"geometry":{"type":"Point","coordinates":[-77.5295,32.5511]}},{"type":"Feature","id":92420,"properties":{"mag":3.52,"bv":"0.003"},"geometry":{"type":"Point","coordinates":[-77.48,33.3627]}},{"type":"Feature","id":92488,"properties":{"mag":5.82,"bv":"0.594"},"geometry":{"type":"Point","coordinates":[-77.2562,-9.7741]}},{"type":"Feature","id":92512,"properties":{"mag":4.63,"bv":"1.185"},"geometry":{"type":"Point","coordinates":[-77.1996,59.3884]}},{"type":"Feature","id":92549,"properties":{"mag":5.51,"bv":"0.843"},"geometry":{"type":"Point","coordinates":[-77.1044,52.9751]}},{"type":"Feature","id":92609,"properties":{"mag":4.22,"bv":"-0.150"},"geometry":{"type":"Point","coordinates":[-76.9457,-62.1876]}},{"type":"Feature","id":92614,"properties":{"mag":5.43,"bv":"-0.068"},"geometry":{"type":"Point","coordinates":[-76.9315,21.4251]}},{"type":"Feature","id":92630,"properties":{"mag":5.51,"bv":"1.641"},"geometry":{"type":"Point","coordinates":[-76.8865,-46.5951]}},{"type":"Feature","id":92646,"properties":{"mag":5.18,"bv":"0.962"},"geometry":{"type":"Point","coordinates":[-76.8348,-52.1074]}},{"type":"Feature","id":92689,"properties":{"mag":4.92,"bv":"0.903"},"geometry":{"type":"Point","coordinates":[-76.6936,50.7082]}},{"type":"Feature","id":92728,"properties":{"mag":5.58,"bv":"-0.138"},"geometry":{"type":"Point","coordinates":[-76.5685,36.9717]}},{"type":"Feature","id":92747,"properties":{"mag":5.68,"bv":"1.206"},"geometry":{"type":"Point","coordinates":[-76.4996,-21.3598]}},{"type":"Feature","id":92761,"properties":{"mag":4.86,"bv":"1.412"},"geometry":{"type":"Point","coordinates":[-76.4576,-22.7448]}},{"type":"Feature","id":92768,"properties":{"mag":5.64,"bv":"1.361"},"geometry":{"type":"Point","coordinates":[-76.4448,27.9095]}},{"type":"Feature","id":92782,"properties":{"mag":4.82,"bv":"1.151"},"geometry":{"type":"Point","coordinates":[-76.4006,71.2972]}},{"type":"Feature","id":92791,"properties":{"mag":4.22,"bv":"1.575"},"geometry":{"type":"Point","coordinates":[-76.3738,36.8986]}},{"type":"Feature","id":92814,"properties":{"mag":5.08,"bv":"0.141"},"geometry":{"type":"Point","coordinates":[-76.3204,-15.603]}},{"type":"Feature","id":92818,"properties":{"mag":4.57,"bv":"0.782"},"geometry":{"type":"Point","coordinates":[-76.313,22.6451]}},{"type":"Feature","id":92822,"properties":{"mag":5.84,"bv":"0.452"},"geometry":{"type":"Point","coordinates":[-76.3036,48.8594]}},{"type":"Feature","id":92824,"properties":{"mag":5.29,"bv":"1.304"},"geometry":{"type":"Point","coordinates":[-76.3036,-87.6058]}},{"type":"Feature","id":92831,"properties":{"mag":5.46,"bv":"1.034"},"geometry":{"type":"Point","coordinates":[-76.2826,41.6027]}},{"type":"Feature","id":92833,"properties":{"mag":5.99,"bv":"0.922"},"geometry":{"type":"Point","coordinates":[-76.2812,33.9686]}},{"type":"Feature","id":92845,"properties":{"mag":5,"bv":"1.348"},"geometry":{"type":"Point","coordinates":[-76.2202,-22.6713]}},{"type":"Feature","id":92855,"properties":{"mag":2.05,"bv":"-0.134"},"geometry":{"type":"Point","coordinates":[-76.1836,-26.2967]}},{"type":"Feature","id":92862,"properties":{"mag":4.08,"bv":"1.397"},"geometry":{"type":"Point","coordinates":[-76.1662,43.9461]}},{"type":"Feature","id":92872,"properties":{"mag":5.58,"bv":"1.041"},"geometry":{"type":"Point","coordinates":[-76.1356,6.6153]}},{"type":"Feature","id":92882,"properties":{"mag":5.56,"bv":"0.445"},"geometry":{"type":"Point","coordinates":[-76.1208,-16.3766]}},{"type":"Feature","id":92931,"properties":{"mag":5.91,"bv":"-0.021"},"geometry":{"type":"Point","coordinates":[-75.9972,-23.1738]}},{"type":"Feature","id":92937,"properties":{"mag":5.69,"bv":"1.092"},"geometry":{"type":"Point","coordinates":[-75.9745,18.1054]}},{"type":"Feature","id":92946,"properties":{"mag":4.62,"bv":"0.161"},"geometry":{"type":"Point","coordinates":[-75.9451,4.2036]}},{"type":"Feature","id":92951,"properties":{"mag":4.98,"bv":"0.204"},"geometry":{"type":"Point","coordinates":[-75.939,4.2021]}},{"type":"Feature","id":92953,"properties":{"mag":5.35,"bv":"0.998"},"geometry":{"type":"Point","coordinates":[-75.9294,-42.7107]}},{"type":"Feature","id":92969,"properties":{"mag":5.62,"bv":"0.938"},"geometry":{"type":"Point","coordinates":[-75.8928,65.2581]}},{"type":"Feature","id":92989,"properties":{"mag":5.36,"bv":"-0.147"},"geometry":{"type":"Point","coordinates":[-75.8313,-37.3432]}},{"type":"Feature","id":92997,"properties":{"mag":5.67,"bv":"1.155"},"geometry":{"type":"Point","coordinates":[-75.8123,57.8149]}},{"type":"Feature","id":93015,"properties":{"mag":4.4,"bv":"0.530"},"geometry":{"type":"Point","coordinates":[-75.7624,-67.2335]}},{"type":"Feature","id":93017,"properties":{"mag":5.2,"bv":"0.594"},"geometry":{"type":"Point","coordinates":[-75.7433,32.9013]}},{"type":"Feature","id":93026,"properties":{"mag":4.83,"bv":"1.057"},"geometry":{"type":"Point","coordinates":[-75.7347,-5.8463]}},{"type":"Feature","id":93051,"properties":{"mag":5.56,"bv":"0.004"},"geometry":{"type":"Point","coordinates":[-75.6809,2.5353]}},{"type":"Feature","id":93057,"properties":{"mag":5.02,"bv":"0.137"},"geometry":{"type":"Point","coordinates":[-75.6647,-20.6563]}},{"type":"Feature","id":93085,"properties":{"mag":3.52,"bv":"1.151"},"geometry":{"type":"Point","coordinates":[-75.5675,-21.1067]}},{"type":"Feature","id":93104,"properties":{"mag":5.89,"bv":"-0.090"},"geometry":{"type":"Point","coordinates":[-75.4921,38.2662]}},{"type":"Feature","id":93124,"properties":{"mag":5.33,"bv":"0.731"},"geometry":{"type":"Point","coordinates":[-75.4386,17.3609]}},{"type":"Feature","id":93148,"properties":{"mag":4.85,"bv":"-0.051"},"geometry":{"type":"Point","coordinates":[-75.3843,-52.9386]}},{"type":"Feature","id":93163,"properties":{"mag":5.14,"bv":"1.355"},"geometry":{"type":"Point","coordinates":[-75.3481,-60.2005]}},{"type":"Feature","id":93174,"properties":{"mag":4.83,"bv":"0.396"},"geometry":{"type":"Point","coordinates":[-75.3193,-37.1074]}},{"type":"Feature","id":93179,"properties":{"mag":5.91,"bv":"0.251"},"geometry":{"type":"Point","coordinates":[-75.3045,13.9066]}},{"type":"Feature","id":93194,"properties":{"mag":3.25,"bv":"-0.049"},"geometry":{"type":"Point","coordinates":[-75.2641,32.6896]}},{"type":"Feature","id":93203,"properties":{"mag":5.27,"bv":"0.573"},"geometry":{"type":"Point","coordinates":[-75.2261,13.6222]}},{"type":"Feature","id":93225,"properties":{"mag":5.51,"bv":"-0.038"},"geometry":{"type":"Point","coordinates":[-75.1508,-12.8405]}},{"type":"Feature","id":93244,"properties":{"mag":4.02,"bv":"1.082"},"geometry":{"type":"Point","coordinates":[-75.0943,15.0683]}},{"type":"Feature","id":93256,"properties":{"mag":5.26,"bv":"1.228"},"geometry":{"type":"Point","coordinates":[-75.0605,26.2304]}},{"type":"Feature","id":93279,"properties":{"mag":4.94,"bv":"1.465"},"geometry":{"type":"Point","coordinates":[-74.9966,32.1455]}},{"type":"Feature","id":93287,"properties":{"mag":5.98,"bv":"0.977"},"geometry":{"type":"Point","coordinates":[-74.9851,-66.6536]}},{"type":"Feature","id":93299,"properties":{"mag":5.39,"bv":"-0.182"},"geometry":{"type":"Point","coordinates":[-74.943,50.5335]}},{"type":"Feature","id":93340,"properties":{"mag":5.51,"bv":"0.862"},"geometry":{"type":"Point","coordinates":[-74.8189,55.6583]}},{"type":"Feature","id":93393,"properties":{"mag":5.69,"bv":"-0.086"},"geometry":{"type":"Point","coordinates":[-74.6777,26.2914]}},{"type":"Feature","id":93408,"properties":{"mag":5,"bv":"0.186"},"geometry":{"type":"Point","coordinates":[-74.6401,46.9348]}},{"type":"Feature","id":93429,"properties":{"mag":4.02,"bv":"1.079"},"geometry":{"type":"Point","coordinates":[-74.5799,-5.7391]}},{"type":"Feature","id":93498,"properties":{"mag":5.63,"bv":"1.232"},"geometry":{"type":"Point","coordinates":[-74.3847,-24.8468]}},{"type":"Feature","id":93506,"properties":{"mag":2.6,"bv":"0.062"},"geometry":{"type":"Point","coordinates":[-74.347,-29.8801]}},{"type":"Feature","id":93526,"properties":{"mag":5.4,"bv":"-0.005"},"geometry":{"type":"Point","coordinates":[-74.2729,-3.699]}},{"type":"Feature","id":93537,"properties":{"mag":5.96,"bv":"1.158"},"geometry":{"type":"Point","coordinates":[-74.2341,-19.2457]}},{"type":"Feature","id":93542,"properties":{"mag":4.74,"bv":"-0.027"},"geometry":{"type":"Point","coordinates":[-74.2213,-42.0951]}},{"type":"Feature","id":93552,"properties":{"mag":5.73,"bv":"0.328"},"geometry":{"type":"Point","coordinates":[-74.1763,-38.2531]}},{"type":"Feature","id":93574,"properties":{"mag":5.89,"bv":"0.553"},"geometry":{"type":"Point","coordinates":[-74.1265,-68.7555]}},{"type":"Feature","id":93580,"properties":{"mag":5.82,"bv":"0.182"},"geometry":{"type":"Point","coordinates":[-74.1156,1.8188]}},{"type":"Feature","id":93624,"properties":{"mag":5.93,"bv":"1.236"},"geometry":{"type":"Point","coordinates":[-74.0102,-51.0186]}},{"type":"Feature","id":93667,"properties":{"mag":5.49,"bv":"0.026"},"geometry":{"type":"Point","coordinates":[-73.8956,-31.0471]}},{"type":"Feature","id":93683,"properties":{"mag":3.76,"bv":"1.012"},"geometry":{"type":"Point","coordinates":[-73.8292,-21.7415]}},{"type":"Feature","id":93713,"properties":{"mag":5.4,"bv":"-0.014"},"geometry":{"type":"Point","coordinates":[-73.7701,53.3967]}},{"type":"Feature","id":93717,"properties":{"mag":5.4,"bv":"1.120"},"geometry":{"type":"Point","coordinates":[-73.7597,-4.0314]}},{"type":"Feature","id":93718,"properties":{"mag":5.63,"bv":"1.548"},"geometry":{"type":"Point","coordinates":[-73.7589,31.7441]}},{"type":"Feature","id":93747,"properties":{"mag":2.99,"bv":"0.014"},"geometry":{"type":"Point","coordinates":[-73.6475,13.8635]}},{"type":"Feature","id":93763,"properties":{"mag":5.93,"bv":"-0.015"},"geometry":{"type":"Point","coordinates":[-73.5784,-15.6604]}},{"type":"Feature","id":93805,"properties":{"mag":3.43,"bv":"-0.096"},"geometry":{"type":"Point","coordinates":[-73.4378,-4.8826]}},{"type":"Feature","id":93815,"properties":{"mag":5.17,"bv":"0.532"},"geometry":{"type":"Point","coordinates":[-73.4169,-52.3409]}},{"type":"Feature","id":93825,"properties":{"mag":4.23,"bv":"0.523"},"geometry":{"type":"Point","coordinates":[-73.3954,-37.0634]}},{"type":"Feature","id":93843,"properties":{"mag":5.53,"bv":"0.296"},"geometry":{"type":"Point","coordinates":[-73.3428,28.6286]}},{"type":"Feature","id":93845,"properties":{"mag":5.78,"bv":"0.104"},"geometry":{"type":"Point","coordinates":[-73.34,24.2508]}},{"type":"Feature","id":93855,"properties":{"mag":6,"bv":"-0.025"},"geometry":{"type":"Point","coordinates":[-73.2828,-16.2293]}},{"type":"Feature","id":93862,"properties":{"mag":5.95,"bv":"-0.017"},"geometry":{"type":"Point","coordinates":[-73.2683,-48.2991]}},{"type":"Feature","id":93864,"properties":{"mag":3.32,"bv":"1.169"},"geometry":{"type":"Point","coordinates":[-73.265,-27.6704]}},{"type":"Feature","id":93867,"properties":{"mag":5.07,"bv":"-0.055"},"geometry":{"type":"Point","coordinates":[-73.2558,11.0712]}},{"type":"Feature","id":93903,"properties":{"mag":5.25,"bv":"-0.109"},"geometry":{"type":"Point","coordinates":[-73.1745,36.1002]}},{"type":"Feature","id":93917,"properties":{"mag":5.2,"bv":"0.367"},"geometry":{"type":"Point","coordinates":[-73.1434,32.5017]}},{"type":"Feature","id":93996,"properties":{"mag":5.56,"bv":"-0.087"},"geometry":{"type":"Point","coordinates":[-72.9304,-19.2903]}},{"type":"Feature","id":94005,"properties":{"mag":4.57,"bv":"1.070"},"geometry":{"type":"Point","coordinates":[-72.9126,-40.4967]}},{"type":"Feature","id":94013,"properties":{"mag":5.88,"bv":"1.086"},"geometry":{"type":"Point","coordinates":[-72.8925,52.4257]}},{"type":"Feature","id":94068,"properties":{"mag":5.23,"bv":"0.346"},"geometry":{"type":"Point","coordinates":[-72.7504,6.0732]}},{"type":"Feature","id":94083,"properties":{"mag":5.11,"bv":"0.308"},"geometry":{"type":"Point","coordinates":[-72.7088,76.5605]}},{"type":"Feature","id":94114,"properties":{"mag":4.11,"bv":"0.042"},"geometry":{"type":"Point","coordinates":[-72.6319,-37.9045]}},{"type":"Feature","id":94141,"properties":{"mag":2.88,"bv":"0.377"},"geometry":{"type":"Point","coordinates":[-72.559,-21.0236]}},{"type":"Feature","id":94150,"properties":{"mag":5.31,"bv":"0.901"},"geometry":{"type":"Point","coordinates":[-72.5297,-68.4244]}},{"type":"Feature","id":94157,"properties":{"mag":5.86,"bv":"-0.080"},"geometry":{"type":"Point","coordinates":[-72.5098,-41.8923]}},{"type":"Feature","id":94160,"properties":{"mag":4.1,"bv":"1.163"},"geometry":{"type":"Point","coordinates":[-72.4927,-39.3408]}},{"type":"Feature","id":94302,"properties":{"mag":5.13,"bv":"1.008"},"geometry":{"type":"Point","coordinates":[-72.0809,56.8592]}},{"type":"Feature","id":94311,"properties":{"mag":5.93,"bv":"-0.062"},"geometry":{"type":"Point","coordinates":[-72.0583,31.2835]}},{"type":"Feature","id":94336,"properties":{"mag":5.85,"bv":"0.666"},"geometry":{"type":"Point","coordinates":[-71.979,49.8558]}},{"type":"Feature","id":94376,"properties":{"mag":3.07,"bv":"0.990"},"geometry":{"type":"Point","coordinates":[-71.8612,67.6615]}},{"type":"Feature","id":94385,"properties":{"mag":5.35,"bv":"0.094"},"geometry":{"type":"Point","coordinates":[-71.8304,-7.9395]}},{"type":"Feature","id":94434,"properties":{"mag":5.79,"bv":"1.387"},"geometry":{"type":"Point","coordinates":[-71.693,-25.9068]}},{"type":"Feature","id":94437,"properties":{"mag":5.51,"bv":"1.442"},"geometry":{"type":"Point","coordinates":[-71.6853,-12.2826]}},{"type":"Feature","id":94477,"properties":{"mag":5.14,"bv":"-0.071"},"geometry":{"type":"Point","coordinates":[-71.5721,2.2937]}},{"type":"Feature","id":94481,"properties":{"mag":4.43,"bv":"-0.150"},"geometry":{"type":"Point","coordinates":[-71.5605,39.146]}},{"type":"Feature","id":94490,"properties":{"mag":5,"bv":"1.156"},"geometry":{"type":"Point","coordinates":[-71.5202,57.7051]}},{"type":"Feature","id":94556,"properties":{"mag":5.91,"bv":"0.902"},"geometry":{"type":"Point","coordinates":[-71.3352,-45.1935]}},{"type":"Feature","id":94620,"properties":{"mag":5.65,"bv":"0.121"},"geometry":{"type":"Point","coordinates":[-71.1777,21.2321]}},{"type":"Feature","id":94624,"properties":{"mag":5.58,"bv":"1.067"},"geometry":{"type":"Point","coordinates":[-71.1663,15.0837]}},{"type":"Feature","id":94630,"properties":{"mag":5.88,"bv":"1.665"},"geometry":{"type":"Point","coordinates":[-71.1464,30.5264]}},{"type":"Feature","id":94643,"properties":{"mag":4.86,"bv":"0.569"},"geometry":{"type":"Point","coordinates":[-71.1149,-25.2567]}},{"type":"Feature","id":94648,"properties":{"mag":4.45,"bv":"1.257"},"geometry":{"type":"Point","coordinates":[-71.1123,73.3555]}},{"type":"Feature","id":94703,"properties":{"mag":4.76,"bv":"-0.058"},"geometry":{"type":"Point","coordinates":[-70.9457,21.3904]}},{"type":"Feature","id":94712,"properties":{"mag":5.38,"bv":"1.349"},"geometry":{"type":"Point","coordinates":[-70.9094,-45.466]}},{"type":"Feature","id":94713,"properties":{"mag":4.35,"bv":"1.258"},"geometry":{"type":"Point","coordinates":[-70.9079,38.1337]}},{"type":"Feature","id":94720,"properties":{"mag":5.65,"bv":"-0.020"},"geometry":{"type":"Point","coordinates":[-70.8884,14.5446]}},{"type":"Feature","id":94727,"properties":{"mag":5.59,"bv":"0.101"},"geometry":{"type":"Point","coordinates":[-70.8707,4.8348]}},{"type":"Feature","id":94779,"properties":{"mag":3.8,"bv":"0.950"},"geometry":{"type":"Point","coordinates":[-70.7243,53.3685]}},{"type":"Feature","id":94789,"properties":{"mag":5.52,"bv":"0.170"},"geometry":{"type":"Point","coordinates":[-70.699,-66.661]}},{"type":"Feature","id":94820,"properties":{"mag":4.88,"bv":"1.013"},"geometry":{"type":"Point","coordinates":[-70.5913,-18.9529]}},{"type":"Feature","id":94827,"properties":{"mag":5.46,"bv":"0.020"},"geometry":{"type":"Point","coordinates":[-70.5682,23.0255]}},{"type":"Feature","id":94834,"properties":{"mag":5.28,"bv":"0.196"},"geometry":{"type":"Point","coordinates":[-70.5458,11.5954]}},{"type":"Feature","id":94885,"properties":{"mag":5.1,"bv":"1.143"},"geometry":{"type":"Point","coordinates":[-70.3646,1.0851]}},{"type":"Feature","id":94982,"properties":{"mag":5.53,"bv":"0.265"},"geometry":{"type":"Point","coordinates":[-70.086,12.3747]}},{"type":"Feature","id":94986,"properties":{"mag":5.59,"bv":"-0.122"},"geometry":{"type":"Point","coordinates":[-70.0834,-35.4215]}},{"type":"Feature","id":95038,"properties":{"mag":5.91,"bv":"1.626"},"geometry":{"type":"Point","coordinates":[-69.9332,57.6451]}},{"type":"Feature","id":95066,"properties":{"mag":4.98,"bv":"0.937"},"geometry":{"type":"Point","coordinates":[-69.8629,-5.4158]}},{"type":"Feature","id":95073,"properties":{"mag":5.46,"bv":"-0.041"},"geometry":{"type":"Point","coordinates":[-69.8513,-0.8922]}},{"type":"Feature","id":95077,"properties":{"mag":5.59,"bv":"0.276"},"geometry":{"type":"Point","coordinates":[-69.841,-22.4025]}},{"type":"Feature","id":95081,"properties":{"mag":4.6,"bv":"0.033"},"geometry":{"type":"Point","coordinates":[-69.833,65.7145]}},{"type":"Feature","id":95168,"properties":{"mag":3.92,"bv":"0.228"},"geometry":{"type":"Point","coordinates":[-69.5818,-17.8472]}},{"type":"Feature","id":95176,"properties":{"mag":4.52,"bv":"0.079"},"geometry":{"type":"Point","coordinates":[-69.5682,-15.955]}},{"type":"Feature","id":95188,"properties":{"mag":5.84,"bv":"1.062"},"geometry":{"type":"Point","coordinates":[-69.5379,-18.3084]}},{"type":"Feature","id":95222,"properties":{"mag":5.81,"bv":"1.093"},"geometry":{"type":"Point","coordinates":[-69.4102,-0.2523]}},{"type":"Feature","id":95241,"properties":{"mag":3.96,"bv":"-0.085"},"geometry":{"type":"Point","coordinates":[-69.3404,-44.459]}},{"type":"Feature","id":95260,"properties":{"mag":5.22,"bv":"-0.119"},"geometry":{"type":"Point","coordinates":[-69.288,26.2624]}},{"type":"Feature","id":95261,"properties":{"mag":5.03,"bv":"0.020"},"geometry":{"type":"Point","coordinates":[-69.2866,-54.4239]}},{"type":"Feature","id":95294,"properties":{"mag":4.27,"bv":"0.350"},"geometry":{"type":"Point","coordinates":[-69.1953,-44.7998]}},{"type":"Feature","id":95347,"properties":{"mag":3.96,"bv":"-0.105"},"geometry":{"type":"Point","coordinates":[-69.0284,-40.6159]}},{"type":"Feature","id":95352,"properties":{"mag":5.85,"bv":"0.924"},"geometry":{"type":"Point","coordinates":[-69.0146,43.3882]}},{"type":"Feature","id":95372,"properties":{"mag":4.99,"bv":"-0.120"},"geometry":{"type":"Point","coordinates":[-68.9684,29.6213]}},{"type":"Feature","id":95447,"properties":{"mag":5.17,"bv":"0.761"},"geometry":{"type":"Point","coordinates":[-68.7575,11.9444]}},{"type":"Feature","id":95456,"properties":{"mag":5.91,"bv":"1.278"},"geometry":{"type":"Point","coordinates":[-68.7332,-29.3094]}},{"type":"Feature","id":95477,"properties":{"mag":5.02,"bv":"0.235"},"geometry":{"type":"Point","coordinates":[-68.6813,-24.5086]}},{"type":"Feature","id":95485,"properties":{"mag":5.72,"bv":"1.372"},"geometry":{"type":"Point","coordinates":[-68.66,-13.8971]}},{"type":"Feature","id":95498,"properties":{"mag":5.14,"bv":"0.999"},"geometry":{"type":"Point","coordinates":[-68.6308,19.7984]}},{"type":"Feature","id":95501,"properties":{"mag":3.36,"bv":"0.319"},"geometry":{"type":"Point","coordinates":[-68.6254,3.1148]}},{"type":"Feature","id":95503,"properties":{"mag":5.45,"bv":"1.442"},"geometry":{"type":"Point","coordinates":[-68.6264,-23.9625]}},{"type":"Feature","id":95556,"properties":{"mag":5.17,"bv":"-0.120"},"geometry":{"type":"Point","coordinates":[-68.462,36.3179]}},{"type":"Feature","id":95557,"properties":{"mag":5.71,"bv":"0.007"},"geometry":{"type":"Point","coordinates":[-68.454,-15.0533]}},{"type":"Feature","id":95560,"properties":{"mag":5.6,"bv":"-0.006"},"geometry":{"type":"Point","coordinates":[-68.4448,20.0977]}},{"type":"Feature","id":95564,"properties":{"mag":5.57,"bv":"1.228"},"geometry":{"type":"Point","coordinates":[-68.4202,-21.7767]}},{"type":"Feature","id":95572,"properties":{"mag":5.76,"bv":"0.456"},"geometry":{"type":"Point","coordinates":[-68.3994,13.0238]}},{"type":"Feature","id":95582,"properties":{"mag":5.84,"bv":"1.558"},"geometry":{"type":"Point","coordinates":[-68.3805,19.8915]}},{"type":"Feature","id":95585,"properties":{"mag":4.64,"bv":"0.576"},"geometry":{"type":"Point","coordinates":[-68.3705,0.3386]}},{"type":"Feature","id":95619,"properties":{"mag":5.66,"bv":"-0.014"},"geometry":{"type":"Point","coordinates":[-68.2647,-29.7432]}},{"type":"Feature","id":95656,"properties":{"mag":5.73,"bv":"-0.002"},"geometry":{"type":"Point","coordinates":[-68.1418,52.3204]}},{"type":"Feature","id":95690,"properties":{"mag":5.7,"bv":"1.406"},"geometry":{"type":"Point","coordinates":[-68.0495,-54.3253]}},{"type":"Feature","id":95732,"properties":{"mag":5.84,"bv":"-0.003"},"geometry":{"type":"Point","coordinates":[-67.9133,2.93]}},{"type":"Feature","id":95771,"properties":{"mag":4.44,"bv":"1.502"},"geometry":{"type":"Point","coordinates":[-67.8236,24.6649]}},{"type":"Feature","id":95785,"properties":{"mag":5.82,"bv":"1.023"},"geometry":{"type":"Point","coordinates":[-67.7622,24.7687]}},{"type":"Feature","id":95793,"properties":{"mag":5.79,"bv":"0.088"},"geometry":{"type":"Point","coordinates":[-67.7459,1.9504]}},{"type":"Feature","id":95822,"properties":{"mag":5.57,"bv":"1.050"},"geometry":{"type":"Point","coordinates":[-67.6577,14.596]}},{"type":"Feature","id":95823,"properties":{"mag":5.7,"bv":"0.214"},"geometry":{"type":"Point","coordinates":[-67.6506,-43.4452]}},{"type":"Feature","id":95853,"properties":{"mag":3.76,"bv":"0.148"},"geometry":{"type":"Point","coordinates":[-67.5735,51.7298]}},{"type":"Feature","id":95865,"properties":{"mag":5.46,"bv":"1.120"},"geometry":{"type":"Point","coordinates":[-67.5326,-26.9856]}},{"type":"Feature","id":95937,"properties":{"mag":5.03,"bv":"1.770"},"geometry":{"type":"Point","coordinates":[-67.334,-2.7889]}},{"type":"Feature","id":95947,"properties":{"mag":3.05,"bv":"1.088"},"geometry":{"type":"Point","coordinates":[-67.3197,27.9597]}},{"type":"Feature","id":95951,"properties":{"mag":5.12,"bv":"-0.095"},"geometry":{"type":"Point","coordinates":[-67.3109,27.9653]}},{"type":"Feature","id":95999,"properties":{"mag":5.98,"bv":"1.638"},"geometry":{"type":"Point","coordinates":[-67.2043,-68.4339]}},{"type":"Feature","id":96014,"properties":{"mag":5.55,"bv":"1.274"},"geometry":{"type":"Point","coordinates":[-67.1695,50.3067]}},{"type":"Feature","id":96016,"properties":{"mag":5.89,"bv":"0.915"},"geometry":{"type":"Point","coordinates":[-67.1599,26.6172]}},{"type":"Feature","id":96052,"properties":{"mag":4.74,"bv":"-0.150"},"geometry":{"type":"Point","coordinates":[-67.057,34.453]}},{"type":"Feature","id":96100,"properties":{"mag":4.67,"bv":"0.786"},"geometry":{"type":"Point","coordinates":[-66.91,69.6612]}},{"type":"Feature","id":96141,"properties":{"mag":5.76,"bv":"0.300"},"geometry":{"type":"Point","coordinates":[-66.7757,-53.1856]}},{"type":"Feature","id":96178,"properties":{"mag":5.59,"bv":"-0.020"},"geometry":{"type":"Point","coordinates":[-66.6599,-45.2717]}},{"type":"Feature","id":96198,"properties":{"mag":6,"bv":"1.545"},"geometry":{"type":"Point","coordinates":[-66.5766,49.2623]}},{"type":"Feature","id":96229,"properties":{"mag":4.45,"bv":"1.176"},"geometry":{"type":"Point","coordinates":[-66.4777,7.3789]}},{"type":"Feature","id":96234,"properties":{"mag":5.89,"bv":"0.105"},"geometry":{"type":"Point","coordinates":[-66.4646,-40.0346]}},{"type":"Feature","id":96258,"properties":{"mag":5.71,"bv":"0.475"},"geometry":{"type":"Point","coordinates":[-66.4175,51.2366]}},{"type":"Feature","id":96275,"properties":{"mag":5,"bv":"-0.093"},"geometry":{"type":"Point","coordinates":[-66.3546,19.7734]}},{"type":"Feature","id":96288,"properties":{"mag":5.34,"bv":"0.060"},"geometry":{"type":"Point","coordinates":[-66.3281,42.4125]}},{"type":"Feature","id":96302,"properties":{"mag":5.39,"bv":"0.581"},"geometry":{"type":"Point","coordinates":[-66.2878,29.463]}},{"type":"Feature","id":96327,"properties":{"mag":5.12,"bv":"1.122"},"geometry":{"type":"Point","coordinates":[-66.2198,-10.5604]}},{"type":"Feature","id":96341,"properties":{"mag":4.88,"bv":"1.096"},"geometry":{"type":"Point","coordinates":[-66.1959,-48.0992]}},{"type":"Feature","id":96406,"properties":{"mag":5.64,"bv":"0.185"},"geometry":{"type":"Point","coordinates":[-65.9931,-24.7191]}},{"type":"Feature","id":96441,"properties":{"mag":4.49,"bv":"0.395"},"geometry":{"type":"Point","coordinates":[-65.8894,50.2211]}},{"type":"Feature","id":96459,"properties":{"mag":5.17,"bv":"0.928"},"geometry":{"type":"Point","coordinates":[-65.8418,44.6949]}},{"type":"Feature","id":96465,"properties":{"mag":4.59,"bv":"-0.075"},"geometry":{"type":"Point","coordinates":[-65.8232,-24.8836]}},{"type":"Feature","id":96468,"properties":{"mag":4.36,"bv":"-0.079"},"geometry":{"type":"Point","coordinates":[-65.8197,-1.2866]}},{"type":"Feature","id":96481,"properties":{"mag":5.98,"bv":"0.881"},"geometry":{"type":"Point","coordinates":[-65.7814,11.2732]}},{"type":"Feature","id":96483,"properties":{"mag":4.93,"bv":"-0.046"},"geometry":{"type":"Point","coordinates":[-65.7773,-7.0275]}},{"type":"Feature","id":96496,"properties":{"mag":5.66,"bv":"1.237"},"geometry":{"type":"Point","coordinates":[-65.7361,-18.2311]}},{"type":"Feature","id":96516,"properties":{"mag":5.67,"bv":"1.007"},"geometry":{"type":"Point","coordinates":[-65.6775,16.4628]}},{"type":"Feature","id":96536,"properties":{"mag":5.46,"bv":"0.501"},"geometry":{"type":"Point","coordinates":[-65.6066,-14.3018]}},{"type":"Feature","id":96556,"properties":{"mag":5.45,"bv":"0.429"},"geometry":{"type":"Point","coordinates":[-65.5528,-4.6476]}},{"type":"Feature","id":96620,"properties":{"mag":5.89,"bv":"0.482"},"geometry":{"type":"Point","coordinates":[-65.3284,54.9738]}},{"type":"Feature","id":96665,"properties":{"mag":5.18,"bv":"-0.001"},"geometry":{"type":"Point","coordinates":[-65.2015,5.3978]}},{"type":"Feature","id":96683,"properties":{"mag":4.68,"bv":"0.971"},"geometry":{"type":"Point","coordinates":[-65.1558,30.1533]}},{"type":"Feature","id":96693,"properties":{"mag":5.41,"bv":"-0.063"},"geometry":{"type":"Point","coordinates":[-65.1396,42.8183]}},{"type":"Feature","id":96757,"properties":{"mag":4.39,"bv":"0.777"},"geometry":{"type":"Point","coordinates":[-64.9759,18.0139]}},{"type":"Feature","id":96760,"properties":{"mag":5.97,"bv":"1.038"},"geometry":{"type":"Point","coordinates":[-64.9701,-23.4291]}},{"type":"Feature","id":96807,"properties":{"mag":5.64,"bv":"0.123"},"geometry":{"type":"Point","coordinates":[-64.8195,-0.6212]}},{"type":"Feature","id":96808,"properties":{"mag":5.3,"bv":"1.109"},"geometry":{"type":"Point","coordinates":[-64.8192,-16.2933]}},{"type":"Feature","id":96825,"properties":{"mag":5.06,"bv":"0.426"},"geometry":{"type":"Point","coordinates":[-64.7909,45.5249]}},{"type":"Feature","id":96837,"properties":{"mag":4.39,"bv":"1.041"},"geometry":{"type":"Point","coordinates":[-64.7378,17.476]}},{"type":"Feature","id":96840,"properties":{"mag":5.98,"bv":"-0.078"},"geometry":{"type":"Point","coordinates":[-64.727,13.8157]}},{"type":"Feature","id":96895,"properties":{"mag":5.99,"bv":"0.643"},"geometry":{"type":"Point","coordinates":[-64.546,50.5251]}},{"type":"Feature","id":96950,"properties":{"mag":5.06,"bv":"0.319"},"geometry":{"type":"Point","coordinates":[-64.3703,-16.124]}},{"type":"Feature","id":96957,"properties":{"mag":5.28,"bv":"0.575"},"geometry":{"type":"Point","coordinates":[-64.3583,11.8266]}},{"type":"Feature","id":96977,"properties":{"mag":5.93,"bv":"0.118"},"geometry":{"type":"Point","coordinates":[-64.3141,32.4267]}},{"type":"Feature","id":97063,"properties":{"mag":5.49,"bv":"0.460"},"geometry":{"type":"Point","coordinates":[-64.1103,-15.4701]}},{"type":"Feature","id":97077,"properties":{"mag":5.5,"bv":"0.939"},"geometry":{"type":"Point","coordinates":[-64.0711,25.7719]}},{"type":"Feature","id":97081,"properties":{"mag":5.86,"bv":"1.598"},"geometry":{"type":"Point","coordinates":[-64.0621,41.7731]}},{"type":"Feature","id":97118,"properties":{"mag":4.89,"bv":"0.948"},"geometry":{"type":"Point","coordinates":[-63.9308,37.3544]}},{"type":"Feature","id":97122,"properties":{"mag":5.9,"bv":"0.072"},"geometry":{"type":"Point","coordinates":[-63.9233,69.3371]}},{"type":"Feature","id":97165,"properties":{"mag":2.86,"bv":"-0.002"},"geometry":{"type":"Point","coordinates":[-63.7563,45.1308]}},{"type":"Feature","id":97229,"properties":{"mag":5.89,"bv":"0.180"},"geometry":{"type":"Point","coordinates":[-63.5836,7.6132]}},{"type":"Feature","id":97260,"properties":{"mag":5.51,"bv":"0.024"},"geometry":{"type":"Point","coordinates":[-63.4949,-31.9086]}},{"type":"Feature","id":97278,"properties":{"mag":2.72,"bv":"1.507"},"geometry":{"type":"Point","coordinates":[-63.4351,10.6133]}},{"type":"Feature","id":97290,"properties":{"mag":4.87,"bv":"1.061"},"geometry":{"type":"Point","coordinates":[-63.4094,-19.7611]}},{"type":"Feature","id":97295,"properties":{"mag":5,"bv":"0.476"},"geometry":{"type":"Point","coordinates":[-63.3933,33.7276]}},{"type":"Feature","id":97365,"properties":{"mag":3.68,"bv":"1.313"},"geometry":{"type":"Point","coordinates":[-63.1531,18.5343]}},{"type":"Feature","id":97376,"properties":{"mag":5.83,"bv":"-0.087"},"geometry":{"type":"Point","coordinates":[-63.1343,38.4076]}},{"type":"Feature","id":97402,"properties":{"mag":6,"bv":"0.993"},"geometry":{"type":"Point","coordinates":[-63.0477,25.3841]}},{"type":"Feature","id":97421,"properties":{"mag":5.33,"bv":"0.196"},"geometry":{"type":"Point","coordinates":[-62.995,-56.3626]}},{"type":"Feature","id":97433,"properties":{"mag":3.84,"bv":"0.888"},"geometry":{"type":"Point","coordinates":[-62.9569,70.2679]}},{"type":"Feature","id":97473,"properties":{"mag":5.75,"bv":"0.546"},"geometry":{"type":"Point","coordinates":[-62.8248,11.8159]}},{"type":"Feature","id":97496,"properties":{"mag":5.01,"bv":"0.095"},"geometry":{"type":"Point","coordinates":[-62.7556,19.142]}},{"type":"Feature","id":97499,"properties":{"mag":6,"bv":"1.233"},"geometry":{"type":"Point","coordinates":[-62.7408,-10.8708]}},{"type":"Feature","id":97534,"properties":{"mag":5.39,"bv":"0.234"},"geometry":{"type":"Point","coordinates":[-62.6446,-72.5034]}},{"type":"Feature","id":97598,"properties":{"mag":5.91,"bv":"1.678"},"geometry":{"type":"Point","coordinates":[-62.4414,-47.5574]}},{"type":"Feature","id":97630,"properties":{"mag":5.18,"bv":"1.665"},"geometry":{"type":"Point","coordinates":[-62.3584,38.7224]}},{"type":"Feature","id":97634,"properties":{"mag":5.68,"bv":"-0.058"},"geometry":{"type":"Point","coordinates":[-62.3445,40.5998]}},{"type":"Feature","id":97635,"properties":{"mag":5.03,"bv":"1.286"},"geometry":{"type":"Point","coordinates":[-62.3428,52.988]}},{"type":"Feature","id":97646,"properties":{"mag":5.41,"bv":"0.082"},"geometry":{"type":"Point","coordinates":[-62.3133,-59.1937]}},{"type":"Feature","id":97649,"properties":{"mag":0.76,"bv":"0.221"},"geometry":{"type":"Point","coordinates":[-62.3042,8.8683]}},{"type":"Feature","id":97650,"properties":{"mag":5.38,"bv":"0.402"},"geometry":{"type":"Point","coordinates":[-62.3051,-10.7635]}},{"type":"Feature","id":97675,"properties":{"mag":5.12,"bv":"0.563"},"geometry":{"type":"Point","coordinates":[-62.2432,10.4157]}},{"type":"Feature","id":97679,"properties":{"mag":4.9,"bv":"-0.153"},"geometry":{"type":"Point","coordinates":[-62.2329,22.61]}},{"type":"Feature","id":97749,"properties":{"mag":5.32,"bv":"-0.045"},"geometry":{"type":"Point","coordinates":[-62.0391,-39.8744]}},{"type":"Feature","id":97757,"properties":{"mag":5.6,"bv":"-0.078"},"geometry":{"type":"Point","coordinates":[-62.0039,47.0273]}},{"type":"Feature","id":97765,"properties":{"mag":5.54,"bv":"0.680"},"geometry":{"type":"Point","coordinates":[-61.9934,24.9922]}},{"type":"Feature","id":97774,"properties":{"mag":5.91,"bv":"-0.174"},"geometry":{"type":"Point","coordinates":[-61.9701,47.9318]}},{"type":"Feature","id":97783,"properties":{"mag":5.88,"bv":"0.979"},"geometry":{"type":"Point","coordinates":[-61.95,-19.045]}},{"type":"Feature","id":97804,"properties":{"mag":3.87,"bv":"0.630"},"geometry":{"type":"Point","coordinates":[-61.8818,1.0057]}},{"type":"Feature","id":97816,"properties":{"mag":5.76,"bv":"0.915"},"geometry":{"type":"Point","coordinates":[-61.8428,-54.971]}},{"type":"Feature","id":97870,"properties":{"mag":5.14,"bv":"-0.125"},"geometry":{"type":"Point","coordinates":[-61.6776,57.5235]}},{"type":"Feature","id":97871,"properties":{"mag":5.63,"bv":"0.231"},"geometry":{"type":"Point","coordinates":[-61.6719,-3.1145]}},{"type":"Feature","id":97886,"properties":{"mag":4.57,"bv":"-0.047"},"geometry":{"type":"Point","coordinates":[-61.6346,24.0796]}},{"type":"Feature","id":97928,"properties":{"mag":5.76,"bv":"1.664"},"geometry":{"type":"Point","coordinates":[-61.4655,-8.5742]}},{"type":"Feature","id":97938,"properties":{"mag":4.71,"bv":"1.023"},"geometry":{"type":"Point","coordinates":[-61.438,8.4615]}},{"type":"Feature","id":97961,"properties":{"mag":5.56,"bv":"-0.018"},"geometry":{"type":"Point","coordinates":[-61.3705,24.3194]}},{"type":"Feature","id":97966,"properties":{"mag":5.7,"bv":"-0.079"},"geometry":{"type":"Point","coordinates":[-61.3431,-8.2273]}},{"type":"Feature","id":97980,"properties":{"mag":5.6,"bv":"0.098"},"geometry":{"type":"Point","coordinates":[-61.3133,0.2736]}},{"type":"Feature","id":97985,"properties":{"mag":5.79,"bv":"0.773"},"geometry":{"type":"Point","coordinates":[-61.299,36.9957]}},{"type":"Feature","id":98032,"properties":{"mag":4.12,"bv":"1.063"},"geometry":{"type":"Point","coordinates":[-61.1846,-41.8683]}},{"type":"Feature","id":98036,"properties":{"mag":3.71,"bv":"0.855"},"geometry":{"type":"Point","coordinates":[-61.1717,6.4068]}},{"type":"Feature","id":98055,"properties":{"mag":4.91,"bv":"0.124"},"geometry":{"type":"Point","coordinates":[-61.0926,52.4389]}},{"type":"Feature","id":98066,"properties":{"mag":4.7,"bv":"0.748"},"geometry":{"type":"Point","coordinates":[-61.0402,-26.2995]}},{"type":"Feature","id":98068,"properties":{"mag":4.95,"bv":"-0.086"},"geometry":{"type":"Point","coordinates":[-61.0343,38.4867]}},{"type":"Feature","id":98073,"properties":{"mag":4.98,"bv":"1.584"},"geometry":{"type":"Point","coordinates":[-61.0193,58.846]}},{"type":"Feature","id":98085,"properties":{"mag":5.71,"bv":"0.903"},"geometry":{"type":"Point","coordinates":[-60.9947,16.6348]}},{"type":"Feature","id":98103,"properties":{"mag":5.28,"bv":"0.014"},"geometry":{"type":"Point","coordinates":[-60.9406,11.4237]}},{"type":"Feature","id":98110,"properties":{"mag":3.89,"bv":"1.019"},"geometry":{"type":"Point","coordinates":[-60.9235,35.0834]}},{"type":"Feature","id":98162,"properties":{"mag":4.54,"bv":"1.462"},"geometry":{"type":"Point","coordinates":[-60.7632,-27.1699]}},{"type":"Feature","id":98174,"properties":{"mag":5.24,"bv":"0.014"},"geometry":{"type":"Point","coordinates":[-60.7237,-58.9014]}},{"type":"Feature","id":98194,"properties":{"mag":5.46,"bv":"-0.090"},"geometry":{"type":"Point","coordinates":[-60.6922,40.3678]}},{"type":"Feature","id":98234,"properties":{"mag":5.54,"bv":"-0.048"},"geometry":{"type":"Point","coordinates":[-60.5606,16.7892]}},{"type":"Feature","id":98258,"properties":{"mag":5.01,"bv":"0.055"},"geometry":{"type":"Point","coordinates":[-60.5124,-15.4915]}},{"type":"Feature","id":98325,"properties":{"mag":5.51,"bv":"-0.060"},"geometry":{"type":"Point","coordinates":[-60.3417,30.9837]}},{"type":"Feature","id":98332,"properties":{"mag":5.74,"bv":"0.224"},"geometry":{"type":"Point","coordinates":[-60.328,-69.164]}},{"type":"Feature","id":98337,"properties":{"mag":3.51,"bv":"1.571"},"geometry":{"type":"Point","coordinates":[-60.3107,19.4921]}},{"type":"Feature","id":98353,"properties":{"mag":4.84,"bv":"0.882"},"geometry":{"type":"Point","coordinates":[-60.2617,-26.1958]}},{"type":"Feature","id":98375,"properties":{"mag":5.68,"bv":"0.345"},"geometry":{"type":"Point","coordinates":[-60.2061,23.1013]}},{"type":"Feature","id":98383,"properties":{"mag":5.92,"bv":"0.185"},"geometry":{"type":"Point","coordinates":[-60.1649,45.7725]}},{"type":"Feature","id":98412,"properties":{"mag":4.37,"bv":"-0.150"},"geometry":{"type":"Point","coordinates":[-60.0659,-35.2763]}},{"type":"Feature","id":98416,"properties":{"mag":5.87,"bv":"0.598"},"geometry":{"type":"Point","coordinates":[-60.0527,-9.9582]}},{"type":"Feature","id":98421,"properties":{"mag":5.3,"bv":"0.170"},"geometry":{"type":"Point","coordinates":[-60.036,-34.6978]}},{"type":"Feature","id":98425,"properties":{"mag":5.15,"bv":"-0.133"},"geometry":{"type":"Point","coordinates":[-60.02,37.0429]}},{"type":"Feature","id":98438,"properties":{"mag":5.33,"bv":"1.576"},"geometry":{"type":"Point","coordinates":[-59.9862,17.5165]}},{"type":"Feature","id":98461,"properties":{"mag":5.95,"bv":"0.989"},"geometry":{"type":"Point","coordinates":[-59.9336,-37.7017]}},{"type":"Feature","id":98470,"properties":{"mag":5.65,"bv":"0.498"},"geometry":{"type":"Point","coordinates":[-59.9156,-33.7035]}},{"type":"Feature","id":98478,"properties":{"mag":5.75,"bv":"1.033"},"geometry":{"type":"Point","coordinates":[-59.9037,-66.9494]}},{"type":"Feature","id":98495,"properties":{"mag":3.97,"bv":"-0.032"},"geometry":{"type":"Point","coordinates":[-59.8519,-72.9105]}},{"type":"Feature","id":98512,"properties":{"mag":5.8,"bv":"0.295"},"geometry":{"type":"Point","coordinates":[-59.7986,-45.1129]}},{"type":"Feature","id":98526,"properties":{"mag":5.9,"bv":"1.529"},"geometry":{"type":"Point","coordinates":[-59.7543,8.5577]}},{"type":"Feature","id":98543,"properties":{"mag":4.66,"bv":"0.184"},"geometry":{"type":"Point","coordinates":[-59.7248,27.7536]}},{"type":"Feature","id":98571,"properties":{"mag":5.06,"bv":"1.122"},"geometry":{"type":"Point","coordinates":[-59.6602,50.1047]}},{"type":"Feature","id":98583,"properties":{"mag":5.22,"bv":"1.598"},"geometry":{"type":"Point","coordinates":[-59.6311,64.821]}},{"type":"Feature","id":98608,"properties":{"mag":4.95,"bv":"1.356"},"geometry":{"type":"Point","coordinates":[-59.5636,-59.3759]}},{"type":"Feature","id":98609,"properties":{"mag":5.88,"bv":"-0.134"},"geometry":{"type":"Point","coordinates":[-59.5637,24.8004]}},{"type":"Feature","id":98624,"properties":{"mag":5.32,"bv":"1.218"},"geometry":{"type":"Point","coordinates":[-59.5314,-66.944]}},{"type":"Feature","id":98633,"properties":{"mag":5.69,"bv":"0.079"},"geometry":{"type":"Point","coordinates":[-59.5058,-13.6372]}},{"type":"Feature","id":98636,"properties":{"mag":5.23,"bv":"0.374"},"geometry":{"type":"Point","coordinates":[-59.494,24.938]}},{"type":"Feature","id":98688,"properties":{"mag":4.43,"bv":"1.640"},"geometry":{"type":"Point","coordinates":[-59.3355,-27.7098]}},{"type":"Feature","id":98702,"properties":{"mag":4.51,"bv":"1.313"},"geometry":{"type":"Point","coordinates":[-59.2955,67.8736]}},{"type":"Feature","id":98738,"properties":{"mag":5.99,"bv":"1.420"},"geometry":{"type":"Point","coordinates":[-59.1817,18.501]}},{"type":"Feature","id":98754,"properties":{"mag":5.73,"bv":"-0.095"},"geometry":{"type":"Point","coordinates":[-59.1249,16.0313]}},{"type":"Feature","id":98761,"properties":{"mag":4.77,"bv":"1.417"},"geometry":{"type":"Point","coordinates":[-59.1106,-37.9407]}},{"type":"Feature","id":98767,"properties":{"mag":5.73,"bv":"0.749"},"geometry":{"type":"Point","coordinates":[-59.0941,29.8968]}},{"type":"Feature","id":98819,"properties":{"mag":5.8,"bv":"0.600"},"geometry":{"type":"Point","coordinates":[-58.9741,17.0702]}},{"type":"Feature","id":98823,"properties":{"mag":5.51,"bv":"1.063"},"geometry":{"type":"Point","coordinates":[-58.9654,7.278]}},{"type":"Feature","id":98842,"properties":{"mag":4.99,"bv":"1.208"},"geometry":{"type":"Point","coordinates":[-58.9184,-32.0563]}},{"type":"Feature","id":98844,"properties":{"mag":5.67,"bv":"1.301"},"geometry":{"type":"Point","coordinates":[-58.9035,-0.7093]}},{"type":"Feature","id":98863,"properties":{"mag":5.62,"bv":"0.760"},"geometry":{"type":"Point","coordinates":[-58.8493,32.2186]}},{"type":"Feature","id":98920,"properties":{"mag":5.09,"bv":"1.058"},"geometry":{"type":"Point","coordinates":[-58.7104,19.9911]}},{"type":"Feature","id":98962,"properties":{"mag":5.4,"bv":"1.191"},"geometry":{"type":"Point","coordinates":[-58.613,61.9954]}},{"type":"Feature","id":99026,"properties":{"mag":5.81,"bv":"0.445"},"geometry":{"type":"Point","coordinates":[-58.4423,53.1657]}},{"type":"Feature","id":99031,"properties":{"mag":5.38,"bv":"0.850"},"geometry":{"type":"Point","coordinates":[-58.4093,35.9725]}},{"type":"Feature","id":99080,"properties":{"mag":5.08,"bv":"-0.162"},"geometry":{"type":"Point","coordinates":[-58.2775,23.6144]}},{"type":"Feature","id":99120,"properties":{"mag":4.93,"bv":"1.591"},"geometry":{"type":"Point","coordinates":[-58.1535,-52.8808]}},{"type":"Feature","id":99171,"properties":{"mag":5.97,"bv":"1.023"},"geometry":{"type":"Point","coordinates":[-57.9924,-0.6782]}},{"type":"Feature","id":99240,"properties":{"mag":3.55,"bv":"0.751"},"geometry":{"type":"Point","coordinates":[-57.8183,-66.1821]}},{"type":"Feature","id":99255,"properties":{"mag":4.38,"bv":"-0.046"},"geometry":{"type":"Point","coordinates":[-57.7777,77.7114]}},{"type":"Feature","id":99303,"properties":{"mag":4.93,"bv":"-0.139"},"geometry":{"type":"Point","coordinates":[-57.6433,36.8396]}},{"type":"Feature","id":99404,"properties":{"mag":5.51,"bv":"0.087"},"geometry":{"type":"Point","coordinates":[-57.3603,26.9042]}},{"type":"Feature","id":99461,"properties":{"mag":5.32,"bv":"0.868"},"geometry":{"type":"Point","coordinates":[-57.2003,-36.1012]}},{"type":"Feature","id":99473,"properties":{"mag":3.24,"bv":"-0.066"},"geometry":{"type":"Point","coordinates":[-57.1738,-0.8215]}},{"type":"Feature","id":99500,"properties":{"mag":5.7,"bv":"0.530"},"geometry":{"type":"Point","coordinates":[-57.1045,62.0785]}},{"type":"Feature","id":99518,"properties":{"mag":5.51,"bv":"1.397"},"geometry":{"type":"Point","coordinates":[-57.0501,26.809]}},{"type":"Feature","id":99531,"properties":{"mag":5.91,"bv":"-0.107"},"geometry":{"type":"Point","coordinates":[-56.9971,26.4788]}},{"type":"Feature","id":99572,"properties":{"mag":5.84,"bv":"0.476"},"geometry":{"type":"Point","coordinates":[-56.8922,-12.6175]}},{"type":"Feature","id":99631,"properties":{"mag":5.44,"bv":"1.430"},"geometry":{"type":"Point","coordinates":[-56.6922,-1.0093]}},{"type":"Feature","id":99639,"properties":{"mag":4.8,"bv":"0.100"},"geometry":{"type":"Point","coordinates":[-56.6748,46.8157]}},{"type":"Feature","id":99655,"properties":{"mag":4.28,"bv":"0.114"},"geometry":{"type":"Point","coordinates":[-56.6506,56.5677]}},{"type":"Feature","id":99663,"properties":{"mag":5.81,"bv":"1.476"},"geometry":{"type":"Point","coordinates":[-56.6349,60.6406]}},{"type":"Feature","id":99675,"properties":{"mag":3.8,"bv":"1.270"},"geometry":{"type":"Point","coordinates":[-56.5921,46.7413]}},{"type":"Feature","id":99738,"properties":{"mag":5.19,"bv":"0.191"},"geometry":{"type":"Point","coordinates":[-56.4395,28.6948]}},{"type":"Feature","id":99742,"properties":{"mag":4.94,"bv":"0.072"},"geometry":{"type":"Point","coordinates":[-56.4308,15.1976]}},{"type":"Feature","id":99747,"properties":{"mag":5.65,"bv":"1.497"},"geometry":{"type":"Point","coordinates":[-56.4207,-52.4458]}},{"type":"Feature","id":99770,"properties":{"mag":4.93,"bv":"0.151"},"geometry":{"type":"Point","coordinates":[-56.3665,36.8063]}},{"type":"Feature","id":99824,"properties":{"mag":4.79,"bv":"-0.181"},"geometry":{"type":"Point","coordinates":[-56.1838,25.592]}},{"type":"Feature","id":99825,"properties":{"mag":5.73,"bv":"0.878"},"geometry":{"type":"Point","coordinates":[-56.1775,-27.033]}},{"type":"Feature","id":99841,"properties":{"mag":5.7,"bv":"0.926"},"geometry":{"type":"Point","coordinates":[-56.151,33.7291]}},{"type":"Feature","id":99848,"properties":{"mag":3.96,"bv":"1.451"},"geometry":{"type":"Point","coordinates":[-56.132,47.7142]}},{"type":"Feature","id":99853,"properties":{"mag":5.18,"bv":"1.016"},"geometry":{"type":"Point","coordinates":[-56.124,23.5089]}},{"type":"Feature","id":99874,"properties":{"mag":4.5,"bv":"1.258"},"geometry":{"type":"Point","coordinates":[-56.0578,27.8142]}},{"type":"Feature","id":99889,"properties":{"mag":5.87,"bv":"0.447"},"geometry":{"type":"Point","coordinates":[-55.9974,45.5795]}},{"type":"Feature","id":99951,"properties":{"mag":5.3,"bv":"0.951"},"geometry":{"type":"Point","coordinates":[-55.8038,24.6711]}},{"type":"Feature","id":99968,"properties":{"mag":5.27,"bv":"1.650"},"geometry":{"type":"Point","coordinates":[-55.7696,40.3651]}},{"type":"Feature","id":100017,"properties":{"mag":5.91,"bv":"0.602"},"geometry":{"type":"Point","coordinates":[-55.6195,66.8537]}},{"type":"Feature","id":100027,"properties":{"mag":4.3,"bv":"0.928"},"geometry":{"type":"Point","coordinates":[-55.588,-12.5082]}},{"type":"Feature","id":100044,"properties":{"mag":4.77,"bv":"0.377"},"geometry":{"type":"Point","coordinates":[-55.5533,38.0329]}},{"type":"Feature","id":100062,"properties":{"mag":5.86,"bv":"1.002"},"geometry":{"type":"Point","coordinates":[-55.4942,-21.81]}},{"type":"Feature","id":100064,"properties":{"mag":3.58,"bv":"0.883"},"geometry":{"type":"Point","coordinates":[-55.4864,-12.5449]}},{"type":"Feature","id":100069,"properties":{"mag":5.83,"bv":"0.073"},"geometry":{"type":"Point","coordinates":[-55.4709,40.7321]}},{"type":"Feature","id":100097,"properties":{"mag":5.76,"bv":"0.118"},"geometry":{"type":"Point","coordinates":[-55.3969,55.3971]}},{"type":"Feature","id":100108,"properties":{"mag":5.58,"bv":"0.056"},"geometry":{"type":"Point","coordinates":[-55.3806,36.9998]}},{"type":"Feature","id":100122,"properties":{"mag":5.14,"bv":"0.660"},"geometry":{"type":"Point","coordinates":[-55.3372,34.9828]}},{"type":"Feature","id":100195,"properties":{"mag":5.28,"bv":"1.394"},"geometry":{"type":"Point","coordinates":[-55.1516,-19.1185]}},{"type":"Feature","id":100221,"properties":{"mag":5.71,"bv":"-0.043"},"geometry":{"type":"Point","coordinates":[-55.097,62.2575]}},{"type":"Feature","id":100256,"properties":{"mag":5.96,"bv":"0.299"},"geometry":{"type":"Point","coordinates":[-54.9992,13.5481]}},{"type":"Feature","id":100261,"properties":{"mag":5.59,"bv":"1.472"},"geometry":{"type":"Point","coordinates":[-54.9749,68.8803]}},{"type":"Feature","id":100276,"properties":{"mag":5.82,"bv":"1.500"},"geometry":{"type":"Point","coordinates":[-54.9108,17.7929]}},{"type":"Feature","id":100310,"properties":{"mag":4.77,"bv":"-0.047"},"geometry":{"type":"Point","coordinates":[-54.8341,-12.7591]}},{"type":"Feature","id":100345,"properties":{"mag":3.05,"bv":"0.790"},"geometry":{"type":"Point","coordinates":[-54.7472,-14.7814]}},{"type":"Feature","id":100357,"properties":{"mag":5.69,"bv":"1.561"},"geometry":{"type":"Point","coordinates":[-54.702,63.9801]}},{"type":"Feature","id":100435,"properties":{"mag":5.5,"bv":"-0.090"},"geometry":{"type":"Point","coordinates":[-54.4857,24.4461]}},{"type":"Feature","id":100437,"properties":{"mag":5.58,"bv":"1.077"},"geometry":{"type":"Point","coordinates":[-54.4776,45.795]}},{"type":"Feature","id":100453,"properties":{"mag":2.23,"bv":"0.673"},"geometry":{"type":"Point","coordinates":[-54.4429,40.2567]}},{"type":"Feature","id":100469,"properties":{"mag":5.6,"bv":"0.002"},"geometry":{"type":"Point","coordinates":[-54.3854,-42.0495]}},{"type":"Feature","id":100501,"properties":{"mag":5.95,"bv":"1.632"},"geometry":{"type":"Point","coordinates":[-54.3113,41.026]}},{"type":"Feature","id":100541,"properties":{"mag":5.3,"bv":"0.983"},"geometry":{"type":"Point","coordinates":[-54.2054,5.343]}},{"type":"Feature","id":100574,"properties":{"mag":5.87,"bv":"-0.173"},"geometry":{"type":"Point","coordinates":[-54.0651,37.4764]}},{"type":"Feature","id":100587,"properties":{"mag":4.43,"bv":"1.331"},"geometry":{"type":"Point","coordinates":[-54.0349,32.1902]}},{"type":"Feature","id":100591,"properties":{"mag":5.64,"bv":"0.201"},"geometry":{"type":"Point","coordinates":[-54.0284,-42.4229]}},{"type":"Feature","id":100738,"properties":{"mag":5.86,"bv":"1.101"},"geometry":{"type":"Point","coordinates":[-53.6382,-28.6633]}},{"type":"Feature","id":100751,"properties":{"mag":1.94,"bv":"-0.118"},"geometry":{"type":"Point","coordinates":[-53.5881,-56.7351]}},{"type":"Feature","id":100754,"properties":{"mag":5.68,"bv":"0.921"},"geometry":{"type":"Point","coordinates":[-53.5811,21.4096]}},{"type":"Feature","id":100859,"properties":{"mag":5.73,"bv":"0.339"},"geometry":{"type":"Point","coordinates":[-53.2406,49.3834]}},{"type":"Feature","id":100881,"properties":{"mag":5.08,"bv":"-0.049"},"geometry":{"type":"Point","coordinates":[-53.17,-18.2117]}},{"type":"Feature","id":100907,"properties":{"mag":5.63,"bv":"0.072"},"geometry":{"type":"Point","coordinates":[-53.1073,38.4403]}},{"type":"Feature","id":100965,"properties":{"mag":5.38,"bv":"1.010"},"geometry":{"type":"Point","coordinates":[-52.9392,81.4227]}},{"type":"Feature","id":101027,"properties":{"mag":4.77,"bv":"0.386"},"geometry":{"type":"Point","coordinates":[-52.7849,-17.8137]}},{"type":"Feature","id":101067,"properties":{"mag":5.9,"bv":"0.407"},"geometry":{"type":"Point","coordinates":[-52.665,36.4547]}},{"type":"Feature","id":101076,"properties":{"mag":4.01,"bv":"0.404"},"geometry":{"type":"Point","coordinates":[-52.6511,30.3686]}},{"type":"Feature","id":101082,"properties":{"mag":5.96,"bv":"0.942"},"geometry":{"type":"Point","coordinates":[-52.6351,81.0913]}},{"type":"Feature","id":101084,"properties":{"mag":5.89,"bv":"-0.052"},"geometry":{"type":"Point","coordinates":[-52.637,56.0682]}},{"type":"Feature","id":101093,"properties":{"mag":4.21,"bv":"0.199"},"geometry":{"type":"Point","coordinates":[-52.6046,62.9941]}},{"type":"Feature","id":101101,"properties":{"mag":4.91,"bv":"1.160"},"geometry":{"type":"Point","coordinates":[-52.5875,-2.8855]}},{"type":"Feature","id":101123,"properties":{"mag":5.94,"bv":"0.062"},"geometry":{"type":"Point","coordinates":[-52.5254,-18.5832]}},{"type":"Feature","id":101138,"properties":{"mag":4.94,"bv":"-0.087"},"geometry":{"type":"Point","coordinates":[-52.4852,48.9516]}},{"type":"Feature","id":101243,"properties":{"mag":5.44,"bv":"1.566"},"geometry":{"type":"Point","coordinates":[-52.1716,49.2203]}},{"type":"Feature","id":101260,"properties":{"mag":5.18,"bv":"0.100"},"geometry":{"type":"Point","coordinates":[-52.1233,74.9546]}},{"type":"Feature","id":101345,"properties":{"mag":5.66,"bv":"0.689"},"geometry":{"type":"Point","coordinates":[-51.9013,-9.8534]}},{"type":"Feature","id":101421,"properties":{"mag":4.03,"bv":"-0.123"},"geometry":{"type":"Point","coordinates":[-51.6968,11.3033]}},{"type":"Feature","id":101427,"properties":{"mag":5.76,"bv":"1.122"},"geometry":{"type":"Point","coordinates":[-51.6765,-80.9649]}},{"type":"Feature","id":101474,"properties":{"mag":4.61,"bv":"1.593"},"geometry":{"type":"Point","coordinates":[-51.5242,35.2509]}},{"type":"Feature","id":101475,"properties":{"mag":5.78,"bv":"-0.140"},"geometry":{"type":"Point","coordinates":[-51.5215,46.6939]}},{"type":"Feature","id":101477,"properties":{"mag":5.12,"bv":"0.999"},"geometry":{"type":"Point","coordinates":[-51.5205,-44.516]}},{"type":"Feature","id":101483,"properties":{"mag":5.39,"bv":"0.093"},"geometry":{"type":"Point","coordinates":[-51.5123,13.0273]}},{"type":"Feature","id":101589,"properties":{"mag":4.64,"bv":"0.120"},"geometry":{"type":"Point","coordinates":[-51.1728,14.6742]}},{"type":"Feature","id":101612,"properties":{"mag":4.75,"bv":"0.291"},"geometry":{"type":"Point","coordinates":[-51.1048,-60.5817]}},{"type":"Feature","id":101692,"properties":{"mag":4.91,"bv":"1.606"},"geometry":{"type":"Point","coordinates":[-50.8182,-2.55]}},{"type":"Feature","id":101716,"properties":{"mag":5.59,"bv":"-0.050"},"geometry":{"type":"Point","coordinates":[-50.7305,26.4619]}},{"type":"Feature","id":101769,"properties":{"mag":3.64,"bv":"0.425"},"geometry":{"type":"Point","coordinates":[-50.6127,14.5951]}},{"type":"Feature","id":101772,"properties":{"mag":3.11,"bv":"0.998"},"geometry":{"type":"Point","coordinates":[-50.6082,-47.2915]}},{"type":"Feature","id":101773,"properties":{"mag":4.86,"bv":"0.447"},"geometry":{"type":"Point","coordinates":[-50.6029,-61.5299]}},{"type":"Feature","id":101800,"properties":{"mag":5.42,"bv":"0.050"},"geometry":{"type":"Point","coordinates":[-50.5453,11.3777]}},{"type":"Feature","id":101843,"properties":{"mag":5.89,"bv":"1.692"},"geometry":{"type":"Point","coordinates":[-50.4225,-81.2891]}},{"type":"Feature","id":101847,"properties":{"mag":4.31,"bv":"0.949"},"geometry":{"type":"Point","coordinates":[-50.4155,-1.1051]}},{"type":"Feature","id":101867,"properties":{"mag":4.81,"bv":"-0.030"},"geometry":{"type":"Point","coordinates":[-50.3694,21.2012]}},{"type":"Feature","id":101868,"properties":{"mag":5.06,"bv":"-0.133"},"geometry":{"type":"Point","coordinates":[-50.367,24.116]}},{"type":"Feature","id":101870,"properties":{"mag":5.91,"bv":"0.953"},"geometry":{"type":"Point","coordinates":[-50.3542,23.6805]}},{"type":"Feature","id":101882,"properties":{"mag":5.69,"bv":"1.509"},"geometry":{"type":"Point","coordinates":[-50.3167,13.3151]}},{"type":"Feature","id":101899,"properties":{"mag":5.68,"bv":"1.088"},"geometry":{"type":"Point","coordinates":[-50.252,30.3343]}},{"type":"Feature","id":101909,"properties":{"mag":5.99,"bv":"-0.145"},"geometry":{"type":"Point","coordinates":[-50.2293,15.8382]}},{"type":"Feature","id":101916,"properties":{"mag":5.07,"bv":"0.702"},"geometry":{"type":"Point","coordinates":[-50.2176,10.0862]}},{"type":"Feature","id":101923,"properties":{"mag":5.24,"bv":"-0.129"},"geometry":{"type":"Point","coordinates":[-50.182,-14.9548]}},{"type":"Feature","id":101936,"properties":{"mag":5.15,"bv":"1.060"},"geometry":{"type":"Point","coordinates":[-50.1463,0.4864]}},{"type":"Feature","id":101958,"properties":{"mag":3.77,"bv":"-0.057"},"geometry":{"type":"Point","coordinates":[-50.0905,15.9121]}},{"type":"Feature","id":101983,"properties":{"mag":5.11,"bv":"0.544"},"geometry":{"type":"Point","coordinates":[-49.989,-60.5489]}},{"type":"Feature","id":101984,"properties":{"mag":5.15,"bv":"1.647"},"geometry":{"type":"Point","coordinates":[-49.9877,-18.1387]}},{"type":"Feature","id":101986,"properties":{"mag":5.97,"bv":"1.186"},"geometry":{"type":"Point","coordinates":[-49.9868,43.4589]}},{"type":"Feature","id":102014,"properties":{"mag":5.47,"bv":"1.118"},"geometry":{"type":"Point","coordinates":[-49.9174,-33.4318]}},{"type":"Feature","id":102026,"properties":{"mag":5.79,"bv":"0.997"},"geometry":{"type":"Point","coordinates":[-49.8645,-16.1242]}},{"type":"Feature","id":102066,"properties":{"mag":5.53,"bv":"0.871"},"geometry":{"type":"Point","coordinates":[-49.7394,32.3073]}},{"type":"Feature","id":102092,"properties":{"mag":5.75,"bv":"1.551"},"geometry":{"type":"Point","coordinates":[-49.6514,-31.5983]}},{"type":"Feature","id":102098,"properties":{"mag":1.25,"bv":"0.092"},"geometry":{"type":"Point","coordinates":[-49.642,45.2803]}},{"type":"Feature","id":102155,"properties":{"mag":5.68,"bv":"-0.107"},"geometry":{"type":"Point","coordinates":[-49.5146,41.7169]}},{"type":"Feature","id":102157,"properties":{"mag":5.14,"bv":"-0.061"},"geometry":{"type":"Point","coordinates":[-49.5122,-66.7607]}},{"type":"Feature","id":102162,"properties":{"mag":5.99,"bv":"0.450"},"geometry":{"type":"Point","coordinates":[-49.4876,-76.1806]}},{"type":"Feature","id":102177,"properties":{"mag":5.41,"bv":"-0.107"},"geometry":{"type":"Point","coordinates":[-49.4474,50.34]}},{"type":"Feature","id":102208,"properties":{"mag":5.75,"bv":"0.000"},"geometry":{"type":"Point","coordinates":[-49.3532,82.5312]}},{"type":"Feature","id":102253,"properties":{"mag":5.59,"bv":"0.218"},"geometry":{"type":"Point","coordinates":[-49.2041,66.6574]}},{"type":"Feature","id":102281,"properties":{"mag":4.43,"bv":"0.302"},"geometry":{"type":"Point","coordinates":[-49.1353,15.0746]}},{"type":"Feature","id":102333,"properties":{"mag":4.51,"bv":"0.278"},"geometry":{"type":"Point","coordinates":[-48.9903,-51.921]}},{"type":"Feature","id":102358,"properties":{"mag":5.91,"bv":"1.643"},"geometry":{"type":"Point","coordinates":[-48.9081,56.4884]}},{"type":"Feature","id":102388,"properties":{"mag":4.92,"bv":"1.183"},"geometry":{"type":"Point","coordinates":[-48.7812,25.2706]}},{"type":"Feature","id":102395,"properties":{"mag":3.42,"bv":"0.163"},"geometry":{"type":"Point","coordinates":[-48.7604,-66.2032]}},{"type":"Feature","id":102422,"properties":{"mag":3.41,"bv":"0.912"},"geometry":{"type":"Point","coordinates":[-48.6776,61.8388]}},{"type":"Feature","id":102431,"properties":{"mag":4.52,"bv":"0.535"},"geometry":{"type":"Point","coordinates":[-48.662,57.5797]}},{"type":"Feature","id":102453,"properties":{"mag":4.22,"bv":"1.051"},"geometry":{"type":"Point","coordinates":[-48.5844,30.7197]}},{"type":"Feature","id":102485,"properties":{"mag":4.13,"bv":"0.426"},"geometry":{"type":"Point","coordinates":[-48.4761,-25.2709]}},{"type":"Feature","id":102487,"properties":{"mag":5.91,"bv":"0.066"},"geometry":{"type":"Point","coordinates":[-48.4584,-21.514]}},{"type":"Feature","id":102488,"properties":{"mag":2.48,"bv":"1.021"},"geometry":{"type":"Point","coordinates":[-48.4472,33.9703]}},{"type":"Feature","id":102497,"properties":{"mag":5.48,"bv":"-0.078"},"geometry":{"type":"Point","coordinates":[-48.4164,-39.1993]}},{"type":"Feature","id":102531,"properties":{"mag":5.15,"bv":"0.495"},"geometry":{"type":"Point","coordinates":[-48.3381,16.1241]}},{"type":"Feature","id":102532,"properties":{"mag":4.27,"bv":"1.042"},"geometry":{"type":"Point","coordinates":[-48.3354,16.1243]}},{"type":"Feature","id":102571,"properties":{"mag":4.93,"bv":"1.294"},"geometry":{"type":"Point","coordinates":[-48.2052,34.3741]}},{"type":"Feature","id":102589,"properties":{"mag":4.53,"bv":"-0.083"},"geometry":{"type":"Point","coordinates":[-48.1478,36.4907]}},{"type":"Feature","id":102599,"properties":{"mag":5.36,"bv":"1.144"},"geometry":{"type":"Point","coordinates":[-48.1106,80.5523]}},{"type":"Feature","id":102618,"properties":{"mag":3.78,"bv":"0.000"},"geometry":{"type":"Point","coordinates":[-48.081,-9.4958]}},{"type":"Feature","id":102624,"properties":{"mag":4.43,"bv":"1.639"},"geometry":{"type":"Point","coordinates":[-48.0657,-5.0277]}},{"type":"Feature","id":102633,"properties":{"mag":5.57,"bv":"-0.010"},"geometry":{"type":"Point","coordinates":[-48.0486,6.0082]}},{"type":"Feature","id":102635,"properties":{"mag":5.6,"bv":"1.466"},"geometry":{"type":"Point","coordinates":[-48.0446,47.8319]}},{"type":"Feature","id":102693,"properties":{"mag":5.11,"bv":"0.361"},"geometry":{"type":"Point","coordinates":[-47.8786,-43.9885]}},{"type":"Feature","id":102724,"properties":{"mag":4.81,"bv":"0.571"},"geometry":{"type":"Point","coordinates":[-47.7655,46.1141]}},{"type":"Feature","id":102772,"properties":{"mag":5.86,"bv":"-0.069"},"geometry":{"type":"Point","coordinates":[-47.6766,-25.7812]}},{"type":"Feature","id":102773,"properties":{"mag":5.41,"bv":"1.122"},"geometry":{"type":"Point","coordinates":[-47.6743,-68.7765]}},{"type":"Feature","id":102790,"properties":{"mag":4.9,"bv":"1.494"},"geometry":{"type":"Point","coordinates":[-47.6293,-46.2268]}},{"type":"Feature","id":102831,"properties":{"mag":4.89,"bv":"1.004"},"geometry":{"type":"Point","coordinates":[-47.508,-33.7797]}},{"type":"Feature","id":102843,"properties":{"mag":5.06,"bv":"0.198"},"geometry":{"type":"Point","coordinates":[-47.4795,44.0593]}},{"type":"Feature","id":102891,"properties":{"mag":5.87,"bv":"1.075"},"geometry":{"type":"Point","coordinates":[-47.3259,-12.5449]}},{"type":"Feature","id":102916,"properties":{"mag":5.52,"bv":"1.380"},"geometry":{"type":"Point","coordinates":[-47.2468,-37.9133]}},{"type":"Feature","id":102945,"properties":{"mag":5.99,"bv":"0.464"},"geometry":{"type":"Point","coordinates":[-47.1427,-5.6266]}},{"type":"Feature","id":102949,"properties":{"mag":5.66,"bv":"0.616"},"geometry":{"type":"Point","coordinates":[-47.1323,28.2505]}},{"type":"Feature","id":102950,"properties":{"mag":5.06,"bv":"1.125"},"geometry":{"type":"Point","coordinates":[-47.1248,-51.6082]}},{"type":"Feature","id":102962,"properties":{"mag":5.67,"bv":"0.203"},"geometry":{"type":"Point","coordinates":[-47.0896,-62.4293]}},{"type":"Feature","id":102978,"properties":{"mag":4.12,"bv":"1.633"},"geometry":{"type":"Point","coordinates":[-47.0446,-26.9191]}},{"type":"Feature","id":103004,"properties":{"mag":4.56,"bv":"0.835"},"geometry":{"type":"Point","coordinates":[-46.968,27.097]}},{"type":"Feature","id":103005,"properties":{"mag":5.55,"bv":"-0.076"},"geometry":{"type":"Point","coordinates":[-46.9638,-5.5071]}},{"type":"Feature","id":103045,"properties":{"mag":4.73,"bv":"0.325"},"geometry":{"type":"Point","coordinates":[-46.8365,-8.9833]}},{"type":"Feature","id":103089,"properties":{"mag":4.8,"bv":"-0.134"},"geometry":{"type":"Point","coordinates":[-46.6885,44.3873]}},{"type":"Feature","id":103094,"properties":{"mag":5.48,"bv":"1.088"},"geometry":{"type":"Point","coordinates":[-46.6726,45.1817]}},{"type":"Feature","id":103127,"properties":{"mag":5.34,"bv":"1.318"},"geometry":{"type":"Point","coordinates":[-46.5826,-39.8099]}},{"type":"Feature","id":103145,"properties":{"mag":5.47,"bv":"1.522"},"geometry":{"type":"Point","coordinates":[-46.5254,33.4379]}},{"type":"Feature","id":103200,"properties":{"mag":5.03,"bv":"1.481"},"geometry":{"type":"Point","coordinates":[-46.3598,28.0576]}},{"type":"Feature","id":103219,"properties":{"mag":5.99,"bv":"0.946"},"geometry":{"type":"Point","coordinates":[-46.3152,75.9256]}},{"type":"Feature","id":103226,"properties":{"mag":5.78,"bv":"1.122"},"geometry":{"type":"Point","coordinates":[-46.3008,-17.9229]}},{"type":"Feature","id":103227,"properties":{"mag":3.67,"bv":"1.250"},"geometry":{"type":"Point","coordinates":[-46.2975,-58.4542]}},{"type":"Feature","id":103294,"properties":{"mag":5.19,"bv":"1.119"},"geometry":{"type":"Point","coordinates":[-46.0971,13.7215]}},{"type":"Feature","id":103298,"properties":{"mag":5.54,"bv":"0.131"},"geometry":{"type":"Point","coordinates":[-46.0893,12.5686]}},{"type":"Feature","id":103312,"properties":{"mag":5.68,"bv":"0.408"},"geometry":{"type":"Point","coordinates":[-46.0425,47.4177]}},{"type":"Feature","id":103359,"properties":{"mag":5.83,"bv":"0.337"},"geometry":{"type":"Point","coordinates":[-45.8938,50.7286]}},{"type":"Feature","id":103360,"properties":{"mag":5.92,"bv":"1.054"},"geometry":{"type":"Point","coordinates":[-45.8921,49.1958]}},{"type":"Feature","id":103371,"properties":{"mag":5.96,"bv":"0.020"},"geometry":{"type":"Point","coordinates":[-45.8551,44.9247]}},{"type":"Feature","id":103389,"properties":{"mag":5.7,"bv":"0.507"},"geometry":{"type":"Point","coordinates":[-45.8028,-26.2964]}},{"type":"Feature","id":103401,"properties":{"mag":5.49,"bv":"1.474"},"geometry":{"type":"Point","coordinates":[-45.7749,-9.6975]}},{"type":"Feature","id":103413,"properties":{"mag":3.94,"bv":"0.027"},"geometry":{"type":"Point","coordinates":[-45.7066,41.1671]}},{"type":"Feature","id":103460,"properties":{"mag":5.89,"bv":"0.180"},"geometry":{"type":"Point","coordinates":[-45.5806,-16.0315]}},{"type":"Feature","id":103511,"properties":{"mag":5.3,"bv":"1.419"},"geometry":{"type":"Point","coordinates":[-45.4319,22.3259]}},{"type":"Feature","id":103519,"properties":{"mag":5.55,"bv":"0.973"},"geometry":{"type":"Point","coordinates":[-45.4189,44.4717]}},{"type":"Feature","id":103527,"properties":{"mag":5.51,"bv":"0.934"},"geometry":{"type":"Point","coordinates":[-45.3919,10.8393]}},{"type":"Feature","id":103530,"properties":{"mag":5.59,"bv":"-0.144"},"geometry":{"type":"Point","coordinates":[-45.3749,50.4618]}},{"type":"Feature","id":103545,"properties":{"mag":5.95,"bv":"0.244"},"geometry":{"type":"Point","coordinates":[-45.3257,-14.4831]}},{"type":"Feature","id":103569,"properties":{"mag":5.3,"bv":"0.464"},"geometry":{"type":"Point","coordinates":[-45.2313,4.2935]}},{"type":"Feature","id":103571,"properties":{"mag":5.24,"bv":"0.457"},"geometry":{"type":"Point","coordinates":[-45.2287,4.2946]}},{"type":"Feature","id":103598,"properties":{"mag":5.54,"bv":"1.411"},"geometry":{"type":"Point","coordinates":[-45.1442,59.4386]}},{"type":"Feature","id":103632,"properties":{"mag":4.74,"bv":"-0.084"},"geometry":{"type":"Point","coordinates":[-45.0435,47.521]}},{"type":"Feature","id":103652,"properties":{"mag":5.98,"bv":"0.283"},"geometry":{"type":"Point","coordinates":[-44.9834,7.5162]}},{"type":"Feature","id":103673,"properties":{"mag":5.76,"bv":"0.480"},"geometry":{"type":"Point","coordinates":[-44.9105,-51.2653]}},{"type":"Feature","id":103675,"properties":{"mag":5.69,"bv":"1.588"},"geometry":{"type":"Point","coordinates":[-44.8846,19.3296]}},{"type":"Feature","id":103732,"properties":{"mag":5.38,"bv":"-0.206"},"geometry":{"type":"Point","coordinates":[-44.7045,46.1558]}},{"type":"Feature","id":103738,"properties":{"mag":4.67,"bv":"0.890"},"geometry":{"type":"Point","coordinates":[-44.6772,-32.2578]}},{"type":"Feature","id":103810,"properties":{"mag":5.83,"bv":"-0.058"},"geometry":{"type":"Point","coordinates":[-44.4625,56.6696]}},{"type":"Feature","id":103836,"properties":{"mag":5.93,"bv":"1.106"},"geometry":{"type":"Point","coordinates":[-44.3868,-38.531]}},{"type":"Feature","id":103882,"properties":{"mag":5.32,"bv":"0.424"},"geometry":{"type":"Point","coordinates":[-44.2585,-38.6314]}},{"type":"Feature","id":103956,"properties":{"mag":5.93,"bv":"1.001"},"geometry":{"type":"Point","coordinates":[-44.0516,53.2859]}},{"type":"Feature","id":103981,"properties":{"mag":5.53,"bv":"0.683"},"geometry":{"type":"Point","coordinates":[-43.9803,-5.8231]}},{"type":"Feature","id":104019,"properties":{"mag":4.82,"bv":"0.169"},"geometry":{"type":"Point","coordinates":[-43.8987,-19.855]}},{"type":"Feature","id":104031,"properties":{"mag":5.63,"bv":"1.650"},"geometry":{"type":"Point","coordinates":[-43.8556,5.5029]}},{"type":"Feature","id":104043,"properties":{"mag":5.13,"bv":"0.490"},"geometry":{"type":"Point","coordinates":[-43.8206,-77.0238]}},{"type":"Feature","id":104060,"properties":{"mag":3.72,"bv":"1.609"},"geometry":{"type":"Point","coordinates":[-43.7672,43.9279]}},{"type":"Feature","id":104085,"properties":{"mag":5.17,"bv":"1.201"},"geometry":{"type":"Point","coordinates":[-43.6906,-54.727]}},{"type":"Feature","id":104101,"properties":{"mag":5.94,"bv":"0.538"},"geometry":{"type":"Point","coordinates":[-43.6387,5.9582]}},{"type":"Feature","id":104105,"properties":{"mag":5.91,"bv":"-0.065"},"geometry":{"type":"Point","coordinates":[-43.6281,78.1264]}},{"type":"Feature","id":104139,"properties":{"mag":4.08,"bv":"-0.010"},"geometry":{"type":"Point","coordinates":[-43.5132,-17.2329]}},{"type":"Feature","id":104148,"properties":{"mag":5.69,"bv":"1.047"},"geometry":{"type":"Point","coordinates":[-43.4952,-30.1251]}},{"type":"Feature","id":104171,"properties":{"mag":5.88,"bv":"0.386"},"geometry":{"type":"Point","coordinates":[-43.4029,71.4318]}},{"type":"Feature","id":104174,"properties":{"mag":5.2,"bv":"1.104"},"geometry":{"type":"Point","coordinates":[-43.3972,-32.3416]}},{"type":"Feature","id":104177,"properties":{"mag":5.55,"bv":"1.350"},"geometry":{"type":"Point","coordinates":[-43.3937,-41.386]}},{"type":"Feature","id":104185,"properties":{"mag":5.77,"bv":"0.554"},"geometry":{"type":"Point","coordinates":[-43.374,31.1847]}},{"type":"Feature","id":104194,"properties":{"mag":4.56,"bv":"1.569"},"geometry":{"type":"Point","coordinates":[-43.3496,47.6484]}},{"type":"Feature","id":104214,"properties":{"mag":5.2,"bv":"1.069"},"geometry":{"type":"Point","coordinates":[-43.2752,38.7494]}},{"type":"Feature","id":104234,"properties":{"mag":4.49,"bv":"1.604"},"geometry":{"type":"Point","coordinates":[-43.2181,-25.0059]}},{"type":"Feature","id":104364,"properties":{"mag":5.75,"bv":"1.180"},"geometry":{"type":"Point","coordinates":[-42.8638,-63.9283]}},{"type":"Feature","id":104365,"properties":{"mag":5.3,"bv":"0.000"},"geometry":{"type":"Point","coordinates":[-42.8599,-21.1937]}},{"type":"Feature","id":104371,"properties":{"mag":5.6,"bv":"-0.048"},"geometry":{"type":"Point","coordinates":[-42.838,30.2056]}},{"type":"Feature","id":104382,"properties":{"mag":5.45,"bv":"0.283"},"geometry":{"type":"Point","coordinates":[-42.8048,-88.9565]}},{"type":"Feature","id":104440,"properties":{"mag":5.67,"bv":"0.590"},"geometry":{"type":"Point","coordinates":[-42.6565,-73.173]}},{"type":"Feature","id":104459,"properties":{"mag":4.5,"bv":"0.926"},"geometry":{"type":"Point","coordinates":[-42.6015,-11.3717]}},{"type":"Feature","id":104516,"properties":{"mag":5.75,"bv":"-0.111"},"geometry":{"type":"Point","coordinates":[-42.4351,53.5631]}},{"type":"Feature","id":104521,"properties":{"mag":4.7,"bv":"0.262"},"geometry":{"type":"Point","coordinates":[-42.4146,10.1316]}},{"type":"Feature","id":104642,"properties":{"mag":5.64,"bv":"0.110"},"geometry":{"type":"Point","coordinates":[-42.049,59.9866]}},{"type":"Feature","id":104680,"properties":{"mag":5.83,"bv":"0.450"},"geometry":{"type":"Point","coordinates":[-41.9429,-40.2694]}},{"type":"Feature","id":104732,"properties":{"mag":3.21,"bv":"0.990"},"geometry":{"type":"Point","coordinates":[-41.7659,30.2269]}},{"type":"Feature","id":104738,"properties":{"mag":5.25,"bv":"0.460"},"geometry":{"type":"Point","coordinates":[-41.7372,-39.4249]}},{"type":"Feature","id":104750,"properties":{"mag":5.41,"bv":"1.425"},"geometry":{"type":"Point","coordinates":[-41.6778,-27.6193]}},{"type":"Feature","id":104752,"properties":{"mag":5.97,"bv":"0.967"},"geometry":{"type":"Point","coordinates":[-41.671,-36.4235]}},{"type":"Feature","id":104755,"properties":{"mag":5.06,"bv":"1.578"},"geometry":{"type":"Point","coordinates":[-41.6645,-70.1263]}},{"type":"Feature","id":104858,"properties":{"mag":4.47,"bv":"0.529"},"geometry":{"type":"Point","coordinates":[-41.3799,10.007]}},{"type":"Feature","id":104887,"properties":{"mag":3.74,"bv":"0.393"},"geometry":{"type":"Point","coordinates":[-41.3021,38.0453]}},{"type":"Feature","id":104963,"properties":{"mag":5.17,"bv":"1.161"},"geometry":{"type":"Point","coordinates":[-41.0921,-20.6517]}},{"type":"Feature","id":104968,"properties":{"mag":5.92,"bv":"1.531"},"geometry":{"type":"Point","coordinates":[-41.0731,77.0123]}},{"type":"Feature","id":104974,"properties":{"mag":5.31,"bv":"1.639"},"geometry":{"type":"Point","coordinates":[-41.0632,-15.1715]}},{"type":"Feature","id":104978,"properties":{"mag":5.73,"bv":"0.191"},"geometry":{"type":"Point","coordinates":[-41.0589,-53.2631]}},{"type":"Feature","id":104987,"properties":{"mag":3.92,"bv":"0.549"},"geometry":{"type":"Point","coordinates":[-41.044,5.2478]}},{"type":"Feature","id":105080,"properties":{"mag":6,"bv":"1.447"},"geometry":{"type":"Point","coordinates":[-40.6906,55.798]}},{"type":"Feature","id":105102,"properties":{"mag":4.22,"bv":"0.098"},"geometry":{"type":"Point","coordinates":[-40.646,39.3947]}},{"type":"Feature","id":105138,"properties":{"mag":4.41,"bv":"-0.103"},"geometry":{"type":"Point","coordinates":[-40.5205,34.8969]}},{"type":"Feature","id":105140,"properties":{"mag":4.71,"bv":"0.070"},"geometry":{"type":"Point","coordinates":[-40.5155,-32.1725]}},{"type":"Feature","id":105143,"properties":{"mag":5.4,"bv":"-0.118"},"geometry":{"type":"Point","coordinates":[-40.5113,-17.9851]}},{"type":"Feature","id":105164,"properties":{"mag":5.83,"bv":"-0.130"},"geometry":{"type":"Point","coordinates":[-40.4539,-4.5195]}},{"type":"Feature","id":105186,"properties":{"mag":5.04,"bv":"-0.061"},"geometry":{"type":"Point","coordinates":[-40.3867,43.9459]}},{"type":"Feature","id":105199,"properties":{"mag":2.45,"bv":"0.257"},"geometry":{"type":"Point","coordinates":[-40.3551,62.5856]}},{"type":"Feature","id":105224,"properties":{"mag":5.97,"bv":"1.612"},"geometry":{"type":"Point","coordinates":[-40.2832,11.2034]}},{"type":"Feature","id":105259,"properties":{"mag":5.51,"bv":"1.114"},"geometry":{"type":"Point","coordinates":[-40.1846,58.6235]}},{"type":"Feature","id":105268,"properties":{"mag":5.19,"bv":"-0.045"},"geometry":{"type":"Point","coordinates":[-40.1574,64.8719]}},{"type":"Feature","id":105269,"properties":{"mag":5.89,"bv":"0.505"},"geometry":{"type":"Point","coordinates":[-40.1576,38.2375]}},{"type":"Feature","id":105282,"properties":{"mag":5.75,"bv":"-0.119"},"geometry":{"type":"Point","coordinates":[-40.1302,49.5103]}},{"type":"Feature","id":105319,"properties":{"mag":4.39,"bv":"0.191"},"geometry":{"type":"Point","coordinates":[-40.0334,-53.4494]}},{"type":"Feature","id":105382,"properties":{"mag":4.8,"bv":"0.029"},"geometry":{"type":"Point","coordinates":[-39.8098,-40.8095]}},{"type":"Feature","id":105411,"properties":{"mag":5.58,"bv":"1.057"},"geometry":{"type":"Point","coordinates":[-39.7317,23.856]}},{"type":"Feature","id":105412,"properties":{"mag":5.87,"bv":"0.912"},"geometry":{"type":"Point","coordinates":[-39.732,-4.5601]}},{"type":"Feature","id":105413,"properties":{"mag":5.81,"bv":"1.663"},"geometry":{"type":"Point","coordinates":[-39.7299,7.3545]}},{"type":"Feature","id":105497,"properties":{"mag":5.68,"bv":"1.100"},"geometry":{"type":"Point","coordinates":[-39.4983,49.3888]}},{"type":"Feature","id":105502,"properties":{"mag":4.08,"bv":"1.108"},"geometry":{"type":"Point","coordinates":[-39.4783,19.8045]}},{"type":"Feature","id":105515,"properties":{"mag":4.28,"bv":"0.888"},"geometry":{"type":"Point","coordinates":[-39.4383,-16.8345]}},{"type":"Feature","id":105570,"properties":{"mag":5.16,"bv":"0.064"},"geometry":{"type":"Point","coordinates":[-39.2766,6.8111]}},{"type":"Feature","id":105574,"properties":{"mag":5.99,"bv":"1.516"},"geometry":{"type":"Point","coordinates":[-39.2656,-9.3193]}},{"type":"Feature","id":105576,"properties":{"mag":5.63,"bv":"1.641"},"geometry":{"type":"Point","coordinates":[-39.2479,-22.669]}},{"type":"Feature","id":105652,"properties":{"mag":5.7,"bv":"0.314"},"geometry":{"type":"Point","coordinates":[-39.0049,24.2741]}},{"type":"Feature","id":105665,"properties":{"mag":5.38,"bv":"1.176"},"geometry":{"type":"Point","coordinates":[-38.96,-20.8519]}},{"type":"Feature","id":105668,"properties":{"mag":5.48,"bv":"0.297"},"geometry":{"type":"Point","coordinates":[-38.9521,-12.8781]}},{"type":"Feature","id":105696,"properties":{"mag":5.76,"bv":"-0.036"},"geometry":{"type":"Point","coordinates":[-38.8966,-41.0067]}},{"type":"Feature","id":105703,"properties":{"mag":5.67,"bv":"0.323"},"geometry":{"type":"Point","coordinates":[-38.8583,26.1746]}},{"type":"Feature","id":105727,"properties":{"mag":5.97,"bv":"0.950"},"geometry":{"type":"Point","coordinates":[-38.7935,80.5248]}},{"type":"Feature","id":105761,"properties":{"mag":5.71,"bv":"0.208"},"geometry":{"type":"Point","coordinates":[-38.6957,-9.7486]}},{"type":"Feature","id":105767,"properties":{"mag":5.48,"bv":"1.451"},"geometry":{"type":"Point","coordinates":[-38.6793,-3.5567]}},{"type":"Feature","id":105769,"properties":{"mag":5.59,"bv":"0.335"},"geometry":{"type":"Point","coordinates":[-38.6685,46.7143]}},{"type":"Feature","id":105811,"properties":{"mag":5.93,"bv":"0.033"},"geometry":{"type":"Point","coordinates":[-38.5541,36.6674]}},{"type":"Feature","id":105854,"properties":{"mag":5.64,"bv":"1.185"},"geometry":{"type":"Point","coordinates":[-38.4047,-37.8294]}},{"type":"Feature","id":105858,"properties":{"mag":4.21,"bv":"0.494"},"geometry":{"type":"Point","coordinates":[-38.3891,-65.3662]}},{"type":"Feature","id":105881,"properties":{"mag":3.77,"bv":"1.002"},"geometry":{"type":"Point","coordinates":[-38.3332,-22.4113]}},{"type":"Feature","id":105898,"properties":{"mag":5.29,"bv":"0.108"},"geometry":{"type":"Point","coordinates":[-38.2849,48.8352]}},{"type":"Feature","id":105913,"properties":{"mag":5.5,"bv":"0.392"},"geometry":{"type":"Point","coordinates":[-38.2432,-42.5479]}},{"type":"Feature","id":105928,"properties":{"mag":5.78,"bv":"1.440"},"geometry":{"type":"Point","coordinates":[-38.1883,-21.1962]}},{"type":"Feature","id":105942,"properties":{"mag":5.3,"bv":"-0.140"},"geometry":{"type":"Point","coordinates":[-38.161,37.1168]}},{"type":"Feature","id":105966,"properties":{"mag":5.39,"bv":"0.049"},"geometry":{"type":"Point","coordinates":[-38.0831,27.6086]}},{"type":"Feature","id":105972,"properties":{"mag":5.42,"bv":"-0.099"},"geometry":{"type":"Point","coordinates":[-38.0577,66.8091]}},{"type":"Feature","id":106003,"properties":{"mag":5.75,"bv":"0.333"},"geometry":{"type":"Point","coordinates":[-37.9656,32.2253]}},{"type":"Feature","id":106032,"properties":{"mag":3.23,"bv":"-0.201"},"geometry":{"type":"Point","coordinates":[-37.835,70.5607]}},{"type":"Feature","id":106039,"properties":{"mag":4.5,"bv":"0.889"},"geometry":{"type":"Point","coordinates":[-37.8192,-21.8072]}},{"type":"Feature","id":106044,"properties":{"mag":5.47,"bv":"1.553"},"geometry":{"type":"Point","coordinates":[-37.8128,-69.5054]}},{"type":"Feature","id":106062,"properties":{"mag":5.84,"bv":"1.370"},"geometry":{"type":"Point","coordinates":[-37.7509,22.1794]}},{"type":"Feature","id":106093,"properties":{"mag":5.22,"bv":"0.965"},"geometry":{"type":"Point","coordinates":[-37.6377,46.5406]}},{"type":"Feature","id":106140,"properties":{"mag":4.52,"bv":"1.618"},"geometry":{"type":"Point","coordinates":[-37.5129,23.6388]}},{"type":"Feature","id":106227,"properties":{"mag":5.53,"bv":"0.102"},"geometry":{"type":"Point","coordinates":[-37.253,60.4594]}},{"type":"Feature","id":106278,"properties":{"mag":2.9,"bv":"0.828"},"geometry":{"type":"Point","coordinates":[-37.1103,-5.5712]}},{"type":"Feature","id":106327,"properties":{"mag":5.29,"bv":"1.109"},"geometry":{"type":"Point","coordinates":[-36.9755,-41.1793]}},{"type":"Feature","id":106340,"properties":{"mag":5.97,"bv":"0.051"},"geometry":{"type":"Point","coordinates":[-36.9393,-33.9446]}},{"type":"Feature","id":106393,"properties":{"mag":5.77,"bv":"-0.042"},"geometry":{"type":"Point","coordinates":[-36.7642,49.9776]}},{"type":"Feature","id":106429,"properties":{"mag":5.57,"bv":"1.044"},"geometry":{"type":"Point","coordinates":[-36.652,-44.8487]}},{"type":"Feature","id":106481,"properties":{"mag":3.98,"bv":"0.885"},"geometry":{"type":"Point","coordinates":[-36.5048,45.5918]}},{"type":"Feature","id":106551,"properties":{"mag":4.87,"bv":"1.085"},"geometry":{"type":"Point","coordinates":[-36.306,38.5341]}},{"type":"Feature","id":106559,"properties":{"mag":5.7,"bv":"0.423"},"geometry":{"type":"Point","coordinates":[-36.2873,-20.0843]}},{"type":"Feature","id":106592,"properties":{"mag":5.79,"bv":"1.110"},"geometry":{"type":"Point","coordinates":[-36.1766,-3.9833]}},{"type":"Feature","id":106642,"properties":{"mag":5.96,"bv":"1.341"},"geometry":{"type":"Point","coordinates":[-35.9896,45.3746]}},{"type":"Feature","id":106654,"properties":{"mag":5.73,"bv":"0.234"},"geometry":{"type":"Point","coordinates":[-35.9543,-26.1715]}},{"type":"Feature","id":106711,"properties":{"mag":5.04,"bv":"0.198"},"geometry":{"type":"Point","coordinates":[-35.7626,40.4135]}},{"type":"Feature","id":106723,"properties":{"mag":4.51,"bv":"-0.180"},"geometry":{"type":"Point","coordinates":[-35.7299,-19.466]}},{"type":"Feature","id":106786,"properties":{"mag":4.68,"bv":"0.175"},"geometry":{"type":"Point","coordinates":[-35.562,-7.8542]}},{"type":"Feature","id":106787,"properties":{"mag":5.46,"bv":"0.321"},"geometry":{"type":"Point","coordinates":[-35.5607,19.3186]}},{"type":"Feature","id":106801,"properties":{"mag":4.76,"bv":"0.246"},"geometry":{"type":"Point","coordinates":[-35.5199,62.0819]}},{"type":"Feature","id":106856,"properties":{"mag":5.66,"bv":"0.265"},"geometry":{"type":"Point","coordinates":[-35.3669,5.7717]}},{"type":"Feature","id":106886,"properties":{"mag":5.74,"bv":"0.200"},"geometry":{"type":"Point","coordinates":[-35.2599,57.489]}},{"type":"Feature","id":106897,"properties":{"mag":5.77,"bv":"0.314"},"geometry":{"type":"Point","coordinates":[-35.245,20.2655]}},{"type":"Feature","id":106944,"properties":{"mag":5.1,"bv":"1.034"},"geometry":{"type":"Point","coordinates":[-35.1114,2.2436]}},{"type":"Feature","id":106985,"properties":{"mag":3.69,"bv":"0.320"},"geometry":{"type":"Point","coordinates":[-34.9773,-16.6623]}},{"type":"Feature","id":106999,"properties":{"mag":5.09,"bv":"1.601"},"geometry":{"type":"Point","coordinates":[-34.9537,43.2738]}},{"type":"Feature","id":107089,"properties":{"mag":3.73,"bv":"1.008"},"geometry":{"type":"Point","coordinates":[-34.6306,-77.39]}},{"type":"Feature","id":107095,"properties":{"mag":5.16,"bv":"0.672"},"geometry":{"type":"Point","coordinates":[-34.6131,-14.0476]}},{"type":"Feature","id":107119,"properties":{"mag":4.55,"bv":"1.108"},"geometry":{"type":"Point","coordinates":[-34.5196,71.3114]}},{"type":"Feature","id":107128,"properties":{"mag":5.24,"bv":"0.991"},"geometry":{"type":"Point","coordinates":[-34.4971,-23.2629]}},{"type":"Feature","id":107129,"properties":{"mag":5.98,"bv":"2.500"},"geometry":{"type":"Point","coordinates":[-34.4955,35.5102]}},{"type":"Feature","id":107136,"properties":{"mag":4.69,"bv":"-0.119"},"geometry":{"type":"Point","coordinates":[-34.4764,51.1896]}},{"type":"Feature","id":107144,"properties":{"mag":5.66,"bv":"1.446"},"geometry":{"type":"Point","coordinates":[-34.4579,1.2853]}},{"type":"Feature","id":107151,"properties":{"mag":5.3,"bv":"1.653"},"geometry":{"type":"Point","coordinates":[-34.4356,5.6801]}},{"type":"Feature","id":107162,"properties":{"mag":5.73,"bv":"0.055"},"geometry":{"type":"Point","coordinates":[-34.4043,41.077]}},{"type":"Feature","id":107188,"properties":{"mag":4.72,"bv":"0.868"},"geometry":{"type":"Point","coordinates":[-34.3354,-18.8663]}},{"type":"Feature","id":107230,"properties":{"mag":5.18,"bv":"1.063"},"geometry":{"type":"Point","coordinates":[-34.2332,72.3201]}},{"type":"Feature","id":107232,"properties":{"mag":5.88,"bv":"0.255"},"geometry":{"type":"Point","coordinates":[-34.2317,-14.3997]}},{"type":"Feature","id":107235,"properties":{"mag":5.51,"bv":"1.615"},"geometry":{"type":"Point","coordinates":[-34.223,41.155]}},{"type":"Feature","id":107253,"properties":{"mag":5.69,"bv":"-0.010"},"geometry":{"type":"Point","coordinates":[-34.1431,38.2836]}},{"type":"Feature","id":107259,"properties":{"mag":4.23,"bv":"2.242"},"geometry":{"type":"Point","coordinates":[-34.1231,58.78]}},{"type":"Feature","id":107302,"properties":{"mag":5.96,"bv":"0.219"},"geometry":{"type":"Point","coordinates":[-33.996,-14.7494]}},{"type":"Feature","id":107310,"properties":{"mag":4.49,"bv":"0.512"},"geometry":{"type":"Point","coordinates":[-33.9643,28.7426]}},{"type":"Feature","id":107315,"properties":{"mag":2.38,"bv":"1.520"},"geometry":{"type":"Point","coordinates":[-33.9535,9.875]}},{"type":"Feature","id":107348,"properties":{"mag":4.34,"bv":"1.161"},"geometry":{"type":"Point","coordinates":[-33.8721,17.35]}},{"type":"Feature","id":107350,"properties":{"mag":5.96,"bv":"0.587"},"geometry":{"type":"Point","coordinates":[-33.8695,14.7719]}},{"type":"Feature","id":107354,"properties":{"mag":4.14,"bv":"0.425"},"geometry":{"type":"Point","coordinates":[-33.8386,25.645]}},{"type":"Feature","id":107374,"properties":{"mag":5.94,"bv":"0.312"},"geometry":{"type":"Point","coordinates":[-33.778,62.4606]}},{"type":"Feature","id":107380,"properties":{"mag":4.35,"bv":"-0.053"},"geometry":{"type":"Point","coordinates":[-33.7633,-33.0258]}},{"type":"Feature","id":107382,"properties":{"mag":5.1,"bv":"1.108"},"geometry":{"type":"Point","coordinates":[-33.7489,-9.0824]}},{"type":"Feature","id":107418,"properties":{"mag":4.25,"bv":"0.474"},"geometry":{"type":"Point","coordinates":[-33.6378,61.1208]}},{"type":"Feature","id":107472,"properties":{"mag":5.29,"bv":"1.381"},"geometry":{"type":"Point","coordinates":[-33.4818,22.9489]}},{"type":"Feature","id":107487,"properties":{"mag":6,"bv":"1.629"},"geometry":{"type":"Point","coordinates":[-33.4322,-9.2759]}},{"type":"Feature","id":107517,"properties":{"mag":5.57,"bv":"-0.002"},"geometry":{"type":"Point","coordinates":[-33.3663,-11.366]}},{"type":"Feature","id":107533,"properties":{"mag":4.23,"bv":"-0.120"},"geometry":{"type":"Point","coordinates":[-33.3016,49.3096]}},{"type":"Feature","id":107556,"properties":{"mag":2.85,"bv":"0.180"},"geometry":{"type":"Point","coordinates":[-33.2398,-16.1273]}},{"type":"Feature","id":107575,"properties":{"mag":5.63,"bv":"0.012"},"geometry":{"type":"Point","coordinates":[-33.1918,2.6861]}},{"type":"Feature","id":107586,"properties":{"mag":5.53,"bv":"1.575"},"geometry":{"type":"Point","coordinates":[-33.1446,60.6927]}},{"type":"Feature","id":107608,"properties":{"mag":5.02,"bv":"0.042"},"geometry":{"type":"Point","coordinates":[-33.066,-30.8983]}},{"type":"Feature","id":107649,"properties":{"mag":5.57,"bv":"0.601"},"geometry":{"type":"Point","coordinates":[-32.9344,-47.3036]}},{"type":"Feature","id":107763,"properties":{"mag":5.07,"bv":"0.010"},"geometry":{"type":"Point","coordinates":[-32.5388,30.1742]}},{"type":"Feature","id":107773,"properties":{"mag":5.62,"bv":"1.018"},"geometry":{"type":"Point","coordinates":[-32.4995,-64.7125]}},{"type":"Feature","id":107788,"properties":{"mag":5.34,"bv":"0.394"},"geometry":{"type":"Point","coordinates":[-32.4638,17.2859]}},{"type":"Feature","id":107835,"properties":{"mag":5.52,"bv":"1.378"},"geometry":{"type":"Point","coordinates":[-32.3034,-69.6294]}},{"type":"Feature","id":107843,"properties":{"mag":5.27,"bv":"0.756"},"geometry":{"type":"Point","coordinates":[-32.2727,-82.7189]}},{"type":"Feature","id":107887,"properties":{"mag":5.78,"bv":"-0.100"},"geometry":{"type":"Point","coordinates":[-32.1073,19.8267]}},{"type":"Feature","id":107930,"properties":{"mag":5.7,"bv":"-0.081"},"geometry":{"type":"Point","coordinates":[-31.9957,55.7967]}},{"type":"Feature","id":107975,"properties":{"mag":5.52,"bv":"0.426"},"geometry":{"type":"Point","coordinates":[-31.8753,28.7935]}},{"type":"Feature","id":108022,"properties":{"mag":5.09,"bv":"-0.155"},"geometry":{"type":"Point","coordinates":[-31.7343,25.9251]}},{"type":"Feature","id":108036,"properties":{"mag":5.08,"bv":"0.378"},"geometry":{"type":"Point","coordinates":[-31.676,-13.5518]}},{"type":"Feature","id":108060,"properties":{"mag":5.69,"bv":"0.011"},"geometry":{"type":"Point","coordinates":[-31.5942,19.6684]}},{"type":"Feature","id":108085,"properties":{"mag":3,"bv":"-0.084"},"geometry":{"type":"Point","coordinates":[-31.5178,-37.3649]}},{"type":"Feature","id":108102,"properties":{"mag":5.71,"bv":"1.185"},"geometry":{"type":"Point","coordinates":[-31.4568,-4.2762]}},{"type":"Feature","id":108165,"properties":{"mag":5.74,"bv":"0.655"},"geometry":{"type":"Point","coordinates":[-31.2785,56.6112]}},{"type":"Feature","id":108195,"properties":{"mag":5.92,"bv":"0.393"},"geometry":{"type":"Point","coordinates":[-31.2025,-61.8866]}},{"type":"Feature","id":108226,"properties":{"mag":5.84,"bv":"-0.037"},"geometry":{"type":"Point","coordinates":[-31.1208,65.3208]}},{"type":"Feature","id":108294,"properties":{"mag":5.45,"bv":"0.084"},"geometry":{"type":"Point","coordinates":[-30.9051,-37.2537]}},{"type":"Feature","id":108317,"properties":{"mag":5.11,"bv":"1.547"},"geometry":{"type":"Point","coordinates":[-30.8369,63.6256]}},{"type":"Feature","id":108339,"properties":{"mag":5.54,"bv":"0.054"},"geometry":{"type":"Point","coordinates":[-30.7651,12.0765]}},{"type":"Feature","id":108431,"properties":{"mag":4.4,"bv":"0.297"},"geometry":{"type":"Point","coordinates":[-30.5205,-54.9926]}},{"type":"Feature","id":108505,"properties":{"mag":5.96,"bv":"1.640"},"geometry":{"type":"Point","coordinates":[-30.277,62.698]}},{"type":"Feature","id":108535,"properties":{"mag":5.04,"bv":"0.439"},"geometry":{"type":"Point","coordinates":[-30.1876,73.1799]}},{"type":"Feature","id":108543,"properties":{"mag":5.5,"bv":"0.996"},"geometry":{"type":"Point","coordinates":[-30.1754,-38.3951]}},{"type":"Feature","id":108612,"properties":{"mag":6,"bv":"-0.112"},"geometry":{"type":"Point","coordinates":[-29.967,6.7174]}},{"type":"Feature","id":108661,"properties":{"mag":5.43,"bv":"-0.095"},"geometry":{"type":"Point","coordinates":[-29.7907,-28.4537]}},{"type":"Feature","id":108691,"properties":{"mag":5.6,"bv":"1.279"},"geometry":{"type":"Point","coordinates":[-29.7291,0.6047]}},{"type":"Feature","id":108693,"properties":{"mag":5.61,"bv":"0.336"},"geometry":{"type":"Point","coordinates":[-29.7277,13.1198]}},{"type":"Feature","id":108699,"properties":{"mag":5.65,"bv":"1.440"},"geometry":{"type":"Point","coordinates":[-29.7115,8.2572]}},{"type":"Feature","id":108758,"properties":{"mag":5.79,"bv":"-0.106"},"geometry":{"type":"Point","coordinates":[-29.5392,52.8823]}},{"type":"Feature","id":108772,"properties":{"mag":5.55,"bv":"0.017"},"geometry":{"type":"Point","coordinates":[-29.4809,58.0004]}},{"type":"Feature","id":108845,"properties":{"mag":5.57,"bv":"-0.029"},"geometry":{"type":"Point","coordinates":[-29.2639,44.6499]}},{"type":"Feature","id":108849,"properties":{"mag":5.94,"bv":"0.399"},"geometry":{"type":"Point","coordinates":[-29.2341,-76.1184]}},{"type":"Feature","id":108868,"properties":{"mag":5.55,"bv":"0.959"},"geometry":{"type":"Point","coordinates":[-29.1814,-6.5224]}},{"type":"Feature","id":108870,"properties":{"mag":4.69,"bv":"1.056"},"geometry":{"type":"Point","coordinates":[-29.1598,-56.786]}},{"type":"Feature","id":108874,"properties":{"mag":4.74,"bv":"-0.100"},"geometry":{"type":"Point","coordinates":[-29.1715,-2.1554]}},{"type":"Feature","id":108875,"properties":{"mag":5.83,"bv":"-0.050"},"geometry":{"type":"Point","coordinates":[-29.1707,11.3866]}},{"type":"Feature","id":108917,"properties":{"mag":4.26,"bv":"0.379"},"geometry":{"type":"Point","coordinates":[-29.0523,64.628]}},{"type":"Feature","id":108924,"properties":{"mag":5.26,"bv":"1.557"},"geometry":{"type":"Point","coordinates":[-29.0293,63.1199]}},{"type":"Feature","id":108975,"properties":{"mag":5.97,"bv":"-0.167"},"geometry":{"type":"Point","coordinates":[-28.8468,-26.8224]}},{"type":"Feature","id":108991,"properties":{"mag":5.29,"bv":"0.231"},"geometry":{"type":"Point","coordinates":[-28.8024,-0.9063]}},{"type":"Feature","id":109005,"properties":{"mag":5.27,"bv":"1.413"},"geometry":{"type":"Point","coordinates":[-28.7479,62.7857]}},{"type":"Feature","id":109017,"properties":{"mag":5.07,"bv":"0.240"},"geometry":{"type":"Point","coordinates":[-28.7134,62.2798]}},{"type":"Feature","id":109023,"properties":{"mag":5.75,"bv":"1.249"},"geometry":{"type":"Point","coordinates":[-28.7028,26.6737]}},{"type":"Feature","id":109056,"properties":{"mag":5.69,"bv":"-0.048"},"geometry":{"type":"Point","coordinates":[-28.6055,28.964]}},{"type":"Feature","id":109068,"properties":{"mag":4.86,"bv":"1.443"},"geometry":{"type":"Point","coordinates":[-28.5802,5.0585]}},{"type":"Feature","id":109074,"properties":{"mag":2.95,"bv":"0.969"},"geometry":{"type":"Point","coordinates":[-28.554,-0.3199]}},{"type":"Feature","id":109081,"properties":{"mag":5.62,"bv":"1.468"},"geometry":{"type":"Point","coordinates":[-28.5374,-59.6361]}},{"type":"Feature","id":109102,"properties":{"mag":5.09,"bv":"1.568"},"geometry":{"type":"Point","coordinates":[-28.4919,45.0143]}},{"type":"Feature","id":109111,"properties":{"mag":4.47,"bv":"1.349"},"geometry":{"type":"Point","coordinates":[-28.4713,-39.5434]}},{"type":"Feature","id":109139,"properties":{"mag":4.29,"bv":"-0.075"},"geometry":{"type":"Point","coordinates":[-28.3907,-13.8697]}},{"type":"Feature","id":109176,"properties":{"mag":3.77,"bv":"0.435"},"geometry":{"type":"Point","coordinates":[-28.2472,25.3451]}},{"type":"Feature","id":109209,"properties":{"mag":5.74,"bv":"0.331"},"geometry":{"type":"Point","coordinates":[-28.1309,19.4755]}},{"type":"Feature","id":109240,"properties":{"mag":5.79,"bv":"-0.077"},"geometry":{"type":"Point","coordinates":[-28.0404,21.7029]}},{"type":"Feature","id":109268,"properties":{"mag":1.73,"bv":"-0.070"},"geometry":{"type":"Point","coordinates":[-27.9417,-46.961]}},{"type":"Feature","id":109285,"properties":{"mag":4.5,"bv":"0.054"},"geometry":{"type":"Point","coordinates":[-27.9041,-32.9885]}},{"type":"Feature","id":109289,"properties":{"mag":4.99,"bv":"1.499"},"geometry":{"type":"Point","coordinates":[-27.8919,-34.0438]}},{"type":"Feature","id":109332,"properties":{"mag":5.8,"bv":"-0.154"},"geometry":{"type":"Point","coordinates":[-27.7542,-18.5196]}},{"type":"Feature","id":109352,"properties":{"mag":5.58,"bv":"0.985"},"geometry":{"type":"Point","coordinates":[-27.6932,33.1723]}},{"type":"Feature","id":109400,"properties":{"mag":4.79,"bv":"0.919"},"geometry":{"type":"Point","coordinates":[-27.5482,72.3412]}},{"type":"Feature","id":109404,"properties":{"mag":5.37,"bv":"0.241"},"geometry":{"type":"Point","coordinates":[-27.5179,-34.015]}},{"type":"Feature","id":109410,"properties":{"mag":4.28,"bv":"0.471"},"geometry":{"type":"Point","coordinates":[-27.5031,33.1782]}},{"type":"Feature","id":109422,"properties":{"mag":4.94,"bv":"0.489"},"geometry":{"type":"Point","coordinates":[-27.4634,-32.5484]}},{"type":"Feature","id":109427,"properties":{"mag":3.52,"bv":"0.086"},"geometry":{"type":"Point","coordinates":[-27.4501,6.1979]}},{"type":"Feature","id":109466,"properties":{"mag":5.98,"bv":"0.981"},"geometry":{"type":"Point","coordinates":[-27.3594,-4.2669]}},{"type":"Feature","id":109471,"properties":{"mag":5.78,"bv":"1.617"},"geometry":{"type":"Point","coordinates":[-27.344,11.6245]}},{"type":"Feature","id":109472,"properties":{"mag":5.43,"bv":"-0.117"},"geometry":{"type":"Point","coordinates":[-27.3438,-11.5649]}},{"type":"Feature","id":109474,"properties":{"mag":5.52,"bv":"0.391"},"geometry":{"type":"Point","coordinates":[-27.3384,70.1326]}},{"type":"Feature","id":109492,"properties":{"mag":3.39,"bv":"1.558"},"geometry":{"type":"Point","coordinates":[-27.2863,58.2013]}},{"type":"Feature","id":109521,"properties":{"mag":5.38,"bv":"0.152"},"geometry":{"type":"Point","coordinates":[-27.2088,50.8234]}},{"type":"Feature","id":109556,"properties":{"mag":5.05,"bv":"0.192"},"geometry":{"type":"Point","coordinates":[-27.1226,59.4145]}},{"type":"Feature","id":109572,"properties":{"mag":5.24,"bv":"0.534"},"geometry":{"type":"Point","coordinates":[-27.0468,56.8394]}},{"type":"Feature","id":109577,"properties":{"mag":5.93,"bv":"0.951"},"geometry":{"type":"Point","coordinates":[-27.0361,16.0406]}},{"type":"Feature","id":109592,"properties":{"mag":5.37,"bv":"1.184"},"geometry":{"type":"Point","coordinates":[-26.9916,60.7591]}},{"type":"Feature","id":109602,"properties":{"mag":5.97,"bv":"1.500"},"geometry":{"type":"Point","coordinates":[-26.9663,24.9506]}},{"type":"Feature","id":109620,"properties":{"mag":5.76,"bv":"1.645"},"geometry":{"type":"Point","coordinates":[-26.9065,63.291]}},{"type":"Feature","id":109654,"properties":{"mag":5.34,"bv":"1.134"},"geometry":{"type":"Point","coordinates":[-26.8007,34.6046]}},{"type":"Feature","id":109693,"properties":{"mag":5.27,"bv":"-0.030"},"geometry":{"type":"Point","coordinates":[-26.7058,86.108]}},{"type":"Feature","id":109730,"properties":{"mag":5.87,"bv":"1.169"},"geometry":{"type":"Point","coordinates":[-26.5888,28.608]}},{"type":"Feature","id":109737,"properties":{"mag":5.58,"bv":"0.497"},"geometry":{"type":"Point","coordinates":[-26.5649,-25.1809]}},{"type":"Feature","id":109745,"properties":{"mag":5.53,"bv":"0.021"},"geometry":{"type":"Point","coordinates":[-26.5448,45.4406]}},{"type":"Feature","id":109754,"properties":{"mag":4.5,"bv":"1.385"},"geometry":{"type":"Point","coordinates":[-26.5303,39.7149]}},{"type":"Feature","id":109786,"properties":{"mag":5.33,"bv":"0.812"},"geometry":{"type":"Point","coordinates":[-26.4249,-21.0746]}},{"type":"Feature","id":109789,"properties":{"mag":5.45,"bv":"-0.121"},"geometry":{"type":"Point","coordinates":[-26.4219,-27.7669]}},{"type":"Feature","id":109831,"properties":{"mag":5.72,"bv":"0.014"},"geometry":{"type":"Point","coordinates":[-26.3151,42.9539]}},{"type":"Feature","id":109857,"properties":{"mag":4.18,"bv":"0.278"},"geometry":{"type":"Point","coordinates":[-26.2409,57.0436]}},{"type":"Feature","id":109908,"properties":{"mag":4.79,"bv":"0.790"},"geometry":{"type":"Point","coordinates":[-26.0962,-41.3467]}},{"type":"Feature","id":109937,"properties":{"mag":4.14,"bv":"1.447"},"geometry":{"type":"Point","coordinates":[-26.0076,37.7487]}},{"type":"Feature","id":109972,"properties":{"mag":5.88,"bv":"0.950"},"geometry":{"type":"Point","coordinates":[-25.8893,57.2202]}},{"type":"Feature","id":109973,"properties":{"mag":5.11,"bv":"0.930"},"geometry":{"type":"Point","coordinates":[-25.8893,-41.6272]}},{"type":"Feature","id":110000,"properties":{"mag":5.34,"bv":"1.132"},"geometry":{"type":"Point","coordinates":[-25.7998,-12.8314]}},{"type":"Feature","id":110003,"properties":{"mag":4.17,"bv":"0.979"},"geometry":{"type":"Point","coordinates":[-25.7915,-7.7833]}},{"type":"Feature","id":110009,"properties":{"mag":5.8,"bv":"1.158"},"geometry":{"type":"Point","coordinates":[-25.781,-9.0401]}},{"type":"Feature","id":110023,"properties":{"mag":5.75,"bv":"0.878"},"geometry":{"type":"Point","coordinates":[-25.7229,-5.3872]}},{"type":"Feature","id":110078,"properties":{"mag":5.49,"bv":"0.312"},"geometry":{"type":"Point","coordinates":[-25.5392,-77.5116]}},{"type":"Feature","id":110103,"properties":{"mag":5.75,"bv":"1.256"},"geometry":{"type":"Point","coordinates":[-25.4473,62.8044]}},{"type":"Feature","id":110109,"properties":{"mag":5.36,"bv":"0.614"},"geometry":{"type":"Point","coordinates":[-25.4349,-53.6271]}},{"type":"Feature","id":110130,"properties":{"mag":2.87,"bv":"1.390"},"geometry":{"type":"Point","coordinates":[-25.3746,-60.2596]}},{"type":"Feature","id":110179,"properties":{"mag":5.96,"bv":"1.075"},"geometry":{"type":"Point","coordinates":[-25.2469,-13.305]}},{"type":"Feature","id":110256,"properties":{"mag":5.09,"bv":"1.276"},"geometry":{"type":"Point","coordinates":[-24.993,-80.4397]}},{"type":"Feature","id":110273,"properties":{"mag":5.35,"bv":"-0.048"},"geometry":{"type":"Point","coordinates":[-24.9503,-7.8211]}},{"type":"Feature","id":110298,"properties":{"mag":5.37,"bv":"-0.037"},"geometry":{"type":"Point","coordinates":[-24.8851,5.7895]}},{"type":"Feature","id":110351,"properties":{"mag":4.55,"bv":"-0.100"},"geometry":{"type":"Point","coordinates":[-24.7436,46.5366]}},{"type":"Feature","id":110371,"properties":{"mag":4.78,"bv":"-0.010"},"geometry":{"type":"Point","coordinates":[-24.6694,28.3305]}},{"type":"Feature","id":110386,"properties":{"mag":4.82,"bv":"-0.132"},"geometry":{"type":"Point","coordinates":[-24.6205,12.2052]}},{"type":"Feature","id":110391,"properties":{"mag":5.12,"bv":"1.057"},"geometry":{"type":"Point","coordinates":[-24.6018,-21.5982]}},{"type":"Feature","id":110395,"properties":{"mag":3.86,"bv":"-0.057"},"geometry":{"type":"Point","coordinates":[-24.5859,-1.3873]}},{"type":"Feature","id":110506,"properties":{"mag":5.62,"bv":"0.372"},"geometry":{"type":"Point","coordinates":[-24.2167,-45.9285]}},{"type":"Feature","id":110529,"properties":{"mag":5.53,"bv":"0.979"},"geometry":{"type":"Point","coordinates":[-24.1215,-24.7627]}},{"type":"Feature","id":110532,"properties":{"mag":5.92,"bv":"0.998"},"geometry":{"type":"Point","coordinates":[-24.116,-7.1944]}},{"type":"Feature","id":110538,"properties":{"mag":4.42,"bv":"1.015"},"geometry":{"type":"Point","coordinates":[-24.1099,52.229]}},{"type":"Feature","id":110578,"properties":{"mag":5.79,"bv":"-0.033"},"geometry":{"type":"Point","coordinates":[-23.9713,-4.837]}},{"type":"Feature","id":110602,"properties":{"mag":5.76,"bv":"0.970"},"geometry":{"type":"Point","coordinates":[-23.8872,-13.5294]}},{"type":"Feature","id":110609,"properties":{"mag":4.55,"bv":"0.092"},"geometry":{"type":"Point","coordinates":[-23.8709,49.4764]}},{"type":"Feature","id":110618,"properties":{"mag":5.28,"bv":"0.660"},"geometry":{"type":"Point","coordinates":[-23.8463,-72.2554]}},{"type":"Feature","id":110649,"properties":{"mag":5.31,"bv":"0.665"},"geometry":{"type":"Point","coordinates":[-23.765,-57.7974]}},{"type":"Feature","id":110668,"properties":{"mag":5.78,"bv":"0.396"},"geometry":{"type":"Point","coordinates":[-23.7058,-70.4316]}},{"type":"Feature","id":110672,"properties":{"mag":4.8,"bv":"-0.171"},"geometry":{"type":"Point","coordinates":[-23.6807,1.3774]}},{"type":"Feature","id":110725,"properties":{"mag":5.47,"bv":"1.216"},"geometry":{"type":"Point","coordinates":[-23.4966,70.7709]}},{"type":"Feature","id":110778,"properties":{"mag":5.55,"bv":"0.618"},"geometry":{"type":"Point","coordinates":[-23.3572,-16.7421]}},{"type":"Feature","id":110785,"properties":{"mag":5.76,"bv":"0.519"},"geometry":{"type":"Point","coordinates":[-23.3442,4.3938]}},{"type":"Feature","id":110787,"properties":{"mag":5.83,"bv":"0.171"},"geometry":{"type":"Point","coordinates":[-23.3233,78.7859]}},{"type":"Feature","id":110817,"properties":{"mag":5.52,"bv":"0.302"},"geometry":{"type":"Point","coordinates":[-23.2279,65.1323]}},{"type":"Feature","id":110838,"properties":{"mag":4.51,"bv":"-0.029"},"geometry":{"type":"Point","coordinates":[-23.1668,-64.9664]}},{"type":"Feature","id":110873,"properties":{"mag":6,"bv":"1.442"},"geometry":{"type":"Point","coordinates":[-23.0573,31.84]}},{"type":"Feature","id":110882,"properties":{"mag":4.78,"bv":"1.039"},"geometry":{"type":"Point","coordinates":[-23.0353,4.6957]}},{"type":"Feature","id":110935,"properties":{"mag":5.56,"bv":"0.208"},"geometry":{"type":"Point","coordinates":[-22.843,-67.4891]}},{"type":"Feature","id":110936,"properties":{"mag":5.47,"bv":"0.959"},"geometry":{"type":"Point","coordinates":[-22.8366,-39.1318]}},{"type":"Feature","id":110960,"properties":{"mag":3.65,"bv":"0.406"},"geometry":{"type":"Point","coordinates":[-22.792,-0.02]}},{"type":"Feature","id":110986,"properties":{"mag":5.6,"bv":"1.578"},"geometry":{"type":"Point","coordinates":[-22.7167,9.129]}},{"type":"Feature","id":110991,"properties":{"mag":4.07,"bv":"0.778"},"geometry":{"type":"Point","coordinates":[-22.7072,58.4152]}},{"type":"Feature","id":110992,"properties":{"mag":5.79,"bv":"1.252"},"geometry":{"type":"Point","coordinates":[-22.7074,26.7632]}},{"type":"Feature","id":110997,"properties":{"mag":3.97,"bv":"1.022"},"geometry":{"type":"Point","coordinates":[-22.6826,-43.4956]}},{"type":"Feature","id":111022,"properties":{"mag":4.34,"bv":"1.679"},"geometry":{"type":"Point","coordinates":[-22.6174,47.7069]}},{"type":"Feature","id":111043,"properties":{"mag":4.12,"bv":"1.570"},"geometry":{"type":"Point","coordinates":[-22.5607,-43.7492]}},{"type":"Feature","id":111045,"properties":{"mag":5.95,"bv":"0.362"},"geometry":{"type":"Point","coordinates":[-22.5583,-27.1073]}},{"type":"Feature","id":111056,"properties":{"mag":5.45,"bv":"0.093"},"geometry":{"type":"Point","coordinates":[-22.5293,78.8243]}},{"type":"Feature","id":111062,"properties":{"mag":5.51,"bv":"0.385"},"geometry":{"type":"Point","coordinates":[-22.5086,4.4317]}},{"type":"Feature","id":111068,"properties":{"mag":5.64,"bv":"-0.031"},"geometry":{"type":"Point","coordinates":[-22.4924,32.5726]}},{"type":"Feature","id":111104,"properties":{"mag":4.52,"bv":"-0.086"},"geometry":{"type":"Point","coordinates":[-22.3781,43.1234]}},{"type":"Feature","id":111123,"properties":{"mag":4.82,"bv":"-0.053"},"geometry":{"type":"Point","coordinates":[-22.3383,-10.678]}},{"type":"Feature","id":111169,"properties":{"mag":3.76,"bv":"0.031"},"geometry":{"type":"Point","coordinates":[-22.1771,50.2825]}},{"type":"Feature","id":111188,"properties":{"mag":4.29,"bv":"0.011"},"geometry":{"type":"Point","coordinates":[-22.1236,-32.3461]}},{"type":"Feature","id":111196,"properties":{"mag":5.76,"bv":"1.020"},"geometry":{"type":"Point","coordinates":[-22.0937,-85.9673]}},{"type":"Feature","id":111242,"properties":{"mag":5.7,"bv":"0.020"},"geometry":{"type":"Point","coordinates":[-21.9324,76.2264]}},{"type":"Feature","id":111259,"properties":{"mag":5.88,"bv":"0.166"},"geometry":{"type":"Point","coordinates":[-21.8901,39.7797]}},{"type":"Feature","id":111310,"properties":{"mag":4.91,"bv":"1.612"},"geometry":{"type":"Point","coordinates":[-21.7497,-61.9821]}},{"type":"Feature","id":111362,"properties":{"mag":5.72,"bv":"0.966"},"geometry":{"type":"Point","coordinates":[-21.5806,56.6247]}},{"type":"Feature","id":111394,"properties":{"mag":5.88,"bv":"0.977"},"geometry":{"type":"Point","coordinates":[-21.4879,-1.5743]}},{"type":"Feature","id":111449,"properties":{"mag":5.21,"bv":"0.446"},"geometry":{"type":"Point","coordinates":[-21.3265,-20.7082]}},{"type":"Feature","id":111497,"properties":{"mag":4.04,"bv":"-0.083"},"geometry":{"type":"Point","coordinates":[-21.1609,-0.1175]}},{"type":"Feature","id":111515,"properties":{"mag":5.97,"bv":"0.984"},"geometry":{"type":"Point","coordinates":[-21.0984,-23.9911]}},{"type":"Feature","id":111532,"properties":{"mag":5.08,"bv":"0.395"},"geometry":{"type":"Point","coordinates":[-21.0578,73.6432]}},{"type":"Feature","id":111546,"properties":{"mag":5.73,"bv":"-0.160"},"geometry":{"type":"Point","coordinates":[-21.0321,39.6343]}},{"type":"Feature","id":111600,"properties":{"mag":5.82,"bv":"1.074"},"geometry":{"type":"Point","coordinates":[-20.8523,-31.6638]}},{"type":"Feature","id":111643,"properties":{"mag":5.85,"bv":"0.060"},"geometry":{"type":"Point","coordinates":[-20.7548,-40.591]}},{"type":"Feature","id":111660,"properties":{"mag":5.8,"bv":"1.594"},"geometry":{"type":"Point","coordinates":[-20.696,75.3718]}},{"type":"Feature","id":111674,"properties":{"mag":4.64,"bv":"0.254"},"geometry":{"type":"Point","coordinates":[-20.6566,51.5451]}},{"type":"Feature","id":111710,"properties":{"mag":5.04,"bv":"1.140"},"geometry":{"type":"Point","coordinates":[-20.5609,-4.2281]}},{"type":"Feature","id":111795,"properties":{"mag":5.11,"bv":"1.537"},"geometry":{"type":"Point","coordinates":[-20.342,56.7956]}},{"type":"Feature","id":111797,"properties":{"mag":5.19,"bv":"0.083"},"geometry":{"type":"Point","coordinates":[-20.3373,63.5845]}},{"type":"Feature","id":111809,"properties":{"mag":5.66,"bv":"0.037"},"geometry":{"type":"Point","coordinates":[-20.2856,-33.0813]}},{"type":"Feature","id":111810,"properties":{"mag":5.84,"bv":"0.922"},"geometry":{"type":"Point","coordinates":[-20.2809,19.5223]}},{"type":"Feature","id":111841,"properties":{"mag":4.89,"bv":"-0.207"},"geometry":{"type":"Point","coordinates":[-20.1847,39.0503]}},{"type":"Feature","id":111925,"properties":{"mag":5.94,"bv":"0.946"},"geometry":{"type":"Point","coordinates":[-19.9233,53.8459]}},{"type":"Feature","id":111934,"properties":{"mag":5.88,"bv":"1.297"},"geometry":{"type":"Point","coordinates":[-19.9071,-30.6589]}},{"type":"Feature","id":111944,"properties":{"mag":4.5,"bv":"1.318"},"geometry":{"type":"Point","coordinates":[-19.8714,44.2763]}},{"type":"Feature","id":111954,"properties":{"mag":4.18,"bv":"-0.105"},"geometry":{"type":"Point","coordinates":[-19.8361,-27.0436]}},{"type":"Feature","id":111967,"properties":{"mag":5.98,"bv":"1.450"},"geometry":{"type":"Point","coordinates":[-19.7962,-57.4223]}},{"type":"Feature","id":111974,"properties":{"mag":5.72,"bv":"0.723"},"geometry":{"type":"Point","coordinates":[-19.7805,14.5492]}},{"type":"Feature","id":112029,"properties":{"mag":3.41,"bv":"-0.086"},"geometry":{"type":"Point","coordinates":[-19.6345,10.8314]}},{"type":"Feature","id":112031,"properties":{"mag":5.25,"bv":"-0.137"},"geometry":{"type":"Point","coordinates":[-19.6306,40.2254]}},{"type":"Feature","id":112041,"properties":{"mag":5.93,"bv":"0.998"},"geometry":{"type":"Point","coordinates":[-19.5998,41.5491]}},{"type":"Feature","id":112051,"properties":{"mag":4.8,"bv":"-0.013"},"geometry":{"type":"Point","coordinates":[-19.5608,29.3076]}},{"type":"Feature","id":112067,"properties":{"mag":5.92,"bv":"1.114"},"geometry":{"type":"Point","coordinates":[-19.5106,14.5164]}},{"type":"Feature","id":112117,"properties":{"mag":5.99,"bv":"0.584"},"geometry":{"type":"Point","coordinates":[-19.3463,-47.2108]}},{"type":"Feature","id":112122,"properties":{"mag":2.07,"bv":"1.610"},"geometry":{"type":"Point","coordinates":[-19.3331,-46.8846]}},{"type":"Feature","id":112158,"properties":{"mag":2.93,"bv":"0.852"},"geometry":{"type":"Point","coordinates":[-19.2494,30.2212]}},{"type":"Feature","id":112203,"properties":{"mag":4.84,"bv":"1.027"},"geometry":{"type":"Point","coordinates":[-19.1251,-41.4143]}},{"type":"Feature","id":112211,"properties":{"mag":4.68,"bv":"1.358"},"geometry":{"type":"Point","coordinates":[-19.1032,-18.8304]}},{"type":"Feature","id":112241,"properties":{"mag":5.93,"bv":"1.490"},"geometry":{"type":"Point","coordinates":[-18.9783,39.4653]}},{"type":"Feature","id":112242,"properties":{"mag":5.11,"bv":"0.960"},"geometry":{"type":"Point","coordinates":[-18.9772,41.8192]}},{"type":"Feature","id":112374,"properties":{"mag":4.84,"bv":"1.180"},"geometry":{"type":"Point","coordinates":[-18.5922,-53.5001]}},{"type":"Feature","id":112381,"properties":{"mag":5.52,"bv":"1.302"},"geometry":{"type":"Point","coordinates":[-18.5801,-46.5473]}},{"type":"Feature","id":112405,"properties":{"mag":4.13,"bv":"0.208"},"geometry":{"type":"Point","coordinates":[-18.4854,-81.3816]}},{"type":"Feature","id":112417,"properties":{"mag":5.84,"bv":"0.358"},"geometry":{"type":"Point","coordinates":[-18.4574,44.5461]}},{"type":"Feature","id":112440,"properties":{"mag":3.97,"bv":"1.070"},"geometry":{"type":"Point","coordinates":[-18.3672,23.5657]}},{"type":"Feature","id":112447,"properties":{"mag":4.2,"bv":"0.502"},"geometry":{"type":"Point","coordinates":[-18.3267,12.1729]}},{"type":"Feature","id":112519,"properties":{"mag":4.77,"bv":"1.257"},"geometry":{"type":"Point","coordinates":[-18.1289,83.1538]}},{"type":"Feature","id":112529,"properties":{"mag":5.24,"bv":"0.941"},"geometry":{"type":"Point","coordinates":[-18.112,-19.6134]}},{"type":"Feature","id":112542,"properties":{"mag":5.68,"bv":"-0.016"},"geometry":{"type":"Point","coordinates":[-18.0718,-14.0564]}},{"type":"Feature","id":112590,"properties":{"mag":5.82,"bv":"1.024"},"geometry":{"type":"Point","coordinates":[-17.954,37.4167]}},{"type":"Feature","id":112623,"properties":{"mag":3.49,"bv":"0.083"},"geometry":{"type":"Point","coordinates":[-17.8613,-51.3169]}},{"type":"Feature","id":112716,"properties":{"mag":4.05,"bv":"1.570"},"geometry":{"type":"Point","coordinates":[-17.6021,-13.5926]}},{"type":"Feature","id":112724,"properties":{"mag":3.5,"bv":"1.053"},"geometry":{"type":"Point","coordinates":[-17.5799,66.2004]}},{"type":"Feature","id":112731,"properties":{"mag":5.43,"bv":"1.167"},"geometry":{"type":"Point","coordinates":[-17.557,55.9028]}},{"type":"Feature","id":112748,"properties":{"mag":3.51,"bv":"0.933"},"geometry":{"type":"Point","coordinates":[-17.4992,24.6016]}},{"type":"Feature","id":112778,"properties":{"mag":5.91,"bv":"0.062"},"geometry":{"type":"Point","coordinates":[-17.4093,41.9534]}},{"type":"Feature","id":112781,"properties":{"mag":5.32,"bv":"-0.126"},"geometry":{"type":"Point","coordinates":[-17.4049,-80.1238]}},{"type":"Feature","id":112832,"properties":{"mag":5.43,"bv":"1.444"},"geometry":{"type":"Point","coordinates":[-17.241,-39.1568]}},{"type":"Feature","id":112833,"properties":{"mag":5.89,"bv":"1.340"},"geometry":{"type":"Point","coordinates":[-17.2374,85.3737]}},{"type":"Feature","id":112862,"properties":{"mag":5.99,"bv":"0.907"},"geometry":{"type":"Point","coordinates":[-17.1628,-29.5363]}},{"type":"Feature","id":112864,"properties":{"mag":5.61,"bv":"0.775"},"geometry":{"type":"Point","coordinates":[-17.1557,61.6967]}},{"type":"Feature","id":112917,"properties":{"mag":4.95,"bv":"1.559"},"geometry":{"type":"Point","coordinates":[-16.9915,43.3124]}},{"type":"Feature","id":112935,"properties":{"mag":5.16,"bv":"0.487"},"geometry":{"type":"Point","coordinates":[-16.8997,9.8357]}},{"type":"Feature","id":112948,"properties":{"mag":4.46,"bv":"-0.037"},"geometry":{"type":"Point","coordinates":[-16.8686,-32.8755]}},{"type":"Feature","id":112961,"properties":{"mag":3.73,"bv":"1.626"},"geometry":{"type":"Point","coordinates":[-16.8464,-7.5796]}},{"type":"Feature","id":112997,"properties":{"mag":5.86,"bv":"1.132"},"geometry":{"type":"Point","coordinates":[-16.7406,16.8412]}},{"type":"Feature","id":113031,"properties":{"mag":5.8,"bv":"-0.082"},"geometry":{"type":"Point","coordinates":[-16.6304,-11.6165]}},{"type":"Feature","id":113048,"properties":{"mag":5.79,"bv":"0.282"},"geometry":{"type":"Point","coordinates":[-16.5827,44.7492]}},{"type":"Feature","id":113084,"properties":{"mag":5.82,"bv":"1.136"},"geometry":{"type":"Point","coordinates":[-16.4709,40.3769]}},{"type":"Feature","id":113116,"properties":{"mag":4.7,"bv":"1.418"},"geometry":{"type":"Point","coordinates":[-16.396,84.3462]}},{"type":"Feature","id":113136,"properties":{"mag":3.27,"bv":"0.066"},"geometry":{"type":"Point","coordinates":[-16.3374,-15.8208]}},{"type":"Feature","id":113148,"properties":{"mag":5.53,"bv":"1.111"},"geometry":{"type":"Point","coordinates":[-16.3105,-16.272]}},{"type":"Feature","id":113174,"properties":{"mag":5.91,"bv":"0.397"},"geometry":{"type":"Point","coordinates":[-16.239,37.0768]}},{"type":"Feature","id":113184,"properties":{"mag":5.72,"bv":"0.881"},"geometry":{"type":"Point","coordinates":[-16.2043,-4.9879]}},{"type":"Feature","id":113186,"properties":{"mag":4.91,"bv":"-0.003"},"geometry":{"type":"Point","coordinates":[-16.193,8.8162]}},{"type":"Feature","id":113222,"properties":{"mag":5.73,"bv":"-0.051"},"geometry":{"type":"Point","coordinates":[-16.0646,36.3514]}},{"type":"Feature","id":113246,"properties":{"mag":4.2,"bv":"0.952"},"geometry":{"type":"Point","coordinates":[-16.0129,-32.5396]}},{"type":"Feature","id":113281,"properties":{"mag":5.6,"bv":"-0.149"},"geometry":{"type":"Point","coordinates":[-15.9015,41.6039]}},{"type":"Feature","id":113288,"properties":{"mag":4.99,"bv":"1.778"},"geometry":{"type":"Point","coordinates":[-15.8917,49.7335]}},{"type":"Feature","id":113307,"properties":{"mag":5.72,"bv":"0.226"},"geometry":{"type":"Point","coordinates":[-15.8008,-47.9692]}},{"type":"Feature","id":113327,"properties":{"mag":5.34,"bv":"-0.102"},"geometry":{"type":"Point","coordinates":[-15.7312,48.6841]}},{"type":"Feature","id":113357,"properties":{"mag":5.45,"bv":"0.666"},"geometry":{"type":"Point","coordinates":[-15.6334,20.7688]}},{"type":"Feature","id":113368,"properties":{"mag":1.17,"bv":"0.145"},"geometry":{"type":"Point","coordinates":[-15.5873,-29.6222]}},{"type":"Feature","id":113503,"properties":{"mag":5.76,"bv":"0.293"},"geometry":{"type":"Point","coordinates":[-15.2008,11.7288]}},{"type":"Feature","id":113521,"properties":{"mag":5.43,"bv":"0.982"},"geometry":{"type":"Point","coordinates":[-15.1356,0.9629]}},{"type":"Feature","id":113532,"properties":{"mag":5.51,"bv":"0.271"},"geometry":{"type":"Point","coordinates":[-15.101,-29.4623]}},{"type":"Feature","id":113561,"properties":{"mag":5.1,"bv":"1.011"},"geometry":{"type":"Point","coordinates":[-14.9787,56.9454]}},{"type":"Feature","id":113562,"properties":{"mag":5.66,"bv":"1.253"},"geometry":{"type":"Point","coordinates":[-14.9759,-25.1642]}},{"type":"Feature","id":113622,"properties":{"mag":5.85,"bv":"1.343"},"geometry":{"type":"Point","coordinates":[-14.8212,3.0118]}},{"type":"Feature","id":113638,"properties":{"mag":4.11,"bv":"0.960"},"geometry":{"type":"Point","coordinates":[-14.78,-52.7541]}},{"type":"Feature","id":113657,"properties":{"mag":5.68,"bv":"1.411"},"geometry":{"type":"Point","coordinates":[-14.7184,-50.95]}},{"type":"Feature","id":113669,"properties":{"mag":5.55,"bv":"1.349"},"geometry":{"type":"Point","coordinates":[-14.6692,-28.854]}},{"type":"Feature","id":113686,"properties":{"mag":5.94,"bv":"0.992"},"geometry":{"type":"Point","coordinates":[-14.6179,-4.7115]}},{"type":"Feature","id":113726,"properties":{"mag":3.62,"bv":"-0.099"},"geometry":{"type":"Point","coordinates":[-14.5197,42.326]}},{"type":"Feature","id":113788,"properties":{"mag":5.09,"bv":"0.094"},"geometry":{"type":"Point","coordinates":[-14.3484,42.7578]}},{"type":"Feature","id":113801,"properties":{"mag":5.97,"bv":"0.946"},"geometry":{"type":"Point","coordinates":[-14.3156,-20.8707]}},{"type":"Feature","id":113860,"properties":{"mag":5.12,"bv":"0.305"},"geometry":{"type":"Point","coordinates":[-14.1258,-34.7494]}},{"type":"Feature","id":113864,"properties":{"mag":5.25,"bv":"1.248"},"geometry":{"type":"Point","coordinates":[-14.113,67.2092]}},{"type":"Feature","id":113881,"properties":{"mag":2.44,"bv":"1.655"},"geometry":{"type":"Point","coordinates":[-14.0564,28.0828]}},{"type":"Feature","id":113889,"properties":{"mag":4.48,"bv":"-0.115"},"geometry":{"type":"Point","coordinates":[-14.0308,3.82]}},{"type":"Feature","id":113902,"properties":{"mag":5.79,"bv":"1.069"},"geometry":{"type":"Point","coordinates":[-14.0015,-41.4789]}},{"type":"Feature","id":113919,"properties":{"mag":4.64,"bv":"1.058"},"geometry":{"type":"Point","coordinates":[-13.9542,50.0521]}},{"type":"Feature","id":113957,"properties":{"mag":5.37,"bv":"1.453"},"geometry":{"type":"Point","coordinates":[-13.8349,-53.9649]}},{"type":"Feature","id":113963,"properties":{"mag":2.49,"bv":"-0.002"},"geometry":{"type":"Point","coordinates":[-13.8098,15.2053]}},{"type":"Feature","id":113969,"properties":{"mag":5.53,"bv":"0.395"},"geometry":{"type":"Point","coordinates":[-13.7824,-68.8202]}},{"type":"Feature","id":113996,"properties":{"mag":5.44,"bv":"0.312"},"geometry":{"type":"Point","coordinates":[-13.7092,-7.6938]}},{"type":"Feature","id":114104,"properties":{"mag":4.84,"bv":"-0.060"},"geometry":{"type":"Point","coordinates":[-13.3466,59.4198]}},{"type":"Feature","id":114119,"properties":{"mag":4.48,"bv":"0.892"},"geometry":{"type":"Point","coordinates":[-13.3298,-23.7431]}},{"type":"Feature","id":114131,"properties":{"mag":4.28,"bv":"0.423"},"geometry":{"type":"Point","coordinates":[-13.2803,-43.5204]}},{"type":"Feature","id":114132,"properties":{"mag":5.62,"bv":"0.006"},"geometry":{"type":"Point","coordinates":[-13.2766,-38.8923]}},{"type":"Feature","id":114144,"properties":{"mag":4.54,"bv":"1.559"},"geometry":{"type":"Point","coordinates":[-13.2489,9.4095]}},{"type":"Feature","id":114155,"properties":{"mag":4.76,"bv":"1.285"},"geometry":{"type":"Point","coordinates":[-13.2219,25.4683]}},{"type":"Feature","id":114167,"properties":{"mag":5.81,"bv":"0.486"},"geometry":{"type":"Point","coordinates":[-13.1884,-50.6867]}},{"type":"Feature","id":114189,"properties":{"mag":5.97,"bv":"0.259"},"geometry":{"type":"Point","coordinates":[-13.1304,21.1343]}},{"type":"Feature","id":114200,"properties":{"mag":5.3,"bv":"1.409"},"geometry":{"type":"Point","coordinates":[-13.0864,46.3872]}},{"type":"Feature","id":114210,"properties":{"mag":5.68,"bv":"0.449"},"geometry":{"type":"Point","coordinates":[-13.0609,49.2958]}},{"type":"Feature","id":114222,"properties":{"mag":4.41,"bv":"0.802"},"geometry":{"type":"Point","coordinates":[-13.0256,75.3875]}},{"type":"Feature","id":114254,"properties":{"mag":5.6,"bv":"0.882"},"geometry":{"type":"Point","coordinates":[-12.9122,-28.8237]}},{"type":"Feature","id":114273,"properties":{"mag":5.42,"bv":"0.908"},"geometry":{"type":"Point","coordinates":[-12.8295,2.1279]}},{"type":"Feature","id":114341,"properties":{"mag":3.68,"bv":"1.202"},"geometry":{"type":"Point","coordinates":[-12.6383,-21.1724]}},{"type":"Feature","id":114347,"properties":{"mag":5.05,"bv":"1.484"},"geometry":{"type":"Point","coordinates":[-12.6189,8.6772]}},{"type":"Feature","id":114365,"properties":{"mag":5.68,"bv":"0.315"},"geometry":{"type":"Point","coordinates":[-12.5661,59.3327]}},{"type":"Feature","id":114366,"properties":{"mag":5.88,"bv":"1.311"},"geometry":{"type":"Point","coordinates":[-12.564,-28.0886]}},{"type":"Feature","id":114375,"properties":{"mag":4.71,"bv":"0.674"},"geometry":{"type":"Point","coordinates":[-12.5213,-22.4576]}},{"type":"Feature","id":114382,"properties":{"mag":5.83,"bv":"0.475"},"geometry":{"type":"Point","coordinates":[-12.511,-42.8613]}},{"type":"Feature","id":114389,"properties":{"mag":5.39,"bv":"-0.068"},"geometry":{"type":"Point","coordinates":[-12.4939,9.8221]}},{"type":"Feature","id":114407,"properties":{"mag":5.9,"bv":"1.565"},"geometry":{"type":"Point","coordinates":[-12.4594,-40.5915]}},{"type":"Feature","id":114421,"properties":{"mag":3.88,"bv":"0.998"},"geometry":{"type":"Point","coordinates":[-12.4103,-45.2467]}},{"type":"Feature","id":114430,"properties":{"mag":5.91,"bv":"0.450"},"geometry":{"type":"Point","coordinates":[-12.3867,43.5442]}},{"type":"Feature","id":114449,"properties":{"mag":5.68,"bv":"1.330"},"geometry":{"type":"Point","coordinates":[-12.3223,17.5944]}},{"type":"Feature","id":114520,"properties":{"mag":5.15,"bv":"0.139"},"geometry":{"type":"Point","coordinates":[-12.0659,8.7201]}},{"type":"Feature","id":114570,"properties":{"mag":4.53,"bv":"0.302"},"geometry":{"type":"Point","coordinates":[-11.8625,49.4062]}},{"type":"Feature","id":114622,"properties":{"mag":5.57,"bv":"1.000"},"geometry":{"type":"Point","coordinates":[-11.6793,57.1684]}},{"type":"Feature","id":114641,"properties":{"mag":5.85,"bv":"1.004"},"geometry":{"type":"Point","coordinates":[-11.6396,11.065]}},{"type":"Feature","id":114724,"properties":{"mag":4.22,"bv":"1.545"},"geometry":{"type":"Point","coordinates":[-11.4193,-6.049]}},{"type":"Feature","id":114745,"properties":{"mag":5.89,"bv":"-0.010"},"geometry":{"type":"Point","coordinates":[-11.3454,74.2313]}},{"type":"Feature","id":114775,"properties":{"mag":5.77,"bv":"1.160"},"geometry":{"type":"Point","coordinates":[-11.2557,-41.1054]}},{"type":"Feature","id":114822,"properties":{"mag":5.56,"bv":"0.062"},"geometry":{"type":"Point","coordinates":[-11.1073,-3.4964]}},{"type":"Feature","id":114831,"properties":{"mag":5.55,"bv":"0.263"},"geometry":{"type":"Point","coordinates":[-11.0928,70.8881]}},{"type":"Feature","id":114855,"properties":{"mag":4.24,"bv":"1.107"},"geometry":{"type":"Point","coordinates":[-11.0271,-9.0877]}},{"type":"Feature","id":114921,"properties":{"mag":5.92,"bv":"1.053"},"geometry":{"type":"Point","coordinates":[-10.8342,-44.4892]}},{"type":"Feature","id":114924,"properties":{"mag":5.58,"bv":"0.556"},"geometry":{"type":"Point","coordinates":[-10.8237,53.2135]}},{"type":"Feature","id":114939,"properties":{"mag":4.93,"bv":"1.613"},"geometry":{"type":"Point","coordinates":[-10.7878,-7.7265]}},{"type":"Feature","id":114948,"properties":{"mag":5.64,"bv":"0.521"},"geometry":{"type":"Point","coordinates":[-10.7596,-62.0012]}},{"type":"Feature","id":114971,"properties":{"mag":3.7,"bv":"0.916"},"geometry":{"type":"Point","coordinates":[-10.7086,3.2823]}},{"type":"Feature","id":114996,"properties":{"mag":3.99,"bv":"0.410"},"geometry":{"type":"Point","coordinates":[-10.6426,-58.2357]}},{"type":"Feature","id":115022,"properties":{"mag":4.82,"bv":"1.668"},"geometry":{"type":"Point","coordinates":[-10.564,49.0153]}},{"type":"Feature","id":115033,"properties":{"mag":4.41,"bv":"-0.144"},"geometry":{"type":"Point","coordinates":[-10.5241,-9.1825]}},{"type":"Feature","id":115054,"properties":{"mag":5.54,"bv":"0.445"},"geometry":{"type":"Point","coordinates":[-10.4588,-40.8244]}},{"type":"Feature","id":115065,"properties":{"mag":5.98,"bv":"0.215"},"geometry":{"type":"Point","coordinates":[-10.4028,41.7737]}},{"type":"Feature","id":115088,"properties":{"mag":4.75,"bv":"0.836"},"geometry":{"type":"Point","coordinates":[-10.3438,68.1114]}},{"type":"Feature","id":115102,"properties":{"mag":4.41,"bv":"1.109"},"geometry":{"type":"Point","coordinates":[-10.294,-32.532]}},{"type":"Feature","id":115115,"properties":{"mag":4.99,"bv":"-0.022"},"geometry":{"type":"Point","coordinates":[-10.2597,-9.6107]}},{"type":"Feature","id":115125,"properties":{"mag":5.19,"bv":"0.895"},"geometry":{"type":"Point","coordinates":[-10.2235,-13.4547]}},{"type":"Feature","id":115126,"properties":{"mag":5.2,"bv":"0.787"},"geometry":{"type":"Point","coordinates":[-10.2222,-13.4586]}},{"type":"Feature","id":115142,"properties":{"mag":5.56,"bv":"0.386"},"geometry":{"type":"Point","coordinates":[-10.1501,-5.1244]}},{"type":"Feature","id":115144,"properties":{"mag":5.96,"bv":"1.534"},"geometry":{"type":"Point","coordinates":[-10.1496,-18.0754]}},{"type":"Feature","id":115152,"properties":{"mag":5.44,"bv":"1.014"},"geometry":{"type":"Point","coordinates":[-10.1258,48.6253]}},{"type":"Feature","id":115191,"properties":{"mag":5.81,"bv":"1.512"},"geometry":{"type":"Point","coordinates":[-10.0316,42.078]}},{"type":"Feature","id":115227,"properties":{"mag":5.05,"bv":"1.204"},"geometry":{"type":"Point","coordinates":[-9.9142,5.3813]}},{"type":"Feature","id":115250,"properties":{"mag":4.58,"bv":"0.180"},"geometry":{"type":"Point","coordinates":[-9.8407,23.7403]}},{"type":"Feature","id":115271,"properties":{"mag":5.58,"bv":"1.501"},"geometry":{"type":"Point","coordinates":[-9.7935,30.4149]}},{"type":"Feature","id":115280,"properties":{"mag":5.77,"bv":"0.468"},"geometry":{"type":"Point","coordinates":[-9.7781,38.1823]}},{"type":"Feature","id":115312,"properties":{"mag":5.65,"bv":"0.817"},"geometry":{"type":"Point","coordinates":[-9.6854,-26.9868]}},{"type":"Feature","id":115355,"properties":{"mag":5.35,"bv":"-0.101"},"geometry":{"type":"Point","coordinates":[-9.5211,31.8125]}},{"type":"Feature","id":115395,"properties":{"mag":5.56,"bv":"1.679"},"geometry":{"type":"Point","coordinates":[-9.3644,60.1335]}},{"type":"Feature","id":115404,"properties":{"mag":5.19,"bv":"0.203"},"geometry":{"type":"Point","coordinates":[-9.3368,-15.0393]}},{"type":"Feature","id":115438,"properties":{"mag":3.96,"bv":"1.082"},"geometry":{"type":"Point","coordinates":[-9.2574,-20.1006]}},{"type":"Feature","id":115444,"properties":{"mag":5.09,"bv":"1.315"},"geometry":{"type":"Point","coordinates":[-9.231,12.3139]}},{"type":"Feature","id":115537,"properties":{"mag":5.75,"bv":"1.611"},"geometry":{"type":"Point","coordinates":[-8.9447,-51.8912]}},{"type":"Feature","id":115590,"properties":{"mag":4.96,"bv":"1.676"},"geometry":{"type":"Point","coordinates":[-8.7906,62.2828]}},{"type":"Feature","id":115591,"properties":{"mag":5.56,"bv":"-0.075"},"geometry":{"type":"Point","coordinates":[-8.7882,32.3849]}},{"type":"Feature","id":115620,"properties":{"mag":5.6,"bv":"1.063"},"geometry":{"type":"Point","coordinates":[-8.6689,-56.849]}},{"type":"Feature","id":115623,"properties":{"mag":4.42,"bv":"0.617"},"geometry":{"type":"Point","coordinates":[-8.6551,23.4041]}},{"type":"Feature","id":115669,"properties":{"mag":4.38,"bv":"1.460"},"geometry":{"type":"Point","coordinates":[-8.4884,-20.642]}},{"type":"Feature","id":115713,"properties":{"mag":5.53,"bv":"0.409"},"geometry":{"type":"Point","coordinates":[-8.3476,-52.7216]}},{"type":"Feature","id":115738,"properties":{"mag":4.95,"bv":"0.036"},"geometry":{"type":"Point","coordinates":[-8.2669,1.2556]}},{"type":"Feature","id":115746,"properties":{"mag":5.56,"bv":"0.250"},"geometry":{"type":"Point","coordinates":[-8.2464,87.3075]}},{"type":"Feature","id":115755,"properties":{"mag":5.75,"bv":"-0.007"},"geometry":{"type":"Point","coordinates":[-8.2192,42.912]}},{"type":"Feature","id":115769,"properties":{"mag":5.63,"bv":"0.983"},"geometry":{"type":"Point","coordinates":[-8.1875,-58.4761]}},{"type":"Feature","id":115770,"properties":{"mag":5.6,"bv":"0.163"},"geometry":{"type":"Point","coordinates":[-8.1807,70.3598]}},{"type":"Feature","id":115806,"properties":{"mag":5.99,"bv":"-0.066"},"geometry":{"type":"Point","coordinates":[-8.0817,25.1673]}},{"type":"Feature","id":115830,"properties":{"mag":4.27,"bv":"1.062"},"geometry":{"type":"Point","coordinates":[-8.0079,6.379]}},{"type":"Feature","id":115836,"properties":{"mag":5.5,"bv":"1.278"},"geometry":{"type":"Point","coordinates":[-7.9842,-87.4822]}},{"type":"Feature","id":115908,"properties":{"mag":5.66,"bv":"-0.142"},"geometry":{"type":"Point","coordinates":[-7.7459,-63.1107]}},{"type":"Feature","id":115919,"properties":{"mag":4.54,"bv":"0.939"},"geometry":{"type":"Point","coordinates":[-7.7113,12.7606]}},{"type":"Feature","id":115990,"properties":{"mag":4.89,"bv":"-0.122"},"geometry":{"type":"Point","coordinates":[-7.4919,58.5489]}},{"type":"Feature","id":116076,"properties":{"mag":5.22,"bv":"1.029"},"geometry":{"type":"Point","coordinates":[-7.1774,39.2362]}},{"type":"Feature","id":116231,"properties":{"mag":4.38,"bv":"-0.095"},"geometry":{"type":"Point","coordinates":[-6.7573,-37.8183]}},{"type":"Feature","id":116247,"properties":{"mag":4.7,"bv":"0.020"},"geometry":{"type":"Point","coordinates":[-6.6807,-20.9145]}},{"type":"Feature","id":116250,"properties":{"mag":5.82,"bv":"0.681"},"geometry":{"type":"Point","coordinates":[-6.6684,-77.3853]}},{"type":"Feature","id":116264,"properties":{"mag":5.33,"bv":"1.481"},"geometry":{"type":"Point","coordinates":[-6.6329,22.4988]}},{"type":"Feature","id":116310,"properties":{"mag":4.97,"bv":"1.383"},"geometry":{"type":"Point","coordinates":[-6.5117,31.3253]}},{"type":"Feature","id":116323,"properties":{"mag":5.91,"bv":"0.299"},"geometry":{"type":"Point","coordinates":[-6.4624,-1.2476]}},{"type":"Feature","id":116354,"properties":{"mag":5.55,"bv":"0.096"},"geometry":{"type":"Point","coordinates":[-6.3436,40.2364]}},{"type":"Feature","id":116355,"properties":{"mag":5.63,"bv":"1.042"},"geometry":{"type":"Point","coordinates":[-6.3408,33.4973]}},{"type":"Feature","id":116368,"properties":{"mag":5.95,"bv":"1.350"},"geometry":{"type":"Point","coordinates":[-6.2943,-15.246]}},{"type":"Feature","id":116380,"properties":{"mag":5.86,"bv":"1.681"},"geometry":{"type":"Point","coordinates":[-6.254,71.642]}},{"type":"Feature","id":116389,"properties":{"mag":4.69,"bv":"0.078"},"geometry":{"type":"Point","coordinates":[-6.231,-42.6151]}},{"type":"Feature","id":116495,"properties":{"mag":5.68,"bv":"0.449"},"geometry":{"type":"Point","coordinates":[-5.903,2.1022]}},{"type":"Feature","id":116582,"properties":{"mag":5.81,"bv":"-0.064"},"geometry":{"type":"Point","coordinates":[-5.6165,44.429]}},{"type":"Feature","id":116584,"properties":{"mag":3.81,"bv":"0.984"},"geometry":{"type":"Point","coordinates":[-5.609,46.4582]}},{"type":"Feature","id":116591,"properties":{"mag":5.66,"bv":"1.025"},"geometry":{"type":"Point","coordinates":[-5.5852,-13.0602]}},{"type":"Feature","id":116602,"properties":{"mag":4.74,"bv":"0.082"},"geometry":{"type":"Point","coordinates":[-5.5375,-45.4924]}},{"type":"Feature","id":116611,"properties":{"mag":5.49,"bv":"0.010"},"geometry":{"type":"Point","coordinates":[-5.5133,18.4007]}},{"type":"Feature","id":116631,"properties":{"mag":4.29,"bv":"-0.083"},"geometry":{"type":"Point","coordinates":[-5.4658,43.2681]}},{"type":"Feature","id":116653,"properties":{"mag":5.99,"bv":"0.907"},"geometry":{"type":"Point","coordinates":[-5.4005,-76.8696]}},{"type":"Feature","id":116709,"properties":{"mag":5.35,"bv":"-0.061"},"geometry":{"type":"Point","coordinates":[-5.2153,50.4717]}},{"type":"Feature","id":116714,"properties":{"mag":5.95,"bv":"0.124"},"geometry":{"type":"Point","coordinates":[-5.2076,75.2929]}},{"type":"Feature","id":116727,"properties":{"mag":3.21,"bv":"1.031"},"geometry":{"type":"Point","coordinates":[-5.1631,77.6323]}},{"type":"Feature","id":116728,"properties":{"mag":5.98,"bv":"0.889"},"geometry":{"type":"Point","coordinates":[-5.1619,74.0026]}},{"type":"Feature","id":116758,"properties":{"mag":4.97,"bv":"0.257"},"geometry":{"type":"Point","coordinates":[-5.0539,-14.2222]}},{"type":"Feature","id":116768,"properties":{"mag":5.99,"bv":"0.212"},"geometry":{"type":"Point","coordinates":[-5.0207,9.6773]}},{"type":"Feature","id":116771,"properties":{"mag":4.13,"bv":"0.507"},"geometry":{"type":"Point","coordinates":[-5.0123,5.6263]}},{"type":"Feature","id":116805,"properties":{"mag":4.15,"bv":"-0.071"},"geometry":{"type":"Point","coordinates":[-4.8979,44.3339]}},{"type":"Feature","id":116820,"properties":{"mag":5.3,"bv":"0.965"},"geometry":{"type":"Point","coordinates":[-4.841,-32.0731]}},{"type":"Feature","id":116853,"properties":{"mag":5.89,"bv":"0.984"},"geometry":{"type":"Point","coordinates":[-4.7129,-11.6807]}},{"type":"Feature","id":116889,"properties":{"mag":5.36,"bv":"1.580"},"geometry":{"type":"Point","coordinates":[-4.6063,-18.0271]}},{"type":"Feature","id":116901,"properties":{"mag":4.82,"bv":"0.822"},"geometry":{"type":"Point","coordinates":[-4.5591,-17.8165]}},{"type":"Feature","id":116918,"properties":{"mag":5.89,"bv":"0.101"},"geometry":{"type":"Point","coordinates":[-4.5138,7.2505]}},{"type":"Feature","id":116928,"properties":{"mag":4.49,"bv":"0.200"},"geometry":{"type":"Point","coordinates":[-4.4883,1.78]}},{"type":"Feature","id":116957,"properties":{"mag":5.27,"bv":"1.344"},"geometry":{"type":"Point","coordinates":[-4.3841,-15.448]}},{"type":"Feature","id":116971,"properties":{"mag":4.49,"bv":"-0.032"},"geometry":{"type":"Point","coordinates":[-4.3194,-14.5449]}},{"type":"Feature","id":117020,"properties":{"mag":5.09,"bv":"1.692"},"geometry":{"type":"Point","coordinates":[-4.1568,10.3315]}},{"type":"Feature","id":117073,"properties":{"mag":4.93,"bv":"0.935"},"geometry":{"type":"Point","coordinates":[-4.0021,29.3615]}},{"type":"Feature","id":117088,"properties":{"mag":5.73,"bv":"1.393"},"geometry":{"type":"Point","coordinates":[-3.9498,-64.4045]}},{"type":"Feature","id":117089,"properties":{"mag":5.24,"bv":"-0.084"},"geometry":{"type":"Point","coordinates":[-3.9497,-18.2769]}},{"type":"Feature","id":117125,"properties":{"mag":5.74,"bv":"1.108"},"geometry":{"type":"Point","coordinates":[-3.8298,-78.7914]}},{"type":"Feature","id":117218,"properties":{"mag":5.28,"bv":"0.299"},"geometry":{"type":"Point","coordinates":[-3.4962,-18.6783]}},{"type":"Feature","id":117221,"properties":{"mag":4.97,"bv":"1.086"},"geometry":{"type":"Point","coordinates":[-3.4915,46.4203]}},{"type":"Feature","id":117245,"properties":{"mag":4.95,"bv":"2.508"},"geometry":{"type":"Point","coordinates":[-3.402,3.4868]}},{"type":"Feature","id":117265,"properties":{"mag":5.95,"bv":"-0.049"},"geometry":{"type":"Point","coordinates":[-3.3469,66.7822]}},{"type":"Feature","id":117299,"properties":{"mag":5.55,"bv":"1.630"},"geometry":{"type":"Point","coordinates":[-3.242,57.4514]}},{"type":"Feature","id":117301,"properties":{"mag":4.88,"bv":"1.122"},"geometry":{"type":"Point","coordinates":[-3.2356,58.652]}},{"type":"Feature","id":117314,"properties":{"mag":5.74,"bv":"1.068"},"geometry":{"type":"Point","coordinates":[-3.1837,-11.9111]}},{"type":"Feature","id":117315,"properties":{"mag":5.18,"bv":"-0.164"},"geometry":{"type":"Point","coordinates":[-3.1834,-50.2265]}},{"type":"Feature","id":117371,"properties":{"mag":5.05,"bv":"0.007"},"geometry":{"type":"Point","coordinates":[-3.0218,67.8068]}},{"type":"Feature","id":117375,"properties":{"mag":5.49,"bv":"0.941"},"geometry":{"type":"Point","coordinates":[-3.0144,-2.7616]}},{"type":"Feature","id":117447,"properties":{"mag":5.43,"bv":"0.670"},"geometry":{"type":"Point","coordinates":[-2.791,62.2145]}},{"type":"Feature","id":117452,"properties":{"mag":4.59,"bv":"0.001"},"geometry":{"type":"Point","coordinates":[-2.7686,-28.1303]}},{"type":"Feature","id":117491,"properties":{"mag":5.77,"bv":"0.167"},"geometry":{"type":"Point","coordinates":[-2.6355,1.0761]}},{"type":"Feature","id":117500,"properties":{"mag":5.95,"bv":"0.187"},"geometry":{"type":"Point","coordinates":[-2.5859,28.8424]}},{"type":"Feature","id":117503,"properties":{"mag":5.86,"bv":"0.806"},"geometry":{"type":"Point","coordinates":[-2.5793,36.4253]}},{"type":"Feature","id":117541,"properties":{"mag":5.93,"bv":"1.133"},"geometry":{"type":"Point","coordinates":[-2.4386,-9.9741]}},{"type":"Feature","id":117567,"properties":{"mag":5.7,"bv":"1.488"},"geometry":{"type":"Point","coordinates":[-2.3613,-14.4015]}},{"type":"Feature","id":117628,"properties":{"mag":5.77,"bv":"1.661"},"geometry":{"type":"Point","coordinates":[-2.1615,9.3134]}},{"type":"Feature","id":117629,"properties":{"mag":5.17,"bv":"-0.122"},"geometry":{"type":"Point","coordinates":[-2.1611,-18.9092]}},{"type":"Feature","id":117683,"properties":{"mag":5.59,"bv":"1.527"},"geometry":{"type":"Point","coordinates":[-2.009,2.9304]}},{"type":"Feature","id":117689,"properties":{"mag":5.1,"bv":"0.934"},"geometry":{"type":"Point","coordinates":[-1.973,-82.0188]}},{"type":"Feature","id":117718,"properties":{"mag":5.06,"bv":"1.587"},"geometry":{"type":"Point","coordinates":[-1.878,19.1203]}},{"type":"Feature","id":117722,"properties":{"mag":5.85,"bv":"1.252"},"geometry":{"type":"Point","coordinates":[-1.875,-14.2512]}},{"type":"Feature","id":117730,"properties":{"mag":5.3,"bv":"0.186"},"geometry":{"type":"Point","coordinates":[-1.8454,10.9473]}},{"type":"Feature","id":117756,"properties":{"mag":5.76,"bv":"1.171"},"geometry":{"type":"Point","coordinates":[-1.7895,-8.9968]}},{"type":"Feature","id":117761,"properties":{"mag":5.93,"bv":"1.069"},"geometry":{"type":"Point","coordinates":[-1.7685,-3.1555]}},{"type":"Feature","id":117863,"properties":{"mag":4.51,"bv":"1.190"},"geometry":{"type":"Point","coordinates":[-1.404,57.4994]}},{"type":"Feature","id":117887,"properties":{"mag":5.78,"bv":"1.466"},"geometry":{"type":"Point","coordinates":[-1.3057,0.1093]}},{"type":"Feature","id":118077,"properties":{"mag":5.57,"bv":"0.478"},"geometry":{"type":"Point","coordinates":[-0.7147,55.7057]}},{"type":"Feature","id":118092,"properties":{"mag":5.95,"bv":"0.101"},"geometry":{"type":"Point","coordinates":[-0.6671,-62.9566]}},{"type":"Feature","id":118114,"properties":{"mag":5.72,"bv":"1.055"},"geometry":{"type":"Point","coordinates":[-0.613,-82.1698]}},{"type":"Feature","id":118121,"properties":{"mag":5,"bv":"0.060"},"geometry":{"type":"Point","coordinates":[-0.6038,-64.2982]}},{"type":"Feature","id":118131,"properties":{"mag":4.63,"bv":"1.584"},"geometry":{"type":"Point","coordinates":[-0.5603,25.1414]}},{"type":"Feature","id":118209,"properties":{"mag":4.88,"bv":"0.930"},"geometry":{"type":"Point","coordinates":[-0.3318,-3.556]}},{"type":"Feature","id":118234,"properties":{"mag":5.13,"bv":"1.121"},"geometry":{"type":"Point","coordinates":[-0.2676,-52.7458]}},{"type":"Feature","id":118243,"properties":{"mag":4.88,"bv":"-0.071"},"geometry":{"type":"Point","coordinates":[-0.2478,55.7549]}},{"type":"Feature","id":118268,"properties":{"mag":4.03,"bv":"0.419"},"geometry":{"type":"Point","coordinates":[-0.1721,6.8633]}},{"type":"Feature","id":118277,"properties":{"mag":5.59,"bv":"1.599"},"geometry":{"type":"Point","coordinates":[-0.1338,-29.4852]}},{"type":"Feature","id":118281,"properties":{"mag":5.81,"bv":"0.539"},"geometry":{"type":"Point","coordinates":[-0.1279,33.7239]}},{"type":"Feature","id":118322,"properties":{"mag":4.49,"bv":"-0.075"},"geometry":{"type":"Point","coordinates":[-0.0209,-65.5771]}}]}'
